/*===========================================================================*/
/*   (Llib/utils.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafev -safee -copt -fPIC -copt -IPosix Llib/utils.scm -o objs/utils.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_calendarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_idz00;
   obj_t BgL_versionz00;
   obj_t BgL_eventsz00;
   obj_t BgL_methodz00;
} *BgL_calendarz00_bglt;

typedef struct BgL_caleventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_calendarz00;
   obj_t BgL_uidz00;
   obj_t BgL_dtstartz00;
   obj_t BgL_dtendz00;
   obj_t BgL_summaryz00;
   obj_t BgL_descriptionz00;
   obj_t BgL_recurrencez00;
   obj_t BgL_klassz00;
   obj_t BgL_categoriesz00;
   obj_t BgL_z52optionalsz52;
} *BgL_caleventz00_bglt;

typedef struct BgL_calrecurrencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_frequencyz00;
   int BgL_intervalz00;
   obj_t BgL_countz00;
   obj_t BgL_untilz00;
   obj_t BgL_bysecondz00;
   obj_t BgL_byminutez00;
   obj_t BgL_byhourz00;
   obj_t BgL_byweekdayz00;
   obj_t BgL_bymonthdayz00;
   obj_t BgL_byyeardayz00;
   obj_t BgL_byweeknoz00;
   obj_t BgL_bymonthz00;
   obj_t BgL_bysetposz00;
   obj_t BgL_wkstz00;
} *BgL_calrecurrencez00_bglt;


BGL_EXPORTED_DECL obj_t BGl_calendarzd2insertz12zc0zz__calendar_utilsz00(BgL_calendarz00_bglt, BgL_caleventz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__calendar_utilsz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t bgl_seconds_to_date(long);
static bool_t BGl_recurrencezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_calendarzd2sortz12zc0zz__calendar_utilsz00(BgL_calendarz00_bglt);
BGL_IMPORT obj_t BGl_listzd2splitz12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, int, obj_t);
static obj_t BGl_genericzd2initzd2zz__calendar_utilsz00();
static obj_t BGl_objectzd2initzd2zz__calendar_utilsz00();
static obj_t BGl_z62calendarzd2insertz12za2zz__calendar_utilsz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_calendarz00zz__calendar_typesz00;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_calrecurrencez00zz__calendar_typesz00;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__calendar_utilsz00();
static obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__calendar_utilsz00(obj_t, obj_t, obj_t);
static bool_t BGl_iszd2dayzf3z21zz__calendar_utilsz00(obj_t, obj_t);
static obj_t BGl_z62calendarzd2ze3listz53zz__calendar_utilsz00(obj_t, obj_t);
extern obj_t BGl_caleventz00zz__calendar_typesz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__calendar_utilsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__calendar_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_datezd2copyzd2zz__datez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_calendarzd2ze3listz31zz__calendar_utilsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__calendar_utilsz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__calendar_utilsz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__calendar_utilsz00();
static obj_t BGl_gczd2rootszd2initz00zz__calendar_utilsz00();
static obj_t BGl_z62caleventzd2duringzd2dayzf3z91zz__calendar_utilsz00(obj_t, obj_t, obj_t);
BGL_IMPORT int BGl_datezd2monthzd2lengthz00zz__datez00(obj_t);
BGL_IMPORT obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_caleventzd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt, obj_t);
static bool_t BGl_simplezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_z62calendarzd2sortz12za2zz__calendar_utilsz00(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_caleventzd2duringzd2dayzf3zd2envz21zz__calendar_utilsz00, BgL_bgl_za762caleventza7d2du1540z00, BGl_z62caleventzd2duringzd2dayzf3z91zz__calendar_utilsz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_calendarzd2sortz12zd2envz12zz__calendar_utilsz00, BgL_bgl_za762calendarza7d2so1541z00, BGl_z62calendarzd2sortz12za2zz__calendar_utilsz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1468z00zz__calendar_utilsz00, BgL_bgl_string1468za700za7za7_1542za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/calendar/src/Llib/utils.scm", 67 );
DEFINE_STRING( BGl_string1469z00zz__calendar_utilsz00, BgL_bgl_string1469za700za7za7_1543za7, "calendar-insert!", 16 );
DEFINE_STRING( BGl_string1470z00zz__calendar_utilsz00, BgL_bgl_string1470za700za7za7_1544za7, "date", 4 );
DEFINE_STRING( BGl_string1471z00zz__calendar_utilsz00, BgL_bgl_string1471za700za7za7_1545za7, "pair", 4 );
DEFINE_STRING( BGl_string1472z00zz__calendar_utilsz00, BgL_bgl_string1472za700za7za7_1546za7, "loop", 4 );
DEFINE_STRING( BGl_string1473z00zz__calendar_utilsz00, BgL_bgl_string1473za700za7za7_1547za7, "calevent", 8 );
DEFINE_STRING( BGl_string1474z00zz__calendar_utilsz00, BgL_bgl_string1474za700za7za7_1548za7, "&calendar-insert!", 17 );
DEFINE_STRING( BGl_string1475z00zz__calendar_utilsz00, BgL_bgl_string1475za700za7za7_1549za7, "calendar", 8 );
DEFINE_STRING( BGl_string1477z00zz__calendar_utilsz00, BgL_bgl_string1477za700za7za7_1550za7, "calendar-sort!", 14 );
DEFINE_STRING( BGl_string1478z00zz__calendar_utilsz00, BgL_bgl_string1478za700za7za7_1551za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1479z00zz__calendar_utilsz00, BgL_bgl_string1479za700za7za7_1552za7, "&calendar-sort!", 15 );
DEFINE_STRING( BGl_string1480z00zz__calendar_utilsz00, BgL_bgl_string1480za700za7za7_1553za7, "<@anonymous:1164>", 17 );
DEFINE_STRING( BGl_string1481z00zz__calendar_utilsz00, BgL_bgl_string1481za700za7za7_1554za7, "is-day?", 7 );
DEFINE_STRING( BGl_string1482z00zz__calendar_utilsz00, BgL_bgl_string1482za700za7za7_1555za7, "simple-during-day?", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1476z00zz__calendar_utilsz00, BgL_bgl_za762za7c3za704anonymo1556za7, BGl_z62zc3z04anonymousza31164ze3ze5zz__calendar_utilsz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1483z00zz__calendar_utilsz00, BgL_bgl_string1483za700za7za7_1557za7, "recurrence-during-day?", 22 );
DEFINE_STRING( BGl_string1484z00zz__calendar_utilsz00, BgL_bgl_string1484za700za7za7_1558za7, "calrecurrence", 13 );
DEFINE_STRING( BGl_string1485z00zz__calendar_utilsz00, BgL_bgl_string1485za700za7za7_1559za7, "bint", 4 );
DEFINE_STRING( BGl_string1486z00zz__calendar_utilsz00, BgL_bgl_string1486za700za7za7_1560za7, "calevent-during-day?", 20 );
DEFINE_STRING( BGl_string1487z00zz__calendar_utilsz00, BgL_bgl_string1487za700za7za7_1561za7, "vector", 6 );
DEFINE_STRING( BGl_string1488z00zz__calendar_utilsz00, BgL_bgl_string1488za700za7za7_1562za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1489z00zz__calendar_utilsz00, BgL_bgl_string1489za700za7za7_1563za7, "class", 5 );
DEFINE_STRING( BGl_string1490z00zz__calendar_utilsz00, BgL_bgl_string1490za700za7za7_1564za7, "&calevent-during-day?", 21 );
DEFINE_STRING( BGl_string1491z00zz__calendar_utilsz00, BgL_bgl_string1491za700za7za7_1565za7, "calendar->list", 14 );
DEFINE_STRING( BGl_string1492z00zz__calendar_utilsz00, BgL_bgl_string1492za700za7za7_1566za7, "&calendar->list", 15 );
DEFINE_STRING( BGl_string1493z00zz__calendar_utilsz00, BgL_bgl_string1493za700za7za7_1567za7, "__calendar_utils", 16 );
DEFINE_STRING( BGl_string1494z00zz__calendar_utilsz00, BgL_bgl_string1494za700za7za7_1568za7, "no-implemented YEARLY ", 22 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_calendarzd2insertz12zd2envz12zz__calendar_utilsz00, BgL_bgl_za762calendarza7d2in1569z00, BGl_z62calendarzd2insertz12za2zz__calendar_utilsz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_calendarzd2ze3listzd2envze3zz__calendar_utilsz00, BgL_bgl_za762calendarza7d2za7e1570za7, BGl_z62calendarzd2ze3listz53zz__calendar_utilsz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__calendar_utilsz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__calendar_utilsz00(long BgL_checksumz00_761, char * BgL_fromz00_762)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__calendar_utilsz00))
{ 
BGl_requirezd2initializa7ationz75zz__calendar_utilsz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__calendar_utilsz00(); 
BGl_libraryzd2moduleszd2initz00zz__calendar_utilsz00(); 
BGl_cnstzd2initzd2zz__calendar_utilsz00(); 
BGl_importedzd2moduleszd2initz00zz__calendar_utilsz00(); 
return 
BGl_methodzd2initzd2zz__calendar_utilsz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__calendar_utils"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__calendar_utils"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
{ /* Llib/utils.scm 15 */
 obj_t BgL_cportz00_474;
{ /* Llib/utils.scm 15 */
 obj_t BgL_stringz00_482;
BgL_stringz00_482 = BGl_string1494z00zz__calendar_utilsz00; 
{ /* Llib/utils.scm 15 */
 obj_t BgL_startz00_483;
BgL_startz00_483 = 
BINT(((long)0)); 
{ /* Llib/utils.scm 15 */
 obj_t BgL_endz00_484;
BgL_endz00_484 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_482))); 
{ /* Llib/utils.scm 15 */

BgL_cportz00_474 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_482, BgL_startz00_483, BgL_endz00_484); } } } } 
{ 
 long BgL_iz00_475;
BgL_iz00_475 = ((long)1); 
BgL_loopz00_476:
if(
(BgL_iz00_475==((long)-1)))
{ /* Llib/utils.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/utils.scm 15 */
{ /* Llib/utils.scm 15 */
 obj_t BgL_arg1534z00_478;
{ /* Llib/utils.scm 15 */

{ /* Llib/utils.scm 15 */
 obj_t BgL_locationz00_480;
BgL_locationz00_480 = 
BBOOL(((bool_t)0)); 
{ /* Llib/utils.scm 15 */

BgL_arg1534z00_478 = 
BGl_readz00zz__readerz00(BgL_cportz00_474, BgL_locationz00_480); } } } 
{ /* Llib/utils.scm 15 */
 int BgL_tmpz00_790;
BgL_tmpz00_790 = 
(int)(BgL_iz00_475); 
CNST_TABLE_SET(BgL_tmpz00_790, BgL_arg1534z00_478); } } 
{ /* Llib/utils.scm 15 */
 int BgL_auxz00_481;
BgL_auxz00_481 = 
(int)(
(BgL_iz00_475-((long)1))); 
{ 
 long BgL_iz00_795;
BgL_iz00_795 = 
(long)(BgL_auxz00_481); 
BgL_iz00_475 = BgL_iz00_795; 
goto BgL_loopz00_476;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* calendar-insert! */
BGL_EXPORTED_DEF obj_t BGl_calendarzd2insertz12zc0zz__calendar_utilsz00(BgL_calendarz00_bglt BgL_calz00_3, BgL_caleventz00_bglt BgL_cez00_4)
{
{ /* Llib/utils.scm 29 */
{ /* Llib/utils.scm 32 */
 bool_t BgL_test1573z00_798;
{ /* Llib/utils.scm 32 */
 bool_t BgL_test1574z00_799;
{ /* Llib/utils.scm 32 */
 obj_t BgL_tmpz00_800;
BgL_tmpz00_800 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_cez00_4))->BgL_dtstartz00); 
BgL_test1574z00_799 = 
BGL_DATEP(BgL_tmpz00_800); } 
if(BgL_test1574z00_799)
{ /* Llib/utils.scm 32 */
BgL_test1573z00_798 = 
NULLP(
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00))
; }  else 
{ /* Llib/utils.scm 32 */
BgL_test1573z00_798 = ((bool_t)1)
; } } 
if(BgL_test1573z00_798)
{ 
 obj_t BgL_auxz00_805;
{ /* Llib/utils.scm 33 */
 obj_t BgL_arg1119z00_30;
BgL_arg1119z00_30 = 
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00); 
BgL_auxz00_805 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_cez00_4), BgL_arg1119z00_30); } 
return 
((((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00)=((obj_t)BgL_auxz00_805),BUNSPEC);}  else 
{ /* Llib/utils.scm 34 */
 long BgL_d1z00_31;
{ /* Llib/utils.scm 34 */
 obj_t BgL_arg1154z00_63;
BgL_arg1154z00_63 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_cez00_4))->BgL_dtstartz00); 
{ /* Llib/utils.scm 34 */
 obj_t BgL_datez00_217;
if(
BGL_DATEP(BgL_arg1154z00_63))
{ /* Llib/utils.scm 34 */
BgL_datez00_217 = BgL_arg1154z00_63; }  else 
{ 
 obj_t BgL_auxz00_813;
BgL_auxz00_813 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)1783)), BGl_string1469z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1154z00_63); 
FAILURE(BgL_auxz00_813,BFALSE,BFALSE);} 
BgL_d1z00_31 = 
bgl_date_to_seconds(BgL_datez00_217); } } 
{ /* Llib/utils.scm 38 */
 obj_t BgL_g1054z00_38;
{ /* Llib/utils.scm 38 */
 obj_t BgL_pairz00_222;
{ /* Llib/utils.scm 38 */
 obj_t BgL_aux1366z00_364;
BgL_aux1366z00_364 = 
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00); 
if(
NULLP(BgL_aux1366z00_364))
{ 
 obj_t BgL_auxz00_821;
BgL_auxz00_821 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)1972)), BGl_string1469z00zz__calendar_utilsz00, BGl_string1471z00zz__calendar_utilsz00, BgL_aux1366z00_364); 
FAILURE(BgL_auxz00_821,BFALSE,BFALSE);}  else 
{ /* Llib/utils.scm 38 */
BgL_pairz00_222 = BgL_aux1366z00_364; } } 
BgL_g1054z00_38 = 
CDR(BgL_pairz00_222); } 
{ 
 obj_t BgL_eventsz00_41; obj_t BgL_prevz00_42;
BgL_eventsz00_41 = BgL_g1054z00_38; 
BgL_prevz00_42 = 
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_3))->BgL_eventsz00); 
BgL_zc3z04anonymousza31129ze3z87_43:
if(
NULLP(BgL_eventsz00_41))
{ /* Llib/utils.scm 41 */
 obj_t BgL_arg1131z00_45;
{ /* Llib/utils.scm 41 */
 obj_t BgL_list1132z00_46;
BgL_list1132z00_46 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_cez00_4), BNIL); 
BgL_arg1131z00_45 = BgL_list1132z00_46; } 
{ /* Llib/utils.scm 41 */
 obj_t BgL_pairz00_224;
if(
PAIRP(BgL_prevz00_42))
{ /* Llib/utils.scm 41 */
BgL_pairz00_224 = BgL_prevz00_42; }  else 
{ 
 obj_t BgL_auxz00_832;
BgL_auxz00_832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2050)), BGl_string1472z00zz__calendar_utilsz00, BGl_string1471z00zz__calendar_utilsz00, BgL_prevz00_42); 
FAILURE(BgL_auxz00_832,BFALSE,BFALSE);} 
return 
SET_CDR(BgL_pairz00_224, BgL_arg1131z00_45);} }  else 
{ /* Llib/utils.scm 42 */
 BgL_caleventz00_bglt BgL_i1055z00_47;
{ /* Llib/utils.scm 42 */
 obj_t BgL_pairz00_225;
if(
PAIRP(BgL_eventsz00_41))
{ /* Llib/utils.scm 42 */
BgL_pairz00_225 = BgL_eventsz00_41; }  else 
{ 
 obj_t BgL_auxz00_839;
BgL_auxz00_839 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2103)), BGl_string1472z00zz__calendar_utilsz00, BGl_string1471z00zz__calendar_utilsz00, BgL_eventsz00_41); 
FAILURE(BgL_auxz00_839,BFALSE,BFALSE);} 
{ /* Llib/utils.scm 42 */
 obj_t BgL_aux1380z00_370;
BgL_aux1380z00_370 = 
CAR(BgL_pairz00_225); 
{ /* Llib/utils.scm 42 */
 bool_t BgL_test1580z00_844;
{ /* Llib/utils.scm 42 */
 obj_t BgL_classz00_486;
BgL_classz00_486 = BGl_caleventz00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_aux1380z00_370))
{ /* Llib/utils.scm 42 */
 BgL_objectz00_bglt BgL_arg1791z00_488; long BgL_arg1792z00_489;
BgL_arg1791z00_488 = 
(BgL_objectz00_bglt)(BgL_aux1380z00_370); 
BgL_arg1792z00_489 = 
BGL_CLASS_DEPTH(BgL_classz00_486); 
{ /* Llib/utils.scm 42 */
 bool_t BgL_arg1786z00_493; bool_t BgL_arg1787z00_494;
{ /* Llib/utils.scm 42 */
 long BgL_idxz00_498;
BgL_idxz00_498 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_488); 
{ /* Llib/utils.scm 42 */
 obj_t BgL_arg1783z00_499;
{ /* Llib/utils.scm 42 */
 long BgL_arg1784z00_500;
BgL_arg1784z00_500 = 
(BgL_idxz00_498+BgL_arg1792z00_489); 
BgL_arg1783z00_499 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_500); } 
BgL_arg1786z00_493 = 
(BgL_arg1783z00_499==BgL_classz00_486); } } 
{ /* Llib/utils.scm 42 */
 bool_t BgL_res1535z00_523;
{ /* Llib/utils.scm 42 */
 obj_t BgL_oclassz00_508;
{ /* Llib/utils.scm 42 */
 long BgL_arg1796z00_514;
{ /* Llib/utils.scm 42 */
 long BgL_arg1797z00_515;
BgL_arg1797z00_515 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_488); 
BgL_arg1796z00_514 = 
(BgL_arg1797z00_515-OBJECT_TYPE); } 
BgL_oclassz00_508 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_514); } 
{ /* Llib/utils.scm 42 */
 bool_t BgL__ortest_1111z00_509;
BgL__ortest_1111z00_509 = 
(BgL_classz00_486==BgL_oclassz00_508); 
if(BgL__ortest_1111z00_509)
{ /* Llib/utils.scm 42 */
BgL_res1535z00_523 = BgL__ortest_1111z00_509; }  else 
{ /* Llib/utils.scm 42 */
 long BgL_odepthz00_510;
BgL_odepthz00_510 = 
BGL_CLASS_DEPTH(BgL_oclassz00_508); 
if(
(BgL_arg1792z00_489<BgL_odepthz00_510))
{ /* Llib/utils.scm 42 */
 obj_t BgL_arg1785z00_512;
BgL_arg1785z00_512 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_508, BgL_arg1792z00_489); 
BgL_res1535z00_523 = 
(BgL_arg1785z00_512==BgL_classz00_486); }  else 
{ /* Llib/utils.scm 42 */
BgL_res1535z00_523 = ((bool_t)0); } } } } 
BgL_arg1787z00_494 = BgL_res1535z00_523; } 
BgL_test1580z00_844 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_493, BgL_arg1787z00_494); } }  else 
{ /* Llib/utils.scm 42 */
BgL_test1580z00_844 = ((bool_t)0)
; } } 
if(BgL_test1580z00_844)
{ /* Llib/utils.scm 42 */
BgL_i1055z00_47 = 
((BgL_caleventz00_bglt)BgL_aux1380z00_370); }  else 
{ 
 obj_t BgL_auxz00_865;
BgL_auxz00_865 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2098)), BGl_string1472z00zz__calendar_utilsz00, BGl_string1473z00zz__calendar_utilsz00, BgL_aux1380z00_370); 
FAILURE(BgL_auxz00_865,BFALSE,BFALSE);} } } } 
{ /* Llib/utils.scm 43 */
 bool_t BgL_test1587z00_869;
{ /* Llib/utils.scm 43 */
 obj_t BgL_tmpz00_870;
BgL_tmpz00_870 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1055z00_47))->BgL_dtstartz00); 
BgL_test1587z00_869 = 
BGL_DATEP(BgL_tmpz00_870); } 
if(BgL_test1587z00_869)
{ /* Llib/utils.scm 46 */
 long BgL_d2z00_50;
{ /* Llib/utils.scm 46 */
 obj_t BgL_arg1144z00_54;
BgL_arg1144z00_54 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1055z00_47))->BgL_dtstartz00); 
{ /* Llib/utils.scm 46 */
 obj_t BgL_datez00_226;
if(
BGL_DATEP(BgL_arg1144z00_54))
{ /* Llib/utils.scm 46 */
BgL_datez00_226 = BgL_arg1144z00_54; }  else 
{ 
 obj_t BgL_auxz00_876;
BgL_auxz00_876 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2230)), BGl_string1472z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1144z00_54); 
FAILURE(BgL_auxz00_876,BFALSE,BFALSE);} 
BgL_d2z00_50 = 
bgl_date_to_seconds(BgL_datez00_226); } } 
if(
(BgL_d2z00_50>BgL_d1z00_31))
{ /* Llib/utils.scm 48 */
 obj_t BgL_arg1142z00_52;
BgL_arg1142z00_52 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_cez00_4), BgL_eventsz00_41); 
{ /* Llib/utils.scm 48 */
 obj_t BgL_pairz00_229;
if(
PAIRP(BgL_prevz00_42))
{ /* Llib/utils.scm 48 */
BgL_pairz00_229 = BgL_prevz00_42; }  else 
{ 
 obj_t BgL_auxz00_887;
BgL_auxz00_887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2284)), BGl_string1472z00zz__calendar_utilsz00, BGl_string1471z00zz__calendar_utilsz00, BgL_prevz00_42); 
FAILURE(BgL_auxz00_887,BFALSE,BFALSE);} 
return 
SET_CDR(BgL_pairz00_229, BgL_arg1142z00_52);} }  else 
{ /* Llib/utils.scm 49 */
 obj_t BgL_arg1143z00_53;
{ /* Llib/utils.scm 49 */
 obj_t BgL_pairz00_230;
if(
PAIRP(BgL_eventsz00_41))
{ /* Llib/utils.scm 49 */
BgL_pairz00_230 = BgL_eventsz00_41; }  else 
{ 
 obj_t BgL_auxz00_894;
BgL_auxz00_894 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2327)), BGl_string1472z00zz__calendar_utilsz00, BGl_string1471z00zz__calendar_utilsz00, BgL_eventsz00_41); 
FAILURE(BgL_auxz00_894,BFALSE,BFALSE);} 
BgL_arg1143z00_53 = 
CDR(BgL_pairz00_230); } 
{ 
 obj_t BgL_prevz00_900; obj_t BgL_eventsz00_899;
BgL_eventsz00_899 = BgL_arg1143z00_53; 
BgL_prevz00_900 = BgL_eventsz00_41; 
BgL_prevz00_42 = BgL_prevz00_900; 
BgL_eventsz00_41 = BgL_eventsz00_899; 
goto BgL_zc3z04anonymousza31129ze3z87_43;} } }  else 
{ /* Llib/utils.scm 44 */
 obj_t BgL_arg1145z00_55;
{ /* Llib/utils.scm 44 */
 obj_t BgL_pairz00_231;
if(
PAIRP(BgL_eventsz00_41))
{ /* Llib/utils.scm 44 */
BgL_pairz00_231 = BgL_eventsz00_41; }  else 
{ 
 obj_t BgL_auxz00_903;
BgL_auxz00_903 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2172)), BGl_string1472z00zz__calendar_utilsz00, BGl_string1471z00zz__calendar_utilsz00, BgL_eventsz00_41); 
FAILURE(BgL_auxz00_903,BFALSE,BFALSE);} 
BgL_arg1145z00_55 = 
CDR(BgL_pairz00_231); } 
{ 
 obj_t BgL_prevz00_909; obj_t BgL_eventsz00_908;
BgL_eventsz00_908 = BgL_arg1145z00_55; 
BgL_prevz00_909 = BgL_eventsz00_41; 
BgL_prevz00_42 = BgL_prevz00_909; 
BgL_eventsz00_41 = BgL_eventsz00_908; 
goto BgL_zc3z04anonymousza31129ze3z87_43;} } } } } } } } } 

}



/* &calendar-insert! */
obj_t BGl_z62calendarzd2insertz12za2zz__calendar_utilsz00(obj_t BgL_envz00_344, obj_t BgL_calz00_345, obj_t BgL_cez00_346)
{
{ /* Llib/utils.scm 29 */
{ /* Llib/utils.scm 30 */
 BgL_caleventz00_bglt BgL_auxz00_919; BgL_calendarz00_bglt BgL_auxz00_911;
if(
BGl_isazf3zf3zz__objectz00(BgL_cez00_346, BGl_caleventz00zz__calendar_typesz00))
{ /* Llib/utils.scm 30 */
BgL_auxz00_919 = 
((BgL_caleventz00_bglt)BgL_cez00_346)
; }  else 
{ 
 obj_t BgL_auxz00_923;
BgL_auxz00_923 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)1589)), BGl_string1474z00zz__calendar_utilsz00, BGl_string1473z00zz__calendar_utilsz00, BgL_cez00_346); 
FAILURE(BgL_auxz00_923,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_calz00_345, BGl_calendarz00zz__calendar_typesz00))
{ /* Llib/utils.scm 30 */
BgL_auxz00_911 = 
((BgL_calendarz00_bglt)BgL_calz00_345)
; }  else 
{ 
 obj_t BgL_auxz00_915;
BgL_auxz00_915 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)1589)), BGl_string1474z00zz__calendar_utilsz00, BGl_string1475z00zz__calendar_utilsz00, BgL_calz00_345); 
FAILURE(BgL_auxz00_915,BFALSE,BFALSE);} 
return 
BGl_calendarzd2insertz12zc0zz__calendar_utilsz00(BgL_auxz00_911, BgL_auxz00_919);} } 

}



/* calendar-sort! */
BGL_EXPORTED_DEF obj_t BGl_calendarzd2sortz12zc0zz__calendar_utilsz00(BgL_calendarz00_bglt BgL_calz00_5)
{
{ /* Llib/utils.scm 55 */
{ 
 obj_t BgL_auxz00_928;
{ /* Llib/utils.scm 58 */
 obj_t BgL_arg1162z00_68;
BgL_arg1162z00_68 = 
(((BgL_calendarz00_bglt)COBJECT(BgL_calz00_5))->BgL_eventsz00); 
{ /* Llib/utils.scm 58 */
 obj_t BgL_aux1394z00_390;
BgL_aux1394z00_390 = 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_arg1162z00_68, BGl_proc1476z00zz__calendar_utilsz00); 
{ /* Llib/utils.scm 58 */
 bool_t BgL_test1595z00_931;
if(
PAIRP(BgL_aux1394z00_390))
{ /* Llib/utils.scm 58 */
BgL_test1595z00_931 = ((bool_t)1)
; }  else 
{ /* Llib/utils.scm 58 */
BgL_test1595z00_931 = 
NULLP(BgL_aux1394z00_390)
; } 
if(BgL_test1595z00_931)
{ /* Llib/utils.scm 58 */
BgL_auxz00_928 = BgL_aux1394z00_390
; }  else 
{ 
 obj_t BgL_auxz00_935;
BgL_auxz00_935 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2689)), BGl_string1477z00zz__calendar_utilsz00, BGl_string1478z00zz__calendar_utilsz00, BgL_aux1394z00_390); 
FAILURE(BgL_auxz00_935,BFALSE,BFALSE);} } } } 
((((BgL_calendarz00_bglt)COBJECT(BgL_calz00_5))->BgL_eventsz00)=((obj_t)BgL_auxz00_928),BUNSPEC); } 
return 
((obj_t)BgL_calz00_5);} 

}



/* &calendar-sort! */
obj_t BGl_z62calendarzd2sortz12za2zz__calendar_utilsz00(obj_t BgL_envz00_348, obj_t BgL_calz00_349)
{
{ /* Llib/utils.scm 55 */
{ /* Llib/utils.scm 56 */
 BgL_calendarz00_bglt BgL_auxz00_941;
if(
BGl_isazf3zf3zz__objectz00(BgL_calz00_349, BGl_calendarz00zz__calendar_typesz00))
{ /* Llib/utils.scm 56 */
BgL_auxz00_941 = 
((BgL_calendarz00_bglt)BgL_calz00_349)
; }  else 
{ 
 obj_t BgL_auxz00_945;
BgL_auxz00_945 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2629)), BGl_string1479z00zz__calendar_utilsz00, BGl_string1475z00zz__calendar_utilsz00, BgL_calz00_349); 
FAILURE(BgL_auxz00_945,BFALSE,BFALSE);} 
return 
BGl_calendarzd2sortz12zc0zz__calendar_utilsz00(BgL_auxz00_941);} } 

}



/* &<@anonymous:1164> */
obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__calendar_utilsz00(obj_t BgL_envz00_350, obj_t BgL_e1z00_351, obj_t BgL_e2z00_352)
{
{ /* Llib/utils.scm 59 */
{ /* Llib/utils.scm 60 */
 bool_t BgL_tmpz00_950;
{ /* Llib/utils.scm 60 */
 BgL_caleventz00_bglt BgL_i1057z00_601;
{ /* Llib/utils.scm 61 */
 bool_t BgL_test1598z00_951;
{ /* Llib/utils.scm 61 */
 obj_t BgL_classz00_602;
BgL_classz00_602 = BGl_caleventz00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_e1z00_351))
{ /* Llib/utils.scm 61 */
 BgL_objectz00_bglt BgL_arg1791z00_604; long BgL_arg1792z00_605;
BgL_arg1791z00_604 = 
(BgL_objectz00_bglt)(BgL_e1z00_351); 
BgL_arg1792z00_605 = 
BGL_CLASS_DEPTH(BgL_classz00_602); 
{ /* Llib/utils.scm 61 */
 bool_t BgL_arg1786z00_609; bool_t BgL_arg1787z00_610;
{ /* Llib/utils.scm 61 */
 long BgL_idxz00_614;
BgL_idxz00_614 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_604); 
{ /* Llib/utils.scm 61 */
 obj_t BgL_arg1783z00_615;
{ /* Llib/utils.scm 61 */
 long BgL_arg1784z00_616;
BgL_arg1784z00_616 = 
(BgL_idxz00_614+BgL_arg1792z00_605); 
BgL_arg1783z00_615 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_616); } 
BgL_arg1786z00_609 = 
(BgL_arg1783z00_615==BgL_classz00_602); } } 
{ /* Llib/utils.scm 61 */
 bool_t BgL_res1536z00_621;
{ /* Llib/utils.scm 61 */
 obj_t BgL_oclassz00_625;
{ /* Llib/utils.scm 61 */
 long BgL_arg1796z00_627;
{ /* Llib/utils.scm 61 */
 long BgL_arg1797z00_628;
BgL_arg1797z00_628 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_604); 
BgL_arg1796z00_627 = 
(BgL_arg1797z00_628-OBJECT_TYPE); } 
BgL_oclassz00_625 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_627); } 
{ /* Llib/utils.scm 61 */
 bool_t BgL__ortest_1111z00_634;
BgL__ortest_1111z00_634 = 
(BgL_classz00_602==BgL_oclassz00_625); 
if(BgL__ortest_1111z00_634)
{ /* Llib/utils.scm 61 */
BgL_res1536z00_621 = BgL__ortest_1111z00_634; }  else 
{ /* Llib/utils.scm 61 */
 long BgL_odepthz00_635;
BgL_odepthz00_635 = 
BGL_CLASS_DEPTH(BgL_oclassz00_625); 
if(
(BgL_arg1792z00_605<BgL_odepthz00_635))
{ /* Llib/utils.scm 61 */
 obj_t BgL_arg1785z00_639;
BgL_arg1785z00_639 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_625, BgL_arg1792z00_605); 
BgL_res1536z00_621 = 
(BgL_arg1785z00_639==BgL_classz00_602); }  else 
{ /* Llib/utils.scm 61 */
BgL_res1536z00_621 = ((bool_t)0); } } } } 
BgL_arg1787z00_610 = BgL_res1536z00_621; } 
BgL_test1598z00_951 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_609, BgL_arg1787z00_610); } }  else 
{ /* Llib/utils.scm 61 */
BgL_test1598z00_951 = ((bool_t)0)
; } } 
if(BgL_test1598z00_951)
{ /* Llib/utils.scm 61 */
BgL_i1057z00_601 = 
((BgL_caleventz00_bglt)BgL_e1z00_351); }  else 
{ 
 obj_t BgL_auxz00_972;
BgL_auxz00_972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2773)), BGl_string1480z00zz__calendar_utilsz00, BGl_string1473z00zz__calendar_utilsz00, BgL_e1z00_351); 
FAILURE(BgL_auxz00_972,BFALSE,BFALSE);} } 
{ /* Llib/utils.scm 61 */
 BgL_caleventz00_bglt BgL_i1058z00_640;
{ /* Llib/utils.scm 62 */
 bool_t BgL_test1604z00_976;
{ /* Llib/utils.scm 62 */
 obj_t BgL_classz00_641;
BgL_classz00_641 = BGl_caleventz00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_e2z00_352))
{ /* Llib/utils.scm 62 */
 BgL_objectz00_bglt BgL_arg1791z00_643; long BgL_arg1792z00_644;
BgL_arg1791z00_643 = 
(BgL_objectz00_bglt)(BgL_e2z00_352); 
BgL_arg1792z00_644 = 
BGL_CLASS_DEPTH(BgL_classz00_641); 
{ /* Llib/utils.scm 62 */
 bool_t BgL_arg1786z00_648; bool_t BgL_arg1787z00_649;
{ /* Llib/utils.scm 62 */
 long BgL_idxz00_653;
BgL_idxz00_653 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_643); 
{ /* Llib/utils.scm 62 */
 obj_t BgL_arg1783z00_654;
{ /* Llib/utils.scm 62 */
 long BgL_arg1784z00_655;
BgL_arg1784z00_655 = 
(BgL_idxz00_653+BgL_arg1792z00_644); 
BgL_arg1783z00_654 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_655); } 
BgL_arg1786z00_648 = 
(BgL_arg1783z00_654==BgL_classz00_641); } } 
{ /* Llib/utils.scm 62 */
 bool_t BgL_res1537z00_660;
{ /* Llib/utils.scm 62 */
 obj_t BgL_oclassz00_664;
{ /* Llib/utils.scm 62 */
 long BgL_arg1796z00_666;
{ /* Llib/utils.scm 62 */
 long BgL_arg1797z00_667;
BgL_arg1797z00_667 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_643); 
BgL_arg1796z00_666 = 
(BgL_arg1797z00_667-OBJECT_TYPE); } 
BgL_oclassz00_664 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_666); } 
{ /* Llib/utils.scm 62 */
 bool_t BgL__ortest_1111z00_673;
BgL__ortest_1111z00_673 = 
(BgL_classz00_641==BgL_oclassz00_664); 
if(BgL__ortest_1111z00_673)
{ /* Llib/utils.scm 62 */
BgL_res1537z00_660 = BgL__ortest_1111z00_673; }  else 
{ /* Llib/utils.scm 62 */
 long BgL_odepthz00_674;
BgL_odepthz00_674 = 
BGL_CLASS_DEPTH(BgL_oclassz00_664); 
if(
(BgL_arg1792z00_644<BgL_odepthz00_674))
{ /* Llib/utils.scm 62 */
 obj_t BgL_arg1785z00_678;
BgL_arg1785z00_678 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_664, BgL_arg1792z00_644); 
BgL_res1537z00_660 = 
(BgL_arg1785z00_678==BgL_classz00_641); }  else 
{ /* Llib/utils.scm 62 */
BgL_res1537z00_660 = ((bool_t)0); } } } } 
BgL_arg1787z00_649 = BgL_res1537z00_660; } 
BgL_test1604z00_976 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_648, BgL_arg1787z00_649); } }  else 
{ /* Llib/utils.scm 62 */
BgL_test1604z00_976 = ((bool_t)0)
; } } 
if(BgL_test1604z00_976)
{ /* Llib/utils.scm 62 */
BgL_i1058z00_640 = 
((BgL_caleventz00_bglt)BgL_e2z00_352); }  else 
{ 
 obj_t BgL_auxz00_997;
BgL_auxz00_997 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2825)), BGl_string1480z00zz__calendar_utilsz00, BGl_string1473z00zz__calendar_utilsz00, BgL_e2z00_352); 
FAILURE(BgL_auxz00_997,BFALSE,BFALSE);} } 
{ /* Llib/utils.scm 62 */
 bool_t BgL_test1608z00_1001;
{ /* Llib/utils.scm 62 */
 obj_t BgL_tmpz00_1002;
BgL_tmpz00_1002 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1057z00_601))->BgL_dtstartz00); 
BgL_test1608z00_1001 = 
BGL_DATEP(BgL_tmpz00_1002); } 
if(BgL_test1608z00_1001)
{ /* Llib/utils.scm 62 */
 bool_t BgL_test1609z00_1005;
{ /* Llib/utils.scm 62 */
 obj_t BgL_tmpz00_1006;
BgL_tmpz00_1006 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1058z00_640))->BgL_dtstartz00); 
BgL_test1609z00_1005 = 
BGL_DATEP(BgL_tmpz00_1006); } 
if(BgL_test1609z00_1005)
{ /* Llib/utils.scm 63 */
 long BgL_arg1167z00_679; long BgL_arg1171z00_680;
{ /* Llib/utils.scm 63 */
 obj_t BgL_arg1172z00_681;
BgL_arg1172z00_681 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1057z00_601))->BgL_dtstartz00); 
{ /* Llib/utils.scm 63 */
 obj_t BgL_datez00_682;
if(
BGL_DATEP(BgL_arg1172z00_681))
{ /* Llib/utils.scm 63 */
BgL_datez00_682 = BgL_arg1172z00_681; }  else 
{ 
 obj_t BgL_auxz00_1012;
BgL_auxz00_1012 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2874)), BGl_string1480z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1172z00_681); 
FAILURE(BgL_auxz00_1012,BFALSE,BFALSE);} 
BgL_arg1167z00_679 = 
bgl_date_to_seconds(BgL_datez00_682); } } 
{ /* Llib/utils.scm 64 */
 obj_t BgL_arg1175z00_683;
BgL_arg1175z00_683 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_i1058z00_640))->BgL_dtstartz00); 
{ /* Llib/utils.scm 64 */
 obj_t BgL_datez00_684;
if(
BGL_DATEP(BgL_arg1175z00_683))
{ /* Llib/utils.scm 64 */
BgL_datez00_684 = BgL_arg1175z00_683; }  else 
{ 
 obj_t BgL_auxz00_1020;
BgL_auxz00_1020 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)2898)), BGl_string1480z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1175z00_683); 
FAILURE(BgL_auxz00_1020,BFALSE,BFALSE);} 
BgL_arg1171z00_680 = 
bgl_date_to_seconds(BgL_datez00_684); } } 
BgL_tmpz00_950 = 
(BgL_arg1167z00_679<BgL_arg1171z00_680); }  else 
{ /* Llib/utils.scm 62 */
BgL_tmpz00_950 = ((bool_t)0)
; } }  else 
{ /* Llib/utils.scm 62 */
BgL_tmpz00_950 = ((bool_t)0)
; } } } } 
return 
BBOOL(BgL_tmpz00_950);} } 

}



/* is-day? */
bool_t BGl_iszd2dayzf3z21zz__calendar_utilsz00(obj_t BgL_dayz00_6, obj_t BgL_dz00_7)
{
{ /* Llib/utils.scm 70 */
{ /* Llib/utils.scm 71 */
 bool_t BgL_test1612z00_1027;
{ /* Llib/utils.scm 71 */
 int BgL_arg1185z00_90; int BgL_arg1186z00_91;
{ /* Llib/utils.scm 71 */
 obj_t BgL_dz00_236;
if(
BGL_DATEP(BgL_dayz00_6))
{ /* Llib/utils.scm 71 */
BgL_dz00_236 = BgL_dayz00_6; }  else 
{ 
 obj_t BgL_auxz00_1030;
BgL_auxz00_1030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3192)), BGl_string1481z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dayz00_6); 
FAILURE(BgL_auxz00_1030,BFALSE,BFALSE);} 
BgL_arg1185z00_90 = 
BGL_DATE_YEAR(BgL_dz00_236); } 
BgL_arg1186z00_91 = 
BGL_DATE_YEAR(BgL_dz00_7); 
BgL_test1612z00_1027 = 
(
(long)(BgL_arg1185z00_90)==
(long)(BgL_arg1186z00_91)); } 
if(BgL_test1612z00_1027)
{ /* Llib/utils.scm 72 */
 bool_t BgL_test1615z00_1039;
{ /* Llib/utils.scm 72 */
 int BgL_arg1182z00_88; int BgL_arg1184z00_89;
{ /* Llib/utils.scm 72 */
 obj_t BgL_dz00_240;
if(
BGL_DATEP(BgL_dayz00_6))
{ /* Llib/utils.scm 72 */
BgL_dz00_240 = BgL_dayz00_6; }  else 
{ 
 obj_t BgL_auxz00_1042;
BgL_auxz00_1042 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3230)), BGl_string1481z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dayz00_6); 
FAILURE(BgL_auxz00_1042,BFALSE,BFALSE);} 
BgL_arg1182z00_88 = 
BGL_DATE_MONTH(BgL_dz00_240); } 
BgL_arg1184z00_89 = 
BGL_DATE_MONTH(BgL_dz00_7); 
BgL_test1615z00_1039 = 
(
(long)(BgL_arg1182z00_88)==
(long)(BgL_arg1184z00_89)); } 
if(BgL_test1615z00_1039)
{ /* Llib/utils.scm 73 */
 int BgL_arg1180z00_86; int BgL_arg1181z00_87;
{ /* Llib/utils.scm 73 */
 obj_t BgL_dz00_244;
if(
BGL_DATEP(BgL_dayz00_6))
{ /* Llib/utils.scm 73 */
BgL_dz00_244 = BgL_dayz00_6; }  else 
{ 
 obj_t BgL_auxz00_1053;
BgL_auxz00_1053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3267)), BGl_string1481z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dayz00_6); 
FAILURE(BgL_auxz00_1053,BFALSE,BFALSE);} 
BgL_arg1180z00_86 = 
BGL_DATE_DAY(BgL_dz00_244); } 
BgL_arg1181z00_87 = 
BGL_DATE_DAY(BgL_dz00_7); 
return 
(
(long)(BgL_arg1180z00_86)==
(long)(BgL_arg1181z00_87));}  else 
{ /* Llib/utils.scm 72 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 71 */
return ((bool_t)0);} } } 

}



/* simple-during-day? */
bool_t BGl_simplezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt BgL_ez00_8, obj_t BgL_dz00_9)
{
{ /* Llib/utils.scm 78 */
{ /* Llib/utils.scm 80 */
 bool_t BgL_test1619z00_1062;
{ /* Llib/utils.scm 80 */
 obj_t BgL_tmpz00_1063;
BgL_tmpz00_1063 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtstartz00); 
BgL_test1619z00_1062 = 
BGL_DATEP(BgL_tmpz00_1063); } 
if(BgL_test1619z00_1062)
{ /* Llib/utils.scm 81 */
 bool_t BgL__ortest_1065z00_94;
BgL__ortest_1065z00_94 = 
BGl_iszd2dayzf3z21zz__calendar_utilsz00(
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtstartz00), BgL_dz00_9); 
if(BgL__ortest_1065z00_94)
{ /* Llib/utils.scm 81 */
return BgL__ortest_1065z00_94;}  else 
{ /* Llib/utils.scm 82 */
 bool_t BgL_test1621z00_1069;
{ /* Llib/utils.scm 82 */
 obj_t BgL_tmpz00_1070;
BgL_tmpz00_1070 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
BgL_test1621z00_1069 = 
BGL_DATEP(BgL_tmpz00_1070); } 
if(BgL_test1621z00_1069)
{ /* Llib/utils.scm 83 */
 bool_t BgL_test1623z00_1073;
{ /* Llib/utils.scm 83 */
 bool_t BgL__ortest_1079z00_105;
{ /* Llib/utils.scm 83 */
 int BgL_arg1211z00_114;
{ /* Llib/utils.scm 83 */
 obj_t BgL_arg1213z00_115;
BgL_arg1213z00_115 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 83 */
 obj_t BgL_dz00_248;
if(
BGL_DATEP(BgL_arg1213z00_115))
{ /* Llib/utils.scm 83 */
BgL_dz00_248 = BgL_arg1213z00_115; }  else 
{ 
 obj_t BgL_auxz00_1077;
BgL_auxz00_1077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3712)), BGl_string1482z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1213z00_115); 
FAILURE(BgL_auxz00_1077,BFALSE,BFALSE);} 
BgL_arg1211z00_114 = 
BGL_DATE_HOUR(BgL_dz00_248); } } 
BgL__ortest_1079z00_105 = 
(
(long)(BgL_arg1211z00_114)>((long)0)); } 
if(BgL__ortest_1079z00_105)
{ /* Llib/utils.scm 83 */
BgL_test1623z00_1073 = BgL__ortest_1079z00_105
; }  else 
{ /* Llib/utils.scm 84 */
 bool_t BgL__ortest_1080z00_106;
{ /* Llib/utils.scm 84 */
 int BgL_arg1206z00_112;
{ /* Llib/utils.scm 84 */
 obj_t BgL_arg1207z00_113;
BgL_arg1207z00_113 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 84 */
 obj_t BgL_dz00_250;
if(
BGL_DATEP(BgL_arg1207z00_113))
{ /* Llib/utils.scm 84 */
BgL_dz00_250 = BgL_arg1207z00_113; }  else 
{ 
 obj_t BgL_auxz00_1088;
BgL_auxz00_1088 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3743)), BGl_string1482z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1207z00_113); 
FAILURE(BgL_auxz00_1088,BFALSE,BFALSE);} 
BgL_arg1206z00_112 = 
BGL_DATE_MINUTE(BgL_dz00_250); } } 
BgL__ortest_1080z00_106 = 
(
(long)(BgL_arg1206z00_112)>((long)0)); } 
if(BgL__ortest_1080z00_106)
{ /* Llib/utils.scm 84 */
BgL_test1623z00_1073 = BgL__ortest_1080z00_106
; }  else 
{ /* Llib/utils.scm 85 */
 bool_t BgL__ortest_1081z00_107;
{ /* Llib/utils.scm 85 */
 int BgL_arg1202z00_110;
{ /* Llib/utils.scm 85 */
 obj_t BgL_arg1205z00_111;
BgL_arg1205z00_111 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 85 */
 obj_t BgL_dz00_252;
if(
BGL_DATEP(BgL_arg1205z00_111))
{ /* Llib/utils.scm 85 */
BgL_dz00_252 = BgL_arg1205z00_111; }  else 
{ 
 obj_t BgL_auxz00_1099;
BgL_auxz00_1099 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3774)), BGl_string1482z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1205z00_111); 
FAILURE(BgL_auxz00_1099,BFALSE,BFALSE);} 
BgL_arg1202z00_110 = 
BGL_DATE_SECOND(BgL_dz00_252); } } 
BgL__ortest_1081z00_107 = 
(
(long)(BgL_arg1202z00_110)>((long)0)); } 
if(BgL__ortest_1081z00_107)
{ /* Llib/utils.scm 85 */
BgL_test1623z00_1073 = BgL__ortest_1081z00_107
; }  else 
{ /* Llib/utils.scm 86 */
 int BgL_arg1200z00_108;
{ /* Llib/utils.scm 86 */
 obj_t BgL_arg1201z00_109;
BgL_arg1201z00_109 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 86 */
 obj_t BgL_dz00_254;
if(
BGL_DATEP(BgL_arg1201z00_109))
{ /* Llib/utils.scm 86 */
BgL_dz00_254 = BgL_arg1201z00_109; }  else 
{ 
 obj_t BgL_auxz00_1110;
BgL_auxz00_1110 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3802)), BGl_string1482z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1201z00_109); 
FAILURE(BgL_auxz00_1110,BFALSE,BFALSE);} 
BgL_arg1200z00_108 = 
BGL_DATE_DAY(BgL_dz00_254); } } 
BgL_test1623z00_1073 = 
(
(long)(BgL_arg1200z00_108)>((long)0)); } } } } 
if(BgL_test1623z00_1073)
{ /* Llib/utils.scm 87 */
 long BgL_dsz00_97;
BgL_dsz00_97 = 
bgl_date_to_seconds(BgL_dz00_9); 
{ /* Llib/utils.scm 88 */
 bool_t BgL__ortest_1082z00_98;
BgL__ortest_1082z00_98 = 
BGl_iszd2dayzf3z21zz__calendar_utilsz00(
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00), BgL_dz00_9); 
if(BgL__ortest_1082z00_98)
{ /* Llib/utils.scm 88 */
return BgL__ortest_1082z00_98;}  else 
{ /* Llib/utils.scm 89 */
 bool_t BgL_test1632z00_1121;
{ /* Llib/utils.scm 89 */
 long BgL_arg1190z00_102;
{ /* Llib/utils.scm 89 */
 obj_t BgL_arg1197z00_103;
BgL_arg1197z00_103 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtstartz00); 
{ /* Llib/utils.scm 89 */
 obj_t BgL_datez00_257;
if(
BGL_DATEP(BgL_arg1197z00_103))
{ /* Llib/utils.scm 89 */
BgL_datez00_257 = BgL_arg1197z00_103; }  else 
{ 
 obj_t BgL_auxz00_1125;
BgL_auxz00_1125 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3914)), BGl_string1482z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1197z00_103); 
FAILURE(BgL_auxz00_1125,BFALSE,BFALSE);} 
BgL_arg1190z00_102 = 
bgl_date_to_seconds(BgL_datez00_257); } } 
BgL_test1632z00_1121 = 
(BgL_arg1190z00_102<BgL_dsz00_97); } 
if(BgL_test1632z00_1121)
{ /* Llib/utils.scm 90 */
 long BgL_arg1188z00_100;
{ /* Llib/utils.scm 90 */
 obj_t BgL_arg1189z00_101;
BgL_arg1189z00_101 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_8))->BgL_dtendz00); 
{ /* Llib/utils.scm 90 */
 obj_t BgL_datez00_260;
if(
BGL_DATEP(BgL_arg1189z00_101))
{ /* Llib/utils.scm 90 */
BgL_datez00_260 = BgL_arg1189z00_101; }  else 
{ 
 obj_t BgL_auxz00_1134;
BgL_auxz00_1134 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)3954)), BGl_string1482z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1189z00_101); 
FAILURE(BgL_auxz00_1134,BFALSE,BFALSE);} 
BgL_arg1188z00_100 = 
bgl_date_to_seconds(BgL_datez00_260); } } 
return 
(BgL_arg1188z00_100>BgL_dsz00_97);}  else 
{ /* Llib/utils.scm 89 */
return ((bool_t)0);} } } }  else 
{ /* Llib/utils.scm 83 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 82 */
return ((bool_t)0);} } }  else 
{ /* Llib/utils.scm 80 */
return ((bool_t)0);} } } 

}



/* recurrence-during-day? */
bool_t BGl_recurrencezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt BgL_ez00_10, obj_t BgL_dz00_11)
{
{ /* Llib/utils.scm 99 */
{ /* Llib/utils.scm 100 */
 long BgL_dsz00_119;
BgL_dsz00_119 = 
bgl_date_to_seconds(BgL_dz00_11); 
{ /* Llib/utils.scm 102 */
 bool_t BgL_test1635z00_1141;
{ /* Llib/utils.scm 102 */
 BgL_calrecurrencez00_bglt BgL_i1086z00_158;
{ /* Llib/utils.scm 103 */
 obj_t BgL_aux1425z00_426;
BgL_aux1425z00_426 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_recurrencez00); 
{ /* Llib/utils.scm 103 */
 bool_t BgL_test1637z00_1143;
{ /* Llib/utils.scm 103 */
 obj_t BgL_classz00_685;
BgL_classz00_685 = BGl_calrecurrencez00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_aux1425z00_426))
{ /* Llib/utils.scm 103 */
 BgL_objectz00_bglt BgL_arg1791z00_687; long BgL_arg1792z00_688;
BgL_arg1791z00_687 = 
(BgL_objectz00_bglt)(BgL_aux1425z00_426); 
BgL_arg1792z00_688 = 
BGL_CLASS_DEPTH(BgL_classz00_685); 
{ /* Llib/utils.scm 103 */
 bool_t BgL_arg1786z00_692; bool_t BgL_arg1787z00_693;
{ /* Llib/utils.scm 103 */
 long BgL_idxz00_697;
BgL_idxz00_697 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_687); 
{ /* Llib/utils.scm 103 */
 obj_t BgL_arg1783z00_698;
{ /* Llib/utils.scm 103 */
 long BgL_arg1784z00_699;
BgL_arg1784z00_699 = 
(BgL_idxz00_697+BgL_arg1792z00_688); 
BgL_arg1783z00_698 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_699); } 
BgL_arg1786z00_692 = 
(BgL_arg1783z00_698==BgL_classz00_685); } } 
{ /* Llib/utils.scm 103 */
 bool_t BgL_res1538z00_722;
{ /* Llib/utils.scm 103 */
 obj_t BgL_oclassz00_707;
{ /* Llib/utils.scm 103 */
 long BgL_arg1796z00_713;
{ /* Llib/utils.scm 103 */
 long BgL_arg1797z00_714;
BgL_arg1797z00_714 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_687); 
BgL_arg1796z00_713 = 
(BgL_arg1797z00_714-OBJECT_TYPE); } 
BgL_oclassz00_707 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_713); } 
{ /* Llib/utils.scm 103 */
 bool_t BgL__ortest_1111z00_708;
BgL__ortest_1111z00_708 = 
(BgL_classz00_685==BgL_oclassz00_707); 
if(BgL__ortest_1111z00_708)
{ /* Llib/utils.scm 103 */
BgL_res1538z00_722 = BgL__ortest_1111z00_708; }  else 
{ /* Llib/utils.scm 103 */
 long BgL_odepthz00_709;
BgL_odepthz00_709 = 
BGL_CLASS_DEPTH(BgL_oclassz00_707); 
if(
(BgL_arg1792z00_688<BgL_odepthz00_709))
{ /* Llib/utils.scm 103 */
 obj_t BgL_arg1785z00_711;
BgL_arg1785z00_711 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_707, BgL_arg1792z00_688); 
BgL_res1538z00_722 = 
(BgL_arg1785z00_711==BgL_classz00_685); }  else 
{ /* Llib/utils.scm 103 */
BgL_res1538z00_722 = ((bool_t)0); } } } } 
BgL_arg1787z00_693 = BgL_res1538z00_722; } 
BgL_test1637z00_1143 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_692, BgL_arg1787z00_693); } }  else 
{ /* Llib/utils.scm 103 */
BgL_test1637z00_1143 = ((bool_t)0)
; } } 
if(BgL_test1637z00_1143)
{ /* Llib/utils.scm 103 */
BgL_i1086z00_158 = 
((BgL_calrecurrencez00_bglt)BgL_aux1425z00_426); }  else 
{ 
 obj_t BgL_auxz00_1164;
BgL_auxz00_1164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)4696)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1484z00zz__calendar_utilsz00, BgL_aux1425z00_426); 
FAILURE(BgL_auxz00_1164,BFALSE,BFALSE);} } } 
{ /* Llib/utils.scm 103 */
 bool_t BgL__ortest_1087z00_159;
{ /* Llib/utils.scm 103 */
 bool_t BgL_test1641z00_1168;
{ /* Llib/utils.scm 103 */
 obj_t BgL_tmpz00_1169;
BgL_tmpz00_1169 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1086z00_158))->BgL_untilz00); 
BgL_test1641z00_1168 = 
BGL_DATEP(BgL_tmpz00_1169); } 
if(BgL_test1641z00_1168)
{ /* Llib/utils.scm 103 */
BgL__ortest_1087z00_159 = ((bool_t)0); }  else 
{ /* Llib/utils.scm 103 */
BgL__ortest_1087z00_159 = ((bool_t)1); } } 
if(BgL__ortest_1087z00_159)
{ /* Llib/utils.scm 103 */
BgL_test1635z00_1141 = BgL__ortest_1087z00_159
; }  else 
{ /* Llib/utils.scm 104 */
 long BgL_arg1270z00_160;
{ /* Llib/utils.scm 104 */
 obj_t BgL_arg1271z00_161;
BgL_arg1271z00_161 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1086z00_158))->BgL_untilz00); 
{ /* Llib/utils.scm 104 */
 obj_t BgL_datez00_264;
if(
BGL_DATEP(BgL_arg1271z00_161))
{ /* Llib/utils.scm 104 */
BgL_datez00_264 = BgL_arg1271z00_161; }  else 
{ 
 obj_t BgL_auxz00_1176;
BgL_auxz00_1176 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)4746)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1271z00_161); 
FAILURE(BgL_auxz00_1176,BFALSE,BFALSE);} 
BgL_arg1270z00_160 = 
bgl_date_to_seconds(BgL_datez00_264); } } 
BgL_test1635z00_1141 = 
(BgL_arg1270z00_160>BgL_dsz00_119); } } } 
if(BgL_test1635z00_1141)
{ /* Llib/utils.scm 105 */
 BgL_calrecurrencez00_bglt BgL_i1088z00_122;
{ /* Llib/utils.scm 108 */
 obj_t BgL_aux1429z00_432;
BgL_aux1429z00_432 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_recurrencez00); 
{ /* Llib/utils.scm 108 */
 bool_t BgL_test1644z00_1183;
{ /* Llib/utils.scm 108 */
 obj_t BgL_classz00_723;
BgL_classz00_723 = BGl_calrecurrencez00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_aux1429z00_432))
{ /* Llib/utils.scm 108 */
 BgL_objectz00_bglt BgL_arg1791z00_725; long BgL_arg1792z00_726;
BgL_arg1791z00_725 = 
(BgL_objectz00_bglt)(BgL_aux1429z00_432); 
BgL_arg1792z00_726 = 
BGL_CLASS_DEPTH(BgL_classz00_723); 
{ /* Llib/utils.scm 108 */
 bool_t BgL_arg1786z00_730; bool_t BgL_arg1787z00_731;
{ /* Llib/utils.scm 108 */
 long BgL_idxz00_735;
BgL_idxz00_735 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_725); 
{ /* Llib/utils.scm 108 */
 obj_t BgL_arg1783z00_736;
{ /* Llib/utils.scm 108 */
 long BgL_arg1784z00_737;
BgL_arg1784z00_737 = 
(BgL_idxz00_735+BgL_arg1792z00_726); 
BgL_arg1783z00_736 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_737); } 
BgL_arg1786z00_730 = 
(BgL_arg1783z00_736==BgL_classz00_723); } } 
{ /* Llib/utils.scm 108 */
 bool_t BgL_res1539z00_760;
{ /* Llib/utils.scm 108 */
 obj_t BgL_oclassz00_745;
{ /* Llib/utils.scm 108 */
 long BgL_arg1796z00_751;
{ /* Llib/utils.scm 108 */
 long BgL_arg1797z00_752;
BgL_arg1797z00_752 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_725); 
BgL_arg1796z00_751 = 
(BgL_arg1797z00_752-OBJECT_TYPE); } 
BgL_oclassz00_745 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_751); } 
{ /* Llib/utils.scm 108 */
 bool_t BgL__ortest_1111z00_746;
BgL__ortest_1111z00_746 = 
(BgL_classz00_723==BgL_oclassz00_745); 
if(BgL__ortest_1111z00_746)
{ /* Llib/utils.scm 108 */
BgL_res1539z00_760 = BgL__ortest_1111z00_746; }  else 
{ /* Llib/utils.scm 108 */
 long BgL_odepthz00_747;
BgL_odepthz00_747 = 
BGL_CLASS_DEPTH(BgL_oclassz00_745); 
if(
(BgL_arg1792z00_726<BgL_odepthz00_747))
{ /* Llib/utils.scm 108 */
 obj_t BgL_arg1785z00_749;
BgL_arg1785z00_749 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_745, BgL_arg1792z00_726); 
BgL_res1539z00_760 = 
(BgL_arg1785z00_749==BgL_classz00_723); }  else 
{ /* Llib/utils.scm 108 */
BgL_res1539z00_760 = ((bool_t)0); } } } } 
BgL_arg1787z00_731 = BgL_res1539z00_760; } 
BgL_test1644z00_1183 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_730, BgL_arg1787z00_731); } }  else 
{ /* Llib/utils.scm 108 */
BgL_test1644z00_1183 = ((bool_t)0)
; } } 
if(BgL_test1644z00_1183)
{ /* Llib/utils.scm 108 */
BgL_i1088z00_122 = 
((BgL_calrecurrencez00_bglt)BgL_aux1429z00_432); }  else 
{ 
 obj_t BgL_auxz00_1204;
BgL_auxz00_1204 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)4859)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1484z00zz__calendar_utilsz00, BgL_aux1429z00_432); 
FAILURE(BgL_auxz00_1204,BFALSE,BFALSE);} } } 
{ /* Llib/utils.scm 108 */
 obj_t BgL_casezd2valuezd2_123;
BgL_casezd2valuezd2_123 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_frequencyz00); 
if(
(BgL_casezd2valuezd2_123==
CNST_TABLE_REF(((long)0))))
{ /* Llib/utils.scm 110 */
 bool_t BgL_test1650z00_1212;
{ /* Llib/utils.scm 110 */
 bool_t BgL__ortest_1091z00_146;
BgL__ortest_1091z00_146 = 
(
(long)(
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_intervalz00))==((long)1)); 
if(BgL__ortest_1091z00_146)
{ /* Llib/utils.scm 110 */
BgL_test1650z00_1212 = BgL__ortest_1091z00_146
; }  else 
{ /* Llib/utils.scm 111 */
 bool_t BgL_test1652z00_1217;
{ /* Llib/utils.scm 111 */
 obj_t BgL_tmpz00_1218;
BgL_tmpz00_1218 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
BgL_test1652z00_1217 = 
BGL_DATEP(BgL_tmpz00_1218); } 
if(BgL_test1652z00_1217)
{ /* Llib/utils.scm 112 */
 bool_t BgL_test1653z00_1221;
{ /* Llib/utils.scm 112 */
 long BgL_arg1262z00_152;
{ /* Llib/utils.scm 112 */
 int BgL_arg1263z00_153; int BgL_arg1264z00_154;
{ /* Llib/utils.scm 112 */
 obj_t BgL_arg1267z00_155;
BgL_arg1267z00_155 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
{ /* Llib/utils.scm 112 */
 obj_t BgL_dz00_269;
if(
BGL_DATEP(BgL_arg1267z00_155))
{ /* Llib/utils.scm 112 */
BgL_dz00_269 = BgL_arg1267z00_155; }  else 
{ 
 obj_t BgL_auxz00_1225;
BgL_auxz00_1225 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)4983)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1267z00_155); 
FAILURE(BgL_auxz00_1225,BFALSE,BFALSE);} 
BgL_arg1263z00_153 = 
BGL_DATE_YEAR(BgL_dz00_269); } } 
BgL_arg1264z00_154 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_intervalz00); 
{ /* Llib/utils.scm 112 */
 long BgL_auxz00_1233; long BgL_tmpz00_1231;
BgL_auxz00_1233 = 
(long)(BgL_arg1264z00_154); 
BgL_tmpz00_1231 = 
(long)(BgL_arg1263z00_153); 
BgL_arg1262z00_152 = 
(BgL_tmpz00_1231%BgL_auxz00_1233); } } 
BgL_test1653z00_1221 = 
(BgL_arg1262z00_152==((long)0)); } 
if(BgL_test1653z00_1221)
{ /* Llib/utils.scm 113 */
 int BgL_arg1250z00_149; int BgL_arg1251z00_150;
{ /* Llib/utils.scm 113 */
 obj_t BgL_arg1252z00_151;
BgL_arg1252z00_151 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
{ /* Llib/utils.scm 113 */
 obj_t BgL_dz00_273;
if(
BGL_DATEP(BgL_arg1252z00_151))
{ /* Llib/utils.scm 113 */
BgL_dz00_273 = BgL_arg1252z00_151; }  else 
{ 
 obj_t BgL_auxz00_1240;
BgL_auxz00_1240 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5021)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1252z00_151); 
FAILURE(BgL_auxz00_1240,BFALSE,BFALSE);} 
BgL_arg1250z00_149 = 
BGL_DATE_YEAR(BgL_dz00_273); } } 
BgL_arg1251z00_150 = 
BGL_DATE_YEAR(BgL_dz00_11); 
BgL_test1650z00_1212 = 
(
(long)(BgL_arg1250z00_149)==
(long)(BgL_arg1251z00_150)); }  else 
{ /* Llib/utils.scm 112 */
BgL_test1650z00_1212 = ((bool_t)0)
; } }  else 
{ /* Llib/utils.scm 111 */
BgL_test1650z00_1212 = ((bool_t)0)
; } } } 
if(BgL_test1650z00_1212)
{ /* Llib/utils.scm 114 */
 bool_t BgL_test1656z00_1249;
{ /* Llib/utils.scm 114 */
 bool_t BgL__ortest_1094z00_132;
if(
NULLP(
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_bymonthz00)))
{ /* Llib/utils.scm 114 */
BgL__ortest_1094z00_132 = ((bool_t)0); }  else 
{ /* Llib/utils.scm 115 */
 bool_t BgL_test1658z00_1253;
{ /* Llib/utils.scm 115 */
 obj_t BgL_tmpz00_1254;
{ /* Llib/utils.scm 115 */
 obj_t BgL_pairz00_277;
{ /* Llib/utils.scm 115 */
 obj_t BgL_aux1435z00_440;
BgL_aux1435z00_440 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_bymonthz00); 
if(
NULLP(BgL_aux1435z00_440))
{ 
 obj_t BgL_auxz00_1258;
BgL_auxz00_1258 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5093)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1471z00zz__calendar_utilsz00, BgL_aux1435z00_440); 
FAILURE(BgL_auxz00_1258,BFALSE,BFALSE);}  else 
{ /* Llib/utils.scm 115 */
BgL_pairz00_277 = BgL_aux1435z00_440; } } 
BgL_tmpz00_1254 = 
CAR(BgL_pairz00_277); } 
BgL_test1658z00_1253 = 
INTEGERP(BgL_tmpz00_1254); } 
if(BgL_test1658z00_1253)
{ /* Llib/utils.scm 116 */
 int BgL_arg1231z00_140; obj_t BgL_arg1234z00_141;
BgL_arg1231z00_140 = 
BGL_DATE_MONTH(BgL_dz00_11); 
{ /* Llib/utils.scm 116 */
 obj_t BgL_pairz00_279;
{ /* Llib/utils.scm 116 */
 obj_t BgL_aux1437z00_442;
BgL_aux1437z00_442 = 
(((BgL_calrecurrencez00_bglt)COBJECT(BgL_i1088z00_122))->BgL_bymonthz00); 
if(
NULLP(BgL_aux1437z00_442))
{ 
 obj_t BgL_auxz00_1268;
BgL_auxz00_1268 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5135)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1471z00zz__calendar_utilsz00, BgL_aux1437z00_442); 
FAILURE(BgL_auxz00_1268,BFALSE,BFALSE);}  else 
{ /* Llib/utils.scm 116 */
BgL_pairz00_279 = BgL_aux1437z00_442; } } 
BgL_arg1234z00_141 = 
CAR(BgL_pairz00_279); } 
{ /* Llib/utils.scm 116 */
 long BgL_n1z00_280; long BgL_n2z00_281;
BgL_n1z00_280 = 
(long)(BgL_arg1231z00_140); 
{ /* Llib/utils.scm 116 */
 obj_t BgL_tmpz00_1274;
if(
INTEGERP(BgL_arg1234z00_141))
{ /* Llib/utils.scm 116 */
BgL_tmpz00_1274 = BgL_arg1234z00_141
; }  else 
{ 
 obj_t BgL_auxz00_1277;
BgL_auxz00_1277 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5147)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1485z00zz__calendar_utilsz00, BgL_arg1234z00_141); 
FAILURE(BgL_auxz00_1277,BFALSE,BFALSE);} 
BgL_n2z00_281 = 
(long)CINT(BgL_tmpz00_1274); } 
BgL__ortest_1094z00_132 = 
(BgL_n1z00_280==BgL_n2z00_281); } }  else 
{ /* Llib/utils.scm 115 */
BgL__ortest_1094z00_132 = ((bool_t)0); } } 
if(BgL__ortest_1094z00_132)
{ /* Llib/utils.scm 114 */
BgL_test1656z00_1249 = BgL__ortest_1094z00_132
; }  else 
{ /* Llib/utils.scm 117 */
 bool_t BgL_test1663z00_1284;
{ /* Llib/utils.scm 117 */
 obj_t BgL_tmpz00_1285;
BgL_tmpz00_1285 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
BgL_test1663z00_1284 = 
BGL_DATEP(BgL_tmpz00_1285); } 
if(BgL_test1663z00_1284)
{ /* Llib/utils.scm 118 */
 int BgL_arg1227z00_134; int BgL_arg1228z00_135;
{ /* Llib/utils.scm 118 */
 obj_t BgL_arg1229z00_136;
BgL_arg1229z00_136 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
{ /* Llib/utils.scm 118 */
 obj_t BgL_dz00_282;
if(
BGL_DATEP(BgL_arg1229z00_136))
{ /* Llib/utils.scm 118 */
BgL_dz00_282 = BgL_arg1229z00_136; }  else 
{ 
 obj_t BgL_auxz00_1291;
BgL_auxz00_1291 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5205)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1229z00_136); 
FAILURE(BgL_auxz00_1291,BFALSE,BFALSE);} 
BgL_arg1227z00_134 = 
BGL_DATE_MONTH(BgL_dz00_282); } } 
BgL_arg1228z00_135 = 
BGL_DATE_MONTH(BgL_dz00_11); 
BgL_test1656z00_1249 = 
(
(long)(BgL_arg1227z00_134)==
(long)(BgL_arg1228z00_135)); }  else 
{ /* Llib/utils.scm 117 */
BgL_test1656z00_1249 = ((bool_t)0)
; } } } 
if(BgL_test1656z00_1249)
{ /* Llib/utils.scm 119 */
 bool_t BgL_test1666z00_1300;
{ /* Llib/utils.scm 119 */
 obj_t BgL_tmpz00_1301;
BgL_tmpz00_1301 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
BgL_test1666z00_1300 = 
BGL_DATEP(BgL_tmpz00_1301); } 
if(BgL_test1666z00_1300)
{ /* Llib/utils.scm 120 */
 int BgL_arg1221z00_128; int BgL_arg1224z00_129;
{ /* Llib/utils.scm 120 */
 obj_t BgL_arg1225z00_130;
BgL_arg1225z00_130 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_10))->BgL_dtstartz00); 
{ /* Llib/utils.scm 120 */
 obj_t BgL_dz00_286;
if(
BGL_DATEP(BgL_arg1225z00_130))
{ /* Llib/utils.scm 120 */
BgL_dz00_286 = BgL_arg1225z00_130; }  else 
{ 
 obj_t BgL_auxz00_1307;
BgL_auxz00_1307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5283)), BGl_string1483z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_arg1225z00_130); 
FAILURE(BgL_auxz00_1307,BFALSE,BFALSE);} 
BgL_arg1221z00_128 = 
BGL_DATE_DAY(BgL_dz00_286); } } 
BgL_arg1224z00_129 = 
BGL_DATE_DAY(BgL_dz00_11); 
return 
(
(long)(BgL_arg1221z00_128)==
(long)(BgL_arg1224z00_129));}  else 
{ /* Llib/utils.scm 119 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 114 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 110 */
return ((bool_t)0);} }  else 
{ /* Llib/utils.scm 108 */
CNST_TABLE_REF(((long)1)); 
return ((bool_t)0);} } }  else 
{ /* Llib/utils.scm 102 */
return ((bool_t)0);} } } } 

}



/* calevent-during-day? */
BGL_EXPORTED_DEF obj_t BGl_caleventzd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_caleventz00_bglt BgL_ez00_12, obj_t BgL_dz00_13)
{
{ /* Llib/utils.scm 128 */
{ /* Llib/utils.scm 129 */
 bool_t BgL__ortest_1100z00_165;
BgL__ortest_1100z00_165 = 
BGl_simplezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_ez00_12, BgL_dz00_13); 
if(BgL__ortest_1100z00_165)
{ /* Llib/utils.scm 129 */
return 
BBOOL(BgL__ortest_1100z00_165);}  else 
{ /* Llib/utils.scm 131 */
 bool_t BgL_test1670z00_1320;
{ /* Llib/utils.scm 131 */
 obj_t BgL_arg1285z00_168;
BgL_arg1285z00_168 = 
(((BgL_caleventz00_bglt)COBJECT(BgL_ez00_12))->BgL_recurrencez00); 
{ /* Llib/utils.scm 131 */
 obj_t BgL_classz00_290;
BgL_classz00_290 = BGl_calrecurrencez00zz__calendar_typesz00; 
if(
BGL_OBJECTP(BgL_arg1285z00_168))
{ /* Llib/utils.scm 131 */
 BgL_objectz00_bglt BgL_arg1789z00_292;
BgL_arg1789z00_292 = 
(BgL_objectz00_bglt)(BgL_arg1285z00_168); 
{ /* Llib/utils.scm 131 */
 bool_t BgL_arg1786z00_295; bool_t BgL_arg1787z00_296;
{ /* Llib/utils.scm 131 */
 long BgL_idxz00_299;
BgL_idxz00_299 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_292); 
{ /* Llib/utils.scm 131 */
 obj_t BgL_arg1783z00_300;
{ /* Llib/utils.scm 131 */
 long BgL_arg1784z00_301;
BgL_arg1784z00_301 = 
(BgL_idxz00_299+((long)1)); 
{ /* Llib/utils.scm 131 */
 obj_t BgL_vectorz00_303;
{ /* Llib/utils.scm 131 */
 obj_t BgL_aux1445z00_450;
BgL_aux1445z00_450 = BGl_za2inheritancesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux1445z00_450))
{ /* Llib/utils.scm 131 */
BgL_vectorz00_303 = BgL_aux1445z00_450; }  else 
{ 
 obj_t BgL_auxz00_1329;
BgL_auxz00_1329 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1486z00zz__calendar_utilsz00, BGl_string1487z00zz__calendar_utilsz00, BgL_aux1445z00_450); 
FAILURE(BgL_auxz00_1329,BFALSE,BFALSE);} } 
{ /* Llib/utils.scm 131 */
 bool_t BgL_test1673z00_1333;
{ /* Llib/utils.scm 131 */
 long BgL_tmpz00_1334;
BgL_tmpz00_1334 = 
VECTOR_LENGTH(BgL_vectorz00_303); 
BgL_test1673z00_1333 = 
BOUND_CHECK(BgL_arg1784z00_301, BgL_tmpz00_1334); } 
if(BgL_test1673z00_1333)
{ /* Llib/utils.scm 131 */
BgL_arg1783z00_300 = 
VECTOR_REF(BgL_vectorz00_303,BgL_arg1784z00_301); }  else 
{ 
 obj_t BgL_auxz00_1338;
BgL_auxz00_1338 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1488z00zz__calendar_utilsz00, BgL_vectorz00_303, 
(int)(
VECTOR_LENGTH(BgL_vectorz00_303)), 
(int)(BgL_arg1784z00_301)); 
FAILURE(BgL_auxz00_1338,BFALSE,BFALSE);} } } } 
BgL_arg1786z00_295 = 
(BgL_arg1783z00_300==BgL_classz00_290); } } 
{ /* Llib/utils.scm 131 */
 bool_t BgL_res1356z00_321;
{ /* Llib/utils.scm 131 */
 obj_t BgL_oclassz00_307;
{ /* Llib/utils.scm 131 */
 long BgL_arg1796z00_313;
{ /* Llib/utils.scm 131 */
 long BgL_arg1797z00_314;
BgL_arg1797z00_314 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_292); 
BgL_arg1796z00_313 = 
(BgL_arg1797z00_314-OBJECT_TYPE); } 
{ /* Llib/utils.scm 131 */
 obj_t BgL_vectorz00_318;
{ /* Llib/utils.scm 131 */
 obj_t BgL_aux1447z00_452;
BgL_aux1447z00_452 = BGl_za2classesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux1447z00_452))
{ /* Llib/utils.scm 131 */
BgL_vectorz00_318 = BgL_aux1447z00_452; }  else 
{ 
 obj_t BgL_auxz00_1350;
BgL_auxz00_1350 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1486z00zz__calendar_utilsz00, BGl_string1487z00zz__calendar_utilsz00, BgL_aux1447z00_452); 
FAILURE(BgL_auxz00_1350,BFALSE,BFALSE);} } 
BgL_oclassz00_307 = 
VECTOR_REF(BgL_vectorz00_318,BgL_arg1796z00_313); } } 
{ /* Llib/utils.scm 131 */
 bool_t BgL__ortest_1111z00_308;
BgL__ortest_1111z00_308 = 
(BgL_classz00_290==BgL_oclassz00_307); 
if(BgL__ortest_1111z00_308)
{ /* Llib/utils.scm 131 */
BgL_res1356z00_321 = BgL__ortest_1111z00_308; }  else 
{ /* Llib/utils.scm 131 */
 long BgL_odepthz00_309;
{ /* Llib/utils.scm 131 */
 obj_t BgL_tmpz00_1357;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_307))
{ /* Llib/utils.scm 131 */
BgL_tmpz00_1357 = BgL_oclassz00_307
; }  else 
{ 
 obj_t BgL_auxz00_1360;
BgL_auxz00_1360 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1486z00zz__calendar_utilsz00, BGl_string1489z00zz__calendar_utilsz00, BgL_oclassz00_307); 
FAILURE(BgL_auxz00_1360,BFALSE,BFALSE);} 
BgL_odepthz00_309 = 
BGL_CLASS_DEPTH(BgL_tmpz00_1357); } 
if(
(((long)1)<BgL_odepthz00_309))
{ /* Llib/utils.scm 131 */
 obj_t BgL_arg1785z00_311;
{ /* Llib/utils.scm 131 */
 obj_t BgL_tmpz00_1367;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_307))
{ /* Llib/utils.scm 131 */
BgL_tmpz00_1367 = BgL_oclassz00_307
; }  else 
{ 
 obj_t BgL_auxz00_1370;
BgL_auxz00_1370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5723)), BGl_string1486z00zz__calendar_utilsz00, BGl_string1489z00zz__calendar_utilsz00, BgL_oclassz00_307); 
FAILURE(BgL_auxz00_1370,BFALSE,BFALSE);} 
BgL_arg1785z00_311 = 
BGL_CLASS_ANCESTORS_REF(BgL_tmpz00_1367, ((long)1)); } 
BgL_res1356z00_321 = 
(BgL_arg1785z00_311==BgL_classz00_290); }  else 
{ /* Llib/utils.scm 131 */
BgL_res1356z00_321 = ((bool_t)0); } } } } 
BgL_arg1787z00_296 = BgL_res1356z00_321; } 
BgL_test1670z00_1320 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_295, BgL_arg1787z00_296); } }  else 
{ /* Llib/utils.scm 131 */
BgL_test1670z00_1320 = ((bool_t)0)
; } } } 
if(BgL_test1670z00_1320)
{ /* Llib/utils.scm 131 */
return 
BBOOL(
BGl_recurrencezd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_ez00_12, BgL_dz00_13));}  else 
{ /* Llib/utils.scm 131 */
return BFALSE;} } } } 

}



/* &calevent-during-day? */
obj_t BGl_z62caleventzd2duringzd2dayzf3z91zz__calendar_utilsz00(obj_t BgL_envz00_353, obj_t BgL_ez00_354, obj_t BgL_dz00_355)
{
{ /* Llib/utils.scm 128 */
{ /* Llib/utils.scm 129 */
 obj_t BgL_auxz00_1387; BgL_caleventz00_bglt BgL_auxz00_1379;
if(
BGL_DATEP(BgL_dz00_355))
{ /* Llib/utils.scm 129 */
BgL_auxz00_1387 = BgL_dz00_355
; }  else 
{ 
 obj_t BgL_auxz00_1390;
BgL_auxz00_1390 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5645)), BGl_string1490z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dz00_355); 
FAILURE(BgL_auxz00_1390,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_354, BGl_caleventz00zz__calendar_typesz00))
{ /* Llib/utils.scm 129 */
BgL_auxz00_1379 = 
((BgL_caleventz00_bglt)BgL_ez00_354)
; }  else 
{ 
 obj_t BgL_auxz00_1383;
BgL_auxz00_1383 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)5645)), BGl_string1490z00zz__calendar_utilsz00, BGl_string1473z00zz__calendar_utilsz00, BgL_ez00_354); 
FAILURE(BgL_auxz00_1383,BFALSE,BFALSE);} 
return 
BGl_caleventzd2duringzd2dayzf3zf3zz__calendar_utilsz00(BgL_auxz00_1379, BgL_auxz00_1387);} } 

}



/* calendar->list */
BGL_EXPORTED_DEF obj_t BGl_calendarzd2ze3listz31zz__calendar_utilsz00(obj_t BgL_dtz00_14)
{
{ /* Llib/utils.scm 136 */
{ /* Llib/utils.scm 137 */
 int BgL_mlenz00_169;
BgL_mlenz00_169 = 
BGl_datezd2monthzd2lengthz00zz__datez00(BgL_dtz00_14); 
{ /* Llib/utils.scm 137 */
 obj_t BgL_dsz00_170;
BgL_dsz00_170 = 
BGl_datezd2copyzd2zz__datez00(BgL_dtz00_14, 
BINT(((long)1)), BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE); 
{ /* Llib/utils.scm 138 */
 obj_t BgL_dez00_171;
BgL_dez00_171 = 
BGl_datezd2copyzd2zz__datez00(BgL_dtz00_14, 
BINT(BgL_mlenz00_169), BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE, BFALSE); 
{ /* Llib/utils.scm 139 */
 long BgL_startz00_172;
{ /* Llib/utils.scm 140 */
 long BgL_arg1345z00_193; long BgL_arg1348z00_194;
{ /* Llib/utils.scm 140 */
 obj_t BgL_datez00_322;
if(
BGL_DATEP(BgL_dsz00_170))
{ /* Llib/utils.scm 140 */
BgL_datez00_322 = BgL_dsz00_170; }  else 
{ 
 obj_t BgL_auxz00_1402;
BgL_auxz00_1402 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)6175)), BGl_string1491z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dsz00_170); 
FAILURE(BgL_auxz00_1402,BFALSE,BFALSE);} 
BgL_arg1345z00_193 = 
bgl_date_to_seconds(BgL_datez00_322); } 
{ /* Llib/utils.scm 141 */
 long BgL_arg1349z00_195;
{ /* Llib/utils.scm 141 */
 long BgL_arg1352z00_197;
{ /* Llib/utils.scm 141 */
 int BgL_arg1354z00_198;
{ /* Llib/utils.scm 141 */
 obj_t BgL_dz00_323;
if(
BGL_DATEP(BgL_dsz00_170))
{ /* Llib/utils.scm 141 */
BgL_dz00_323 = BgL_dsz00_170; }  else 
{ 
 obj_t BgL_auxz00_1409;
BgL_auxz00_1409 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)6226)), BGl_string1491z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dsz00_170); 
FAILURE(BgL_auxz00_1409,BFALSE,BFALSE);} 
BgL_arg1354z00_198 = 
BGL_DATE_WDAY(BgL_dz00_323); } 
BgL_arg1352z00_197 = 
(
(long)(BgL_arg1354z00_198)-((long)1)); } 
BgL_arg1349z00_195 = 
(long)(BgL_arg1352z00_197); } 
BgL_arg1348z00_194 = 
(BgL_arg1349z00_195*((long)86400)); } 
{ /* Llib/utils.scm 140 */
 long BgL_res1357z00_330;
{ /* Llib/utils.scm 140 */
 long BgL_tmpz00_1418;
BgL_tmpz00_1418 = 
(BgL_arg1345z00_193-BgL_arg1348z00_194); 
BgL_res1357z00_330 = 
(long)(BgL_tmpz00_1418); } 
BgL_startz00_172 = BgL_res1357z00_330; } } 
{ /* Llib/utils.scm 140 */
 long BgL_endz00_173;
{ /* Llib/utils.scm 143 */
 long BgL_arg1338z00_187; long BgL_arg1339z00_188;
{ /* Llib/utils.scm 143 */
 obj_t BgL_datez00_331;
if(
BGL_DATEP(BgL_dez00_171))
{ /* Llib/utils.scm 143 */
BgL_datez00_331 = BgL_dez00_171; }  else 
{ 
 obj_t BgL_auxz00_1423;
BgL_auxz00_1423 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)6288)), BGl_string1491z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dez00_171); 
FAILURE(BgL_auxz00_1423,BFALSE,BFALSE);} 
BgL_arg1338z00_187 = 
bgl_date_to_seconds(BgL_datez00_331); } 
{ /* Llib/utils.scm 144 */
 long BgL_arg1340z00_189;
{ /* Llib/utils.scm 144 */
 long BgL_arg1342z00_191;
{ /* Llib/utils.scm 144 */
 int BgL_arg1343z00_192;
{ /* Llib/utils.scm 144 */
 obj_t BgL_dz00_332;
if(
BGL_DATEP(BgL_dez00_171))
{ /* Llib/utils.scm 144 */
BgL_dz00_332 = BgL_dez00_171; }  else 
{ 
 obj_t BgL_auxz00_1430;
BgL_auxz00_1430 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)6346)), BGl_string1491z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dez00_171); 
FAILURE(BgL_auxz00_1430,BFALSE,BFALSE);} 
BgL_arg1343z00_192 = 
BGL_DATE_WDAY(BgL_dz00_332); } 
BgL_arg1342z00_191 = 
(((long)7)-
(long)(BgL_arg1343z00_192)); } 
BgL_arg1340z00_189 = 
(long)(BgL_arg1342z00_191); } 
BgL_arg1339z00_188 = 
(BgL_arg1340z00_189*((long)86400)); } 
BgL_endz00_173 = 
(BgL_arg1338z00_187+BgL_arg1339z00_188); } 
{ /* Llib/utils.scm 143 */

{ 
 long BgL_iz00_176; obj_t BgL_resz00_177;
BgL_iz00_176 = BgL_startz00_172; 
BgL_resz00_177 = BNIL; 
BgL_zc3z04anonymousza31286ze3z87_178:
if(
(BgL_iz00_176>BgL_endz00_173))
{ /* Llib/utils.scm 148 */
return 
BGl_listzd2splitz12zc0zz__r4_pairs_and_lists_6_3z00(
bgl_reverse_bang(BgL_resz00_177), 
(int)(((long)7)), BNIL);}  else 
{ /* Llib/utils.scm 150 */
 long BgL_arg1291z00_182; obj_t BgL_arg1331z00_183;
BgL_arg1291z00_182 = 
(BgL_iz00_176+((long)86400)); 
BgL_arg1331z00_183 = 
MAKE_YOUNG_PAIR(
bgl_seconds_to_date(BgL_iz00_176), BgL_resz00_177); 
{ 
 obj_t BgL_resz00_1449; long BgL_iz00_1448;
BgL_iz00_1448 = BgL_arg1291z00_182; 
BgL_resz00_1449 = BgL_arg1331z00_183; 
BgL_resz00_177 = BgL_resz00_1449; 
BgL_iz00_176 = BgL_iz00_1448; 
goto BgL_zc3z04anonymousza31286ze3z87_178;} } } } } } } } } } 

}



/* &calendar->list */
obj_t BGl_z62calendarzd2ze3listz53zz__calendar_utilsz00(obj_t BgL_envz00_356, obj_t BgL_dtz00_357)
{
{ /* Llib/utils.scm 136 */
{ /* Llib/utils.scm 137 */
 obj_t BgL_auxz00_1450;
if(
BGL_DATEP(BgL_dtz00_357))
{ /* Llib/utils.scm 137 */
BgL_auxz00_1450 = BgL_dtz00_357
; }  else 
{ 
 obj_t BgL_auxz00_1453;
BgL_auxz00_1453 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1468z00zz__calendar_utilsz00, 
BINT(((long)6042)), BGl_string1492z00zz__calendar_utilsz00, BGl_string1470z00zz__calendar_utilsz00, BgL_dtz00_357); 
FAILURE(BgL_auxz00_1453,BFALSE,BFALSE);} 
return 
BGl_calendarzd2ze3listz31zz__calendar_utilsz00(BgL_auxz00_1450);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__calendar_utilsz00()
{
{ /* Llib/utils.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__calendar_typesz00(((long)75372732), 
BSTRING_TO_STRING(BGl_string1493z00zz__calendar_utilsz00));} 

}

#ifdef __cplusplus
}
#endif
