/*===========================================================================*/
/*   (Unsafe/kmp.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/kmp.scm -o objs/obj_p/Unsafe/kmp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_symbol1671z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__kmpz00();
static obj_t BGl_genericzd2initzd2zz__kmpz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00();
static obj_t BGl_gczd2rootszd2initz00zz__kmpz00();
static obj_t BGl_objectzd2initzd2zz__kmpz00();
BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, obj_t, long);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__kmpz00();
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__kmpz00();
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1669z00zz__kmpz00 = BUNSPEC;
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2stringzd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2stringza71681za7, BGl_z62kmpzd2stringzb0zz__kmpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2mmapzd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2mmapza7b01682za7, BGl_z62kmpzd2mmapzb0zz__kmpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2tablezd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2tableza7b1683za7, BGl_z62kmpzd2tablezb0zz__kmpz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1664z00zz__kmpz00, BgL_bgl_string1664za700za7za7_1684za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Unsafe/kmp.scm", 58 );
DEFINE_STRING( BGl_string1665z00zz__kmpz00, BgL_bgl_string1665za700za7za7_1685za7, "&kmp-table", 10 );
DEFINE_STRING( BGl_string1666z00zz__kmpz00, BgL_bgl_string1666za700za7za7_1686za7, "bstring", 7 );
DEFINE_STRING( BGl_string1667z00zz__kmpz00, BgL_bgl_string1667za700za7za7_1687za7, "kmp-mmap", 8 );
DEFINE_STRING( BGl_string1668z00zz__kmpz00, BgL_bgl_string1668za700za7za7_1688za7, "Illegal kmp-table", 17 );
DEFINE_STRING( BGl_string1670z00zz__kmpz00, BgL_bgl_string1670za700za7za7_1689za7, "string", 6 );
DEFINE_STRING( BGl_string1672z00zz__kmpz00, BgL_bgl_string1672za700za7za7_1690za7, "vector", 6 );
DEFINE_STRING( BGl_string1673z00zz__kmpz00, BgL_bgl_string1673za700za7za7_1691za7, "&kmp-mmap", 9 );
DEFINE_STRING( BGl_string1674z00zz__kmpz00, BgL_bgl_string1674za700za7za7_1692za7, "pair", 4 );
DEFINE_STRING( BGl_string1675z00zz__kmpz00, BgL_bgl_string1675za700za7za7_1693za7, "mmap", 4 );
DEFINE_STRING( BGl_string1676z00zz__kmpz00, BgL_bgl_string1676za700za7za7_1694za7, "belong", 6 );
DEFINE_STRING( BGl_string1677z00zz__kmpz00, BgL_bgl_string1677za700za7za7_1695za7, "kmp-string", 10 );
DEFINE_STRING( BGl_string1678z00zz__kmpz00, BgL_bgl_string1678za700za7za7_1696za7, "&kmp-string", 11 );
DEFINE_STRING( BGl_string1679z00zz__kmpz00, BgL_bgl_string1679za700za7za7_1697za7, "bint", 4 );
DEFINE_STRING( BGl_string1680z00zz__kmpz00, BgL_bgl_string1680za700za7za7_1698za7, "__kmp", 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1671z00zz__kmpz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__kmpz00) );
ADD_ROOT( (void *)(&BGl_symbol1669z00zz__kmpz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-table\" \"Unsafe/kmp.scm\" 1812) \"BGl_kmpzd2tablezd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-table\" \"Unsafe/kmp.scm\" 1812) \"BGl_z62kmpzd2tablezb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-mmap\" \"Unsafe/kmp.scm\" 2544) \"BGl_kmpzd2mmapzd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-mmap\" \"Unsafe/kmp.scm\" 2544) \"BGl_z62kmpzd2mmapzb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-string\" \"Unsafe/kmp.scm\" 3635) \"BGl_kmpzd2stringzd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-string\" \"Unsafe/kmp.scm\" 3635) \"BGl_z62kmpzd2stringzb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long BgL_checksumz00_1977, char * BgL_fromz00_1978)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
{ 
BGl_requirezd2initializa7ationz75zz__kmpz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__kmpz00(); 
BGl_cnstzd2initzd2zz__kmpz00(); 
BGl_importedzd2moduleszd2initz00zz__kmpz00(); 
return 
BGl_profzd2initzd2zz__kmpz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__kmpz00()
{
{ /* Unsafe/kmp.scm 15 */
BGl_symbol1669z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1670z00zz__kmpz00); 
return ( 
BGl_symbol1671z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1672z00zz__kmpz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__kmpz00()
{
{ /* Unsafe/kmp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__kmpz00()
{
{ /* Unsafe/kmp.scm 15 */
return 
write_bprof_table();} 

}



/* kmp-table */
BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_3)
{
{ /* Unsafe/kmp.scm 52 */
{ /* Unsafe/kmp.scm 53 */
 long BgL_lpz00_1117;
BgL_lpz00_1117 = 
STRING_LENGTH(BgL_pz00_3); 
{ /* Unsafe/kmp.scm 53 */
 obj_t BgL_tz00_1118;
BgL_tz00_1118 = 
make_vector(
(BgL_lpz00_1117+((long)2)), 
BINT(((long)0))); 
{ /* Unsafe/kmp.scm 54 */
 long BgL_iz00_1119;
BgL_iz00_1119 = ((long)0); 
{ /* Unsafe/kmp.scm 55 */
 obj_t BgL_jz00_1120;
BgL_jz00_1120 = 
BINT(((long)-1)); 
{ /* Unsafe/kmp.scm 56 */
 unsigned char BgL_cz00_1121;
BgL_cz00_1121 = ((unsigned char)'\000'); 
{ /* Unsafe/kmp.scm 57 */

VECTOR_SET(BgL_tz00_1118,((long)0),BgL_jz00_1120); 
{ 

BgL_zc3z04anonymousza31163ze3z87_1123:
if(
(BgL_iz00_1119<BgL_lpz00_1117))
{ /* Unsafe/kmp.scm 60 */
{ /* Unsafe/kmp.scm 62 */
 bool_t BgL_test1701z00_1998;
{ /* Unsafe/kmp.scm 62 */
 unsigned char BgL_char2z00_1656;
BgL_char2z00_1656 = BgL_cz00_1121; 
BgL_test1701z00_1998 = 
(
STRING_REF(BgL_pz00_3, BgL_iz00_1119)==BgL_char2z00_1656); } 
if(BgL_test1701z00_1998)
{ /* Unsafe/kmp.scm 62 */
{ /* Unsafe/kmp.scm 63 */
 long BgL_arg1171z00_1127; long BgL_arg1172z00_1128;
BgL_arg1171z00_1127 = 
(BgL_iz00_1119+((long)1)); 
BgL_arg1172z00_1128 = 
(
(long)CINT(BgL_jz00_1120)+((long)1)); 
VECTOR_SET(BgL_tz00_1118,BgL_arg1171z00_1127,
BINT(BgL_arg1172z00_1128)); } 
BgL_jz00_1120 = 
ADDFX(BgL_jz00_1120, 
BINT(((long)1))); 
BgL_iz00_1119 = 
(BgL_iz00_1119+((long)1)); }  else 
{ /* Unsafe/kmp.scm 62 */
if(
(
(long)CINT(BgL_jz00_1120)>((long)0)))
{ /* Unsafe/kmp.scm 66 */
BgL_jz00_1120 = 
VECTOR_REF(BgL_tz00_1118,
(long)CINT(BgL_jz00_1120)); }  else 
{ /* Unsafe/kmp.scm 66 */
VECTOR_SET(BgL_tz00_1118,
(BgL_iz00_1119+((long)1)),
BINT(((long)0))); 
BgL_iz00_1119 = 
(BgL_iz00_1119+((long)1)); 
BgL_jz00_1120 = 
BINT(((long)0)); } } } 
BgL_cz00_1121 = 
STRING_REF(BgL_pz00_3, 
(long)CINT(BgL_jz00_1120)); 
goto BgL_zc3z04anonymousza31163ze3z87_1123;}  else 
{ /* Unsafe/kmp.scm 60 */((bool_t)0); } } 
return 
MAKE_YOUNG_PAIR(BgL_tz00_1118, BgL_pz00_3);} } } } } } } 

}



/* &kmp-table */
obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t BgL_envz00_1953, obj_t BgL_pz00_1954)
{
{ /* Unsafe/kmp.scm 52 */
{ /* Unsafe/kmp.scm 53 */
 obj_t BgL_auxz00_2022;
if(
STRINGP(BgL_pz00_1954))
{ /* Unsafe/kmp.scm 53 */
BgL_auxz00_2022 = BgL_pz00_1954
; }  else 
{ 
 obj_t BgL_auxz00_2025;
BgL_auxz00_2025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__kmpz00, 
BINT(((long)1837)), BGl_string1665z00zz__kmpz00, BGl_string1666z00zz__kmpz00, BgL_pz00_1954); 
FAILURE(BgL_auxz00_2025,BFALSE,BFALSE);} 
return 
BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_2022);} } 

}



/* kmp-mmap */
BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_4, obj_t BgL_mmz00_5, long BgL_mz00_6)
{
{ /* Unsafe/kmp.scm 79 */
{ /* Unsafe/kmp.scm 81 */
 bool_t BgL_test1704z00_2030;
{ /* Unsafe/kmp.scm 81 */
 obj_t BgL_tmpz00_2031;
BgL_tmpz00_2031 = 
CAR(BgL_tpz00_4); 
BgL_test1704z00_2030 = 
VECTORP(BgL_tmpz00_2031); } 
if(BgL_test1704z00_2030)
{ /* Unsafe/kmp.scm 83 */
 bool_t BgL_test1705z00_2034;
{ /* Unsafe/kmp.scm 83 */
 obj_t BgL_tmpz00_2035;
BgL_tmpz00_2035 = 
CDR(BgL_tpz00_4); 
BgL_test1705z00_2034 = 
STRINGP(BgL_tmpz00_2035); } 
if(BgL_test1705z00_2034)
{ /* Unsafe/kmp.scm 85 */
 bool_t BgL_test1706z00_2038;
{ /* Unsafe/kmp.scm 85 */
 long BgL_arg1221z00_1170; long BgL_arg1224z00_1171;
{ /* Unsafe/kmp.scm 85 */
 obj_t BgL_arg1225z00_1172;
BgL_arg1225z00_1172 = 
CAR(BgL_tpz00_4); 
BgL_arg1221z00_1170 = 
VECTOR_LENGTH(
((obj_t)BgL_arg1225z00_1172)); } 
BgL_arg1224z00_1171 = 
(((long)2)+
STRING_LENGTH(
CDR(BgL_tpz00_4))); 
BgL_test1706z00_2038 = 
(BgL_arg1221z00_1170==BgL_arg1224z00_1171); } 
if(BgL_test1706z00_2038)
{ /* Unsafe/kmp.scm 88 */
 obj_t BgL_tz00_1144;
BgL_tz00_1144 = 
CAR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 88 */
 obj_t BgL_pz00_1145;
BgL_pz00_1145 = 
CDR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 89 */
 long BgL_lsz00_1146;
BgL_lsz00_1146 = 
BGL_MMAP_LENGTH(BgL_mmz00_5); 
{ /* Unsafe/kmp.scm 90 */
 long BgL_lpz00_1147;
{ /* Unsafe/kmp.scm 91 */
 long BgL_arg1219z00_1169;
BgL_arg1219z00_1169 = 
STRING_LENGTH(
((obj_t)BgL_pz00_1145)); 
BgL_lpz00_1147 = 
(long)(BgL_arg1219z00_1169); } 
{ /* Unsafe/kmp.scm 91 */

{ 
 long BgL_iz00_1149;
BgL_iz00_1149 = ((long)0); 
BgL_zc3z04anonymousza31191ze3z87_1150:
if(
(BgL_iz00_1149==BgL_lpz00_1147))
{ /* Unsafe/kmp.scm 94 */
return BgL_mz00_6;}  else 
{ /* Unsafe/kmp.scm 94 */
if(
(
(BgL_iz00_1149+BgL_mz00_6)>=BgL_lsz00_1146))
{ /* Unsafe/kmp.scm 96 */
return ((long)-1);}  else 
{ /* Unsafe/kmp.scm 99 */
 long BgL_fiz00_1154;
BgL_fiz00_1154 = 
(long)(BgL_iz00_1149); 
{ /* Unsafe/kmp.scm 100 */
 bool_t BgL_test1709z00_2058;
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_arg1213z00_1164; unsigned char BgL_arg1214z00_1165;
{ /* Unsafe/kmp.scm 100 */
 long BgL_arg1215z00_1166;
BgL_arg1215z00_1166 = 
(BgL_iz00_1149+BgL_mz00_6); 
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_res1648z00_1703;
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_cz00_1697;
BgL_cz00_1697 = 
BGL_MMAP_REF(BgL_mmz00_5, BgL_arg1215z00_1166); 
{ /* Unsafe/kmp.scm 100 */
 long BgL_arg1644z00_1698;
BgL_arg1644z00_1698 = 
(BgL_arg1215z00_1166+((long)1)); 
BGL_MMAP_RP_SET(BgL_mmz00_5, BgL_arg1644z00_1698); BUNSPEC; BgL_arg1644z00_1698; } 
BgL_res1648z00_1703 = BgL_cz00_1697; } 
BgL_arg1213z00_1164 = BgL_res1648z00_1703; } } 
BgL_arg1214z00_1165 = 
STRING_REF(
((obj_t)BgL_pz00_1145), BgL_fiz00_1154); 
BgL_test1709z00_2058 = 
(BgL_arg1213z00_1164==BgL_arg1214z00_1165); } 
if(BgL_test1709z00_2058)
{ 
 long BgL_iz00_2066;
BgL_iz00_2066 = 
(BgL_iz00_1149+((long)1)); 
BgL_iz00_1149 = BgL_iz00_2066; 
goto BgL_zc3z04anonymousza31191ze3z87_1150;}  else 
{ /* Unsafe/kmp.scm 102 */
 long BgL_tiz00_1160;
{ /* Unsafe/kmp.scm 102 */
 obj_t BgL_arg1211z00_1163;
BgL_arg1211z00_1163 = 
VECTOR_REF(
((obj_t)BgL_tz00_1144),BgL_fiz00_1154); 
{ /* Unsafe/kmp.scm 102 */
 long BgL_tmpz00_2070;
BgL_tmpz00_2070 = 
(long)CINT(BgL_arg1211z00_1163); 
BgL_tiz00_1160 = 
(long)(BgL_tmpz00_2070); } } 
{ /* Unsafe/kmp.scm 103 */
 long BgL_za71za7_1716;
BgL_za71za7_1716 = BgL_mz00_6; 
{ /* Unsafe/kmp.scm 103 */
 long BgL_tmpz00_2073;
{ /* Unsafe/kmp.scm 103 */
 long BgL_res1649z00_1715;
{ /* Unsafe/kmp.scm 103 */
 long BgL_tmpz00_2074;
BgL_tmpz00_2074 = 
(BgL_iz00_1149-BgL_tiz00_1160); 
BgL_res1649z00_1715 = 
(long)(BgL_tmpz00_2074); } 
BgL_tmpz00_2073 = BgL_res1649z00_1715; } 
BgL_mz00_6 = 
(BgL_za71za7_1716+BgL_tmpz00_2073); } } 
if(
(BgL_iz00_1149>((long)0)))
{ 
 long BgL_iz00_2080;
BgL_iz00_2080 = BgL_tiz00_1160; 
BgL_iz00_1149 = BgL_iz00_2080; 
goto BgL_zc3z04anonymousza31191ze3z87_1150;}  else 
{ 

goto BgL_zc3z04anonymousza31191ze3z87_1150;} } } } } } } } } } }  else 
{ /* Unsafe/kmp.scm 86 */
 obj_t BgL_tmpz00_2081;
BgL_tmpz00_2081 = 
BGl_errorz00zz__errorz00(BGl_string1667z00zz__kmpz00, BGl_string1668z00zz__kmpz00, BgL_tpz00_4); 
return 
BELONG_TO_LONG(BgL_tmpz00_2081);} }  else 
{ /* Unsafe/kmp.scm 84 */
 obj_t BgL_arg1228z00_1175;
BgL_arg1228z00_1175 = 
CDR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 84 */
 obj_t BgL_tmpz00_2085;
BgL_tmpz00_2085 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1667z00zz__kmpz00, BGl_symbol1669z00zz__kmpz00, BgL_arg1228z00_1175); 
return 
BELONG_TO_LONG(BgL_tmpz00_2085);} } }  else 
{ /* Unsafe/kmp.scm 82 */
 obj_t BgL_arg1230z00_1177;
BgL_arg1230z00_1177 = 
CAR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 82 */
 obj_t BgL_tmpz00_2089;
BgL_tmpz00_2089 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1667z00zz__kmpz00, BGl_symbol1671z00zz__kmpz00, BgL_arg1230z00_1177); 
return 
BELONG_TO_LONG(BgL_tmpz00_2089);} } } } 

}



/* &kmp-mmap */
obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t BgL_envz00_1955, obj_t BgL_tpz00_1956, obj_t BgL_mmz00_1957, obj_t BgL_mz00_1958)
{
{ /* Unsafe/kmp.scm 79 */
{ /* Unsafe/kmp.scm 81 */
 long BgL_tmpz00_2092;
{ /* Unsafe/kmp.scm 81 */
 long BgL_auxz00_2107; obj_t BgL_auxz00_2100; obj_t BgL_auxz00_2093;
{ /* Unsafe/kmp.scm 81 */
 obj_t BgL_tmpz00_2108;
if(
ELONGP(BgL_mz00_1958))
{ /* Unsafe/kmp.scm 81 */
BgL_tmpz00_2108 = BgL_mz00_1958
; }  else 
{ 
 obj_t BgL_auxz00_2111;
BgL_auxz00_2111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__kmpz00, 
BINT(((long)2586)), BGl_string1673z00zz__kmpz00, BGl_string1676z00zz__kmpz00, BgL_mz00_1958); 
FAILURE(BgL_auxz00_2111,BFALSE,BFALSE);} 
BgL_auxz00_2107 = 
BELONG_TO_LONG(BgL_tmpz00_2108); } 
if(
BGL_MMAPP(BgL_mmz00_1957))
{ /* Unsafe/kmp.scm 81 */
BgL_auxz00_2100 = BgL_mmz00_1957
; }  else 
{ 
 obj_t BgL_auxz00_2103;
BgL_auxz00_2103 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__kmpz00, 
BINT(((long)2586)), BGl_string1673z00zz__kmpz00, BGl_string1675z00zz__kmpz00, BgL_mmz00_1957); 
FAILURE(BgL_auxz00_2103,BFALSE,BFALSE);} 
if(
PAIRP(BgL_tpz00_1956))
{ /* Unsafe/kmp.scm 81 */
BgL_auxz00_2093 = BgL_tpz00_1956
; }  else 
{ 
 obj_t BgL_auxz00_2096;
BgL_auxz00_2096 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__kmpz00, 
BINT(((long)2586)), BGl_string1673z00zz__kmpz00, BGl_string1674z00zz__kmpz00, BgL_tpz00_1956); 
FAILURE(BgL_auxz00_2096,BFALSE,BFALSE);} 
BgL_tmpz00_2092 = 
BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_2093, BgL_auxz00_2100, BgL_auxz00_2107); } 
return 
make_belong(BgL_tmpz00_2092);} } 

}



/* kmp-string */
BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_7, obj_t BgL_strz00_8, long BgL_mz00_9)
{
{ /* Unsafe/kmp.scm 111 */
{ /* Unsafe/kmp.scm 113 */
 bool_t BgL_test1714z00_2118;
{ /* Unsafe/kmp.scm 113 */
 obj_t BgL_tmpz00_2119;
BgL_tmpz00_2119 = 
CAR(BgL_tpz00_7); 
BgL_test1714z00_2118 = 
VECTORP(BgL_tmpz00_2119); } 
if(BgL_test1714z00_2118)
{ /* Unsafe/kmp.scm 115 */
 bool_t BgL_test1715z00_2122;
{ /* Unsafe/kmp.scm 115 */
 obj_t BgL_tmpz00_2123;
BgL_tmpz00_2123 = 
CDR(BgL_tpz00_7); 
BgL_test1715z00_2122 = 
STRINGP(BgL_tmpz00_2123); } 
if(BgL_test1715z00_2122)
{ /* Unsafe/kmp.scm 117 */
 bool_t BgL_test1716z00_2126;
{ /* Unsafe/kmp.scm 117 */
 long BgL_arg1277z00_1212; long BgL_arg1278z00_1213;
{ /* Unsafe/kmp.scm 117 */
 obj_t BgL_arg1279z00_1214;
BgL_arg1279z00_1214 = 
CAR(BgL_tpz00_7); 
BgL_arg1277z00_1212 = 
VECTOR_LENGTH(
((obj_t)BgL_arg1279z00_1214)); } 
BgL_arg1278z00_1213 = 
(((long)2)+
STRING_LENGTH(
CDR(BgL_tpz00_7))); 
BgL_test1716z00_2126 = 
(BgL_arg1277z00_1212==BgL_arg1278z00_1213); } 
if(BgL_test1716z00_2126)
{ /* Unsafe/kmp.scm 120 */
 obj_t BgL_tz00_1189;
BgL_tz00_1189 = 
CAR(BgL_tpz00_7); 
{ /* Unsafe/kmp.scm 120 */
 obj_t BgL_pz00_1190;
BgL_pz00_1190 = 
CDR(BgL_tpz00_7); 
{ /* Unsafe/kmp.scm 121 */
 long BgL_lsz00_1191;
BgL_lsz00_1191 = 
STRING_LENGTH(BgL_strz00_8); 
{ /* Unsafe/kmp.scm 122 */
 long BgL_lpz00_1192;
BgL_lpz00_1192 = 
STRING_LENGTH(
((obj_t)BgL_pz00_1190)); 
{ /* Unsafe/kmp.scm 123 */

{ 
 obj_t BgL_iz00_1194;
BgL_iz00_1194 = 
BINT(((long)0)); 
BgL_zc3z04anonymousza31251ze3z87_1195:
if(
(
(long)CINT(BgL_iz00_1194)==BgL_lpz00_1192))
{ /* Unsafe/kmp.scm 126 */
return BgL_mz00_9;}  else 
{ /* Unsafe/kmp.scm 126 */
if(
(
(
(long)CINT(BgL_iz00_1194)+BgL_mz00_9)>=BgL_lsz00_1191))
{ /* Unsafe/kmp.scm 128 */
return ((long)-1);}  else 
{ /* Unsafe/kmp.scm 131 */
 bool_t BgL_test1719z00_2146;
{ /* Unsafe/kmp.scm 131 */
 unsigned char BgL_arg1272z00_1207;
BgL_arg1272z00_1207 = 
STRING_REF(BgL_strz00_8, 
(
(long)CINT(BgL_iz00_1194)+BgL_mz00_9)); 
BgL_test1719z00_2146 = 
(BgL_arg1272z00_1207==
STRING_REF(
((obj_t)BgL_pz00_1190), 
(long)CINT(BgL_iz00_1194))); } 
if(BgL_test1719z00_2146)
{ /* Unsafe/kmp.scm 132 */
 long BgL_arg1269z00_1203;
BgL_arg1269z00_1203 = 
(
(long)CINT(BgL_iz00_1194)+((long)1)); 
{ 
 obj_t BgL_iz00_2156;
BgL_iz00_2156 = 
BINT(BgL_arg1269z00_1203); 
BgL_iz00_1194 = BgL_iz00_2156; 
goto BgL_zc3z04anonymousza31251ze3z87_1195;} }  else 
{ /* Unsafe/kmp.scm 133 */
 obj_t BgL_tiz00_1204;
{ /* Unsafe/kmp.scm 133 */
 long BgL_kz00_1751;
BgL_kz00_1751 = 
(long)CINT(BgL_iz00_1194); 
BgL_tiz00_1204 = 
VECTOR_REF(
((obj_t)BgL_tz00_1189),BgL_kz00_1751); } 
BgL_mz00_9 = 
(BgL_mz00_9+
(
(long)CINT(BgL_iz00_1194)-
(long)CINT(BgL_tiz00_1204))); 
if(
(
(long)CINT(BgL_iz00_1194)>((long)0)))
{ 
 obj_t BgL_iz00_2168;
BgL_iz00_2168 = BgL_tiz00_1204; 
BgL_iz00_1194 = BgL_iz00_2168; 
goto BgL_zc3z04anonymousza31251ze3z87_1195;}  else 
{ 

goto BgL_zc3z04anonymousza31251ze3z87_1195;} } } } } } } } } }  else 
{ /* Unsafe/kmp.scm 117 */
return 
(long)CINT(
BGl_errorz00zz__errorz00(BGl_string1677z00zz__kmpz00, BGl_string1668z00zz__kmpz00, BgL_tpz00_7));} }  else 
{ /* Unsafe/kmp.scm 116 */
 obj_t BgL_arg1285z00_1217;
BgL_arg1285z00_1217 = 
CDR(BgL_tpz00_7); 
return 
(long)CINT(
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1677z00zz__kmpz00, BGl_symbol1669z00zz__kmpz00, BgL_arg1285z00_1217));} }  else 
{ /* Unsafe/kmp.scm 114 */
 obj_t BgL_arg1287z00_1219;
BgL_arg1287z00_1219 = 
CAR(BgL_tpz00_7); 
return 
(long)CINT(
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1677z00zz__kmpz00, BGl_symbol1671z00zz__kmpz00, BgL_arg1287z00_1219));} } } 

}



/* &kmp-string */
obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t BgL_envz00_1959, obj_t BgL_tpz00_1960, obj_t BgL_strz00_1961, obj_t BgL_mz00_1962)
{
{ /* Unsafe/kmp.scm 111 */
{ /* Unsafe/kmp.scm 113 */
 long BgL_tmpz00_2178;
{ /* Unsafe/kmp.scm 113 */
 long BgL_auxz00_2193; obj_t BgL_auxz00_2186; obj_t BgL_auxz00_2179;
{ /* Unsafe/kmp.scm 113 */
 obj_t BgL_tmpz00_2194;
if(
INTEGERP(BgL_mz00_1962))
{ /* Unsafe/kmp.scm 113 */
BgL_tmpz00_2194 = BgL_mz00_1962
; }  else 
{ 
 obj_t BgL_auxz00_2197;
BgL_auxz00_2197 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__kmpz00, 
BINT(((long)3680)), BGl_string1678z00zz__kmpz00, BGl_string1679z00zz__kmpz00, BgL_mz00_1962); 
FAILURE(BgL_auxz00_2197,BFALSE,BFALSE);} 
BgL_auxz00_2193 = 
(long)CINT(BgL_tmpz00_2194); } 
if(
STRINGP(BgL_strz00_1961))
{ /* Unsafe/kmp.scm 113 */
BgL_auxz00_2186 = BgL_strz00_1961
; }  else 
{ 
 obj_t BgL_auxz00_2189;
BgL_auxz00_2189 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__kmpz00, 
BINT(((long)3680)), BGl_string1678z00zz__kmpz00, BGl_string1666z00zz__kmpz00, BgL_strz00_1961); 
FAILURE(BgL_auxz00_2189,BFALSE,BFALSE);} 
if(
PAIRP(BgL_tpz00_1960))
{ /* Unsafe/kmp.scm 113 */
BgL_auxz00_2179 = BgL_tpz00_1960
; }  else 
{ 
 obj_t BgL_auxz00_2182;
BgL_auxz00_2182 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__kmpz00, 
BINT(((long)3680)), BGl_string1678z00zz__kmpz00, BGl_string1674z00zz__kmpz00, BgL_tpz00_1960); 
FAILURE(BgL_auxz00_2182,BFALSE,BFALSE);} 
BgL_tmpz00_2178 = 
BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_2179, BgL_auxz00_2186, BgL_auxz00_2193); } 
return 
BINT(BgL_tmpz00_2178);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__kmpz00()
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__kmpz00()
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__kmpz00()
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00()
{
{ /* Unsafe/kmp.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1680z00zz__kmpz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1680z00zz__kmpz00));} 

}

#ifdef __cplusplus
}
#endif
