/*===========================================================================*/
/*   (Llib/rsa.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/rsa.scm -o objs/rsa.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_rsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
} *BgL_rsazd2keyzd2_bglt;

typedef struct BgL_completezd2rsazd2keyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
   obj_t BgL_ez00;
   obj_t BgL_pz00;
   obj_t BgL_qz00;
   obj_t BgL_exp1z00;
   obj_t BgL_exp2z00;
   obj_t BgL_coeffz00;
} *BgL_completezd2rsazd2keyz00_bglt;


static unsigned char BGl_leftzd2mostzd2bitszd2charzd2maskz00zz__cryptozd2rsazd2(long);
BGL_IMPORT obj_t BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(obj_t);
extern obj_t BGl_modzd2inversezd2zz__cryptozd2utilzd2(obj_t, obj_t);
static obj_t BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
static obj_t BGl_search1307ze70ze7zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2rsazd2 = BUNSPEC;
static BgL_rsazd2keyzd2_bglt BGl_z62extractzd2privatezd2rsazd2keyzb0zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62rsazd2decryptzb0zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t bgl_bignum_quotient(obj_t, obj_t);
extern obj_t BGl_stringzd2xorzd2zz__cryptozd2utilzd2(obj_t, obj_t);
static obj_t BGl_search1316ze70ze7zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_completezd2rsazd2keyz00_bglt BGl_generatezd2rsazd2keyz00zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_hashzd2algozd2ze3DERzd2prefixz31zz__cryptozd2rsazd2(obj_t);
extern obj_t BGl_makezd2randomzd2primez00zz__cryptozd2utilzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62RSAVP1z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl__MGF1z00zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_search1261ze70ze7zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(obj_t, long, long);
static obj_t BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_rsazd2signzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2rsazd2();
extern obj_t BGl_bignumzd2ze3binzd2strz12zf1zz__cryptozd2utilzd2(obj_t, long, obj_t, long);
static obj_t BGl_search1270ze70ze7zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62PKCS1zd2v1ze25zd2unpadz80zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2rsazd2();
static obj_t BGl_zc3z04exitza31940ze3ze70z60zz__cryptozd2rsazd2(obj_t, BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static bool_t BGl_EMSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(obj_t, obj_t, long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__cryptozd2rsazd2();
BGL_IMPORT obj_t bgl_bignum_mul(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_search1246ze70ze7zz__cryptozd2rsazd2(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl__RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumz80zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_RSASSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31986ze3ze70z60zz__cryptozd2rsazd2(obj_t, BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl_publiczd2expze70z35zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt);
BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSAESzd2PKCS1zd2v1ze25zd2decryptz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_zc3z04exitza31995ze3ze70z60zz__cryptozd2rsazd2(obj_t, obj_t, BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_EMEzd2OAEPzd2decodez00zz__cryptozd2rsazd2(long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2rsazd2();
BGL_EXPORTED_DECL obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_IMPORT obj_t bgl_bignum_expt(obj_t, obj_t);
BGL_IMPORT obj_t BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rsazd2encryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2 = BUNSPEC;
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_bignum_sub(obj_t, obj_t);
extern obj_t BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(obj_t);
extern long BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32071ze3ze70z60zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_IMPORT obj_t bgl_long_to_bignum(long);
static obj_t BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_OS2IPz00zz__cryptozd2rsazd2(obj_t);
static obj_t BGl_hashzd2algozd2ze3procedureze3zz__cryptozd2rsazd2(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static long BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2 = BUNSPEC;
BGL_IMPORT long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyz52zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62rsazd2keyzd3zf3z90zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl__RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_EMSAzd2PSSzd2encodez00zz__cryptozd2rsazd2(obj_t, long, obj_t, obj_t, long);
BGL_EXPORTED_DECL BgL_rsazd2keyzd2_bglt BGl_extractzd2privatezd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_completezd2rsazd2keyz00_bglt);
static obj_t BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(obj_t, long, obj_t);
extern obj_t BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(obj_t, long);
static obj_t BGl_z62lambda2202z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2203z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62rsazd2keyzd2lengthz62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2207z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2208z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62OS2IPz62zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62RSAESzd2PKCS1zd2v1ze25zd2encryptz52zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2212z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2213z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2217z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2218z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSADPz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_EMEzd2OAEPzd2encodez00zz__cryptozd2rsazd2(long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32128ze3ze70z60zz__cryptozd2rsazd2(obj_t, long, long, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32167ze3ze5zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62RSASSAzd2PSSzd2verifyz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rsazd2keyzd3zf3zf2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, BgL_rsazd2keyzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_z62rsazd2encryptzb0zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_rsazd2keyzd2_bglt BGl_extractzd2publiczd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_completezd2rsazd2keyz00_bglt);
static obj_t BGl_cnstzd2initzd2zz__cryptozd2rsazd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2rsazd2();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2rsazd2();
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2rsazd2();
static BgL_rsazd2keyzd2_bglt BGl_z62lambda2163z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static BgL_rsazd2keyzd2_bglt BGl_z62lambda2165z62zz__cryptozd2rsazd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_I2OSPz00zz__cryptozd2rsazd2(obj_t, long);
static obj_t BGl_z62lambda2171z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2172z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2176z62zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2177z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62RSADPz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_rsazd2keyzd2lengthz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt);
static BgL_completezd2rsazd2keyz00_bglt BGl_z62lambda2183z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__cryptozd2rsazd2(obj_t, obj_t);
static BgL_completezd2rsazd2keyz00_bglt BGl_z62lambda2185z62zz__cryptozd2rsazd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_z62RSAEPz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_rsazd2verifyzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rsazd2decryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
static obj_t BGl_z62lambda2191z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2192z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_DERzd2prefixzd2ze3hashzd2algoz31zz__cryptozd2rsazd2(obj_t);
static obj_t BGl_z62lambda2197z62zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62lambda2198z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62rsazd2signzb0zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl__generatezd2rsazd2keyz00zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
extern obj_t BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62rsazd2verifyzb0zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62I2OSPz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_RSAESzd2PKCS1zd2v1ze25zd2encryptz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_z62RSASP1z62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t, obj_t);
static obj_t BGl__RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2(obj_t, obj_t);
BGL_IMPORT int bgl_bignum_cmp(obj_t, obj_t);
static obj_t BGl__RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t BGl_z62PKCS1zd2v1ze25zd2padz80zz__cryptozd2rsazd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_RSASSAzd2PSSzd2signz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt, obj_t);
static obj_t BGl_z62RSAESzd2PKCS1zd2v1ze25zd2decryptz52zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62RSASSAzd2PSSzd2signz62zz__cryptozd2rsazd2(obj_t, obj_t, obj_t);
static BgL_rsazd2keyzd2_bglt BGl_z62extractzd2publiczd2rsazd2keyzb0zz__cryptozd2rsazd2(obj_t, obj_t);
static obj_t __cnst[ 62 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_extractzd2privatezd2rsazd2keyzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762extractza7d2pri2529z00, BGl_z62extractzd2privatezd2rsazd2keyzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_OS2IPzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762os2ipza762za7za7__c2530z00, BGl_z62OS2IPz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAESzd2OAEPzd2encryptzd2envzd2zz__cryptozd2rsazd2, BgL_bgl__rsaesza7d2oaepza7d22531z00, opt_generic_entry, BGl__RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2keyzd2lengthzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2keyza7d2l2532za7, BGl_z62rsazd2keyzd2lengthz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_md5sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STRING( BGl_string2500z00zz__cryptozd2rsazd2, BgL_bgl_string2500za700za7za7_2533za7, "00000000", 8 );
DEFINE_STRING( BGl_string2501z00zz__cryptozd2rsazd2, BgL_bgl_string2501za700za7za7_2534za7, "0", 1 );
DEFINE_STRING( BGl_string2502z00zz__cryptozd2rsazd2, BgL_bgl_string2502za700za7za7_2535za7, "wrong number of arguments: [3..6] expected, provided", 52 );
DEFINE_STRING( BGl_string2421z00zz__cryptozd2rsazd2, BgL_bgl_string2421za700za7za7_2536za7, "3020300c06082a864886f70d020205000410", 36 );
DEFINE_STRING( BGl_string2422z00zz__cryptozd2rsazd2, BgL_bgl_string2422za700za7za7_2537za7, "3020300c06082a864886f70d020505000410", 36 );
DEFINE_STRING( BGl_string2423z00zz__cryptozd2rsazd2, BgL_bgl_string2423za700za7za7_2538za7, "3021300906052b0e03021a05000414", 30 );
DEFINE_STRING( BGl_string2424z00zz__cryptozd2rsazd2, BgL_bgl_string2424za700za7za7_2539za7, "3031300d060960864801650304020105000420", 38 );
DEFINE_STRING( BGl_string2425z00zz__cryptozd2rsazd2, BgL_bgl_string2425za700za7za7_2540za7, "3041300d060960864801650304020205000430", 38 );
DEFINE_STRING( BGl_string2426z00zz__cryptozd2rsazd2, BgL_bgl_string2426za700za7za7_2541za7, "3051300d060960864801650304020305000440", 38 );
DEFINE_STRING( BGl_string2427z00zz__cryptozd2rsazd2, BgL_bgl_string2427za700za7za7_2542za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/crypto/src/Llib/rsa.scm", 63 );
DEFINE_STRING( BGl_string2428z00zz__cryptozd2rsazd2, BgL_bgl_string2428za700za7za7_2543za7, "&rsa-key-length", 15 );
DEFINE_STRING( BGl_string2429z00zz__cryptozd2rsazd2, BgL_bgl_string2429za700za7za7_2544za7, "Rsa-Key", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAESzd2OAEPzd2decryptzd2envzd2zz__cryptozd2rsazd2, BgL_bgl__rsaesza7d2oaepza7d22545z00, opt_generic_entry, BGl__RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2172za7622546z00, BGl_z62lambda2172z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2171za7622547z00, BGl_z62lambda2171z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2177za7622548z00, BGl_z62lambda2177z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2430z00zz__cryptozd2rsazd2, BgL_bgl_string2430za700za7za7_2549za7, "Illegal keyword argument", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2176za7622550z00, BGl_z62lambda2176z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2431z00zz__cryptozd2rsazd2, BgL_bgl_string2431za700za7za7_2551za7, "_generate-rsa-key", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__cryptozd2rsazd2, BgL_bgl_za762za7c3za704anonymo2552za7, BGl_z62zc3z04anonymousza32167ze3ze5zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2432z00zz__cryptozd2rsazd2, BgL_bgl_string2432za700za7za7_2553za7, "bint", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2165za7622554z00, BGl_z62lambda2165z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2433z00zz__cryptozd2rsazd2, BgL_bgl_string2433za700za7za7_2555za7, "wrong number of arguments: [0..2] expected, provided", 52 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2163za7622556z00, BGl_z62lambda2163z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2434z00zz__cryptozd2rsazd2, BgL_bgl_string2434za700za7za7_2557za7, "&extract-public-rsa-key", 23 );
DEFINE_STRING( BGl_string2435z00zz__cryptozd2rsazd2, BgL_bgl_string2435za700za7za7_2558za7, "Complete-Rsa-Key", 16 );
DEFINE_STRING( BGl_string2436z00zz__cryptozd2rsazd2, BgL_bgl_string2436za700za7za7_2559za7, "&extract-private-rsa-key", 24 );
DEFINE_STRING( BGl_string2437z00zz__cryptozd2rsazd2, BgL_bgl_string2437za700za7za7_2560za7, "&rsa-key=?", 10 );
DEFINE_STRING( BGl_string2438z00zz__cryptozd2rsazd2, BgL_bgl_string2438za700za7za7_2561za7, "&I2OSP", 6 );
DEFINE_STRING( BGl_string2439z00zz__cryptozd2rsazd2, BgL_bgl_string2439za700za7za7_2562za7, "bignum", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2192za7622563z00, BGl_z62lambda2192z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2191za7622564z00, BGl_z62lambda2191z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2198za7622565z00, BGl_z62lambda2198z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2197za7622566z00, BGl_z62lambda2197z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2203za7622567z00, BGl_z62lambda2203z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2202za7622568z00, BGl_z62lambda2202z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2440z00zz__cryptozd2rsazd2, BgL_bgl_string2440za700za7za7_2569za7, "&OS2IP", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2208za7622570z00, BGl_z62lambda2208z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2441z00zz__cryptozd2rsazd2, BgL_bgl_string2441za700za7za7_2571za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2207za7622572z00, BGl_z62lambda2207z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2442z00zz__cryptozd2rsazd2, BgL_bgl_string2442za700za7za7_2573za7, "_MGF1", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2213za7622574z00, BGl_z62lambda2213z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2443z00zz__cryptozd2rsazd2, BgL_bgl_string2443za700za7za7_2575za7, "vector", 6 );
DEFINE_STRING( BGl_string2525z00zz__cryptozd2rsazd2, BgL_bgl_string2525za700za7za7_2576za7, "__crypto-rsa", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2212za7622577z00, BGl_z62lambda2212z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2444z00zz__cryptozd2rsazd2, BgL_bgl_string2444za700za7za7_2578za7, "wrong number of arguments: [2..3] expected, provided", 52 );
DEFINE_STRING( BGl_string2526z00zz__cryptozd2rsazd2, BgL_bgl_string2526za700za7za7_2579za7, "Complete-Rsa-Key coeff exp2 exp1 q p e __crypto-rsa Rsa-Key exponent bignum modulus done EMSA-PSS-verify::bool :salt-len EMSA-PSS-encode::bstring (:hash-fun :mask-fun :salt-len) RSASSA-PKCS1-v1.5-sign-bignum :hash-algo (:hash-algo) RSASSA-PKCS1-v1.5-sign sha384sum SHA-384 sha-384 sha384 md2sum MD2 md2 sha512sum SHA-512 sha-512 sha512 sha256sum SHA-256 sha-256 sha256 sha1sum SHA-1 sha-1 sha1 md5sum MD5 md5 RSAES-OAEP-decrypt::bstring (:label) RSAES-OAEP-encrypt::bstring EME-OAEP-decode :mask-fun :label EME-OAEP-encode (:hash-fun :label :mask-fun) #z0 :hash-fun (:hash-fun) MGF1 #z65537 #z1 #z2 :size :show-trace generate-rsa-key (:show-trace :size) ", 654 );
DEFINE_STRING( BGl_string2445z00zz__cryptozd2rsazd2, BgL_bgl_string2445za700za7za7_2580za7, "procedure", 9 );
DEFINE_STRING( BGl_string2446z00zz__cryptozd2rsazd2, BgL_bgl_string2446za700za7za7_2581za7, "1234", 4 );
DEFINE_STRING( BGl_string2447z00zz__cryptozd2rsazd2, BgL_bgl_string2447za700za7za7_2582za7, "", 0 );
DEFINE_STRING( BGl_string2448z00zz__cryptozd2rsazd2, BgL_bgl_string2448za700za7za7_2583za7, "wrong number of arguments: [2..5] expected, provided", 52 );
DEFINE_STRING( BGl_string2449z00zz__cryptozd2rsazd2, BgL_bgl_string2449za700za7za7_2584za7, "decryption-error", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2218za7622585z00, BGl_z62lambda2218z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2217za7622586z00, BGl_z62lambda2217z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__cryptozd2rsazd2, BgL_bgl_za762za7c3za704anonymo2587za7, BGl_z62zc3z04anonymousza32187ze3ze5zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2185za7622588z00, BGl_z62lambda2185z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__cryptozd2rsazd2, BgL_bgl_za762lambda2183za7622589z00, BGl_z62lambda2183z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 8 );
DEFINE_STRING( BGl_string2450z00zz__cryptozd2rsazd2, BgL_bgl_string2450za700za7za7_2590za7, "bad string", 10 );
DEFINE_STRING( BGl_string2451z00zz__cryptozd2rsazd2, BgL_bgl_string2451za700za7za7_2591za7, "hash not correctly rectrieved", 29 );
DEFINE_STRING( BGl_string2452z00zz__cryptozd2rsazd2, BgL_bgl_string2452za700za7za7_2592za7, "could not find M", 16 );
DEFINE_STRING( BGl_string2453z00zz__cryptozd2rsazd2, BgL_bgl_string2453za700za7za7_2593za7, "expected 0x00 or 0x01", 21 );
DEFINE_STRING( BGl_string2454z00zz__cryptozd2rsazd2, BgL_bgl_string2454za700za7za7_2594za7, "&rsa-encrypt", 12 );
DEFINE_STRING( BGl_string2455z00zz__cryptozd2rsazd2, BgL_bgl_string2455za700za7za7_2595za7, "RSASP1", 6 );
DEFINE_STRING( BGl_string2456z00zz__cryptozd2rsazd2, BgL_bgl_string2456za700za7za7_2596za7, "message representative out of range", 35 );
DEFINE_STRING( BGl_string2457z00zz__cryptozd2rsazd2, BgL_bgl_string2457za700za7za7_2597za7, "&RSAEP", 6 );
DEFINE_STRING( BGl_string2458z00zz__cryptozd2rsazd2, BgL_bgl_string2458za700za7za7_2598za7, "&rsa-decrypt", 12 );
extern obj_t BGl_sha256sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STRING( BGl_string2459z00zz__cryptozd2rsazd2, BgL_bgl_string2459za700za7za7_2599za7, "cyphertext representative out of range", 38 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_MGF1zd2envzd2zz__cryptozd2rsazd2, BgL_bgl__mgf1za700za7za7__cryp2600za7, opt_generic_entry, BGl__MGF1z00zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_STRING( BGl_string2460z00zz__cryptozd2rsazd2, BgL_bgl_string2460za700za7za7_2601za7, "&RSADP", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_I2OSPzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762i2ospza762za7za7__c2602z00, BGl_z62I2OSPz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2461z00zz__cryptozd2rsazd2, BgL_bgl_string2461za700za7za7_2603za7, "&rsa-sign", 9 );
DEFINE_STRING( BGl_string2462z00zz__cryptozd2rsazd2, BgL_bgl_string2462za700za7za7_2604za7, "&RSASP1", 7 );
DEFINE_STRING( BGl_string2463z00zz__cryptozd2rsazd2, BgL_bgl_string2463za700za7za7_2605za7, "signature representative out of range", 37 );
DEFINE_STRING( BGl_string2464z00zz__cryptozd2rsazd2, BgL_bgl_string2464za700za7za7_2606za7, "&RSAVP1", 7 );
DEFINE_STRING( BGl_string2465z00zz__cryptozd2rsazd2, BgL_bgl_string2465za700za7za7_2607za7, "&rsa-verify", 11 );
DEFINE_STRING( BGl_string2466z00zz__cryptozd2rsazd2, BgL_bgl_string2466za700za7za7_2608za7, "PKCS1-v1.5-pad", 14 );
DEFINE_STRING( BGl_string2467z00zz__cryptozd2rsazd2, BgL_bgl_string2467za700za7za7_2609za7, "unknown padding mode", 20 );
DEFINE_STRING( BGl_string2468z00zz__cryptozd2rsazd2, BgL_bgl_string2468za700za7za7_2610za7, "&PKCS1-v1.5-pad", 15 );
DEFINE_STRING( BGl_string2469z00zz__cryptozd2rsazd2, BgL_bgl_string2469za700za7za7_2611za7, "PKCS1-v1.5-unpad", 16 );
DEFINE_STRING( BGl_string2470z00zz__cryptozd2rsazd2, BgL_bgl_string2470za700za7za7_2612za7, "decryption error", 16 );
DEFINE_STRING( BGl_string2471z00zz__cryptozd2rsazd2, BgL_bgl_string2471za700za7za7_2613za7, "&PKCS1-v1.5-unpad", 17 );
DEFINE_STRING( BGl_string2472z00zz__cryptozd2rsazd2, BgL_bgl_string2472za700za7za7_2614za7, "rsa encrypt", 11 );
DEFINE_STRING( BGl_string2473z00zz__cryptozd2rsazd2, BgL_bgl_string2473za700za7za7_2615za7, "message too long", 16 );
DEFINE_STRING( BGl_string2474z00zz__cryptozd2rsazd2, BgL_bgl_string2474za700za7za7_2616za7, "&RSAES-PKCS1-v1.5-encrypt", 25 );
DEFINE_STRING( BGl_string2475z00zz__cryptozd2rsazd2, BgL_bgl_string2475za700za7za7_2617za7, "rsa-decrypt", 11 );
DEFINE_STRING( BGl_string2476z00zz__cryptozd2rsazd2, BgL_bgl_string2476za700za7za7_2618za7, "Decryption failed", 17 );
DEFINE_STRING( BGl_string2477z00zz__cryptozd2rsazd2, BgL_bgl_string2477za700za7za7_2619za7, "rsa decrypt", 11 );
DEFINE_STRING( BGl_string2478z00zz__cryptozd2rsazd2, BgL_bgl_string2478za700za7za7_2620za7, "&RSAES-PKCS1-v1.5-decrypt", 25 );
DEFINE_STRING( BGl_string2479z00zz__cryptozd2rsazd2, BgL_bgl_string2479za700za7za7_2621za7, "_RSAES-OAEP-encrypt", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2encryptzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2encrypt2622z00, BGl_z62rsazd2encryptzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAVP1zd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsavp1za762za7za7__2623z00, BGl_z62RSAVP1z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2480z00zz__cryptozd2rsazd2, BgL_bgl_string2480za700za7za7_2624za7, "_RSAES-OAEP-decrypt", 19 );
DEFINE_STRING( BGl_string2481z00zz__cryptozd2rsazd2, BgL_bgl_string2481za700za7za7_2625za7, "rsaes-oaep-decrypt", 18 );
DEFINE_STRING( BGl_string2482z00zz__cryptozd2rsazd2, BgL_bgl_string2482za700za7za7_2626za7, "&RSASSA-PSS-sign", 16 );
DEFINE_STRING( BGl_string2483z00zz__cryptozd2rsazd2, BgL_bgl_string2483za700za7za7_2627za7, "&RSASSA-PSS-verify", 18 );
DEFINE_STRING( BGl_string2484z00zz__cryptozd2rsazd2, BgL_bgl_string2484za700za7za7_2628za7, "RSA hash-algo->DER-prefix", 25 );
DEFINE_STRING( BGl_string2485z00zz__cryptozd2rsazd2, BgL_bgl_string2485za700za7za7_2629za7, "unknown hash algorithm (or not implemented)", 43 );
DEFINE_STRING( BGl_string2486z00zz__cryptozd2rsazd2, BgL_bgl_string2486za700za7za7_2630za7, "unknown hash algorithm", 22 );
DEFINE_STRING( BGl_string2487z00zz__cryptozd2rsazd2, BgL_bgl_string2487za700za7za7_2631za7, "RSA hash-algo", 13 );
DEFINE_STRING( BGl_string2488z00zz__cryptozd2rsazd2, BgL_bgl_string2488za700za7za7_2632za7, "hash-algorithm not found or not yet implemented", 47 );
DEFINE_STRING( BGl_string2489z00zz__cryptozd2rsazd2, BgL_bgl_string2489za700za7za7_2633za7, "RSA encode", 10 );
DEFINE_STRING( BGl_string2490z00zz__cryptozd2rsazd2, BgL_bgl_string2490za700za7za7_2634za7, "intended encoded message length too short", 41 );
DEFINE_STRING( BGl_string2491z00zz__cryptozd2rsazd2, BgL_bgl_string2491za700za7za7_2635za7, "_RSASSA-PKCS1-v1.5-sign", 23 );
DEFINE_STRING( BGl_string2492z00zz__cryptozd2rsazd2, BgL_bgl_string2492za700za7za7_2636za7, "symbol", 6 );
DEFINE_STRING( BGl_string2493z00zz__cryptozd2rsazd2, BgL_bgl_string2493za700za7za7_2637za7, "_RSASSA-PKCS1-v1.5-sign-bignum", 30 );
DEFINE_STRING( BGl_string2494z00zz__cryptozd2rsazd2, BgL_bgl_string2494za700za7za7_2638za7, "&RSASSA-PKCS1-v1.5-verify", 25 );
DEFINE_STRING( BGl_string2495z00zz__cryptozd2rsazd2, BgL_bgl_string2495za700za7za7_2639za7, "&RSASSA-PKCS1-v1.5-verify-bignum", 32 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2envze2zz__cryptozd2rsazd2, BgL_bgl_za762rsassaza7d2pkcs2640z00, BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyz52zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2496z00zz__cryptozd2rsazd2, BgL_bgl_string2496za700za7za7_2641za7, "left-most-bits-char-mask", 24 );
DEFINE_STRING( BGl_string2497z00zz__cryptozd2rsazd2, BgL_bgl_string2497za700za7za7_2642za7, "n must be <= 8", 14 );
DEFINE_STRING( BGl_string2498z00zz__cryptozd2rsazd2, BgL_bgl_string2498za700za7za7_2643za7, "encoding error", 14 );
DEFINE_STRING( BGl_string2499z00zz__cryptozd2rsazd2, BgL_bgl_string2499za700za7za7_2644za7, "bad size", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2envze2zz__cryptozd2rsazd2, BgL_bgl__rsassaza7d2pkcs1za72645z00, opt_generic_entry, BGl__RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_PKCS1zd2v1ze25zd2padzd2envz30zz__cryptozd2rsazd2, BgL_bgl_za762pkcs1za7d2v1za7e22646za7, BGl_z62PKCS1zd2v1ze25zd2padz80zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PSSzd2verifyzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsassaza7d2pssza72647za7, BGl_z62RSASSAzd2PSSzd2verifyz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2decryptzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2decrypt2648z00, BGl_z62rsazd2decryptzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_generatezd2rsazd2keyzd2envzd2zz__cryptozd2rsazd2, BgL_bgl__generateza7d2rsaza72649z00, opt_generic_entry, BGl__generatezd2rsazd2keyz00zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2signzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2signza7b02650za7, BGl_z62rsazd2signzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAESzd2PKCS1zd2v1ze25zd2encryptzd2envze2zz__cryptozd2rsazd2, BgL_bgl_za762rsaesza7d2pkcs12651z00, BGl_z62RSAESzd2PKCS1zd2v1ze25zd2encryptz52zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2keyzd3zf3zd2envz20zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2keyza7d3za72652z00, BGl_z62rsazd2keyzd3zf3z90zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_sha512sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_extractzd2publiczd2rsazd2keyzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762extractza7d2pub2653z00, BGl_z62extractzd2publiczd2rsazd2keyzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_PKCS1zd2v1ze25zd2unpadzd2envz30zz__cryptozd2rsazd2, BgL_bgl_za762pkcs1za7d2v1za7e22654za7, BGl_z62PKCS1zd2v1ze25zd2unpadz80zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PSSzd2signzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsassaza7d2pssza72655za7, BGl_z62RSASSAzd2PSSzd2signz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumzd2envz30zz__cryptozd2rsazd2, BgL_bgl_za762rsassaza7d2pkcs2656z00, BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumz80zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rsazd2verifyzd2envz00zz__cryptozd2rsazd2, BgL_bgl_za762rsaza7d2verifyza72657za7, BGl_z62rsazd2verifyzb0zz__cryptozd2rsazd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAESzd2PKCS1zd2v1ze25zd2decryptzd2envze2zz__cryptozd2rsazd2, BgL_bgl_za762rsaesza7d2pkcs12658z00, BGl_z62RSAESzd2PKCS1zd2v1ze25zd2decryptz52zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASP1zd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsasp1za762za7za7__2659z00, BGl_z62RSASP1z62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSADPzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsadpza762za7za7__c2660z00, BGl_z62RSADPz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumzd2envz30zz__cryptozd2rsazd2, BgL_bgl__rsassaza7d2pkcs1za72661z00, opt_generic_entry, BGl__RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_RSAEPzd2envzd2zz__cryptozd2rsazd2, BgL_bgl_za762rsaepza762za7za7__c2662z00, BGl_z62RSAEPz62zz__cryptozd2rsazd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2) );
ADD_ROOT( (void *)(&BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long BgL_checksumz00_2865, char * BgL_fromz00_2866)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2rsazd2))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2rsazd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2rsazd2(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2rsazd2(); 
BGl_cnstzd2initzd2zz__cryptozd2rsazd2(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2rsazd2(); 
BGl_objectzd2initzd2zz__cryptozd2rsazd2(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2rsazd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__crypto-rsa"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__crypto-rsa"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
{ /* Llib/rsa.scm 21 */
 obj_t BgL_cportz00_2789;
{ /* Llib/rsa.scm 21 */
 obj_t BgL_stringz00_2797;
BgL_stringz00_2797 = BGl_string2526z00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 21 */
 obj_t BgL_startz00_2798;
BgL_startz00_2798 = 
BINT(((long)0)); 
{ /* Llib/rsa.scm 21 */
 obj_t BgL_endz00_2799;
BgL_endz00_2799 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2797))); 
{ /* Llib/rsa.scm 21 */

BgL_cportz00_2789 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2797, BgL_startz00_2798, BgL_endz00_2799); } } } } 
{ 
 long BgL_iz00_2790;
BgL_iz00_2790 = ((long)61); 
BgL_loopz00_2791:
if(
(BgL_iz00_2790==((long)-1)))
{ /* Llib/rsa.scm 21 */
return BUNSPEC;}  else 
{ /* Llib/rsa.scm 21 */
{ /* Llib/rsa.scm 21 */
 obj_t BgL_arg2528z00_2793;
{ /* Llib/rsa.scm 21 */

{ /* Llib/rsa.scm 21 */
 obj_t BgL_locationz00_2795;
BgL_locationz00_2795 = 
BBOOL(((bool_t)0)); 
{ /* Llib/rsa.scm 21 */

BgL_arg2528z00_2793 = 
BGl_readz00zz__readerz00(BgL_cportz00_2789, BgL_locationz00_2795); } } } 
{ /* Llib/rsa.scm 21 */
 int BgL_tmpz00_2900;
BgL_tmpz00_2900 = 
(int)(BgL_iz00_2790); 
CNST_TABLE_SET(BgL_tmpz00_2900, BgL_arg2528z00_2793); } } 
{ /* Llib/rsa.scm 21 */
 int BgL_auxz00_2796;
BgL_auxz00_2796 = 
(int)(
(BgL_iz00_2790-((long)1))); 
{ 
 long BgL_iz00_2905;
BgL_iz00_2905 = 
(long)(BgL_auxz00_2796); 
BgL_iz00_2790 = BgL_iz00_2905; 
goto BgL_loopz00_2791;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2421z00zz__cryptozd2rsazd2); 
BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2422z00zz__cryptozd2rsazd2); 
BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2423z00zz__cryptozd2rsazd2); 
BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2424z00zz__cryptozd2rsazd2); 
BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2425z00zz__cryptozd2rsazd2); 
return ( 
BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2 = 
BGl_stringzd2hexzd2internz00zz__r4_strings_6_7z00(BGl_string2426z00zz__cryptozd2rsazd2), BUNSPEC) ;} 

}



/* rsa-key-length */
BGL_EXPORTED_DEF long BGl_rsazd2keyzd2lengthz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_3)
{
{ /* Llib/rsa.scm 76 */
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1300;
BgL_arg1333z00_1300 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_3))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2236z00_1316;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1305; long BgL_rz00_1306;
BgL_qz00_1305 = 
(BgL_arg1333z00_1300/((long)8)); 
BgL_rz00_1306 = 
(BgL_arg1333z00_1300%((long)8)); 
if(
(BgL_rz00_1306==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2236z00_1316 = BgL_qz00_1305; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1306>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2236z00_1316 = 
(BgL_qz00_1305+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2236z00_1316 = 
(BgL_qz00_1305-((long)1)); } } } 
return BgL_res2236z00_1316;} } } 

}



/* &rsa-key-length */
obj_t BGl_z62rsazd2keyzd2lengthz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2390, obj_t BgL_keyz00_2391)
{
{ /* Llib/rsa.scm 76 */
{ /* Llib/rsa.scm 77 */
 long BgL_tmpz00_2924;
{ /* Llib/rsa.scm 77 */
 BgL_rsazd2keyzd2_bglt BgL_auxz00_2925;
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2391, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 77 */
BgL_auxz00_2925 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2391)
; }  else 
{ 
 obj_t BgL_auxz00_2929;
BgL_auxz00_2929 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)3568)), BGl_string2428z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_keyz00_2391); 
FAILURE(BgL_auxz00_2929,BFALSE,BFALSE);} 
BgL_tmpz00_2924 = 
BGl_rsazd2keyzd2lengthz00zz__cryptozd2rsazd2(BgL_auxz00_2925); } 
return 
BINT(BgL_tmpz00_2924);} } 

}



/* rsa-key-bit-length */
long BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_4)
{
{ /* Llib/rsa.scm 80 */
return 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_4))->BgL_modulusz00));} 

}



/* _generate-rsa-key */
obj_t BGl__generatezd2rsazd2keyz00zz__cryptozd2rsazd2(obj_t BgL_env1244z00_8, obj_t BgL_opt1243z00_7)
{
{ /* Llib/rsa.scm 87 */
{ /* Llib/rsa.scm 87 */

{ /* Llib/rsa.scm 87 */
 obj_t BgL_showzd2tracezd2_157;
BgL_showzd2tracezd2_157 = BFALSE; 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_siza7eza7_158;
BgL_siza7eza7_158 = 
BINT(((long)1024)); 
{ /* Llib/rsa.scm 87 */

{ 
 long BgL_iz00_159;
BgL_iz00_159 = ((long)0); 
BgL_check1247z00_160:
if(
(BgL_iz00_159==
VECTOR_LENGTH(BgL_opt1243z00_7)))
{ /* Llib/rsa.scm 87 */BNIL; }  else 
{ /* Llib/rsa.scm 87 */
 bool_t BgL_test2669z00_2941;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_arg1349z00_166;
BgL_arg1349z00_166 = 
VECTOR_REF(BgL_opt1243z00_7,BgL_iz00_159); 
BgL_test2669z00_2941 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1349z00_166, 
CNST_TABLE_REF(((long)0)))); } 
if(BgL_test2669z00_2941)
{ 
 long BgL_iz00_2946;
BgL_iz00_2946 = 
(BgL_iz00_159+((long)2)); 
BgL_iz00_159 = BgL_iz00_2946; 
goto BgL_check1247z00_160;}  else 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_arg1348z00_165;
BgL_arg1348z00_165 = 
VECTOR_REF(BgL_opt1243z00_7,BgL_iz00_159); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2430z00zz__cryptozd2rsazd2, BgL_arg1348z00_165); } } } 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_index1249z00_167;
BgL_index1249z00_167 = 
BGl_search1246ze70ze7zz__cryptozd2rsazd2(
VECTOR_LENGTH(BgL_opt1243z00_7), BgL_opt1243z00_7, 
CNST_TABLE_REF(((long)2)), ((long)0)); 
{ /* Llib/rsa.scm 87 */
 bool_t BgL_test2670z00_2954;
{ /* Llib/rsa.scm 87 */
 long BgL_n1z00_1334;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_tmpz00_2955;
if(
INTEGERP(BgL_index1249z00_167))
{ /* Llib/rsa.scm 87 */
BgL_tmpz00_2955 = BgL_index1249z00_167
; }  else 
{ 
 obj_t BgL_auxz00_2958;
BgL_auxz00_2958 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)3960)), BGl_string2431z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1249z00_167); 
FAILURE(BgL_auxz00_2958,BFALSE,BFALSE);} 
BgL_n1z00_1334 = 
(long)CINT(BgL_tmpz00_2955); } 
BgL_test2670z00_2954 = 
(BgL_n1z00_1334>=((long)0)); } 
if(BgL_test2670z00_2954)
{ 
 long BgL_auxz00_2964;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_tmpz00_2965;
if(
INTEGERP(BgL_index1249z00_167))
{ /* Llib/rsa.scm 87 */
BgL_tmpz00_2965 = BgL_index1249z00_167
; }  else 
{ 
 obj_t BgL_auxz00_2968;
BgL_auxz00_2968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)3960)), BGl_string2431z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1249z00_167); 
FAILURE(BgL_auxz00_2968,BFALSE,BFALSE);} 
BgL_auxz00_2964 = 
(long)CINT(BgL_tmpz00_2965); } 
BgL_showzd2tracezd2_157 = 
VECTOR_REF(BgL_opt1243z00_7,BgL_auxz00_2964); }  else 
{ /* Llib/rsa.scm 87 */BFALSE; } } } 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_index1250z00_169;
BgL_index1250z00_169 = 
BGl_search1246ze70ze7zz__cryptozd2rsazd2(
VECTOR_LENGTH(BgL_opt1243z00_7), BgL_opt1243z00_7, 
CNST_TABLE_REF(((long)3)), ((long)0)); 
{ /* Llib/rsa.scm 87 */
 bool_t BgL_test2673z00_2977;
{ /* Llib/rsa.scm 87 */
 long BgL_n1z00_1335;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_tmpz00_2978;
if(
INTEGERP(BgL_index1250z00_169))
{ /* Llib/rsa.scm 87 */
BgL_tmpz00_2978 = BgL_index1250z00_169
; }  else 
{ 
 obj_t BgL_auxz00_2981;
BgL_auxz00_2981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)3960)), BGl_string2431z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1250z00_169); 
FAILURE(BgL_auxz00_2981,BFALSE,BFALSE);} 
BgL_n1z00_1335 = 
(long)CINT(BgL_tmpz00_2978); } 
BgL_test2673z00_2977 = 
(BgL_n1z00_1335>=((long)0)); } 
if(BgL_test2673z00_2977)
{ 
 long BgL_auxz00_2987;
{ /* Llib/rsa.scm 87 */
 obj_t BgL_tmpz00_2988;
if(
INTEGERP(BgL_index1250z00_169))
{ /* Llib/rsa.scm 87 */
BgL_tmpz00_2988 = BgL_index1250z00_169
; }  else 
{ 
 obj_t BgL_auxz00_2991;
BgL_auxz00_2991 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)3960)), BGl_string2431z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1250z00_169); 
FAILURE(BgL_auxz00_2991,BFALSE,BFALSE);} 
BgL_auxz00_2987 = 
(long)CINT(BgL_tmpz00_2988); } 
BgL_siza7eza7_158 = 
VECTOR_REF(BgL_opt1243z00_7,BgL_auxz00_2987); }  else 
{ /* Llib/rsa.scm 87 */BFALSE; } } } 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_showzd2tracezd2_171;
BgL_showzd2tracezd2_171 = BgL_showzd2tracezd2_157; 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_siza7eza7_172;
BgL_siza7eza7_172 = BgL_siza7eza7_158; 
return 
((obj_t)
BGl_generatezd2rsazd2keyz00zz__cryptozd2rsazd2(BgL_showzd2tracezd2_171, BgL_siza7eza7_172));} } } } } } } 

}



/* search1246~0 */
obj_t BGl_search1246ze70ze7zz__cryptozd2rsazd2(long BgL_l1245z00_2582, obj_t BgL_opt1243z00_2581, obj_t BgL_k1z00_154, long BgL_iz00_155)
{
{ /* Llib/rsa.scm 87 */
BGl_search1246ze70ze7zz__cryptozd2rsazd2:
if(
(BgL_iz00_155==BgL_l1245z00_2582))
{ /* Llib/rsa.scm 87 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 87 */
if(
(BgL_iz00_155==
(BgL_l1245z00_2582-((long)1))))
{ /* Llib/rsa.scm 87 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2433z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1243z00_2581)));}  else 
{ /* Llib/rsa.scm 87 */
 obj_t BgL_vz00_177;
BgL_vz00_177 = 
VECTOR_REF(BgL_opt1243z00_2581,BgL_iz00_155); 
if(
(BgL_vz00_177==BgL_k1z00_154))
{ /* Llib/rsa.scm 87 */
return 
BINT(
(BgL_iz00_155+((long)1)));}  else 
{ 
 long BgL_iz00_3014;
BgL_iz00_3014 = 
(BgL_iz00_155+((long)2)); 
BgL_iz00_155 = BgL_iz00_3014; 
goto BGl_search1246ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* generate-rsa-key */
BGL_EXPORTED_DEF BgL_completezd2rsazd2keyz00_bglt BGl_generatezd2rsazd2keyz00zz__cryptozd2rsazd2(obj_t BgL_showzd2tracezd2_5, obj_t BgL_siza7eza7_6)
{
{ /* Llib/rsa.scm 87 */
{ /* Llib/rsa.scm 88 */
 long BgL_siza7ezd2pz75_181;
{ /* Llib/rsa.scm 88 */
 long BgL_tmpz00_3016;
BgL_tmpz00_3016 = 
(long)CINT(BgL_siza7eza7_6); 
BgL_siza7ezd2pz75_181 = 
(BgL_tmpz00_3016/((long)2)); } 
{ /* Llib/rsa.scm 88 */
 obj_t BgL_startzd2pzd2_182;
BgL_startzd2pzd2_182 = 
bgl_bignum_expt(
CNST_TABLE_REF(((long)4)), 
bgl_long_to_bignum(BgL_siza7ezd2pz75_181)); 
{ /* Llib/rsa.scm 89 */
 obj_t BgL_endzd2pzd2_183;
BgL_endzd2pzd2_183 = 
bgl_bignum_mul(BgL_startzd2pzd2_182, 
CNST_TABLE_REF(((long)4))); 
{ /* Llib/rsa.scm 90 */
 obj_t BgL_pz00_184;
BgL_pz00_184 = 
BGl_makezd2randomzd2primez00zz__cryptozd2utilzd2(BgL_startzd2pzd2_182, BgL_endzd2pzd2_183, BgL_showzd2tracezd2_5); 
{ /* Llib/rsa.scm 91 */
 obj_t BgL_startzd2nzd2_185;
BgL_startzd2nzd2_185 = 
bgl_bignum_expt(
CNST_TABLE_REF(((long)4)), 
bgl_long_to_bignum(
(long)CINT(BgL_siza7eza7_6))); 
{ /* Llib/rsa.scm 92 */
 obj_t BgL_endzd2nzd2_186;
BgL_endzd2nzd2_186 = 
bgl_bignum_mul(BgL_startzd2nzd2_185, 
CNST_TABLE_REF(((long)4))); 
{ /* Llib/rsa.scm 93 */
 obj_t BgL_startzd2qzd2_187;
BgL_startzd2qzd2_187 = 
bgl_bignum_add(
bgl_bignum_quotient(
bgl_bignum_sub(BgL_startzd2nzd2_185, 
CNST_TABLE_REF(((long)5))), BgL_pz00_184), 
CNST_TABLE_REF(((long)5))); 
{ /* Llib/rsa.scm 94 */
 obj_t BgL_endzd2qzd2_188;
BgL_endzd2qzd2_188 = 
bgl_bignum_quotient(BgL_endzd2nzd2_186, BgL_pz00_184); 
{ /* Llib/rsa.scm 95 */

{ 

BgL_zc3z04anonymousza31362ze3z87_190:
{ /* Llib/rsa.scm 97 */
 obj_t BgL_qz00_191;
BgL_qz00_191 = 
BGl_makezd2randomzd2primez00zz__cryptozd2utilzd2(BgL_startzd2qzd2_187, BgL_endzd2qzd2_188, BgL_showzd2tracezd2_5); 
{ /* Llib/rsa.scm 98 */
 bool_t BgL_test2679z00_3038;
{ /* Llib/rsa.scm 98 */
 obj_t BgL_arg1585z00_227;
{ /* Llib/rsa.scm 98 */
 obj_t BgL_list1586z00_228;
{ /* Llib/rsa.scm 98 */
 obj_t BgL_arg1599z00_229;
BgL_arg1599z00_229 = 
MAKE_YOUNG_PAIR(BgL_qz00_191, BNIL); 
BgL_list1586z00_228 = 
MAKE_YOUNG_PAIR(BgL_pz00_184, BgL_arg1599z00_229); } 
BgL_arg1585z00_227 = 
BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(BgL_list1586z00_228); } 
BgL_test2679z00_3038 = 
(
(long)(
bgl_bignum_cmp(BgL_arg1585z00_227, 
CNST_TABLE_REF(((long)5))))==((long)0)); } 
if(BgL_test2679z00_3038)
{ /* Llib/rsa.scm 100 */
 obj_t BgL_nz00_196;
BgL_nz00_196 = 
bgl_bignum_mul(BgL_pz00_184, BgL_qz00_191); 
{ /* Llib/rsa.scm 100 */
 obj_t BgL_pzd21zd2_197;
BgL_pzd21zd2_197 = 
bgl_bignum_sub(BgL_pz00_184, 
CNST_TABLE_REF(((long)5))); 
{ /* Llib/rsa.scm 101 */
 obj_t BgL_qzd21zd2_198;
BgL_qzd21zd2_198 = 
bgl_bignum_sub(BgL_qz00_191, 
CNST_TABLE_REF(((long)5))); 
{ /* Llib/rsa.scm 102 */
 obj_t BgL_phiz00_199;
{ /* Llib/rsa.scm 103 */
 obj_t BgL_arg1566z00_223; obj_t BgL_arg1582z00_224;
BgL_arg1566z00_223 = 
bgl_bignum_mul(BgL_pzd21zd2_197, BgL_qzd21zd2_198); 
{ /* Llib/rsa.scm 103 */
 obj_t BgL_list1583z00_225;
{ /* Llib/rsa.scm 103 */
 obj_t BgL_arg1584z00_226;
BgL_arg1584z00_226 = 
MAKE_YOUNG_PAIR(BgL_qzd21zd2_198, BNIL); 
BgL_list1583z00_225 = 
MAKE_YOUNG_PAIR(BgL_pzd21zd2_197, BgL_arg1584z00_226); } 
BgL_arg1582z00_224 = 
BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(BgL_list1583z00_225); } 
BgL_phiz00_199 = 
bgl_bignum_quotient(BgL_arg1566z00_223, BgL_arg1582z00_224); } 
{ /* Llib/rsa.scm 103 */
 obj_t BgL_ez00_200;
{ 
 obj_t BgL_ez00_212;
BgL_ez00_212 = 
CNST_TABLE_REF(((long)6)); 
BgL_zc3z04anonymousza31535ze3z87_213:
{ /* Llib/rsa.scm 105 */
 bool_t BgL_test2680z00_3056;
{ /* Llib/rsa.scm 105 */
 obj_t BgL_arg1563z00_219;
{ /* Llib/rsa.scm 105 */
 obj_t BgL_list1564z00_220;
{ /* Llib/rsa.scm 105 */
 obj_t BgL_arg1565z00_221;
BgL_arg1565z00_221 = 
MAKE_YOUNG_PAIR(BgL_phiz00_199, BNIL); 
BgL_list1564z00_220 = 
MAKE_YOUNG_PAIR(BgL_ez00_212, BgL_arg1565z00_221); } 
BgL_arg1563z00_219 = 
BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(BgL_list1564z00_220); } 
BgL_test2680z00_3056 = 
(
(long)(
bgl_bignum_cmp(
CNST_TABLE_REF(((long)5)), BgL_arg1563z00_219))==((long)0)); } 
if(BgL_test2680z00_3056)
{ /* Llib/rsa.scm 105 */
BgL_ez00_200 = BgL_ez00_212; }  else 
{ 
 obj_t BgL_ez00_3064;
BgL_ez00_3064 = 
bgl_bignum_add(BgL_ez00_212, 
CNST_TABLE_REF(((long)4))); 
BgL_ez00_212 = BgL_ez00_3064; 
goto BgL_zc3z04anonymousza31535ze3z87_213;} } } 
{ /* Llib/rsa.scm 104 */
 obj_t BgL_dz00_201;
BgL_dz00_201 = 
BGl_modzd2inversezd2zz__cryptozd2utilzd2(BgL_ez00_200, BgL_phiz00_199); 
{ /* Llib/rsa.scm 108 */
 obj_t BgL_dzd2modzd2pzd21zd2_202;
BgL_dzd2modzd2pzd21zd2_202 = 
BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(BgL_dz00_201, 
bgl_bignum_sub(BgL_pz00_184, 
CNST_TABLE_REF(((long)5)))); 
{ /* Llib/rsa.scm 109 */
 obj_t BgL_dzd2modzd2qzd21zd2_203;
BgL_dzd2modzd2qzd21zd2_203 = 
BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(BgL_dz00_201, 
bgl_bignum_sub(BgL_qz00_191, 
CNST_TABLE_REF(((long)5)))); 
{ /* Llib/rsa.scm 110 */
 obj_t BgL_qinvz00_204;
BgL_qinvz00_204 = 
BGl_modzd2inversezd2zz__cryptozd2utilzd2(BgL_qz00_191, BgL_pz00_184); 
{ /* Llib/rsa.scm 111 */

if(
CBOOL(BgL_showzd2tracezd2_5))
{ /* Llib/rsa.scm 112 */
 obj_t BgL_arg1408z00_205;
{ /* Llib/rsa.scm 112 */
 obj_t BgL_tmpz00_3078;
BgL_tmpz00_3078 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1408z00_205 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3078); } 
bgl_display_char(((unsigned char)10), BgL_arg1408z00_205); }  else 
{ /* Llib/rsa.scm 112 */BFALSE; } 
{ /* Llib/rsa.scm 113 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1072z00_206;
{ /* Llib/rsa.scm 114 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1071z00_207;
BgL_new1071z00_207 = 
((BgL_completezd2rsazd2keyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_completezd2rsazd2keyz00_bgl) ))); 
{ /* Llib/rsa.scm 114 */
 long BgL_arg1409z00_208;
BgL_arg1409z00_208 = 
BGL_CLASS_NUM(BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_207), BgL_arg1409z00_208); } 
{ /* Llib/rsa.scm 114 */
 BgL_objectz00_bglt BgL_tmpz00_3086;
BgL_tmpz00_3086 = 
((BgL_objectz00_bglt)BgL_new1071z00_207); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3086, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1071z00_207); 
BgL_new1072z00_206 = BgL_new1071z00_207; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1072z00_206)))->BgL_modulusz00)=((obj_t)BgL_nz00_196),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1072z00_206)))->BgL_exponentz00)=((obj_t)BgL_dz00_201),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_ez00)=((obj_t)BgL_ez00_200),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_pz00)=((obj_t)BgL_pz00_184),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_qz00)=((obj_t)BgL_qz00_191),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_exp1z00)=((obj_t)BgL_dzd2modzd2pzd21zd2_202),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_exp2z00)=((obj_t)BgL_dzd2modzd2qzd21zd2_203),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1072z00_206))->BgL_coeffz00)=((obj_t)BgL_qinvz00_204),BUNSPEC); 
return BgL_new1072z00_206;} } } } } } } } } } }  else 
{ /* Llib/rsa.scm 98 */
goto BgL_zc3z04anonymousza31362ze3z87_190;} } } } } } } } } } } } } } 

}



/* extract-public-rsa-key */
BGL_EXPORTED_DEF BgL_rsazd2keyzd2_bglt BGl_extractzd2publiczd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_completezd2rsazd2keyz00_bglt BgL_keyz00_9)
{
{ /* Llib/rsa.scm 124 */
{ /* Llib/rsa.scm 126 */
 BgL_rsazd2keyzd2_bglt BgL_new1075z00_238;
{ /* Llib/rsa.scm 127 */
 BgL_rsazd2keyzd2_bglt BgL_new1074z00_239;
BgL_new1074z00_239 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/rsa.scm 127 */
 long BgL_arg1616z00_240;
BgL_arg1616z00_240 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_239), BgL_arg1616z00_240); } 
BgL_new1075z00_238 = BgL_new1074z00_239; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1075z00_238))->BgL_modulusz00)=((obj_t)
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_9)))->BgL_modulusz00)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1075z00_238))->BgL_exponentz00)=((obj_t)
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_keyz00_9))->BgL_ez00)),BUNSPEC); 
return BgL_new1075z00_238;} } 

}



/* &extract-public-rsa-key */
BgL_rsazd2keyzd2_bglt BGl_z62extractzd2publiczd2rsazd2keyzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2392, obj_t BgL_keyz00_2393)
{
{ /* Llib/rsa.scm 124 */
{ /* Llib/rsa.scm 125 */
 BgL_completezd2rsazd2keyz00_bglt BgL_auxz00_3109;
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2393, BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 125 */
BgL_auxz00_3109 = 
((BgL_completezd2rsazd2keyz00_bglt)BgL_keyz00_2393)
; }  else 
{ 
 obj_t BgL_auxz00_3113;
BgL_auxz00_3113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)5241)), BGl_string2434z00zz__cryptozd2rsazd2, BGl_string2435z00zz__cryptozd2rsazd2, BgL_keyz00_2393); 
FAILURE(BgL_auxz00_3113,BFALSE,BFALSE);} 
return 
BGl_extractzd2publiczd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_auxz00_3109);} } 

}



/* extract-private-rsa-key */
BGL_EXPORTED_DEF BgL_rsazd2keyzd2_bglt BGl_extractzd2privatezd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_completezd2rsazd2keyz00_bglt BgL_keyz00_10)
{
{ /* Llib/rsa.scm 129 */
{ /* Llib/rsa.scm 131 */
 BgL_rsazd2keyzd2_bglt BgL_new1078z00_242;
{ /* Llib/rsa.scm 132 */
 BgL_rsazd2keyzd2_bglt BgL_new1077z00_243;
BgL_new1077z00_243 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/rsa.scm 132 */
 long BgL_arg1635z00_244;
BgL_arg1635z00_244 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_243), BgL_arg1635z00_244); } 
BgL_new1078z00_242 = BgL_new1077z00_243; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1078z00_242))->BgL_modulusz00)=((obj_t)
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_10)))->BgL_modulusz00)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1078z00_242))->BgL_exponentz00)=((obj_t)
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_10)))->BgL_exponentz00)),BUNSPEC); 
return BgL_new1078z00_242;} } 

}



/* &extract-private-rsa-key */
BgL_rsazd2keyzd2_bglt BGl_z62extractzd2privatezd2rsazd2keyzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2394, obj_t BgL_keyz00_2395)
{
{ /* Llib/rsa.scm 129 */
{ /* Llib/rsa.scm 130 */
 BgL_completezd2rsazd2keyz00_bglt BgL_auxz00_3128;
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2395, BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 130 */
BgL_auxz00_3128 = 
((BgL_completezd2rsazd2keyz00_bglt)BgL_keyz00_2395)
; }  else 
{ 
 obj_t BgL_auxz00_3132;
BgL_auxz00_3132 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)5422)), BGl_string2436z00zz__cryptozd2rsazd2, BGl_string2435z00zz__cryptozd2rsazd2, BgL_keyz00_2395); 
FAILURE(BgL_auxz00_3132,BFALSE,BFALSE);} 
return 
BGl_extractzd2privatezd2rsazd2keyzd2zz__cryptozd2rsazd2(BgL_auxz00_3128);} } 

}



/* rsa-key=? */
BGL_EXPORTED_DEF obj_t BGl_rsazd2keyzd3zf3zf2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_rsazd2key1zd2_15, BgL_rsazd2keyzd2_bglt BgL_rsazd2key2zd2_16)
{
{ /* Llib/rsa.scm 145 */
if(
(
(long)(
bgl_bignum_cmp(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_rsazd2key1zd2_15))->BgL_modulusz00), 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_rsazd2key2zd2_16))->BgL_modulusz00)))==((long)0)))
{ /* Llib/rsa.scm 154 */
 long BgL_n1z00_1430;
BgL_n1z00_1430 = 
(long)(
bgl_bignum_cmp(
BGl_publiczd2expze70z35zz__cryptozd2rsazd2(BgL_rsazd2key1zd2_15), 
BGl_publiczd2expze70z35zz__cryptozd2rsazd2(BgL_rsazd2key2zd2_16))); 
return 
BBOOL(
(BgL_n1z00_1430==((long)0)));}  else 
{ /* Llib/rsa.scm 153 */
return BFALSE;} } 

}



/* public-exp~0 */
obj_t BGl_publiczd2expze70z35zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_258)
{
{ /* Llib/rsa.scm 149 */
{ /* Llib/rsa.scm 147 */
 bool_t BgL_test2685z00_3149;
{ /* Llib/rsa.scm 147 */
 obj_t BgL_classz00_1391;
BgL_classz00_1391 = BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 147 */
 BgL_objectz00_bglt BgL_arg1789z00_1393;
{ /* Llib/rsa.scm 147 */
 obj_t BgL_tmpz00_3150;
BgL_tmpz00_3150 = 
((obj_t)
((BgL_objectz00_bglt)BgL_kz00_258)); 
BgL_arg1789z00_1393 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3150); } 
{ /* Llib/rsa.scm 147 */
 bool_t BgL_arg1786z00_1396; bool_t BgL_arg1787z00_1397;
{ /* Llib/rsa.scm 147 */
 long BgL_idxz00_1400;
BgL_idxz00_1400 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_1393); 
BgL_arg1786z00_1396 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1400+((long)2)))==BgL_classz00_1391); } 
{ /* Llib/rsa.scm 147 */
 bool_t BgL_res2237z00_1422;
{ /* Llib/rsa.scm 147 */
 obj_t BgL_oclassz00_1408;
{ /* Llib/rsa.scm 147 */
 long BgL_arg1796z00_1414;
{ /* Llib/rsa.scm 147 */
 long BgL_arg1797z00_1415;
BgL_arg1797z00_1415 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_1393); 
BgL_arg1796z00_1414 = 
(BgL_arg1797z00_1415-OBJECT_TYPE); } 
BgL_oclassz00_1408 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_1414); } 
{ /* Llib/rsa.scm 147 */
 bool_t BgL__ortest_1111z00_1409;
BgL__ortest_1111z00_1409 = 
(BgL_classz00_1391==BgL_oclassz00_1408); 
if(BgL__ortest_1111z00_1409)
{ /* Llib/rsa.scm 147 */
BgL_res2237z00_1422 = BgL__ortest_1111z00_1409; }  else 
{ /* Llib/rsa.scm 147 */
 long BgL_odepthz00_1410;
BgL_odepthz00_1410 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1408); 
if(
(((long)2)<BgL_odepthz00_1410))
{ /* Llib/rsa.scm 147 */
 obj_t BgL_arg1785z00_1412;
BgL_arg1785z00_1412 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1408, ((long)2)); 
BgL_res2237z00_1422 = 
(BgL_arg1785z00_1412==BgL_classz00_1391); }  else 
{ /* Llib/rsa.scm 147 */
BgL_res2237z00_1422 = ((bool_t)0); } } } } 
BgL_arg1787z00_1397 = BgL_res2237z00_1422; } 
BgL_test2685z00_3149 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_1396, BgL_arg1787z00_1397); } } } 
if(BgL_test2685z00_3149)
{ /* Llib/rsa.scm 147 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_258)))->BgL_ez00);}  else 
{ /* Llib/rsa.scm 147 */
return 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_258))->BgL_exponentz00);} } } 

}



/* &rsa-key=? */
obj_t BGl_z62rsazd2keyzd3zf3z90zz__cryptozd2rsazd2(obj_t BgL_envz00_2396, obj_t BgL_rsazd2key1zd2_2397, obj_t BgL_rsazd2key2zd2_2398)
{
{ /* Llib/rsa.scm 145 */
{ /* Llib/rsa.scm 147 */
 BgL_rsazd2keyzd2_bglt BgL_auxz00_3180; BgL_rsazd2keyzd2_bglt BgL_auxz00_3172;
if(
BGl_isazf3zf3zz__objectz00(BgL_rsazd2key2zd2_2398, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 147 */
BgL_auxz00_3180 = 
((BgL_rsazd2keyzd2_bglt)BgL_rsazd2key2zd2_2398)
; }  else 
{ 
 obj_t BgL_auxz00_3184;
BgL_auxz00_3184 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)5969)), BGl_string2437z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_rsazd2key2zd2_2398); 
FAILURE(BgL_auxz00_3184,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_rsazd2key1zd2_2397, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 147 */
BgL_auxz00_3172 = 
((BgL_rsazd2keyzd2_bglt)BgL_rsazd2key1zd2_2397)
; }  else 
{ 
 obj_t BgL_auxz00_3176;
BgL_auxz00_3176 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)5969)), BGl_string2437z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_rsazd2key1zd2_2397); 
FAILURE(BgL_auxz00_3176,BFALSE,BFALSE);} 
return 
BGl_rsazd2keyzd3zf3zf2zz__cryptozd2rsazd2(BgL_auxz00_3172, BgL_auxz00_3180);} } 

}



/* I2OSP */
BGL_EXPORTED_DEF obj_t BGl_I2OSPz00zz__cryptozd2rsazd2(obj_t BgL_xz00_17, long BgL_xzd2lenzd2_18)
{
{ /* Llib/rsa.scm 157 */
return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_xz00_17, BgL_xzd2lenzd2_18);} 

}



/* &I2OSP */
obj_t BGl_z62I2OSPz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2399, obj_t BgL_xz00_2400, obj_t BgL_xzd2lenzd2_2401)
{
{ /* Llib/rsa.scm 157 */
{ /* Llib/rsa.scm 158 */
 long BgL_auxz00_3197; obj_t BgL_auxz00_3190;
{ /* Llib/rsa.scm 158 */
 obj_t BgL_tmpz00_3198;
if(
INTEGERP(BgL_xzd2lenzd2_2401))
{ /* Llib/rsa.scm 158 */
BgL_tmpz00_3198 = BgL_xzd2lenzd2_2401
; }  else 
{ 
 obj_t BgL_auxz00_3201;
BgL_auxz00_3201 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6341)), BGl_string2438z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_xzd2lenzd2_2401); 
FAILURE(BgL_auxz00_3201,BFALSE,BFALSE);} 
BgL_auxz00_3197 = 
(long)CINT(BgL_tmpz00_3198); } 
if(
BIGNUMP(BgL_xz00_2400))
{ /* Llib/rsa.scm 158 */
BgL_auxz00_3190 = BgL_xz00_2400
; }  else 
{ 
 obj_t BgL_auxz00_3193;
BgL_auxz00_3193 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6341)), BGl_string2438z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_xz00_2400); 
FAILURE(BgL_auxz00_3193,BFALSE,BFALSE);} 
return 
BGl_I2OSPz00zz__cryptozd2rsazd2(BgL_auxz00_3190, BgL_auxz00_3197);} } 

}



/* OS2IP */
BGL_EXPORTED_DEF obj_t BGl_OS2IPz00zz__cryptozd2rsazd2(obj_t BgL_strz00_23)
{
{ /* Llib/rsa.scm 163 */
return 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_strz00_23);} 

}



/* &OS2IP */
obj_t BGl_z62OS2IPz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2402, obj_t BgL_strz00_2403)
{
{ /* Llib/rsa.scm 163 */
{ /* Llib/rsa.scm 164 */
 obj_t BgL_auxz00_3208;
if(
STRINGP(BgL_strz00_2403))
{ /* Llib/rsa.scm 164 */
BgL_auxz00_3208 = BgL_strz00_2403
; }  else 
{ 
 obj_t BgL_auxz00_3211;
BgL_auxz00_3211 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6519)), BGl_string2440z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_strz00_2403); 
FAILURE(BgL_auxz00_3211,BFALSE,BFALSE);} 
return 
BGl_OS2IPz00zz__cryptozd2rsazd2(BgL_auxz00_3208);} } 

}



/* _MGF1 */
obj_t BGl__MGF1z00zz__cryptozd2rsazd2(obj_t BgL_env1252z00_28, obj_t BgL_opt1251z00_27)
{
{ /* Llib/rsa.scm 167 */
{ /* Llib/rsa.scm 167 */
 long BgL_l1253z00_264;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_vectorz00_1431;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_vectorz00_1431 = BgL_opt1251z00_27; }  else 
{ 
 obj_t BgL_auxz00_3218;
BgL_auxz00_3218 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2443z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3218,BFALSE,BFALSE);} 
BgL_l1253z00_264 = 
VECTOR_LENGTH(BgL_vectorz00_1431); } 
{ 
 obj_t BgL_k1z00_265; long BgL_iz00_266;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_seedz00_268; obj_t BgL_lenz00_269;
{ 
 obj_t BgL_auxz00_3223;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3223 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3226;
BgL_auxz00_3226 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2443z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3226,BFALSE,BFALSE);} 
BgL_seedz00_268 = 
VECTOR_REF(BgL_auxz00_3223,((long)0)); } 
{ 
 obj_t BgL_auxz00_3231;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3231 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3234;
BgL_auxz00_3234 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2443z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3234,BFALSE,BFALSE);} 
BgL_lenz00_269 = 
VECTOR_REF(BgL_auxz00_3231,((long)1)); } 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_hashzd2funzd2_270;
BgL_hashzd2funzd2_270 = BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2; 
{ /* Llib/rsa.scm 167 */

{ 
 long BgL_iz00_271;
BgL_iz00_271 = ((long)2); 
BgL_check1255z00_272:
if(
(BgL_iz00_271==BgL_l1253z00_264))
{ /* Llib/rsa.scm 167 */BNIL; }  else 
{ /* Llib/rsa.scm 167 */
 bool_t BgL_test2697z00_3241;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_arg1669z00_278;
BgL_arg1669z00_278 = 
VECTOR_REF(
((obj_t)BgL_opt1251z00_27),BgL_iz00_271); 
BgL_test2697z00_3241 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1669z00_278, 
CNST_TABLE_REF(((long)8)))); } 
if(BgL_test2697z00_3241)
{ 
 long BgL_iz00_3247;
BgL_iz00_3247 = 
(BgL_iz00_271+((long)2)); 
BgL_iz00_271 = BgL_iz00_3247; 
goto BgL_check1255z00_272;}  else 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_arg1668z00_277;
BgL_arg1668z00_277 = 
VECTOR_REF(
((obj_t)BgL_opt1251z00_27),BgL_iz00_271); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2430z00zz__cryptozd2rsazd2, BgL_arg1668z00_277); } } } 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_index1257z00_279;
BgL_k1z00_265 = 
CNST_TABLE_REF(((long)9)); 
BgL_iz00_266 = ((long)2); 
BgL_search1254z00_267:
if(
(BgL_iz00_266==BgL_l1253z00_264))
{ /* Llib/rsa.scm 167 */
BgL_index1257z00_279 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 167 */
if(
(BgL_iz00_266==
(BgL_l1253z00_264-((long)1))))
{ /* Llib/rsa.scm 167 */
BgL_index1257z00_279 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string2444z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1251z00_27))); }  else 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_vz00_288;
BgL_vz00_288 = 
VECTOR_REF(BgL_opt1251z00_27,BgL_iz00_266); 
if(
(BgL_vz00_288==BgL_k1z00_265))
{ /* Llib/rsa.scm 167 */
BgL_index1257z00_279 = 
BINT(
(BgL_iz00_266+((long)1))); }  else 
{ 
 long BgL_iz00_3268;
BgL_iz00_3268 = 
(BgL_iz00_266+((long)2)); 
BgL_iz00_266 = BgL_iz00_3268; 
goto BgL_search1254z00_267;} } } 
{ /* Llib/rsa.scm 167 */
 bool_t BgL_test2701z00_3271;
{ /* Llib/rsa.scm 167 */
 long BgL_n1z00_1446;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_tmpz00_3272;
if(
INTEGERP(BgL_index1257z00_279))
{ /* Llib/rsa.scm 167 */
BgL_tmpz00_3272 = BgL_index1257z00_279
; }  else 
{ 
 obj_t BgL_auxz00_3275;
BgL_auxz00_3275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1257z00_279); 
FAILURE(BgL_auxz00_3275,BFALSE,BFALSE);} 
BgL_n1z00_1446 = 
(long)CINT(BgL_tmpz00_3272); } 
BgL_test2701z00_3271 = 
(BgL_n1z00_1446>=((long)0)); } 
if(BgL_test2701z00_3271)
{ /* Llib/rsa.scm 167 */
 obj_t BgL_aux2297z00_2629;
{ 
 long BgL_auxz00_3288; obj_t BgL_auxz00_3281;
{ /* Llib/rsa.scm 167 */
 obj_t BgL_tmpz00_3289;
if(
INTEGERP(BgL_index1257z00_279))
{ /* Llib/rsa.scm 167 */
BgL_tmpz00_3289 = BgL_index1257z00_279
; }  else 
{ 
 obj_t BgL_auxz00_3292;
BgL_auxz00_3292 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1257z00_279); 
FAILURE(BgL_auxz00_3292,BFALSE,BFALSE);} 
BgL_auxz00_3288 = 
(long)CINT(BgL_tmpz00_3289); } 
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3281 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3284;
BgL_auxz00_3284 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2443z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3284,BFALSE,BFALSE);} 
BgL_aux2297z00_2629 = 
VECTOR_REF(BgL_auxz00_3281,BgL_auxz00_3288); } 
if(
PROCEDUREP(BgL_aux2297z00_2629))
{ /* Llib/rsa.scm 167 */
BgL_hashzd2funzd2_270 = BgL_aux2297z00_2629; }  else 
{ 
 obj_t BgL_auxz00_3300;
BgL_auxz00_3300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2445z00zz__cryptozd2rsazd2, BgL_aux2297z00_2629); 
FAILURE(BgL_auxz00_3300,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 167 */BFALSE; } } } 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_arg1672z00_281; obj_t BgL_arg1673z00_282;
{ 
 obj_t BgL_auxz00_3304;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3304 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3307;
BgL_auxz00_3307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2443z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3307,BFALSE,BFALSE);} 
BgL_arg1672z00_281 = 
VECTOR_REF(BgL_auxz00_3304,((long)0)); } 
{ 
 obj_t BgL_auxz00_3312;
if(
VECTORP(BgL_opt1251z00_27))
{ /* Llib/rsa.scm 167 */
BgL_auxz00_3312 = BgL_opt1251z00_27
; }  else 
{ 
 obj_t BgL_auxz00_3315;
BgL_auxz00_3315 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2443z00zz__cryptozd2rsazd2, BgL_opt1251z00_27); 
FAILURE(BgL_auxz00_3315,BFALSE,BFALSE);} 
BgL_arg1673z00_282 = 
VECTOR_REF(BgL_auxz00_3312,((long)1)); } 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_hashzd2funzd2_283;
BgL_hashzd2funzd2_283 = BgL_hashzd2funzd2_270; 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_seedz00_2801; long BgL_lenz00_2802;
if(
STRINGP(BgL_arg1672z00_281))
{ /* Llib/rsa.scm 167 */
BgL_seedz00_2801 = BgL_arg1672z00_281; }  else 
{ 
 obj_t BgL_auxz00_3322;
BgL_auxz00_3322 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_arg1672z00_281); 
FAILURE(BgL_auxz00_3322,BFALSE,BFALSE);} 
{ /* Llib/rsa.scm 167 */
 obj_t BgL_tmpz00_3326;
if(
INTEGERP(BgL_arg1673z00_282))
{ /* Llib/rsa.scm 167 */
BgL_tmpz00_3326 = BgL_arg1673z00_282
; }  else 
{ 
 obj_t BgL_auxz00_3329;
BgL_auxz00_3329 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)6573)), BGl_string2442z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_arg1673z00_282); 
FAILURE(BgL_auxz00_3329,BFALSE,BFALSE);} 
BgL_lenz00_2802 = 
(long)CINT(BgL_tmpz00_3326); } 
{ /* Llib/rsa.scm 170 */
 obj_t BgL_resz00_2804; obj_t BgL_bufz00_2805; long BgL_seedzd2lenzd2_2806;
{ /* Llib/rsa.scm 170 */

BgL_resz00_2804 = 
make_string(BgL_lenz00_2802, ((unsigned char)' ')); } 
BgL_bufz00_2805 = 
string_append(BgL_seedz00_2801, BGl_string2446z00zz__cryptozd2rsazd2); 
BgL_seedzd2lenzd2_2806 = 
STRING_LENGTH(BgL_seedz00_2801); 
{ 
 long BgL_iz00_2808; obj_t BgL_cz00_2809;
BgL_iz00_2808 = ((long)0); 
BgL_cz00_2809 = 
CNST_TABLE_REF(((long)10)); 
BgL_loopz00_2807:
if(
(BgL_iz00_2808>=BgL_lenz00_2802))
{ /* Llib/rsa.scm 176 */
return BgL_resz00_2804;}  else 
{ /* Llib/rsa.scm 176 */
BGl_bignumzd2ze3binzd2strz12zf1zz__cryptozd2utilzd2(BgL_bufz00_2805, BgL_seedzd2lenzd2_2806, BgL_cz00_2809, ((long)4)); 
{ /* Llib/rsa.scm 179 */
 obj_t BgL_hashzd2strzd2_2810;
BgL_hashzd2strzd2_2810 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_283)(BgL_hashzd2funzd2_283, BgL_bufz00_2805, BEOA); 
{ /* Llib/rsa.scm 179 */
 long BgL_hashzd2lenzd2_2811;
BgL_hashzd2lenzd2_2811 = 
STRING_LENGTH(
((obj_t)BgL_hashzd2strzd2_2810)); 
{ /* Llib/rsa.scm 180 */
 long BgL_blitzd2lenzd2_2812;
{ /* Llib/rsa.scm 181 */
 long BgL_bz00_2813;
BgL_bz00_2813 = 
(BgL_lenz00_2802-BgL_iz00_2808); 
if(
(BgL_hashzd2lenzd2_2811<BgL_bz00_2813))
{ /* Llib/rsa.scm 181 */
BgL_blitzd2lenzd2_2812 = BgL_hashzd2lenzd2_2811; }  else 
{ /* Llib/rsa.scm 181 */
BgL_blitzd2lenzd2_2812 = BgL_bz00_2813; } } 
{ /* Llib/rsa.scm 181 */

blit_string(
((obj_t)BgL_hashzd2strzd2_2810), ((long)0), BgL_resz00_2804, BgL_iz00_2808, BgL_blitzd2lenzd2_2812); 
{ 
 obj_t BgL_cz00_3353; long BgL_iz00_3351;
BgL_iz00_3351 = 
(BgL_iz00_2808+BgL_blitzd2lenzd2_2812); 
BgL_cz00_3353 = 
bgl_bignum_add(BgL_cz00_2809, 
CNST_TABLE_REF(((long)5))); 
BgL_cz00_2809 = BgL_cz00_3353; 
BgL_iz00_2808 = BgL_iz00_3351; 
goto BgL_loopz00_2807;} } } } } } } } } } } } } } } } } 

}



/* search1261~0 */
obj_t BGl_search1261ze70ze7zz__cryptozd2rsazd2(obj_t BgL_l1260z00_2580, obj_t BgL_opt1258z00_2579, obj_t BgL_k1z00_312, obj_t BgL_iz00_313)
{
{ /* Llib/rsa.scm 186 */
BGl_search1261ze70ze7zz__cryptozd2rsazd2:
if(
(
(long)CINT(BgL_iz00_313)==
(long)CINT(BgL_l1260z00_2580)))
{ /* Llib/rsa.scm 186 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 186 */
if(
(
(long)CINT(BgL_iz00_313)==
(long)CINT(
SUBFX(BgL_l1260z00_2580, 
BINT(((long)1))))))
{ /* Llib/rsa.scm 186 */
 obj_t BgL_arg1733z00_342;
BgL_arg1733z00_342 = 
BINT(
VECTOR_LENGTH(BgL_opt1258z00_2579)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string2448z00zz__cryptozd2rsazd2, BgL_arg1733z00_342);}  else 
{ /* Llib/rsa.scm 186 */
 obj_t BgL_vz00_343;
BgL_vz00_343 = 
VECTOR_REF(BgL_opt1258z00_2579,
(long)CINT(BgL_iz00_313)); 
if(
(BgL_vz00_343==BgL_k1z00_312))
{ /* Llib/rsa.scm 186 */
return 
ADDFX(BgL_iz00_313, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_3378;
BgL_iz00_3378 = 
ADDFX(BgL_iz00_313, 
BINT(((long)2))); 
BgL_iz00_313 = BgL_iz00_3378; 
goto BGl_search1261ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* EME-OAEP-encode */
obj_t BGl_EMEzd2OAEPzd2encodez00zz__cryptozd2rsazd2(long BgL_kz00_29, obj_t BgL_mz00_30, obj_t BgL_hashzd2funzd2_31, obj_t BgL_labelz00_32, obj_t BgL_maskzd2funzd2_33)
{
{ /* Llib/rsa.scm 186 */
{ /* Llib/rsa.scm 206 */
 obj_t BgL_lzd2hashzd2_347;
BgL_lzd2hashzd2_347 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_31)(BgL_hashzd2funzd2_31, BgL_labelz00_32, BEOA); 
{ /* Llib/rsa.scm 206 */
 long BgL_hzd2lenzd2_348;
BgL_hzd2lenzd2_348 = 
STRING_LENGTH(
((obj_t)BgL_lzd2hashzd2_347)); 
{ /* Llib/rsa.scm 207 */
 long BgL_mzd2lenzd2_349;
BgL_mzd2lenzd2_349 = 
STRING_LENGTH(BgL_mz00_30); 
{ /* Llib/rsa.scm 208 */
 long BgL_pszd2lenzd2_350;
BgL_pszd2lenzd2_350 = 
(BgL_kz00_29-
(BgL_mzd2lenzd2_349+
(
(((long)2)*BgL_hzd2lenzd2_348)+((long)2)))); 
{ /* Llib/rsa.scm 209 */
 long BgL_dbzd2lenzd2_351;
BgL_dbzd2lenzd2_351 = 
(BgL_hzd2lenzd2_348+
(BgL_pszd2lenzd2_350+
(((long)1)+BgL_mzd2lenzd2_349))); 
{ /* Llib/rsa.scm 210 */
 obj_t BgL_dbz00_352;
{ /* Llib/rsa.scm 211 */

BgL_dbz00_352 = 
make_string(BgL_dbzd2lenzd2_351, ((unsigned char)' ')); } 
{ /* Llib/rsa.scm 211 */
 obj_t BgL_seedz00_353;
BgL_seedz00_353 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(BgL_hzd2lenzd2_348, BFALSE); 
{ /* Llib/rsa.scm 212 */

blit_string(
((obj_t)BgL_lzd2hashzd2_347), ((long)0), BgL_dbz00_352, ((long)0), BgL_hzd2lenzd2_348); 
{ 
 long BgL_iz00_355;
BgL_iz00_355 = ((long)0); 
BgL_zc3z04anonymousza31738ze3z87_356:
if(
(BgL_iz00_355>=BgL_pszd2lenzd2_350))
{ /* Llib/rsa.scm 218 */((bool_t)0); }  else 
{ /* Llib/rsa.scm 218 */
{ /* Llib/rsa.scm 219 */
 long BgL_tmpz00_3401;
BgL_tmpz00_3401 = 
(BgL_hzd2lenzd2_348+BgL_iz00_355); 
STRING_SET(BgL_dbz00_352, BgL_tmpz00_3401, ((unsigned char)'\000')); } 
{ 
 long BgL_iz00_3404;
BgL_iz00_3404 = 
(BgL_iz00_355+((long)1)); 
BgL_iz00_355 = BgL_iz00_3404; 
goto BgL_zc3z04anonymousza31738ze3z87_356;} } } 
{ /* Llib/rsa.scm 222 */
 long BgL_tmpz00_3406;
BgL_tmpz00_3406 = 
(BgL_hzd2lenzd2_348+BgL_pszd2lenzd2_350); 
STRING_SET(BgL_dbz00_352, BgL_tmpz00_3406, ((unsigned char)1)); } 
blit_string(BgL_mz00_30, ((long)0), BgL_dbz00_352, 
(BgL_hzd2lenzd2_348+
(BgL_pszd2lenzd2_350+((long)1))), BgL_mzd2lenzd2_349); 
{ /* Llib/rsa.scm 226 */
 obj_t BgL_dbzd2maskzd2_364;
{ /* Llib/rsa.scm 226 */
 long BgL_arg1782z00_374;
BgL_arg1782z00_374 = 
(BgL_kz00_29-
(BgL_hzd2lenzd2_348+((long)1))); 
BgL_dbzd2maskzd2_364 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_33)(BgL_maskzd2funzd2_33, BgL_seedz00_353, 
BINT(BgL_arg1782z00_374), BEOA); } 
{ /* Llib/rsa.scm 226 */
 obj_t BgL_maskedzd2dbzd2_365;
BgL_maskedzd2dbzd2_365 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_dbz00_352, BgL_dbzd2maskzd2_364); 
{ /* Llib/rsa.scm 227 */
 obj_t BgL_seedzd2maskzd2_366;
BgL_seedzd2maskzd2_366 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_33)(BgL_maskzd2funzd2_33, BgL_maskedzd2dbzd2_365, 
BINT(BgL_hzd2lenzd2_348), BEOA); 
{ /* Llib/rsa.scm 228 */
 obj_t BgL_maskedzd2seedzd2_367;
BgL_maskedzd2seedzd2_367 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_seedz00_353, BgL_seedzd2maskzd2_366); 
{ /* Llib/rsa.scm 229 */
 obj_t BgL_reszd2strzd2_368;
{ /* Llib/rsa.scm 230 */
 long BgL_arg1768z00_370;
BgL_arg1768z00_370 = 
(((long)1)+
(BgL_hzd2lenzd2_348+BgL_dbzd2lenzd2_351)); 
{ /* Llib/rsa.scm 230 */

BgL_reszd2strzd2_368 = 
make_string(BgL_arg1768z00_370, ((unsigned char)' ')); } } 
{ /* Llib/rsa.scm 230 */

STRING_SET(BgL_reszd2strzd2_368, ((long)0), ((unsigned char)'0')); 
blit_string(BgL_maskedzd2seedzd2_367, ((long)0), BgL_reszd2strzd2_368, ((long)1), BgL_hzd2lenzd2_348); 
blit_string(BgL_maskedzd2dbzd2_365, ((long)0), BgL_reszd2strzd2_368, 
(((long)1)+BgL_hzd2lenzd2_348), BgL_dbzd2lenzd2_351); 
return BgL_reszd2strzd2_368;} } } } } } } } } } } } } } } 

}



/* search1270~0 */
obj_t BGl_search1270ze70ze7zz__cryptozd2rsazd2(obj_t BgL_l1269z00_2578, obj_t BgL_opt1267z00_2577, obj_t BgL_k1z00_385, obj_t BgL_iz00_386)
{
{ /* Llib/rsa.scm 237 */
BGl_search1270ze70ze7zz__cryptozd2rsazd2:
if(
(
(long)CINT(BgL_iz00_386)==
(long)CINT(BgL_l1269z00_2578)))
{ /* Llib/rsa.scm 237 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 237 */
if(
(
(long)CINT(BgL_iz00_386)==
(long)CINT(
SUBFX(BgL_l1269z00_2578, 
BINT(((long)1))))))
{ /* Llib/rsa.scm 237 */
 obj_t BgL_arg1826z00_415;
BgL_arg1826z00_415 = 
BINT(
VECTOR_LENGTH(BgL_opt1267z00_2577)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)15)), BGl_string2448z00zz__cryptozd2rsazd2, BgL_arg1826z00_415);}  else 
{ /* Llib/rsa.scm 237 */
 obj_t BgL_vz00_416;
BgL_vz00_416 = 
VECTOR_REF(BgL_opt1267z00_2577,
(long)CINT(BgL_iz00_386)); 
if(
(BgL_vz00_416==BgL_k1z00_385))
{ /* Llib/rsa.scm 237 */
return 
ADDFX(BgL_iz00_386, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_3456;
BgL_iz00_3456 = 
ADDFX(BgL_iz00_386, 
BINT(((long)2))); 
BgL_iz00_386 = BgL_iz00_3456; 
goto BGl_search1270ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* EME-OAEP-decode */
obj_t BGl_EMEzd2OAEPzd2decodez00zz__cryptozd2rsazd2(long BgL_kz00_36, obj_t BgL_emz00_37, obj_t BgL_hashzd2funzd2_38, obj_t BgL_labelz00_39, obj_t BgL_maskzd2funzd2_40)
{
{ /* Llib/rsa.scm 237 */
{ /* Llib/rsa.scm 240 */
 obj_t BgL_lzd2hashzd2_420;
BgL_lzd2hashzd2_420 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_38)(BgL_hashzd2funzd2_38, BgL_labelz00_39, BEOA); 
{ /* Llib/rsa.scm 240 */
 long BgL_hzd2lenzd2_421;
BgL_hzd2lenzd2_421 = 
STRING_LENGTH(
((obj_t)BgL_lzd2hashzd2_420)); 
{ /* Llib/rsa.scm 241 */
 long BgL_emzd2lenzd2_422;
BgL_emzd2lenzd2_422 = 
STRING_LENGTH(BgL_emz00_37); 
{ /* Llib/rsa.scm 242 */
 long BgL_dbzd2lenzd2_423;
BgL_dbzd2lenzd2_423 = 
(BgL_kz00_36-
(BgL_hzd2lenzd2_421+((long)1))); 
{ /* Llib/rsa.scm 243 */
 obj_t BgL_dummyzd2assertzd2_424;
if(
(BgL_emzd2lenzd2_422==
(((long)1)+
(BgL_hzd2lenzd2_421+BgL_dbzd2lenzd2_423))))
{ /* Llib/rsa.scm 244 */
BgL_dummyzd2assertzd2_424 = BFALSE; }  else 
{ /* Llib/rsa.scm 244 */
BgL_dummyzd2assertzd2_424 = 
BGl_errorz00zz__errorz00(BGl_string2449z00zz__cryptozd2rsazd2, BGl_string2450z00zz__cryptozd2rsazd2, BgL_emz00_37); } 
{ /* Llib/rsa.scm 247 */
 obj_t BgL_maskedzd2seedzd2_426;
BgL_maskedzd2seedzd2_426 = 
c_substring(BgL_emz00_37, ((long)1), 
(((long)1)+BgL_hzd2lenzd2_421)); 
{ /* Llib/rsa.scm 248 */
 obj_t BgL_maskedzd2dbzd2_427;
BgL_maskedzd2dbzd2_427 = 
c_substring(BgL_emz00_37, 
(((long)1)+BgL_hzd2lenzd2_421), BgL_emzd2lenzd2_422); 
{ /* Llib/rsa.scm 249 */
 obj_t BgL_seedzd2maskzd2_428;
BgL_seedzd2maskzd2_428 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_40)(BgL_maskzd2funzd2_40, BgL_maskedzd2dbzd2_427, 
BINT(BgL_hzd2lenzd2_421), BEOA); 
{ /* Llib/rsa.scm 250 */
 obj_t BgL_seedz00_429;
BgL_seedz00_429 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_maskedzd2seedzd2_426, BgL_seedzd2maskzd2_428); 
{ /* Llib/rsa.scm 251 */
 obj_t BgL_dbzd2maskzd2_430;
BgL_dbzd2maskzd2_430 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_40)(BgL_maskzd2funzd2_40, BgL_seedz00_429, 
BINT(BgL_dbzd2lenzd2_423), BEOA); 
{ /* Llib/rsa.scm 252 */
 obj_t BgL_dbz00_431;
BgL_dbz00_431 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_maskedzd2dbzd2_427, BgL_dbzd2maskzd2_430); 
{ /* Llib/rsa.scm 253 */

{ /* Llib/rsa.scm 256 */
 bool_t BgL_test2720z00_3491;
{ /* Llib/rsa.scm 256 */

BgL_test2720z00_3491 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BgL_lzd2hashzd2_420, BgL_dbz00_431, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test2720z00_3491)
{ /* Llib/rsa.scm 256 */BFALSE; }  else 
{ /* Llib/rsa.scm 256 */
BGl_errorz00zz__errorz00(BGl_string2449z00zz__cryptozd2rsazd2, BGl_string2451z00zz__cryptozd2rsazd2, BgL_dbz00_431); } } 
{ 
 long BgL_iz00_446;
BgL_iz00_446 = BgL_hzd2lenzd2_421; 
BgL_zc3z04anonymousza31831ze3z87_447:
if(
(BgL_iz00_446>=BgL_dbzd2lenzd2_423))
{ /* Llib/rsa.scm 260 */
return 
BGl_errorz00zz__errorz00(BGl_string2449z00zz__cryptozd2rsazd2, BGl_string2452z00zz__cryptozd2rsazd2, BgL_dbz00_431);}  else 
{ /* Llib/rsa.scm 260 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_dbz00_431, BgL_iz00_446)))
{ 
 long BgL_iz00_3500;
BgL_iz00_3500 = 
(BgL_iz00_446+((long)1)); 
BgL_iz00_446 = BgL_iz00_3500; 
goto BgL_zc3z04anonymousza31831ze3z87_447;}  else 
{ /* Llib/rsa.scm 262 */
if(
(((unsigned char)1)==
STRING_REF(BgL_dbz00_431, BgL_iz00_446)))
{ /* Llib/rsa.scm 265 */
return 
c_substring(BgL_dbz00_431, 
(BgL_iz00_446+((long)1)), BgL_dbzd2lenzd2_423);}  else 
{ /* Llib/rsa.scm 265 */
return 
BGl_errorz00zz__errorz00(BGl_string2449z00zz__cryptozd2rsazd2, BGl_string2453z00zz__cryptozd2rsazd2, BgL_dbz00_431);} } } } } } } } } } } } } } } } } 

}



/* rsa-encrypt */
BGL_EXPORTED_DEF obj_t BGl_rsazd2encryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_a0z00_43, obj_t BgL_a1z00_44)
{
{ /* Llib/rsa.scm 275 */
return 
BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_a0z00_43, BgL_a1z00_44);} 

}



/* &rsa-encrypt */
obj_t BGl_z62rsazd2encryptzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2406, obj_t BgL_a0z00_2407, obj_t BgL_a1z00_2408)
{
{ /* Llib/rsa.scm 275 */
{ /* Llib/rsa.scm 275 */
 obj_t BgL_auxz00_3517; BgL_rsazd2keyzd2_bglt BgL_auxz00_3509;
if(
BIGNUMP(BgL_a1z00_2408))
{ /* Llib/rsa.scm 275 */
BgL_auxz00_3517 = BgL_a1z00_2408
; }  else 
{ 
 obj_t BgL_auxz00_3520;
BgL_auxz00_3520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)10779)), BGl_string2454z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_a1z00_2408); 
FAILURE(BgL_auxz00_3520,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_a0z00_2407, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 275 */
BgL_auxz00_3509 = 
((BgL_rsazd2keyzd2_bglt)BgL_a0z00_2407)
; }  else 
{ 
 obj_t BgL_auxz00_3513;
BgL_auxz00_3513 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)10779)), BGl_string2454z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_a0z00_2407); 
FAILURE(BgL_auxz00_3513,BFALSE,BFALSE);} 
return 
BGl_rsazd2encryptzd2zz__cryptozd2rsazd2(BgL_auxz00_3509, BgL_auxz00_3517);} } 

}



/* RSAEP */
BGL_EXPORTED_DEF obj_t BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_45, obj_t BgL_mz00_46)
{
{ /* Llib/rsa.scm 276 */
{ /* Llib/rsa.scm 277 */
 obj_t BgL_modulusz00_466;
{ /* Llib/rsa.scm 278 */
 bool_t BgL_test2726z00_3525;
{ /* Llib/rsa.scm 278 */
 obj_t BgL_classz00_1590;
BgL_classz00_1590 = BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 278 */
 BgL_objectz00_bglt BgL_arg1789z00_1592;
{ /* Llib/rsa.scm 278 */
 obj_t BgL_tmpz00_3526;
BgL_tmpz00_3526 = 
((obj_t)BgL_kz00_45); 
BgL_arg1789z00_1592 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3526); } 
{ /* Llib/rsa.scm 278 */
 bool_t BgL_arg1786z00_1595; bool_t BgL_arg1787z00_1596;
{ /* Llib/rsa.scm 278 */
 long BgL_idxz00_1599;
BgL_idxz00_1599 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_1592); 
BgL_arg1786z00_1595 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1599+((long)2)))==BgL_classz00_1590); } 
{ /* Llib/rsa.scm 278 */
 bool_t BgL_res2238z00_1621;
{ /* Llib/rsa.scm 278 */
 obj_t BgL_oclassz00_1607;
{ /* Llib/rsa.scm 278 */
 long BgL_arg1796z00_1613;
{ /* Llib/rsa.scm 278 */
 long BgL_arg1797z00_1614;
BgL_arg1797z00_1614 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_1592); 
BgL_arg1796z00_1613 = 
(BgL_arg1797z00_1614-OBJECT_TYPE); } 
BgL_oclassz00_1607 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_1613); } 
{ /* Llib/rsa.scm 278 */
 bool_t BgL__ortest_1111z00_1608;
BgL__ortest_1111z00_1608 = 
(BgL_classz00_1590==BgL_oclassz00_1607); 
if(BgL__ortest_1111z00_1608)
{ /* Llib/rsa.scm 278 */
BgL_res2238z00_1621 = BgL__ortest_1111z00_1608; }  else 
{ /* Llib/rsa.scm 278 */
 long BgL_odepthz00_1609;
BgL_odepthz00_1609 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1607); 
if(
(((long)2)<BgL_odepthz00_1609))
{ /* Llib/rsa.scm 278 */
 obj_t BgL_arg1785z00_1611;
BgL_arg1785z00_1611 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1607, ((long)2)); 
BgL_res2238z00_1621 = 
(BgL_arg1785z00_1611==BgL_classz00_1590); }  else 
{ /* Llib/rsa.scm 278 */
BgL_res2238z00_1621 = ((bool_t)0); } } } } 
BgL_arg1787z00_1596 = BgL_res2238z00_1621; } 
BgL_test2726z00_3525 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_1595, BgL_arg1787z00_1596); } } } 
if(BgL_test2726z00_3525)
{ /* Llib/rsa.scm 279 */
 obj_t BgL_val0_1222z00_472; obj_t BgL_val1_1223z00_473;
BgL_val0_1222z00_472 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_45))))->BgL_modulusz00); 
BgL_val1_1223z00_473 = 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_45)))->BgL_ez00); 
{ /* Llib/rsa.scm 279 */
 int BgL_tmpz00_3549;
BgL_tmpz00_3549 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3549); } 
{ /* Llib/rsa.scm 279 */
 int BgL_tmpz00_3552;
BgL_tmpz00_3552 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3552, BgL_val1_1223z00_473); } 
BgL_modulusz00_466 = BgL_val0_1222z00_472; }  else 
{ /* Llib/rsa.scm 280 */
 obj_t BgL_val0_1224z00_475; obj_t BgL_val1_1225z00_476;
BgL_val0_1224z00_475 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_45))->BgL_modulusz00); 
BgL_val1_1225z00_476 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_45))->BgL_exponentz00); 
{ /* Llib/rsa.scm 280 */
 int BgL_tmpz00_3557;
BgL_tmpz00_3557 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3557); } 
{ /* Llib/rsa.scm 280 */
 int BgL_tmpz00_3560;
BgL_tmpz00_3560 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3560, BgL_val1_1225z00_476); } 
BgL_modulusz00_466 = BgL_val0_1224z00_475; } } 
{ /* Llib/rsa.scm 283 */
 obj_t BgL_exponentz00_467;
{ /* Llib/rsa.scm 283 */
 obj_t BgL_tmpz00_1622;
{ /* Llib/rsa.scm 283 */
 int BgL_tmpz00_3563;
BgL_tmpz00_3563 = 
(int)(((long)1)); 
BgL_tmpz00_1622 = 
BGL_MVALUES_VAL(BgL_tmpz00_3563); } 
{ /* Llib/rsa.scm 283 */
 int BgL_tmpz00_3566;
BgL_tmpz00_3566 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3566, BUNSPEC); } 
BgL_exponentz00_467 = BgL_tmpz00_1622; } 
if(
(
(long)(
bgl_bignum_cmp(BgL_mz00_46, BgL_modulusz00_466))>=((long)0)))
{ /* Llib/rsa.scm 283 */
 obj_t BgL_arg1850z00_469;
BgL_arg1850z00_469 = 
MAKE_YOUNG_PAIR(BgL_mz00_46, BgL_modulusz00_466); 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BgL_arg1850z00_469); }  else 
{ /* Llib/rsa.scm 281 */BFALSE; } 
return 
BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(BgL_mz00_46, BgL_exponentz00_467, BgL_modulusz00_466);} } } 

}



/* &RSAEP */
obj_t BGl_z62RSAEPz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2409, obj_t BgL_kz00_2410, obj_t BgL_mz00_2411)
{
{ /* Llib/rsa.scm 276 */
{ /* Llib/rsa.scm 277 */
 obj_t BgL_auxz00_3584; BgL_rsazd2keyzd2_bglt BgL_auxz00_3576;
if(
BIGNUMP(BgL_mz00_2411))
{ /* Llib/rsa.scm 277 */
BgL_auxz00_3584 = BgL_mz00_2411
; }  else 
{ 
 obj_t BgL_auxz00_3587;
BgL_auxz00_3587 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)10854)), BGl_string2457z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_mz00_2411); 
FAILURE(BgL_auxz00_3587,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2410, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 277 */
BgL_auxz00_3576 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2410)
; }  else 
{ 
 obj_t BgL_auxz00_3580;
BgL_auxz00_3580 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)10854)), BGl_string2457z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_kz00_2410); 
FAILURE(BgL_auxz00_3580,BFALSE,BFALSE);} 
return 
BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_auxz00_3576, BgL_auxz00_3584);} } 

}



/* rsa-decrypt */
BGL_EXPORTED_DEF obj_t BGl_rsazd2decryptzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_a0z00_47, obj_t BgL_a1z00_48)
{
{ /* Llib/rsa.scm 289 */
return 
BGl_RSADPz00zz__cryptozd2rsazd2(BgL_a0z00_47, BgL_a1z00_48);} 

}



/* &rsa-decrypt */
obj_t BGl_z62rsazd2decryptzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2412, obj_t BgL_a0z00_2413, obj_t BgL_a1z00_2414)
{
{ /* Llib/rsa.scm 289 */
{ /* Llib/rsa.scm 289 */
 obj_t BgL_auxz00_3601; BgL_rsazd2keyzd2_bglt BgL_auxz00_3593;
if(
BIGNUMP(BgL_a1z00_2414))
{ /* Llib/rsa.scm 289 */
BgL_auxz00_3601 = BgL_a1z00_2414
; }  else 
{ 
 obj_t BgL_auxz00_3604;
BgL_auxz00_3604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)11323)), BGl_string2458z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_a1z00_2414); 
FAILURE(BgL_auxz00_3604,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_a0z00_2413, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 289 */
BgL_auxz00_3593 = 
((BgL_rsazd2keyzd2_bglt)BgL_a0z00_2413)
; }  else 
{ 
 obj_t BgL_auxz00_3597;
BgL_auxz00_3597 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)11323)), BGl_string2458z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_a0z00_2413); 
FAILURE(BgL_auxz00_3597,BFALSE,BFALSE);} 
return 
BGl_rsazd2decryptzd2zz__cryptozd2rsazd2(BgL_auxz00_3593, BgL_auxz00_3601);} } 

}



/* RSADP */
BGL_EXPORTED_DEF obj_t BGl_RSADPz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_49, obj_t BgL_cz00_50)
{
{ /* Llib/rsa.scm 290 */
if(
(
(long)(
bgl_bignum_cmp(BgL_cz00_50, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_49))->BgL_modulusz00)))>=((long)0)))
{ /* Llib/rsa.scm 294 */
 obj_t BgL_arg1854z00_480;
BgL_arg1854z00_480 = 
MAKE_YOUNG_PAIR(BgL_cz00_50, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_49))->BgL_modulusz00)); 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2459z00zz__cryptozd2rsazd2, BgL_arg1854z00_480); }  else 
{ /* Llib/rsa.scm 292 */BFALSE; } 
return 
BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(BgL_cz00_50, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_49))->BgL_exponentz00), 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_49))->BgL_modulusz00));} 

}



/* &RSADP */
obj_t BGl_z62RSADPz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2415, obj_t BgL_kz00_2416, obj_t BgL_cz00_2417)
{
{ /* Llib/rsa.scm 290 */
{ /* Llib/rsa.scm 291 */
 obj_t BgL_auxz00_3628; BgL_rsazd2keyzd2_bglt BgL_auxz00_3620;
if(
BIGNUMP(BgL_cz00_2417))
{ /* Llib/rsa.scm 291 */
BgL_auxz00_3628 = BgL_cz00_2417
; }  else 
{ 
 obj_t BgL_auxz00_3631;
BgL_auxz00_3631 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)11398)), BGl_string2460z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_cz00_2417); 
FAILURE(BgL_auxz00_3631,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2416, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 291 */
BgL_auxz00_3620 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2416)
; }  else 
{ 
 obj_t BgL_auxz00_3624;
BgL_auxz00_3624 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)11398)), BGl_string2460z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_kz00_2416); 
FAILURE(BgL_auxz00_3624,BFALSE,BFALSE);} 
return 
BGl_RSADPz00zz__cryptozd2rsazd2(BgL_auxz00_3620, BgL_auxz00_3628);} } 

}



/* rsa-sign */
BGL_EXPORTED_DEF obj_t BGl_rsazd2signzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_a0z00_51, obj_t BgL_a1z00_52)
{
{ /* Llib/rsa.scm 300 */
return 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_a0z00_51, BgL_a1z00_52);} 

}



/* &rsa-sign */
obj_t BGl_z62rsazd2signzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2418, obj_t BgL_a0z00_2419, obj_t BgL_a1z00_2420)
{
{ /* Llib/rsa.scm 300 */
{ /* Llib/rsa.scm 300 */
 obj_t BgL_auxz00_3645; BgL_rsazd2keyzd2_bglt BgL_auxz00_3637;
if(
BIGNUMP(BgL_a1z00_2420))
{ /* Llib/rsa.scm 300 */
BgL_auxz00_3645 = BgL_a1z00_2420
; }  else 
{ 
 obj_t BgL_auxz00_3648;
BgL_auxz00_3648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)11701)), BGl_string2461z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_a1z00_2420); 
FAILURE(BgL_auxz00_3648,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_a0z00_2419, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 300 */
BgL_auxz00_3637 = 
((BgL_rsazd2keyzd2_bglt)BgL_a0z00_2419)
; }  else 
{ 
 obj_t BgL_auxz00_3641;
BgL_auxz00_3641 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)11701)), BGl_string2461z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_a0z00_2419); 
FAILURE(BgL_auxz00_3641,BFALSE,BFALSE);} 
return 
BGl_rsazd2signzd2zz__cryptozd2rsazd2(BgL_auxz00_3637, BgL_auxz00_3645);} } 

}



/* RSASP1 */
BGL_EXPORTED_DEF obj_t BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_53, obj_t BgL_mz00_54)
{
{ /* Llib/rsa.scm 301 */
if(
(
(long)(
bgl_bignum_cmp(BgL_mz00_54, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_53))->BgL_modulusz00)))>=((long)0)))
{ /* Llib/rsa.scm 305 */
 obj_t BgL_arg1861z00_488;
BgL_arg1861z00_488 = 
MAKE_YOUNG_PAIR(BgL_mz00_54, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_53))->BgL_modulusz00)); 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2456z00zz__cryptozd2rsazd2, BgL_arg1861z00_488); }  else 
{ /* Llib/rsa.scm 303 */BFALSE; } 
return 
BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(BgL_mz00_54, 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_53))->BgL_exponentz00), 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_53))->BgL_modulusz00));} 

}



/* &RSASP1 */
obj_t BGl_z62RSASP1z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2421, obj_t BgL_kz00_2422, obj_t BgL_mz00_2423)
{
{ /* Llib/rsa.scm 301 */
{ /* Llib/rsa.scm 302 */
 obj_t BgL_auxz00_3672; BgL_rsazd2keyzd2_bglt BgL_auxz00_3664;
if(
BIGNUMP(BgL_mz00_2423))
{ /* Llib/rsa.scm 302 */
BgL_auxz00_3672 = BgL_mz00_2423
; }  else 
{ 
 obj_t BgL_auxz00_3675;
BgL_auxz00_3675 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)11775)), BGl_string2462z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_mz00_2423); 
FAILURE(BgL_auxz00_3675,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2422, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 302 */
BgL_auxz00_3664 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2422)
; }  else 
{ 
 obj_t BgL_auxz00_3668;
BgL_auxz00_3668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)11775)), BGl_string2462z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_kz00_2422); 
FAILURE(BgL_auxz00_3668,BFALSE,BFALSE);} 
return 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_auxz00_3664, BgL_auxz00_3672);} } 

}



/* RSAVP1 */
BGL_EXPORTED_DEF obj_t BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_55, obj_t BgL_sz00_56)
{
{ /* Llib/rsa.scm 312 */
{ /* Llib/rsa.scm 313 */
 obj_t BgL_modulusz00_493;
{ /* Llib/rsa.scm 314 */
 bool_t BgL_test2742z00_3680;
{ /* Llib/rsa.scm 314 */
 obj_t BgL_classz00_1635;
BgL_classz00_1635 = BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 314 */
 BgL_objectz00_bglt BgL_arg1789z00_1637;
{ /* Llib/rsa.scm 314 */
 obj_t BgL_tmpz00_3681;
BgL_tmpz00_3681 = 
((obj_t)BgL_kz00_55); 
BgL_arg1789z00_1637 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3681); } 
{ /* Llib/rsa.scm 314 */
 bool_t BgL_arg1786z00_1640; bool_t BgL_arg1787z00_1641;
{ /* Llib/rsa.scm 314 */
 long BgL_idxz00_1644;
BgL_idxz00_1644 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_1637); 
BgL_arg1786z00_1640 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1644+((long)2)))==BgL_classz00_1635); } 
{ /* Llib/rsa.scm 314 */
 bool_t BgL_res2239z00_1666;
{ /* Llib/rsa.scm 314 */
 obj_t BgL_oclassz00_1652;
{ /* Llib/rsa.scm 314 */
 long BgL_arg1796z00_1658;
{ /* Llib/rsa.scm 314 */
 long BgL_arg1797z00_1659;
BgL_arg1797z00_1659 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_1637); 
BgL_arg1796z00_1658 = 
(BgL_arg1797z00_1659-OBJECT_TYPE); } 
BgL_oclassz00_1652 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_1658); } 
{ /* Llib/rsa.scm 314 */
 bool_t BgL__ortest_1111z00_1653;
BgL__ortest_1111z00_1653 = 
(BgL_classz00_1635==BgL_oclassz00_1652); 
if(BgL__ortest_1111z00_1653)
{ /* Llib/rsa.scm 314 */
BgL_res2239z00_1666 = BgL__ortest_1111z00_1653; }  else 
{ /* Llib/rsa.scm 314 */
 long BgL_odepthz00_1654;
BgL_odepthz00_1654 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1652); 
if(
(((long)2)<BgL_odepthz00_1654))
{ /* Llib/rsa.scm 314 */
 obj_t BgL_arg1785z00_1656;
BgL_arg1785z00_1656 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1652, ((long)2)); 
BgL_res2239z00_1666 = 
(BgL_arg1785z00_1656==BgL_classz00_1635); }  else 
{ /* Llib/rsa.scm 314 */
BgL_res2239z00_1666 = ((bool_t)0); } } } } 
BgL_arg1787z00_1641 = BgL_res2239z00_1666; } 
BgL_test2742z00_3680 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_1640, BgL_arg1787z00_1641); } } } 
if(BgL_test2742z00_3680)
{ /* Llib/rsa.scm 315 */
 obj_t BgL_val0_1226z00_499; obj_t BgL_val1_1227z00_500;
BgL_val0_1226z00_499 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_55))))->BgL_modulusz00); 
BgL_val1_1227z00_500 = 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_kz00_55)))->BgL_ez00); 
{ /* Llib/rsa.scm 315 */
 int BgL_tmpz00_3704;
BgL_tmpz00_3704 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3704); } 
{ /* Llib/rsa.scm 315 */
 int BgL_tmpz00_3707;
BgL_tmpz00_3707 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3707, BgL_val1_1227z00_500); } 
BgL_modulusz00_493 = BgL_val0_1226z00_499; }  else 
{ /* Llib/rsa.scm 316 */
 obj_t BgL_val0_1228z00_502; obj_t BgL_val1_1229z00_503;
BgL_val0_1228z00_502 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_55))->BgL_modulusz00); 
BgL_val1_1229z00_503 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_kz00_55))->BgL_exponentz00); 
{ /* Llib/rsa.scm 316 */
 int BgL_tmpz00_3712;
BgL_tmpz00_3712 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3712); } 
{ /* Llib/rsa.scm 316 */
 int BgL_tmpz00_3715;
BgL_tmpz00_3715 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3715, BgL_val1_1229z00_503); } 
BgL_modulusz00_493 = BgL_val0_1228z00_502; } } 
{ /* Llib/rsa.scm 319 */
 obj_t BgL_exponentz00_494;
{ /* Llib/rsa.scm 319 */
 obj_t BgL_tmpz00_1667;
{ /* Llib/rsa.scm 319 */
 int BgL_tmpz00_3718;
BgL_tmpz00_3718 = 
(int)(((long)1)); 
BgL_tmpz00_1667 = 
BGL_MVALUES_VAL(BgL_tmpz00_3718); } 
{ /* Llib/rsa.scm 319 */
 int BgL_tmpz00_3721;
BgL_tmpz00_3721 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3721, BUNSPEC); } 
BgL_exponentz00_494 = BgL_tmpz00_1667; } 
if(
(
(long)(
bgl_bignum_cmp(BgL_sz00_56, BgL_modulusz00_493))>=((long)0)))
{ /* Llib/rsa.scm 319 */
 obj_t BgL_arg1868z00_496;
BgL_arg1868z00_496 = 
MAKE_YOUNG_PAIR(BgL_sz00_56, BgL_modulusz00_493); 
BGl_errorz00zz__errorz00(BGl_string2455z00zz__cryptozd2rsazd2, BGl_string2463z00zz__cryptozd2rsazd2, BgL_arg1868z00_496); }  else 
{ /* Llib/rsa.scm 317 */BFALSE; } 
return 
BGl_exptzd2modbxzd2zz__cryptozd2utilzd2(BgL_sz00_56, BgL_exponentz00_494, BgL_modulusz00_493);} } } 

}



/* &RSAVP1 */
obj_t BGl_z62RSAVP1z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2424, obj_t BgL_kz00_2425, obj_t BgL_sz00_2426)
{
{ /* Llib/rsa.scm 312 */
{ /* Llib/rsa.scm 313 */
 obj_t BgL_auxz00_3739; BgL_rsazd2keyzd2_bglt BgL_auxz00_3731;
if(
BIGNUMP(BgL_sz00_2426))
{ /* Llib/rsa.scm 313 */
BgL_auxz00_3739 = BgL_sz00_2426
; }  else 
{ 
 obj_t BgL_auxz00_3742;
BgL_auxz00_3742 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)12195)), BGl_string2464z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_sz00_2426); 
FAILURE(BgL_auxz00_3742,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2425, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 313 */
BgL_auxz00_3731 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2425)
; }  else 
{ 
 obj_t BgL_auxz00_3735;
BgL_auxz00_3735 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)12195)), BGl_string2464z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_kz00_2425); 
FAILURE(BgL_auxz00_3735,BFALSE,BFALSE);} 
return 
BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_auxz00_3731, BgL_auxz00_3739);} } 

}



/* rsa-verify */
BGL_EXPORTED_DEF bool_t BGl_rsazd2verifyzd2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_kz00_57, obj_t BgL_mz00_58, obj_t BgL_sz00_59)
{
{ /* Llib/rsa.scm 321 */
{ /* Llib/rsa.scm 322 */
 obj_t BgL_arg1870z00_1672;
BgL_arg1870z00_1672 = 
BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_kz00_57, BgL_sz00_59); 
return 
(
(long)(
bgl_bignum_cmp(BgL_arg1870z00_1672, BgL_mz00_58))==((long)0));} } 

}



/* &rsa-verify */
obj_t BGl_z62rsazd2verifyzb0zz__cryptozd2rsazd2(obj_t BgL_envz00_2427, obj_t BgL_kz00_2428, obj_t BgL_mz00_2429, obj_t BgL_sz00_2430)
{
{ /* Llib/rsa.scm 321 */
{ /* Llib/rsa.scm 322 */
 bool_t BgL_tmpz00_3751;
{ /* Llib/rsa.scm 322 */
 obj_t BgL_auxz00_3767; obj_t BgL_auxz00_3760; BgL_rsazd2keyzd2_bglt BgL_auxz00_3752;
if(
BIGNUMP(BgL_sz00_2430))
{ /* Llib/rsa.scm 322 */
BgL_auxz00_3767 = BgL_sz00_2430
; }  else 
{ 
 obj_t BgL_auxz00_3770;
BgL_auxz00_3770 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)12615)), BGl_string2465z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_sz00_2430); 
FAILURE(BgL_auxz00_3770,BFALSE,BFALSE);} 
if(
BIGNUMP(BgL_mz00_2429))
{ /* Llib/rsa.scm 322 */
BgL_auxz00_3760 = BgL_mz00_2429
; }  else 
{ 
 obj_t BgL_auxz00_3763;
BgL_auxz00_3763 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)12615)), BGl_string2465z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_mz00_2429); 
FAILURE(BgL_auxz00_3763,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_kz00_2428, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 322 */
BgL_auxz00_3752 = 
((BgL_rsazd2keyzd2_bglt)BgL_kz00_2428)
; }  else 
{ 
 obj_t BgL_auxz00_3756;
BgL_auxz00_3756 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)12615)), BGl_string2465z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_kz00_2428); 
FAILURE(BgL_auxz00_3756,BFALSE,BFALSE);} 
BgL_tmpz00_3751 = 
BGl_rsazd2verifyzd2zz__cryptozd2rsazd2(BgL_auxz00_3752, BgL_auxz00_3760, BgL_auxz00_3767); } 
return 
BBOOL(BgL_tmpz00_3751);} } 

}



/* PKCS1-v1.5-pad */
BGL_EXPORTED_DEF obj_t BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(obj_t BgL_mz00_60, long BgL_kz00_61, long BgL_modez00_62)
{
{ /* Llib/rsa.scm 324 */
{ /* Llib/rsa.scm 327 */
 long BgL_mzd2lenzd2_505;
BgL_mzd2lenzd2_505 = 
STRING_LENGTH(BgL_mz00_60); 
{ /* Llib/rsa.scm 327 */
 long BgL_pszb2padzd2lenz60_506;
BgL_pszb2padzd2lenz60_506 = 
(BgL_kz00_61-BgL_mzd2lenzd2_505); 
{ /* Llib/rsa.scm 328 */
 obj_t BgL_pszb2padzb2_507;
switch( BgL_modez00_62) { case ((long)0) : 

BgL_pszb2padzb2_507 = 
make_string(BgL_pszb2padzd2lenz60_506, ((unsigned char)'\000')); break;case ((long)1) : 

BgL_pszb2padzb2_507 = 
make_string(BgL_pszb2padzd2lenz60_506, ((unsigned char)255)); break;case ((long)2) : 

BgL_pszb2padzb2_507 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(BgL_pszb2padzd2lenz60_506, BFALSE); break;
default: 
BgL_pszb2padzb2_507 = 
BGl_errorz00zz__errorz00(BGl_string2466z00zz__cryptozd2rsazd2, BGl_string2467z00zz__cryptozd2rsazd2, 
BINT(BgL_modez00_62)); } 
{ /* Llib/rsa.scm 329 */
 obj_t BgL_emz00_508;
BgL_emz00_508 = 
string_append(BgL_pszb2padzb2_507, BgL_mz00_60); 
{ /* Llib/rsa.scm 334 */

if(
(BgL_modez00_62==((long)2)))
{ 
 long BgL_iz00_511;
BgL_iz00_511 = ((long)2); 
BgL_zc3z04anonymousza31872ze3z87_512:
if(
(BgL_iz00_511<
(BgL_pszb2padzd2lenz60_506-((long)1))))
{ /* Llib/rsa.scm 338 */
if(
(
(
STRING_REF(BgL_emz00_508, BgL_iz00_511))==((long)0)))
{ /* Llib/rsa.scm 340 */
 unsigned char BgL_arg1878z00_518;
{ /* Llib/rsa.scm 340 */
 long BgL_arg1879z00_519;
{ /* Llib/rsa.scm 340 */
 int BgL_arg1347z00_1692;
BgL_arg1347z00_1692 = 
rand(); 
BgL_arg1879z00_519 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1347z00_1692), ((long)256)); } 
BgL_arg1878z00_518 = 
(BgL_arg1879z00_519); } 
STRING_SET(BgL_emz00_508, BgL_iz00_511, BgL_arg1878z00_518); }  else 
{ /* Llib/rsa.scm 339 */BFALSE; } 
{ 
 long BgL_iz00_3799;
BgL_iz00_3799 = 
(BgL_iz00_511+((long)1)); 
BgL_iz00_511 = BgL_iz00_3799; 
goto BgL_zc3z04anonymousza31872ze3z87_512;} }  else 
{ /* Llib/rsa.scm 338 */((bool_t)0); } }  else 
{ /* Llib/rsa.scm 336 */((bool_t)0); } 
STRING_SET(BgL_emz00_508, ((long)0), ((unsigned char)'\000')); 
{ /* Llib/rsa.scm 343 */
 unsigned char BgL_tmpz00_3802;
BgL_tmpz00_3802 = 
(BgL_modez00_62); 
STRING_SET(BgL_emz00_508, ((long)1), BgL_tmpz00_3802); } 
{ /* Llib/rsa.scm 344 */
 long BgL_tmpz00_3805;
BgL_tmpz00_3805 = 
(BgL_pszb2padzd2lenz60_506-((long)1)); 
STRING_SET(BgL_emz00_508, BgL_tmpz00_3805, ((unsigned char)'\000')); } 
return BgL_emz00_508;} } } } } } 

}



/* &PKCS1-v1.5-pad */
obj_t BGl_z62PKCS1zd2v1ze25zd2padz80zz__cryptozd2rsazd2(obj_t BgL_envz00_2431, obj_t BgL_mz00_2432, obj_t BgL_kz00_2433, obj_t BgL_modez00_2434)
{
{ /* Llib/rsa.scm 324 */
{ /* Llib/rsa.scm 327 */
 long BgL_auxz00_3824; long BgL_auxz00_3815; obj_t BgL_auxz00_3808;
{ /* Llib/rsa.scm 327 */
 obj_t BgL_tmpz00_3825;
if(
INTEGERP(BgL_modez00_2434))
{ /* Llib/rsa.scm 327 */
BgL_tmpz00_3825 = BgL_modez00_2434
; }  else 
{ 
 obj_t BgL_auxz00_3828;
BgL_auxz00_3828 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)12760)), BGl_string2468z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_modez00_2434); 
FAILURE(BgL_auxz00_3828,BFALSE,BFALSE);} 
BgL_auxz00_3824 = 
(long)CINT(BgL_tmpz00_3825); } 
{ /* Llib/rsa.scm 327 */
 obj_t BgL_tmpz00_3816;
if(
INTEGERP(BgL_kz00_2433))
{ /* Llib/rsa.scm 327 */
BgL_tmpz00_3816 = BgL_kz00_2433
; }  else 
{ 
 obj_t BgL_auxz00_3819;
BgL_auxz00_3819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)12760)), BGl_string2468z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_kz00_2433); 
FAILURE(BgL_auxz00_3819,BFALSE,BFALSE);} 
BgL_auxz00_3815 = 
(long)CINT(BgL_tmpz00_3816); } 
if(
STRINGP(BgL_mz00_2432))
{ /* Llib/rsa.scm 327 */
BgL_auxz00_3808 = BgL_mz00_2432
; }  else 
{ 
 obj_t BgL_auxz00_3811;
BgL_auxz00_3811 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)12760)), BGl_string2468z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_mz00_2432); 
FAILURE(BgL_auxz00_3811,BFALSE,BFALSE);} 
return 
BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(BgL_auxz00_3808, BgL_auxz00_3815, BgL_auxz00_3824);} } 

}



/* PKCS1-v1.5-unpad */
BGL_EXPORTED_DEF obj_t BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(obj_t BgL_emz00_63, long BgL_modez00_64)
{
{ /* Llib/rsa.scm 347 */
{ 

{ /* Llib/rsa.scm 351 */
 long BgL_kz00_532;
BgL_kz00_532 = 
STRING_LENGTH(BgL_emz00_63); 
{ /* Llib/rsa.scm 352 */
 bool_t BgL_test2757z00_3835;
if(
(BgL_modez00_64<((long)0)))
{ /* Llib/rsa.scm 352 */
BgL_test2757z00_3835 = ((bool_t)1)
; }  else 
{ /* Llib/rsa.scm 352 */
if(
(BgL_modez00_64>((long)2)))
{ /* Llib/rsa.scm 352 */
BgL_test2757z00_3835 = ((bool_t)1)
; }  else 
{ /* Llib/rsa.scm 352 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, ((long)0))))
{ /* Llib/rsa.scm 353 */
if(
(
(BgL_modez00_64)==
STRING_REF(BgL_emz00_63, ((long)1))))
{ /* Llib/rsa.scm 354 */
BgL_test2757z00_3835 = ((bool_t)0)
; }  else 
{ /* Llib/rsa.scm 354 */
BgL_test2757z00_3835 = ((bool_t)1)
; } }  else 
{ /* Llib/rsa.scm 353 */
BgL_test2757z00_3835 = ((bool_t)1)
; } } } 
if(BgL_test2757z00_3835)
{ /* Llib/rsa.scm 352 */
BGl_errorz00zz__errorz00(BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BFALSE); }  else 
{ /* Llib/rsa.scm 352 */BFALSE; } } 
switch( BgL_modez00_64) { case ((long)0) : 

{ 
 long BgL_iz00_555;
BgL_iz00_555 = ((long)2); 
BgL_zc3z04anonymousza31902ze3z87_556:
if(
(BgL_iz00_555>=BgL_kz00_532))
{ /* Llib/rsa.scm 361 */
return 
BGl_errorz00zz__errorz00(BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BFALSE);}  else 
{ /* Llib/rsa.scm 361 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, BgL_iz00_555)))
{ 
 long BgL_iz00_3854;
BgL_iz00_3854 = 
(BgL_iz00_555+((long)1)); 
BgL_iz00_555 = BgL_iz00_3854; 
goto BgL_zc3z04anonymousza31902ze3z87_556;}  else 
{ /* Llib/rsa.scm 362 */
return 
c_substring(BgL_emz00_63, BgL_iz00_555, BgL_kz00_532);} } } break;case ((long)1) : 

{ 
 long BgL_iz00_564;
BgL_iz00_564 = ((long)2); 
BgL_zc3z04anonymousza31909ze3z87_565:
if(
(BgL_iz00_564>=BgL_kz00_532))
{ /* Llib/rsa.scm 368 */
return 
BGl_errorz00zz__errorz00(BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BFALSE);}  else 
{ /* Llib/rsa.scm 368 */
if(
(((unsigned char)255)==
STRING_REF(BgL_emz00_63, BgL_iz00_564)))
{ 
 long BgL_iz00_3863;
BgL_iz00_3863 = 
(BgL_iz00_564+((long)1)); 
BgL_iz00_564 = BgL_iz00_3863; 
goto BgL_zc3z04anonymousza31909ze3z87_565;}  else 
{ /* Llib/rsa.scm 369 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, BgL_iz00_564)))
{ /* Llib/rsa.scm 370 */
return 
c_substring(BgL_emz00_63, 
(BgL_iz00_564+((long)1)), BgL_kz00_532);}  else 
{ /* Llib/rsa.scm 370 */
return 
BGl_errorz00zz__errorz00(BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BFALSE);} } } } break;case ((long)2) : 

{ 
 long BgL_iz00_577;
BgL_iz00_577 = ((long)2); 
BgL_zc3z04anonymousza31919ze3z87_578:
if(
(BgL_iz00_577>=BgL_kz00_532))
{ /* Llib/rsa.scm 375 */
return 
BGl_errorz00zz__errorz00(BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BFALSE);}  else 
{ /* Llib/rsa.scm 376 */
 bool_t BgL_test2768z00_3874;
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, BgL_iz00_577)))
{ /* Llib/rsa.scm 376 */
BgL_test2768z00_3874 = 
(BgL_iz00_577<((long)10))
; }  else 
{ /* Llib/rsa.scm 376 */
BgL_test2768z00_3874 = ((bool_t)0)
; } 
if(BgL_test2768z00_3874)
{ /* Llib/rsa.scm 376 */
return 
BGl_errorz00zz__errorz00(BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BFALSE);}  else 
{ /* Llib/rsa.scm 376 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_emz00_63, BgL_iz00_577)))
{ /* Llib/rsa.scm 379 */
return 
c_substring(BgL_emz00_63, 
(BgL_iz00_577+((long)1)), BgL_kz00_532);}  else 
{ 
 long BgL_iz00_3885;
BgL_iz00_3885 = 
(BgL_iz00_577+((long)1)); 
BgL_iz00_577 = BgL_iz00_3885; 
goto BgL_zc3z04anonymousza31919ze3z87_578;} } } } break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2469z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BFALSE);} } } } 

}



/* &PKCS1-v1.5-unpad */
obj_t BGl_z62PKCS1zd2v1ze25zd2unpadz80zz__cryptozd2rsazd2(obj_t BgL_envz00_2435, obj_t BgL_emz00_2436, obj_t BgL_modez00_2437)
{
{ /* Llib/rsa.scm 347 */
{ /* Llib/rsa.scm 349 */
 long BgL_auxz00_3896; obj_t BgL_auxz00_3889;
{ /* Llib/rsa.scm 349 */
 obj_t BgL_tmpz00_3897;
if(
INTEGERP(BgL_modez00_2437))
{ /* Llib/rsa.scm 349 */
BgL_tmpz00_3897 = BgL_modez00_2437
; }  else 
{ 
 obj_t BgL_auxz00_3900;
BgL_auxz00_3900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)13584)), BGl_string2471z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_modez00_2437); 
FAILURE(BgL_auxz00_3900,BFALSE,BFALSE);} 
BgL_auxz00_3896 = 
(long)CINT(BgL_tmpz00_3897); } 
if(
STRINGP(BgL_emz00_2436))
{ /* Llib/rsa.scm 349 */
BgL_auxz00_3889 = BgL_emz00_2436
; }  else 
{ 
 obj_t BgL_auxz00_3892;
BgL_auxz00_3892 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)13584)), BGl_string2471z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_emz00_2436); 
FAILURE(BgL_auxz00_3892,BFALSE,BFALSE);} 
return 
BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(BgL_auxz00_3889, BgL_auxz00_3896);} } 

}



/* RSAES-PKCS1-v1.5-encrypt */
BGL_EXPORTED_DEF obj_t BGl_RSAESzd2PKCS1zd2v1ze25zd2encryptz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_65, obj_t BgL_mz00_66)
{
{ /* Llib/rsa.scm 384 */
{ /* Llib/rsa.scm 385 */
 long BgL_kz00_594; long BgL_mzd2lenzd2_595;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1759;
BgL_arg1333z00_1759 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_65))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2240z00_1775;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1764; long BgL_rz00_1765;
BgL_qz00_1764 = 
(BgL_arg1333z00_1759/((long)8)); 
BgL_rz00_1765 = 
(BgL_arg1333z00_1759%((long)8)); 
if(
(BgL_rz00_1765==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2240z00_1775 = BgL_qz00_1764; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1765>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2240z00_1775 = 
(BgL_qz00_1764+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2240z00_1775 = 
(BgL_qz00_1764-((long)1)); } } } 
BgL_kz00_594 = BgL_res2240z00_1775; } } 
BgL_mzd2lenzd2_595 = 
STRING_LENGTH(BgL_mz00_66); 
if(
(BgL_mzd2lenzd2_595>
(BgL_kz00_594-((long)11))))
{ /* Llib/rsa.scm 387 */
BGl_errorz00zz__errorz00(BGl_string2472z00zz__cryptozd2rsazd2, BGl_string2473z00zz__cryptozd2rsazd2, BgL_mz00_66); }  else 
{ /* Llib/rsa.scm 387 */BFALSE; } 
return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(
BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_keyz00_65, 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(
BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(BgL_mz00_66, BgL_kz00_594, ((long)2)))), BgL_kz00_594);} } 

}



/* &RSAES-PKCS1-v1.5-encrypt */
obj_t BGl_z62RSAESzd2PKCS1zd2v1ze25zd2encryptz52zz__cryptozd2rsazd2(obj_t BgL_envz00_2438, obj_t BgL_keyz00_2439, obj_t BgL_mz00_2440)
{
{ /* Llib/rsa.scm 384 */
{ /* Llib/rsa.scm 385 */
 obj_t BgL_auxz00_3933; BgL_rsazd2keyzd2_bglt BgL_auxz00_3925;
if(
STRINGP(BgL_mz00_2440))
{ /* Llib/rsa.scm 385 */
BgL_auxz00_3933 = BgL_mz00_2440
; }  else 
{ 
 obj_t BgL_auxz00_3936;
BgL_auxz00_3936 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)14726)), BGl_string2474z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_mz00_2440); 
FAILURE(BgL_auxz00_3936,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2439, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 385 */
BgL_auxz00_3925 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2439)
; }  else 
{ 
 obj_t BgL_auxz00_3929;
BgL_auxz00_3929 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)14726)), BGl_string2474z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_keyz00_2439); 
FAILURE(BgL_auxz00_3929,BFALSE,BFALSE);} 
return 
BGl_RSAESzd2PKCS1zd2v1ze25zd2encryptz30zz__cryptozd2rsazd2(BgL_auxz00_3925, BgL_auxz00_3933);} } 

}



/* RSAES-PKCS1-v1.5-decrypt */
BGL_EXPORTED_DEF obj_t BGl_RSAESzd2PKCS1zd2v1ze25zd2decryptz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_67, obj_t BgL_cz00_68)
{
{ /* Llib/rsa.scm 391 */
{ /* Llib/rsa.scm 392 */
 obj_t BgL_env1109z00_603;
BgL_env1109z00_603 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_cell1104z00_604;
BgL_cell1104z00_604 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_val1108z00_605;
BgL_val1108z00_605 = 
BGl_zc3z04exitza31940ze3ze70z60zz__cryptozd2rsazd2(BgL_cz00_68, BgL_keyz00_67, BgL_cell1104z00_604, BgL_env1109z00_603); 
if(
(BgL_val1108z00_605==BgL_cell1104z00_604))
{ /* Llib/rsa.scm 392 */
{ /* Llib/rsa.scm 392 */
 int BgL_tmpz00_3946;
BgL_tmpz00_3946 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_3946); } 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1939z00_607;
BgL_arg1939z00_607 = 
CELL_REF(
((obj_t)BgL_val1108z00_605)); 
return 
BGl_errorz00zz__errorz00(BGl_string2475z00zz__cryptozd2rsazd2, BGl_string2476z00zz__cryptozd2rsazd2, BFALSE);} }  else 
{ /* Llib/rsa.scm 392 */
return BgL_val1108z00_605;} } } } } 

}



/* <@exit:1940>~0 */
obj_t BGl_zc3z04exitza31940ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_cz00_2576, BgL_rsazd2keyzd2_bglt BgL_keyz00_2575, obj_t BgL_cell1104z00_2574, obj_t BgL_env1109z00_2573)
{
{ /* Llib/rsa.scm 392 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1113z00_609;
if( SET_EXIT(BgL_an_exit1113z00_609 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1113z00_609 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1109z00_2573, BgL_an_exit1113z00_609, ((long)1)); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_escape1105z00_610;
BgL_escape1105z00_610 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1109z00_2573); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_res1116z00_611;
{ /* Llib/rsa.scm 392 */
 obj_t BgL_ohs1101z00_612;
BgL_ohs1101z00_612 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1109z00_2573); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_hds1102z00_613;
BgL_hds1102z00_613 = 
MAKE_STACK_PAIR(BgL_escape1105z00_610, BgL_cell1104z00_2574); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1109z00_2573, BgL_hds1102z00_613); BUNSPEC; 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_exitd1110z00_614;
BgL_exitd1110z00_614 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1109z00_2573); 
{ /* Llib/rsa.scm 392 */
 obj_t BgL_tmp1112z00_615;
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1943z00_623;
BgL_arg1943z00_623 = 
BGL_EXITD_PROTECT(BgL_exitd1110z00_614); 
BgL_tmp1112z00_615 = 
MAKE_YOUNG_PAIR(BgL_ohs1101z00_612, BgL_arg1943z00_623); } 
{ /* Llib/rsa.scm 392 */

BGL_EXITD_PROTECT_SET(BgL_exitd1110z00_614, BgL_tmp1112z00_615); BUNSPEC; 
{ /* Llib/rsa.scm 395 */
 obj_t BgL_tmp1111z00_616;
{ /* Llib/rsa.scm 395 */
 long BgL_kz00_617; long BgL_czd2lenzd2_618;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1784;
BgL_arg1333z00_1784 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_2575))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2241z00_1800;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1789; long BgL_rz00_1790;
BgL_qz00_1789 = 
(BgL_arg1333z00_1784/((long)8)); 
BgL_rz00_1790 = 
(BgL_arg1333z00_1784%((long)8)); 
if(
(BgL_rz00_1790==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2241z00_1800 = BgL_qz00_1789; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1790>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2241z00_1800 = 
(BgL_qz00_1789+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2241z00_1800 = 
(BgL_qz00_1789-((long)1)); } } } 
BgL_kz00_617 = BgL_res2241z00_1800; } } 
BgL_czd2lenzd2_618 = 
STRING_LENGTH(BgL_cz00_2576); 
if(
(BgL_kz00_617==BgL_czd2lenzd2_618))
{ /* Llib/rsa.scm 397 */BFALSE; }  else 
{ /* Llib/rsa.scm 397 */
BGl_errorz00zz__errorz00(BGl_string2477z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BFALSE); } 
{ /* Llib/rsa.scm 399 */
 obj_t BgL_mz00_620;
BgL_mz00_620 = 
BGl_RSADPz00zz__cryptozd2rsazd2(BgL_keyz00_2575, 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_cz00_2576)); 
{ /* Llib/rsa.scm 399 */
 obj_t BgL_emz00_621;
BgL_emz00_621 = 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_mz00_620, BgL_kz00_617); 
{ /* Llib/rsa.scm 400 */

BgL_tmp1111z00_616 = 
BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(BgL_emz00_621, ((long)2)); } } } } 
{ /* Llib/rsa.scm 392 */
 bool_t BgL_test2782z00_3981;
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1808z00_1808;
BgL_arg1808z00_1808 = 
BGL_EXITD_PROTECT(BgL_exitd1110z00_614); 
BgL_test2782z00_3981 = 
PAIRP(BgL_arg1808z00_1808); } 
if(BgL_test2782z00_3981)
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1806z00_1809;
{ /* Llib/rsa.scm 392 */
 obj_t BgL_arg1807z00_1810;
BgL_arg1807z00_1810 = 
BGL_EXITD_PROTECT(BgL_exitd1110z00_614); 
BgL_arg1806z00_1809 = 
CDR(
((obj_t)BgL_arg1807z00_1810)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1110z00_614, BgL_arg1806z00_1809); BUNSPEC; }  else 
{ /* Llib/rsa.scm 392 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1109z00_2573, BgL_ohs1101z00_612); BUNSPEC; 
BgL_res1116z00_611 = BgL_tmp1111z00_616; } } } } } } 
POP_ENV_EXIT(BgL_env1109z00_2573); 
return BgL_res1116z00_611;} } 
}} 

}



/* &RSAES-PKCS1-v1.5-decrypt */
obj_t BGl_z62RSAESzd2PKCS1zd2v1ze25zd2decryptz52zz__cryptozd2rsazd2(obj_t BgL_envz00_2441, obj_t BgL_keyz00_2442, obj_t BgL_cz00_2443)
{
{ /* Llib/rsa.scm 391 */
{ /* Llib/rsa.scm 392 */
 obj_t BgL_auxz00_3998; BgL_rsazd2keyzd2_bglt BgL_auxz00_3990;
if(
STRINGP(BgL_cz00_2443))
{ /* Llib/rsa.scm 392 */
BgL_auxz00_3998 = BgL_cz00_2443
; }  else 
{ 
 obj_t BgL_auxz00_4001;
BgL_auxz00_4001 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)15000)), BGl_string2478z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_cz00_2443); 
FAILURE(BgL_auxz00_4001,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2442, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 392 */
BgL_auxz00_3990 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2442)
; }  else 
{ 
 obj_t BgL_auxz00_3994;
BgL_auxz00_3994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)15000)), BGl_string2478z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_keyz00_2442); 
FAILURE(BgL_auxz00_3994,BFALSE,BFALSE);} 
return 
BGl_RSAESzd2PKCS1zd2v1ze25zd2decryptz30zz__cryptozd2rsazd2(BgL_auxz00_3990, BgL_auxz00_3998);} } 

}



/* _RSAES-OAEP-encrypt */
obj_t BGl__RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(obj_t BgL_env1277z00_73, obj_t BgL_opt1276z00_72)
{
{ /* Llib/rsa.scm 403 */
{ 
 obj_t BgL_k1z00_628; long BgL_iz00_629;
{ /* Llib/rsa.scm 403 */
 obj_t BgL_keyz00_631; obj_t BgL_mz00_632;
BgL_keyz00_631 = 
VECTOR_REF(BgL_opt1276z00_72,((long)0)); 
BgL_mz00_632 = 
VECTOR_REF(BgL_opt1276z00_72,((long)1)); 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_labelz00_633;
BgL_labelz00_633 = BGl_string2447z00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 403 */

{ 
 long BgL_iz00_634;
BgL_iz00_634 = ((long)2); 
BgL_check1280z00_635:
if(
(BgL_iz00_634==
VECTOR_LENGTH(BgL_opt1276z00_72)))
{ /* Llib/rsa.scm 403 */BNIL; }  else 
{ /* Llib/rsa.scm 403 */
 bool_t BgL_test2786z00_4011;
{ /* Llib/rsa.scm 403 */
 obj_t BgL_arg1950z00_641;
BgL_arg1950z00_641 = 
VECTOR_REF(BgL_opt1276z00_72,BgL_iz00_634); 
BgL_test2786z00_4011 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1950z00_641, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test2786z00_4011)
{ 
 long BgL_iz00_4016;
BgL_iz00_4016 = 
(BgL_iz00_634+((long)2)); 
BgL_iz00_634 = BgL_iz00_4016; 
goto BgL_check1280z00_635;}  else 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_arg1949z00_640;
BgL_arg1949z00_640 = 
VECTOR_REF(BgL_opt1276z00_72,BgL_iz00_634); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string2430z00zz__cryptozd2rsazd2, BgL_arg1949z00_640); } } } 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_index1282z00_642;
BgL_k1z00_628 = 
CNST_TABLE_REF(((long)13)); 
BgL_iz00_629 = ((long)2); 
BgL_search1279z00_630:
if(
(BgL_iz00_629==
VECTOR_LENGTH(BgL_opt1276z00_72)))
{ /* Llib/rsa.scm 403 */
BgL_index1282z00_642 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 403 */
if(
(BgL_iz00_629==
(
VECTOR_LENGTH(BgL_opt1276z00_72)-((long)1))))
{ /* Llib/rsa.scm 403 */
BgL_index1282z00_642 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)16)), BGl_string2444z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1276z00_72))); }  else 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_vz00_651;
BgL_vz00_651 = 
VECTOR_REF(BgL_opt1276z00_72,BgL_iz00_629); 
if(
(BgL_vz00_651==BgL_k1z00_628))
{ /* Llib/rsa.scm 403 */
BgL_index1282z00_642 = 
BINT(
(BgL_iz00_629+((long)1))); }  else 
{ 
 long BgL_iz00_4038;
BgL_iz00_4038 = 
(BgL_iz00_629+((long)2)); 
BgL_iz00_629 = BgL_iz00_4038; 
goto BgL_search1279z00_630;} } } 
{ /* Llib/rsa.scm 403 */
 bool_t BgL_test2790z00_4041;
{ /* Llib/rsa.scm 403 */
 long BgL_n1z00_1828;
{ /* Llib/rsa.scm 403 */
 obj_t BgL_tmpz00_4042;
if(
INTEGERP(BgL_index1282z00_642))
{ /* Llib/rsa.scm 403 */
BgL_tmpz00_4042 = BgL_index1282z00_642
; }  else 
{ 
 obj_t BgL_auxz00_4045;
BgL_auxz00_4045 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1282z00_642); 
FAILURE(BgL_auxz00_4045,BFALSE,BFALSE);} 
BgL_n1z00_1828 = 
(long)CINT(BgL_tmpz00_4042); } 
BgL_test2790z00_4041 = 
(BgL_n1z00_1828>=((long)0)); } 
if(BgL_test2790z00_4041)
{ /* Llib/rsa.scm 403 */
 obj_t BgL_aux2363z00_2715;
{ 
 long BgL_auxz00_4051;
{ /* Llib/rsa.scm 403 */
 obj_t BgL_tmpz00_4052;
if(
INTEGERP(BgL_index1282z00_642))
{ /* Llib/rsa.scm 403 */
BgL_tmpz00_4052 = BgL_index1282z00_642
; }  else 
{ 
 obj_t BgL_auxz00_4055;
BgL_auxz00_4055 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1282z00_642); 
FAILURE(BgL_auxz00_4055,BFALSE,BFALSE);} 
BgL_auxz00_4051 = 
(long)CINT(BgL_tmpz00_4052); } 
BgL_aux2363z00_2715 = 
VECTOR_REF(BgL_opt1276z00_72,BgL_auxz00_4051); } 
if(
STRINGP(BgL_aux2363z00_2715))
{ /* Llib/rsa.scm 403 */
BgL_labelz00_633 = BgL_aux2363z00_2715; }  else 
{ 
 obj_t BgL_auxz00_4063;
BgL_auxz00_4063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_aux2363z00_2715); 
FAILURE(BgL_auxz00_4063,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 403 */BFALSE; } } } 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_arg1952z00_644; obj_t BgL_arg1953z00_645;
BgL_arg1952z00_644 = 
VECTOR_REF(BgL_opt1276z00_72,((long)0)); 
BgL_arg1953z00_645 = 
VECTOR_REF(BgL_opt1276z00_72,((long)1)); 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_labelz00_646;
BgL_labelz00_646 = BgL_labelz00_633; 
{ /* Llib/rsa.scm 403 */
 obj_t BgL_auxz00_4077; BgL_rsazd2keyzd2_bglt BgL_auxz00_4069;
if(
STRINGP(BgL_arg1953z00_645))
{ /* Llib/rsa.scm 403 */
BgL_auxz00_4077 = BgL_arg1953z00_645
; }  else 
{ 
 obj_t BgL_auxz00_4080;
BgL_auxz00_4080 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_arg1953z00_645); 
FAILURE(BgL_auxz00_4080,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1952z00_644, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 403 */
BgL_auxz00_4069 = 
((BgL_rsazd2keyzd2_bglt)BgL_arg1952z00_644)
; }  else 
{ 
 obj_t BgL_auxz00_4073;
BgL_auxz00_4073 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)15317)), BGl_string2479z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_arg1952z00_644); 
FAILURE(BgL_auxz00_4073,BFALSE,BFALSE);} 
return 
BGl_RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(BgL_auxz00_4069, BgL_auxz00_4077, BgL_labelz00_646);} } } } } } } } 

}



/* RSAES-OAEP-encrypt */
BGL_EXPORTED_DEF obj_t BGl_RSAESzd2OAEPzd2encryptz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_69, obj_t BgL_mz00_70, obj_t BgL_labelz00_71)
{
{ /* Llib/rsa.scm 403 */
{ /* Llib/rsa.scm 410 */
 long BgL_kz00_657; long BgL_mzd2lenzd2_658;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1830;
BgL_arg1333z00_1830 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_69))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2242z00_1846;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1835; long BgL_rz00_1836;
BgL_qz00_1835 = 
(BgL_arg1333z00_1830/((long)8)); 
BgL_rz00_1836 = 
(BgL_arg1333z00_1830%((long)8)); 
if(
(BgL_rz00_1836==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2242z00_1846 = BgL_qz00_1835; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1836>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2242z00_1846 = 
(BgL_qz00_1835+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2242z00_1846 = 
(BgL_qz00_1835-((long)1)); } } } 
BgL_kz00_657 = BgL_res2242z00_1846; } } 
BgL_mzd2lenzd2_658 = 
STRING_LENGTH(BgL_mz00_70); 
if(
(BgL_mzd2lenzd2_658>
(BgL_kz00_657-
(
(((long)2)*((long)20))+((long)2)))))
{ /* Llib/rsa.scm 414 */
BGl_errorz00zz__errorz00(BGl_string2472z00zz__cryptozd2rsazd2, BGl_string2473z00zz__cryptozd2rsazd2, BgL_mz00_70); }  else 
{ /* Llib/rsa.scm 414 */BFALSE; } 
{ /* Llib/rsa.scm 417 */
 obj_t BgL_emz00_666;
BgL_emz00_666 = 
BGl_EMEzd2OAEPzd2encodez00zz__cryptozd2rsazd2(BgL_kz00_657, BgL_mz00_70, BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2, BgL_labelz00_71, BGl_MGF1zd2envzd2zz__cryptozd2rsazd2); 
{ /* Llib/rsa.scm 417 */
 obj_t BgL_mzd2nzd2_667;
BgL_mzd2nzd2_667 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_666); 
{ /* Llib/rsa.scm 418 */
 obj_t BgL_cz00_668;
BgL_cz00_668 = 
BGl_RSAEPz00zz__cryptozd2rsazd2(BgL_keyz00_69, BgL_mzd2nzd2_667); 
{ /* Llib/rsa.scm 419 */

return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_cz00_668, BgL_kz00_657);} } } } } } 

}



/* _RSAES-OAEP-decrypt */
obj_t BGl__RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(obj_t BgL_env1284z00_78, obj_t BgL_opt1283z00_77)
{
{ /* Llib/rsa.scm 422 */
{ 
 obj_t BgL_k1z00_673; long BgL_iz00_674;
{ /* Llib/rsa.scm 422 */
 obj_t BgL_keyz00_676; obj_t BgL_cypherz00_677;
BgL_keyz00_676 = 
VECTOR_REF(BgL_opt1283z00_77,((long)0)); 
BgL_cypherz00_677 = 
VECTOR_REF(BgL_opt1283z00_77,((long)1)); 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_labelz00_678;
BgL_labelz00_678 = BGl_string2447z00zz__cryptozd2rsazd2; 
{ /* Llib/rsa.scm 422 */

{ 
 long BgL_iz00_679;
BgL_iz00_679 = ((long)2); 
BgL_check1287z00_680:
if(
(BgL_iz00_679==
VECTOR_LENGTH(BgL_opt1283z00_77)))
{ /* Llib/rsa.scm 422 */BNIL; }  else 
{ /* Llib/rsa.scm 422 */
 bool_t BgL_test2800z00_4111;
{ /* Llib/rsa.scm 422 */
 obj_t BgL_arg1973z00_686;
BgL_arg1973z00_686 = 
VECTOR_REF(BgL_opt1283z00_77,BgL_iz00_679); 
BgL_test2800z00_4111 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1973z00_686, 
CNST_TABLE_REF(((long)17)))); } 
if(BgL_test2800z00_4111)
{ 
 long BgL_iz00_4116;
BgL_iz00_4116 = 
(BgL_iz00_679+((long)2)); 
BgL_iz00_679 = BgL_iz00_4116; 
goto BgL_check1287z00_680;}  else 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_arg1972z00_685;
BgL_arg1972z00_685 = 
VECTOR_REF(BgL_opt1283z00_77,BgL_iz00_679); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string2430z00zz__cryptozd2rsazd2, BgL_arg1972z00_685); } } } 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_index1289z00_687;
BgL_k1z00_673 = 
CNST_TABLE_REF(((long)13)); 
BgL_iz00_674 = ((long)2); 
BgL_search1286z00_675:
if(
(BgL_iz00_674==
VECTOR_LENGTH(BgL_opt1283z00_77)))
{ /* Llib/rsa.scm 422 */
BgL_index1289z00_687 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 422 */
if(
(BgL_iz00_674==
(
VECTOR_LENGTH(BgL_opt1283z00_77)-((long)1))))
{ /* Llib/rsa.scm 422 */
BgL_index1289z00_687 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)18)), BGl_string2444z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1283z00_77))); }  else 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_vz00_696;
BgL_vz00_696 = 
VECTOR_REF(BgL_opt1283z00_77,BgL_iz00_674); 
if(
(BgL_vz00_696==BgL_k1z00_673))
{ /* Llib/rsa.scm 422 */
BgL_index1289z00_687 = 
BINT(
(BgL_iz00_674+((long)1))); }  else 
{ 
 long BgL_iz00_4138;
BgL_iz00_4138 = 
(BgL_iz00_674+((long)2)); 
BgL_iz00_674 = BgL_iz00_4138; 
goto BgL_search1286z00_675;} } } 
{ /* Llib/rsa.scm 422 */
 bool_t BgL_test2804z00_4141;
{ /* Llib/rsa.scm 422 */
 long BgL_n1z00_1872;
{ /* Llib/rsa.scm 422 */
 obj_t BgL_tmpz00_4142;
if(
INTEGERP(BgL_index1289z00_687))
{ /* Llib/rsa.scm 422 */
BgL_tmpz00_4142 = BgL_index1289z00_687
; }  else 
{ 
 obj_t BgL_auxz00_4145;
BgL_auxz00_4145 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2480z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1289z00_687); 
FAILURE(BgL_auxz00_4145,BFALSE,BFALSE);} 
BgL_n1z00_1872 = 
(long)CINT(BgL_tmpz00_4142); } 
BgL_test2804z00_4141 = 
(BgL_n1z00_1872>=((long)0)); } 
if(BgL_test2804z00_4141)
{ /* Llib/rsa.scm 422 */
 obj_t BgL_aux2373z00_2727;
{ 
 long BgL_auxz00_4151;
{ /* Llib/rsa.scm 422 */
 obj_t BgL_tmpz00_4152;
if(
INTEGERP(BgL_index1289z00_687))
{ /* Llib/rsa.scm 422 */
BgL_tmpz00_4152 = BgL_index1289z00_687
; }  else 
{ 
 obj_t BgL_auxz00_4155;
BgL_auxz00_4155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2480z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1289z00_687); 
FAILURE(BgL_auxz00_4155,BFALSE,BFALSE);} 
BgL_auxz00_4151 = 
(long)CINT(BgL_tmpz00_4152); } 
BgL_aux2373z00_2727 = 
VECTOR_REF(BgL_opt1283z00_77,BgL_auxz00_4151); } 
if(
STRINGP(BgL_aux2373z00_2727))
{ /* Llib/rsa.scm 422 */
BgL_labelz00_678 = BgL_aux2373z00_2727; }  else 
{ 
 obj_t BgL_auxz00_4163;
BgL_auxz00_4163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2480z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_aux2373z00_2727); 
FAILURE(BgL_auxz00_4163,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 422 */BFALSE; } } } 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_arg1975z00_689; obj_t BgL_arg1976z00_690;
BgL_arg1975z00_689 = 
VECTOR_REF(BgL_opt1283z00_77,((long)0)); 
BgL_arg1976z00_690 = 
VECTOR_REF(BgL_opt1283z00_77,((long)1)); 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_labelz00_691;
BgL_labelz00_691 = BgL_labelz00_678; 
{ /* Llib/rsa.scm 422 */
 obj_t BgL_auxz00_4177; BgL_rsazd2keyzd2_bglt BgL_auxz00_4169;
if(
STRINGP(BgL_arg1976z00_690))
{ /* Llib/rsa.scm 422 */
BgL_auxz00_4177 = BgL_arg1976z00_690
; }  else 
{ 
 obj_t BgL_auxz00_4180;
BgL_auxz00_4180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2480z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_arg1976z00_690); 
FAILURE(BgL_auxz00_4180,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1975z00_689, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 422 */
BgL_auxz00_4169 = 
((BgL_rsazd2keyzd2_bglt)BgL_arg1975z00_689)
; }  else 
{ 
 obj_t BgL_auxz00_4173;
BgL_auxz00_4173 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)16082)), BGl_string2480z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_arg1975z00_689); 
FAILURE(BgL_auxz00_4173,BFALSE,BFALSE);} 
return 
BGl_RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(BgL_auxz00_4169, BgL_auxz00_4177, BgL_labelz00_691);} } } } } } } } 

}



/* RSAES-OAEP-decrypt */
BGL_EXPORTED_DEF obj_t BGl_RSAESzd2OAEPzd2decryptz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_74, obj_t BgL_cypherz00_75, obj_t BgL_labelz00_76)
{
{ /* Llib/rsa.scm 422 */
{ /* Llib/rsa.scm 429 */
 obj_t BgL_env1128z00_703;
BgL_env1128z00_703 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_cell1123z00_704;
BgL_cell1123z00_704 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_val1127z00_705;
BgL_val1127z00_705 = 
BGl_zc3z04exitza31986ze3ze70z60zz__cryptozd2rsazd2(BgL_cypherz00_75, BgL_keyz00_74, BgL_cell1123z00_704, BgL_env1128z00_703); 
if(
(BgL_val1127z00_705==BgL_cell1123z00_704))
{ /* Llib/rsa.scm 429 */
{ /* Llib/rsa.scm 429 */
 int BgL_tmpz00_4190;
BgL_tmpz00_4190 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_4190); } 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1985z00_707;
BgL_arg1985z00_707 = 
CELL_REF(
((obj_t)BgL_val1127z00_705)); 
return 
BGl_errorz00zz__errorz00(BGl_string2481z00zz__cryptozd2rsazd2, BGl_string2476z00zz__cryptozd2rsazd2, BFALSE);} }  else 
{ /* Llib/rsa.scm 429 */
return BgL_val1127z00_705;} } } } } 

}



/* <@exit:1986>~0 */
obj_t BGl_zc3z04exitza31986ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_cypherz00_2572, BgL_rsazd2keyzd2_bglt BgL_keyz00_2571, obj_t BgL_cell1123z00_2570, obj_t BgL_env1128z00_2569)
{
{ /* Llib/rsa.scm 429 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1132z00_709;
if( SET_EXIT(BgL_an_exit1132z00_709 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1132z00_709 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1128z00_2569, BgL_an_exit1132z00_709, ((long)1)); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_escape1124z00_710;
BgL_escape1124z00_710 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1128z00_2569); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_res1135z00_711;
{ /* Llib/rsa.scm 429 */
 obj_t BgL_ohs1120z00_712;
BgL_ohs1120z00_712 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1128z00_2569); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_hds1121z00_713;
BgL_hds1121z00_713 = 
MAKE_STACK_PAIR(BgL_escape1124z00_710, BgL_cell1123z00_2570); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1128z00_2569, BgL_hds1121z00_713); BUNSPEC; 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_exitd1129z00_714;
BgL_exitd1129z00_714 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1128z00_2569); 
{ /* Llib/rsa.scm 429 */
 obj_t BgL_tmp1131z00_715;
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1990z00_727;
BgL_arg1990z00_727 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_714); 
BgL_tmp1131z00_715 = 
MAKE_YOUNG_PAIR(BgL_ohs1120z00_712, BgL_arg1990z00_727); } 
{ /* Llib/rsa.scm 429 */

BGL_EXITD_PROTECT_SET(BgL_exitd1129z00_714, BgL_tmp1131z00_715); BUNSPEC; 
{ /* Llib/rsa.scm 432 */
 obj_t BgL_tmp1130z00_716;
{ /* Llib/rsa.scm 432 */
 long BgL_kz00_717;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_1874;
BgL_arg1333z00_1874 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_2571))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2243z00_1890;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_1879; long BgL_rz00_1880;
BgL_qz00_1879 = 
(BgL_arg1333z00_1874/((long)8)); 
BgL_rz00_1880 = 
(BgL_arg1333z00_1874%((long)8)); 
if(
(BgL_rz00_1880==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2243z00_1890 = BgL_qz00_1879; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_1880>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2243z00_1890 = 
(BgL_qz00_1879+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2243z00_1890 = 
(BgL_qz00_1879-((long)1)); } } } 
BgL_kz00_717 = BgL_res2243z00_1890; } } 
if(
(BgL_kz00_717==
STRING_LENGTH(BgL_cypherz00_2572)))
{ /* Llib/rsa.scm 434 */BFALSE; }  else 
{ /* Llib/rsa.scm 434 */
BGl_errorz00zz__errorz00(BGl_string2477z00zz__cryptozd2rsazd2, BGl_string2470z00zz__cryptozd2rsazd2, BgL_cypherz00_2572); } 
{ /* Llib/rsa.scm 436 */
 obj_t BgL_cz00_721;
BgL_cz00_721 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_cypherz00_2572); 
{ /* Llib/rsa.scm 436 */
 obj_t BgL_mz00_722;
BgL_mz00_722 = 
BGl_RSADPz00zz__cryptozd2rsazd2(BgL_keyz00_2571, BgL_cz00_721); 
{ /* Llib/rsa.scm 437 */
 obj_t BgL_emz00_723;
BgL_emz00_723 = 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_mz00_722, BgL_kz00_717); 
{ /* Llib/rsa.scm 438 */

BgL_tmp1130z00_716 = 
BGl_EMEzd2OAEPzd2decodez00zz__cryptozd2rsazd2(BgL_kz00_717, BgL_emz00_723, BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2, BGl_string2447z00zz__cryptozd2rsazd2, BGl_MGF1zd2envzd2zz__cryptozd2rsazd2); } } } } } 
{ /* Llib/rsa.scm 429 */
 bool_t BgL_test2814z00_4225;
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1808z00_1898;
BgL_arg1808z00_1898 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_714); 
BgL_test2814z00_4225 = 
PAIRP(BgL_arg1808z00_1898); } 
if(BgL_test2814z00_4225)
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1806z00_1899;
{ /* Llib/rsa.scm 429 */
 obj_t BgL_arg1807z00_1900;
BgL_arg1807z00_1900 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_714); 
BgL_arg1806z00_1899 = 
CDR(
((obj_t)BgL_arg1807z00_1900)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1129z00_714, BgL_arg1806z00_1899); BUNSPEC; }  else 
{ /* Llib/rsa.scm 429 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1128z00_2569, BgL_ohs1120z00_712); BUNSPEC; 
BgL_res1135z00_711 = BgL_tmp1130z00_716; } } } } } } 
POP_ENV_EXIT(BgL_env1128z00_2569); 
return BgL_res1135z00_711;} } 
}} 

}



/* RSASSA-PSS-sign */
BGL_EXPORTED_DEF obj_t BGl_RSASSAzd2PSSzd2signz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_79, obj_t BgL_msgz00_80)
{
{ /* Llib/rsa.scm 441 */
{ /* Llib/rsa.scm 442 */
 long BgL_modzd2bitszd2_731;
BgL_modzd2bitszd2_731 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_79))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 442 */
 long BgL_kz00_732;
{ /* Llib/rsa.scm 443 */
 long BgL_res2244z00_1918;
{ /* Llib/rsa.scm 443 */
 long BgL_qz00_1907; long BgL_rz00_1908;
BgL_qz00_1907 = 
(BgL_modzd2bitszd2_731/((long)8)); 
BgL_rz00_1908 = 
(BgL_modzd2bitszd2_731%((long)8)); 
if(
(BgL_rz00_1908==((long)0)))
{ /* Llib/rsa.scm 443 */
BgL_res2244z00_1918 = BgL_qz00_1907; }  else 
{ /* Llib/rsa.scm 443 */
if(
(BgL_rz00_1908>((long)0)))
{ /* Llib/rsa.scm 443 */
BgL_res2244z00_1918 = 
(BgL_qz00_1907+((long)1)); }  else 
{ /* Llib/rsa.scm 443 */
BgL_res2244z00_1918 = 
(BgL_qz00_1907-((long)1)); } } } 
BgL_kz00_732 = BgL_res2244z00_1918; } 
{ /* Llib/rsa.scm 443 */
 obj_t BgL_emz00_733;
BgL_emz00_733 = 
BGl_EMSAzd2PSSzd2encodez00zz__cryptozd2rsazd2(BgL_msgz00_80, 
(BgL_modzd2bitszd2_731-((long)1)), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2, BGl_MGF1zd2envzd2zz__cryptozd2rsazd2, ((long)0)); 
{ /* Llib/rsa.scm 444 */
 obj_t BgL_mz00_734;
BgL_mz00_734 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_733); 
{ /* Llib/rsa.scm 445 */
 obj_t BgL_sz00_735;
BgL_sz00_735 = 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_keyz00_79, BgL_mz00_734); 
{ /* Llib/rsa.scm 446 */

return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_sz00_735, BgL_kz00_732);} } } } } } } 

}



/* &RSASSA-PSS-sign */
obj_t BGl_z62RSASSAzd2PSSzd2signz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2444, obj_t BgL_keyz00_2445, obj_t BgL_msgz00_2446)
{
{ /* Llib/rsa.scm 441 */
{ /* Llib/rsa.scm 442 */
 obj_t BgL_auxz00_4257; BgL_rsazd2keyzd2_bglt BgL_auxz00_4249;
if(
STRINGP(BgL_msgz00_2446))
{ /* Llib/rsa.scm 442 */
BgL_auxz00_4257 = BgL_msgz00_2446
; }  else 
{ 
 obj_t BgL_auxz00_4260;
BgL_auxz00_4260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)16818)), BGl_string2482z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_msgz00_2446); 
FAILURE(BgL_auxz00_4260,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2445, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 442 */
BgL_auxz00_4249 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2445)
; }  else 
{ 
 obj_t BgL_auxz00_4253;
BgL_auxz00_4253 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)16818)), BGl_string2482z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_keyz00_2445); 
FAILURE(BgL_auxz00_4253,BFALSE,BFALSE);} 
return 
BGl_RSASSAzd2PSSzd2signz00zz__cryptozd2rsazd2(BgL_auxz00_4249, BgL_auxz00_4257);} } 

}



/* RSASSA-PSS-verify */
BGL_EXPORTED_DEF bool_t BGl_RSASSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_81, obj_t BgL_msgz00_82, obj_t BgL_sigz00_83)
{
{ /* Llib/rsa.scm 449 */
{ /* Llib/rsa.scm 450 */
 obj_t BgL_env1145z00_741;
BgL_env1145z00_741 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_cell1140z00_742;
BgL_cell1140z00_742 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_val1144z00_743;
BgL_val1144z00_743 = 
BGl_zc3z04exitza31995ze3ze70z60zz__cryptozd2rsazd2(BgL_msgz00_82, BgL_sigz00_83, BgL_keyz00_81, BgL_cell1140z00_742, BgL_env1145z00_741); 
if(
(BgL_val1144z00_743==BgL_cell1140z00_742))
{ /* Llib/rsa.scm 450 */
{ /* Llib/rsa.scm 450 */
 int BgL_tmpz00_4270;
BgL_tmpz00_4270 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_4270); } 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1994z00_745;
BgL_arg1994z00_745 = 
CELL_REF(
((obj_t)BgL_val1144z00_743)); 
return ((bool_t)0);} }  else 
{ /* Llib/rsa.scm 450 */
return 
CBOOL(BgL_val1144z00_743);} } } } } 

}



/* <@exit:1995>~0 */
obj_t BGl_zc3z04exitza31995ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_msgz00_2568, obj_t BgL_sigz00_2567, BgL_rsazd2keyzd2_bglt BgL_keyz00_2566, obj_t BgL_cell1140z00_2565, obj_t BgL_env1145z00_2564)
{
{ /* Llib/rsa.scm 450 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1150z00_747;
if( SET_EXIT(BgL_an_exit1150z00_747 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1150z00_747 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1145z00_2564, BgL_an_exit1150z00_747, ((long)1)); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_escape1141z00_748;
BgL_escape1141z00_748 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1145z00_2564); 
{ /* Llib/rsa.scm 450 */
 bool_t BgL_res1153z00_749;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_ohs1137z00_750;
BgL_ohs1137z00_750 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1145z00_2564); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_hds1138z00_751;
BgL_hds1138z00_751 = 
MAKE_STACK_PAIR(BgL_escape1141z00_748, BgL_cell1140z00_2565); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1145z00_2564, BgL_hds1138z00_751); BUNSPEC; 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_exitd1146z00_752;
BgL_exitd1146z00_752 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1145z00_2564); 
{ /* Llib/rsa.scm 450 */
 obj_t BgL_tmp1148z00_753;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1999z00_768;
BgL_arg1999z00_768 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_752); 
BgL_tmp1148z00_753 = 
MAKE_YOUNG_PAIR(BgL_ohs1137z00_750, BgL_arg1999z00_768); } 
{ /* Llib/rsa.scm 450 */

BGL_EXITD_PROTECT_SET(BgL_exitd1146z00_752, BgL_tmp1148z00_753); BUNSPEC; 
{ /* Llib/rsa.scm 453 */
 bool_t BgL_tmp1147z00_754;
{ /* Llib/rsa.scm 453 */
 long BgL_modzd2bitszd2_755;
BgL_modzd2bitszd2_755 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_2566))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 453 */
 long BgL_kz00_756;
{ /* Llib/rsa.scm 454 */
 long BgL_res2245z00_1938;
{ /* Llib/rsa.scm 454 */
 long BgL_qz00_1927; long BgL_rz00_1928;
BgL_qz00_1927 = 
(BgL_modzd2bitszd2_755/((long)8)); 
BgL_rz00_1928 = 
(BgL_modzd2bitszd2_755%((long)8)); 
if(
(BgL_rz00_1928==((long)0)))
{ /* Llib/rsa.scm 454 */
BgL_res2245z00_1938 = BgL_qz00_1927; }  else 
{ /* Llib/rsa.scm 454 */
if(
(BgL_rz00_1928>((long)0)))
{ /* Llib/rsa.scm 454 */
BgL_res2245z00_1938 = 
(BgL_qz00_1927+((long)1)); }  else 
{ /* Llib/rsa.scm 454 */
BgL_res2245z00_1938 = 
(BgL_qz00_1927-((long)1)); } } } 
BgL_kz00_756 = BgL_res2245z00_1938; } 
{ /* Llib/rsa.scm 454 */

if(
(BgL_kz00_756==
STRING_LENGTH(BgL_sigz00_2567)))
{ /* Llib/rsa.scm 456 */
 obj_t BgL_sz00_758;
BgL_sz00_758 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_sigz00_2567); 
{ /* Llib/rsa.scm 456 */
 obj_t BgL_mz00_759;
BgL_mz00_759 = 
BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_keyz00_2566, BgL_sz00_758); 
{ /* Llib/rsa.scm 457 */
 long BgL_emzd2lenzd2_760;
{ /* Llib/rsa.scm 458 */
 long BgL_res2246z00_1956;
{ /* Llib/rsa.scm 458 */
 long BgL_xz00_1944;
BgL_xz00_1944 = 
(BgL_modzd2bitszd2_755-((long)1)); 
{ /* Llib/rsa.scm 458 */
 long BgL_qz00_1945; long BgL_rz00_1946;
BgL_qz00_1945 = 
(BgL_xz00_1944/((long)8)); 
BgL_rz00_1946 = 
(BgL_xz00_1944%((long)8)); 
if(
(BgL_rz00_1946==((long)0)))
{ /* Llib/rsa.scm 458 */
BgL_res2246z00_1956 = BgL_qz00_1945; }  else 
{ /* Llib/rsa.scm 458 */
if(
(BgL_rz00_1946>((long)0)))
{ /* Llib/rsa.scm 458 */
BgL_res2246z00_1956 = 
(BgL_qz00_1945+((long)1)); }  else 
{ /* Llib/rsa.scm 458 */
BgL_res2246z00_1956 = 
(BgL_qz00_1945-((long)1)); } } } } 
BgL_emzd2lenzd2_760 = BgL_res2246z00_1956; } 
{ /* Llib/rsa.scm 458 */
 obj_t BgL_emz00_761;
BgL_emz00_761 = 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_mz00_759, BgL_emzd2lenzd2_760); 
{ /* Llib/rsa.scm 459 */

{ /* Llib/rsa.scm 460 */
 long BgL_emzd2bitszd2_2816;
BgL_emzd2bitszd2_2816 = 
(BgL_modzd2bitszd2_755-((long)1)); 
BgL_tmp1147z00_754 = 
CBOOL(
BGl_zc3z04exitza32128ze3ze70z60zz__cryptozd2rsazd2(BGl_MGF1zd2envzd2zz__cryptozd2rsazd2, BgL_emzd2bitszd2_2816, ((long)0), BgL_emz00_761, BgL_msgz00_2568, BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2)); } } } } } }  else 
{ /* Llib/rsa.scm 455 */
BgL_tmp1147z00_754 = ((bool_t)0); } } } } 
{ /* Llib/rsa.scm 450 */
 bool_t BgL_test2825z00_4315;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1808z00_1961;
BgL_arg1808z00_1961 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_752); 
BgL_test2825z00_4315 = 
PAIRP(BgL_arg1808z00_1961); } 
if(BgL_test2825z00_4315)
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1806z00_1962;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_arg1807z00_1963;
BgL_arg1807z00_1963 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_752); 
BgL_arg1806z00_1962 = 
CDR(
((obj_t)BgL_arg1807z00_1963)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1146z00_752, BgL_arg1806z00_1962); BUNSPEC; }  else 
{ /* Llib/rsa.scm 450 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1145z00_2564, BgL_ohs1137z00_750); BUNSPEC; 
BgL_res1153z00_749 = BgL_tmp1147z00_754; } } } } } } 
POP_ENV_EXIT(BgL_env1145z00_2564); 
return 
BBOOL(BgL_res1153z00_749);} } 
}} 

}



/* &RSASSA-PSS-verify */
obj_t BGl_z62RSASSAzd2PSSzd2verifyz62zz__cryptozd2rsazd2(obj_t BgL_envz00_2447, obj_t BgL_keyz00_2448, obj_t BgL_msgz00_2449, obj_t BgL_sigz00_2450)
{
{ /* Llib/rsa.scm 449 */
{ /* Llib/rsa.scm 450 */
 bool_t BgL_tmpz00_4325;
{ /* Llib/rsa.scm 450 */
 obj_t BgL_auxz00_4341; obj_t BgL_auxz00_4334; BgL_rsazd2keyzd2_bglt BgL_auxz00_4326;
if(
STRINGP(BgL_sigz00_2450))
{ /* Llib/rsa.scm 450 */
BgL_auxz00_4341 = BgL_sigz00_2450
; }  else 
{ 
 obj_t BgL_auxz00_4344;
BgL_auxz00_4344 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)17077)), BGl_string2483z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_sigz00_2450); 
FAILURE(BgL_auxz00_4344,BFALSE,BFALSE);} 
if(
STRINGP(BgL_msgz00_2449))
{ /* Llib/rsa.scm 450 */
BgL_auxz00_4334 = BgL_msgz00_2449
; }  else 
{ 
 obj_t BgL_auxz00_4337;
BgL_auxz00_4337 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)17077)), BGl_string2483z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_msgz00_2449); 
FAILURE(BgL_auxz00_4337,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2448, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 450 */
BgL_auxz00_4326 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2448)
; }  else 
{ 
 obj_t BgL_auxz00_4330;
BgL_auxz00_4330 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)17077)), BGl_string2483z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_keyz00_2448); 
FAILURE(BgL_auxz00_4330,BFALSE,BFALSE);} 
BgL_tmpz00_4325 = 
BGl_RSASSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(BgL_auxz00_4326, BgL_auxz00_4334, BgL_auxz00_4341); } 
return 
BBOOL(BgL_tmpz00_4325);} } 

}



/* hash-algo->procedure */
obj_t BGl_hashzd2algozd2ze3procedureze3zz__cryptozd2rsazd2(obj_t BgL_algoz00_84)
{
{ /* Llib/rsa.scm 484 */
{ /* Llib/rsa.scm 485 */
 bool_t BgL_test2829z00_4350;
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1155z00_797;
BgL__ortest_1155z00_797 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)19))); 
if(BgL__ortest_1155z00_797)
{ /* Llib/rsa.scm 485 */
BgL_test2829z00_4350 = BgL__ortest_1155z00_797
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1156z00_798;
BgL__ortest_1156z00_798 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1156z00_798)
{ /* Llib/rsa.scm 485 */
BgL_test2829z00_4350 = BgL__ortest_1156z00_798
; }  else 
{ /* Llib/rsa.scm 485 */
BgL_test2829z00_4350 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)21)))
; } } } 
if(BgL_test2829z00_4350)
{ /* Llib/rsa.scm 485 */
return BGl_md5sumzd2binzd2envz00zz__cryptozd2utilzd2;}  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL_test2832z00_4359;
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1157z00_794;
BgL__ortest_1157z00_794 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)22))); 
if(BgL__ortest_1157z00_794)
{ /* Llib/rsa.scm 485 */
BgL_test2832z00_4359 = BgL__ortest_1157z00_794
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1158z00_795;
BgL__ortest_1158z00_795 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)23))); 
if(BgL__ortest_1158z00_795)
{ /* Llib/rsa.scm 485 */
BgL_test2832z00_4359 = BgL__ortest_1158z00_795
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1159z00_796;
BgL__ortest_1159z00_796 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1159z00_796)
{ /* Llib/rsa.scm 485 */
BgL_test2832z00_4359 = BgL__ortest_1159z00_796
; }  else 
{ /* Llib/rsa.scm 485 */
BgL_test2832z00_4359 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)25)))
; } } } } 
if(BgL_test2832z00_4359)
{ /* Llib/rsa.scm 485 */
return BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;}  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL_test2836z00_4371;
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1160z00_791;
BgL__ortest_1160z00_791 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1160z00_791)
{ /* Llib/rsa.scm 485 */
BgL_test2836z00_4371 = BgL__ortest_1160z00_791
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1161z00_792;
BgL__ortest_1161z00_792 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)27))); 
if(BgL__ortest_1161z00_792)
{ /* Llib/rsa.scm 485 */
BgL_test2836z00_4371 = BgL__ortest_1161z00_792
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1162z00_793;
BgL__ortest_1162z00_793 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)28))); 
if(BgL__ortest_1162z00_793)
{ /* Llib/rsa.scm 485 */
BgL_test2836z00_4371 = BgL__ortest_1162z00_793
; }  else 
{ /* Llib/rsa.scm 485 */
BgL_test2836z00_4371 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)29)))
; } } } } 
if(BgL_test2836z00_4371)
{ /* Llib/rsa.scm 485 */
return BGl_sha256sumzd2binzd2envz00zz__cryptozd2utilzd2;}  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL_test2840z00_4383;
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1163z00_788;
BgL__ortest_1163z00_788 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)30))); 
if(BgL__ortest_1163z00_788)
{ /* Llib/rsa.scm 485 */
BgL_test2840z00_4383 = BgL__ortest_1163z00_788
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1164z00_789;
BgL__ortest_1164z00_789 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)31))); 
if(BgL__ortest_1164z00_789)
{ /* Llib/rsa.scm 485 */
BgL_test2840z00_4383 = BgL__ortest_1164z00_789
; }  else 
{ /* Llib/rsa.scm 485 */
 bool_t BgL__ortest_1165z00_790;
BgL__ortest_1165z00_790 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)32))); 
if(BgL__ortest_1165z00_790)
{ /* Llib/rsa.scm 485 */
BgL_test2840z00_4383 = BgL__ortest_1165z00_790
; }  else 
{ /* Llib/rsa.scm 485 */
BgL_test2840z00_4383 = 
(BgL_algoz00_84==
CNST_TABLE_REF(((long)33)))
; } } } } 
if(BgL_test2840z00_4383)
{ /* Llib/rsa.scm 485 */
return BGl_sha512sumzd2binzd2envz00zz__cryptozd2utilzd2;}  else 
{ /* Llib/rsa.scm 485 */
return 
BGl_errorz00zz__errorz00(BGl_string2484z00zz__cryptozd2rsazd2, BGl_string2485z00zz__cryptozd2rsazd2, BgL_algoz00_84);} } } } } } 

}



/* hash-algo->DER-prefix */
obj_t BGl_hashzd2algozd2ze3DERzd2prefixz31zz__cryptozd2rsazd2(obj_t BgL_algoz00_85)
{
{ /* Llib/rsa.scm 494 */
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2844z00_4396;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1166z00_836;
BgL__ortest_1166z00_836 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)34))); 
if(BgL__ortest_1166z00_836)
{ /* Llib/rsa.scm 495 */
BgL_test2844z00_4396 = BgL__ortest_1166z00_836
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1167z00_837;
BgL__ortest_1167z00_837 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)35))); 
if(BgL__ortest_1167z00_837)
{ /* Llib/rsa.scm 495 */
BgL_test2844z00_4396 = BgL__ortest_1167z00_837
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2844z00_4396 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)36)))
; } } } 
if(BgL_test2844z00_4396)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2847z00_4405;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1168z00_834;
BgL__ortest_1168z00_834 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)19))); 
if(BgL__ortest_1168z00_834)
{ /* Llib/rsa.scm 495 */
BgL_test2847z00_4405 = BgL__ortest_1168z00_834
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1169z00_835;
BgL__ortest_1169z00_835 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1169z00_835)
{ /* Llib/rsa.scm 495 */
BgL_test2847z00_4405 = BgL__ortest_1169z00_835
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2847z00_4405 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)21)))
; } } } 
if(BgL_test2847z00_4405)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2850z00_4414;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1170z00_831;
BgL__ortest_1170z00_831 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)22))); 
if(BgL__ortest_1170z00_831)
{ /* Llib/rsa.scm 495 */
BgL_test2850z00_4414 = BgL__ortest_1170z00_831
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1171z00_832;
BgL__ortest_1171z00_832 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)23))); 
if(BgL__ortest_1171z00_832)
{ /* Llib/rsa.scm 495 */
BgL_test2850z00_4414 = BgL__ortest_1171z00_832
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1172z00_833;
BgL__ortest_1172z00_833 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1172z00_833)
{ /* Llib/rsa.scm 495 */
BgL_test2850z00_4414 = BgL__ortest_1172z00_833
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2850z00_4414 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)25)))
; } } } } 
if(BgL_test2850z00_4414)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2854z00_4426;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1173z00_828;
BgL__ortest_1173z00_828 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1173z00_828)
{ /* Llib/rsa.scm 495 */
BgL_test2854z00_4426 = BgL__ortest_1173z00_828
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1174z00_829;
BgL__ortest_1174z00_829 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)27))); 
if(BgL__ortest_1174z00_829)
{ /* Llib/rsa.scm 495 */
BgL_test2854z00_4426 = BgL__ortest_1174z00_829
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1175z00_830;
BgL__ortest_1175z00_830 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)28))); 
if(BgL__ortest_1175z00_830)
{ /* Llib/rsa.scm 495 */
BgL_test2854z00_4426 = BgL__ortest_1175z00_830
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2854z00_4426 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)29)))
; } } } } 
if(BgL_test2854z00_4426)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2858z00_4438;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1176z00_825;
BgL__ortest_1176z00_825 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)37))); 
if(BgL__ortest_1176z00_825)
{ /* Llib/rsa.scm 495 */
BgL_test2858z00_4438 = BgL__ortest_1176z00_825
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1177z00_826;
BgL__ortest_1177z00_826 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)38))); 
if(BgL__ortest_1177z00_826)
{ /* Llib/rsa.scm 495 */
BgL_test2858z00_4438 = BgL__ortest_1177z00_826
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1178z00_827;
BgL__ortest_1178z00_827 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)39))); 
if(BgL__ortest_1178z00_827)
{ /* Llib/rsa.scm 495 */
BgL_test2858z00_4438 = BgL__ortest_1178z00_827
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2858z00_4438 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)40)))
; } } } } 
if(BgL_test2858z00_4438)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL_test2862z00_4450;
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1179z00_822;
BgL__ortest_1179z00_822 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)30))); 
if(BgL__ortest_1179z00_822)
{ /* Llib/rsa.scm 495 */
BgL_test2862z00_4450 = BgL__ortest_1179z00_822
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1180z00_823;
BgL__ortest_1180z00_823 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)31))); 
if(BgL__ortest_1180z00_823)
{ /* Llib/rsa.scm 495 */
BgL_test2862z00_4450 = BgL__ortest_1180z00_823
; }  else 
{ /* Llib/rsa.scm 495 */
 bool_t BgL__ortest_1181z00_824;
BgL__ortest_1181z00_824 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)32))); 
if(BgL__ortest_1181z00_824)
{ /* Llib/rsa.scm 495 */
BgL_test2862z00_4450 = BgL__ortest_1181z00_824
; }  else 
{ /* Llib/rsa.scm 495 */
BgL_test2862z00_4450 = 
(BgL_algoz00_85==
CNST_TABLE_REF(((long)33)))
; } } } } 
if(BgL_test2862z00_4450)
{ /* Llib/rsa.scm 495 */
return BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2;}  else 
{ /* Llib/rsa.scm 495 */
return 
BGl_errorz00zz__errorz00(BGl_string2484z00zz__cryptozd2rsazd2, BGl_string2486z00zz__cryptozd2rsazd2, BgL_algoz00_85);} } } } } } } } 

}



/* DER-prefix->hash-algo */
obj_t BGl_DERzd2prefixzd2ze3hashzd2algoz31zz__cryptozd2rsazd2(obj_t BgL_prefixz00_86)
{
{ /* Llib/rsa.scm 509 */
{ /* Llib/rsa.scm 509 */
 obj_t BgL_azd2listzd2_838;
{ /* Llib/rsa.scm 511 */
 obj_t BgL_arg2015z00_856; obj_t BgL_arg2016z00_857;
{ /* Llib/rsa.scm 511 */
 obj_t BgL_arg2017z00_858;
BgL_arg2017z00_858 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)23)), BNIL); 
BgL_arg2015z00_856 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2SHA1za2zd2zz__cryptozd2rsazd2, BgL_arg2017z00_858); } 
{ /* Llib/rsa.scm 512 */
 obj_t BgL_arg2018z00_859; obj_t BgL_arg2019z00_860;
{ /* Llib/rsa.scm 512 */
 obj_t BgL_arg2020z00_861;
BgL_arg2020z00_861 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BNIL); 
BgL_arg2018z00_859 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2md5za2zd2zz__cryptozd2rsazd2, BgL_arg2020z00_861); } 
{ /* Llib/rsa.scm 513 */
 obj_t BgL_arg2021z00_862; obj_t BgL_arg2022z00_863;
{ /* Llib/rsa.scm 513 */
 obj_t BgL_arg2023z00_864;
BgL_arg2023z00_864 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)34)), BNIL); 
BgL_arg2021z00_862 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2md2za2zd2zz__cryptozd2rsazd2, BgL_arg2023z00_864); } 
{ /* Llib/rsa.scm 514 */
 obj_t BgL_arg2024z00_865; obj_t BgL_arg2025z00_866;
{ /* Llib/rsa.scm 514 */
 obj_t BgL_arg2026z00_867;
BgL_arg2026z00_867 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BNIL); 
BgL_arg2024z00_865 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2SHA256za2zd2zz__cryptozd2rsazd2, BgL_arg2026z00_867); } 
{ /* Llib/rsa.scm 515 */
 obj_t BgL_arg2027z00_868; obj_t BgL_arg2028z00_869;
{ /* Llib/rsa.scm 515 */
 obj_t BgL_arg2029z00_870;
BgL_arg2029z00_870 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)38)), BNIL); 
BgL_arg2027z00_868 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2SHA384za2zd2zz__cryptozd2rsazd2, BgL_arg2029z00_870); } 
{ /* Llib/rsa.scm 516 */
 obj_t BgL_arg2030z00_871;
{ /* Llib/rsa.scm 516 */
 obj_t BgL_arg2031z00_872;
BgL_arg2031z00_872 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BNIL); 
BgL_arg2030z00_871 = 
MAKE_YOUNG_PAIR(BGl_za2DERzd2SHA512za2zd2zz__cryptozd2rsazd2, BgL_arg2031z00_872); } 
BgL_arg2028z00_869 = 
MAKE_YOUNG_PAIR(BgL_arg2030z00_871, BNIL); } 
BgL_arg2025z00_866 = 
MAKE_YOUNG_PAIR(BgL_arg2027z00_868, BgL_arg2028z00_869); } 
BgL_arg2022z00_863 = 
MAKE_YOUNG_PAIR(BgL_arg2024z00_865, BgL_arg2025z00_866); } 
BgL_arg2019z00_860 = 
MAKE_YOUNG_PAIR(BgL_arg2021z00_862, BgL_arg2022z00_863); } 
BgL_arg2016z00_857 = 
MAKE_YOUNG_PAIR(BgL_arg2018z00_859, BgL_arg2019z00_860); } 
BgL_azd2listzd2_838 = 
MAKE_YOUNG_PAIR(BgL_arg2015z00_856, BgL_arg2016z00_857); } 
{ /* Llib/rsa.scm 518 */
 obj_t BgL_proczd2pzd2_839;
{ 
 obj_t BgL_l1232z00_841;
BgL_l1232z00_841 = BgL_azd2listzd2_838; 
BgL_zc3z04anonymousza32011ze3z87_842:
if(
NULLP(BgL_l1232z00_841))
{ /* Llib/rsa.scm 518 */
BgL_proczd2pzd2_839 = BFALSE; }  else 
{ /* Llib/rsa.scm 519 */
 obj_t BgL__ortest_1234z00_844;
{ /* Llib/rsa.scm 519 */
 obj_t BgL_pz00_846;
BgL_pz00_846 = 
CAR(
((obj_t)BgL_l1232z00_841)); 
{ /* Llib/rsa.scm 519 */
 bool_t BgL_test2867z00_4491;
{ /* Llib/rsa.scm 519 */

BgL_test2867z00_4491 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(
CAR(
((obj_t)BgL_pz00_846)), BgL_prefixz00_86, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test2867z00_4491)
{ /* Llib/rsa.scm 520 */
 obj_t BgL_pairz00_1971;
BgL_pairz00_1971 = 
CDR(
((obj_t)BgL_pz00_846)); 
BgL__ortest_1234z00_844 = 
CAR(BgL_pairz00_1971); }  else 
{ /* Llib/rsa.scm 519 */
BgL__ortest_1234z00_844 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1234z00_844))
{ /* Llib/rsa.scm 518 */
BgL_proczd2pzd2_839 = BgL__ortest_1234z00_844; }  else 
{ /* Llib/rsa.scm 518 */
 obj_t BgL_arg2013z00_845;
BgL_arg2013z00_845 = 
CDR(
((obj_t)BgL_l1232z00_841)); 
{ 
 obj_t BgL_l1232z00_4502;
BgL_l1232z00_4502 = BgL_arg2013z00_845; 
BgL_l1232z00_841 = BgL_l1232z00_4502; 
goto BgL_zc3z04anonymousza32011ze3z87_842;} } } } 
if(
CBOOL(BgL_proczd2pzd2_839))
{ /* Llib/rsa.scm 522 */BFALSE; }  else 
{ /* Llib/rsa.scm 522 */
BGl_errorz00zz__errorz00(BGl_string2487z00zz__cryptozd2rsazd2, BGl_string2488z00zz__cryptozd2rsazd2, BFALSE); } 
return BgL_proczd2pzd2_839;} } } 

}



/* EMSA-PKCS1-v1.5-encode */
obj_t BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(obj_t BgL_mz00_88, long BgL_emzd2lenzd2_89, obj_t BgL_hashzd2algozd2_90)
{
{ /* Llib/rsa.scm 534 */
{ /* Llib/rsa.scm 536 */
 obj_t BgL_hashzd2funzd2_874;
BgL_hashzd2funzd2_874 = 
BGl_hashzd2algozd2ze3procedureze3zz__cryptozd2rsazd2(BgL_hashzd2algozd2_90); 
{ /* Llib/rsa.scm 536 */
 obj_t BgL_hz00_875;
BgL_hz00_875 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_874)(BgL_hashzd2funzd2_874, BgL_mz00_88, BEOA); 
{ /* Llib/rsa.scm 537 */
 obj_t BgL_digestzd2infozd2derz00_876;
BgL_digestzd2infozd2derz00_876 = 
BGl_hashzd2algozd2ze3DERzd2prefixz31zz__cryptozd2rsazd2(BgL_hashzd2algozd2_90); 
{ /* Llib/rsa.scm 538 */
 obj_t BgL_strz00_877;
BgL_strz00_877 = 
string_append(BgL_digestzd2infozd2derz00_876, BgL_hz00_875); 
{ /* Llib/rsa.scm 539 */
 long BgL_strzd2lenzd2_878;
BgL_strzd2lenzd2_878 = 
STRING_LENGTH(BgL_strz00_877); 
{ /* Llib/rsa.scm 540 */

if(
(BgL_emzd2lenzd2_89<
(BgL_strzd2lenzd2_878+((long)11))))
{ /* Llib/rsa.scm 541 */
BGl_errorz00zz__errorz00(BGl_string2489z00zz__cryptozd2rsazd2, BGl_string2490z00zz__cryptozd2rsazd2, 
BINT(BgL_emzd2lenzd2_89)); }  else 
{ /* Llib/rsa.scm 541 */BFALSE; } 
return 
BGl_PKCS1zd2v1ze25zd2padze2zz__cryptozd2rsazd2(BgL_strz00_877, BgL_emzd2lenzd2_89, ((long)1));} } } } } } } 

}



/* _RSASSA-PKCS1-v1.5-sign */
obj_t BGl__RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2(obj_t BgL_env1291z00_95, obj_t BgL_opt1290z00_94)
{
{ /* Llib/rsa.scm 546 */
{ 
 obj_t BgL_k1z00_883; long BgL_iz00_884;
{ /* Llib/rsa.scm 546 */
 obj_t BgL_keyz00_886; obj_t BgL_msgz00_887;
BgL_keyz00_886 = 
VECTOR_REF(BgL_opt1290z00_94,((long)0)); 
BgL_msgz00_887 = 
VECTOR_REF(BgL_opt1290z00_94,((long)1)); 
{ /* Llib/rsa.scm 547 */
 obj_t BgL_hashzd2algozd2_888;
BgL_hashzd2algozd2_888 = 
CNST_TABLE_REF(((long)23)); 
{ /* Llib/rsa.scm 546 */

{ 
 long BgL_iz00_889;
BgL_iz00_889 = ((long)2); 
BgL_check1294z00_890:
if(
(BgL_iz00_889==
VECTOR_LENGTH(BgL_opt1290z00_94)))
{ /* Llib/rsa.scm 546 */BNIL; }  else 
{ /* Llib/rsa.scm 546 */
 bool_t BgL_test2872z00_4526;
{ /* Llib/rsa.scm 546 */
 obj_t BgL_arg2041z00_896;
BgL_arg2041z00_896 = 
VECTOR_REF(BgL_opt1290z00_94,BgL_iz00_889); 
BgL_test2872z00_4526 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2041z00_896, 
CNST_TABLE_REF(((long)42)))); } 
if(BgL_test2872z00_4526)
{ 
 long BgL_iz00_4531;
BgL_iz00_4531 = 
(BgL_iz00_889+((long)2)); 
BgL_iz00_889 = BgL_iz00_4531; 
goto BgL_check1294z00_890;}  else 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_arg2040z00_895;
BgL_arg2040z00_895 = 
VECTOR_REF(BgL_opt1290z00_94,BgL_iz00_889); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)41)), BGl_string2430z00zz__cryptozd2rsazd2, BgL_arg2040z00_895); } } } 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_index1296z00_897;
BgL_k1z00_883 = 
CNST_TABLE_REF(((long)43)); 
BgL_iz00_884 = ((long)2); 
BgL_search1293z00_885:
if(
(BgL_iz00_884==
VECTOR_LENGTH(BgL_opt1290z00_94)))
{ /* Llib/rsa.scm 546 */
BgL_index1296z00_897 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 546 */
if(
(BgL_iz00_884==
(
VECTOR_LENGTH(BgL_opt1290z00_94)-((long)1))))
{ /* Llib/rsa.scm 546 */
BgL_index1296z00_897 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)41)), BGl_string2444z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1290z00_94))); }  else 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_vz00_906;
BgL_vz00_906 = 
VECTOR_REF(BgL_opt1290z00_94,BgL_iz00_884); 
if(
(BgL_vz00_906==BgL_k1z00_883))
{ /* Llib/rsa.scm 546 */
BgL_index1296z00_897 = 
BINT(
(BgL_iz00_884+((long)1))); }  else 
{ 
 long BgL_iz00_4553;
BgL_iz00_4553 = 
(BgL_iz00_884+((long)2)); 
BgL_iz00_884 = BgL_iz00_4553; 
goto BgL_search1293z00_885;} } } 
{ /* Llib/rsa.scm 546 */
 bool_t BgL_test2876z00_4556;
{ /* Llib/rsa.scm 546 */
 long BgL_n1z00_1993;
{ /* Llib/rsa.scm 546 */
 obj_t BgL_tmpz00_4557;
if(
INTEGERP(BgL_index1296z00_897))
{ /* Llib/rsa.scm 546 */
BgL_tmpz00_4557 = BgL_index1296z00_897
; }  else 
{ 
 obj_t BgL_auxz00_4560;
BgL_auxz00_4560 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2491z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1296z00_897); 
FAILURE(BgL_auxz00_4560,BFALSE,BFALSE);} 
BgL_n1z00_1993 = 
(long)CINT(BgL_tmpz00_4557); } 
BgL_test2876z00_4556 = 
(BgL_n1z00_1993>=((long)0)); } 
if(BgL_test2876z00_4556)
{ /* Llib/rsa.scm 546 */
 obj_t BgL_aux2393z00_2753;
{ 
 long BgL_auxz00_4566;
{ /* Llib/rsa.scm 546 */
 obj_t BgL_tmpz00_4567;
if(
INTEGERP(BgL_index1296z00_897))
{ /* Llib/rsa.scm 546 */
BgL_tmpz00_4567 = BgL_index1296z00_897
; }  else 
{ 
 obj_t BgL_auxz00_4570;
BgL_auxz00_4570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2491z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1296z00_897); 
FAILURE(BgL_auxz00_4570,BFALSE,BFALSE);} 
BgL_auxz00_4566 = 
(long)CINT(BgL_tmpz00_4567); } 
BgL_aux2393z00_2753 = 
VECTOR_REF(BgL_opt1290z00_94,BgL_auxz00_4566); } 
if(
SYMBOLP(BgL_aux2393z00_2753))
{ /* Llib/rsa.scm 546 */
BgL_hashzd2algozd2_888 = BgL_aux2393z00_2753; }  else 
{ 
 obj_t BgL_auxz00_4578;
BgL_auxz00_4578 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2491z00zz__cryptozd2rsazd2, BGl_string2492z00zz__cryptozd2rsazd2, BgL_aux2393z00_2753); 
FAILURE(BgL_auxz00_4578,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 546 */BFALSE; } } } 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_arg2043z00_899; obj_t BgL_arg2044z00_900;
BgL_arg2043z00_899 = 
VECTOR_REF(BgL_opt1290z00_94,((long)0)); 
BgL_arg2044z00_900 = 
VECTOR_REF(BgL_opt1290z00_94,((long)1)); 
{ /* Llib/rsa.scm 546 */
 obj_t BgL_hashzd2algozd2_901;
BgL_hashzd2algozd2_901 = BgL_hashzd2algozd2_888; 
{ /* Llib/rsa.scm 546 */
 BgL_rsazd2keyzd2_bglt BgL_keyz00_1994; obj_t BgL_msgz00_1995;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg2043z00_899, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 546 */
BgL_keyz00_1994 = 
((BgL_rsazd2keyzd2_bglt)BgL_arg2043z00_899); }  else 
{ 
 obj_t BgL_auxz00_4587;
BgL_auxz00_4587 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2491z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_arg2043z00_899); 
FAILURE(BgL_auxz00_4587,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2044z00_900))
{ /* Llib/rsa.scm 546 */
BgL_msgz00_1995 = BgL_arg2044z00_900; }  else 
{ 
 obj_t BgL_auxz00_4593;
BgL_auxz00_4593 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20609)), BGl_string2491z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_arg2044z00_900); 
FAILURE(BgL_auxz00_4593,BFALSE,BFALSE);} 
{ /* Llib/rsa.scm 548 */
 long BgL_kz00_1997;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2001;
BgL_arg1333z00_2001 = 
BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_keyz00_1994); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2247z00_2014;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2003; long BgL_rz00_2004;
BgL_qz00_2003 = 
(BgL_arg1333z00_2001/((long)8)); 
BgL_rz00_2004 = 
(BgL_arg1333z00_2001%((long)8)); 
if(
(BgL_rz00_2004==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2247z00_2014 = BgL_qz00_2003; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2004>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2247z00_2014 = 
(BgL_qz00_2003+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2247z00_2014 = 
(BgL_qz00_2003-((long)1)); } } } 
BgL_kz00_1997 = BgL_res2247z00_2014; } } 
return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(
BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(BgL_keyz00_1994, BgL_msgz00_1995, BgL_hashzd2algozd2_901), BgL_kz00_1997);} } } } } } } } } 

}



/* RSASSA-PKCS1-v1.5-sign */
BGL_EXPORTED_DEF obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_91, obj_t BgL_msgz00_92, obj_t BgL_hashzd2algozd2_93)
{
{ /* Llib/rsa.scm 546 */
{ /* Llib/rsa.scm 548 */
 long BgL_kz00_2017;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2021;
BgL_arg1333z00_2021 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_91))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2248z00_2037;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2026; long BgL_rz00_2027;
BgL_qz00_2026 = 
(BgL_arg1333z00_2021/((long)8)); 
BgL_rz00_2027 = 
(BgL_arg1333z00_2021%((long)8)); 
if(
(BgL_rz00_2027==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2248z00_2037 = BgL_qz00_2026; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2027>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2248z00_2037 = 
(BgL_qz00_2026+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2248z00_2037 = 
(BgL_qz00_2026-((long)1)); } } } 
BgL_kz00_2017 = BgL_res2248z00_2037; } } 
{ /* Llib/rsa.scm 549 */
 obj_t BgL_arg2052z00_2018;
{ /* Llib/rsa.scm 549 */
 obj_t BgL_res2250z00_2061;
{ /* Llib/rsa.scm 552 */
 long BgL_kz00_2041;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2046;
BgL_arg1333z00_2046 = 
BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_keyz00_91); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2249z00_2059;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2048; long BgL_rz00_2049;
BgL_qz00_2048 = 
(BgL_arg1333z00_2046/((long)8)); 
BgL_rz00_2049 = 
(BgL_arg1333z00_2046%((long)8)); 
if(
(BgL_rz00_2049==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2249z00_2059 = BgL_qz00_2048; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2049>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2249z00_2059 = 
(BgL_qz00_2048+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2249z00_2059 = 
(BgL_qz00_2048-((long)1)); } } } 
BgL_kz00_2041 = BgL_res2249z00_2059; } } 
{ /* Llib/rsa.scm 552 */
 obj_t BgL_emz00_2042;
BgL_emz00_2042 = 
BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(BgL_msgz00_92, BgL_kz00_2041, BgL_hashzd2algozd2_93); 
{ /* Llib/rsa.scm 556 */
 obj_t BgL_mz00_2043;
BgL_mz00_2043 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_2042); 
{ /* Llib/rsa.scm 557 */
 obj_t BgL_sz00_2044;
BgL_sz00_2044 = 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_keyz00_91, BgL_mz00_2043); 
{ /* Llib/rsa.scm 558 */

BgL_res2250z00_2061 = BgL_sz00_2044; } } } } } 
BgL_arg2052z00_2018 = BgL_res2250z00_2061; } 
return 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_arg2052z00_2018, BgL_kz00_2017);} } } 

}



/* _RSASSA-PKCS1-v1.5-sign-bignum */
obj_t BGl__RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(obj_t BgL_env1298z00_100, obj_t BgL_opt1297z00_99)
{
{ /* Llib/rsa.scm 550 */
{ 
 obj_t BgL_k1z00_914; long BgL_iz00_915;
{ /* Llib/rsa.scm 550 */
 obj_t BgL_keyz00_917; obj_t BgL_msgz00_918;
BgL_keyz00_917 = 
VECTOR_REF(BgL_opt1297z00_99,((long)0)); 
BgL_msgz00_918 = 
VECTOR_REF(BgL_opt1297z00_99,((long)1)); 
{ /* Llib/rsa.scm 551 */
 obj_t BgL_hashzd2algozd2_919;
BgL_hashzd2algozd2_919 = 
CNST_TABLE_REF(((long)23)); 
{ /* Llib/rsa.scm 550 */

{ 
 long BgL_iz00_920;
BgL_iz00_920 = ((long)2); 
BgL_check1301z00_921:
if(
(BgL_iz00_920==
VECTOR_LENGTH(BgL_opt1297z00_99)))
{ /* Llib/rsa.scm 550 */BNIL; }  else 
{ /* Llib/rsa.scm 550 */
 bool_t BgL_test2889z00_4637;
{ /* Llib/rsa.scm 550 */
 obj_t BgL_arg2058z00_927;
BgL_arg2058z00_927 = 
VECTOR_REF(BgL_opt1297z00_99,BgL_iz00_920); 
BgL_test2889z00_4637 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2058z00_927, 
CNST_TABLE_REF(((long)42)))); } 
if(BgL_test2889z00_4637)
{ 
 long BgL_iz00_4642;
BgL_iz00_4642 = 
(BgL_iz00_920+((long)2)); 
BgL_iz00_920 = BgL_iz00_4642; 
goto BgL_check1301z00_921;}  else 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_arg2057z00_926;
BgL_arg2057z00_926 = 
VECTOR_REF(BgL_opt1297z00_99,BgL_iz00_920); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)44)), BGl_string2430z00zz__cryptozd2rsazd2, BgL_arg2057z00_926); } } } 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_index1303z00_928;
BgL_k1z00_914 = 
CNST_TABLE_REF(((long)43)); 
BgL_iz00_915 = ((long)2); 
BgL_search1300z00_916:
if(
(BgL_iz00_915==
VECTOR_LENGTH(BgL_opt1297z00_99)))
{ /* Llib/rsa.scm 550 */
BgL_index1303z00_928 = 
BINT(((long)-1)); }  else 
{ /* Llib/rsa.scm 550 */
if(
(BgL_iz00_915==
(
VECTOR_LENGTH(BgL_opt1297z00_99)-((long)1))))
{ /* Llib/rsa.scm 550 */
BgL_index1303z00_928 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)44)), BGl_string2444z00zz__cryptozd2rsazd2, 
BINT(
VECTOR_LENGTH(BgL_opt1297z00_99))); }  else 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_vz00_937;
BgL_vz00_937 = 
VECTOR_REF(BgL_opt1297z00_99,BgL_iz00_915); 
if(
(BgL_vz00_937==BgL_k1z00_914))
{ /* Llib/rsa.scm 550 */
BgL_index1303z00_928 = 
BINT(
(BgL_iz00_915+((long)1))); }  else 
{ 
 long BgL_iz00_4664;
BgL_iz00_4664 = 
(BgL_iz00_915+((long)2)); 
BgL_iz00_915 = BgL_iz00_4664; 
goto BgL_search1300z00_916;} } } 
{ /* Llib/rsa.scm 550 */
 bool_t BgL_test2893z00_4667;
{ /* Llib/rsa.scm 550 */
 long BgL_n1z00_2079;
{ /* Llib/rsa.scm 550 */
 obj_t BgL_tmpz00_4668;
if(
INTEGERP(BgL_index1303z00_928))
{ /* Llib/rsa.scm 550 */
BgL_tmpz00_4668 = BgL_index1303z00_928
; }  else 
{ 
 obj_t BgL_auxz00_4671;
BgL_auxz00_4671 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2493z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1303z00_928); 
FAILURE(BgL_auxz00_4671,BFALSE,BFALSE);} 
BgL_n1z00_2079 = 
(long)CINT(BgL_tmpz00_4668); } 
BgL_test2893z00_4667 = 
(BgL_n1z00_2079>=((long)0)); } 
if(BgL_test2893z00_4667)
{ /* Llib/rsa.scm 550 */
 obj_t BgL_aux2403z00_2765;
{ 
 long BgL_auxz00_4677;
{ /* Llib/rsa.scm 550 */
 obj_t BgL_tmpz00_4678;
if(
INTEGERP(BgL_index1303z00_928))
{ /* Llib/rsa.scm 550 */
BgL_tmpz00_4678 = BgL_index1303z00_928
; }  else 
{ 
 obj_t BgL_auxz00_4681;
BgL_auxz00_4681 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2493z00zz__cryptozd2rsazd2, BGl_string2432z00zz__cryptozd2rsazd2, BgL_index1303z00_928); 
FAILURE(BgL_auxz00_4681,BFALSE,BFALSE);} 
BgL_auxz00_4677 = 
(long)CINT(BgL_tmpz00_4678); } 
BgL_aux2403z00_2765 = 
VECTOR_REF(BgL_opt1297z00_99,BgL_auxz00_4677); } 
if(
SYMBOLP(BgL_aux2403z00_2765))
{ /* Llib/rsa.scm 550 */
BgL_hashzd2algozd2_919 = BgL_aux2403z00_2765; }  else 
{ 
 obj_t BgL_auxz00_4689;
BgL_auxz00_4689 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2493z00zz__cryptozd2rsazd2, BGl_string2492z00zz__cryptozd2rsazd2, BgL_aux2403z00_2765); 
FAILURE(BgL_auxz00_4689,BFALSE,BFALSE);} }  else 
{ /* Llib/rsa.scm 550 */BFALSE; } } } 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_arg2060z00_930; obj_t BgL_arg2061z00_931;
BgL_arg2060z00_930 = 
VECTOR_REF(BgL_opt1297z00_99,((long)0)); 
BgL_arg2061z00_931 = 
VECTOR_REF(BgL_opt1297z00_99,((long)1)); 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_hashzd2algozd2_932;
BgL_hashzd2algozd2_932 = BgL_hashzd2algozd2_919; 
{ /* Llib/rsa.scm 550 */
 obj_t BgL_res2252z00_2103;
{ /* Llib/rsa.scm 550 */
 BgL_rsazd2keyzd2_bglt BgL_keyz00_2080; obj_t BgL_msgz00_2081;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg2060z00_930, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 550 */
BgL_keyz00_2080 = 
((BgL_rsazd2keyzd2_bglt)BgL_arg2060z00_930); }  else 
{ 
 obj_t BgL_auxz00_4698;
BgL_auxz00_4698 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2493z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_arg2060z00_930); 
FAILURE(BgL_auxz00_4698,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2061z00_931))
{ /* Llib/rsa.scm 550 */
BgL_msgz00_2081 = BgL_arg2061z00_931; }  else 
{ 
 obj_t BgL_auxz00_4704;
BgL_auxz00_4704 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)20819)), BGl_string2493z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_arg2061z00_931); 
FAILURE(BgL_auxz00_4704,BFALSE,BFALSE);} 
{ /* Llib/rsa.scm 552 */
 long BgL_kz00_2083;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2088;
BgL_arg1333z00_2088 = 
BGl_rsazd2keyzd2bitzd2lengthzd2zz__cryptozd2rsazd2(BgL_keyz00_2080); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2251z00_2101;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2090; long BgL_rz00_2091;
BgL_qz00_2090 = 
(BgL_arg1333z00_2088/((long)8)); 
BgL_rz00_2091 = 
(BgL_arg1333z00_2088%((long)8)); 
if(
(BgL_rz00_2091==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2251z00_2101 = BgL_qz00_2090; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2091>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2251z00_2101 = 
(BgL_qz00_2090+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2251z00_2101 = 
(BgL_qz00_2090-((long)1)); } } } 
BgL_kz00_2083 = BgL_res2251z00_2101; } } 
{ /* Llib/rsa.scm 552 */
 obj_t BgL_emz00_2084;
BgL_emz00_2084 = 
BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(BgL_msgz00_2081, BgL_kz00_2083, BgL_hashzd2algozd2_932); 
{ /* Llib/rsa.scm 556 */
 obj_t BgL_mz00_2085;
BgL_mz00_2085 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_2084); 
{ /* Llib/rsa.scm 557 */
 obj_t BgL_sz00_2086;
BgL_sz00_2086 = 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_keyz00_2080, BgL_mz00_2085); 
{ /* Llib/rsa.scm 558 */

BgL_res2252z00_2103 = BgL_sz00_2086; } } } } } } 
return BgL_res2252z00_2103;} } } } } } } } 

}



/* RSASSA-PKCS1-v1.5-sign-bignum */
BGL_EXPORTED_DEF obj_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2signzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_96, obj_t BgL_msgz00_97, obj_t BgL_hashzd2algozd2_98)
{
{ /* Llib/rsa.scm 550 */
{ /* Llib/rsa.scm 552 */
 long BgL_kz00_2104;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2109;
BgL_arg1333z00_2109 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_96))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2253z00_2125;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2114; long BgL_rz00_2115;
BgL_qz00_2114 = 
(BgL_arg1333z00_2109/((long)8)); 
BgL_rz00_2115 = 
(BgL_arg1333z00_2109%((long)8)); 
if(
(BgL_rz00_2115==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2253z00_2125 = BgL_qz00_2114; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2115>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2253z00_2125 = 
(BgL_qz00_2114+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2253z00_2125 = 
(BgL_qz00_2114-((long)1)); } } } 
BgL_kz00_2104 = BgL_res2253z00_2125; } } 
{ /* Llib/rsa.scm 552 */
 obj_t BgL_emz00_2105;
BgL_emz00_2105 = 
BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(BgL_msgz00_97, BgL_kz00_2104, BgL_hashzd2algozd2_98); 
{ /* Llib/rsa.scm 556 */
 obj_t BgL_mz00_2106;
BgL_mz00_2106 = 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_emz00_2105); 
{ /* Llib/rsa.scm 557 */
 obj_t BgL_sz00_2107;
BgL_sz00_2107 = 
BGl_RSASP1z00zz__cryptozd2rsazd2(BgL_keyz00_96, BgL_mz00_2106); 
{ /* Llib/rsa.scm 558 */

return BgL_sz00_2107;} } } } } } 

}



/* RSASSA-PKCS1-v1.5-verify */
BGL_EXPORTED_DEF bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyz30zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_101, obj_t BgL_msgz00_102, obj_t BgL_sz00_103)
{
{ /* Llib/rsa.scm 561 */
{ /* Llib/rsa.scm 562 */
 long BgL_sigzd2lenzd2_2127; long BgL_kz00_2128;
BgL_sigzd2lenzd2_2127 = 
STRING_LENGTH(BgL_sz00_103); 
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2133;
BgL_arg1333z00_2133 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_101))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2254z00_2149;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2138; long BgL_rz00_2139;
BgL_qz00_2138 = 
(BgL_arg1333z00_2133/((long)8)); 
BgL_rz00_2139 = 
(BgL_arg1333z00_2133%((long)8)); 
if(
(BgL_rz00_2139==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2254z00_2149 = BgL_qz00_2138; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2139>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2254z00_2149 = 
(BgL_qz00_2138+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2254z00_2149 = 
(BgL_qz00_2138-((long)1)); } } } 
BgL_kz00_2128 = BgL_res2254z00_2149; } } 
if(
(BgL_sigzd2lenzd2_2127==BgL_kz00_2128))
{ /* Llib/rsa.scm 564 */
return 
BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_keyz00_101, BgL_msgz00_102, 
BGl_binzd2strzd2ze3bignumze3zz__cryptozd2utilzd2(BgL_sz00_103));}  else 
{ /* Llib/rsa.scm 564 */
return ((bool_t)0);} } } 

}



/* &RSASSA-PKCS1-v1.5-verify */
obj_t BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyz52zz__cryptozd2rsazd2(obj_t BgL_envz00_2457, obj_t BgL_keyz00_2458, obj_t BgL_msgz00_2459, obj_t BgL_sz00_2460)
{
{ /* Llib/rsa.scm 561 */
{ /* Llib/rsa.scm 562 */
 bool_t BgL_tmpz00_4748;
{ /* Llib/rsa.scm 562 */
 obj_t BgL_auxz00_4764; obj_t BgL_auxz00_4757; BgL_rsazd2keyzd2_bglt BgL_auxz00_4749;
if(
STRINGP(BgL_sz00_2460))
{ /* Llib/rsa.scm 562 */
BgL_auxz00_4764 = BgL_sz00_2460
; }  else 
{ 
 obj_t BgL_auxz00_4767;
BgL_auxz00_4767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)21301)), BGl_string2494z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_sz00_2460); 
FAILURE(BgL_auxz00_4767,BFALSE,BFALSE);} 
if(
STRINGP(BgL_msgz00_2459))
{ /* Llib/rsa.scm 562 */
BgL_auxz00_4757 = BgL_msgz00_2459
; }  else 
{ 
 obj_t BgL_auxz00_4760;
BgL_auxz00_4760 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)21301)), BGl_string2494z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_msgz00_2459); 
FAILURE(BgL_auxz00_4760,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2458, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 562 */
BgL_auxz00_4749 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2458)
; }  else 
{ 
 obj_t BgL_auxz00_4753;
BgL_auxz00_4753 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)21301)), BGl_string2494z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_keyz00_2458); 
FAILURE(BgL_auxz00_4753,BFALSE,BFALSE);} 
BgL_tmpz00_4748 = 
BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyz30zz__cryptozd2rsazd2(BgL_auxz00_4749, BgL_auxz00_4757, BgL_auxz00_4764); } 
return 
BBOOL(BgL_tmpz00_4748);} } 

}



/* RSASSA-PKCS1-v1.5-verify-bignum */
BGL_EXPORTED_DEF bool_t BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_rsazd2keyzd2_bglt BgL_keyz00_104, obj_t BgL_msgz00_105, obj_t BgL_sz00_106)
{
{ /* Llib/rsa.scm 570 */
{ /* Llib/rsa.scm 572 */
struct bgl_cell BgL_box2909_2562z00; 
 obj_t BgL_interceptzd2errorzf3z21_2562;
BgL_interceptzd2errorzf3z21_2562 = 
MAKE_CELL_STACK(BFALSE,BgL_box2909_2562z00); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_env1194z00_951;
BgL_env1194z00_951 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_cell1189z00_952;
BgL_cell1189z00_952 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_val1193z00_953;
BgL_val1193z00_953 = 
BGl_zc3z04exitza32071ze3ze70z60zz__cryptozd2rsazd2(BgL_msgz00_105, BgL_interceptzd2errorzf3z21_2562, BgL_sz00_106, BgL_keyz00_104, BgL_cell1189z00_952, BgL_env1194z00_951); 
if(
(BgL_val1193z00_953==BgL_cell1189z00_952))
{ /* Llib/rsa.scm 573 */
{ /* Llib/rsa.scm 573 */
 int BgL_tmpz00_4778;
BgL_tmpz00_4778 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_4778); } 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg2070z00_955;
BgL_arg2070z00_955 = 
CELL_REF(
((obj_t)BgL_val1193z00_953)); 
if(
CBOOL(
CELL_REF(BgL_interceptzd2errorzf3z21_2562)))
{ /* Llib/rsa.scm 575 */
return ((bool_t)0);}  else 
{ /* Llib/rsa.scm 575 */
return 
CBOOL(
BGl_raisez00zz__errorz00(BgL_arg2070z00_955));} } }  else 
{ /* Llib/rsa.scm 573 */
return 
CBOOL(BgL_val1193z00_953);} } } } } } 

}



/* <@exit:2071>~0 */
obj_t BGl_zc3z04exitza32071ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_msgz00_2560, obj_t BgL_interceptzd2errorzf3z21_2559, obj_t BgL_sz00_2558, BgL_rsazd2keyzd2_bglt BgL_keyz00_2557, obj_t BgL_cell1189z00_2556, obj_t BgL_env1194z00_2555)
{
{ /* Llib/rsa.scm 573 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1198z00_957;
if( SET_EXIT(BgL_an_exit1198z00_957 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1198z00_957 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1194z00_2555, BgL_an_exit1198z00_957, ((long)1)); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_escape1190z00_958;
BgL_escape1190z00_958 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1194z00_2555); 
{ /* Llib/rsa.scm 573 */
 bool_t BgL_res1201z00_959;
{ /* Llib/rsa.scm 573 */
 obj_t BgL_ohs1186z00_960;
BgL_ohs1186z00_960 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1194z00_2555); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_hds1187z00_961;
BgL_hds1187z00_961 = 
MAKE_STACK_PAIR(BgL_escape1190z00_958, BgL_cell1189z00_2556); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1194z00_2555, BgL_hds1187z00_961); BUNSPEC; 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_exitd1195z00_962;
BgL_exitd1195z00_962 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1194z00_2555); 
{ /* Llib/rsa.scm 573 */
 obj_t BgL_tmp1197z00_963;
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg2072z00_971;
BgL_arg2072z00_971 = 
BGL_EXITD_PROTECT(BgL_exitd1195z00_962); 
BgL_tmp1197z00_963 = 
MAKE_YOUNG_PAIR(BgL_ohs1186z00_960, BgL_arg2072z00_971); } 
{ /* Llib/rsa.scm 573 */

BGL_EXITD_PROTECT_SET(BgL_exitd1195z00_962, BgL_tmp1197z00_963); BUNSPEC; 
{ /* Llib/rsa.scm 578 */
 bool_t BgL_tmp1196z00_964;
{ /* Llib/rsa.scm 578 */
 long BgL_kz00_965;
{ /* Llib/rsa.scm 77 */
 long BgL_arg1333z00_2154;
BgL_arg1333z00_2154 = 
BGl_bignumzd2bitzd2lengthz00zz__cryptozd2utilzd2(
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_keyz00_2557))->BgL_modulusz00)); 
{ /* Llib/rsa.scm 77 */
 long BgL_res2255z00_2170;
{ /* Llib/rsa.scm 77 */
 long BgL_qz00_2159; long BgL_rz00_2160;
BgL_qz00_2159 = 
(BgL_arg1333z00_2154/((long)8)); 
BgL_rz00_2160 = 
(BgL_arg1333z00_2154%((long)8)); 
if(
(BgL_rz00_2160==((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2255z00_2170 = BgL_qz00_2159; }  else 
{ /* Llib/rsa.scm 77 */
if(
(BgL_rz00_2160>((long)0)))
{ /* Llib/rsa.scm 77 */
BgL_res2255z00_2170 = 
(BgL_qz00_2159+((long)1)); }  else 
{ /* Llib/rsa.scm 77 */
BgL_res2255z00_2170 = 
(BgL_qz00_2159-((long)1)); } } } 
BgL_kz00_965 = BgL_res2255z00_2170; } } 
{ /* Llib/rsa.scm 579 */
 obj_t BgL_mz00_966;
BgL_mz00_966 = 
BGl_RSAVP1z00zz__cryptozd2rsazd2(BgL_keyz00_2557, BgL_sz00_2558); 
{ /* Llib/rsa.scm 579 */
 obj_t BgL_emz00_967;
BgL_emz00_967 = 
BGl_bignumzd2ze3binzd2strze3zz__cryptozd2utilzd2(BgL_mz00_966, BgL_kz00_965); 
{ /* Llib/rsa.scm 580 */
 obj_t BgL_hashzd2algozd2_968;
BgL_hashzd2algozd2_968 = 
BGl_DERzd2prefixzd2ze3hashzd2algoz31zz__cryptozd2rsazd2(
BGl_PKCS1zd2v1ze25zd2unpadze2zz__cryptozd2rsazd2(BgL_emz00_967, ((long)1))); 
{ /* Llib/rsa.scm 581 */
 obj_t BgL_dummyz00_969;
{ /* Llib/rsa.scm 582 */
 obj_t BgL_auxz00_2561;
BgL_auxz00_2561 = BFALSE; 
BgL_dummyz00_969 = 
CELL_SET(BgL_interceptzd2errorzf3z21_2559, BgL_auxz00_2561); } 
{ /* Llib/rsa.scm 582 */
 obj_t BgL_em_primz00_970;
BgL_em_primz00_970 = 
BGl_EMSAzd2PKCS1zd2v1ze25zd2encodez30zz__cryptozd2rsazd2(BgL_msgz00_2560, BgL_kz00_965, BgL_hashzd2algozd2_968); 
{ /* Llib/rsa.scm 584 */

{ /* Llib/rsa.scm 585 */
 long BgL_l1z00_2177;
BgL_l1z00_2177 = 
STRING_LENGTH(BgL_emz00_967); 
if(
(BgL_l1z00_2177==
STRING_LENGTH(BgL_em_primz00_970)))
{ /* Llib/rsa.scm 585 */
 int BgL_arg1289z00_2180;
{ /* Llib/rsa.scm 585 */
 char * BgL_auxz00_4820; char * BgL_tmpz00_4818;
BgL_auxz00_4820 = 
BSTRING_TO_STRING(BgL_em_primz00_970); 
BgL_tmpz00_4818 = 
BSTRING_TO_STRING(BgL_emz00_967); 
BgL_arg1289z00_2180 = 
memcmp(BgL_tmpz00_4818, BgL_auxz00_4820, BgL_l1z00_2177); } 
BgL_tmp1196z00_964 = 
(
(long)(BgL_arg1289z00_2180)==((long)0)); }  else 
{ /* Llib/rsa.scm 585 */
BgL_tmp1196z00_964 = ((bool_t)0); } } } } } } } } } 
{ /* Llib/rsa.scm 573 */
 bool_t BgL_test2915z00_4825;
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg1808z00_2187;
BgL_arg1808z00_2187 = 
BGL_EXITD_PROTECT(BgL_exitd1195z00_962); 
BgL_test2915z00_4825 = 
PAIRP(BgL_arg1808z00_2187); } 
if(BgL_test2915z00_4825)
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg1806z00_2188;
{ /* Llib/rsa.scm 573 */
 obj_t BgL_arg1807z00_2189;
BgL_arg1807z00_2189 = 
BGL_EXITD_PROTECT(BgL_exitd1195z00_962); 
BgL_arg1806z00_2188 = 
CDR(
((obj_t)BgL_arg1807z00_2189)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1195z00_962, BgL_arg1806z00_2188); BUNSPEC; }  else 
{ /* Llib/rsa.scm 573 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1194z00_2555, BgL_ohs1186z00_960); BUNSPEC; 
BgL_res1201z00_959 = BgL_tmp1196z00_964; } } } } } } 
POP_ENV_EXIT(BgL_env1194z00_2555); 
return 
BBOOL(BgL_res1201z00_959);} } 
}} 

}



/* &RSASSA-PKCS1-v1.5-verify-bignum */
obj_t BGl_z62RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumz80zz__cryptozd2rsazd2(obj_t BgL_envz00_2461, obj_t BgL_keyz00_2462, obj_t BgL_msgz00_2463, obj_t BgL_sz00_2464)
{
{ /* Llib/rsa.scm 570 */
{ /* Llib/rsa.scm 572 */
 bool_t BgL_tmpz00_4835;
{ /* Llib/rsa.scm 572 */
 obj_t BgL_auxz00_4851; obj_t BgL_auxz00_4844; BgL_rsazd2keyzd2_bglt BgL_auxz00_4836;
if(
BIGNUMP(BgL_sz00_2464))
{ /* Llib/rsa.scm 572 */
BgL_auxz00_4851 = BgL_sz00_2464
; }  else 
{ 
 obj_t BgL_auxz00_4854;
BgL_auxz00_4854 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)21682)), BGl_string2495z00zz__cryptozd2rsazd2, BGl_string2439z00zz__cryptozd2rsazd2, BgL_sz00_2464); 
FAILURE(BgL_auxz00_4854,BFALSE,BFALSE);} 
if(
STRINGP(BgL_msgz00_2463))
{ /* Llib/rsa.scm 572 */
BgL_auxz00_4844 = BgL_msgz00_2463
; }  else 
{ 
 obj_t BgL_auxz00_4847;
BgL_auxz00_4847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)21682)), BGl_string2495z00zz__cryptozd2rsazd2, BGl_string2441z00zz__cryptozd2rsazd2, BgL_msgz00_2463); 
FAILURE(BgL_auxz00_4847,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_keyz00_2462, BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2))
{ /* Llib/rsa.scm 572 */
BgL_auxz00_4836 = 
((BgL_rsazd2keyzd2_bglt)BgL_keyz00_2462)
; }  else 
{ 
 obj_t BgL_auxz00_4840;
BgL_auxz00_4840 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2427z00zz__cryptozd2rsazd2, 
BINT(((long)21682)), BGl_string2495z00zz__cryptozd2rsazd2, BGl_string2429z00zz__cryptozd2rsazd2, BgL_keyz00_2462); 
FAILURE(BgL_auxz00_4840,BFALSE,BFALSE);} 
BgL_tmpz00_4835 = 
BGl_RSASSAzd2PKCS1zd2v1ze25zd2verifyzd2bignumze2zz__cryptozd2rsazd2(BgL_auxz00_4836, BgL_auxz00_4844, BgL_auxz00_4851); } 
return 
BBOOL(BgL_tmpz00_4835);} } 

}



/* left-most-bits-char-mask */
unsigned char BGl_leftzd2mostzd2bitszd2charzd2maskz00zz__cryptozd2rsazd2(long BgL_nz00_107)
{
{ /* Llib/rsa.scm 587 */
switch( BgL_nz00_107) { case ((long)1) : 

return 
(char)(((unsigned char)128));break;case ((long)2) : 

return 
(char)(((unsigned char)192));break;case ((long)3) : 

return 
(char)(((unsigned char)224));break;case ((long)4) : 

return 
(char)(((unsigned char)240));break;case ((long)5) : 

return 
(char)(((unsigned char)248));break;case ((long)6) : 

return 
(char)(((unsigned char)252));break;case ((long)7) : 

return 
(char)(((unsigned char)254));break;case ((long)8) : 

return 
(char)(((unsigned char)255));break;
default: 
return 
CCHAR(
BGl_errorz00zz__errorz00(BGl_string2496z00zz__cryptozd2rsazd2, BGl_string2497z00zz__cryptozd2rsazd2, 
BINT(BgL_nz00_107)));} } 

}



/* search1307~0 */
obj_t BGl_search1307ze70ze7zz__cryptozd2rsazd2(obj_t BgL_l1306z00_2554, obj_t BgL_opt1304z00_2553, obj_t BgL_k1z00_979, obj_t BgL_iz00_980)
{
{ /* Llib/rsa.scm 599 */
BGl_search1307ze70ze7zz__cryptozd2rsazd2:
if(
(
(long)CINT(BgL_iz00_980)==
(long)CINT(BgL_l1306z00_2554)))
{ /* Llib/rsa.scm 599 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 599 */
if(
(
(long)CINT(BgL_iz00_980)==
(long)CINT(
SUBFX(BgL_l1306z00_2554, 
BINT(((long)1))))))
{ /* Llib/rsa.scm 599 */
 obj_t BgL_arg2089z00_1009;
BgL_arg2089z00_1009 = 
BINT(
VECTOR_LENGTH(BgL_opt1304z00_2553)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)46)), BGl_string2448z00zz__cryptozd2rsazd2, BgL_arg2089z00_1009);}  else 
{ /* Llib/rsa.scm 599 */
 obj_t BgL_vz00_1010;
BgL_vz00_1010 = 
VECTOR_REF(BgL_opt1304z00_2553,
(long)CINT(BgL_iz00_980)); 
if(
(BgL_vz00_1010==BgL_k1z00_979))
{ /* Llib/rsa.scm 599 */
return 
ADDFX(BgL_iz00_980, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_4893;
BgL_iz00_4893 = 
ADDFX(BgL_iz00_980, 
BINT(((long)2))); 
BgL_iz00_980 = BgL_iz00_4893; 
goto BGl_search1307ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* EMSA-PSS-encode */
obj_t BGl_EMSAzd2PSSzd2encodez00zz__cryptozd2rsazd2(obj_t BgL_mz00_108, long BgL_emzd2bitszd2_109, obj_t BgL_hashzd2funzd2_110, obj_t BgL_maskzd2funzd2_111, long BgL_saltzd2lenzd2_112)
{
{ /* Llib/rsa.scm 599 */
{ /* Llib/rsa.scm 629 */
 obj_t BgL_mzd2hashzd2_1014;
BgL_mzd2hashzd2_1014 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_110)(BgL_hashzd2funzd2_110, BgL_mz00_108, BEOA); 
{ /* Llib/rsa.scm 629 */
 long BgL_hzd2lenzd2_1015;
BgL_hzd2lenzd2_1015 = 
STRING_LENGTH(
((obj_t)BgL_mzd2hashzd2_1014)); 
{ /* Llib/rsa.scm 630 */
 long BgL_emzd2lenzd2_1016;
{ /* Llib/rsa.scm 631 */
 long BgL_res2256z00_2223;
{ /* Llib/rsa.scm 631 */
 long BgL_qz00_2212; long BgL_rz00_2213;
BgL_qz00_2212 = 
(BgL_emzd2bitszd2_109/((long)8)); 
BgL_rz00_2213 = 
(BgL_emzd2bitszd2_109%((long)8)); 
if(
(BgL_rz00_2213==((long)0)))
{ /* Llib/rsa.scm 631 */
BgL_res2256z00_2223 = BgL_qz00_2212; }  else 
{ /* Llib/rsa.scm 631 */
if(
(BgL_rz00_2213>((long)0)))
{ /* Llib/rsa.scm 631 */
BgL_res2256z00_2223 = 
(BgL_qz00_2212+((long)1)); }  else 
{ /* Llib/rsa.scm 631 */
BgL_res2256z00_2223 = 
(BgL_qz00_2212-((long)1)); } } } 
BgL_emzd2lenzd2_1016 = BgL_res2256z00_2223; } 
{ /* Llib/rsa.scm 631 */

if(
(BgL_emzd2lenzd2_1016<
(BgL_hzd2lenzd2_1015+
(BgL_saltzd2lenzd2_112+((long)2)))))
{ /* Llib/rsa.scm 632 */
BGl_errorz00zz__errorz00(BGl_string2498z00zz__cryptozd2rsazd2, BGl_string2499z00zz__cryptozd2rsazd2, 
BINT(BgL_emzd2lenzd2_1016)); }  else 
{ /* Llib/rsa.scm 632 */BFALSE; } 
{ /* Llib/rsa.scm 634 */
 obj_t BgL_saltz00_1022;
BgL_saltz00_1022 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(BgL_saltzd2lenzd2_112, BFALSE); 
{ /* Llib/rsa.scm 634 */
 obj_t BgL_mprimz00_1023;
BgL_mprimz00_1023 = 
string_append_3(BGl_string2500z00zz__cryptozd2rsazd2, BgL_mzd2hashzd2_1014, BgL_saltz00_1022); 
{ /* Llib/rsa.scm 635 */
 obj_t BgL_hz00_1024;
BgL_hz00_1024 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_110)(BgL_hashzd2funzd2_110, BgL_mprimz00_1023, BEOA); 
{ /* Llib/rsa.scm 638 */
 long BgL_pszd2lenzd2_1025;
BgL_pszd2lenzd2_1025 = 
(BgL_emzd2lenzd2_1016-
(BgL_saltzd2lenzd2_112+
(BgL_hzd2lenzd2_1015+((long)2)))); 
{ /* Llib/rsa.scm 639 */
 long BgL_dbzd2lenzd2_1026;
BgL_dbzd2lenzd2_1026 = 
(BgL_emzd2lenzd2_1016-
(BgL_hzd2lenzd2_1015+((long)1))); 
{ /* Llib/rsa.scm 640 */
 obj_t BgL_dbz00_1027;
BgL_dbz00_1027 = 
make_string(BgL_dbzd2lenzd2_1026, ((unsigned char)'\000')); 
{ /* Llib/rsa.scm 641 */

STRING_SET(BgL_dbz00_1027, BgL_pszd2lenzd2_1025, ((unsigned char)1)); 
{ /* Llib/rsa.scm 645 */
 long BgL_arg2098z00_1028;
BgL_arg2098z00_1028 = 
(BgL_pszd2lenzd2_1025+((long)1)); 
blit_string(
((obj_t)BgL_saltz00_1022), ((long)0), BgL_dbz00_1027, BgL_arg2098z00_1028, BgL_saltzd2lenzd2_112); } 
{ /* Llib/rsa.scm 646 */
 obj_t BgL_dbzd2maskzd2_1029;
{ /* Llib/rsa.scm 646 */
 long BgL_arg2104z00_1040;
BgL_arg2104z00_1040 = 
(BgL_emzd2lenzd2_1016-
(BgL_hzd2lenzd2_1015+((long)1))); 
BgL_dbzd2maskzd2_1029 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_111)(BgL_maskzd2funzd2_111, BgL_hz00_1024, 
BINT(BgL_arg2104z00_1040), BEOA); } 
{ /* Llib/rsa.scm 646 */
 obj_t BgL_maskedzd2dbzd2_1030;
BgL_maskedzd2dbzd2_1030 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_dbz00_1027, BgL_dbzd2maskzd2_1029); 
{ /* Llib/rsa.scm 647 */
 long BgL_nbzd2bitszd2tozd2clearzd2_1031;
BgL_nbzd2bitszd2tozd2clearzd2_1031 = 
(
(((long)8)*BgL_emzd2lenzd2_1016)-BgL_emzd2bitszd2_109); 
{ /* Llib/rsa.scm 648 */
 unsigned char BgL_bitzd2maskzd2_1032;
{ /* Llib/rsa.scm 649 */
 unsigned char BgL_arg2102z00_1038;
BgL_arg2102z00_1038 = 
BGl_leftzd2mostzd2bitszd2charzd2maskz00zz__cryptozd2rsazd2(BgL_nbzd2bitszd2tozd2clearzd2_1031); 
BgL_bitzd2maskzd2_1032 = 
~(
(unsigned char)(BgL_arg2102z00_1038)); } 
{ /* Llib/rsa.scm 649 */
 unsigned char BgL_leftzd2mostzd2octetz00_1033;
BgL_leftzd2mostzd2octetz00_1033 = 
STRING_REF(BgL_maskedzd2dbzd2_1030, ((long)0)); 
{ /* Llib/rsa.scm 651 */

{ /* Llib/rsa.scm 653 */
 unsigned char BgL_tmpz00_4947;
BgL_tmpz00_4947 = 
(BgL_bitzd2maskzd2_1032&BgL_leftzd2mostzd2octetz00_1033); 
STRING_SET(BgL_maskedzd2dbzd2_1030, ((long)0), BgL_tmpz00_4947); } 
{ /* Llib/rsa.scm 654 */
 obj_t BgL_tmpz00_1035;
BgL_tmpz00_1035 = 
string_append_3(BgL_maskedzd2dbzd2_1030, BgL_hz00_1024, BGl_string2501z00zz__cryptozd2rsazd2); 
{ /* Llib/rsa.scm 655 */
 long BgL_tmpz00_4951;
BgL_tmpz00_4951 = 
(
STRING_LENGTH(BgL_tmpz00_1035)-((long)1)); 
STRING_SET(BgL_tmpz00_1035, BgL_tmpz00_4951, ((unsigned char)188)); } 
return BgL_tmpz00_1035;} } } } } } } } } } } } } } } } } } } 

}



/* search1316~0 */
obj_t BGl_search1316ze70ze7zz__cryptozd2rsazd2(obj_t BgL_l1315z00_2552, obj_t BgL_opt1313z00_2551, obj_t BgL_k1z00_1047, obj_t BgL_iz00_1048)
{
{ /* Llib/rsa.scm 658 */
BGl_search1316ze70ze7zz__cryptozd2rsazd2:
if(
(
(long)CINT(BgL_iz00_1048)==
(long)CINT(BgL_l1315z00_2552)))
{ /* Llib/rsa.scm 658 */
return 
BINT(((long)-1));}  else 
{ /* Llib/rsa.scm 658 */
if(
(
(long)CINT(BgL_iz00_1048)==
(long)CINT(
SUBFX(BgL_l1315z00_2552, 
BINT(((long)1))))))
{ /* Llib/rsa.scm 658 */
 obj_t BgL_arg2124z00_1079;
BgL_arg2124z00_1079 = 
BINT(
VECTOR_LENGTH(BgL_opt1313z00_2551)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)48)), BGl_string2502z00zz__cryptozd2rsazd2, BgL_arg2124z00_1079);}  else 
{ /* Llib/rsa.scm 658 */
 obj_t BgL_vz00_1080;
BgL_vz00_1080 = 
VECTOR_REF(BgL_opt1313z00_2551,
(long)CINT(BgL_iz00_1048)); 
if(
(BgL_vz00_1080==BgL_k1z00_1047))
{ /* Llib/rsa.scm 658 */
return 
ADDFX(BgL_iz00_1048, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_4976;
BgL_iz00_4976 = 
ADDFX(BgL_iz00_1048, 
BINT(((long)2))); 
BgL_iz00_1048 = BgL_iz00_4976; 
goto BGl_search1316ze70ze7zz__cryptozd2rsazd2;} } } } 

}



/* EMSA-PSS-verify */
bool_t BGl_EMSAzd2PSSzd2verifyz00zz__cryptozd2rsazd2(obj_t BgL_msgz00_115, obj_t BgL_emz00_116, long BgL_emzd2bitszd2_117, obj_t BgL_hashzd2funzd2_118, obj_t BgL_maskzd2funzd2_119, long BgL_saltzd2lenzd2_120)
{
{ /* Llib/rsa.scm 658 */
return 
CBOOL(
BGl_zc3z04exitza32128ze3ze70z60zz__cryptozd2rsazd2(BgL_maskzd2funzd2_119, BgL_emzd2bitszd2_117, BgL_saltzd2lenzd2_120, BgL_emz00_116, BgL_msgz00_115, BgL_hashzd2funzd2_118));} 

}



/* <@exit:2128>~0 */
obj_t BGl_zc3z04exitza32128ze3ze70z60zz__cryptozd2rsazd2(obj_t BgL_maskzd2funzd2_2550, long BgL_emzd2bitszd2_2549, long BgL_saltzd2lenzd2_2548, obj_t BgL_emz00_2547, obj_t BgL_msgz00_2546, obj_t BgL_hashzd2funzd2_2545)
{
{ /* Llib/rsa.scm 662 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1208z00_1085;
if( SET_EXIT(BgL_an_exit1208z00_1085 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1208z00_1085 = 
(void *)jmpbuf; 
{ /* Llib/rsa.scm 662 */
 obj_t BgL_env1212z00_1086;
BgL_env1212z00_1086 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1212z00_1086, BgL_an_exit1208z00_1085, ((long)1)); 
{ /* Llib/rsa.scm 662 */
 obj_t BgL_an_exitd1209z00_1087;
BgL_an_exitd1209z00_1087 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1212z00_1086); 
{ /* Llib/rsa.scm 662 */
 bool_t BgL_res1211z00_1090;
{ /* Llib/rsa.scm 664 */
 obj_t BgL_mzd2hashzd2_1091;
BgL_mzd2hashzd2_1091 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_2545)(BgL_hashzd2funzd2_2545, BgL_msgz00_2546, BEOA); 
{ /* Llib/rsa.scm 664 */
 long BgL_hzd2lenzd2_1092;
BgL_hzd2lenzd2_1092 = 
STRING_LENGTH(
((obj_t)BgL_mzd2hashzd2_1091)); 
{ /* Llib/rsa.scm 665 */
 long BgL_emzd2lenzd2_1093;
BgL_emzd2lenzd2_1093 = 
STRING_LENGTH(BgL_emz00_2547); 
{ /* Llib/rsa.scm 666 */

if(
(BgL_emzd2lenzd2_1093<
(BgL_hzd2lenzd2_1092+
(BgL_saltzd2lenzd2_2548+((long)2)))))
{ /* Llib/rsa.scm 667 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); }  else 
{ /* Llib/rsa.scm 667 */BFALSE; } 
if(
(
STRING_REF(BgL_emz00_2547, 
(BgL_emzd2lenzd2_1093-((long)1)))==((unsigned char)188)))
{ /* Llib/rsa.scm 668 */BFALSE; }  else 
{ /* Llib/rsa.scm 668 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); } 
{ /* Llib/rsa.scm 670 */
 long BgL_dbzd2lenzd2_1104;
BgL_dbzd2lenzd2_1104 = 
(BgL_emzd2lenzd2_1093-
(BgL_hzd2lenzd2_1092+((long)1))); 
{ /* Llib/rsa.scm 670 */
 obj_t BgL_maskedzd2dbzd2_1105;
BgL_maskedzd2dbzd2_1105 = 
c_substring(BgL_emz00_2547, ((long)0), BgL_dbzd2lenzd2_1104); 
{ /* Llib/rsa.scm 671 */
 obj_t BgL_hz00_1106;
BgL_hz00_1106 = 
c_substring(BgL_emz00_2547, BgL_dbzd2lenzd2_1104, 
(BgL_dbzd2lenzd2_1104+BgL_hzd2lenzd2_1092)); 
{ /* Llib/rsa.scm 672 */
 long BgL_nbzd2clearedzd2bitsz00_1107;
BgL_nbzd2clearedzd2bitsz00_1107 = 
(
(((long)8)*BgL_emzd2lenzd2_1093)-BgL_emzd2bitszd2_2549); 
{ /* Llib/rsa.scm 673 */
 unsigned char BgL_bitzd2maskzd2_1108;
BgL_bitzd2maskzd2_1108 = 
BGl_leftzd2mostzd2bitszd2charzd2maskz00zz__cryptozd2rsazd2(BgL_nbzd2clearedzd2bitsz00_1107); 
{ /* Llib/rsa.scm 674 */
 unsigned char BgL_leftzd2mostzd2octetz00_1109;
BgL_leftzd2mostzd2octetz00_1109 = 
STRING_REF(BgL_maskedzd2dbzd2_1105, ((long)0)); 
{ /* Llib/rsa.scm 675 */

if(
(
(BgL_leftzd2mostzd2octetz00_1109&
(unsigned char)(BgL_bitzd2maskzd2_1108))==((unsigned char)'\000')))
{ /* Llib/rsa.scm 676 */BFALSE; }  else 
{ /* Llib/rsa.scm 676 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); } 
{ /* Llib/rsa.scm 678 */
 obj_t BgL_dbzd2maskzd2_1113;
BgL_dbzd2maskzd2_1113 = 
PROCEDURE_ENTRY(BgL_maskzd2funzd2_2550)(BgL_maskzd2funzd2_2550, BgL_hz00_1106, 
BINT(BgL_dbzd2lenzd2_1104), BEOA); 
{ /* Llib/rsa.scm 678 */
 obj_t BgL_dbz00_1114;
BgL_dbz00_1114 = 
BGl_stringzd2xorzd2zz__cryptozd2utilzd2(BgL_maskedzd2dbzd2_1105, BgL_dbzd2maskzd2_1113); 
{ /* Llib/rsa.scm 679 */
 unsigned char BgL_dbzd2leftzd2mostzd2octetzd2_1115;
BgL_dbzd2leftzd2mostzd2octetzd2_1115 = 
STRING_REF(BgL_dbz00_1114, ((long)0)); 
{ /* Llib/rsa.scm 680 */
 unsigned char BgL_dbzd2bitzd2maskz00_1116;
BgL_dbzd2bitzd2maskz00_1116 = 
~(
(unsigned char)(BgL_bitzd2maskzd2_1108)); 
{ /* Llib/rsa.scm 681 */
 long BgL_pszd2lenzd2_1117;
BgL_pszd2lenzd2_1117 = 
(BgL_emzd2lenzd2_1093-
(BgL_hzd2lenzd2_1092+
(BgL_saltzd2lenzd2_2548+((long)2)))); 
{ /* Llib/rsa.scm 682 */

{ /* Llib/rsa.scm 683 */
 unsigned char BgL_tmpz00_5030;
BgL_tmpz00_5030 = 
(BgL_dbzd2bitzd2maskz00_1116&BgL_dbzd2leftzd2mostzd2octetzd2_1115); 
STRING_SET(BgL_dbz00_1114, ((long)0), BgL_tmpz00_5030); } 
{ /* Llib/rsa.scm 684 */
 long BgL_g1207z00_1119;
BgL_g1207z00_1119 = 
(BgL_pszd2lenzd2_1117-((long)1)); 
{ 
 long BgL_iz00_1121;
BgL_iz00_1121 = BgL_g1207z00_1119; 
BgL_zc3z04anonymousza32143ze3z87_1122:
if(
(BgL_iz00_1121<((long)0)))
{ /* Llib/rsa.scm 686 */
CNST_TABLE_REF(((long)49)); }  else 
{ /* Llib/rsa.scm 686 */
if(
(((unsigned char)'\000')==
STRING_REF(BgL_dbz00_1114, BgL_iz00_1121)))
{ 
 long BgL_iz00_5040;
BgL_iz00_5040 = 
(BgL_iz00_1121-((long)1)); 
BgL_iz00_1121 = BgL_iz00_5040; 
goto BgL_zc3z04anonymousza32143ze3z87_1122;}  else 
{ /* Llib/rsa.scm 687 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); } } } } 
if(
(((unsigned char)1)==
STRING_REF(BgL_dbz00_1114, BgL_pszd2lenzd2_1117)))
{ /* Llib/rsa.scm 689 */BFALSE; }  else 
{ /* Llib/rsa.scm 689 */
unwind_stack_until(BgL_an_exitd1209z00_1087, BFALSE, BFALSE, BFALSE, BFALSE); } 
{ /* Llib/rsa.scm 691 */
 obj_t BgL_saltz00_1132;
BgL_saltz00_1132 = 
c_substring(BgL_dbz00_1114, 
(BgL_dbzd2lenzd2_1104-BgL_saltzd2lenzd2_2548), BgL_dbzd2lenzd2_1104); 
{ /* Llib/rsa.scm 691 */
 obj_t BgL_mprimz00_1133;
BgL_mprimz00_1133 = 
string_append_3(BGl_string2500z00zz__cryptozd2rsazd2, BgL_mzd2hashzd2_1091, BgL_saltz00_1132); 
{ /* Llib/rsa.scm 692 */
 obj_t BgL_hprimz00_1134;
BgL_hprimz00_1134 = 
PROCEDURE_ENTRY(BgL_hashzd2funzd2_2545)(BgL_hashzd2funzd2_2545, BgL_mprimz00_1133, BEOA); 
{ /* Llib/rsa.scm 695 */

{ /* Llib/rsa.scm 696 */
 long BgL_l1z00_2340;
BgL_l1z00_2340 = 
STRING_LENGTH(
((obj_t)BgL_hprimz00_1134)); 
if(
(BgL_l1z00_2340==
STRING_LENGTH(BgL_hz00_1106)))
{ /* Llib/rsa.scm 696 */
 int BgL_arg1289z00_2343;
{ /* Llib/rsa.scm 696 */
 char * BgL_auxz00_5062; char * BgL_tmpz00_5059;
BgL_auxz00_5062 = 
BSTRING_TO_STRING(BgL_hz00_1106); 
BgL_tmpz00_5059 = 
BSTRING_TO_STRING(
((obj_t)BgL_hprimz00_1134)); 
BgL_arg1289z00_2343 = 
memcmp(BgL_tmpz00_5059, BgL_auxz00_5062, BgL_l1z00_2340); } 
BgL_res1211z00_1090 = 
(
(long)(BgL_arg1289z00_2343)==((long)0)); }  else 
{ /* Llib/rsa.scm 696 */
BgL_res1211z00_1090 = ((bool_t)0); } } } } } } } } } } } } } } } } } } } } } } } 
POP_ENV_EXIT(BgL_env1212z00_1086); 
return 
BBOOL(BgL_res1211z00_1090);} } } 
}} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
{ /* Llib/rsa.scm 25 */
 obj_t BgL_arg2161z00_1144; obj_t BgL_arg2162z00_1145;
{ /* Llib/rsa.scm 25 */
 obj_t BgL_v1239z00_1157;
BgL_v1239z00_1157 = 
create_vector(((long)2)); 
{ /* Llib/rsa.scm 25 */
 obj_t BgL_arg2168z00_1158;
BgL_arg2168z00_1158 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc2504z00zz__cryptozd2rsazd2, BGl_proc2503z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1239z00_1157,((long)0),BgL_arg2168z00_1158); } 
{ /* Llib/rsa.scm 25 */
 obj_t BgL_arg2173z00_1168;
BgL_arg2173z00_1168 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc2506z00zz__cryptozd2rsazd2, BGl_proc2505z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1239z00_1157,((long)1),BgL_arg2173z00_1168); } 
BgL_arg2161z00_1144 = BgL_v1239z00_1157; } 
{ /* Llib/rsa.scm 25 */
 obj_t BgL_v1240z00_1178;
BgL_v1240z00_1178 = 
create_vector(((long)0)); 
BgL_arg2162z00_1145 = BgL_v1240z00_1178; } 
BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)54)), BGl_objectz00zz__objectz00, ((long)31231), BGl_proc2509z00zz__cryptozd2rsazd2, BGl_proc2508z00zz__cryptozd2rsazd2, BFALSE, BGl_proc2507z00zz__cryptozd2rsazd2, BFALSE, BgL_arg2161z00_1144, BgL_arg2162z00_1145); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2181z00_1185; obj_t BgL_arg2182z00_1186;
{ /* Llib/rsa.scm 26 */
 obj_t BgL_v1241z00_1204;
BgL_v1241z00_1204 = 
create_vector(((long)6)); 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2188z00_1205;
BgL_arg2188z00_1205 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2511z00zz__cryptozd2rsazd2, BGl_proc2510z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)0),BgL_arg2188z00_1205); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2193z00_1215;
BgL_arg2193z00_1215 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2513z00zz__cryptozd2rsazd2, BGl_proc2512z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)1),BgL_arg2193z00_1215); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2199z00_1225;
BgL_arg2199z00_1225 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc2515z00zz__cryptozd2rsazd2, BGl_proc2514z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)2),BgL_arg2199z00_1225); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2204z00_1235;
BgL_arg2204z00_1235 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2517z00zz__cryptozd2rsazd2, BGl_proc2516z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)3),BgL_arg2204z00_1235); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2209z00_1245;
BgL_arg2209z00_1245 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2519z00zz__cryptozd2rsazd2, BGl_proc2518z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)4),BgL_arg2209z00_1245); } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_arg2214z00_1255;
BgL_arg2214z00_1255 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2521z00zz__cryptozd2rsazd2, BGl_proc2520z00zz__cryptozd2rsazd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1241z00_1204,((long)5),BgL_arg2214z00_1255); } 
BgL_arg2181z00_1185 = BgL_v1241z00_1204; } 
{ /* Llib/rsa.scm 26 */
 obj_t BgL_v1242z00_1265;
BgL_v1242z00_1265 = 
create_vector(((long)0)); 
BgL_arg2182z00_1186 = BgL_v1242z00_1265; } 
return ( 
BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)54)), BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2, ((long)27836), BGl_proc2524z00zz__cryptozd2rsazd2, BGl_proc2523z00zz__cryptozd2rsazd2, BFALSE, BGl_proc2522z00zz__cryptozd2rsazd2, BFALSE, BgL_arg2181z00_1185, BgL_arg2182z00_1186), BUNSPEC) ;} } 

}



/* &<@anonymous:2187> */
obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__cryptozd2rsazd2(obj_t BgL_envz00_2487, obj_t BgL_new1062z00_2488)
{
{ /* Llib/rsa.scm 26 */
{ 
 BgL_completezd2rsazd2keyz00_bglt BgL_auxz00_5111;
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488))))->BgL_modulusz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488))))->BgL_exponentz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488)))->BgL_ez00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488)))->BgL_pz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488)))->BgL_qz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488)))->BgL_exp1z00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488)))->BgL_exp2z00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488)))->BgL_coeffz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
BgL_auxz00_5111 = 
((BgL_completezd2rsazd2keyz00_bglt)BgL_new1062z00_2488); 
return 
((obj_t)BgL_auxz00_5111);} } 

}



/* &lambda2185 */
BgL_completezd2rsazd2keyz00_bglt BGl_z62lambda2185z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2489)
{
{ /* Llib/rsa.scm 26 */
{ /* Llib/rsa.scm 26 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1061z00_2820;
BgL_new1061z00_2820 = 
((BgL_completezd2rsazd2keyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_completezd2rsazd2keyz00_bgl) ))); 
{ /* Llib/rsa.scm 26 */
 long BgL_arg2186z00_2821;
BgL_arg2186z00_2821 = 
BGL_CLASS_NUM(BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_2820), BgL_arg2186z00_2821); } 
{ /* Llib/rsa.scm 26 */
 BgL_objectz00_bglt BgL_tmpz00_5144;
BgL_tmpz00_5144 = 
((BgL_objectz00_bglt)BgL_new1061z00_2820); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5144, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1061z00_2820); 
return BgL_new1061z00_2820;} } 

}



/* &lambda2183 */
BgL_completezd2rsazd2keyz00_bglt BGl_z62lambda2183z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2490, obj_t BgL_modulus1053z00_2491, obj_t BgL_exponent1054z00_2492, obj_t BgL_e1055z00_2493, obj_t BgL_p1056z00_2494, obj_t BgL_q1057z00_2495, obj_t BgL_exp11058z00_2496, obj_t BgL_exp21059z00_2497, obj_t BgL_coeff1060z00_2498)
{
{ /* Llib/rsa.scm 26 */
{ /* Llib/rsa.scm 26 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1217z00_2830;
{ /* Llib/rsa.scm 26 */
 BgL_completezd2rsazd2keyz00_bglt BgL_new1216z00_2831;
BgL_new1216z00_2831 = 
((BgL_completezd2rsazd2keyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_completezd2rsazd2keyz00_bgl) ))); 
{ /* Llib/rsa.scm 26 */
 long BgL_arg2184z00_2832;
BgL_arg2184z00_2832 = 
BGL_CLASS_NUM(BGl_Completezd2Rsazd2Keyz00zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_2831), BgL_arg2184z00_2832); } 
{ /* Llib/rsa.scm 26 */
 BgL_objectz00_bglt BgL_tmpz00_5152;
BgL_tmpz00_5152 = 
((BgL_objectz00_bglt)BgL_new1216z00_2831); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5152, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1216z00_2831); 
BgL_new1217z00_2830 = BgL_new1216z00_2831; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1217z00_2830)))->BgL_modulusz00)=((obj_t)
((obj_t)BgL_modulus1053z00_2491)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1217z00_2830)))->BgL_exponentz00)=((obj_t)
((obj_t)BgL_exponent1054z00_2492)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_2830))->BgL_ez00)=((obj_t)
((obj_t)BgL_e1055z00_2493)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_2830))->BgL_pz00)=((obj_t)
((obj_t)BgL_p1056z00_2494)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_2830))->BgL_qz00)=((obj_t)
((obj_t)BgL_q1057z00_2495)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_2830))->BgL_exp1z00)=((obj_t)
((obj_t)BgL_exp11058z00_2496)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_2830))->BgL_exp2z00)=((obj_t)
((obj_t)BgL_exp21059z00_2497)),BUNSPEC); 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(BgL_new1217z00_2830))->BgL_coeffz00)=((obj_t)
((obj_t)BgL_coeff1060z00_2498)),BUNSPEC); 
return BgL_new1217z00_2830;} } 

}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2499, obj_t BgL_oz00_2500, obj_t BgL_vz00_2501)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2500)))->BgL_coeffz00)=((obj_t)
((obj_t)BgL_vz00_2501)),BUNSPEC);} 

}



/* &lambda2217 */
obj_t BGl_z62lambda2217z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2502, obj_t BgL_oz00_2503)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2503)))->BgL_coeffz00);} 

}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2504, obj_t BgL_oz00_2505, obj_t BgL_vz00_2506)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2505)))->BgL_exp2z00)=((obj_t)
((obj_t)BgL_vz00_2506)),BUNSPEC);} 

}



/* &lambda2212 */
obj_t BGl_z62lambda2212z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2507, obj_t BgL_oz00_2508)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2508)))->BgL_exp2z00);} 

}



/* &lambda2208 */
obj_t BGl_z62lambda2208z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2509, obj_t BgL_oz00_2510, obj_t BgL_vz00_2511)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2510)))->BgL_exp1z00)=((obj_t)
((obj_t)BgL_vz00_2511)),BUNSPEC);} 

}



/* &lambda2207 */
obj_t BGl_z62lambda2207z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2512, obj_t BgL_oz00_2513)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2513)))->BgL_exp1z00);} 

}



/* &lambda2203 */
obj_t BGl_z62lambda2203z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2514, obj_t BgL_oz00_2515, obj_t BgL_vz00_2516)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2515)))->BgL_qz00)=((obj_t)
((obj_t)BgL_vz00_2516)),BUNSPEC);} 

}



/* &lambda2202 */
obj_t BGl_z62lambda2202z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2517, obj_t BgL_oz00_2518)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2518)))->BgL_qz00);} 

}



/* &lambda2198 */
obj_t BGl_z62lambda2198z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2519, obj_t BgL_oz00_2520, obj_t BgL_vz00_2521)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2520)))->BgL_pz00)=((obj_t)
((obj_t)BgL_vz00_2521)),BUNSPEC);} 

}



/* &lambda2197 */
obj_t BGl_z62lambda2197z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2522, obj_t BgL_oz00_2523)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2523)))->BgL_pz00);} 

}



/* &lambda2192 */
obj_t BGl_z62lambda2192z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2524, obj_t BgL_oz00_2525, obj_t BgL_vz00_2526)
{
{ /* Llib/rsa.scm 26 */
return 
((((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2525)))->BgL_ez00)=((obj_t)
((obj_t)BgL_vz00_2526)),BUNSPEC);} 

}



/* &lambda2191 */
obj_t BGl_z62lambda2191z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2527, obj_t BgL_oz00_2528)
{
{ /* Llib/rsa.scm 26 */
return 
(((BgL_completezd2rsazd2keyz00_bglt)COBJECT(
((BgL_completezd2rsazd2keyz00_bglt)BgL_oz00_2528)))->BgL_ez00);} 

}



/* &<@anonymous:2167> */
obj_t BGl_z62zc3z04anonymousza32167ze3ze5zz__cryptozd2rsazd2(obj_t BgL_envz00_2529, obj_t BgL_new1051z00_2530)
{
{ /* Llib/rsa.scm 25 */
{ 
 BgL_rsazd2keyzd2_bglt BgL_auxz00_5204;
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1051z00_2530)))->BgL_modulusz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_new1051z00_2530)))->BgL_exponentz00)=((obj_t)
CNST_TABLE_REF(((long)10))),BUNSPEC); 
BgL_auxz00_5204 = 
((BgL_rsazd2keyzd2_bglt)BgL_new1051z00_2530); 
return 
((obj_t)BgL_auxz00_5204);} } 

}



/* &lambda2165 */
BgL_rsazd2keyzd2_bglt BGl_z62lambda2165z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2531)
{
{ /* Llib/rsa.scm 25 */
{ /* Llib/rsa.scm 25 */
 BgL_rsazd2keyzd2_bglt BgL_new1050z00_2852;
BgL_new1050z00_2852 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/rsa.scm 25 */
 long BgL_arg2166z00_2853;
BgL_arg2166z00_2853 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_2852), BgL_arg2166z00_2853); } 
return BgL_new1050z00_2852;} } 

}



/* &lambda2163 */
BgL_rsazd2keyzd2_bglt BGl_z62lambda2163z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2532, obj_t BgL_modulus1048z00_2533, obj_t BgL_exponent1049z00_2534)
{
{ /* Llib/rsa.scm 25 */
{ /* Llib/rsa.scm 25 */
 BgL_rsazd2keyzd2_bglt BgL_new1215z00_2856;
{ /* Llib/rsa.scm 25 */
 BgL_rsazd2keyzd2_bglt BgL_new1214z00_2857;
BgL_new1214z00_2857 = 
((BgL_rsazd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_rsazd2keyzd2_bgl) ))); 
{ /* Llib/rsa.scm 25 */
 long BgL_arg2164z00_2858;
BgL_arg2164z00_2858 = 
BGL_CLASS_NUM(BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_2857), BgL_arg2164z00_2858); } 
BgL_new1215z00_2856 = BgL_new1214z00_2857; } 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1215z00_2856))->BgL_modulusz00)=((obj_t)
((obj_t)BgL_modulus1048z00_2533)),BUNSPEC); 
((((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_new1215z00_2856))->BgL_exponentz00)=((obj_t)
((obj_t)BgL_exponent1049z00_2534)),BUNSPEC); 
return BgL_new1215z00_2856;} } 

}



/* &lambda2177 */
obj_t BGl_z62lambda2177z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2535, obj_t BgL_oz00_2536, obj_t BgL_vz00_2537)
{
{ /* Llib/rsa.scm 25 */
return 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_oz00_2536)))->BgL_exponentz00)=((obj_t)
((obj_t)BgL_vz00_2537)),BUNSPEC);} 

}



/* &lambda2176 */
obj_t BGl_z62lambda2176z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2538, obj_t BgL_oz00_2539)
{
{ /* Llib/rsa.scm 25 */
return 
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_oz00_2539)))->BgL_exponentz00);} 

}



/* &lambda2172 */
obj_t BGl_z62lambda2172z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2540, obj_t BgL_oz00_2541, obj_t BgL_vz00_2542)
{
{ /* Llib/rsa.scm 25 */
return 
((((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_oz00_2541)))->BgL_modulusz00)=((obj_t)
((obj_t)BgL_vz00_2542)),BUNSPEC);} 

}



/* &lambda2171 */
obj_t BGl_z62lambda2171z62zz__cryptozd2rsazd2(obj_t BgL_envz00_2543, obj_t BgL_oz00_2544)
{
{ /* Llib/rsa.scm 25 */
return 
(((BgL_rsazd2keyzd2_bglt)COBJECT(
((BgL_rsazd2keyzd2_bglt)BgL_oz00_2544)))->BgL_modulusz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2rsazd2()
{
{ /* Llib/rsa.scm 21 */
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(((long)300158978), 
BSTRING_TO_STRING(BGl_string2525z00zz__cryptozd2rsazd2));} 

}

#ifdef __cplusplus
}
#endif
