/*===========================================================================*/
/*   (Llib/midi.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IUnix Llib/midi.scm -o objs/midi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_midiscorez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_formatz00;
   long BgL_tempoz00;
   long BgL_ppqz00;
   obj_t BgL_tracksz00;
} *BgL_midiscorez00_bglt;

typedef struct BgL_miditrackz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52streamz52;
   struct BgL_midireaderz00_bgl * BgL_z52readerz52;
   obj_t BgL_z52closez52;
   bool_t BgL_z52eotz52;
   uint32_t BgL_z52wtickz52;
   long BgL_z52statusz52;
   int32_t BgL_lenz00;
   long BgL_tempoz00;
   obj_t BgL_ipz00;
   long BgL_startz00;
   long BgL_datastartz00;
   uint32_t BgL_wtickz00;
   long BgL_statusz00;
   bool_t BgL_eotz00;
} *BgL_miditrackz00_bglt;

typedef struct BgL_midireaderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_peekzd2bytezd2;
   obj_t BgL_readzd2bytezd2;
   obj_t BgL_readzd2int16zd2;
   obj_t BgL_readzd2int32zd2;
   obj_t BgL_readzd2intzd2;
   obj_t BgL_readzd2vlqzd2;
   obj_t BgL_readzd2charszd2;
} *BgL_midireaderz00_bglt;

typedef struct BgL_midiplayerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_errz00;
   obj_t BgL_cdelayz00;
   obj_t BgL_noteoffz00;
   obj_t BgL_noteonz00;
   obj_t BgL_aftertouchz00;
   obj_t BgL_ctrlchangez00;
   obj_t BgL_prgmchangez00;
   obj_t BgL_afterzd2touchzd2;
   obj_t BgL_pitchz00;
   obj_t BgL_sysexz00;
   obj_t BgL_metazd2seqnumzd2;
   obj_t BgL_metazd2textzd2;
   obj_t BgL_metazd2copyrightzd2;
   obj_t BgL_metazd2trackzd2;
   obj_t BgL_metazd2instrumentzd2;
   obj_t BgL_metazd2lyriczd2;
   obj_t BgL_metazd2markerzd2;
   obj_t BgL_metazd2cuezd2;
   obj_t BgL_metazd2prgmnamezd2;
   obj_t BgL_metazd2devnamezd2;
   obj_t BgL_metazd2channprefzd2;
   obj_t BgL_metazd2midiportzd2;
   obj_t BgL_metazd2eotzd2;
   obj_t BgL_metazd2tempozd2;
   obj_t BgL_metazd2smtpezd2;
   obj_t BgL_metazd2timesigzd2;
   obj_t BgL_metazd2keysigzd2;
   obj_t BgL_metazd2seqspeczd2;
} *BgL_midiplayerz00_bglt;

typedef struct BgL_midisinkz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_streamz00;
   obj_t BgL_usleepz00;
   obj_t BgL_writezd2bytezd2;
   obj_t BgL_writezd2stringzd2;
   obj_t BgL_flushz00;
} *BgL_midisinkz00_bglt;


static obj_t BGl_z62lambda2575z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2576z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2498z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2499z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t);
static long BGl_readzd2intzd2zz__multimediazd2midizd2(long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32486ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2583z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt);
static obj_t BGl_z62lambda2584z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_midisinkzd2nullzd2zz__multimediazd2midizd2;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, BgL_miditrackz00_bglt, long, long, long);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32479ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32585ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32577ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32569ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_midiscorez00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2();
BGL_EXPORTED_DEF obj_t BGl_midiplayerz00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(obj_t, long);
static obj_t BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long, obj_t);
static obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2();
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2();
static int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_midireaderz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, BGL_LONGLONG_T);
static int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long);
BGL_EXPORTED_DEF obj_t BGl_miditrackz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midireaderzd2init1234zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2();
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32150ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32240ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32402ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31260ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_midisinkz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32500ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32233ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31261ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32226ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32162ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31352ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32219ze3ze5zz__multimediazd2midizd2(obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds();
static obj_t BGl_z62zc3z04anonymousza32430ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31361ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31353ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt);
static obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_midiplayerzd2readzd2zz__multimediazd2midizd2;
static obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2init1236zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62midiscorezd2init1230zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32261ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32423ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31362ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt);
static obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2200z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2204z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2205z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32254ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32416ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31363ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2210z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2211z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32530ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32360ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32522ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32514ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31364ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32247ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32409ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2217z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2218z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long);
static obj_t BGl_z62lambda2302z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2303z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32353ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32515ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2224z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32507ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2225z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2145z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2307z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2308z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2148z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl_z62midisinkzd2init1238zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2231z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2312z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32451ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2232z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2313z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32346ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2154z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32176ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2155z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2317z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2318z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2238z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2239z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2400z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2401z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31650ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2();
static obj_t BGl_z62lambda2160z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2322z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2161z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32282ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2323z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32444ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2245z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2407z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32339ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32169ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2246z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2327z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2408z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2328z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2167z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2168z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2252z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2414z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3z04anonymousza32194ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2253z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32275ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2415z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32437ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2334z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2174z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2175z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2337z62zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2259z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62miditrackzd2init1232zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2421z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2260z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32381ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2422z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2505z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2182z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2344z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2506z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32268ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2345z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62lambda2266z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2185z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2428z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2267z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2429z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda2512z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2351z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2513z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32293ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2352z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32374ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2192z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2273z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2435z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2193z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2274z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2436z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2358z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2359z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2199z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62lambda2520z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2521z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32472ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2280z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2442z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2;
static obj_t BGl_z62lambda2281z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2443z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32537ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32367ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2365z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2366z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2528z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2529z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2449z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2288z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt);
BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32570ze3ze5zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2450z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32562ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32465ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2291z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2372z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62lambda2373z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2535z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2536z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2456z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2457z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2297z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2298z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2379z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2;
static obj_t BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62lambda2380z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32555ze3ze5zz__multimediazd2midizd2(obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2543z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32458ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2463z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2464z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2546z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2386z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2387z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2470z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2471z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2553z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32548ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2554z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31649ze3ze5zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2393z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2394z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt);
static obj_t BGl_z62lambda2477z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2478z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2560z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2561z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32395ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2484z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2485z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2567z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2568z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_z62zc3z04anonymousza32493ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2491z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32388ze3ze5zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2492z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 76 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3003z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2499za7623090z00, BGl_z62lambda2499z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3004z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2498za7623091z00, BGl_z62lambda2498z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2f3092z00, BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3005z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3093za7, BGl_z62zc3z04anonymousza32507ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3006z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2506za7623094z00, BGl_z62lambda2506z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3007z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2505za7623095z00, BGl_z62lambda2505z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3008z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3096za7, BGl_z62zc3z04anonymousza32514ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3009z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2513za7623097z00, BGl_z62lambda2513z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3098z00, BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23099z00, BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3010z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2512za7623100z00, BGl_z62lambda2512z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3011z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3101za7, BGl_z62zc3z04anonymousza32522ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3012z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2521za7623102z00, BGl_z62lambda2521z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3013z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2520za7623103z00, BGl_z62lambda2520z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3014z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3104za7, BGl_z62zc3z04anonymousza32530ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3015z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2529za7623105z00, BGl_z62lambda2529z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3016z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2528za7623106z00, BGl_z62lambda2528z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3107za7, BGl_z62zc3z04anonymousza32537ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3018z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2536za7623108z00, BGl_z62lambda2536z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2535za7623109z00, BGl_z62lambda2535z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3020z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3110za7, BGl_z62zc3z04anonymousza32339ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2337za7623111z00, BGl_z62lambda2337z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3022z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2334za7623112z00, BGl_z62lambda2334z62zz__multimediazd2midizd2, 0L, BUNSPEC, 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3113za7, BGl_z62zc3z04anonymousza32555ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3024z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2554za7623114z00, BGl_z62lambda2554z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2553za7623115z00, BGl_z62lambda2553z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3026z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3116za7, BGl_z62zc3z04anonymousza32562ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3027z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2561za7623117z00, BGl_z62lambda2561z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3028z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2560za7623118z00, BGl_z62lambda2560z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3029z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3119za7, BGl_z62zc3z04anonymousza32569ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3030z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2568za7623120z00, BGl_z62lambda2568z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3031z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2567za7623121z00, BGl_z62lambda2567z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3032z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3122za7, BGl_z62zc3z04anonymousza32577ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3033z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2576za7623123z00, BGl_z62lambda2576z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3034z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2575za7623124z00, BGl_z62lambda2575z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3035z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3125za7, BGl_z62zc3z04anonymousza32585ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3036z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2584za7623126z00, BGl_z62lambda2584z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3037z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2583za7623127z00, BGl_z62lambda2583z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3038z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3128za7, BGl_z62zc3z04anonymousza32548ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3039z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2546za7623129z00, BGl_z62lambda2546z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3046z00zz__multimediazd2midizd2, BgL_bgl_string3046za700za7za7_3130za7, "midiscore-init1230", 18 );
DEFINE_STRING( BGl_string3048z00zz__multimediazd2midizd2, BgL_bgl_string3048za700za7za7_3131za7, "miditrack-init1232", 18 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3132z00, BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3040z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2543za7623133z00, BGl_z62lambda2543z62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3041z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3134za7, BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3042z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3135za7, BGl_z62zc3z04anonymousza32570ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3043z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3136za7, BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string3050z00zz__multimediazd2midizd2, BgL_bgl_string3050za700za7za7_3137za7, "midireader-init1234", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3044z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3138za7, BGl_z62zc3z04anonymousza32515ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3045z00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3139z00, BGl_z62midiscorezd2init1230zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3052z00zz__multimediazd2midizd2, BgL_bgl_string3052za700za7za7_3140za7, "midiplayer-init1236", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3047z00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3141z00, BGl_z62miditrackzd2init1232zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3054z00zz__multimediazd2midizd2, BgL_bgl_string3054za700za7za7_3142za7, "midisink-init1238", 17 );
DEFINE_STRING( BGl_string3055z00zz__multimediazd2midizd2, BgL_bgl_string3055za700za7za7_3143za7, "&midiscore-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3049z00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23144z00, BGl_z62midireaderzd2init1234zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3056z00zz__multimediazd2midizd2, BgL_bgl_string3056za700za7za7_3145za7, "&miditrack-init", 15 );
DEFINE_STRING( BGl_string3057z00zz__multimediazd2midizd2, BgL_bgl_string3057za700za7za7_3146za7, "&midireader-init", 16 );
DEFINE_STRING( BGl_string3058z00zz__multimediazd2midizd2, BgL_bgl_string3058za700za7za7_3147za7, "midireader", 10 );
DEFINE_STRING( BGl_string3059z00zz__multimediazd2midizd2, BgL_bgl_string3059za700za7za7_3148za7, "&midiplayer-init", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23149z00, BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3051z00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23150z00, BGl_z62midiplayerzd2init1236zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3053z00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3151z00, BGl_z62midisinkzd2init1238zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3060z00zz__multimediazd2midizd2, BgL_bgl_string3060za700za7za7_3152za7, "&midisink-init", 14 );
DEFINE_STRING( BGl_string3061z00zz__multimediazd2midizd2, BgL_bgl_string3061za700za7za7_3153za7, "#() midisink flush write-string write-byte usleep stream midiplayer meta-seqspec meta-keysig meta-timesig meta-smtpe meta-tempo meta-eot meta-midiport meta-channpref meta-devname meta-prgmname meta-cue meta-marker meta-lyric meta-instrument meta-track meta-copyright meta-text meta-seqnum sysex pitch after-touch prgmchange ctrlchange aftertouch noteon noteoff cdelay err midireader read-chars read-vlq read-int read-int32 read-int16 read-byte peek-byte miditrack eot status wtick datastart start ip int32 len %status uint32 %wtick bool %eot procedure %close %reader obj %stream __multimedia-midi midiscore vector tracks ppq tempo long format string-stream #(\"C\" \"C#\" \"D\" \"D#\" \"E\" \"F\" \"F#\" \"G\" \"G#\" \"A\" \"A#\" \"B\") #(\"\" \"Acoustic Grand Piano\" \"Bright Acoustic Piano\" \"Electric Grand Piano\" \"Honky-tonk Piano\" \"Electric Piano 1\" \"Electric Piano 2\" \"Harpsichord\" \"Clavinet\" \"Celesta\" \"Glockenspiel\" \"Music Box\" \"Vibraphone\" \"Marimba\" \"Xylophone\" \"Tubular Bells\" \"Dulcimer"
"\" \"Drawbar Organ\" \"Percussive Organ\" \"Rock Organ\" \"Church Organ\" \"Reed Organ\" \"Accordion\" \"Harmonica\" \"Tango Accordion\" \"Acoustic Guitar (nylon)\" \"Acoustic Guitar (steel)\" \"Electric Guitar (jazz)\" \"Electric Guitar (clean)\" \"Electric Guitar (muted)\" \"Overdriven Guitar\" \"Distortion Guitar\" \"Guitar harmonics\" \"Acoustic Bass\" \"Electric Bass (finger)\" \"Electric Bass (pick)\" \"Fretless Bass\" \"Slap Bass 1\" \"Slap Bass 2\" \"Synth Bass 1\" \"Synth Bass 2\" \"Violin\" \"Viola\" \"Cello\" \"Contrabass\" \"Tremolo Strings\" \"Pizzicato Strings\" \"Orchestral Harp\" \"Timpani\" \"String Ensemble 1\" \"String Ensemble 2\" \"Synth Strings 1\" \"Synth Strings 2\" \"Choir Aahs\" \"Voice Oohs\" \"Synth Voice\" \"Orchestra Hit\" \"Trumpet\" \"Trombone\" \"Tuba\" \"Muted Trumpet\" \"French Horn\" \"Brass Section\" \"Synth Brass 1\" \"Synth Brass 2\" \"Soprano Sax\" \"Alto Sax\" \"Tenor Sax\" \"Baritone Sax\" \"Oboe\" \"English Horn\" \"Bassoon\" \"Clarinet\" \"Piccolo\" \"Flute\" \"Reco"
"rder\" \"Pan Flute\" \"Blown Bottle\" \"Shakuhachi\" \"Whistle\" \"Ocarina\" \"Lead 1 (square)\" \"Lead 2 (sawtooth)\" \"Lead 3 (calliope)\" \"Lead 4 (chiff)\" \"Lead 5 (charang)\" \"Lead 6 (voice)\" \"Lead 7 (fifths)\" \"Lead 8 (bass + lead)\" \"Pad 1 (new age)\" \"Pad 2 (warm)\" \"Pad 3 (polysynth)\" \"Pad 4 (choir)\" \"Pad 5 (bowed)\" \"Pad 6 (metallic)\" \"Pad 7 (halo)\" \"Pad 8 (sweep)\" \"FX 1 (rain)\" \"FX 2 (soundtrack)\" \"FX 3 (crystal)\" \"FX 4 (atmosphere)\" \"FX 5 (brightness)\" \"FX 6 (goblins)\" \"FX 7 (echoes)\" \"FX 8 (sci-fi)\" \"Sitar\" \"Banjo\" \"Shamisen\" \"Koto\" \"Kalimba\" \"Bag pipe\" \"Fiddle\" \"Shanai\" \"Tinkle Bell\" \"Agogo\" \"Steel Drums\" \"Woodblock\" \"Taiko Drum\" \"Melodic Tom\" \"Synth Drum\" \"Reverse Cymbal\" \"Guitar Fret Noise\" \"Breath Noise\" \"Seashore\" \"Bird Tweet\" \"Telephone Ring\" \"Helicopter\" \"Applause\" \"Gunshot\") #(\"Bank Select\" \"Modulation Wheel or Lever\" \"Breath Controller\" \"Undefined\" \"Foot Controller\" \"Portamento Time\" \"Data Entr"
"y MSB\" \"Channel Volume\" \"Balance\" \"Undefined\" \"Pan\" \"Expression Controller\" \"Effect Control 1\" \"Effect Control 2\" \"Undefined\" \"Undefined\" \"General Purpose Controller 1\" \"General Purpose Controller 2\" \"General Purpose Controller 3\" \"General Purpose Controller 4\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"LSB for Control 0\" \"LSB for Control 1\" \"LSB for Control 2\" \"LSB for Control 3\" \"LSB for Control 4\" \"LSB for Control 5\" \"LSB for Control 6\" \"LSB for Control 7\" \"LSB for Control 8\" \"LSB for Control 9\" \"LSB for Control 10\" \"LSB for Control 11\" \"LSB for Control 12\" \"LSB for Control 13\" \"LSB for Control 14\" \"LSB for Control 15\" \"LSB for Control 16\" \"LSB for Control 17\" \"LSB for Control 18\" \"LSB for Control 19\" \"LSB for Control 20\" \"LSB for Control 21\" \"LSB for Control 22\" \"LSB for Control 23\" \"LSB for Control 24\" \""
"LSB for Control 25\" \"LSB for Control 26\" \"LSB for Control 27\" \"LSB for Control 28\" \"LSB for Control 29\" \"LSB for Control 30\" \"LSB for Control 31\" \"Damper Pedal on/off (Sustain)\" \"Portamento On/Off\" \"Sostenuto On/Off\" \"Soft Pedal On/Off\" \"Legato Footswitch\" \"Hold 2\" \"Sound Controller 1 (default: Sound Variation)\" \"Sound Controller 2 (default: Timbre/Harmonic Intens.)\" \"Sound Controller 3 (default: Release Time)\" \"Sound Controller 4 (default: Attack Time)\" \"Sound Controller 5 (default: Brightness)\" \"Sound Controller 6 (default: Decay Time - see MMA RP-021)\" \"Sound Controller 7 (default: Vibrato Rate - see MMA RP-021)\" \"Sound Controller 8 (default: Vibrato Depth - see MMA RP-021)\" \"Sound Controller 9 (default: Vibrato Delay - see MMA RP-021)\" \"Sound Controller 10 (default undefined - see MMA RP-021)\" \"General Purpose Controller 5\" \"General Purpose Controller 6\" \"General Purpose Controller 7\" \"General Purpose Controller 8\" \"Portamento Control\" \"Undefined\" "
"\"Undefined\" \"Undefined\" \"High Resolution Velocity Prefix\" \"Undefined\" \"Undefined\" \"Effects 1 Depth\" \"Effects 2 Depth\" \"Effects 3 Depth\" \"Effects 4 Depth\" \"Effects 5 Depth\" \"Data Increment\" \"Data Decrement\" \"Non-Registered Parameter Number (NRPN)\" \"Non-Registered Parameter Number (NRPN)\" \"Registered Parameter Number (RPN)\" \"Registered Parameter Number (RPN)\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"[Channel Mode Message] All Sound Off\" \"[Channel Mode Message] Reset All Controllers\" \"[Channel Mode Message] Local Control On/Off\" \"[Channel Mode Message] All Notes Off\" \"[Channel Mode Message] Omni Mode Off (+ all notes off)\" \"[Channel Mode Message] Omni Mode On (+ all notes off)\" \"[Channel Mode Message] Mono Mode On (+ poly off, + all notes off)\" \"[Channel Mod"
"e Message] Poly Mode On (+ mono off, +all notes off)\") #(\"\" \"text\" \"copyright\" \"track\" \"instrument\" \"lyric\" \"marker\" \"cue\") ", 5730 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23154z00, BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2controllerzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2contro3155z00, BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3156z00, BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2vlqza7b03157za7, BGl_z62readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23158z00, BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3159z00, BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2playzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2p3160z00, BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int32za73161za7, BGl_z62readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2808z00zz__multimediazd2midizd2, BgL_bgl_string2808za700za7za7_3162za7, "midiscore-file", 14 );
DEFINE_STRING( BGl_string2809z00zz__multimediazd2midizd2, BgL_bgl_string2809za700za7za7_3163za7, "format not supported", 20 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23164z00, BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2stringzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2s3165z00, BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2800z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3166za7, BGl_z62zc3z04anonymousza31260ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2801z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3167za7, BGl_z62zc3z04anonymousza31261ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2802z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3168za7, BGl_z62zc3z04anonymousza31352ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2803z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3169za7, BGl_z62zc3z04anonymousza31353ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2810z00zz__multimediazd2midizd2, BgL_bgl_string2810za700za7za7_3170za7, "midiplayer-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2804z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3171za7, BGl_z62zc3z04anonymousza31361ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2811z00zz__multimediazd2midizd2, BgL_bgl_string2811za700za7za7_3172za7, "bad midi format", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2805z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3173za7, BGl_z62zc3z04anonymousza31362ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2812z00zz__multimediazd2midizd2, BgL_bgl_string2812za700za7za7_3174za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/multimedia/src/Llib/midi.scm", 68 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2806z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3175za7, BGl_z62zc3z04anonymousza31363ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2813z00zz__multimediazd2midizd2, BgL_bgl_string2813za700za7za7_3176za7, "&midiscore-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2807z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3177za7, BGl_z62zc3z04anonymousza31364ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2814z00zz__multimediazd2midizd2, BgL_bgl_string2814za700za7za7_3178za7, "bstring", 7 );
DEFINE_STRING( BGl_string2815z00zz__multimediazd2midizd2, BgL_bgl_string2815za700za7za7_3179za7, "&miditrack-input-port", 21 );
DEFINE_STRING( BGl_string2816z00zz__multimediazd2midizd2, BgL_bgl_string2816za700za7za7_3180za7, "input-port", 10 );
DEFINE_STRING( BGl_string2817z00zz__multimediazd2midizd2, BgL_bgl_string2817za700za7za7_3181za7, "bint", 4 );
DEFINE_STRING( BGl_string2818z00zz__multimediazd2midizd2, BgL_bgl_string2818za700za7za7_3182za7, "&miditrack-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3183z00, BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2820z00zz__multimediazd2midizd2, BgL_bgl_string2820za700za7za7_3184za7, "&miditrack-string", 17 );
DEFINE_STRING( BGl_string2821z00zz__multimediazd2midizd2, BgL_bgl_string2821za700za7za7_3185za7, "midiscore-play", 14 );
DEFINE_STRING( BGl_string2822z00zz__multimediazd2midizd2, BgL_bgl_string2822za700za7za7_3186za7, "&midiscore-play", 15 );
DEFINE_STRING( BGl_string2823z00zz__multimediazd2midizd2, BgL_bgl_string2823za700za7za7_3187za7, "midiscore", 9 );
DEFINE_STRING( BGl_string2824z00zz__multimediazd2midizd2, BgL_bgl_string2824za700za7za7_3188za7, "midiplayer", 10 );
DEFINE_STRING( BGl_string2825z00zz__multimediazd2midizd2, BgL_bgl_string2825za700za7za7_3189za7, "midisink", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2819z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3190za7, BGl_z62zc3z04anonymousza31650ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2826z00zz__multimediazd2midizd2, BgL_bgl_string2826za700za7za7_3191za7, "~x:~x", 5 );
DEFINE_STRING( BGl_string2827z00zz__multimediazd2midizd2, BgL_bgl_string2827za700za7za7_3192za7, "midiplay", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2notezd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2noteza7d3193za7, BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2828z00zz__multimediazd2midizd2, BgL_bgl_string2828za700za7za7_3194za7, "illegal meta-event", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23195z00, BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string2829z00zz__multimediazd2midizd2, BgL_bgl_string2829za700za7za7_3196za7, "illegal event", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2inputzd2portzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3197z00, BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2900z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2245za7623198z00, BGl_z62lambda2245z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2901z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3199za7, BGl_z62zc3z04anonymousza32254ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2902z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2253za7623200z00, BGl_z62lambda2253z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2903z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2252za7623201z00, BGl_z62lambda2252z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2904z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3202za7, BGl_z62zc3z04anonymousza32261ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2905z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2260za7623203z00, BGl_z62lambda2260z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2830z00zz__multimediazd2midizd2, BgL_bgl_string2830za700za7za7_3204za7, "MThd", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2906z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2259za7623205z00, BGl_z62lambda2259z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2831z00zz__multimediazd2midizd2, BgL_bgl_string2831za700za7za7_3206za7, "read-midi-mthd", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2907z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3207za7, BGl_z62zc3z04anonymousza32268ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2832z00zz__multimediazd2midizd2, BgL_bgl_string2832za700za7za7_3208za7, "invalid number of SMPTE frames per second", 41 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2908z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2267za7623209z00, BGl_z62lambda2267z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2833z00zz__multimediazd2midizd2, BgL_bgl_string2833za700za7za7_3210za7, "Bad header", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2909z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2266za7623211z00, BGl_z62lambda2266z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2834z00zz__multimediazd2midizd2, BgL_bgl_string2834za700za7za7_3212za7, "MTrk", 4 );
DEFINE_STRING( BGl_string2835z00zz__multimediazd2midizd2, BgL_bgl_string2835za700za7za7_3213za7, "read-midi-mtrk", 14 );
DEFINE_STRING( BGl_string2836z00zz__multimediazd2midizd2, BgL_bgl_string2836za700za7za7_3214za7, "&read-int", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2intza7b03215za7, BGl_z62readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2837z00zz__multimediazd2midizd2, BgL_bgl_string2837za700za7za7_3216za7, "&string-stream-peek-byte", 24 );
DEFINE_STRING( BGl_string2838z00zz__multimediazd2midizd2, BgL_bgl_string2838za700za7za7_3217za7, "struct", 6 );
DEFINE_STRING( BGl_string2839z00zz__multimediazd2midizd2, BgL_bgl_string2839za700za7za7_3218za7, "&string-stream-read-byte", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3219z00, BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2910z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3220za7, BGl_z62zc3z04anonymousza32275ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2911z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2274za7623221z00, BGl_z62lambda2274z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2912z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2273za7623222z00, BGl_z62lambda2273z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2913z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3223za7, BGl_z62zc3z04anonymousza32282ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2914z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2281za7623224z00, BGl_z62lambda2281z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2915z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2280za7623225z00, BGl_z62lambda2280z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2840z00zz__multimediazd2midizd2, BgL_bgl_string2840za700za7za7_3226za7, "&string-stream-read-int16", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2916z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3227za7, BGl_z62zc3z04anonymousza32187ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2841z00zz__multimediazd2midizd2, BgL_bgl_string2841za700za7za7_3228za7, "&string-stream-read-int32", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2917z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2185za7623229z00, BGl_z62lambda2185z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2842z00zz__multimediazd2midizd2, BgL_bgl_string2842za700za7za7_3230za7, "&string-stream-read-int", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2918z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2182za7623231z00, BGl_z62lambda2182z62zz__multimediazd2midizd2, 0L, BUNSPEC, 14 );
DEFINE_STRING( BGl_string2843z00zz__multimediazd2midizd2, BgL_bgl_string2843za700za7za7_3232za7, "&string-stream-read-chars", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2919z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2298za7623233z00, BGl_z62lambda2298z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2844z00zz__multimediazd2midizd2, BgL_bgl_string2844za700za7za7_3234za7, "&midiplayer-cdelay", 18 );
DEFINE_STRING( BGl_string2845z00zz__multimediazd2midizd2, BgL_bgl_string2845za700za7za7_3235za7, "miditrack", 9 );
DEFINE_STRING( BGl_string2846z00zz__multimediazd2midizd2, BgL_bgl_string2846za700za7za7_3236za7, "&midiplayer-ignore", 18 );
DEFINE_STRING( BGl_string2847z00zz__multimediazd2midizd2, BgL_bgl_string2847za700za7za7_3237za7, "&midiplayer-noteoff", 19 );
DEFINE_STRING( BGl_string2848z00zz__multimediazd2midizd2, BgL_bgl_string2848za700za7za7_3238za7, "&midiplayer-noteon", 18 );
DEFINE_STRING( BGl_string2849z00zz__multimediazd2midizd2, BgL_bgl_string2849za700za7za7_3239za7, "&midiplayer-aftertouch", 22 );
BGL_IMPORT obj_t BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2920z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2297za7623240z00, BGl_z62lambda2297z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2921z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2303za7623241z00, BGl_z62lambda2303z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2922z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2302za7623242z00, BGl_z62lambda2302z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2923z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2308za7623243z00, BGl_z62lambda2308z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2924z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2307za7623244z00, BGl_z62lambda2307z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2925z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2313za7623245z00, BGl_z62lambda2313z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2850z00zz__multimediazd2midizd2, BgL_bgl_string2850za700za7za7_3246za7, "&midiplayer-ctrlchange", 22 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23247z00, BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2926z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2312za7623248z00, BGl_z62lambda2312z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2851z00zz__multimediazd2midizd2, BgL_bgl_string2851za700za7za7_3249za7, "&midiplayer-prgmchange", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3250z00, BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2927z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2318za7623251z00, BGl_z62lambda2318z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2852z00zz__multimediazd2midizd2, BgL_bgl_string2852za700za7za7_3252za7, "&midiplayer-after-touch", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2928z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2317za7623253z00, BGl_z62lambda2317z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2853z00zz__multimediazd2midizd2, BgL_bgl_string2853za700za7za7_3254za7, "&midiplayer-pitch", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2929z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2323za7623255z00, BGl_z62lambda2323z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2854z00zz__multimediazd2midizd2, BgL_bgl_string2854za700za7za7_3256za7, "&midiplayer-sysex", 17 );
DEFINE_STRING( BGl_string2855z00zz__multimediazd2midizd2, BgL_bgl_string2855za700za7za7_3257za7, "~a[~a]", 6 );
DEFINE_STRING( BGl_string2856z00zz__multimediazd2midizd2, BgL_bgl_string2856za700za7za7_3258za7, "&midi-note-name", 15 );
DEFINE_STRING( BGl_string2857z00zz__multimediazd2midizd2, BgL_bgl_string2857za700za7za7_3259za7, "unknown controller", 18 );
DEFINE_STRING( BGl_string2858z00zz__multimediazd2midizd2, BgL_bgl_string2858za700za7za7_3260za7, "&midi-controller-name", 21 );
DEFINE_STRING( BGl_string2859z00zz__multimediazd2midizd2, BgL_bgl_string2859za700za7za7_3261za7, "unknown program", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int16za73262za7, BGl_z62readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2930z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2322za7623263z00, BGl_z62lambda2322z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2931z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2328za7623264z00, BGl_z62lambda2328z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2932z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2327za7623265z00, BGl_z62lambda2327z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2933z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3266za7, BGl_z62zc3z04anonymousza32293ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2934z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2291za7623267z00, BGl_z62lambda2291z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2935z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2288za7623268z00, BGl_z62lambda2288z62zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2860z00zz__multimediazd2midizd2, BgL_bgl_string2860za700za7za7_3269za7, "&midi-program-name", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2936z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3270za7, BGl_z62zc3z04anonymousza32346ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2861z00zz__multimediazd2midizd2, BgL_bgl_string2861za700za7za7_3271za7, "&midi-program-index", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2937z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2345za7623272z00, BGl_z62lambda2345z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2938z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2344za7623273z00, BGl_z62lambda2344z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2939z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3274za7, BGl_z62zc3z04anonymousza32353ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2940z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2352za7623275z00, BGl_z62lambda2352z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2941z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2351za7623276z00, BGl_z62lambda2351z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2942z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3277za7, BGl_z62zc3z04anonymousza32360ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2943z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2359za7623278z00, BGl_z62lambda2359z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2862z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2155za7623279z00, BGl_z62lambda2155z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2944z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2358za7623280z00, BGl_z62lambda2358z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2863z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2154za7623281z00, BGl_z62lambda2154z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23282z00, BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2945z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3283za7, BGl_z62zc3z04anonymousza32367ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2864z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3284za7, BGl_z62zc3z04anonymousza32162ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2946z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2366za7623285z00, BGl_z62lambda2366z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2865z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2161za7623286z00, BGl_z62lambda2161z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2947z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2365za7623287z00, BGl_z62lambda2365z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2866z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2160za7623288z00, BGl_z62lambda2160z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2948z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3289za7, BGl_z62zc3z04anonymousza32374ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2867z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3290za7, BGl_z62zc3z04anonymousza32169ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2949z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2373za7623291z00, BGl_z62lambda2373z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2868z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2168za7623292z00, BGl_z62lambda2168z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2869z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2167za7623293z00, BGl_z62lambda2167z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_sleepzd2envzd2zz__osz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2950z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2372za7623294z00, BGl_z62lambda2372z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2951z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3295za7, BGl_z62zc3z04anonymousza32381ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2870z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3296za7, BGl_z62zc3z04anonymousza32176ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2952z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2380za7623297z00, BGl_z62lambda2380z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2871z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2175za7623298z00, BGl_z62lambda2175z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2953z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2379za7623299z00, BGl_z62lambda2379z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2872z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2174za7623300z00, BGl_z62lambda2174z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2954z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3301za7, BGl_z62zc3z04anonymousza32388ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2873z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3302za7, BGl_z62zc3z04anonymousza32150ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2955z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2387za7623303z00, BGl_z62lambda2387z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2874z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2148za7623304z00, BGl_z62lambda2148z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2793z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3305za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2956z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2386za7623306z00, BGl_z62lambda2386z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2875z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2145za7623307z00, BGl_z62lambda2145z62zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2794z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3308za7, BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2957z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3309za7, BGl_z62zc3z04anonymousza32395ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2876z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3310za7, BGl_z62zc3z04anonymousza32194ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2795z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3311za7, BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2958z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2394za7623312z00, BGl_z62lambda2394z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2877z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2193za7623313z00, BGl_z62lambda2193z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2796z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3314za7, BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2959z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2393za7623315z00, BGl_z62lambda2393z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2878z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2192za7623316z00, BGl_z62lambda2192z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2797z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3317za7, BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2879z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2200za7623318z00, BGl_z62lambda2200z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2798z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3319za7, BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2799z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3320za7, BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2960z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3321za7, BGl_z62zc3z04anonymousza32402ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2961z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2401za7623322z00, BGl_z62lambda2401z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2880z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2199za7623323z00, BGl_z62lambda2199z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2962z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2400za7623324z00, BGl_z62lambda2400z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2881z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2205za7623325z00, BGl_z62lambda2205z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2963z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3326za7, BGl_z62zc3z04anonymousza32409ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2882z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2204za7623327z00, BGl_z62lambda2204z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2964z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2408za7623328z00, BGl_z62lambda2408z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2883z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3329za7, BGl_z62zc3z04anonymousza32212ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2965z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2407za7623330z00, BGl_z62lambda2407z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2884z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2211za7623331z00, BGl_z62lambda2211z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2966z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3332za7, BGl_z62zc3z04anonymousza32416ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2885z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2210za7623333z00, BGl_z62lambda2210z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2967z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2415za7623334z00, BGl_z62lambda2415z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2886z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3335za7, BGl_z62zc3z04anonymousza32219ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2968z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2414za7623336z00, BGl_z62lambda2414z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2887z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2218za7623337z00, BGl_z62lambda2218z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2969z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3338za7, BGl_z62zc3z04anonymousza32423ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2888z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2217za7623339z00, BGl_z62lambda2217z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2889z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3340za7, BGl_z62zc3z04anonymousza32226ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2970z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2422za7623341z00, BGl_z62lambda2422z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2971z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2421za7623342z00, BGl_z62lambda2421z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2890z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2225za7623343z00, BGl_z62lambda2225z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2972z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3344za7, BGl_z62zc3z04anonymousza32430ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2891z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2224za7623345z00, BGl_z62lambda2224z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2973z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2429za7623346z00, BGl_z62lambda2429z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2892z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3347za7, BGl_z62zc3z04anonymousza32233ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2974z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2428za7623348z00, BGl_z62lambda2428z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2893z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2232za7623349z00, BGl_z62lambda2232z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2975z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3350za7, BGl_z62zc3z04anonymousza32437ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2894z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2231za7623351z00, BGl_z62lambda2231z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2976z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2436za7623352z00, BGl_z62lambda2436z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2895z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3353za7, BGl_z62zc3z04anonymousza32240ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2977z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2435za7623354z00, BGl_z62lambda2435z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2896z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2239za7623355z00, BGl_z62lambda2239z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2978z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3356za7, BGl_z62zc3z04anonymousza32444ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2897z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2238za7623357z00, BGl_z62lambda2238z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2979z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2443za7623358z00, BGl_z62lambda2443z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2898z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3359za7, BGl_z62zc3z04anonymousza32247ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2899z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2246za7623360z00, BGl_z62lambda2246z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2980z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2442za7623361z00, BGl_z62lambda2442z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2981z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3362za7, BGl_z62zc3z04anonymousza32451ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2982z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2450za7623363z00, BGl_z62lambda2450z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2983z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2449za7623364z00, BGl_z62lambda2449z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2984z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3365za7, BGl_z62zc3z04anonymousza32458ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2985z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2457za7623366z00, BGl_z62lambda2457z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2986z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2456za7623367z00, BGl_z62lambda2456z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2987z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3368za7, BGl_z62zc3z04anonymousza32465ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2988z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2464za7623369z00, BGl_z62lambda2464z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2989z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2463za7623370z00, BGl_z62lambda2463z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2990z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3371za7, BGl_z62zc3z04anonymousza32472ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2991z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2471za7623372z00, BGl_z62lambda2471z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2992z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2470za7623373z00, BGl_z62lambda2470z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2993z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3374za7, BGl_z62zc3z04anonymousza32479ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2994z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2478za7623375z00, BGl_z62lambda2478z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2995z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2477za7623376z00, BGl_z62lambda2477z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2996z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3377za7, BGl_z62zc3z04anonymousza32486ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2997z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2485za7623378z00, BGl_z62lambda2485z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2998z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2484za7623379z00, BGl_z62lambda2484z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2999z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3380za7, BGl_z62zc3z04anonymousza32493ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2f3381z00, BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2indexzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3382z00, BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23383z00, BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3384z00, BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23385z00, BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23386z00, BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3387z00, BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3388z00, BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23389z00, BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3390z00, BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3000z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2492za7623391z00, BGl_z62lambda2492z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3001z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2491za7623392z00, BGl_z62lambda2491z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3002z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3za704anonymo3393za7, BGl_z62zc3z04anonymousza32500ze3ze5zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_midisinkzd2nullzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiscorez00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2programzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_miditrackz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midisinkz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerzd2readzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2textzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2notezd2namesz00zz__multimediazd2midizd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long BgL_checksumz00_5179, char * BgL_fromz00_5180)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2midizd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2(); 
BGl_cnstzd2initzd2zz__multimediazd2midizd2(); 
BGl_objectzd2initzd2zz__multimediazd2midizd2(); 
BGl_genericzd2initzd2zz__multimediazd2midizd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2midizd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-midi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
 obj_t BgL_cportz00_3842;
{ /* Llib/midi.scm 15 */
 obj_t BgL_stringz00_3850;
BgL_stringz00_3850 = BGl_string3061z00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 15 */
 obj_t BgL_startz00_3851;
BgL_startz00_3851 = 
BINT(((long)0)); 
{ /* Llib/midi.scm 15 */
 obj_t BgL_endz00_3852;
BgL_endz00_3852 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3850))); 
{ /* Llib/midi.scm 15 */

BgL_cportz00_3842 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3850, BgL_startz00_3851, BgL_endz00_3852); } } } } 
{ 
 long BgL_iz00_3843;
BgL_iz00_3843 = ((long)75); 
BgL_loopz00_3844:
if(
(BgL_iz00_3843==((long)-1)))
{ /* Llib/midi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
 obj_t BgL_arg3063z00_3846;
{ /* Llib/midi.scm 15 */

{ /* Llib/midi.scm 15 */
 obj_t BgL_locationz00_3848;
BgL_locationz00_3848 = 
BBOOL(((bool_t)0)); 
{ /* Llib/midi.scm 15 */

BgL_arg3063z00_3846 = 
BGl_readz00zz__readerz00(BgL_cportz00_3842, BgL_locationz00_3848); } } } 
{ /* Llib/midi.scm 15 */
 int BgL_tmpz00_5218;
BgL_tmpz00_5218 = 
(int)(BgL_iz00_3843); 
CNST_TABLE_SET(BgL_tmpz00_5218, BgL_arg3063z00_3846); } } 
{ /* Llib/midi.scm 15 */
 int BgL_auxz00_3849;
BgL_auxz00_3849 = 
(int)(
(BgL_iz00_3843-((long)1))); 
{ 
 long BgL_iz00_5223;
BgL_iz00_5223 = 
(long)(BgL_auxz00_3849); 
BgL_iz00_3843 = BgL_iz00_5223; 
goto BgL_loopz00_3844;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 133 */
 BgL_midireaderz00_bglt BgL_new1122z00_143;
{ /* Llib/midi.scm 134 */
 BgL_midireaderz00_bglt BgL_new1121z00_145;
BgL_new1121z00_145 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 134 */
 long BgL_arg1242z00_146;
BgL_arg1242z00_146 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_145), BgL_arg1242z00_146); } 
BgL_new1122z00_143 = BgL_new1121z00_145; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_peekzd2bytezd2)=((obj_t)BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2bytezd2)=((obj_t)BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2int16zd2)=((obj_t)BGl_readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2int32zd2)=((obj_t)BGl_readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2intzd2)=((obj_t)BGl_readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2vlqzd2)=((obj_t)BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_143))->BgL_readzd2charszd2)=((obj_t)BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
{ /* Llib/midi.scm 133 */
 obj_t BgL_fun1240z00_144;
BgL_fun1240z00_144 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1240z00_144)(BgL_fun1240z00_144, 
((obj_t)BgL_new1122z00_143), BEOA); } 
BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2 = BgL_new1122z00_143; } 
{ /* Llib/midi.scm 146 */
 BgL_midireaderz00_bglt BgL_new1124z00_147;
{ /* Llib/midi.scm 147 */
 BgL_midireaderz00_bglt BgL_new1123z00_149;
BgL_new1123z00_149 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 147 */
 long BgL_arg1250z00_150;
BgL_arg1250z00_150 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_149), BgL_arg1250z00_150); } 
BgL_new1124z00_147 = BgL_new1123z00_149; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_peekzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2int16zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2int32zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2intzd2)=((obj_t)BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2vlqzd2)=((obj_t)BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1124z00_147))->BgL_readzd2charszd2)=((obj_t)BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 146 */
 obj_t BgL_fun1243z00_148;
BgL_fun1243z00_148 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1243z00_148)(BgL_fun1243z00_148, 
((obj_t)BgL_new1124z00_147), BEOA); } 
BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2 = BgL_new1124z00_147; } 
{ /* Llib/midi.scm 159 */
 BgL_midiplayerz00_bglt BgL_new1126z00_151;
{ /* Llib/midi.scm 159 */
 BgL_midiplayerz00_bglt BgL_new1125z00_264;
BgL_new1125z00_264 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 159 */
 long BgL_arg1360z00_265;
BgL_arg1360z00_265 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_264), BgL_arg1360z00_265); } 
BgL_new1126z00_151 = BgL_new1125z00_264; } 
{ 
 obj_t BgL_auxz00_5264;
{ /* Llib/midi.scm 159 */
 obj_t BgL_arg1251z00_152;
{ /* Llib/midi.scm 159 */
 obj_t BgL_arg1252z00_153;
{ /* Llib/midi.scm 159 */
 obj_t BgL_classz00_1873;
BgL_classz00_1873 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1252z00_153 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1873); } 
BgL_arg1251z00_152 = 
VECTOR_REF(BgL_arg1252z00_153,((long)0)); } 
BgL_auxz00_5264 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1251z00_152); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_errz00)=((obj_t)BgL_auxz00_5264),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_cdelayz00)=((obj_t)BGl_proc2793z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_noteoffz00)=((obj_t)BGl_proc2794z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_noteonz00)=((obj_t)BGl_proc2795z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_aftertouchz00)=((obj_t)BGl_proc2796z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_ctrlchangez00)=((obj_t)BGl_proc2797z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_prgmchangez00)=((obj_t)BGl_proc2798z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_afterzd2touchzd2)=((obj_t)BGl_proc2799z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_pitchz00)=((obj_t)BGl_proc2800z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_sysexz00)=((obj_t)BGl_proc2801z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5278;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1262z00_214;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1263z00_215;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1875;
BgL_classz00_1875 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1263z00_215 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1875); } 
BgL_arg1262z00_214 = 
VECTOR_REF(BgL_arg1263z00_215,((long)10)); } 
BgL_auxz00_5278 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1262z00_214); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2seqnumzd2)=((obj_t)BgL_auxz00_5278),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5283;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1264z00_216;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1267z00_217;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1877;
BgL_classz00_1877 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1267z00_217 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1877); } 
BgL_arg1264z00_216 = 
VECTOR_REF(BgL_arg1267z00_217,((long)11)); } 
BgL_auxz00_5283 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1264z00_216); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2textzd2)=((obj_t)BgL_auxz00_5283),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5288;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1268z00_218;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1269z00_219;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1879;
BgL_classz00_1879 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1269z00_219 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1879); } 
BgL_arg1268z00_218 = 
VECTOR_REF(BgL_arg1269z00_219,((long)12)); } 
BgL_auxz00_5288 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1268z00_218); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2copyrightzd2)=((obj_t)BgL_auxz00_5288),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5293;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1270z00_220;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1271z00_221;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1881;
BgL_classz00_1881 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1271z00_221 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1881); } 
BgL_arg1270z00_220 = 
VECTOR_REF(BgL_arg1271z00_221,((long)13)); } 
BgL_auxz00_5293 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1270z00_220); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2trackzd2)=((obj_t)BgL_auxz00_5293),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5298;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1279z00_222;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1283z00_223;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1883;
BgL_classz00_1883 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1283z00_223 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1883); } 
BgL_arg1279z00_222 = 
VECTOR_REF(BgL_arg1283z00_223,((long)14)); } 
BgL_auxz00_5298 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1279z00_222); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2instrumentzd2)=((obj_t)BgL_auxz00_5298),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5303;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1285z00_224;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1286z00_225;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1885;
BgL_classz00_1885 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1286z00_225 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1885); } 
BgL_arg1285z00_224 = 
VECTOR_REF(BgL_arg1286z00_225,((long)15)); } 
BgL_auxz00_5303 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1285z00_224); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2lyriczd2)=((obj_t)BgL_auxz00_5303),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5308;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1287z00_226;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1288z00_227;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1887;
BgL_classz00_1887 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1288z00_227 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1887); } 
BgL_arg1287z00_226 = 
VECTOR_REF(BgL_arg1288z00_227,((long)16)); } 
BgL_auxz00_5308 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1287z00_226); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2markerzd2)=((obj_t)BgL_auxz00_5308),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5313;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1291z00_228;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1331z00_229;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1889;
BgL_classz00_1889 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1331z00_229 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1889); } 
BgL_arg1291z00_228 = 
VECTOR_REF(BgL_arg1331z00_229,((long)17)); } 
BgL_auxz00_5313 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1291z00_228); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2cuezd2)=((obj_t)BgL_auxz00_5313),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5318;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1332z00_230;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1333z00_231;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1891;
BgL_classz00_1891 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1333z00_231 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1891); } 
BgL_arg1332z00_230 = 
VECTOR_REF(BgL_arg1333z00_231,((long)18)); } 
BgL_auxz00_5318 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1332z00_230); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2prgmnamezd2)=((obj_t)BgL_auxz00_5318),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5323;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1338z00_232;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1339z00_233;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1893;
BgL_classz00_1893 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1339z00_233 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1893); } 
BgL_arg1338z00_232 = 
VECTOR_REF(BgL_arg1339z00_233,((long)19)); } 
BgL_auxz00_5323 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1338z00_232); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2devnamezd2)=((obj_t)BgL_auxz00_5323),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5328;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1340z00_234;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1341z00_235;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1895;
BgL_classz00_1895 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1341z00_235 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1895); } 
BgL_arg1340z00_234 = 
VECTOR_REF(BgL_arg1341z00_235,((long)20)); } 
BgL_auxz00_5328 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1340z00_234); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2channprefzd2)=((obj_t)BgL_auxz00_5328),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5333;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1342z00_236;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1343z00_237;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1897;
BgL_classz00_1897 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1343z00_237 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1897); } 
BgL_arg1342z00_236 = 
VECTOR_REF(BgL_arg1343z00_237,((long)21)); } 
BgL_auxz00_5333 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1342z00_236); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2midiportzd2)=((obj_t)BgL_auxz00_5333),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5338;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1345z00_238;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1348z00_239;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1899;
BgL_classz00_1899 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1348z00_239 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1899); } 
BgL_arg1345z00_238 = 
VECTOR_REF(BgL_arg1348z00_239,((long)22)); } 
BgL_auxz00_5338 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1345z00_238); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2eotzd2)=((obj_t)BgL_auxz00_5338),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5343;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1349z00_240;
{ /* Llib/midi.scm 168 */
 obj_t BgL_arg1351z00_241;
{ /* Llib/midi.scm 168 */
 obj_t BgL_classz00_1901;
BgL_classz00_1901 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1351z00_241 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1901); } 
BgL_arg1349z00_240 = 
VECTOR_REF(BgL_arg1351z00_241,((long)23)); } 
BgL_auxz00_5343 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1349z00_240); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2tempozd2)=((obj_t)BgL_auxz00_5343),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2smtpezd2)=((obj_t)BGl_proc2802z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2timesigzd2)=((obj_t)BGl_proc2803z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5350;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1354z00_259;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1355z00_260;
{ /* Llib/midi.scm 83 */
 obj_t BgL_classz00_1903;
BgL_classz00_1903 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1355z00_260 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1903); } 
BgL_arg1354z00_259 = 
VECTOR_REF(BgL_arg1355z00_260,((long)26)); } 
BgL_auxz00_5350 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1354z00_259); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2keysigzd2)=((obj_t)BgL_auxz00_5350),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_5355;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1357z00_261;
{ /* Llib/midi.scm 83 */
 obj_t BgL_arg1358z00_262;
{ /* Llib/midi.scm 83 */
 obj_t BgL_classz00_1905;
BgL_classz00_1905 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_arg1358z00_262 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1905); } 
BgL_arg1357z00_261 = 
VECTOR_REF(BgL_arg1358z00_262,((long)27)); } 
BgL_auxz00_5355 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1357z00_261); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1126z00_151))->BgL_metazd2seqspeczd2)=((obj_t)BgL_auxz00_5355),BUNSPEC); } 
{ /* Llib/midi.scm 159 */
 obj_t BgL_fun1359z00_263;
BgL_fun1359z00_263 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1359z00_263)(BgL_fun1359z00_263, 
((obj_t)BgL_new1126z00_151), BEOA); } 
BGl_midiplayerzd2readzd2zz__multimediazd2midizd2 = BgL_new1126z00_151; } 
{ /* Llib/midi.scm 174 */
 BgL_midisinkz00_bglt BgL_new1128z00_266;
{ /* Llib/midi.scm 174 */
 BgL_midisinkz00_bglt BgL_new1127z00_278;
BgL_new1127z00_278 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 174 */
 long BgL_arg1371z00_279;
BgL_arg1371z00_279 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_278), BgL_arg1371z00_279); } 
BgL_new1128z00_266 = BgL_new1127z00_278; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_usleepz00)=((obj_t)BGl_proc2804z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_writezd2bytezd2)=((obj_t)BGl_proc2805z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_writezd2stringzd2)=((obj_t)BGl_proc2806z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1128z00_266))->BgL_flushz00)=((obj_t)BGl_proc2807z00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 174 */
 obj_t BgL_fun1365z00_277;
BgL_fun1365z00_277 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1365z00_277)(BgL_fun1365z00_277, 
((obj_t)BgL_new1128z00_266), BEOA); } 
BGl_midisinkzd2nullzd2zz__multimediazd2midizd2 = BgL_new1128z00_266; } 
BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)0)); 
BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)1)); 
BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)2)); 
BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)3)); 
return BUNSPEC;} 

}



/* &<@anonymous:1364> */
obj_t BGl_z62zc3z04anonymousza31364ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2739, obj_t BgL_opz00_2740)
{
{ /* Llib/midi.scm 178 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1363> */
obj_t BGl_z62zc3z04anonymousza31363ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2741, obj_t BgL_opz00_2742, obj_t BgL_bz00_2743)
{
{ /* Llib/midi.scm 177 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1362> */
obj_t BGl_z62zc3z04anonymousza31362ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2744, obj_t BgL_opz00_2745, obj_t BgL_bz00_2746)
{
{ /* Llib/midi.scm 176 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1361> */
obj_t BGl_z62zc3z04anonymousza31361ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2747, obj_t BgL_sz00_2748)
{
{ /* Llib/midi.scm 175 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1353> */
obj_t BGl_z62zc3z04anonymousza31353ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2749, obj_t BgL_mpz00_2750, obj_t BgL_msz00_2751, obj_t BgL_tickz00_2752, obj_t BgL_nnz00_2753, obj_t BgL_ddz00_2754, obj_t BgL_ccz00_2755, obj_t BgL_bbz00_2756)
{
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1352> */
obj_t BGl_z62zc3z04anonymousza31352ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2757, obj_t BgL_mpz00_2758, obj_t BgL_msz00_2759, obj_t BgL_tickz00_2760, obj_t BgL_hrz00_2761, obj_t BgL_mmz00_2762, obj_t BgL_sez00_2763, obj_t BgL_frz00_2764, obj_t BgL_ffz00_2765)
{
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1261> */
obj_t BGl_z62zc3z04anonymousza31261ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2766, obj_t BgL_mpz00_2767, obj_t BgL_msz00_2768, obj_t BgL_tickz00_2769, obj_t BgL_sz00_2770)
{
{ /* Llib/midi.scm 168 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1260> */
obj_t BGl_z62zc3z04anonymousza31260ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2771, obj_t BgL_mpz00_2772, obj_t BgL_msz00_2773, obj_t BgL_tickz00_2774, obj_t BgL_xz00_2775, obj_t BgL_yz00_2776, obj_t BgL_za7za7_2777)
{
{ /* Llib/midi.scm 167 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1259> */
obj_t BGl_z62zc3z04anonymousza31259ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2778, obj_t BgL_mpz00_2779, obj_t BgL_msz00_2780, obj_t BgL_tickz00_2781, obj_t BgL_xz00_2782, obj_t BgL_yz00_2783)
{
{ /* Llib/midi.scm 166 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1258> */
obj_t BGl_z62zc3z04anonymousza31258ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2784, obj_t BgL_mpz00_2785, obj_t BgL_msz00_2786, obj_t BgL_tickz00_2787, obj_t BgL_xz00_2788, obj_t BgL_yz00_2789)
{
{ /* Llib/midi.scm 165 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1257> */
obj_t BGl_z62zc3z04anonymousza31257ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2790, obj_t BgL_mpz00_2791, obj_t BgL_msz00_2792, obj_t BgL_tickz00_2793, obj_t BgL_xz00_2794, obj_t BgL_yz00_2795, obj_t BgL_za7za7_2796)
{
{ /* Llib/midi.scm 164 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1256> */
obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2797, obj_t BgL_mpz00_2798, obj_t BgL_msz00_2799, obj_t BgL_tickz00_2800, obj_t BgL_xz00_2801, obj_t BgL_yz00_2802, obj_t BgL_za7za7_2803)
{
{ /* Llib/midi.scm 163 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1255> */
obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2804, obj_t BgL_mpz00_2805, obj_t BgL_msz00_2806, obj_t BgL_tickz00_2807, obj_t BgL_xz00_2808, obj_t BgL_yz00_2809, obj_t BgL_za7za7_2810)
{
{ /* Llib/midi.scm 162 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1254> */
obj_t BGl_z62zc3z04anonymousza31254ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2811, obj_t BgL_mpz00_2812, obj_t BgL_msz00_2813, obj_t BgL_tickz00_2814, obj_t BgL_xz00_2815, obj_t BgL_yz00_2816, obj_t BgL_za7za7_2817)
{
{ /* Llib/midi.scm 161 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2818, obj_t BgL_mpz00_2819, obj_t BgL_msz00_2820, obj_t BgL_tickz00_2821, obj_t BgL_trackz00_2822, obj_t BgL_ppqz00_2823, obj_t BgL_dtz00_2824, obj_t BgL_usz00_2825)
{
{ /* Llib/midi.scm 160 */
return 
BBOOL(((bool_t)0));} 

}



/* midiscore-file */
BGL_EXPORTED_DEF BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_13)
{
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
 obj_t BgL_ipz00_299;
{ /* Llib/midi.scm 184 */

BgL_ipz00_299 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_13, BTRUE, 
BINT(((long)5000000))); } 
{ /* Llib/midi.scm 185 */
 obj_t BgL_sza7za7_300;
BgL_sza7za7_300 = 
BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(BgL_ipz00_299); 
{ /* Llib/midi.scm 186 */
 obj_t BgL_fmtz00_301; obj_t BgL_tckz00_302; obj_t BgL_tempoz00_303; obj_t BgL_ppqz00_304;
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1917;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5403;
BgL_tmpz00_5403 = 
(int)(((long)1)); 
BgL_tmpz00_1917 = 
BGL_MVALUES_VAL(BgL_tmpz00_5403); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5406;
BgL_tmpz00_5406 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5406, BUNSPEC); } 
BgL_fmtz00_301 = BgL_tmpz00_1917; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1918;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5409;
BgL_tmpz00_5409 = 
(int)(((long)2)); 
BgL_tmpz00_1918 = 
BGL_MVALUES_VAL(BgL_tmpz00_5409); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5412;
BgL_tmpz00_5412 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5412, BUNSPEC); } 
BgL_tckz00_302 = BgL_tmpz00_1918; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1919;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5415;
BgL_tmpz00_5415 = 
(int)(((long)3)); 
BgL_tmpz00_1919 = 
BGL_MVALUES_VAL(BgL_tmpz00_5415); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5418;
BgL_tmpz00_5418 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5418, BUNSPEC); } 
BgL_tempoz00_303 = BgL_tmpz00_1919; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tmpz00_1920;
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5421;
BgL_tmpz00_5421 = 
(int)(((long)4)); 
BgL_tmpz00_1920 = 
BGL_MVALUES_VAL(BgL_tmpz00_5421); } 
{ /* Llib/midi.scm 187 */
 int BgL_tmpz00_5424;
BgL_tmpz00_5424 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5424, BUNSPEC); } 
BgL_ppqz00_304 = BgL_tmpz00_1920; } 
{ /* Llib/midi.scm 187 */
 obj_t BgL_tracksz00_305;
if(
INTEGERP(BgL_fmtz00_301))
{ /* Llib/midi.scm 187 */
switch( 
(long)CINT(BgL_fmtz00_301)) { case ((long)0) : 

{ /* Llib/midi.scm 188 */
 obj_t BgL_v1186z00_313;
BgL_v1186z00_313 = 
create_vector(((long)1)); 
{ /* Llib/midi.scm 188 */
 BgL_miditrackz00_bglt BgL_arg1564z00_314;
BgL_arg1564z00_314 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_299, 
(long)CINT(BgL_tempoz00_303)); 
VECTOR_SET(BgL_v1186z00_313,((long)0),
((obj_t)BgL_arg1564z00_314)); } 
BgL_tracksz00_305 = BgL_v1186z00_313; } break;case ((long)1) : 

BgL_tracksz00_305 = 
BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_299, 
(long)CINT(BgL_tempoz00_303), BgL_tckz00_302); break;case ((long)2) : 

BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2808z00zz__multimediazd2midizd2, BGl_string2809z00zz__multimediazd2midizd2, BgL_fmtz00_301); break;
default: 
BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2810z00zz__multimediazd2midizd2, BGl_string2811z00zz__multimediazd2midizd2, BgL_fmtz00_301); } }  else 
{ /* Llib/midi.scm 187 */
BgL_tracksz00_305 = 
BGl_errorz00zz__errorz00(BGl_string2810z00zz__multimediazd2midizd2, BGl_string2811z00zz__multimediazd2midizd2, BgL_fmtz00_301); } 
{ /* Llib/midi.scm 192 */
 BgL_midiscorez00_bglt BgL_new1132z00_306;
{ /* Llib/midi.scm 193 */
 BgL_midiscorez00_bglt BgL_new1131z00_308;
BgL_new1131z00_308 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 193 */
 long BgL_arg1562z00_309;
BgL_arg1562z00_309 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_308), BgL_arg1562z00_309); } 
BgL_new1132z00_306 = BgL_new1131z00_308; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1132z00_306))->BgL_formatz00)=((long)
(long)CINT(BgL_fmtz00_301)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1132z00_306))->BgL_tempoz00)=((long)
(long)CINT(BgL_tempoz00_303)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1132z00_306))->BgL_ppqz00)=((long)
(long)CINT(BgL_ppqz00_304)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1132z00_306))->BgL_tracksz00)=((obj_t)BgL_tracksz00_305),BUNSPEC); 
{ /* Llib/midi.scm 192 */
 obj_t BgL_fun1555z00_307;
BgL_fun1555z00_307 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1555z00_307)(BgL_fun1555z00_307, 
((obj_t)BgL_new1132z00_306), BEOA); } 
return BgL_new1132z00_306;} } } } } } 

}



/* &midiscore-file */
BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2858, obj_t BgL_filenamez00_2859)
{
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
 obj_t BgL_auxz00_5458;
if(
STRINGP(BgL_filenamez00_2859))
{ /* Llib/midi.scm 184 */
BgL_auxz00_5458 = BgL_filenamez00_2859
; }  else 
{ 
 obj_t BgL_auxz00_5461;
BgL_auxz00_5461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)8489)), BGl_string2813z00zz__multimediazd2midizd2, BGl_string2814z00zz__multimediazd2midizd2, BgL_filenamez00_2859); 
FAILURE(BgL_auxz00_5461,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2filezd2zz__multimediazd2midizd2(BgL_auxz00_5458);} } 

}



/* miditrack-input-port */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_15, long BgL_tempoz00_16)
{
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
 BgL_miditrackz00_bglt BgL_new1136z00_331;
{ /* Llib/midi.scm 213 */
 BgL_miditrackz00_bglt BgL_new1135z00_333;
BgL_new1135z00_333 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 213 */
 long BgL_arg1586z00_334;
BgL_arg1586z00_334 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_333), BgL_arg1586z00_334); } 
BgL_new1136z00_331 = BgL_new1135z00_333; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52streamz52)=((obj_t)BgL_ipz00_15),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52closez52)=((obj_t)BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
 int32_t BgL_auxz00_5476;
{ /* Llib/midi.scm 216 */
 obj_t BgL_tmpz00_5477;
BgL_tmpz00_5477 = 
BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(BgL_ipz00_15); 
BgL_auxz00_5476 = 
BGL_BINT32_TO_INT32(BgL_tmpz00_5477); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_lenz00)=((int32_t)BgL_auxz00_5476),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_tempoz00)=((long)BgL_tempoz00_16),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1136z00_331))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 212 */
 obj_t BgL_fun1585z00_332;
BgL_fun1585z00_332 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1585z00_332)(BgL_fun1585z00_332, 
((obj_t)BgL_new1136z00_331), BEOA); } 
return BgL_new1136z00_331;} } 

}



/* &miditrack-input-port */
BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t BgL_envz00_2860, obj_t BgL_ipz00_2861, obj_t BgL_tempoz00_2862)
{
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
 long BgL_auxz00_5501; obj_t BgL_auxz00_5494;
{ /* Llib/midi.scm 212 */
 obj_t BgL_tmpz00_5502;
if(
INTEGERP(BgL_tempoz00_2862))
{ /* Llib/midi.scm 212 */
BgL_tmpz00_5502 = BgL_tempoz00_2862
; }  else 
{ 
 obj_t BgL_auxz00_5505;
BgL_auxz00_5505 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string2815z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tempoz00_2862); 
FAILURE(BgL_auxz00_5505,BFALSE,BFALSE);} 
BgL_auxz00_5501 = 
(long)CINT(BgL_tmpz00_5502); } 
if(
INPUT_PORTP(BgL_ipz00_2861))
{ /* Llib/midi.scm 212 */
BgL_auxz00_5494 = BgL_ipz00_2861
; }  else 
{ 
 obj_t BgL_auxz00_5497;
BgL_auxz00_5497 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string2815z00zz__multimediazd2midizd2, BGl_string2816z00zz__multimediazd2midizd2, BgL_ipz00_2861); 
FAILURE(BgL_auxz00_5497,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_auxz00_5494, BgL_auxz00_5501);} } 

}



/* miditracks-input-port */
obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_17, long BgL_tempoz00_18, obj_t BgL_tnumz00_19)
{
{ /* Llib/midi.scm 222 */
{ 
 obj_t BgL_ipz00_361; long BgL_tempoz00_362;
{ /* Llib/midi.scm 241 */
 BgL_miditrackz00_bglt BgL_t0z00_337;
BgL_ipz00_361 = BgL_ipz00_17; 
BgL_tempoz00_362 = BgL_tempoz00_18; 
{ /* Llib/midi.scm 225 */
 BgL_miditrackz00_bglt BgL_trackz00_364;
BgL_trackz00_364 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_361, BgL_tempoz00_362); 
{ /* Llib/midi.scm 227 */
 BgL_midireaderz00_bglt BgL_i1138z00_366;
BgL_i1138z00_366 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52readerz52); 
{ 

BgL_zc3z04anonymousza31641ze3z87_368:
{ /* Llib/midi.scm 229 */
 obj_t BgL_fun1645z00_369;
BgL_fun1645z00_369 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1138z00_366))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 229 */
 obj_t BgL_arg1644z00_370;
BgL_arg1644z00_370 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52streamz52); 
PROCEDURE_ENTRY(BgL_fun1645z00_369)(BgL_fun1645z00_369, BgL_arg1644z00_370, BEOA); } } 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_364, BGl_midiplayerzd2readzd2zz__multimediazd2midizd2, BGl_midisinkzd2nullzd2zz__multimediazd2midizd2, ((long)0), ((long)0), ((long)0), 
LONG_TO_LLONG(((long)0))); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_364))->BgL_z52eotz52))
{ /* Llib/midi.scm 232 */
BgL_t0z00_337 = BgL_trackz00_364; }  else 
{ /* Llib/midi.scm 232 */
goto BgL_zc3z04anonymousza31641ze3z87_368;} } } } 
{ /* Llib/midi.scm 243 */
 obj_t BgL_filez00_339;
BgL_filez00_339 = 
INPUT_PORT_NAME(BgL_ipz00_17); 
{ /* Llib/midi.scm 244 */
 long BgL_g1140z00_340;
BgL_g1140z00_340 = 
INPUT_PORT_FILEPOS(BgL_ipz00_17); 
{ 
 long BgL_iz00_343; long BgL_posz00_344; obj_t BgL_tksz00_345;
BgL_iz00_343 = ((long)1); 
BgL_posz00_344 = BgL_g1140z00_340; 
BgL_tksz00_345 = BNIL; 
BgL_zc3z04anonymousza31587ze3z87_346:
if(
(BgL_iz00_343==
(long)CINT(BgL_tnumz00_19)))
{ /* Llib/midi.scm 248 */
 obj_t BgL_arg1599z00_348;
{ /* Llib/midi.scm 248 */
 obj_t BgL_arg1600z00_349;
BgL_arg1600z00_349 = 
bgl_reverse_bang(BgL_tksz00_345); 
BgL_arg1599z00_348 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_t0z00_337), BgL_arg1600z00_349); } 
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg1599z00_348);}  else 
{ /* Llib/midi.scm 249 */
 obj_t BgL_ipz00_350;
{ /* Llib/midi.scm 237 */
 obj_t BgL_portz00_1936;
{ /* Llib/midi.scm 237 */

BgL_portz00_1936 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_339, BTRUE, 
BINT(((long)5000000))); } 
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_portz00_1936, BgL_posz00_344); 
BgL_ipz00_350 = BgL_portz00_1936; } 
{ /* Llib/midi.scm 249 */
 BgL_miditrackz00_bglt BgL_tz00_351;
BgL_tz00_351 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_350, 
(((BgL_miditrackz00_bglt)COBJECT(BgL_t0z00_337))->BgL_tempoz00)); 
{ /* Llib/midi.scm 250 */

{ /* Llib/midi.scm 252 */
 long BgL_arg1602z00_353; long BgL_arg1614z00_354; obj_t BgL_arg1615z00_355;
BgL_arg1602z00_353 = 
(BgL_iz00_343+((long)1)); 
{ /* Llib/midi.scm 253 */
 long BgL_arg1616z00_356; long BgL_arg1635z00_357;
{ /* Llib/midi.scm 253 */
 obj_t BgL_tmpz00_5538;
BgL_tmpz00_5538 = 
((obj_t)BgL_ipz00_350); 
BgL_arg1616z00_356 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_5538); } 
{ /* Llib/midi.scm 253 */
 int32_t BgL_arg1636z00_358;
BgL_arg1636z00_358 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_tz00_351))->BgL_lenz00); 
{ /* Llib/midi.scm 253 */
 long BgL_arg1443z00_1943;
BgL_arg1443z00_1943 = 
(long)(BgL_arg1636z00_358); 
BgL_arg1635z00_357 = 
(long)(BgL_arg1443z00_1943); } } 
BgL_arg1614z00_354 = 
(BgL_arg1616z00_356+BgL_arg1635z00_357); } 
BgL_arg1615z00_355 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_351), BgL_tksz00_345); 
{ 
 obj_t BgL_tksz00_5549; long BgL_posz00_5548; long BgL_iz00_5547;
BgL_iz00_5547 = BgL_arg1602z00_353; 
BgL_posz00_5548 = BgL_arg1614z00_354; 
BgL_tksz00_5549 = BgL_arg1615z00_355; 
BgL_tksz00_345 = BgL_tksz00_5549; 
BgL_posz00_344 = BgL_posz00_5548; 
BgL_iz00_343 = BgL_iz00_5547; 
goto BgL_zc3z04anonymousza31587ze3z87_346;} } } } } } } } } } } 

}



/* miditrack-file */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_20, long BgL_offsetz00_21, long BgL_tempoz00_22)
{
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
 obj_t BgL_zc3z04anonymousza31649ze3z87_2865;
BgL_zc3z04anonymousza31649ze3z87_2865 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31649ze3ze5zz__multimediazd2midizd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31649ze3z87_2865, 
(int)(((long)0)), 
BINT(BgL_offsetz00_21)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31649ze3z87_2865, 
(int)(((long)1)), 
BINT(BgL_tempoz00_22)); 
return 
((BgL_miditrackz00_bglt)
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_filenamez00_20, BgL_zc3z04anonymousza31649ze3z87_2865));} } 

}



/* &miditrack-file */
BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2866, obj_t BgL_filenamez00_2867, obj_t BgL_offsetz00_2868, obj_t BgL_tempoz00_2869)
{
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
 long BgL_auxz00_5577; long BgL_auxz00_5568; obj_t BgL_auxz00_5561;
{ /* Llib/midi.scm 262 */
 obj_t BgL_tmpz00_5578;
if(
INTEGERP(BgL_tempoz00_2869))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_5578 = BgL_tempoz00_2869
; }  else 
{ 
 obj_t BgL_auxz00_5581;
BgL_auxz00_5581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tempoz00_2869); 
FAILURE(BgL_auxz00_5581,BFALSE,BFALSE);} 
BgL_auxz00_5577 = 
(long)CINT(BgL_tmpz00_5578); } 
{ /* Llib/midi.scm 262 */
 obj_t BgL_tmpz00_5569;
if(
INTEGERP(BgL_offsetz00_2868))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_5569 = BgL_offsetz00_2868
; }  else 
{ 
 obj_t BgL_auxz00_5572;
BgL_auxz00_5572 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_offsetz00_2868); 
FAILURE(BgL_auxz00_5572,BFALSE,BFALSE);} 
BgL_auxz00_5568 = 
(long)CINT(BgL_tmpz00_5569); } 
if(
STRINGP(BgL_filenamez00_2867))
{ /* Llib/midi.scm 262 */
BgL_auxz00_5561 = BgL_filenamez00_2867
; }  else 
{ 
 obj_t BgL_auxz00_5564;
BgL_auxz00_5564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string2818z00zz__multimediazd2midizd2, BGl_string2814z00zz__multimediazd2midizd2, BgL_filenamez00_2867); 
FAILURE(BgL_auxz00_5564,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2filezd2zz__multimediazd2midizd2(BgL_auxz00_5561, BgL_auxz00_5568, BgL_auxz00_5577);} } 

}



/* &<@anonymous:1649> */
obj_t BGl_z62zc3z04anonymousza31649ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2870, obj_t BgL_ipz00_2873)
{
{ /* Llib/midi.scm 261 */
{ /* Llib/midi.scm 262 */
 long BgL_offsetz00_2871; long BgL_tempoz00_2872;
BgL_offsetz00_2871 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2870, 
(int)(((long)0)))); 
BgL_tempoz00_2872 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2870, 
(int)(((long)1)))); 
{ 
 BgL_miditrackz00_bglt BgL_auxz00_5593;
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_ipz00_2873, BgL_offsetz00_2871); 
BgL_auxz00_5593 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_2873, BgL_tempoz00_2872); 
return 
((obj_t)BgL_auxz00_5593);} } } 

}



/* miditrack-string */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t BgL_stringz00_23, long BgL_tempoz00_24)
{
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
 BgL_miditrackz00_bglt BgL_new1144z00_386;
{ /* Llib/midi.scm 270 */
 BgL_miditrackz00_bglt BgL_new1143z00_390;
BgL_new1143z00_390 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 270 */
 long BgL_arg1656z00_391;
BgL_arg1656z00_391 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_390), BgL_arg1656z00_391); } 
BgL_new1144z00_386 = BgL_new1143z00_390; } 
{ 
 obj_t BgL_auxz00_5601;
{ /* Llib/midi.scm 127 */
 obj_t BgL_newz00_1952;
BgL_newz00_1952 = 
create_struct(
CNST_TABLE_REF(((long)4)), 
(int)(((long)2))); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_5607; int BgL_tmpz00_5605;
BgL_auxz00_5607 = 
BINT(((long)0)); 
BgL_tmpz00_5605 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1952, BgL_tmpz00_5605, BgL_auxz00_5607); } 
{ /* Llib/midi.scm 127 */
 int BgL_tmpz00_5610;
BgL_tmpz00_5610 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1952, BgL_tmpz00_5610, BgL_stringz00_23); } 
BgL_auxz00_5601 = BgL_newz00_1952; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52streamz52)=((obj_t)BgL_auxz00_5601),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52closez52)=((obj_t)BGl_proc2819z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
 int32_t BgL_auxz00_5619;
{ /* Llib/midi.scm 273 */
 long BgL_tmpz00_5620;
BgL_tmpz00_5620 = 
STRING_LENGTH(BgL_stringz00_23); 
BgL_auxz00_5619 = 
(int32_t)(BgL_tmpz00_5620); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_lenz00)=((int32_t)BgL_auxz00_5619),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_tempoz00)=((long)BgL_tempoz00_24),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1144z00_386))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 269 */
 obj_t BgL_fun1651z00_389;
BgL_fun1651z00_389 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1651z00_389)(BgL_fun1651z00_389, 
((obj_t)BgL_new1144z00_386), BEOA); } 
return BgL_new1144z00_386;} } 

}



/* &miditrack-string */
BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2875, obj_t BgL_stringz00_2876, obj_t BgL_tempoz00_2877)
{
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
 long BgL_auxz00_5644; obj_t BgL_auxz00_5637;
{ /* Llib/midi.scm 269 */
 obj_t BgL_tmpz00_5645;
if(
INTEGERP(BgL_tempoz00_2877))
{ /* Llib/midi.scm 269 */
BgL_tmpz00_5645 = BgL_tempoz00_2877
; }  else 
{ 
 obj_t BgL_auxz00_5648;
BgL_auxz00_5648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string2820z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tempoz00_2877); 
FAILURE(BgL_auxz00_5648,BFALSE,BFALSE);} 
BgL_auxz00_5644 = 
(long)CINT(BgL_tmpz00_5645); } 
if(
STRINGP(BgL_stringz00_2876))
{ /* Llib/midi.scm 269 */
BgL_auxz00_5637 = BgL_stringz00_2876
; }  else 
{ 
 obj_t BgL_auxz00_5640;
BgL_auxz00_5640 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string2820z00zz__multimediazd2midizd2, BGl_string2814z00zz__multimediazd2midizd2, BgL_stringz00_2876); 
FAILURE(BgL_auxz00_5640,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(BgL_auxz00_5637, BgL_auxz00_5644);} } 

}



/* &<@anonymous:1650> */
obj_t BGl_z62zc3z04anonymousza31650ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_2878, obj_t BgL_sz00_2879)
{
{ /* Llib/midi.scm 272 */
return 
BBOOL(((bool_t)0));} 

}



/* midiscore-play */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_25, BgL_midiplayerz00_bglt BgL_mplayerz00_26, BgL_midisinkz00_bglt BgL_msinkz00_27)
{
{ /* Llib/midi.scm 279 */
{ 

{ /* Llib/midi.scm 281 */
 long BgL_aux1147z00_394;
BgL_aux1147z00_394 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
switch( BgL_aux1147z00_394) { case ((long)0) : 

return 
BBOOL(
BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;case ((long)1) : 

return 
BBOOL(
BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;
default: 
{ /* Llib/midi.scm 284 */
 long BgL_arg1664z00_396;
BgL_arg1664z00_396 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
return 
BGl_errorz00zz__errorz00(BGl_string2821z00zz__multimediazd2midizd2, BGl_string2811z00zz__multimediazd2midizd2, 
BINT(BgL_arg1664z00_396));} } } } } 

}



/* &midiscore-play */
obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2880, obj_t BgL_mscorez00_2881, obj_t BgL_mplayerz00_2882, obj_t BgL_msinkz00_2883)
{
{ /* Llib/midi.scm 279 */
{ /* Llib/midi.scm 280 */
 BgL_midisinkz00_bglt BgL_auxz00_5680; BgL_midiplayerz00_bglt BgL_auxz00_5672; BgL_midiscorez00_bglt BgL_auxz00_5664;
if(
BGl_isazf3zf3zz__objectz00(BgL_msinkz00_2883, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5680 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_2883)
; }  else 
{ 
 obj_t BgL_auxz00_5684;
BgL_auxz00_5684 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msinkz00_2883); 
FAILURE(BgL_auxz00_5684,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mplayerz00_2882, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5672 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_2882)
; }  else 
{ 
 obj_t BgL_auxz00_5676;
BgL_auxz00_5676 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mplayerz00_2882); 
FAILURE(BgL_auxz00_5676,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mscorez00_2881, BGl_midiscorez00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_5664 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_2881)
; }  else 
{ 
 obj_t BgL_auxz00_5668;
BgL_auxz00_5668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string2822z00zz__multimediazd2midizd2, BGl_string2823z00zz__multimediazd2midizd2, BgL_mscorez00_2881); 
FAILURE(BgL_auxz00_5668,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_auxz00_5664, BgL_auxz00_5672, BgL_auxz00_5680);} } 

}



/* midiscore-play0 */
bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_28, BgL_midiplayerz00_bglt BgL_mplayerz00_29, BgL_midisinkz00_bglt BgL_msinkz00_30)
{
{ /* Llib/midi.scm 289 */
{ /* Llib/midi.scm 291 */
 obj_t BgL_trackz00_398;
BgL_trackz00_398 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_tracksz00),((long)0)); 
{ /* Llib/midi.scm 293 */
 BgL_midireaderz00_bglt BgL_i1150z00_400;
BgL_i1150z00_400 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52readerz52); 
{ 
 uint32_t BgL_tickz00_402;
BgL_tickz00_402 = (uint32_t)(0); 
BgL_zc3z04anonymousza31665ze3z87_403:
{ /* Llib/midi.scm 295 */
 BGL_LONGLONG_T BgL_t0z00_404;
BgL_t0z00_404 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 295 */
 obj_t BgL_dtz00_405;
{ /* Llib/midi.scm 296 */
 obj_t BgL_fun1674z00_410;
BgL_fun1674z00_410 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1150z00_400))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 296 */
 obj_t BgL_arg1673z00_411;
BgL_arg1673z00_411 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52streamz52); 
BgL_dtz00_405 = 
PROCEDURE_ENTRY(BgL_fun1674z00_410)(BgL_fun1674z00_410, BgL_arg1673z00_411, BEOA); } } 
{ /* Llib/midi.scm 296 */

{ /* Llib/midi.scm 298 */
 long BgL_arg1668z00_406; long BgL_arg1669z00_407;
BgL_arg1668z00_406 = 
(long)(BgL_tickz00_402); 
BgL_arg1669z00_407 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_ppqz00); 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_398), BgL_mplayerz00_29, BgL_msinkz00_30, BgL_arg1668z00_406, BgL_arg1669z00_407, 
(long)CINT(BgL_dtz00_405), BgL_t0z00_404); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_398)))->BgL_z52eotz52))
{ /* Llib/midi.scm 299 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 300 */
 uint32_t BgL_arg1672z00_409;
BgL_arg1672z00_409 = 
(BgL_tickz00_402+
(uint32_t)(((long)1))); 
{ 
 uint32_t BgL_tickz00_5711;
BgL_tickz00_5711 = BgL_arg1672z00_409; 
BgL_tickz00_402 = BgL_tickz00_5711; 
goto BgL_zc3z04anonymousza31665ze3z87_403;} } } } } } } } } 

}



/* midiscore-play1 */
bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_31, BgL_midiplayerz00_bglt BgL_mplayerz00_32, BgL_midisinkz00_bglt BgL_msinkz00_33)
{
{ /* Llib/midi.scm 305 */
{ /* Llib/midi.scm 307 */
 obj_t BgL_v1192z00_415;
BgL_v1192z00_415 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
{ /* Llib/midi.scm 307 */

{ 
 long BgL_i1191z00_418;
BgL_i1191z00_418 = ((long)0); 
BgL_zc3z04anonymousza31684ze3z87_419:
if(
(BgL_i1191z00_418<
VECTOR_LENGTH(BgL_v1192z00_415)))
{ /* Llib/midi.scm 307 */
{ /* Llib/midi.scm 308 */
 obj_t BgL_trackz00_421;
BgL_trackz00_421 = 
VECTOR_REF(BgL_v1192z00_415,BgL_i1191z00_418); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52eotz52))
{ /* Llib/midi.scm 309 */BFALSE; }  else 
{ /* Llib/midi.scm 310 */
 BgL_midireaderz00_bglt BgL_i1153z00_424;
BgL_i1153z00_424 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52readerz52); 
{ /* Llib/midi.scm 311 */
 obj_t BgL_dtz00_425;
{ /* Llib/midi.scm 311 */
 obj_t BgL_fun1690z00_426;
BgL_fun1690z00_426 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1153z00_424))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 311 */
 obj_t BgL_arg1689z00_427;
BgL_arg1689z00_427 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52streamz52); 
BgL_dtz00_425 = 
PROCEDURE_ENTRY(BgL_fun1690z00_426)(BgL_fun1690z00_426, BgL_arg1689z00_427, BEOA); } } 
{ 
 uint32_t BgL_auxz00_5729;
{ /* Llib/midi.scm 312 */
 long BgL_xz00_1965;
BgL_xz00_1965 = 
(long)CINT(BgL_dtz00_425); 
{ /* Llib/midi.scm 312 */
 int32_t BgL_tmpz00_5732;
BgL_tmpz00_5732 = 
(int32_t)(BgL_xz00_1965); 
BgL_auxz00_5729 = 
(uint32_t)(BgL_tmpz00_5732); } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_421)))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_5729),BUNSPEC); } } } } 
{ 
 long BgL_i1191z00_5736;
BgL_i1191z00_5736 = 
(BgL_i1191z00_418+((long)1)); 
BgL_i1191z00_418 = BgL_i1191z00_5736; 
goto BgL_zc3z04anonymousza31684ze3z87_419;} }  else 
{ /* Llib/midi.scm 307 */((bool_t)0); } } } } 
{ /* Llib/midi.scm 314 */
 long BgL_resz00_430;
{ /* Llib/midi.scm 314 */
 BgL_miditrackz00_bglt BgL_i1154z00_459;
{ /* Llib/midi.scm 314 */
 obj_t BgL_arg1732z00_462;
BgL_arg1732z00_462 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
BgL_i1154z00_459 = 
((BgL_miditrackz00_bglt)
VECTOR_REF(BgL_arg1732z00_462,((long)0))); } 
BgL_resz00_430 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_i1154z00_459))->BgL_tempoz00)/
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_ppqz00)); } 
{ 
 uint32_t BgL_tickz00_432;
BgL_tickz00_432 = (uint32_t)(0); 
BgL_zc3z04anonymousza31692ze3z87_433:
{ /* Llib/midi.scm 317 */
 BGL_LONGLONG_T BgL_t0z00_434;
BgL_t0z00_434 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 317 */
 bool_t BgL_eosz00_435;
BgL_eosz00_435 = ((bool_t)1); 
{ /* Llib/midi.scm 318 */

{ /* Llib/midi.scm 319 */
 long BgL_g1155z00_436;
{ /* Llib/midi.scm 319 */
 long BgL_arg1718z00_449;
BgL_arg1718z00_449 = 
VECTOR_LENGTH(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00)); 
BgL_g1155z00_436 = 
(BgL_arg1718z00_449-((long)1)); } 
{ 
 long BgL_iz00_438;
BgL_iz00_438 = BgL_g1155z00_436; 
BgL_zc3z04anonymousza31693ze3z87_439:
if(
(BgL_iz00_438>((long)0)))
{ /* Llib/midi.scm 320 */
{ /* Llib/midi.scm 321 */
 obj_t BgL_trackz00_441;
BgL_trackz00_441 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00),BgL_iz00_438); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_441)))->BgL_z52eotz52))
{ /* Llib/midi.scm 323 */BFALSE; }  else 
{ /* Llib/midi.scm 323 */
{ /* Llib/midi.scm 325 */
 long BgL_arg1698z00_444;
BgL_arg1698z00_444 = 
(long)(BgL_tickz00_432); 
BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_441), BgL_mplayerz00_32, BgL_msinkz00_33, BgL_arg1698z00_444); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_441)))->BgL_z52eotz52))
{ /* Llib/midi.scm 326 */BFALSE; }  else 
{ /* Llib/midi.scm 326 */
BgL_eosz00_435 = ((bool_t)0); } } } 
{ 
 long BgL_iz00_5761;
BgL_iz00_5761 = 
(BgL_iz00_438-((long)1)); 
BgL_iz00_438 = BgL_iz00_5761; 
goto BgL_zc3z04anonymousza31693ze3z87_439;} }  else 
{ /* Llib/midi.scm 320 */((bool_t)0); } } } 
if(BgL_eosz00_435)
{ /* Llib/midi.scm 328 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 329 */
 long BgL_usz00_451;
{ /* Llib/midi.scm 329 */
 BGL_LONGLONG_T BgL_tmpz00_5764;
BgL_tmpz00_5764 = 
(
bgl_current_microseconds()-BgL_t0z00_434); 
BgL_usz00_451 = 
LLONG_TO_LONG(BgL_tmpz00_5764); } 
{ /* Llib/midi.scm 331 */
 obj_t BgL_fun1721z00_453;
BgL_fun1721z00_453 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_33))->BgL_usleepz00); 
{ /* Llib/midi.scm 331 */
 long BgL_arg1720z00_454;
BgL_arg1720z00_454 = 
(BgL_resz00_430-BgL_usz00_451); 
PROCEDURE_ENTRY(BgL_fun1721z00_453)(BgL_fun1721z00_453, 
BINT(BgL_arg1720z00_454), BEOA); } } 
{ 
 uint32_t BgL_tickz00_5775;
BgL_tickz00_5775 = 
(BgL_tickz00_432+(uint32_t)(1)); 
BgL_tickz00_432 = BgL_tickz00_5775; 
goto BgL_zc3z04anonymousza31692ze3z87_433;} } } } } } } } 

}



/* miditrack-wait-event */
obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_34, BgL_midiplayerz00_bglt BgL_mplayerz00_35, BgL_midisinkz00_bglt BgL_msinkz00_36, long BgL_tickz00_37)
{
{ /* Llib/midi.scm 337 */
{ /* Llib/midi.scm 340 */
 BgL_midireaderz00_bglt BgL_i1159z00_464;
BgL_i1159z00_464 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52readerz52); 
{ /* Llib/midi.scm 341 */
 bool_t BgL_test3417z00_5778;
{ /* Llib/midi.scm 341 */
 uint32_t BgL_n2z00_1985;
BgL_n2z00_1985 = 
(uint32_t)(BgL_tickz00_37); 
BgL_test3417z00_5778 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)<=BgL_n2z00_1985); } 
if(BgL_test3417z00_5778)
{ 

BgL_zc3z04anonymousza31736ze3z87_468:
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_34, BgL_mplayerz00_35, BgL_msinkz00_36, BgL_tickz00_37, ((long)0), ((long)0), ((BGL_LONGLONG_T)0)); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52eotz52))
{ /* Llib/midi.scm 344 */
return BFALSE;}  else 
{ /* Llib/midi.scm 345 */
 obj_t BgL_dtz00_470;
{ /* Llib/midi.scm 345 */
 obj_t BgL_fun1748z00_473;
BgL_fun1748z00_473 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_464))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 345 */
 obj_t BgL_arg1747z00_474;
BgL_arg1747z00_474 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52streamz52); 
BgL_dtz00_470 = 
PROCEDURE_ENTRY(BgL_fun1748z00_473)(BgL_fun1748z00_473, BgL_arg1747z00_474, BEOA); } } 
if(
(
(long)CINT(BgL_dtz00_470)==((long)0)))
{ /* Llib/midi.scm 346 */
goto BgL_zc3z04anonymousza31736ze3z87_468;}  else 
{ 
 uint32_t BgL_auxz00_5794;
{ /* Llib/midi.scm 348 */
 int32_t BgL_arg1739z00_472;
{ /* Llib/midi.scm 348 */
 long BgL_xz00_1987;
BgL_xz00_1987 = 
(long)CINT(BgL_dtz00_470); 
BgL_arg1739z00_472 = 
(int32_t)(BgL_xz00_1987); } 
{ /* Llib/midi.scm 348 */
 uint32_t BgL_za71za7_1988; uint32_t BgL_za72za7_1989;
BgL_za71za7_1988 = 
(uint32_t)(BgL_tickz00_37); 
BgL_za72za7_1989 = 
(uint32_t)(BgL_arg1739z00_472); 
BgL_auxz00_5794 = 
(BgL_za71za7_1988+BgL_za72za7_1989); } } 
return 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_5794),BUNSPEC);} } }  else 
{ /* Llib/midi.scm 341 */
return BFALSE;} } } } 

}



/* miditrack-play-event */
obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_38, BgL_midiplayerz00_bglt BgL_mplayerz00_39, BgL_midisinkz00_bglt BgL_msinkz00_40, long BgL_tickz00_41, long BgL_ppqz00_42, long BgL_dtz00_43, BGL_LONGLONG_T BgL_t0z00_44)
{
{ /* Llib/midi.scm 353 */
{ /* Llib/midi.scm 357 */
 BgL_midireaderz00_bglt BgL_i1161z00_478;
BgL_i1161z00_478 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52readerz52); 
{ /* Llib/midi.scm 372 */
 obj_t BgL_statusz00_480;
{ /* Llib/midi.scm 372 */
 bool_t BgL_test3420z00_5802;
{ /* Llib/midi.scm 372 */
 obj_t BgL_arg2005z00_714;
{ /* Llib/midi.scm 372 */
 obj_t BgL_fun2007z00_715;
BgL_fun2007z00_715 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_peekzd2bytezd2); 
{ /* Llib/midi.scm 372 */
 obj_t BgL_arg2006z00_716;
BgL_arg2006z00_716 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg2005z00_714 = 
PROCEDURE_ENTRY(BgL_fun2007z00_715)(BgL_fun2007z00_715, BgL_arg2006z00_716, BEOA); } } 
BgL_test3420z00_5802 = 
(
(long)CINT(BgL_arg2005z00_714)<((long)128)); } 
if(BgL_test3420z00_5802)
{ /* Llib/midi.scm 372 */
BgL_statusz00_480 = 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)); }  else 
{ /* Llib/midi.scm 374 */
 obj_t BgL_sz00_711;
{ /* Llib/midi.scm 374 */
 obj_t BgL_fun2004z00_712;
BgL_fun2004z00_712 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 374 */
 obj_t BgL_arg2003z00_713;
BgL_arg2003z00_713 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sz00_711 = 
PROCEDURE_ENTRY(BgL_fun2004z00_712)(BgL_fun2004z00_712, BgL_arg2003z00_713, BEOA); } } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)=((long)
(long)CINT(BgL_sz00_711)),BUNSPEC); 
BgL_statusz00_480 = BgL_sz00_711; } } 
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)8)))
{ /* Llib/midi.scm 380 */
 long BgL_kkz00_483;
{ /* Llib/midi.scm 380 */
 obj_t BgL_arg1800z00_494;
{ /* Llib/midi.scm 380 */
 obj_t BgL_fun1802z00_495;
BgL_fun1802z00_495 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 380 */
 obj_t BgL_arg1801z00_496;
BgL_arg1801z00_496 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1800z00_494 = 
PROCEDURE_ENTRY(BgL_fun1802z00_495)(BgL_fun1802z00_495, BgL_arg1801z00_496, BEOA); } } 
BgL_kkz00_483 = 
(((long)127) & 
(long)CINT(BgL_arg1800z00_494)); } 
{ /* Llib/midi.scm 380 */
 long BgL_vvz00_484;
{ /* Llib/midi.scm 381 */
 obj_t BgL_arg1788z00_491;
{ /* Llib/midi.scm 381 */
 obj_t BgL_fun1791z00_492;
BgL_fun1791z00_492 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 381 */
 obj_t BgL_arg1790z00_493;
BgL_arg1790z00_493 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1788z00_491 = 
PROCEDURE_ENTRY(BgL_fun1791z00_492)(BgL_fun1791z00_492, BgL_arg1790z00_493, BEOA); } } 
BgL_vvz00_484 = 
(((long)127) & 
(long)CINT(BgL_arg1788z00_491)); } 
{ /* Llib/midi.scm 381 */

{ /* Llib/midi.scm 382 */
 obj_t BgL_fun1759z00_485;
BgL_fun1759z00_485 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 383 */
 long BgL_arg1758z00_486;
{ /* Llib/midi.scm 383 */
 BGL_LONGLONG_T BgL_tmpz00_5843;
BgL_tmpz00_5843 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1758z00_486 = 
LLONG_TO_LONG(BgL_tmpz00_5843); } 
PROCEDURE_ENTRY(BgL_fun1759z00_485)(BgL_fun1759z00_485, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1758z00_486), BEOA); } } 
{ /* Llib/midi.scm 384 */
 obj_t BgL_fun1782z00_489;
BgL_fun1782z00_489 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteoffz00); 
{ /* Llib/midi.scm 384 */
 long BgL_arg1781z00_490;
BgL_arg1781z00_490 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1782z00_489)(BgL_fun1782z00_489, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1781z00_490), 
BINT(BgL_kkz00_483), 
BINT(BgL_vvz00_484), BEOA); } } } } }  else 
{ /* Llib/midi.scm 378 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)9)))
{ /* Llib/midi.scm 387 */
 long BgL_kkz00_499;
{ /* Llib/midi.scm 387 */
 obj_t BgL_arg1822z00_510;
{ /* Llib/midi.scm 387 */
 obj_t BgL_fun1824z00_511;
BgL_fun1824z00_511 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 387 */
 obj_t BgL_arg1823z00_512;
BgL_arg1823z00_512 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1822z00_510 = 
PROCEDURE_ENTRY(BgL_fun1824z00_511)(BgL_fun1824z00_511, BgL_arg1823z00_512, BEOA); } } 
BgL_kkz00_499 = 
(((long)127) & 
(long)CINT(BgL_arg1822z00_510)); } 
{ /* Llib/midi.scm 387 */
 long BgL_vvz00_500;
{ /* Llib/midi.scm 388 */
 obj_t BgL_arg1819z00_507;
{ /* Llib/midi.scm 388 */
 obj_t BgL_fun1821z00_508;
BgL_fun1821z00_508 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 388 */
 obj_t BgL_arg1820z00_509;
BgL_arg1820z00_509 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1819z00_507 = 
PROCEDURE_ENTRY(BgL_fun1821z00_508)(BgL_fun1821z00_508, BgL_arg1820z00_509, BEOA); } } 
BgL_vvz00_500 = 
(((long)127) & 
(long)CINT(BgL_arg1819z00_507)); } 
{ /* Llib/midi.scm 388 */

{ /* Llib/midi.scm 389 */
 obj_t BgL_fun1813z00_501;
BgL_fun1813z00_501 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 390 */
 long BgL_arg1812z00_502;
{ /* Llib/midi.scm 390 */
 BGL_LONGLONG_T BgL_tmpz00_5904;
BgL_tmpz00_5904 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1812z00_502 = 
LLONG_TO_LONG(BgL_tmpz00_5904); } 
PROCEDURE_ENTRY(BgL_fun1813z00_501)(BgL_fun1813z00_501, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1812z00_502), BEOA); } } 
{ /* Llib/midi.scm 391 */
 obj_t BgL_fun1818z00_505;
BgL_fun1818z00_505 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteonz00); 
{ /* Llib/midi.scm 391 */
 long BgL_arg1817z00_506;
BgL_arg1817z00_506 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1818z00_505)(BgL_fun1818z00_505, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1817z00_506), 
BINT(BgL_kkz00_499), 
BINT(BgL_vvz00_500), BEOA); } } } } }  else 
{ /* Llib/midi.scm 385 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)10)))
{ /* Llib/midi.scm 394 */
 long BgL_ccz00_515;
{ /* Llib/midi.scm 394 */
 obj_t BgL_arg1836z00_526;
{ /* Llib/midi.scm 394 */
 obj_t BgL_fun1838z00_527;
BgL_fun1838z00_527 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 394 */
 obj_t BgL_arg1837z00_528;
BgL_arg1837z00_528 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1836z00_526 = 
PROCEDURE_ENTRY(BgL_fun1838z00_527)(BgL_fun1838z00_527, BgL_arg1837z00_528, BEOA); } } 
BgL_ccz00_515 = 
(((long)127) & 
(long)CINT(BgL_arg1836z00_526)); } 
{ /* Llib/midi.scm 394 */
 long BgL_vvz00_516;
{ /* Llib/midi.scm 395 */
 obj_t BgL_arg1833z00_523;
{ /* Llib/midi.scm 395 */
 obj_t BgL_fun1835z00_524;
BgL_fun1835z00_524 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 395 */
 obj_t BgL_arg1834z00_525;
BgL_arg1834z00_525 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1833z00_523 = 
PROCEDURE_ENTRY(BgL_fun1835z00_524)(BgL_fun1835z00_524, BgL_arg1834z00_525, BEOA); } } 
BgL_vvz00_516 = 
(((long)127) & 
(long)CINT(BgL_arg1833z00_523)); } 
{ /* Llib/midi.scm 395 */

{ /* Llib/midi.scm 396 */
 obj_t BgL_fun1828z00_517;
BgL_fun1828z00_517 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 397 */
 long BgL_arg1827z00_518;
{ /* Llib/midi.scm 397 */
 BGL_LONGLONG_T BgL_tmpz00_5965;
BgL_tmpz00_5965 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1827z00_518 = 
LLONG_TO_LONG(BgL_tmpz00_5965); } 
PROCEDURE_ENTRY(BgL_fun1828z00_517)(BgL_fun1828z00_517, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1827z00_518), BEOA); } } 
{ /* Llib/midi.scm 398 */
 obj_t BgL_fun1832z00_521;
BgL_fun1832z00_521 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_aftertouchz00); 
{ /* Llib/midi.scm 398 */
 long BgL_arg1831z00_522;
BgL_arg1831z00_522 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1832z00_521)(BgL_fun1832z00_521, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1831z00_522), 
BINT(BgL_ccz00_515), 
BINT(BgL_vvz00_516), BEOA); } } } } }  else 
{ /* Llib/midi.scm 392 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)11)))
{ /* Llib/midi.scm 401 */
 long BgL_ccz00_531;
{ /* Llib/midi.scm 401 */
 obj_t BgL_arg1850z00_542;
{ /* Llib/midi.scm 401 */
 obj_t BgL_fun1852z00_543;
BgL_fun1852z00_543 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 401 */
 obj_t BgL_arg1851z00_544;
BgL_arg1851z00_544 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1850z00_542 = 
PROCEDURE_ENTRY(BgL_fun1852z00_543)(BgL_fun1852z00_543, BgL_arg1851z00_544, BEOA); } } 
BgL_ccz00_531 = 
(((long)127) & 
(long)CINT(BgL_arg1850z00_542)); } 
{ /* Llib/midi.scm 401 */
 long BgL_nnz00_532;
{ /* Llib/midi.scm 402 */
 obj_t BgL_arg1847z00_539;
{ /* Llib/midi.scm 402 */
 obj_t BgL_fun1849z00_540;
BgL_fun1849z00_540 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 402 */
 obj_t BgL_arg1848z00_541;
BgL_arg1848z00_541 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1847z00_539 = 
PROCEDURE_ENTRY(BgL_fun1849z00_540)(BgL_fun1849z00_540, BgL_arg1848z00_541, BEOA); } } 
BgL_nnz00_532 = 
(((long)127) & 
(long)CINT(BgL_arg1847z00_539)); } 
{ /* Llib/midi.scm 402 */

{ /* Llib/midi.scm 403 */
 obj_t BgL_fun1842z00_533;
BgL_fun1842z00_533 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 404 */
 long BgL_arg1841z00_534;
{ /* Llib/midi.scm 404 */
 BGL_LONGLONG_T BgL_tmpz00_6026;
BgL_tmpz00_6026 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1841z00_534 = 
LLONG_TO_LONG(BgL_tmpz00_6026); } 
PROCEDURE_ENTRY(BgL_fun1842z00_533)(BgL_fun1842z00_533, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1841z00_534), BEOA); } } 
{ /* Llib/midi.scm 405 */
 obj_t BgL_fun1846z00_537;
BgL_fun1846z00_537 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_ctrlchangez00); 
{ /* Llib/midi.scm 405 */
 long BgL_arg1845z00_538;
BgL_arg1845z00_538 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1846z00_537)(BgL_fun1846z00_537, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1845z00_538), 
BINT(BgL_ccz00_531), 
BINT(BgL_nnz00_532), BEOA); } } } } }  else 
{ /* Llib/midi.scm 399 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)12)))
{ /* Llib/midi.scm 408 */
 long BgL_ppz00_547;
{ /* Llib/midi.scm 408 */
 obj_t BgL_arg1861z00_554;
{ /* Llib/midi.scm 408 */
 obj_t BgL_fun1864z00_555;
BgL_fun1864z00_555 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 408 */
 obj_t BgL_arg1863z00_556;
BgL_arg1863z00_556 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1861z00_554 = 
PROCEDURE_ENTRY(BgL_fun1864z00_555)(BgL_fun1864z00_555, BgL_arg1863z00_556, BEOA); } } 
BgL_ppz00_547 = 
(((long)127) & 
(long)CINT(BgL_arg1861z00_554)); } 
{ /* Llib/midi.scm 409 */
 obj_t BgL_fun1856z00_548;
BgL_fun1856z00_548 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 410 */
 long BgL_arg1855z00_549;
{ /* Llib/midi.scm 410 */
 BGL_LONGLONG_T BgL_tmpz00_6079;
BgL_tmpz00_6079 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1855z00_549 = 
LLONG_TO_LONG(BgL_tmpz00_6079); } 
PROCEDURE_ENTRY(BgL_fun1856z00_548)(BgL_fun1856z00_548, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1855z00_549), BEOA); } } 
{ /* Llib/midi.scm 411 */
 obj_t BgL_fun1860z00_552;
BgL_fun1860z00_552 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_prgmchangez00); 
{ /* Llib/midi.scm 411 */
 long BgL_arg1859z00_553;
BgL_arg1859z00_553 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1860z00_552)(BgL_fun1860z00_552, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1859z00_553), 
BINT(BgL_ppz00_547), BEOA); } } }  else 
{ /* Llib/midi.scm 406 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)13)))
{ /* Llib/midi.scm 414 */
 long BgL_ppz00_559;
{ /* Llib/midi.scm 414 */
 obj_t BgL_arg1874z00_566;
{ /* Llib/midi.scm 414 */
 obj_t BgL_fun1876z00_567;
BgL_fun1876z00_567 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 414 */
 obj_t BgL_arg1875z00_568;
BgL_arg1875z00_568 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1874z00_566 = 
PROCEDURE_ENTRY(BgL_fun1876z00_567)(BgL_fun1876z00_567, BgL_arg1875z00_568, BEOA); } } 
BgL_ppz00_559 = 
(((long)127) & 
(long)CINT(BgL_arg1874z00_566)); } 
{ /* Llib/midi.scm 415 */
 obj_t BgL_fun1869z00_560;
BgL_fun1869z00_560 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 416 */
 long BgL_arg1868z00_561;
{ /* Llib/midi.scm 416 */
 BGL_LONGLONG_T BgL_tmpz00_6130;
BgL_tmpz00_6130 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1868z00_561 = 
LLONG_TO_LONG(BgL_tmpz00_6130); } 
PROCEDURE_ENTRY(BgL_fun1869z00_560)(BgL_fun1869z00_560, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1868z00_561), BEOA); } } 
{ /* Llib/midi.scm 417 */
 obj_t BgL_fun1873z00_564;
BgL_fun1873z00_564 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_afterzd2touchzd2); 
{ /* Llib/midi.scm 417 */
 long BgL_arg1872z00_565;
BgL_arg1872z00_565 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1873z00_564)(BgL_fun1873z00_564, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1872z00_565), 
BINT(BgL_ppz00_559), BEOA); } } }  else 
{ /* Llib/midi.scm 412 */
if(
(
(
(long)CINT(BgL_statusz00_480) >> 
(int)(((long)4)))==((long)14)))
{ /* Llib/midi.scm 420 */
 long BgL_ccz00_571;
{ /* Llib/midi.scm 420 */
 obj_t BgL_arg1888z00_582;
{ /* Llib/midi.scm 420 */
 obj_t BgL_fun1890z00_583;
BgL_fun1890z00_583 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 420 */
 obj_t BgL_arg1889z00_584;
BgL_arg1889z00_584 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1888z00_582 = 
PROCEDURE_ENTRY(BgL_fun1890z00_583)(BgL_fun1890z00_583, BgL_arg1889z00_584, BEOA); } } 
BgL_ccz00_571 = 
(((long)127) & 
(long)CINT(BgL_arg1888z00_582)); } 
{ /* Llib/midi.scm 420 */
 long BgL_vvz00_572;
{ /* Llib/midi.scm 421 */
 obj_t BgL_arg1885z00_579;
{ /* Llib/midi.scm 421 */
 obj_t BgL_fun1887z00_580;
BgL_fun1887z00_580 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 421 */
 obj_t BgL_arg1886z00_581;
BgL_arg1886z00_581 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1885z00_579 = 
PROCEDURE_ENTRY(BgL_fun1887z00_580)(BgL_fun1887z00_580, BgL_arg1886z00_581, BEOA); } } 
BgL_vvz00_572 = 
(((long)127) & 
(long)CINT(BgL_arg1885z00_579)); } 
{ /* Llib/midi.scm 421 */

{ /* Llib/midi.scm 422 */
 obj_t BgL_fun1880z00_573;
BgL_fun1880z00_573 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 423 */
 long BgL_arg1879z00_574;
{ /* Llib/midi.scm 423 */
 BGL_LONGLONG_T BgL_tmpz00_6189;
BgL_tmpz00_6189 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1879z00_574 = 
LLONG_TO_LONG(BgL_tmpz00_6189); } 
PROCEDURE_ENTRY(BgL_fun1880z00_573)(BgL_fun1880z00_573, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1879z00_574), BEOA); } } 
{ /* Llib/midi.scm 424 */
 obj_t BgL_fun1884z00_577;
BgL_fun1884z00_577 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_pitchz00); 
{ /* Llib/midi.scm 424 */
 long BgL_arg1883z00_578;
BgL_arg1883z00_578 = 
(
(long)CINT(BgL_statusz00_480) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1884z00_577)(BgL_fun1884z00_577, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1883z00_578), 
BINT(BgL_ccz00_571), 
BINT(BgL_vvz00_572), BEOA); } } } } }  else 
{ /* Llib/midi.scm 418 */
if(
(
(long)CINT(BgL_statusz00_480)==((long)255)))
{ /* Llib/midi.scm 427 */
 obj_t BgL_cz00_586;
{ /* Llib/midi.scm 427 */
 obj_t BgL_fun1978z00_683;
BgL_fun1978z00_683 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 427 */
 obj_t BgL_arg1977z00_684;
BgL_arg1977z00_684 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_cz00_586 = 
PROCEDURE_ENTRY(BgL_fun1978z00_683)(BgL_fun1978z00_683, BgL_arg1977z00_684, BEOA); } } 
{ /* Llib/midi.scm 427 */
 obj_t BgL_lz00_587;
{ /* Llib/midi.scm 428 */
 obj_t BgL_fun1976z00_681;
BgL_fun1976z00_681 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 428 */
 obj_t BgL_arg1975z00_682;
BgL_arg1975z00_682 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_lz00_587 = 
PROCEDURE_ENTRY(BgL_fun1976z00_681)(BgL_fun1976z00_681, BgL_arg1975z00_682, BEOA); } } 
{ /* Llib/midi.scm 428 */

{ 

if(
INTEGERP(BgL_cz00_586))
{ /* Llib/midi.scm 429 */
switch( 
(long)CINT(BgL_cz00_586)) { case ((long)0) : 

{ /* Llib/midi.scm 432 */
 obj_t BgL_fun1894z00_591;
BgL_fun1894z00_591 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqnumzd2); 
{ /* Llib/midi.scm 432 */
 int32_t BgL_arg1893z00_592;
BgL_arg1893z00_592 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1894z00_591)(BgL_fun1894z00_591, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BGL_INT32_TO_BINT32(BgL_arg1893z00_592), BEOA); } } break;case ((long)1) : 

{ /* Llib/midi.scm 435 */
 obj_t BgL_fun1897z00_594;
BgL_fun1897z00_594 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2textzd2); 
{ /* Llib/midi.scm 435 */
 obj_t BgL_arg1896z00_595;
{ /* Llib/midi.scm 435 */
 obj_t BgL_fun1899z00_596;
BgL_fun1899z00_596 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 435 */
 obj_t BgL_arg1898z00_597;
BgL_arg1898z00_597 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1896z00_595 = 
PROCEDURE_ENTRY(BgL_fun1899z00_596)(BgL_fun1899z00_596, BgL_lz00_587, BgL_arg1898z00_597, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1897z00_594)(BgL_fun1897z00_594, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1896z00_595, BEOA); } } break;case ((long)2) : 

{ /* Llib/midi.scm 438 */
 obj_t BgL_fun1901z00_598;
BgL_fun1901z00_598 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2copyrightzd2); 
{ /* Llib/midi.scm 438 */
 obj_t BgL_arg1900z00_599;
{ /* Llib/midi.scm 438 */
 obj_t BgL_fun1903z00_600;
BgL_fun1903z00_600 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 438 */
 obj_t BgL_arg1902z00_601;
BgL_arg1902z00_601 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1900z00_599 = 
PROCEDURE_ENTRY(BgL_fun1903z00_600)(BgL_fun1903z00_600, BgL_lz00_587, BgL_arg1902z00_601, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1901z00_598)(BgL_fun1901z00_598, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1900z00_599, BEOA); } } break;case ((long)3) : 

{ /* Llib/midi.scm 441 */
 obj_t BgL_fun1905z00_602;
BgL_fun1905z00_602 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2trackzd2); 
{ /* Llib/midi.scm 441 */
 obj_t BgL_arg1904z00_603;
{ /* Llib/midi.scm 441 */
 obj_t BgL_fun1908z00_604;
BgL_fun1908z00_604 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 441 */
 obj_t BgL_arg1907z00_605;
BgL_arg1907z00_605 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1904z00_603 = 
PROCEDURE_ENTRY(BgL_fun1908z00_604)(BgL_fun1908z00_604, BgL_lz00_587, BgL_arg1907z00_605, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1905z00_602)(BgL_fun1905z00_602, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1904z00_603, BEOA); } } break;case ((long)4) : 

{ /* Llib/midi.scm 444 */
 obj_t BgL_fun1910z00_606;
BgL_fun1910z00_606 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2instrumentzd2); 
{ /* Llib/midi.scm 444 */
 obj_t BgL_arg1909z00_607;
{ /* Llib/midi.scm 444 */
 obj_t BgL_fun1912z00_608;
BgL_fun1912z00_608 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 444 */
 obj_t BgL_arg1911z00_609;
BgL_arg1911z00_609 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1909z00_607 = 
PROCEDURE_ENTRY(BgL_fun1912z00_608)(BgL_fun1912z00_608, BgL_lz00_587, BgL_arg1911z00_609, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1910z00_606)(BgL_fun1910z00_606, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1909z00_607, BEOA); } } break;case ((long)5) : 

{ /* Llib/midi.scm 447 */
 obj_t BgL_fun1914z00_610;
BgL_fun1914z00_610 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2lyriczd2); 
{ /* Llib/midi.scm 447 */
 obj_t BgL_arg1913z00_611;
{ /* Llib/midi.scm 447 */
 obj_t BgL_fun1916z00_612;
BgL_fun1916z00_612 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 447 */
 obj_t BgL_arg1915z00_613;
BgL_arg1915z00_613 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1913z00_611 = 
PROCEDURE_ENTRY(BgL_fun1916z00_612)(BgL_fun1916z00_612, BgL_lz00_587, BgL_arg1915z00_613, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1914z00_610)(BgL_fun1914z00_610, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1913z00_611, BEOA); } } break;case ((long)6) : 

{ /* Llib/midi.scm 450 */
 obj_t BgL_fun1918z00_614;
BgL_fun1918z00_614 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2markerzd2); 
{ /* Llib/midi.scm 450 */
 obj_t BgL_arg1917z00_615;
{ /* Llib/midi.scm 450 */
 obj_t BgL_fun1920z00_616;
BgL_fun1920z00_616 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 450 */
 obj_t BgL_arg1919z00_617;
BgL_arg1919z00_617 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1917z00_615 = 
PROCEDURE_ENTRY(BgL_fun1920z00_616)(BgL_fun1920z00_616, BgL_lz00_587, BgL_arg1919z00_617, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1918z00_614)(BgL_fun1918z00_614, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1917z00_615, BEOA); } } break;case ((long)7) : 

{ /* Llib/midi.scm 453 */
 obj_t BgL_fun1922z00_618;
BgL_fun1922z00_618 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2cuezd2); 
{ /* Llib/midi.scm 453 */
 obj_t BgL_arg1921z00_619;
{ /* Llib/midi.scm 453 */
 obj_t BgL_fun1924z00_620;
BgL_fun1924z00_620 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 453 */
 obj_t BgL_arg1923z00_621;
BgL_arg1923z00_621 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1921z00_619 = 
PROCEDURE_ENTRY(BgL_fun1924z00_620)(BgL_fun1924z00_620, BgL_lz00_587, BgL_arg1923z00_621, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1922z00_618)(BgL_fun1922z00_618, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1921z00_619, BEOA); } } break;case ((long)8) : 

{ /* Llib/midi.scm 456 */
 obj_t BgL_fun1926z00_622;
BgL_fun1926z00_622 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2prgmnamezd2); 
{ /* Llib/midi.scm 456 */
 obj_t BgL_arg1925z00_623;
{ /* Llib/midi.scm 456 */
 obj_t BgL_fun1928z00_624;
BgL_fun1928z00_624 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 456 */
 obj_t BgL_arg1927z00_625;
BgL_arg1927z00_625 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1925z00_623 = 
PROCEDURE_ENTRY(BgL_fun1928z00_624)(BgL_fun1928z00_624, BgL_lz00_587, BgL_arg1927z00_625, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1926z00_622)(BgL_fun1926z00_622, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1925z00_623, BEOA); } } break;case ((long)9) : 

{ /* Llib/midi.scm 459 */
 obj_t BgL_fun1930z00_626;
BgL_fun1930z00_626 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2devnamezd2); 
{ /* Llib/midi.scm 459 */
 obj_t BgL_arg1929z00_627;
{ /* Llib/midi.scm 459 */
 obj_t BgL_fun1932z00_628;
BgL_fun1932z00_628 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 459 */
 obj_t BgL_arg1931z00_629;
BgL_arg1931z00_629 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1929z00_627 = 
PROCEDURE_ENTRY(BgL_fun1932z00_628)(BgL_fun1932z00_628, BgL_lz00_587, BgL_arg1931z00_629, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1930z00_626)(BgL_fun1930z00_626, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1929z00_627, BEOA); } } break;case ((long)32) : 

{ /* Llib/midi.scm 462 */
 obj_t BgL_fun1934z00_630;
BgL_fun1934z00_630 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 462 */
 obj_t BgL_arg1933z00_631;
{ /* Llib/midi.scm 462 */
 obj_t BgL_fun1936z00_632;
BgL_fun1936z00_632 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 462 */
 obj_t BgL_arg1935z00_633;
BgL_arg1935z00_633 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1933z00_631 = 
PROCEDURE_ENTRY(BgL_fun1936z00_632)(BgL_fun1936z00_632, BgL_arg1935z00_633, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1934z00_630)(BgL_fun1934z00_630, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1933z00_631, BEOA); } } break;case ((long)33) : 

{ /* Llib/midi.scm 465 */
 obj_t BgL_fun1938z00_634;
BgL_fun1938z00_634 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 465 */
 long BgL_arg1937z00_635;
BgL_arg1937z00_635 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1938z00_634)(BgL_fun1938z00_634, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1937z00_635), BEOA); } } break;case ((long)47) : 

((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52eotz52)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/midi.scm 469 */
 obj_t BgL_fun1940z00_637;
BgL_fun1940z00_637 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2eotzd2); 
PROCEDURE_ENTRY(BgL_fun1940z00_637)(BgL_fun1940z00_637, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BUNSPEC, BEOA); } break;case ((long)81) : 

{ 
 long BgL_auxz00_6465;
{ /* Llib/midi.scm 472 */
 obj_t BgL_arg1941z00_638;
BgL_arg1941z00_638 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_auxz00_6465 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), BgL_arg1941z00_638); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00)=((long)BgL_auxz00_6465),BUNSPEC); } 
{ /* Llib/midi.scm 473 */
 obj_t BgL_fun1943z00_639;
BgL_fun1943z00_639 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2tempozd2); 
{ /* Llib/midi.scm 473 */
 long BgL_arg1942z00_640;
BgL_arg1942z00_640 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00); 
PROCEDURE_ENTRY(BgL_fun1943z00_639)(BgL_fun1943z00_639, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1942z00_640), BEOA); } } break;case ((long)84) : 

{ /* Llib/midi.scm 476 */
 obj_t BgL_hrz00_641;
{ /* Llib/midi.scm 476 */
 obj_t BgL_fun1954z00_655;
BgL_fun1954z00_655 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 476 */
 obj_t BgL_arg1953z00_656;
BgL_arg1953z00_656 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_hrz00_641 = 
PROCEDURE_ENTRY(BgL_fun1954z00_655)(BgL_fun1954z00_655, BgL_arg1953z00_656, BEOA); } } 
{ /* Llib/midi.scm 476 */
 obj_t BgL_mmz00_642;
{ /* Llib/midi.scm 477 */
 obj_t BgL_fun1952z00_653;
BgL_fun1952z00_653 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 477 */
 obj_t BgL_arg1951z00_654;
BgL_arg1951z00_654 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_mmz00_642 = 
PROCEDURE_ENTRY(BgL_fun1952z00_653)(BgL_fun1952z00_653, BgL_arg1951z00_654, BEOA); } } 
{ /* Llib/midi.scm 477 */
 obj_t BgL_sez00_643;
{ /* Llib/midi.scm 478 */
 obj_t BgL_fun1950z00_651;
BgL_fun1950z00_651 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 478 */
 obj_t BgL_arg1949z00_652;
BgL_arg1949z00_652 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sez00_643 = 
PROCEDURE_ENTRY(BgL_fun1950z00_651)(BgL_fun1950z00_651, BgL_arg1949z00_652, BEOA); } } 
{ /* Llib/midi.scm 478 */
 obj_t BgL_frz00_644;
{ /* Llib/midi.scm 479 */
 obj_t BgL_fun1948z00_649;
BgL_fun1948z00_649 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 479 */
 obj_t BgL_arg1947z00_650;
BgL_arg1947z00_650 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_frz00_644 = 
PROCEDURE_ENTRY(BgL_fun1948z00_649)(BgL_fun1948z00_649, BgL_arg1947z00_650, BEOA); } } 
{ /* Llib/midi.scm 479 */
 obj_t BgL_ffz00_645;
{ /* Llib/midi.scm 480 */
 obj_t BgL_fun1946z00_647;
BgL_fun1946z00_647 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 480 */
 obj_t BgL_arg1945z00_648;
BgL_arg1945z00_648 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ffz00_645 = 
PROCEDURE_ENTRY(BgL_fun1946z00_647)(BgL_fun1946z00_647, BgL_arg1945z00_648, BEOA); } } 
{ /* Llib/midi.scm 480 */

{ /* Llib/midi.scm 481 */
 obj_t BgL_fun1944z00_646;
BgL_fun1944z00_646 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2smtpezd2); 
PROCEDURE_ENTRY(BgL_fun1944z00_646)(BgL_fun1944z00_646, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_hrz00_641, BgL_mmz00_642, BgL_sez00_643, BgL_frz00_644, BgL_ffz00_645, BEOA); } } } } } } } break;case ((long)88) : 

{ /* Llib/midi.scm 484 */
 obj_t BgL_nnz00_657;
{ /* Llib/midi.scm 484 */
 obj_t BgL_fun1963z00_668;
BgL_fun1963z00_668 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 484 */
 obj_t BgL_arg1962z00_669;
BgL_arg1962z00_669 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_nnz00_657 = 
PROCEDURE_ENTRY(BgL_fun1963z00_668)(BgL_fun1963z00_668, BgL_arg1962z00_669, BEOA); } } 
{ /* Llib/midi.scm 484 */
 obj_t BgL_ddz00_658;
{ /* Llib/midi.scm 485 */
 obj_t BgL_fun1961z00_666;
BgL_fun1961z00_666 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 485 */
 obj_t BgL_arg1960z00_667;
BgL_arg1960z00_667 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ddz00_658 = 
PROCEDURE_ENTRY(BgL_fun1961z00_666)(BgL_fun1961z00_666, BgL_arg1960z00_667, BEOA); } } 
{ /* Llib/midi.scm 485 */
 obj_t BgL_ccz00_659;
{ /* Llib/midi.scm 486 */
 obj_t BgL_fun1959z00_664;
BgL_fun1959z00_664 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 486 */
 obj_t BgL_arg1958z00_665;
BgL_arg1958z00_665 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ccz00_659 = 
PROCEDURE_ENTRY(BgL_fun1959z00_664)(BgL_fun1959z00_664, BgL_arg1958z00_665, BEOA); } } 
{ /* Llib/midi.scm 486 */
 obj_t BgL_bbz00_660;
{ /* Llib/midi.scm 487 */
 obj_t BgL_fun1957z00_662;
BgL_fun1957z00_662 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 487 */
 obj_t BgL_arg1956z00_663;
BgL_arg1956z00_663 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_bbz00_660 = 
PROCEDURE_ENTRY(BgL_fun1957z00_662)(BgL_fun1957z00_662, BgL_arg1956z00_663, BEOA); } } 
{ /* Llib/midi.scm 487 */

{ /* Llib/midi.scm 488 */
 obj_t BgL_fun1955z00_661;
BgL_fun1955z00_661 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2timesigzd2); 
PROCEDURE_ENTRY(BgL_fun1955z00_661)(BgL_fun1955z00_661, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_nnz00_657, BgL_ddz00_658, BgL_ccz00_659, BgL_bbz00_660, BEOA); } } } } } } break;case ((long)89) : 

{ /* Llib/midi.scm 491 */
 obj_t BgL_fun1965z00_670;
BgL_fun1965z00_670 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2keysigzd2); 
{ /* Llib/midi.scm 491 */
 long BgL_arg1964z00_671;
BgL_arg1964z00_671 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_587), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1965z00_670)(BgL_fun1965z00_670, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1964z00_671), BEOA); } } break;case ((long)127) : 

{ /* Llib/midi.scm 494 */
 obj_t BgL_fun1968z00_673;
BgL_fun1968z00_673 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqspeczd2); 
{ /* Llib/midi.scm 494 */
 obj_t BgL_arg1967z00_674;
{ /* Llib/midi.scm 494 */
 obj_t BgL_fun1970z00_675;
BgL_fun1970z00_675 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 494 */
 obj_t BgL_arg1969z00_676;
BgL_arg1969z00_676 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1967z00_674 = 
PROCEDURE_ENTRY(BgL_fun1970z00_675)(BgL_fun1970z00_675, BgL_lz00_587, BgL_arg1969z00_676, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1968z00_673)(BgL_fun1968z00_673, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1967z00_674, BEOA); } } break;
default: 
BgL_case_else1163z00_588:
{ /* Llib/midi.scm 496 */
 obj_t BgL_fun1972z00_677;
BgL_fun1972z00_677 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
{ /* Llib/midi.scm 497 */
 obj_t BgL_arg1971z00_678;
{ /* Llib/midi.scm 497 */
 obj_t BgL_list1973z00_679;
{ /* Llib/midi.scm 497 */
 obj_t BgL_arg1974z00_680;
BgL_arg1974z00_680 = 
MAKE_YOUNG_PAIR(BgL_cz00_586, BNIL); 
BgL_list1973z00_679 = 
MAKE_YOUNG_PAIR(BgL_statusz00_480, BgL_arg1974z00_680); } 
BgL_arg1971z00_678 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2826z00zz__multimediazd2midizd2, BgL_list1973z00_679); } 
PROCEDURE_ENTRY(BgL_fun1972z00_677)(BgL_fun1972z00_677, BGl_string2827z00zz__multimediazd2midizd2, BGl_string2828z00zz__multimediazd2midizd2, BgL_arg1971z00_678, BEOA); } } } }  else 
{ /* Llib/midi.scm 429 */
goto BgL_case_else1163z00_588;} } } } }  else 
{ /* Llib/midi.scm 498 */
 bool_t BgL_test3430z00_6611;
if(
(
(long)CINT(BgL_statusz00_480)==((long)240)))
{ /* Llib/midi.scm 498 */
BgL_test3430z00_6611 = ((bool_t)1)
; }  else 
{ /* Llib/midi.scm 498 */
BgL_test3430z00_6611 = 
(
(long)CINT(BgL_statusz00_480)==((long)247))
; } 
if(BgL_test3430z00_6611)
{ /* Llib/midi.scm 500 */
 obj_t BgL_strz00_687;
{ /* Llib/midi.scm 500 */
 obj_t BgL_fun1988z00_693;
BgL_fun1988z00_693 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 500 */
 obj_t BgL_arg1986z00_694; obj_t BgL_arg1987z00_695;
{ /* Llib/midi.scm 500 */
 obj_t BgL_fun1990z00_696;
BgL_fun1990z00_696 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1161z00_478))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 500 */
 obj_t BgL_arg1989z00_697;
BgL_arg1989z00_697 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1986z00_694 = 
PROCEDURE_ENTRY(BgL_fun1990z00_696)(BgL_fun1990z00_696, BgL_arg1989z00_697, BEOA); } } 
BgL_arg1987z00_695 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_strz00_687 = 
PROCEDURE_ENTRY(BgL_fun1988z00_693)(BgL_fun1988z00_693, BgL_arg1986z00_694, BgL_arg1987z00_695, BEOA); } } 
{ /* Llib/midi.scm 501 */
 obj_t BgL_fun1982z00_688;
BgL_fun1982z00_688 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 502 */
 long BgL_arg1981z00_689;
{ /* Llib/midi.scm 502 */
 BGL_LONGLONG_T BgL_tmpz00_6631;
BgL_tmpz00_6631 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
BgL_arg1981z00_689 = 
LLONG_TO_LONG(BgL_tmpz00_6631); } 
PROCEDURE_ENTRY(BgL_fun1982z00_688)(BgL_fun1982z00_688, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_dtz00_43), 
BINT(BgL_ppqz00_42), 
BINT(BgL_arg1981z00_689), BEOA); } } 
{ /* Llib/midi.scm 503 */
 obj_t BgL_fun1985z00_692;
BgL_fun1985z00_692 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_sysexz00); 
PROCEDURE_ENTRY(BgL_fun1985z00_692)(BgL_fun1985z00_692, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_strz00_687, BEOA); } }  else 
{ /* Llib/midi.scm 505 */
 obj_t BgL_fun1991z00_698;
BgL_fun1991z00_698 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
PROCEDURE_ENTRY(BgL_fun1991z00_698)(BgL_fun1991z00_698, BGl_string2827z00zz__multimediazd2midizd2, BGl_string2829z00zz__multimediazd2midizd2, BgL_statusz00_480, BEOA); } } } } } } } } } } 
{ /* Llib/midi.scm 507 */
 obj_t BgL_fun2009z00_718;
BgL_fun2009z00_718 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_flushz00); 
{ /* Llib/midi.scm 507 */
 obj_t BgL_arg2008z00_719;
BgL_arg2008z00_719 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2009z00_718)(BgL_fun2009z00_718, BgL_arg2008z00_719, BEOA);} } } } 

}



/* midi-read-mthd */
obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t BgL_ipz00_45)
{
{ /* Llib/midi.scm 512 */
{ /* Llib/midi.scm 513 */
 obj_t BgL_tyz00_720;
BgL_tyz00_720 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_45); 
{ /* Llib/midi.scm 514 */
 bool_t BgL_test3432z00_6678;
{ /* Llib/midi.scm 514 */
 long BgL_l1z00_2065;
BgL_l1z00_2065 = 
STRING_LENGTH(
((obj_t)BgL_tyz00_720)); 
if(
(BgL_l1z00_2065==((long)4)))
{ /* Llib/midi.scm 514 */
 int BgL_arg1289z00_2068;
{ /* Llib/midi.scm 514 */
 char * BgL_auxz00_6686; char * BgL_tmpz00_6683;
BgL_auxz00_6686 = 
BSTRING_TO_STRING(BGl_string2830z00zz__multimediazd2midizd2); 
BgL_tmpz00_6683 = 
BSTRING_TO_STRING(
((obj_t)BgL_tyz00_720)); 
BgL_arg1289z00_2068 = 
memcmp(BgL_tmpz00_6683, BgL_auxz00_6686, BgL_l1z00_2065); } 
BgL_test3432z00_6678 = 
(
(long)(BgL_arg1289z00_2068)==((long)0)); }  else 
{ /* Llib/midi.scm 514 */
BgL_test3432z00_6678 = ((bool_t)0)
; } } 
if(BgL_test3432z00_6678)
{ /* Llib/midi.scm 516 */
 int32_t BgL_sza7za7_722;
BgL_sza7za7_722 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 516 */
 long BgL_fmtz00_723;
{ /* Llib/midi.scm 517 */
 int32_t BgL_arg2026z00_768;
BgL_arg2026z00_768 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 517 */
 long BgL_arg1443z00_2075;
BgL_arg1443z00_2075 = 
(long)(BgL_arg2026z00_768); 
BgL_fmtz00_723 = 
(long)(BgL_arg1443z00_2075); } } 
{ /* Llib/midi.scm 517 */
 long BgL_tckz00_724;
{ /* Llib/midi.scm 518 */
 int32_t BgL_arg2025z00_767;
BgL_arg2025z00_767 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 518 */
 long BgL_arg1443z00_2078;
BgL_arg1443z00_2078 = 
(long)(BgL_arg2025z00_767); 
BgL_tckz00_724 = 
(long)(BgL_arg1443z00_2078); } } 
{ /* Llib/midi.scm 518 */
 long BgL_divz00_725;
{ /* Llib/midi.scm 519 */
 int32_t BgL_arg2024z00_766;
BgL_arg2024z00_766 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 519 */
 long BgL_arg1443z00_2081;
BgL_arg1443z00_2081 = 
(long)(BgL_arg2024z00_766); 
BgL_divz00_725 = 
(long)(BgL_arg1443z00_2081); } } 
{ /* Llib/midi.scm 519 */

if(
(
(BgL_divz00_725 >> 
(int)(((long)15)))==((long)0)))
{ /* Llib/midi.scm 521 */
 long BgL_val4_1199z00_732;
BgL_val4_1199z00_732 = 
(BgL_divz00_725 & ((long)32767)); 
{ /* Llib/midi.scm 521 */
 int BgL_tmpz00_6706;
BgL_tmpz00_6706 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6706); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6711; int BgL_tmpz00_6709;
BgL_auxz00_6711 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6709 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6709, BgL_auxz00_6711); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6716; int BgL_tmpz00_6714;
BgL_auxz00_6716 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6714 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6714, BgL_auxz00_6716); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6721; int BgL_tmpz00_6719;
BgL_auxz00_6721 = 
BINT(((long)500000)); 
BgL_tmpz00_6719 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6719, BgL_auxz00_6721); } 
{ /* Llib/midi.scm 521 */
 obj_t BgL_auxz00_6726; int BgL_tmpz00_6724;
BgL_auxz00_6726 = 
BINT(BgL_val4_1199z00_732); 
BgL_tmpz00_6724 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6724, BgL_auxz00_6726); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);}  else 
{ 

{ /* Llib/midi.scm 522 */
 long BgL_aux1167z00_734;
BgL_aux1167z00_734 = 
(((long)128)-
(
(BgL_divz00_725 >> 
(int)(((long)8))) & ((long)127))); 
switch( BgL_aux1167z00_734) { case ((long)24) : 

{ /* Llib/midi.scm 524 */
 long BgL_val4_1204z00_740;
BgL_val4_1204z00_740 = 
(((long)12)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 524 */
 int BgL_tmpz00_6736;
BgL_tmpz00_6736 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6736); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6741; int BgL_tmpz00_6739;
BgL_auxz00_6741 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6739 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6739, BgL_auxz00_6741); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6746; int BgL_tmpz00_6744;
BgL_auxz00_6746 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6744 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6744, BgL_auxz00_6746); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6751; int BgL_tmpz00_6749;
BgL_auxz00_6751 = 
BINT(((long)500000)); 
BgL_tmpz00_6749 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6749, BgL_auxz00_6751); } 
{ /* Llib/midi.scm 524 */
 obj_t BgL_auxz00_6756; int BgL_tmpz00_6754;
BgL_auxz00_6756 = 
BINT(BgL_val4_1204z00_740); 
BgL_tmpz00_6754 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6754, BgL_auxz00_6756); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)25) : 

{ /* Llib/midi.scm 526 */
 long BgL_val4_1209z00_746;
BgL_val4_1209z00_746 = 
(((long)10)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 526 */
 int BgL_tmpz00_6762;
BgL_tmpz00_6762 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6762); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6767; int BgL_tmpz00_6765;
BgL_auxz00_6767 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6765 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6765, BgL_auxz00_6767); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6772; int BgL_tmpz00_6770;
BgL_auxz00_6772 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6770 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6770, BgL_auxz00_6772); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6777; int BgL_tmpz00_6775;
BgL_auxz00_6777 = 
BINT(((long)400000)); 
BgL_tmpz00_6775 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6775, BgL_auxz00_6777); } 
{ /* Llib/midi.scm 526 */
 obj_t BgL_auxz00_6782; int BgL_tmpz00_6780;
BgL_auxz00_6782 = 
BINT(BgL_val4_1209z00_746); 
BgL_tmpz00_6780 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6780, BgL_auxz00_6782); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)29) : 

{ /* Llib/midi.scm 528 */
 long BgL_val4_1214z00_752;
BgL_val4_1214z00_752 = 
(((long)2997)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 528 */
 int BgL_tmpz00_6788;
BgL_tmpz00_6788 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6788); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6793; int BgL_tmpz00_6791;
BgL_auxz00_6793 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6791 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6791, BgL_auxz00_6793); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6798; int BgL_tmpz00_6796;
BgL_auxz00_6798 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6796 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6796, BgL_auxz00_6798); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6803; int BgL_tmpz00_6801;
BgL_auxz00_6803 = 
BINT(((long)100000000)); 
BgL_tmpz00_6801 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6801, BgL_auxz00_6803); } 
{ /* Llib/midi.scm 528 */
 obj_t BgL_auxz00_6808; int BgL_tmpz00_6806;
BgL_auxz00_6808 = 
BINT(BgL_val4_1214z00_752); 
BgL_tmpz00_6806 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6806, BgL_auxz00_6808); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;case ((long)30) : 

{ /* Llib/midi.scm 530 */
 long BgL_val4_1219z00_758;
BgL_val4_1219z00_758 = 
(((long)15)*
(BgL_divz00_725 & ((long)255))); 
{ /* Llib/midi.scm 530 */
 int BgL_tmpz00_6814;
BgL_tmpz00_6814 = 
(int)(((long)5)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6814); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6819; int BgL_tmpz00_6817;
BgL_auxz00_6819 = 
BINT(BgL_fmtz00_723); 
BgL_tmpz00_6817 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6817, BgL_auxz00_6819); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6824; int BgL_tmpz00_6822;
BgL_auxz00_6824 = 
BINT(BgL_tckz00_724); 
BgL_tmpz00_6822 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6822, BgL_auxz00_6824); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6829; int BgL_tmpz00_6827;
BgL_auxz00_6829 = 
BINT(((long)500000)); 
BgL_tmpz00_6827 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6827, BgL_auxz00_6829); } 
{ /* Llib/midi.scm 530 */
 obj_t BgL_auxz00_6834; int BgL_tmpz00_6832;
BgL_auxz00_6834 = 
BINT(BgL_val4_1219z00_758); 
BgL_tmpz00_6832 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6832, BgL_auxz00_6834); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_722);} break;
default: 
{ /* Llib/midi.scm 534 */
 long BgL_arg2020z00_762;
BgL_arg2020z00_762 = 
(((long)128)-
(
(BgL_divz00_725 >> 
(int)(((long)8))) & ((long)127))); 
return 
BGl_errorz00zz__errorz00(BGl_string2831z00zz__multimediazd2midizd2, BGl_string2832z00zz__multimediazd2midizd2, 
BINT(BgL_arg2020z00_762));} } } } } } } } }  else 
{ /* Llib/midi.scm 514 */
return 
BGl_errorz00zz__errorz00(BGl_string2831z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_tyz00_720);} } } } 

}



/* midi-read-mtrk */
obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t BgL_ipz00_46)
{
{ /* Llib/midi.scm 539 */
{ /* Llib/midi.scm 540 */
 obj_t BgL_tyz00_769;
BgL_tyz00_769 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_46); 
{ /* Llib/midi.scm 541 */
 bool_t BgL_test3435z00_6848;
{ /* Llib/midi.scm 541 */
 long BgL_l1z00_2102;
BgL_l1z00_2102 = 
STRING_LENGTH(
((obj_t)BgL_tyz00_769)); 
if(
(BgL_l1z00_2102==((long)4)))
{ /* Llib/midi.scm 541 */
 int BgL_arg1289z00_2105;
{ /* Llib/midi.scm 541 */
 char * BgL_auxz00_6856; char * BgL_tmpz00_6853;
BgL_auxz00_6856 = 
BSTRING_TO_STRING(BGl_string2834z00zz__multimediazd2midizd2); 
BgL_tmpz00_6853 = 
BSTRING_TO_STRING(
((obj_t)BgL_tyz00_769)); 
BgL_arg1289z00_2105 = 
memcmp(BgL_tmpz00_6853, BgL_auxz00_6856, BgL_l1z00_2102); } 
BgL_test3435z00_6848 = 
(
(long)(BgL_arg1289z00_2105)==((long)0)); }  else 
{ /* Llib/midi.scm 541 */
BgL_test3435z00_6848 = ((bool_t)0)
; } } 
if(BgL_test3435z00_6848)
{ /* Llib/midi.scm 543 */
 int32_t BgL_tmpz00_6861;
BgL_tmpz00_6861 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_46); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6861);}  else 
{ /* Llib/midi.scm 541 */
return 
BGl_errorz00zz__errorz00(BGl_string2835z00zz__multimediazd2midizd2, BGl_string2833z00zz__multimediazd2midizd2, BgL_tyz00_769);} } } } 

}



/* read-int16 */
int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_49)
{
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
 obj_t BgL_b1z00_772;
BgL_b1z00_772 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 561 */
 obj_t BgL_b0z00_773;
BgL_b0z00_773 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 562 */

{ /* Llib/midi.scm 563 */
 int32_t BgL_arg2029z00_774; int32_t BgL_arg2030z00_775;
{ /* Llib/midi.scm 563 */
 int32_t BgL_arg2031z00_776;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6867;
BgL_tmpz00_6867 = 
(
CCHAR(BgL_b1z00_772)); 
BgL_arg2031z00_776 = 
(int32_t)(BgL_tmpz00_6867); } 
BgL_arg2029z00_774 = 
(BgL_arg2031z00_776 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6873;
BgL_tmpz00_6873 = 
(
CCHAR(BgL_b0z00_773)); 
BgL_arg2030z00_775 = 
(int32_t)(BgL_tmpz00_6873); } 
return 
(BgL_arg2029z00_774+BgL_arg2030z00_775);} } } } } 

}



/* &read-int16 */
obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2830, obj_t BgL_ipz00_2831)
{
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
 int32_t BgL_tmpz00_6878;
BgL_tmpz00_6878 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_2831); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6878);} } 

}



/* read-int32 */
int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_50)
{
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
 obj_t BgL_b3z00_777;
BgL_b3z00_777 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 570 */
 obj_t BgL_b2z00_778;
BgL_b2z00_778 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 571 */
 obj_t BgL_b1z00_779;
BgL_b1z00_779 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 572 */
 obj_t BgL_b0z00_780;
BgL_b0z00_780 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 573 */

{ /* Llib/midi.scm 574 */
 int32_t BgL_arg2032z00_781; int32_t BgL_arg2033z00_782;
{ /* Llib/midi.scm 574 */
 int32_t BgL_arg2034z00_783;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6885;
BgL_tmpz00_6885 = 
(
CCHAR(BgL_b3z00_777)); 
BgL_arg2034z00_783 = 
(int32_t)(BgL_tmpz00_6885); } 
BgL_arg2032z00_781 = 
(BgL_arg2034z00_783 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 575 */
 int32_t BgL_arg2035z00_784; int32_t BgL_arg2036z00_785;
{ /* Llib/midi.scm 575 */
 int32_t BgL_arg2037z00_786;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6891;
BgL_tmpz00_6891 = 
(
CCHAR(BgL_b2z00_778)); 
BgL_arg2037z00_786 = 
(int32_t)(BgL_tmpz00_6891); } 
BgL_arg2035z00_784 = 
(BgL_arg2037z00_786 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 576 */
 int32_t BgL_arg2038z00_787; int32_t BgL_arg2039z00_788;
{ /* Llib/midi.scm 576 */
 int32_t BgL_arg2040z00_789;
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6897;
BgL_tmpz00_6897 = 
(
CCHAR(BgL_b1z00_779)); 
BgL_arg2040z00_789 = 
(int32_t)(BgL_tmpz00_6897); } 
BgL_arg2038z00_787 = 
(BgL_arg2040z00_789 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
 long BgL_tmpz00_6903;
BgL_tmpz00_6903 = 
(
CCHAR(BgL_b0z00_780)); 
BgL_arg2039z00_788 = 
(int32_t)(BgL_tmpz00_6903); } 
BgL_arg2036z00_785 = 
(BgL_arg2038z00_787+BgL_arg2039z00_788); } 
BgL_arg2033z00_782 = 
(BgL_arg2035z00_784+BgL_arg2036z00_785); } 
return 
(BgL_arg2032z00_781+BgL_arg2033z00_782);} } } } } } } 

}



/* &read-int32 */
obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2832, obj_t BgL_ipz00_2833)
{
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
 int32_t BgL_tmpz00_6910;
BgL_tmpz00_6910 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_2833); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6910);} } 

}



/* read-int */
long BGl_readzd2intzd2zz__multimediazd2midizd2(long BgL_lenz00_51, obj_t BgL_ipz00_52)
{
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
 long BgL_g1168z00_790;
{ /* Llib/midi.scm 583 */
 obj_t BgL_arg2048z00_802;
BgL_arg2048z00_802 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_g1168z00_790 = 
(
CCHAR(BgL_arg2048z00_802)); } 
{ 
 long BgL_valz00_792; long BgL_lenz00_793;
BgL_valz00_792 = BgL_g1168z00_790; 
BgL_lenz00_793 = BgL_lenz00_51; 
BgL_zc3z04anonymousza32041ze3z87_794:
if(
(BgL_lenz00_793==((long)1)))
{ /* Llib/midi.scm 585 */
return BgL_valz00_792;}  else 
{ /* Llib/midi.scm 587 */
 long BgL_arg2043z00_796; long BgL_arg2044z00_797;
{ /* Llib/midi.scm 587 */
 long BgL_arg2045z00_798; long BgL_arg2046z00_799;
BgL_arg2045z00_798 = 
(BgL_valz00_792 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 587 */
 obj_t BgL_arg2047z00_800;
BgL_arg2047z00_800 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_arg2046z00_799 = 
(
CCHAR(BgL_arg2047z00_800)); } 
BgL_arg2043z00_796 = 
(BgL_arg2045z00_798+BgL_arg2046z00_799); } 
BgL_arg2044z00_797 = 
(BgL_lenz00_793-((long)1)); 
{ 
 long BgL_lenz00_6926; long BgL_valz00_6925;
BgL_valz00_6925 = BgL_arg2043z00_796; 
BgL_lenz00_6926 = BgL_arg2044z00_797; 
BgL_lenz00_793 = BgL_lenz00_6926; 
BgL_valz00_792 = BgL_valz00_6925; 
goto BgL_zc3z04anonymousza32041ze3z87_794;} } } } } 

}



/* &read-int */
obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2834, obj_t BgL_lenz00_2835, obj_t BgL_ipz00_2836)
{
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
 long BgL_tmpz00_6927;
{ /* Llib/midi.scm 583 */
 obj_t BgL_auxz00_6937; long BgL_auxz00_6928;
if(
INPUT_PORTP(BgL_ipz00_2836))
{ /* Llib/midi.scm 583 */
BgL_auxz00_6937 = BgL_ipz00_2836
; }  else 
{ 
 obj_t BgL_auxz00_6940;
BgL_auxz00_6940 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string2836z00zz__multimediazd2midizd2, BGl_string2816z00zz__multimediazd2midizd2, BgL_ipz00_2836); 
FAILURE(BgL_auxz00_6940,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 583 */
 obj_t BgL_tmpz00_6929;
if(
INTEGERP(BgL_lenz00_2835))
{ /* Llib/midi.scm 583 */
BgL_tmpz00_6929 = BgL_lenz00_2835
; }  else 
{ 
 obj_t BgL_auxz00_6932;
BgL_auxz00_6932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string2836z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_lenz00_2835); 
FAILURE(BgL_auxz00_6932,BFALSE,BFALSE);} 
BgL_auxz00_6928 = 
(long)CINT(BgL_tmpz00_6929); } 
BgL_tmpz00_6927 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(BgL_auxz00_6928, BgL_auxz00_6937); } 
return 
BINT(BgL_tmpz00_6927);} } 

}



/* &read-vlq */
obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2837, obj_t BgL_ipz00_2838)
{
{ /* Llib/midi.scm 593 */
{ /* Llib/midi.scm 595 */
 long BgL_tmpz00_6946;
{ 
 long BgL_accz00_3855;
BgL_accz00_3855 = ((long)0); 
BgL_loopz00_3854:
{ /* Llib/midi.scm 595 */
 long BgL_cz00_3856;
{ /* Llib/midi.scm 595 */
 obj_t BgL_arg2054z00_3857;
BgL_arg2054z00_3857 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_2838); 
BgL_cz00_3856 = 
(
CCHAR(BgL_arg2054z00_3857)); } 
if(
(BgL_cz00_3856<=((long)127)))
{ /* Llib/midi.scm 596 */
BgL_tmpz00_6946 = 
(BgL_cz00_3856+BgL_accz00_3855)
; }  else 
{ 
 long BgL_accz00_6953;
BgL_accz00_6953 = 
(
(BgL_accz00_3855+
(BgL_cz00_3856 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_3855 = BgL_accz00_6953; 
goto BgL_loopz00_3854;} } } 
return 
BINT(BgL_tmpz00_6946);} } 

}



/* string-stream-peek-byte */
long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t BgL_ipz00_54)
{
{ /* Llib/midi.scm 603 */
return 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)1))))));} 

}



/* &string-stream-peek-byte */
obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2842, obj_t BgL_ipz00_2843)
{
{ /* Llib/midi.scm 603 */
{ /* Llib/midi.scm 605 */
 long BgL_tmpz00_6966;
{ /* Llib/midi.scm 605 */
 obj_t BgL_auxz00_6967;
if(
STRUCTP(BgL_ipz00_2843))
{ /* Llib/midi.scm 605 */
BgL_auxz00_6967 = BgL_ipz00_2843
; }  else 
{ 
 obj_t BgL_auxz00_6970;
BgL_auxz00_6970 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)25285)), BGl_string2837z00zz__multimediazd2midizd2, BGl_string2838z00zz__multimediazd2midizd2, BgL_ipz00_2843); 
FAILURE(BgL_auxz00_6970,BFALSE,BFALSE);} 
BgL_tmpz00_6966 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_auxz00_6967); } 
return 
BINT(BgL_tmpz00_6966);} } 

}



/* &string-stream-read-byte */
obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2844, obj_t BgL_ipz00_2845)
{
{ /* Llib/midi.scm 610 */
{ /* Llib/midi.scm 611 */
 long BgL_tmpz00_6976;
{ /* Llib/midi.scm 611 */
 obj_t BgL_ipz00_3858;
if(
STRUCTP(BgL_ipz00_2845))
{ /* Llib/midi.scm 611 */
BgL_ipz00_3858 = BgL_ipz00_2845; }  else 
{ 
 obj_t BgL_auxz00_6979;
BgL_auxz00_6979 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)25610)), BGl_string2839z00zz__multimediazd2midizd2, BGl_string2838z00zz__multimediazd2midizd2, BgL_ipz00_2845); 
FAILURE(BgL_auxz00_6979,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3859;
BgL_bz00_3859 = 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_3858, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_3858, 
(int)(((long)1)))))); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3860;
BgL_arg2058z00_3860 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3858, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_6996; int BgL_tmpz00_6994;
BgL_auxz00_6996 = 
BINT(BgL_arg2058z00_3860); 
BgL_tmpz00_6994 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3858, BgL_tmpz00_6994, BgL_auxz00_6996); } } 
BgL_tmpz00_6976 = BgL_bz00_3859; } } 
return 
BINT(BgL_tmpz00_6976);} } 

}



/* &string-stream-read-int16 */
obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2846, obj_t BgL_ipz00_2847)
{
{ /* Llib/midi.scm 618 */
{ /* Llib/midi.scm 619 */
 int32_t BgL_tmpz00_7000;
{ /* Llib/midi.scm 619 */
 obj_t BgL_ipz00_3861;
if(
STRUCTP(BgL_ipz00_2847))
{ /* Llib/midi.scm 619 */
BgL_ipz00_3861 = BgL_ipz00_2847; }  else 
{ 
 obj_t BgL_auxz00_7003;
BgL_auxz00_7003 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)26001)), BGl_string2840z00zz__multimediazd2midizd2, BGl_string2838z00zz__multimediazd2midizd2, BgL_ipz00_2847); 
FAILURE(BgL_auxz00_7003,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 619 */
 long BgL_b1z00_3862;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3863;
BgL_bz00_3863 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3861); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3864;
BgL_arg2058z00_3864 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3861, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7014; int BgL_tmpz00_7012;
BgL_auxz00_7014 = 
BINT(BgL_arg2058z00_3864); 
BgL_tmpz00_7012 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3861, BgL_tmpz00_7012, BgL_auxz00_7014); } } 
BgL_b1z00_3862 = BgL_bz00_3863; } 
{ /* Llib/midi.scm 619 */
 long BgL_b0z00_3865;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3866;
BgL_bz00_3866 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3861); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3867;
BgL_arg2058z00_3867 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3861, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7024; int BgL_tmpz00_7022;
BgL_auxz00_7024 = 
BINT(BgL_arg2058z00_3867); 
BgL_tmpz00_7022 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3861, BgL_tmpz00_7022, BgL_auxz00_7024); } } 
BgL_b0z00_3865 = BgL_bz00_3866; } 
{ /* Llib/midi.scm 620 */

{ /* Llib/midi.scm 621 */
 int32_t BgL_arg2060z00_3868; int32_t BgL_arg2061z00_3869;
{ /* Llib/midi.scm 621 */
 int32_t BgL_arg2062z00_3870;
BgL_arg2062z00_3870 = 
(int32_t)(BgL_b1z00_3862); 
BgL_arg2060z00_3868 = 
(BgL_arg2062z00_3870 << 
(int)(((long)8))); } 
BgL_arg2061z00_3869 = 
(int32_t)(BgL_b0z00_3865); 
BgL_tmpz00_7000 = 
(BgL_arg2060z00_3868+BgL_arg2061z00_3869); } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_7000);} } 

}



/* &string-stream-read-int32 */
obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_2848, obj_t BgL_ipz00_2849)
{
{ /* Llib/midi.scm 626 */
{ /* Llib/midi.scm 627 */
 int32_t BgL_tmpz00_7033;
{ /* Llib/midi.scm 627 */
 obj_t BgL_ipz00_3871;
if(
STRUCTP(BgL_ipz00_2849))
{ /* Llib/midi.scm 627 */
BgL_ipz00_3871 = BgL_ipz00_2849; }  else 
{ 
 obj_t BgL_auxz00_7036;
BgL_auxz00_7036 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)26420)), BGl_string2841z00zz__multimediazd2midizd2, BGl_string2838z00zz__multimediazd2midizd2, BgL_ipz00_2849); 
FAILURE(BgL_auxz00_7036,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 627 */
 long BgL_b3z00_3872;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3873;
BgL_bz00_3873 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3871); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3874;
BgL_arg2058z00_3874 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3871, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7047; int BgL_tmpz00_7045;
BgL_auxz00_7047 = 
BINT(BgL_arg2058z00_3874); 
BgL_tmpz00_7045 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3871, BgL_tmpz00_7045, BgL_auxz00_7047); } } 
BgL_b3z00_3872 = BgL_bz00_3873; } 
{ /* Llib/midi.scm 627 */
 long BgL_b2z00_3875;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3876;
BgL_bz00_3876 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3871); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3877;
BgL_arg2058z00_3877 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3871, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7057; int BgL_tmpz00_7055;
BgL_auxz00_7057 = 
BINT(BgL_arg2058z00_3877); 
BgL_tmpz00_7055 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3871, BgL_tmpz00_7055, BgL_auxz00_7057); } } 
BgL_b2z00_3875 = BgL_bz00_3876; } 
{ /* Llib/midi.scm 628 */
 long BgL_b1z00_3878;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3879;
BgL_bz00_3879 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3871); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3880;
BgL_arg2058z00_3880 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3871, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7067; int BgL_tmpz00_7065;
BgL_auxz00_7067 = 
BINT(BgL_arg2058z00_3880); 
BgL_tmpz00_7065 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3871, BgL_tmpz00_7065, BgL_auxz00_7067); } } 
BgL_b1z00_3878 = BgL_bz00_3879; } 
{ /* Llib/midi.scm 629 */
 long BgL_b0z00_3881;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3882;
BgL_bz00_3882 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3871); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3883;
BgL_arg2058z00_3883 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3871, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7077; int BgL_tmpz00_7075;
BgL_auxz00_7077 = 
BINT(BgL_arg2058z00_3883); 
BgL_tmpz00_7075 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3871, BgL_tmpz00_7075, BgL_auxz00_7077); } } 
BgL_b0z00_3881 = BgL_bz00_3882; } 
{ /* Llib/midi.scm 630 */

{ /* Llib/midi.scm 631 */
 int32_t BgL_arg2063z00_3884; int32_t BgL_arg2064z00_3885;
{ /* Llib/midi.scm 631 */
 int32_t BgL_arg2065z00_3886;
BgL_arg2065z00_3886 = 
(int32_t)(BgL_b3z00_3872); 
BgL_arg2063z00_3884 = 
(BgL_arg2065z00_3886 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 632 */
 int32_t BgL_arg2066z00_3887; int32_t BgL_arg2067z00_3888;
{ /* Llib/midi.scm 632 */
 int32_t BgL_arg2068z00_3889;
BgL_arg2068z00_3889 = 
(int32_t)(BgL_b2z00_3875); 
BgL_arg2066z00_3887 = 
(BgL_arg2068z00_3889 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 633 */
 int32_t BgL_arg2069z00_3890; int32_t BgL_arg2070z00_3891;
{ /* Llib/midi.scm 633 */
 int32_t BgL_arg2071z00_3892;
BgL_arg2071z00_3892 = 
(int32_t)(BgL_b1z00_3878); 
BgL_arg2069z00_3890 = 
(BgL_arg2071z00_3892 << 
(int)(((long)8))); } 
BgL_arg2070z00_3891 = 
(int32_t)(BgL_b0z00_3881); 
BgL_arg2067z00_3888 = 
(BgL_arg2069z00_3890+BgL_arg2070z00_3891); } 
BgL_arg2064z00_3885 = 
(BgL_arg2066z00_3887+BgL_arg2067z00_3888); } 
BgL_tmpz00_7033 = 
(BgL_arg2063z00_3884+BgL_arg2064z00_3885); } } } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_7033);} } 

}



/* &string-stream-read-int */
obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2850, obj_t BgL_lenz00_2851, obj_t BgL_ipz00_2852)
{
{ /* Llib/midi.scm 639 */
{ /* Llib/midi.scm 640 */
 long BgL_tmpz00_7094;
{ /* Llib/midi.scm 640 */
 long BgL_lenz00_3893; obj_t BgL_ipz00_3894;
{ /* Llib/midi.scm 640 */
 obj_t BgL_tmpz00_7095;
if(
INTEGERP(BgL_lenz00_2851))
{ /* Llib/midi.scm 640 */
BgL_tmpz00_7095 = BgL_lenz00_2851
; }  else 
{ 
 obj_t BgL_auxz00_7098;
BgL_auxz00_7098 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)27020)), BGl_string2842z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_lenz00_2851); 
FAILURE(BgL_auxz00_7098,BFALSE,BFALSE);} 
BgL_lenz00_3893 = 
(long)CINT(BgL_tmpz00_7095); } 
if(
STRUCTP(BgL_ipz00_2852))
{ /* Llib/midi.scm 640 */
BgL_ipz00_3894 = BgL_ipz00_2852; }  else 
{ 
 obj_t BgL_auxz00_7105;
BgL_auxz00_7105 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)27020)), BGl_string2842z00zz__multimediazd2midizd2, BGl_string2838z00zz__multimediazd2midizd2, BgL_ipz00_2852); 
FAILURE(BgL_auxz00_7105,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 640 */
 long BgL_g1169z00_3895;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3896;
BgL_bz00_3896 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3894); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3897;
BgL_arg2058z00_3897 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3894, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7116; int BgL_tmpz00_7114;
BgL_auxz00_7116 = 
BINT(BgL_arg2058z00_3897); 
BgL_tmpz00_7114 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3894, BgL_tmpz00_7114, BgL_auxz00_7116); } } 
BgL_g1169z00_3895 = BgL_bz00_3896; } 
{ 
 long BgL_valz00_3899; long BgL_lenz00_3900;
BgL_valz00_3899 = BgL_g1169z00_3895; 
BgL_lenz00_3900 = BgL_lenz00_3893; 
BgL_loopz00_3898:
if(
(BgL_lenz00_3900==((long)1)))
{ /* Llib/midi.scm 642 */
BgL_tmpz00_7094 = BgL_valz00_3899
; }  else 
{ /* Llib/midi.scm 644 */
 long BgL_arg2074z00_3901; long BgL_arg2075z00_3902;
{ /* Llib/midi.scm 644 */
 long BgL_arg2076z00_3903; long BgL_arg2077z00_3904;
BgL_arg2076z00_3903 = 
(BgL_valz00_3899 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3905;
BgL_bz00_3905 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_3894); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3906;
BgL_arg2058z00_3906 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_3894, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7130; int BgL_tmpz00_7128;
BgL_auxz00_7130 = 
BINT(BgL_arg2058z00_3906); 
BgL_tmpz00_7128 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3894, BgL_tmpz00_7128, BgL_auxz00_7130); } } 
BgL_arg2077z00_3904 = BgL_bz00_3905; } 
BgL_arg2074z00_3901 = 
(BgL_arg2076z00_3903+BgL_arg2077z00_3904); } 
BgL_arg2075z00_3902 = 
(BgL_lenz00_3900-((long)1)); 
{ 
 long BgL_lenz00_7136; long BgL_valz00_7135;
BgL_valz00_7135 = BgL_arg2074z00_3901; 
BgL_lenz00_7136 = BgL_arg2075z00_3902; 
BgL_lenz00_3900 = BgL_lenz00_7136; 
BgL_valz00_3899 = BgL_valz00_7135; 
goto BgL_loopz00_3898;} } } } } 
return 
BINT(BgL_tmpz00_7094);} } 

}



/* &string-stream-read-vlq */
obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2853, obj_t BgL_ipz00_2854)
{
{ /* Llib/midi.scm 650 */
{ /* Llib/midi.scm 652 */
 long BgL_tmpz00_7138;
{ 
 long BgL_accz00_3908;
BgL_accz00_3908 = ((long)0); 
BgL_loopz00_3907:
{ /* Llib/midi.scm 652 */
 long BgL_cz00_3909;
{ /* Llib/midi.scm 611 */
 long BgL_bz00_3910;
BgL_bz00_3910 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(
((obj_t)BgL_ipz00_2854)); 
{ /* Llib/midi.scm 612 */
 long BgL_arg2058z00_3911;
BgL_arg2058z00_3911 = 
(
(long)CINT(
STRUCT_REF(
((obj_t)BgL_ipz00_2854), 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7150; int BgL_auxz00_7148; obj_t BgL_tmpz00_7146;
BgL_auxz00_7150 = 
BINT(BgL_arg2058z00_3911); 
BgL_auxz00_7148 = 
(int)(((long)1)); 
BgL_tmpz00_7146 = 
((obj_t)BgL_ipz00_2854); 
STRUCT_SET(BgL_tmpz00_7146, BgL_auxz00_7148, BgL_auxz00_7150); } } 
BgL_cz00_3909 = BgL_bz00_3910; } 
if(
(BgL_cz00_3909<=((long)127)))
{ /* Llib/midi.scm 653 */
BgL_tmpz00_7138 = 
(BgL_cz00_3909+BgL_accz00_3908)
; }  else 
{ 
 long BgL_accz00_7156;
BgL_accz00_7156 = 
(
(BgL_accz00_3908+
(BgL_cz00_3909 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_3908 = BgL_accz00_7156; 
goto BgL_loopz00_3907;} } } 
return 
BINT(BgL_tmpz00_7138);} } 

}



/* &string-stream-read-chars */
obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t BgL_envz00_2855, obj_t BgL_lenz00_2856, obj_t BgL_ipz00_2857)
{
{ /* Llib/midi.scm 660 */
{ /* Llib/midi.scm 661 */
 obj_t BgL_ipz00_3912;
if(
STRUCTP(BgL_ipz00_2857))
{ /* Llib/midi.scm 661 */
BgL_ipz00_3912 = BgL_ipz00_2857; }  else 
{ 
 obj_t BgL_auxz00_7164;
BgL_auxz00_7164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)27894)), BGl_string2843z00zz__multimediazd2midizd2, BGl_string2838z00zz__multimediazd2midizd2, BgL_ipz00_2857); 
FAILURE(BgL_auxz00_7164,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 661 */
 obj_t BgL_sz00_3913;
{ /* Llib/midi.scm 661 */
 obj_t BgL_arg2085z00_3914; obj_t BgL_arg2086z00_3915; obj_t BgL_arg2087z00_3916;
BgL_arg2085z00_3914 = 
STRUCT_REF(BgL_ipz00_3912, 
(int)(((long)0))); 
BgL_arg2086z00_3915 = 
STRUCT_REF(BgL_ipz00_3912, 
(int)(((long)1))); 
BgL_arg2087z00_3916 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
STRUCT_REF(BgL_ipz00_3912, 
(int)(((long)1))), BgL_lenz00_2856); 
{ /* Llib/midi.scm 661 */
 long BgL_startz00_3917; long BgL_endz00_3918;
BgL_startz00_3917 = 
(long)CINT(BgL_arg2086z00_3915); 
BgL_endz00_3918 = 
(long)CINT(BgL_arg2087z00_3916); 
BgL_sz00_3913 = 
c_substring(
((obj_t)BgL_arg2085z00_3914), BgL_startz00_3917, BgL_endz00_3918); } } 
{ /* Llib/midi.scm 127 */
 obj_t BgL_auxz00_7181; int BgL_tmpz00_7179;
BgL_auxz00_7181 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
STRUCT_REF(BgL_ipz00_3912, 
(int)(((long)1))), BgL_lenz00_2856); 
BgL_tmpz00_7179 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_3912, BgL_tmpz00_7179, BgL_auxz00_7181); } 
return BgL_sz00_3913;} } } 

}



/* midiplayer-cdelay */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_68, BgL_midisinkz00_bglt BgL_msz00_69, long BgL_tickz00_70, BgL_miditrackz00_bglt BgL_trackz00_71, long BgL_ppqz00_72, long BgL_dtz00_73, long BgL_usz00_74)
{
{ /* Llib/midi.scm 993 */
if(
(BgL_dtz00_73>((long)0)))
{ /* Llib/midi.scm 998 */
 obj_t BgL_fun2091z00_2287;
BgL_fun2091z00_2287 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_69))->BgL_usleepz00); 
{ /* Llib/midi.scm 998 */
 long BgL_arg2090z00_2288;
BgL_arg2090z00_2288 = 
(
(
(BgL_dtz00_73*
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_71))->BgL_tempoz00))/BgL_ppqz00_72)-BgL_usz00_74); 
return 
PROCEDURE_ENTRY(BgL_fun2091z00_2287)(BgL_fun2091z00_2287, 
BINT(BgL_arg2090z00_2288), BEOA);} }  else 
{ /* Llib/midi.scm 997 */
return BFALSE;} } 

}



/* &midiplayer-cdelay */
obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2884, obj_t BgL_mpz00_2885, obj_t BgL_msz00_2886, obj_t BgL_tickz00_2887, obj_t BgL_trackz00_2888, obj_t BgL_ppqz00_2889, obj_t BgL_dtz00_2890, obj_t BgL_usz00_2891)
{
{ /* Llib/midi.scm 993 */
{ /* Llib/midi.scm 995 */
 long BgL_auxz00_7303; long BgL_auxz00_7294; long BgL_auxz00_7285; BgL_miditrackz00_bglt BgL_auxz00_7259; long BgL_auxz00_7250; BgL_midisinkz00_bglt BgL_auxz00_7224; BgL_midiplayerz00_bglt BgL_auxz00_7198;
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7304;
if(
INTEGERP(BgL_usz00_2891))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7304 = BgL_usz00_2891
; }  else 
{ 
 obj_t BgL_auxz00_7307;
BgL_auxz00_7307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2844z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_usz00_2891); 
FAILURE(BgL_auxz00_7307,BFALSE,BFALSE);} 
BgL_auxz00_7303 = 
(long)CINT(BgL_tmpz00_7304); } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7295;
if(
INTEGERP(BgL_dtz00_2890))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7295 = BgL_dtz00_2890
; }  else 
{ 
 obj_t BgL_auxz00_7298;
BgL_auxz00_7298 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2844z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_dtz00_2890); 
FAILURE(BgL_auxz00_7298,BFALSE,BFALSE);} 
BgL_auxz00_7294 = 
(long)CINT(BgL_tmpz00_7295); } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7286;
if(
INTEGERP(BgL_ppqz00_2889))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7286 = BgL_ppqz00_2889
; }  else 
{ 
 obj_t BgL_auxz00_7289;
BgL_auxz00_7289 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2844z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_ppqz00_2889); 
FAILURE(BgL_auxz00_7289,BFALSE,BFALSE);} 
BgL_auxz00_7285 = 
(long)CINT(BgL_tmpz00_7286); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3460z00_7260;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_3995;
BgL_classz00_3995 = BGl_miditrackz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_trackz00_2888))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1791z00_3997; long BgL_arg1792z00_3998;
BgL_arg1791z00_3997 = 
(BgL_objectz00_bglt)(BgL_trackz00_2888); 
BgL_arg1792z00_3998 = 
BGL_CLASS_DEPTH(BgL_classz00_3995); 
{ /* Llib/midi.scm 995 */
 bool_t BgL_arg1786z00_4002; bool_t BgL_arg1787z00_4003;
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_4007;
BgL_idxz00_4007 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_3997); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1783z00_4008;
{ /* Llib/midi.scm 995 */
 long BgL_arg1784z00_4009;
BgL_arg1784z00_4009 = 
(BgL_idxz00_4007+BgL_arg1792z00_3998); 
BgL_arg1783z00_4008 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4009); } 
BgL_arg1786z00_4002 = 
(BgL_arg1783z00_4008==BgL_classz00_3995); } } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3066z00_4032;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_4017;
{ /* Llib/midi.scm 995 */
 long BgL_arg1796z00_4023;
{ /* Llib/midi.scm 995 */
 long BgL_arg1797z00_4024;
BgL_arg1797z00_4024 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_3997); 
BgL_arg1796z00_4023 = 
(BgL_arg1797z00_4024-OBJECT_TYPE); } 
BgL_oclassz00_4017 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4023); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1111z00_4018;
BgL__ortest_1111z00_4018 = 
(BgL_classz00_3995==BgL_oclassz00_4017); 
if(BgL__ortest_1111z00_4018)
{ /* Llib/midi.scm 995 */
BgL_res3066z00_4032 = BgL__ortest_1111z00_4018; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_4019;
BgL_odepthz00_4019 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4017); 
if(
(BgL_arg1792z00_3998<BgL_odepthz00_4019))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1785z00_4021;
BgL_arg1785z00_4021 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4017, BgL_arg1792z00_3998); 
BgL_res3066z00_4032 = 
(BgL_arg1785z00_4021==BgL_classz00_3995); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3066z00_4032 = ((bool_t)0); } } } } 
BgL_arg1787z00_4003 = BgL_res3066z00_4032; } 
BgL_test3460z00_7260 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4002, BgL_arg1787z00_4003); } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3460z00_7260 = ((bool_t)0)
; } } 
if(BgL_test3460z00_7260)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7259 = 
((BgL_miditrackz00_bglt)BgL_trackz00_2888)
; }  else 
{ 
 obj_t BgL_auxz00_7281;
BgL_auxz00_7281 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2844z00zz__multimediazd2midizd2, BGl_string2845z00zz__multimediazd2midizd2, BgL_trackz00_2888); 
FAILURE(BgL_auxz00_7281,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 995 */
 obj_t BgL_tmpz00_7251;
if(
INTEGERP(BgL_tickz00_2887))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_7251 = BgL_tickz00_2887
; }  else 
{ 
 obj_t BgL_auxz00_7254;
BgL_auxz00_7254 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2844z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2887); 
FAILURE(BgL_auxz00_7254,BFALSE,BFALSE);} 
BgL_auxz00_7250 = 
(long)CINT(BgL_tmpz00_7251); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3455z00_7225;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_3957;
BgL_classz00_3957 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2886))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1791z00_3959; long BgL_arg1792z00_3960;
BgL_arg1791z00_3959 = 
(BgL_objectz00_bglt)(BgL_msz00_2886); 
BgL_arg1792z00_3960 = 
BGL_CLASS_DEPTH(BgL_classz00_3957); 
{ /* Llib/midi.scm 995 */
 bool_t BgL_arg1786z00_3964; bool_t BgL_arg1787z00_3965;
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_3969;
BgL_idxz00_3969 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_3959); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1783z00_3970;
{ /* Llib/midi.scm 995 */
 long BgL_arg1784z00_3971;
BgL_arg1784z00_3971 = 
(BgL_idxz00_3969+BgL_arg1792z00_3960); 
BgL_arg1783z00_3970 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_3971); } 
BgL_arg1786z00_3964 = 
(BgL_arg1783z00_3970==BgL_classz00_3957); } } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3065z00_3994;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_3979;
{ /* Llib/midi.scm 995 */
 long BgL_arg1796z00_3985;
{ /* Llib/midi.scm 995 */
 long BgL_arg1797z00_3986;
BgL_arg1797z00_3986 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_3959); 
BgL_arg1796z00_3985 = 
(BgL_arg1797z00_3986-OBJECT_TYPE); } 
BgL_oclassz00_3979 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_3985); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1111z00_3980;
BgL__ortest_1111z00_3980 = 
(BgL_classz00_3957==BgL_oclassz00_3979); 
if(BgL__ortest_1111z00_3980)
{ /* Llib/midi.scm 995 */
BgL_res3065z00_3994 = BgL__ortest_1111z00_3980; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_3981;
BgL_odepthz00_3981 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3979); 
if(
(BgL_arg1792z00_3960<BgL_odepthz00_3981))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1785z00_3983;
BgL_arg1785z00_3983 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3979, BgL_arg1792z00_3960); 
BgL_res3065z00_3994 = 
(BgL_arg1785z00_3983==BgL_classz00_3957); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3065z00_3994 = ((bool_t)0); } } } } 
BgL_arg1787z00_3965 = BgL_res3065z00_3994; } 
BgL_test3455z00_7225 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_3964, BgL_arg1787z00_3965); } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3455z00_7225 = ((bool_t)0)
; } } 
if(BgL_test3455z00_7225)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7224 = 
((BgL_midisinkz00_bglt)BgL_msz00_2886)
; }  else 
{ 
 obj_t BgL_auxz00_7246;
BgL_auxz00_7246 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2844z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2886); 
FAILURE(BgL_auxz00_7246,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_test3451z00_7199;
{ /* Llib/midi.scm 995 */
 obj_t BgL_classz00_3919;
BgL_classz00_3919 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2885))
{ /* Llib/midi.scm 995 */
 BgL_objectz00_bglt BgL_arg1791z00_3921; long BgL_arg1792z00_3922;
BgL_arg1791z00_3921 = 
(BgL_objectz00_bglt)(BgL_mpz00_2885); 
BgL_arg1792z00_3922 = 
BGL_CLASS_DEPTH(BgL_classz00_3919); 
{ /* Llib/midi.scm 995 */
 bool_t BgL_arg1786z00_3926; bool_t BgL_arg1787z00_3927;
{ /* Llib/midi.scm 995 */
 long BgL_idxz00_3931;
BgL_idxz00_3931 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_3921); 
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1783z00_3932;
{ /* Llib/midi.scm 995 */
 long BgL_arg1784z00_3933;
BgL_arg1784z00_3933 = 
(BgL_idxz00_3931+BgL_arg1792z00_3922); 
BgL_arg1783z00_3932 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_3933); } 
BgL_arg1786z00_3926 = 
(BgL_arg1783z00_3932==BgL_classz00_3919); } } 
{ /* Llib/midi.scm 995 */
 bool_t BgL_res3064z00_3956;
{ /* Llib/midi.scm 995 */
 obj_t BgL_oclassz00_3941;
{ /* Llib/midi.scm 995 */
 long BgL_arg1796z00_3947;
{ /* Llib/midi.scm 995 */
 long BgL_arg1797z00_3948;
BgL_arg1797z00_3948 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_3921); 
BgL_arg1796z00_3947 = 
(BgL_arg1797z00_3948-OBJECT_TYPE); } 
BgL_oclassz00_3941 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_3947); } 
{ /* Llib/midi.scm 995 */
 bool_t BgL__ortest_1111z00_3942;
BgL__ortest_1111z00_3942 = 
(BgL_classz00_3919==BgL_oclassz00_3941); 
if(BgL__ortest_1111z00_3942)
{ /* Llib/midi.scm 995 */
BgL_res3064z00_3956 = BgL__ortest_1111z00_3942; }  else 
{ /* Llib/midi.scm 995 */
 long BgL_odepthz00_3943;
BgL_odepthz00_3943 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3941); 
if(
(BgL_arg1792z00_3922<BgL_odepthz00_3943))
{ /* Llib/midi.scm 995 */
 obj_t BgL_arg1785z00_3945;
BgL_arg1785z00_3945 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3941, BgL_arg1792z00_3922); 
BgL_res3064z00_3956 = 
(BgL_arg1785z00_3945==BgL_classz00_3919); }  else 
{ /* Llib/midi.scm 995 */
BgL_res3064z00_3956 = ((bool_t)0); } } } } 
BgL_arg1787z00_3927 = BgL_res3064z00_3956; } 
BgL_test3451z00_7199 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_3926, BgL_arg1787z00_3927); } }  else 
{ /* Llib/midi.scm 995 */
BgL_test3451z00_7199 = ((bool_t)0)
; } } 
if(BgL_test3451z00_7199)
{ /* Llib/midi.scm 995 */
BgL_auxz00_7198 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2885)
; }  else 
{ 
 obj_t BgL_auxz00_7220;
BgL_auxz00_7220 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string2844z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2885); 
FAILURE(BgL_auxz00_7220,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_auxz00_7198, BgL_auxz00_7224, BgL_auxz00_7250, BgL_auxz00_7259, BgL_auxz00_7285, BgL_auxz00_7294, BgL_auxz00_7303);} } 

}



/* midiplayer-ignore */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_75, BgL_midisinkz00_bglt BgL_msz00_76, long BgL_tickz00_77, obj_t BgL_objz00_78)
{
{ /* Llib/midi.scm 1003 */
return BUNSPEC;} 

}



/* &midiplayer-ignore */
obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2892, obj_t BgL_mpz00_2893, obj_t BgL_msz00_2894, obj_t BgL_tickz00_2895, obj_t BgL_objz00_2896)
{
{ /* Llib/midi.scm 1003 */
{ /* Llib/midi.scm 1003 */
 BgL_midiplayerz00_bglt BgL_mpz00_4109; BgL_midisinkz00_bglt BgL_msz00_4110; long BgL_tickz00_4111;
{ /* Llib/midi.scm 1003 */
 bool_t BgL_test3467z00_7313;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_classz00_4033;
BgL_classz00_4033 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2893))
{ /* Llib/midi.scm 1003 */
 BgL_objectz00_bglt BgL_arg1791z00_4035; long BgL_arg1792z00_4036;
BgL_arg1791z00_4035 = 
(BgL_objectz00_bglt)(BgL_mpz00_2893); 
BgL_arg1792z00_4036 = 
BGL_CLASS_DEPTH(BgL_classz00_4033); 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_arg1786z00_4040; bool_t BgL_arg1787z00_4041;
{ /* Llib/midi.scm 1003 */
 long BgL_idxz00_4045;
BgL_idxz00_4045 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4035); 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1783z00_4046;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1784z00_4047;
BgL_arg1784z00_4047 = 
(BgL_idxz00_4045+BgL_arg1792z00_4036); 
BgL_arg1783z00_4046 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4047); } 
BgL_arg1786z00_4040 = 
(BgL_arg1783z00_4046==BgL_classz00_4033); } } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_res3067z00_4070;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_oclassz00_4055;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1796z00_4061;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1797z00_4062;
BgL_arg1797z00_4062 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4035); 
BgL_arg1796z00_4061 = 
(BgL_arg1797z00_4062-OBJECT_TYPE); } 
BgL_oclassz00_4055 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4061); } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL__ortest_1111z00_4056;
BgL__ortest_1111z00_4056 = 
(BgL_classz00_4033==BgL_oclassz00_4055); 
if(BgL__ortest_1111z00_4056)
{ /* Llib/midi.scm 1003 */
BgL_res3067z00_4070 = BgL__ortest_1111z00_4056; }  else 
{ /* Llib/midi.scm 1003 */
 long BgL_odepthz00_4057;
BgL_odepthz00_4057 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4055); 
if(
(BgL_arg1792z00_4036<BgL_odepthz00_4057))
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1785z00_4059;
BgL_arg1785z00_4059 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4055, BgL_arg1792z00_4036); 
BgL_res3067z00_4070 = 
(BgL_arg1785z00_4059==BgL_classz00_4033); }  else 
{ /* Llib/midi.scm 1003 */
BgL_res3067z00_4070 = ((bool_t)0); } } } } 
BgL_arg1787z00_4041 = BgL_res3067z00_4070; } 
BgL_test3467z00_7313 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4040, BgL_arg1787z00_4041); } }  else 
{ /* Llib/midi.scm 1003 */
BgL_test3467z00_7313 = ((bool_t)0)
; } } 
if(BgL_test3467z00_7313)
{ /* Llib/midi.scm 1003 */
BgL_mpz00_4109 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2893); }  else 
{ 
 obj_t BgL_auxz00_7334;
BgL_auxz00_7334 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2846z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2893); 
FAILURE(BgL_auxz00_7334,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_test3471z00_7338;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_classz00_4071;
BgL_classz00_4071 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2894))
{ /* Llib/midi.scm 1003 */
 BgL_objectz00_bglt BgL_arg1791z00_4073; long BgL_arg1792z00_4074;
BgL_arg1791z00_4073 = 
(BgL_objectz00_bglt)(BgL_msz00_2894); 
BgL_arg1792z00_4074 = 
BGL_CLASS_DEPTH(BgL_classz00_4071); 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_arg1786z00_4078; bool_t BgL_arg1787z00_4079;
{ /* Llib/midi.scm 1003 */
 long BgL_idxz00_4083;
BgL_idxz00_4083 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4073); 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1783z00_4084;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1784z00_4085;
BgL_arg1784z00_4085 = 
(BgL_idxz00_4083+BgL_arg1792z00_4074); 
BgL_arg1783z00_4084 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4085); } 
BgL_arg1786z00_4078 = 
(BgL_arg1783z00_4084==BgL_classz00_4071); } } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL_res3068z00_4108;
{ /* Llib/midi.scm 1003 */
 obj_t BgL_oclassz00_4093;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1796z00_4099;
{ /* Llib/midi.scm 1003 */
 long BgL_arg1797z00_4100;
BgL_arg1797z00_4100 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4073); 
BgL_arg1796z00_4099 = 
(BgL_arg1797z00_4100-OBJECT_TYPE); } 
BgL_oclassz00_4093 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4099); } 
{ /* Llib/midi.scm 1003 */
 bool_t BgL__ortest_1111z00_4094;
BgL__ortest_1111z00_4094 = 
(BgL_classz00_4071==BgL_oclassz00_4093); 
if(BgL__ortest_1111z00_4094)
{ /* Llib/midi.scm 1003 */
BgL_res3068z00_4108 = BgL__ortest_1111z00_4094; }  else 
{ /* Llib/midi.scm 1003 */
 long BgL_odepthz00_4095;
BgL_odepthz00_4095 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4093); 
if(
(BgL_arg1792z00_4074<BgL_odepthz00_4095))
{ /* Llib/midi.scm 1003 */
 obj_t BgL_arg1785z00_4097;
BgL_arg1785z00_4097 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4093, BgL_arg1792z00_4074); 
BgL_res3068z00_4108 = 
(BgL_arg1785z00_4097==BgL_classz00_4071); }  else 
{ /* Llib/midi.scm 1003 */
BgL_res3068z00_4108 = ((bool_t)0); } } } } 
BgL_arg1787z00_4079 = BgL_res3068z00_4108; } 
BgL_test3471z00_7338 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4078, BgL_arg1787z00_4079); } }  else 
{ /* Llib/midi.scm 1003 */
BgL_test3471z00_7338 = ((bool_t)0)
; } } 
if(BgL_test3471z00_7338)
{ /* Llib/midi.scm 1003 */
BgL_msz00_4110 = 
((BgL_midisinkz00_bglt)BgL_msz00_2894); }  else 
{ 
 obj_t BgL_auxz00_7359;
BgL_auxz00_7359 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2846z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2894); 
FAILURE(BgL_auxz00_7359,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1003 */
 obj_t BgL_tmpz00_7363;
if(
INTEGERP(BgL_tickz00_2895))
{ /* Llib/midi.scm 1003 */
BgL_tmpz00_7363 = BgL_tickz00_2895
; }  else 
{ 
 obj_t BgL_auxz00_7366;
BgL_auxz00_7366 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string2846z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2895); 
FAILURE(BgL_auxz00_7366,BFALSE,BFALSE);} 
BgL_tickz00_4111 = 
(long)CINT(BgL_tmpz00_7363); } 
return BUNSPEC;} } 

}



/* midiplayer-noteoff */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_88, BgL_midisinkz00_bglt BgL_msz00_89, long BgL_tickz00_90, long BgL_nnz00_91, long BgL_kkz00_92, long BgL_vvz00_93)
{
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2101z00_2322;
BgL_fun2101z00_2322 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2099z00_2323; long BgL_arg2100z00_2324;
BgL_arg2099z00_2323 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
BgL_arg2100z00_2324 = 
(((long)128) | BgL_nnz00_91); 
PROCEDURE_ENTRY(BgL_fun2101z00_2322)(BgL_fun2101z00_2322, BgL_arg2099z00_2323, 
BINT(BgL_arg2100z00_2324), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2103z00_2325;
BgL_fun2103z00_2325 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2102z00_2326;
BgL_arg2102z00_2326 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2103z00_2325)(BgL_fun2103z00_2325, BgL_arg2102z00_2326, 
BINT(BgL_kkz00_92), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2105z00_2327;
BgL_fun2105z00_2327 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2104z00_2328;
BgL_arg2104z00_2328 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2105z00_2327)(BgL_fun2105z00_2327, BgL_arg2104z00_2328, 
BINT(BgL_vvz00_93), BEOA);} } } 

}



/* &midiplayer-noteoff */
obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2897, obj_t BgL_mpz00_2898, obj_t BgL_msz00_2899, obj_t BgL_tickz00_2900, obj_t BgL_nnz00_2901, obj_t BgL_kkz00_2902, obj_t BgL_vvz00_2903)
{
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1028 */
 long BgL_auxz00_7475; long BgL_auxz00_7466; long BgL_auxz00_7457; long BgL_auxz00_7448; BgL_midisinkz00_bglt BgL_auxz00_7422; BgL_midiplayerz00_bglt BgL_auxz00_7396;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7476;
if(
INTEGERP(BgL_vvz00_2903))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7476 = BgL_vvz00_2903
; }  else 
{ 
 obj_t BgL_auxz00_7479;
BgL_auxz00_7479 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2847z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_vvz00_2903); 
FAILURE(BgL_auxz00_7479,BFALSE,BFALSE);} 
BgL_auxz00_7475 = 
(long)CINT(BgL_tmpz00_7476); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7467;
if(
INTEGERP(BgL_kkz00_2902))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7467 = BgL_kkz00_2902
; }  else 
{ 
 obj_t BgL_auxz00_7470;
BgL_auxz00_7470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2847z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_kkz00_2902); 
FAILURE(BgL_auxz00_7470,BFALSE,BFALSE);} 
BgL_auxz00_7466 = 
(long)CINT(BgL_tmpz00_7467); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7458;
if(
INTEGERP(BgL_nnz00_2901))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7458 = BgL_nnz00_2901
; }  else 
{ 
 obj_t BgL_auxz00_7461;
BgL_auxz00_7461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2847z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_nnz00_2901); 
FAILURE(BgL_auxz00_7461,BFALSE,BFALSE);} 
BgL_auxz00_7457 = 
(long)CINT(BgL_tmpz00_7458); } 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_tmpz00_7449;
if(
INTEGERP(BgL_tickz00_2900))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_7449 = BgL_tickz00_2900
; }  else 
{ 
 obj_t BgL_auxz00_7452;
BgL_auxz00_7452 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2847z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2900); 
FAILURE(BgL_auxz00_7452,BFALSE,BFALSE);} 
BgL_auxz00_7448 = 
(long)CINT(BgL_tmpz00_7449); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_test3480z00_7423;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_classz00_4150;
BgL_classz00_4150 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2899))
{ /* Llib/midi.scm 1028 */
 BgL_objectz00_bglt BgL_arg1791z00_4152; long BgL_arg1792z00_4153;
BgL_arg1791z00_4152 = 
(BgL_objectz00_bglt)(BgL_msz00_2899); 
BgL_arg1792z00_4153 = 
BGL_CLASS_DEPTH(BgL_classz00_4150); 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_arg1786z00_4157; bool_t BgL_arg1787z00_4158;
{ /* Llib/midi.scm 1028 */
 long BgL_idxz00_4162;
BgL_idxz00_4162 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4152); 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1783z00_4163;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1784z00_4164;
BgL_arg1784z00_4164 = 
(BgL_idxz00_4162+BgL_arg1792z00_4153); 
BgL_arg1783z00_4163 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4164); } 
BgL_arg1786z00_4157 = 
(BgL_arg1783z00_4163==BgL_classz00_4150); } } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_res3070z00_4187;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_oclassz00_4172;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1796z00_4178;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1797z00_4179;
BgL_arg1797z00_4179 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4152); 
BgL_arg1796z00_4178 = 
(BgL_arg1797z00_4179-OBJECT_TYPE); } 
BgL_oclassz00_4172 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4178); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL__ortest_1111z00_4173;
BgL__ortest_1111z00_4173 = 
(BgL_classz00_4150==BgL_oclassz00_4172); 
if(BgL__ortest_1111z00_4173)
{ /* Llib/midi.scm 1028 */
BgL_res3070z00_4187 = BgL__ortest_1111z00_4173; }  else 
{ /* Llib/midi.scm 1028 */
 long BgL_odepthz00_4174;
BgL_odepthz00_4174 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4172); 
if(
(BgL_arg1792z00_4153<BgL_odepthz00_4174))
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1785z00_4176;
BgL_arg1785z00_4176 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4172, BgL_arg1792z00_4153); 
BgL_res3070z00_4187 = 
(BgL_arg1785z00_4176==BgL_classz00_4150); }  else 
{ /* Llib/midi.scm 1028 */
BgL_res3070z00_4187 = ((bool_t)0); } } } } 
BgL_arg1787z00_4158 = BgL_res3070z00_4187; } 
BgL_test3480z00_7423 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4157, BgL_arg1787z00_4158); } }  else 
{ /* Llib/midi.scm 1028 */
BgL_test3480z00_7423 = ((bool_t)0)
; } } 
if(BgL_test3480z00_7423)
{ /* Llib/midi.scm 1028 */
BgL_auxz00_7422 = 
((BgL_midisinkz00_bglt)BgL_msz00_2899)
; }  else 
{ 
 obj_t BgL_auxz00_7444;
BgL_auxz00_7444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2847z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2899); 
FAILURE(BgL_auxz00_7444,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_test3476z00_7397;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_classz00_4112;
BgL_classz00_4112 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2898))
{ /* Llib/midi.scm 1028 */
 BgL_objectz00_bglt BgL_arg1791z00_4114; long BgL_arg1792z00_4115;
BgL_arg1791z00_4114 = 
(BgL_objectz00_bglt)(BgL_mpz00_2898); 
BgL_arg1792z00_4115 = 
BGL_CLASS_DEPTH(BgL_classz00_4112); 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_arg1786z00_4119; bool_t BgL_arg1787z00_4120;
{ /* Llib/midi.scm 1028 */
 long BgL_idxz00_4124;
BgL_idxz00_4124 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4114); 
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1783z00_4125;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1784z00_4126;
BgL_arg1784z00_4126 = 
(BgL_idxz00_4124+BgL_arg1792z00_4115); 
BgL_arg1783z00_4125 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4126); } 
BgL_arg1786z00_4119 = 
(BgL_arg1783z00_4125==BgL_classz00_4112); } } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL_res3069z00_4149;
{ /* Llib/midi.scm 1028 */
 obj_t BgL_oclassz00_4134;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1796z00_4140;
{ /* Llib/midi.scm 1028 */
 long BgL_arg1797z00_4141;
BgL_arg1797z00_4141 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4114); 
BgL_arg1796z00_4140 = 
(BgL_arg1797z00_4141-OBJECT_TYPE); } 
BgL_oclassz00_4134 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4140); } 
{ /* Llib/midi.scm 1028 */
 bool_t BgL__ortest_1111z00_4135;
BgL__ortest_1111z00_4135 = 
(BgL_classz00_4112==BgL_oclassz00_4134); 
if(BgL__ortest_1111z00_4135)
{ /* Llib/midi.scm 1028 */
BgL_res3069z00_4149 = BgL__ortest_1111z00_4135; }  else 
{ /* Llib/midi.scm 1028 */
 long BgL_odepthz00_4136;
BgL_odepthz00_4136 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4134); 
if(
(BgL_arg1792z00_4115<BgL_odepthz00_4136))
{ /* Llib/midi.scm 1028 */
 obj_t BgL_arg1785z00_4138;
BgL_arg1785z00_4138 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4134, BgL_arg1792z00_4115); 
BgL_res3069z00_4149 = 
(BgL_arg1785z00_4138==BgL_classz00_4112); }  else 
{ /* Llib/midi.scm 1028 */
BgL_res3069z00_4149 = ((bool_t)0); } } } } 
BgL_arg1787z00_4120 = BgL_res3069z00_4149; } 
BgL_test3476z00_7397 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4119, BgL_arg1787z00_4120); } }  else 
{ /* Llib/midi.scm 1028 */
BgL_test3476z00_7397 = ((bool_t)0)
; } } 
if(BgL_test3476z00_7397)
{ /* Llib/midi.scm 1028 */
BgL_auxz00_7396 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2898)
; }  else 
{ 
 obj_t BgL_auxz00_7418;
BgL_auxz00_7418 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string2847z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2898); 
FAILURE(BgL_auxz00_7418,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_auxz00_7396, BgL_auxz00_7422, BgL_auxz00_7448, BgL_auxz00_7457, BgL_auxz00_7466, BgL_auxz00_7475);} } 

}



/* midiplayer-noteon */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_94, BgL_midisinkz00_bglt BgL_msz00_95, long BgL_tickz00_96, long BgL_nnz00_97, long BgL_kkz00_98, long BgL_vvz00_99)
{
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2101z00_2335;
BgL_fun2101z00_2335 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2099z00_2336; long BgL_arg2100z00_2337;
BgL_arg2099z00_2336 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
BgL_arg2100z00_2337 = 
(((long)144) | BgL_nnz00_97); 
PROCEDURE_ENTRY(BgL_fun2101z00_2335)(BgL_fun2101z00_2335, BgL_arg2099z00_2336, 
BINT(BgL_arg2100z00_2337), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2103z00_2338;
BgL_fun2103z00_2338 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2102z00_2339;
BgL_arg2102z00_2339 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2103z00_2338)(BgL_fun2103z00_2338, BgL_arg2102z00_2339, 
BINT(BgL_kkz00_98), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2105z00_2340;
BgL_fun2105z00_2340 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2104z00_2341;
BgL_arg2104z00_2341 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2105z00_2340)(BgL_fun2105z00_2340, BgL_arg2104z00_2341, 
BINT(BgL_vvz00_99), BEOA);} } } 

}



/* &midiplayer-noteon */
obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2904, obj_t BgL_mpz00_2905, obj_t BgL_msz00_2906, obj_t BgL_tickz00_2907, obj_t BgL_nnz00_2908, obj_t BgL_kkz00_2909, obj_t BgL_vvz00_2910)
{
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1035 */
 long BgL_auxz00_7589; long BgL_auxz00_7580; long BgL_auxz00_7571; long BgL_auxz00_7562; BgL_midisinkz00_bglt BgL_auxz00_7536; BgL_midiplayerz00_bglt BgL_auxz00_7510;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7590;
if(
INTEGERP(BgL_vvz00_2910))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7590 = BgL_vvz00_2910
; }  else 
{ 
 obj_t BgL_auxz00_7593;
BgL_auxz00_7593 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2848z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_vvz00_2910); 
FAILURE(BgL_auxz00_7593,BFALSE,BFALSE);} 
BgL_auxz00_7589 = 
(long)CINT(BgL_tmpz00_7590); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7581;
if(
INTEGERP(BgL_kkz00_2909))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7581 = BgL_kkz00_2909
; }  else 
{ 
 obj_t BgL_auxz00_7584;
BgL_auxz00_7584 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2848z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_kkz00_2909); 
FAILURE(BgL_auxz00_7584,BFALSE,BFALSE);} 
BgL_auxz00_7580 = 
(long)CINT(BgL_tmpz00_7581); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7572;
if(
INTEGERP(BgL_nnz00_2908))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7572 = BgL_nnz00_2908
; }  else 
{ 
 obj_t BgL_auxz00_7575;
BgL_auxz00_7575 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2848z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_nnz00_2908); 
FAILURE(BgL_auxz00_7575,BFALSE,BFALSE);} 
BgL_auxz00_7571 = 
(long)CINT(BgL_tmpz00_7572); } 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_tmpz00_7563;
if(
INTEGERP(BgL_tickz00_2907))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_7563 = BgL_tickz00_2907
; }  else 
{ 
 obj_t BgL_auxz00_7566;
BgL_auxz00_7566 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2848z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2907); 
FAILURE(BgL_auxz00_7566,BFALSE,BFALSE);} 
BgL_auxz00_7562 = 
(long)CINT(BgL_tmpz00_7563); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_test3492z00_7537;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_classz00_4226;
BgL_classz00_4226 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2906))
{ /* Llib/midi.scm 1035 */
 BgL_objectz00_bglt BgL_arg1791z00_4228; long BgL_arg1792z00_4229;
BgL_arg1791z00_4228 = 
(BgL_objectz00_bglt)(BgL_msz00_2906); 
BgL_arg1792z00_4229 = 
BGL_CLASS_DEPTH(BgL_classz00_4226); 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_arg1786z00_4233; bool_t BgL_arg1787z00_4234;
{ /* Llib/midi.scm 1035 */
 long BgL_idxz00_4238;
BgL_idxz00_4238 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4228); 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1783z00_4239;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1784z00_4240;
BgL_arg1784z00_4240 = 
(BgL_idxz00_4238+BgL_arg1792z00_4229); 
BgL_arg1783z00_4239 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4240); } 
BgL_arg1786z00_4233 = 
(BgL_arg1783z00_4239==BgL_classz00_4226); } } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_res3072z00_4263;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_oclassz00_4248;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1796z00_4254;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1797z00_4255;
BgL_arg1797z00_4255 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4228); 
BgL_arg1796z00_4254 = 
(BgL_arg1797z00_4255-OBJECT_TYPE); } 
BgL_oclassz00_4248 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4254); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL__ortest_1111z00_4249;
BgL__ortest_1111z00_4249 = 
(BgL_classz00_4226==BgL_oclassz00_4248); 
if(BgL__ortest_1111z00_4249)
{ /* Llib/midi.scm 1035 */
BgL_res3072z00_4263 = BgL__ortest_1111z00_4249; }  else 
{ /* Llib/midi.scm 1035 */
 long BgL_odepthz00_4250;
BgL_odepthz00_4250 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4248); 
if(
(BgL_arg1792z00_4229<BgL_odepthz00_4250))
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1785z00_4252;
BgL_arg1785z00_4252 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4248, BgL_arg1792z00_4229); 
BgL_res3072z00_4263 = 
(BgL_arg1785z00_4252==BgL_classz00_4226); }  else 
{ /* Llib/midi.scm 1035 */
BgL_res3072z00_4263 = ((bool_t)0); } } } } 
BgL_arg1787z00_4234 = BgL_res3072z00_4263; } 
BgL_test3492z00_7537 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4233, BgL_arg1787z00_4234); } }  else 
{ /* Llib/midi.scm 1035 */
BgL_test3492z00_7537 = ((bool_t)0)
; } } 
if(BgL_test3492z00_7537)
{ /* Llib/midi.scm 1035 */
BgL_auxz00_7536 = 
((BgL_midisinkz00_bglt)BgL_msz00_2906)
; }  else 
{ 
 obj_t BgL_auxz00_7558;
BgL_auxz00_7558 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2848z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2906); 
FAILURE(BgL_auxz00_7558,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_test3488z00_7511;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_classz00_4188;
BgL_classz00_4188 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2905))
{ /* Llib/midi.scm 1035 */
 BgL_objectz00_bglt BgL_arg1791z00_4190; long BgL_arg1792z00_4191;
BgL_arg1791z00_4190 = 
(BgL_objectz00_bglt)(BgL_mpz00_2905); 
BgL_arg1792z00_4191 = 
BGL_CLASS_DEPTH(BgL_classz00_4188); 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_arg1786z00_4195; bool_t BgL_arg1787z00_4196;
{ /* Llib/midi.scm 1035 */
 long BgL_idxz00_4200;
BgL_idxz00_4200 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4190); 
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1783z00_4201;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1784z00_4202;
BgL_arg1784z00_4202 = 
(BgL_idxz00_4200+BgL_arg1792z00_4191); 
BgL_arg1783z00_4201 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4202); } 
BgL_arg1786z00_4195 = 
(BgL_arg1783z00_4201==BgL_classz00_4188); } } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL_res3071z00_4225;
{ /* Llib/midi.scm 1035 */
 obj_t BgL_oclassz00_4210;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1796z00_4216;
{ /* Llib/midi.scm 1035 */
 long BgL_arg1797z00_4217;
BgL_arg1797z00_4217 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4190); 
BgL_arg1796z00_4216 = 
(BgL_arg1797z00_4217-OBJECT_TYPE); } 
BgL_oclassz00_4210 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4216); } 
{ /* Llib/midi.scm 1035 */
 bool_t BgL__ortest_1111z00_4211;
BgL__ortest_1111z00_4211 = 
(BgL_classz00_4188==BgL_oclassz00_4210); 
if(BgL__ortest_1111z00_4211)
{ /* Llib/midi.scm 1035 */
BgL_res3071z00_4225 = BgL__ortest_1111z00_4211; }  else 
{ /* Llib/midi.scm 1035 */
 long BgL_odepthz00_4212;
BgL_odepthz00_4212 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4210); 
if(
(BgL_arg1792z00_4191<BgL_odepthz00_4212))
{ /* Llib/midi.scm 1035 */
 obj_t BgL_arg1785z00_4214;
BgL_arg1785z00_4214 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4210, BgL_arg1792z00_4191); 
BgL_res3071z00_4225 = 
(BgL_arg1785z00_4214==BgL_classz00_4188); }  else 
{ /* Llib/midi.scm 1035 */
BgL_res3071z00_4225 = ((bool_t)0); } } } } 
BgL_arg1787z00_4196 = BgL_res3071z00_4225; } 
BgL_test3488z00_7511 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4195, BgL_arg1787z00_4196); } }  else 
{ /* Llib/midi.scm 1035 */
BgL_test3488z00_7511 = ((bool_t)0)
; } } 
if(BgL_test3488z00_7511)
{ /* Llib/midi.scm 1035 */
BgL_auxz00_7510 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2905)
; }  else 
{ 
 obj_t BgL_auxz00_7532;
BgL_auxz00_7532 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string2848z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2905); 
FAILURE(BgL_auxz00_7532,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_auxz00_7510, BgL_auxz00_7536, BgL_auxz00_7562, BgL_auxz00_7571, BgL_auxz00_7580, BgL_auxz00_7589);} } 

}



/* midiplayer-aftertouch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_100, BgL_midisinkz00_bglt BgL_msz00_101, long BgL_tickz00_102, long BgL_nnz00_103, long BgL_kkz00_104, long BgL_vvz00_105)
{
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2101z00_2348;
BgL_fun2101z00_2348 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2099z00_2349; long BgL_arg2100z00_2350;
BgL_arg2099z00_2349 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
BgL_arg2100z00_2350 = 
(((long)160) | BgL_nnz00_103); 
PROCEDURE_ENTRY(BgL_fun2101z00_2348)(BgL_fun2101z00_2348, BgL_arg2099z00_2349, 
BINT(BgL_arg2100z00_2350), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2103z00_2351;
BgL_fun2103z00_2351 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2102z00_2352;
BgL_arg2102z00_2352 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2103z00_2351)(BgL_fun2103z00_2351, BgL_arg2102z00_2352, 
BINT(BgL_kkz00_104), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2105z00_2353;
BgL_fun2105z00_2353 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2104z00_2354;
BgL_arg2104z00_2354 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2105z00_2353)(BgL_fun2105z00_2353, BgL_arg2104z00_2354, 
BINT(BgL_vvz00_105), BEOA);} } } 

}



/* &midiplayer-aftertouch */
obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2911, obj_t BgL_mpz00_2912, obj_t BgL_msz00_2913, obj_t BgL_tickz00_2914, obj_t BgL_nnz00_2915, obj_t BgL_kkz00_2916, obj_t BgL_vvz00_2917)
{
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1042 */
 long BgL_auxz00_7703; long BgL_auxz00_7694; long BgL_auxz00_7685; long BgL_auxz00_7676; BgL_midisinkz00_bglt BgL_auxz00_7650; BgL_midiplayerz00_bglt BgL_auxz00_7624;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7704;
if(
INTEGERP(BgL_vvz00_2917))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7704 = BgL_vvz00_2917
; }  else 
{ 
 obj_t BgL_auxz00_7707;
BgL_auxz00_7707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2849z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_vvz00_2917); 
FAILURE(BgL_auxz00_7707,BFALSE,BFALSE);} 
BgL_auxz00_7703 = 
(long)CINT(BgL_tmpz00_7704); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7695;
if(
INTEGERP(BgL_kkz00_2916))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7695 = BgL_kkz00_2916
; }  else 
{ 
 obj_t BgL_auxz00_7698;
BgL_auxz00_7698 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2849z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_kkz00_2916); 
FAILURE(BgL_auxz00_7698,BFALSE,BFALSE);} 
BgL_auxz00_7694 = 
(long)CINT(BgL_tmpz00_7695); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7686;
if(
INTEGERP(BgL_nnz00_2915))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7686 = BgL_nnz00_2915
; }  else 
{ 
 obj_t BgL_auxz00_7689;
BgL_auxz00_7689 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2849z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_nnz00_2915); 
FAILURE(BgL_auxz00_7689,BFALSE,BFALSE);} 
BgL_auxz00_7685 = 
(long)CINT(BgL_tmpz00_7686); } 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_tmpz00_7677;
if(
INTEGERP(BgL_tickz00_2914))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_7677 = BgL_tickz00_2914
; }  else 
{ 
 obj_t BgL_auxz00_7680;
BgL_auxz00_7680 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2849z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2914); 
FAILURE(BgL_auxz00_7680,BFALSE,BFALSE);} 
BgL_auxz00_7676 = 
(long)CINT(BgL_tmpz00_7677); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_test3504z00_7651;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_classz00_4302;
BgL_classz00_4302 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2913))
{ /* Llib/midi.scm 1042 */
 BgL_objectz00_bglt BgL_arg1791z00_4304; long BgL_arg1792z00_4305;
BgL_arg1791z00_4304 = 
(BgL_objectz00_bglt)(BgL_msz00_2913); 
BgL_arg1792z00_4305 = 
BGL_CLASS_DEPTH(BgL_classz00_4302); 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_arg1786z00_4309; bool_t BgL_arg1787z00_4310;
{ /* Llib/midi.scm 1042 */
 long BgL_idxz00_4314;
BgL_idxz00_4314 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4304); 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1783z00_4315;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1784z00_4316;
BgL_arg1784z00_4316 = 
(BgL_idxz00_4314+BgL_arg1792z00_4305); 
BgL_arg1783z00_4315 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4316); } 
BgL_arg1786z00_4309 = 
(BgL_arg1783z00_4315==BgL_classz00_4302); } } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_res3074z00_4339;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_oclassz00_4324;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1796z00_4330;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1797z00_4331;
BgL_arg1797z00_4331 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4304); 
BgL_arg1796z00_4330 = 
(BgL_arg1797z00_4331-OBJECT_TYPE); } 
BgL_oclassz00_4324 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4330); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL__ortest_1111z00_4325;
BgL__ortest_1111z00_4325 = 
(BgL_classz00_4302==BgL_oclassz00_4324); 
if(BgL__ortest_1111z00_4325)
{ /* Llib/midi.scm 1042 */
BgL_res3074z00_4339 = BgL__ortest_1111z00_4325; }  else 
{ /* Llib/midi.scm 1042 */
 long BgL_odepthz00_4326;
BgL_odepthz00_4326 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4324); 
if(
(BgL_arg1792z00_4305<BgL_odepthz00_4326))
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1785z00_4328;
BgL_arg1785z00_4328 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4324, BgL_arg1792z00_4305); 
BgL_res3074z00_4339 = 
(BgL_arg1785z00_4328==BgL_classz00_4302); }  else 
{ /* Llib/midi.scm 1042 */
BgL_res3074z00_4339 = ((bool_t)0); } } } } 
BgL_arg1787z00_4310 = BgL_res3074z00_4339; } 
BgL_test3504z00_7651 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4309, BgL_arg1787z00_4310); } }  else 
{ /* Llib/midi.scm 1042 */
BgL_test3504z00_7651 = ((bool_t)0)
; } } 
if(BgL_test3504z00_7651)
{ /* Llib/midi.scm 1042 */
BgL_auxz00_7650 = 
((BgL_midisinkz00_bglt)BgL_msz00_2913)
; }  else 
{ 
 obj_t BgL_auxz00_7672;
BgL_auxz00_7672 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2849z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2913); 
FAILURE(BgL_auxz00_7672,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_test3500z00_7625;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_classz00_4264;
BgL_classz00_4264 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2912))
{ /* Llib/midi.scm 1042 */
 BgL_objectz00_bglt BgL_arg1791z00_4266; long BgL_arg1792z00_4267;
BgL_arg1791z00_4266 = 
(BgL_objectz00_bglt)(BgL_mpz00_2912); 
BgL_arg1792z00_4267 = 
BGL_CLASS_DEPTH(BgL_classz00_4264); 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_arg1786z00_4271; bool_t BgL_arg1787z00_4272;
{ /* Llib/midi.scm 1042 */
 long BgL_idxz00_4276;
BgL_idxz00_4276 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4266); 
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1783z00_4277;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1784z00_4278;
BgL_arg1784z00_4278 = 
(BgL_idxz00_4276+BgL_arg1792z00_4267); 
BgL_arg1783z00_4277 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4278); } 
BgL_arg1786z00_4271 = 
(BgL_arg1783z00_4277==BgL_classz00_4264); } } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL_res3073z00_4301;
{ /* Llib/midi.scm 1042 */
 obj_t BgL_oclassz00_4286;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1796z00_4292;
{ /* Llib/midi.scm 1042 */
 long BgL_arg1797z00_4293;
BgL_arg1797z00_4293 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4266); 
BgL_arg1796z00_4292 = 
(BgL_arg1797z00_4293-OBJECT_TYPE); } 
BgL_oclassz00_4286 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4292); } 
{ /* Llib/midi.scm 1042 */
 bool_t BgL__ortest_1111z00_4287;
BgL__ortest_1111z00_4287 = 
(BgL_classz00_4264==BgL_oclassz00_4286); 
if(BgL__ortest_1111z00_4287)
{ /* Llib/midi.scm 1042 */
BgL_res3073z00_4301 = BgL__ortest_1111z00_4287; }  else 
{ /* Llib/midi.scm 1042 */
 long BgL_odepthz00_4288;
BgL_odepthz00_4288 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4286); 
if(
(BgL_arg1792z00_4267<BgL_odepthz00_4288))
{ /* Llib/midi.scm 1042 */
 obj_t BgL_arg1785z00_4290;
BgL_arg1785z00_4290 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4286, BgL_arg1792z00_4267); 
BgL_res3073z00_4301 = 
(BgL_arg1785z00_4290==BgL_classz00_4264); }  else 
{ /* Llib/midi.scm 1042 */
BgL_res3073z00_4301 = ((bool_t)0); } } } } 
BgL_arg1787z00_4272 = BgL_res3073z00_4301; } 
BgL_test3500z00_7625 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4271, BgL_arg1787z00_4272); } }  else 
{ /* Llib/midi.scm 1042 */
BgL_test3500z00_7625 = ((bool_t)0)
; } } 
if(BgL_test3500z00_7625)
{ /* Llib/midi.scm 1042 */
BgL_auxz00_7624 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2912)
; }  else 
{ 
 obj_t BgL_auxz00_7646;
BgL_auxz00_7646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string2849z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2912); 
FAILURE(BgL_auxz00_7646,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_auxz00_7624, BgL_auxz00_7650, BgL_auxz00_7676, BgL_auxz00_7685, BgL_auxz00_7694, BgL_auxz00_7703);} } 

}



/* midiplayer-ctrlchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_106, BgL_midisinkz00_bglt BgL_msz00_107, long BgL_tickz00_108, long BgL_nnz00_109, long BgL_kkz00_110, long BgL_vvz00_111)
{
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2101z00_2361;
BgL_fun2101z00_2361 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2099z00_2362; long BgL_arg2100z00_2363;
BgL_arg2099z00_2362 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
BgL_arg2100z00_2363 = 
(((long)176) | BgL_nnz00_109); 
PROCEDURE_ENTRY(BgL_fun2101z00_2361)(BgL_fun2101z00_2361, BgL_arg2099z00_2362, 
BINT(BgL_arg2100z00_2363), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2103z00_2364;
BgL_fun2103z00_2364 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2102z00_2365;
BgL_arg2102z00_2365 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2103z00_2364)(BgL_fun2103z00_2364, BgL_arg2102z00_2365, 
BINT(BgL_kkz00_110), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2105z00_2366;
BgL_fun2105z00_2366 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2104z00_2367;
BgL_arg2104z00_2367 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2105z00_2366)(BgL_fun2105z00_2366, BgL_arg2104z00_2367, 
BINT(BgL_vvz00_111), BEOA);} } } 

}



/* &midiplayer-ctrlchange */
obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2918, obj_t BgL_mpz00_2919, obj_t BgL_msz00_2920, obj_t BgL_tickz00_2921, obj_t BgL_nnz00_2922, obj_t BgL_kkz00_2923, obj_t BgL_vvz00_2924)
{
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1049 */
 long BgL_auxz00_7817; long BgL_auxz00_7808; long BgL_auxz00_7799; long BgL_auxz00_7790; BgL_midisinkz00_bglt BgL_auxz00_7764; BgL_midiplayerz00_bglt BgL_auxz00_7738;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7818;
if(
INTEGERP(BgL_vvz00_2924))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7818 = BgL_vvz00_2924
; }  else 
{ 
 obj_t BgL_auxz00_7821;
BgL_auxz00_7821 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2850z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_vvz00_2924); 
FAILURE(BgL_auxz00_7821,BFALSE,BFALSE);} 
BgL_auxz00_7817 = 
(long)CINT(BgL_tmpz00_7818); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7809;
if(
INTEGERP(BgL_kkz00_2923))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7809 = BgL_kkz00_2923
; }  else 
{ 
 obj_t BgL_auxz00_7812;
BgL_auxz00_7812 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2850z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_kkz00_2923); 
FAILURE(BgL_auxz00_7812,BFALSE,BFALSE);} 
BgL_auxz00_7808 = 
(long)CINT(BgL_tmpz00_7809); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7800;
if(
INTEGERP(BgL_nnz00_2922))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7800 = BgL_nnz00_2922
; }  else 
{ 
 obj_t BgL_auxz00_7803;
BgL_auxz00_7803 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2850z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_nnz00_2922); 
FAILURE(BgL_auxz00_7803,BFALSE,BFALSE);} 
BgL_auxz00_7799 = 
(long)CINT(BgL_tmpz00_7800); } 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_tmpz00_7791;
if(
INTEGERP(BgL_tickz00_2921))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_7791 = BgL_tickz00_2921
; }  else 
{ 
 obj_t BgL_auxz00_7794;
BgL_auxz00_7794 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2850z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2921); 
FAILURE(BgL_auxz00_7794,BFALSE,BFALSE);} 
BgL_auxz00_7790 = 
(long)CINT(BgL_tmpz00_7791); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_test3516z00_7765;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_classz00_4378;
BgL_classz00_4378 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2920))
{ /* Llib/midi.scm 1049 */
 BgL_objectz00_bglt BgL_arg1791z00_4380; long BgL_arg1792z00_4381;
BgL_arg1791z00_4380 = 
(BgL_objectz00_bglt)(BgL_msz00_2920); 
BgL_arg1792z00_4381 = 
BGL_CLASS_DEPTH(BgL_classz00_4378); 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_arg1786z00_4385; bool_t BgL_arg1787z00_4386;
{ /* Llib/midi.scm 1049 */
 long BgL_idxz00_4390;
BgL_idxz00_4390 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4380); 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1783z00_4391;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1784z00_4392;
BgL_arg1784z00_4392 = 
(BgL_idxz00_4390+BgL_arg1792z00_4381); 
BgL_arg1783z00_4391 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4392); } 
BgL_arg1786z00_4385 = 
(BgL_arg1783z00_4391==BgL_classz00_4378); } } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_res3076z00_4415;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_oclassz00_4400;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1796z00_4406;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1797z00_4407;
BgL_arg1797z00_4407 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4380); 
BgL_arg1796z00_4406 = 
(BgL_arg1797z00_4407-OBJECT_TYPE); } 
BgL_oclassz00_4400 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4406); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL__ortest_1111z00_4401;
BgL__ortest_1111z00_4401 = 
(BgL_classz00_4378==BgL_oclassz00_4400); 
if(BgL__ortest_1111z00_4401)
{ /* Llib/midi.scm 1049 */
BgL_res3076z00_4415 = BgL__ortest_1111z00_4401; }  else 
{ /* Llib/midi.scm 1049 */
 long BgL_odepthz00_4402;
BgL_odepthz00_4402 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4400); 
if(
(BgL_arg1792z00_4381<BgL_odepthz00_4402))
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1785z00_4404;
BgL_arg1785z00_4404 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4400, BgL_arg1792z00_4381); 
BgL_res3076z00_4415 = 
(BgL_arg1785z00_4404==BgL_classz00_4378); }  else 
{ /* Llib/midi.scm 1049 */
BgL_res3076z00_4415 = ((bool_t)0); } } } } 
BgL_arg1787z00_4386 = BgL_res3076z00_4415; } 
BgL_test3516z00_7765 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4385, BgL_arg1787z00_4386); } }  else 
{ /* Llib/midi.scm 1049 */
BgL_test3516z00_7765 = ((bool_t)0)
; } } 
if(BgL_test3516z00_7765)
{ /* Llib/midi.scm 1049 */
BgL_auxz00_7764 = 
((BgL_midisinkz00_bglt)BgL_msz00_2920)
; }  else 
{ 
 obj_t BgL_auxz00_7786;
BgL_auxz00_7786 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2850z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2920); 
FAILURE(BgL_auxz00_7786,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_test3512z00_7739;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_classz00_4340;
BgL_classz00_4340 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2919))
{ /* Llib/midi.scm 1049 */
 BgL_objectz00_bglt BgL_arg1791z00_4342; long BgL_arg1792z00_4343;
BgL_arg1791z00_4342 = 
(BgL_objectz00_bglt)(BgL_mpz00_2919); 
BgL_arg1792z00_4343 = 
BGL_CLASS_DEPTH(BgL_classz00_4340); 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_arg1786z00_4347; bool_t BgL_arg1787z00_4348;
{ /* Llib/midi.scm 1049 */
 long BgL_idxz00_4352;
BgL_idxz00_4352 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4342); 
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1783z00_4353;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1784z00_4354;
BgL_arg1784z00_4354 = 
(BgL_idxz00_4352+BgL_arg1792z00_4343); 
BgL_arg1783z00_4353 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4354); } 
BgL_arg1786z00_4347 = 
(BgL_arg1783z00_4353==BgL_classz00_4340); } } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL_res3075z00_4377;
{ /* Llib/midi.scm 1049 */
 obj_t BgL_oclassz00_4362;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1796z00_4368;
{ /* Llib/midi.scm 1049 */
 long BgL_arg1797z00_4369;
BgL_arg1797z00_4369 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4342); 
BgL_arg1796z00_4368 = 
(BgL_arg1797z00_4369-OBJECT_TYPE); } 
BgL_oclassz00_4362 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4368); } 
{ /* Llib/midi.scm 1049 */
 bool_t BgL__ortest_1111z00_4363;
BgL__ortest_1111z00_4363 = 
(BgL_classz00_4340==BgL_oclassz00_4362); 
if(BgL__ortest_1111z00_4363)
{ /* Llib/midi.scm 1049 */
BgL_res3075z00_4377 = BgL__ortest_1111z00_4363; }  else 
{ /* Llib/midi.scm 1049 */
 long BgL_odepthz00_4364;
BgL_odepthz00_4364 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4362); 
if(
(BgL_arg1792z00_4343<BgL_odepthz00_4364))
{ /* Llib/midi.scm 1049 */
 obj_t BgL_arg1785z00_4366;
BgL_arg1785z00_4366 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4362, BgL_arg1792z00_4343); 
BgL_res3075z00_4377 = 
(BgL_arg1785z00_4366==BgL_classz00_4340); }  else 
{ /* Llib/midi.scm 1049 */
BgL_res3075z00_4377 = ((bool_t)0); } } } } 
BgL_arg1787z00_4348 = BgL_res3075z00_4377; } 
BgL_test3512z00_7739 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4347, BgL_arg1787z00_4348); } }  else 
{ /* Llib/midi.scm 1049 */
BgL_test3512z00_7739 = ((bool_t)0)
; } } 
if(BgL_test3512z00_7739)
{ /* Llib/midi.scm 1049 */
BgL_auxz00_7738 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2919)
; }  else 
{ 
 obj_t BgL_auxz00_7760;
BgL_auxz00_7760 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string2850z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2919); 
FAILURE(BgL_auxz00_7760,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_auxz00_7738, BgL_auxz00_7764, BgL_auxz00_7790, BgL_auxz00_7799, BgL_auxz00_7808, BgL_auxz00_7817);} } 

}



/* midiplayer-prgmchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_112, BgL_midisinkz00_bglt BgL_msz00_113, long BgL_tickz00_114, long BgL_nnz00_115, long BgL_ppz00_116)
{
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1011 */
 obj_t BgL_fun2096z00_2373;
BgL_fun2096z00_2373 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
 obj_t BgL_arg2094z00_2374; long BgL_arg2095z00_2375;
BgL_arg2094z00_2374 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
BgL_arg2095z00_2375 = 
(((long)192) | BgL_nnz00_115); 
PROCEDURE_ENTRY(BgL_fun2096z00_2373)(BgL_fun2096z00_2373, BgL_arg2094z00_2374, 
BINT(BgL_arg2095z00_2375), BEOA); } } 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_fun2098z00_2376;
BgL_fun2098z00_2376 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_arg2097z00_2377;
BgL_arg2097z00_2377 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2098z00_2376)(BgL_fun2098z00_2376, BgL_arg2097z00_2377, 
BINT(BgL_ppz00_116), BEOA);} } } 

}



/* &midiplayer-prgmchange */
obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_2925, obj_t BgL_mpz00_2926, obj_t BgL_msz00_2927, obj_t BgL_tickz00_2928, obj_t BgL_nnz00_2929, obj_t BgL_ppz00_2930)
{
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1056 */
 long BgL_auxz00_7914; long BgL_auxz00_7905; long BgL_auxz00_7896; BgL_midisinkz00_bglt BgL_auxz00_7870; BgL_midiplayerz00_bglt BgL_auxz00_7844;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7915;
if(
INTEGERP(BgL_ppz00_2930))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7915 = BgL_ppz00_2930
; }  else 
{ 
 obj_t BgL_auxz00_7918;
BgL_auxz00_7918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2851z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_ppz00_2930); 
FAILURE(BgL_auxz00_7918,BFALSE,BFALSE);} 
BgL_auxz00_7914 = 
(long)CINT(BgL_tmpz00_7915); } 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7906;
if(
INTEGERP(BgL_nnz00_2929))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7906 = BgL_nnz00_2929
; }  else 
{ 
 obj_t BgL_auxz00_7909;
BgL_auxz00_7909 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2851z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_nnz00_2929); 
FAILURE(BgL_auxz00_7909,BFALSE,BFALSE);} 
BgL_auxz00_7905 = 
(long)CINT(BgL_tmpz00_7906); } 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_tmpz00_7897;
if(
INTEGERP(BgL_tickz00_2928))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_7897 = BgL_tickz00_2928
; }  else 
{ 
 obj_t BgL_auxz00_7900;
BgL_auxz00_7900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2851z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2928); 
FAILURE(BgL_auxz00_7900,BFALSE,BFALSE);} 
BgL_auxz00_7896 = 
(long)CINT(BgL_tmpz00_7897); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_test3528z00_7871;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_classz00_4454;
BgL_classz00_4454 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2927))
{ /* Llib/midi.scm 1056 */
 BgL_objectz00_bglt BgL_arg1791z00_4456; long BgL_arg1792z00_4457;
BgL_arg1791z00_4456 = 
(BgL_objectz00_bglt)(BgL_msz00_2927); 
BgL_arg1792z00_4457 = 
BGL_CLASS_DEPTH(BgL_classz00_4454); 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_arg1786z00_4461; bool_t BgL_arg1787z00_4462;
{ /* Llib/midi.scm 1056 */
 long BgL_idxz00_4466;
BgL_idxz00_4466 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4456); 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1783z00_4467;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1784z00_4468;
BgL_arg1784z00_4468 = 
(BgL_idxz00_4466+BgL_arg1792z00_4457); 
BgL_arg1783z00_4467 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4468); } 
BgL_arg1786z00_4461 = 
(BgL_arg1783z00_4467==BgL_classz00_4454); } } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_res3078z00_4491;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_oclassz00_4476;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1796z00_4482;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1797z00_4483;
BgL_arg1797z00_4483 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4456); 
BgL_arg1796z00_4482 = 
(BgL_arg1797z00_4483-OBJECT_TYPE); } 
BgL_oclassz00_4476 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4482); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL__ortest_1111z00_4477;
BgL__ortest_1111z00_4477 = 
(BgL_classz00_4454==BgL_oclassz00_4476); 
if(BgL__ortest_1111z00_4477)
{ /* Llib/midi.scm 1056 */
BgL_res3078z00_4491 = BgL__ortest_1111z00_4477; }  else 
{ /* Llib/midi.scm 1056 */
 long BgL_odepthz00_4478;
BgL_odepthz00_4478 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4476); 
if(
(BgL_arg1792z00_4457<BgL_odepthz00_4478))
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1785z00_4480;
BgL_arg1785z00_4480 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4476, BgL_arg1792z00_4457); 
BgL_res3078z00_4491 = 
(BgL_arg1785z00_4480==BgL_classz00_4454); }  else 
{ /* Llib/midi.scm 1056 */
BgL_res3078z00_4491 = ((bool_t)0); } } } } 
BgL_arg1787z00_4462 = BgL_res3078z00_4491; } 
BgL_test3528z00_7871 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4461, BgL_arg1787z00_4462); } }  else 
{ /* Llib/midi.scm 1056 */
BgL_test3528z00_7871 = ((bool_t)0)
; } } 
if(BgL_test3528z00_7871)
{ /* Llib/midi.scm 1056 */
BgL_auxz00_7870 = 
((BgL_midisinkz00_bglt)BgL_msz00_2927)
; }  else 
{ 
 obj_t BgL_auxz00_7892;
BgL_auxz00_7892 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2851z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2927); 
FAILURE(BgL_auxz00_7892,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_test3524z00_7845;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_classz00_4416;
BgL_classz00_4416 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2926))
{ /* Llib/midi.scm 1056 */
 BgL_objectz00_bglt BgL_arg1791z00_4418; long BgL_arg1792z00_4419;
BgL_arg1791z00_4418 = 
(BgL_objectz00_bglt)(BgL_mpz00_2926); 
BgL_arg1792z00_4419 = 
BGL_CLASS_DEPTH(BgL_classz00_4416); 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_arg1786z00_4423; bool_t BgL_arg1787z00_4424;
{ /* Llib/midi.scm 1056 */
 long BgL_idxz00_4428;
BgL_idxz00_4428 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4418); 
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1783z00_4429;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1784z00_4430;
BgL_arg1784z00_4430 = 
(BgL_idxz00_4428+BgL_arg1792z00_4419); 
BgL_arg1783z00_4429 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4430); } 
BgL_arg1786z00_4423 = 
(BgL_arg1783z00_4429==BgL_classz00_4416); } } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL_res3077z00_4453;
{ /* Llib/midi.scm 1056 */
 obj_t BgL_oclassz00_4438;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1796z00_4444;
{ /* Llib/midi.scm 1056 */
 long BgL_arg1797z00_4445;
BgL_arg1797z00_4445 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4418); 
BgL_arg1796z00_4444 = 
(BgL_arg1797z00_4445-OBJECT_TYPE); } 
BgL_oclassz00_4438 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4444); } 
{ /* Llib/midi.scm 1056 */
 bool_t BgL__ortest_1111z00_4439;
BgL__ortest_1111z00_4439 = 
(BgL_classz00_4416==BgL_oclassz00_4438); 
if(BgL__ortest_1111z00_4439)
{ /* Llib/midi.scm 1056 */
BgL_res3077z00_4453 = BgL__ortest_1111z00_4439; }  else 
{ /* Llib/midi.scm 1056 */
 long BgL_odepthz00_4440;
BgL_odepthz00_4440 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4438); 
if(
(BgL_arg1792z00_4419<BgL_odepthz00_4440))
{ /* Llib/midi.scm 1056 */
 obj_t BgL_arg1785z00_4442;
BgL_arg1785z00_4442 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4438, BgL_arg1792z00_4419); 
BgL_res3077z00_4453 = 
(BgL_arg1785z00_4442==BgL_classz00_4416); }  else 
{ /* Llib/midi.scm 1056 */
BgL_res3077z00_4453 = ((bool_t)0); } } } } 
BgL_arg1787z00_4424 = BgL_res3077z00_4453; } 
BgL_test3524z00_7845 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4423, BgL_arg1787z00_4424); } }  else 
{ /* Llib/midi.scm 1056 */
BgL_test3524z00_7845 = ((bool_t)0)
; } } 
if(BgL_test3524z00_7845)
{ /* Llib/midi.scm 1056 */
BgL_auxz00_7844 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2926)
; }  else 
{ 
 obj_t BgL_auxz00_7866;
BgL_auxz00_7866 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string2851z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2926); 
FAILURE(BgL_auxz00_7866,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_auxz00_7844, BgL_auxz00_7870, BgL_auxz00_7896, BgL_auxz00_7905, BgL_auxz00_7914);} } 

}



/* midiplayer-after-touch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_117, BgL_midisinkz00_bglt BgL_msz00_118, long BgL_tickz00_119, long BgL_nnz00_120, long BgL_ppz00_121)
{
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1011 */
 obj_t BgL_fun2096z00_2383;
BgL_fun2096z00_2383 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
 obj_t BgL_arg2094z00_2384; long BgL_arg2095z00_2385;
BgL_arg2094z00_2384 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
BgL_arg2095z00_2385 = 
(((long)208) | BgL_nnz00_120); 
PROCEDURE_ENTRY(BgL_fun2096z00_2383)(BgL_fun2096z00_2383, BgL_arg2094z00_2384, 
BINT(BgL_arg2095z00_2385), BEOA); } } 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_fun2098z00_2386;
BgL_fun2098z00_2386 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
 obj_t BgL_arg2097z00_2387;
BgL_arg2097z00_2387 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2098z00_2386)(BgL_fun2098z00_2386, BgL_arg2097z00_2387, 
BINT(BgL_ppz00_121), BEOA);} } } 

}



/* &midiplayer-after-touch */
obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t BgL_envz00_2931, obj_t BgL_mpz00_2932, obj_t BgL_msz00_2933, obj_t BgL_tickz00_2934, obj_t BgL_nnz00_2935, obj_t BgL_ppz00_2936)
{
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1063 */
 long BgL_auxz00_8011; long BgL_auxz00_8002; long BgL_auxz00_7993; BgL_midisinkz00_bglt BgL_auxz00_7967; BgL_midiplayerz00_bglt BgL_auxz00_7941;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_8012;
if(
INTEGERP(BgL_ppz00_2936))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_8012 = BgL_ppz00_2936
; }  else 
{ 
 obj_t BgL_auxz00_8015;
BgL_auxz00_8015 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2852z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_ppz00_2936); 
FAILURE(BgL_auxz00_8015,BFALSE,BFALSE);} 
BgL_auxz00_8011 = 
(long)CINT(BgL_tmpz00_8012); } 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_8003;
if(
INTEGERP(BgL_nnz00_2935))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_8003 = BgL_nnz00_2935
; }  else 
{ 
 obj_t BgL_auxz00_8006;
BgL_auxz00_8006 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2852z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_nnz00_2935); 
FAILURE(BgL_auxz00_8006,BFALSE,BFALSE);} 
BgL_auxz00_8002 = 
(long)CINT(BgL_tmpz00_8003); } 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_tmpz00_7994;
if(
INTEGERP(BgL_tickz00_2934))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_7994 = BgL_tickz00_2934
; }  else 
{ 
 obj_t BgL_auxz00_7997;
BgL_auxz00_7997 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2852z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2934); 
FAILURE(BgL_auxz00_7997,BFALSE,BFALSE);} 
BgL_auxz00_7993 = 
(long)CINT(BgL_tmpz00_7994); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_test3539z00_7968;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_classz00_4530;
BgL_classz00_4530 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2933))
{ /* Llib/midi.scm 1063 */
 BgL_objectz00_bglt BgL_arg1791z00_4532; long BgL_arg1792z00_4533;
BgL_arg1791z00_4532 = 
(BgL_objectz00_bglt)(BgL_msz00_2933); 
BgL_arg1792z00_4533 = 
BGL_CLASS_DEPTH(BgL_classz00_4530); 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_arg1786z00_4537; bool_t BgL_arg1787z00_4538;
{ /* Llib/midi.scm 1063 */
 long BgL_idxz00_4542;
BgL_idxz00_4542 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4532); 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1783z00_4543;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1784z00_4544;
BgL_arg1784z00_4544 = 
(BgL_idxz00_4542+BgL_arg1792z00_4533); 
BgL_arg1783z00_4543 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4544); } 
BgL_arg1786z00_4537 = 
(BgL_arg1783z00_4543==BgL_classz00_4530); } } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_res3080z00_4567;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_oclassz00_4552;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1796z00_4558;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1797z00_4559;
BgL_arg1797z00_4559 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4532); 
BgL_arg1796z00_4558 = 
(BgL_arg1797z00_4559-OBJECT_TYPE); } 
BgL_oclassz00_4552 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4558); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL__ortest_1111z00_4553;
BgL__ortest_1111z00_4553 = 
(BgL_classz00_4530==BgL_oclassz00_4552); 
if(BgL__ortest_1111z00_4553)
{ /* Llib/midi.scm 1063 */
BgL_res3080z00_4567 = BgL__ortest_1111z00_4553; }  else 
{ /* Llib/midi.scm 1063 */
 long BgL_odepthz00_4554;
BgL_odepthz00_4554 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4552); 
if(
(BgL_arg1792z00_4533<BgL_odepthz00_4554))
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1785z00_4556;
BgL_arg1785z00_4556 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4552, BgL_arg1792z00_4533); 
BgL_res3080z00_4567 = 
(BgL_arg1785z00_4556==BgL_classz00_4530); }  else 
{ /* Llib/midi.scm 1063 */
BgL_res3080z00_4567 = ((bool_t)0); } } } } 
BgL_arg1787z00_4538 = BgL_res3080z00_4567; } 
BgL_test3539z00_7968 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4537, BgL_arg1787z00_4538); } }  else 
{ /* Llib/midi.scm 1063 */
BgL_test3539z00_7968 = ((bool_t)0)
; } } 
if(BgL_test3539z00_7968)
{ /* Llib/midi.scm 1063 */
BgL_auxz00_7967 = 
((BgL_midisinkz00_bglt)BgL_msz00_2933)
; }  else 
{ 
 obj_t BgL_auxz00_7989;
BgL_auxz00_7989 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2852z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2933); 
FAILURE(BgL_auxz00_7989,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_test3535z00_7942;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_classz00_4492;
BgL_classz00_4492 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2932))
{ /* Llib/midi.scm 1063 */
 BgL_objectz00_bglt BgL_arg1791z00_4494; long BgL_arg1792z00_4495;
BgL_arg1791z00_4494 = 
(BgL_objectz00_bglt)(BgL_mpz00_2932); 
BgL_arg1792z00_4495 = 
BGL_CLASS_DEPTH(BgL_classz00_4492); 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_arg1786z00_4499; bool_t BgL_arg1787z00_4500;
{ /* Llib/midi.scm 1063 */
 long BgL_idxz00_4504;
BgL_idxz00_4504 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4494); 
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1783z00_4505;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1784z00_4506;
BgL_arg1784z00_4506 = 
(BgL_idxz00_4504+BgL_arg1792z00_4495); 
BgL_arg1783z00_4505 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4506); } 
BgL_arg1786z00_4499 = 
(BgL_arg1783z00_4505==BgL_classz00_4492); } } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL_res3079z00_4529;
{ /* Llib/midi.scm 1063 */
 obj_t BgL_oclassz00_4514;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1796z00_4520;
{ /* Llib/midi.scm 1063 */
 long BgL_arg1797z00_4521;
BgL_arg1797z00_4521 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4494); 
BgL_arg1796z00_4520 = 
(BgL_arg1797z00_4521-OBJECT_TYPE); } 
BgL_oclassz00_4514 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4520); } 
{ /* Llib/midi.scm 1063 */
 bool_t BgL__ortest_1111z00_4515;
BgL__ortest_1111z00_4515 = 
(BgL_classz00_4492==BgL_oclassz00_4514); 
if(BgL__ortest_1111z00_4515)
{ /* Llib/midi.scm 1063 */
BgL_res3079z00_4529 = BgL__ortest_1111z00_4515; }  else 
{ /* Llib/midi.scm 1063 */
 long BgL_odepthz00_4516;
BgL_odepthz00_4516 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4514); 
if(
(BgL_arg1792z00_4495<BgL_odepthz00_4516))
{ /* Llib/midi.scm 1063 */
 obj_t BgL_arg1785z00_4518;
BgL_arg1785z00_4518 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4514, BgL_arg1792z00_4495); 
BgL_res3079z00_4529 = 
(BgL_arg1785z00_4518==BgL_classz00_4492); }  else 
{ /* Llib/midi.scm 1063 */
BgL_res3079z00_4529 = ((bool_t)0); } } } } 
BgL_arg1787z00_4500 = BgL_res3079z00_4529; } 
BgL_test3535z00_7942 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4499, BgL_arg1787z00_4500); } }  else 
{ /* Llib/midi.scm 1063 */
BgL_test3535z00_7942 = ((bool_t)0)
; } } 
if(BgL_test3535z00_7942)
{ /* Llib/midi.scm 1063 */
BgL_auxz00_7941 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2932)
; }  else 
{ 
 obj_t BgL_auxz00_7963;
BgL_auxz00_7963 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string2852z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2932); 
FAILURE(BgL_auxz00_7963,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_auxz00_7941, BgL_auxz00_7967, BgL_auxz00_7993, BgL_auxz00_8002, BgL_auxz00_8011);} } 

}



/* midiplayer-pitch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_122, BgL_midisinkz00_bglt BgL_msz00_123, long BgL_tickz00_124, long BgL_nnz00_125, long BgL_ccz00_126, long BgL_vvz00_127)
{
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1019 */
 obj_t BgL_fun2101z00_2394;
BgL_fun2101z00_2394 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
 obj_t BgL_arg2099z00_2395; long BgL_arg2100z00_2396;
BgL_arg2099z00_2395 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
BgL_arg2100z00_2396 = 
(((long)224) | BgL_nnz00_125); 
PROCEDURE_ENTRY(BgL_fun2101z00_2394)(BgL_fun2101z00_2394, BgL_arg2099z00_2395, 
BINT(BgL_arg2100z00_2396), BEOA); } } 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_fun2103z00_2397;
BgL_fun2103z00_2397 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
 obj_t BgL_arg2102z00_2398;
BgL_arg2102z00_2398 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2103z00_2397)(BgL_fun2103z00_2397, BgL_arg2102z00_2398, 
BINT(BgL_ccz00_126), BEOA); } } 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_fun2105z00_2399;
BgL_fun2105z00_2399 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
 obj_t BgL_arg2104z00_2400;
BgL_arg2104z00_2400 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2105z00_2399)(BgL_fun2105z00_2399, BgL_arg2104z00_2400, 
BINT(BgL_vvz00_127), BEOA);} } } 

}



/* &midiplayer-pitch */
obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2937, obj_t BgL_mpz00_2938, obj_t BgL_msz00_2939, obj_t BgL_tickz00_2940, obj_t BgL_nnz00_2941, obj_t BgL_ccz00_2942, obj_t BgL_vvz00_2943)
{
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1070 */
 long BgL_auxz00_8125; long BgL_auxz00_8116; long BgL_auxz00_8107; long BgL_auxz00_8098; BgL_midisinkz00_bglt BgL_auxz00_8072; BgL_midiplayerz00_bglt BgL_auxz00_8046;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8126;
if(
INTEGERP(BgL_vvz00_2943))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8126 = BgL_vvz00_2943
; }  else 
{ 
 obj_t BgL_auxz00_8129;
BgL_auxz00_8129 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_vvz00_2943); 
FAILURE(BgL_auxz00_8129,BFALSE,BFALSE);} 
BgL_auxz00_8125 = 
(long)CINT(BgL_tmpz00_8126); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8117;
if(
INTEGERP(BgL_ccz00_2942))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8117 = BgL_ccz00_2942
; }  else 
{ 
 obj_t BgL_auxz00_8120;
BgL_auxz00_8120 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_ccz00_2942); 
FAILURE(BgL_auxz00_8120,BFALSE,BFALSE);} 
BgL_auxz00_8116 = 
(long)CINT(BgL_tmpz00_8117); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8108;
if(
INTEGERP(BgL_nnz00_2941))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8108 = BgL_nnz00_2941
; }  else 
{ 
 obj_t BgL_auxz00_8111;
BgL_auxz00_8111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_nnz00_2941); 
FAILURE(BgL_auxz00_8111,BFALSE,BFALSE);} 
BgL_auxz00_8107 = 
(long)CINT(BgL_tmpz00_8108); } 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_tmpz00_8099;
if(
INTEGERP(BgL_tickz00_2940))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_8099 = BgL_tickz00_2940
; }  else 
{ 
 obj_t BgL_auxz00_8102;
BgL_auxz00_8102 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2940); 
FAILURE(BgL_auxz00_8102,BFALSE,BFALSE);} 
BgL_auxz00_8098 = 
(long)CINT(BgL_tmpz00_8099); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_test3550z00_8073;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_classz00_4606;
BgL_classz00_4606 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2939))
{ /* Llib/midi.scm 1070 */
 BgL_objectz00_bglt BgL_arg1791z00_4608; long BgL_arg1792z00_4609;
BgL_arg1791z00_4608 = 
(BgL_objectz00_bglt)(BgL_msz00_2939); 
BgL_arg1792z00_4609 = 
BGL_CLASS_DEPTH(BgL_classz00_4606); 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_arg1786z00_4613; bool_t BgL_arg1787z00_4614;
{ /* Llib/midi.scm 1070 */
 long BgL_idxz00_4618;
BgL_idxz00_4618 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4608); 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1783z00_4619;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1784z00_4620;
BgL_arg1784z00_4620 = 
(BgL_idxz00_4618+BgL_arg1792z00_4609); 
BgL_arg1783z00_4619 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4620); } 
BgL_arg1786z00_4613 = 
(BgL_arg1783z00_4619==BgL_classz00_4606); } } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_res3082z00_4643;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_oclassz00_4628;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1796z00_4634;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1797z00_4635;
BgL_arg1797z00_4635 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4608); 
BgL_arg1796z00_4634 = 
(BgL_arg1797z00_4635-OBJECT_TYPE); } 
BgL_oclassz00_4628 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4634); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL__ortest_1111z00_4629;
BgL__ortest_1111z00_4629 = 
(BgL_classz00_4606==BgL_oclassz00_4628); 
if(BgL__ortest_1111z00_4629)
{ /* Llib/midi.scm 1070 */
BgL_res3082z00_4643 = BgL__ortest_1111z00_4629; }  else 
{ /* Llib/midi.scm 1070 */
 long BgL_odepthz00_4630;
BgL_odepthz00_4630 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4628); 
if(
(BgL_arg1792z00_4609<BgL_odepthz00_4630))
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1785z00_4632;
BgL_arg1785z00_4632 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4628, BgL_arg1792z00_4609); 
BgL_res3082z00_4643 = 
(BgL_arg1785z00_4632==BgL_classz00_4606); }  else 
{ /* Llib/midi.scm 1070 */
BgL_res3082z00_4643 = ((bool_t)0); } } } } 
BgL_arg1787z00_4614 = BgL_res3082z00_4643; } 
BgL_test3550z00_8073 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4613, BgL_arg1787z00_4614); } }  else 
{ /* Llib/midi.scm 1070 */
BgL_test3550z00_8073 = ((bool_t)0)
; } } 
if(BgL_test3550z00_8073)
{ /* Llib/midi.scm 1070 */
BgL_auxz00_8072 = 
((BgL_midisinkz00_bglt)BgL_msz00_2939)
; }  else 
{ 
 obj_t BgL_auxz00_8094;
BgL_auxz00_8094 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2939); 
FAILURE(BgL_auxz00_8094,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_test3546z00_8047;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_classz00_4568;
BgL_classz00_4568 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2938))
{ /* Llib/midi.scm 1070 */
 BgL_objectz00_bglt BgL_arg1791z00_4570; long BgL_arg1792z00_4571;
BgL_arg1791z00_4570 = 
(BgL_objectz00_bglt)(BgL_mpz00_2938); 
BgL_arg1792z00_4571 = 
BGL_CLASS_DEPTH(BgL_classz00_4568); 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_arg1786z00_4575; bool_t BgL_arg1787z00_4576;
{ /* Llib/midi.scm 1070 */
 long BgL_idxz00_4580;
BgL_idxz00_4580 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4570); 
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1783z00_4581;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1784z00_4582;
BgL_arg1784z00_4582 = 
(BgL_idxz00_4580+BgL_arg1792z00_4571); 
BgL_arg1783z00_4581 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4582); } 
BgL_arg1786z00_4575 = 
(BgL_arg1783z00_4581==BgL_classz00_4568); } } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL_res3081z00_4605;
{ /* Llib/midi.scm 1070 */
 obj_t BgL_oclassz00_4590;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1796z00_4596;
{ /* Llib/midi.scm 1070 */
 long BgL_arg1797z00_4597;
BgL_arg1797z00_4597 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4570); 
BgL_arg1796z00_4596 = 
(BgL_arg1797z00_4597-OBJECT_TYPE); } 
BgL_oclassz00_4590 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4596); } 
{ /* Llib/midi.scm 1070 */
 bool_t BgL__ortest_1111z00_4591;
BgL__ortest_1111z00_4591 = 
(BgL_classz00_4568==BgL_oclassz00_4590); 
if(BgL__ortest_1111z00_4591)
{ /* Llib/midi.scm 1070 */
BgL_res3081z00_4605 = BgL__ortest_1111z00_4591; }  else 
{ /* Llib/midi.scm 1070 */
 long BgL_odepthz00_4592;
BgL_odepthz00_4592 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4590); 
if(
(BgL_arg1792z00_4571<BgL_odepthz00_4592))
{ /* Llib/midi.scm 1070 */
 obj_t BgL_arg1785z00_4594;
BgL_arg1785z00_4594 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4590, BgL_arg1792z00_4571); 
BgL_res3081z00_4605 = 
(BgL_arg1785z00_4594==BgL_classz00_4568); }  else 
{ /* Llib/midi.scm 1070 */
BgL_res3081z00_4605 = ((bool_t)0); } } } } 
BgL_arg1787z00_4576 = BgL_res3081z00_4605; } 
BgL_test3546z00_8047 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4575, BgL_arg1787z00_4576); } }  else 
{ /* Llib/midi.scm 1070 */
BgL_test3546z00_8047 = ((bool_t)0)
; } } 
if(BgL_test3546z00_8047)
{ /* Llib/midi.scm 1070 */
BgL_auxz00_8046 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2938)
; }  else 
{ 
 obj_t BgL_auxz00_8068;
BgL_auxz00_8068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string2853z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2938); 
FAILURE(BgL_auxz00_8068,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_auxz00_8046, BgL_auxz00_8072, BgL_auxz00_8098, BgL_auxz00_8107, BgL_auxz00_8116, BgL_auxz00_8125);} } 

}



/* midiplayer-sysex */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_128, BgL_midisinkz00_bglt BgL_msz00_129, long BgL_tickz00_130, obj_t BgL_dataz00_131)
{
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1077 */
 obj_t BgL_fun2107z00_2403;
BgL_fun2107z00_2403 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_writezd2stringzd2); 
{ /* Llib/midi.scm 1077 */
 obj_t BgL_arg2106z00_2404;
BgL_arg2106z00_2404 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2107z00_2403)(BgL_fun2107z00_2403, BgL_arg2106z00_2404, BEOA);} } } 

}



/* &midiplayer-sysex */
obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t BgL_envz00_2944, obj_t BgL_mpz00_2945, obj_t BgL_msz00_2946, obj_t BgL_tickz00_2947, obj_t BgL_dataz00_2948)
{
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1076 */
 obj_t BgL_auxz00_8202; long BgL_auxz00_8193; BgL_midisinkz00_bglt BgL_auxz00_8167; BgL_midiplayerz00_bglt BgL_auxz00_8141;
if(
STRINGP(BgL_dataz00_2948))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8202 = BgL_dataz00_2948
; }  else 
{ 
 obj_t BgL_auxz00_8205;
BgL_auxz00_8205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2854z00zz__multimediazd2midizd2, BGl_string2814z00zz__multimediazd2midizd2, BgL_dataz00_2948); 
FAILURE(BgL_auxz00_8205,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_tmpz00_8194;
if(
INTEGERP(BgL_tickz00_2947))
{ /* Llib/midi.scm 1076 */
BgL_tmpz00_8194 = BgL_tickz00_2947
; }  else 
{ 
 obj_t BgL_auxz00_8197;
BgL_auxz00_8197 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2854z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_tickz00_2947); 
FAILURE(BgL_auxz00_8197,BFALSE,BFALSE);} 
BgL_auxz00_8193 = 
(long)CINT(BgL_tmpz00_8194); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_test3562z00_8168;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_classz00_4682;
BgL_classz00_4682 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msz00_2946))
{ /* Llib/midi.scm 1076 */
 BgL_objectz00_bglt BgL_arg1791z00_4684; long BgL_arg1792z00_4685;
BgL_arg1791z00_4684 = 
(BgL_objectz00_bglt)(BgL_msz00_2946); 
BgL_arg1792z00_4685 = 
BGL_CLASS_DEPTH(BgL_classz00_4682); 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_arg1786z00_4689; bool_t BgL_arg1787z00_4690;
{ /* Llib/midi.scm 1076 */
 long BgL_idxz00_4694;
BgL_idxz00_4694 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4684); 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1783z00_4695;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1784z00_4696;
BgL_arg1784z00_4696 = 
(BgL_idxz00_4694+BgL_arg1792z00_4685); 
BgL_arg1783z00_4695 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4696); } 
BgL_arg1786z00_4689 = 
(BgL_arg1783z00_4695==BgL_classz00_4682); } } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_res3084z00_4719;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_oclassz00_4704;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1796z00_4710;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1797z00_4711;
BgL_arg1797z00_4711 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4684); 
BgL_arg1796z00_4710 = 
(BgL_arg1797z00_4711-OBJECT_TYPE); } 
BgL_oclassz00_4704 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4710); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL__ortest_1111z00_4705;
BgL__ortest_1111z00_4705 = 
(BgL_classz00_4682==BgL_oclassz00_4704); 
if(BgL__ortest_1111z00_4705)
{ /* Llib/midi.scm 1076 */
BgL_res3084z00_4719 = BgL__ortest_1111z00_4705; }  else 
{ /* Llib/midi.scm 1076 */
 long BgL_odepthz00_4706;
BgL_odepthz00_4706 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4704); 
if(
(BgL_arg1792z00_4685<BgL_odepthz00_4706))
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1785z00_4708;
BgL_arg1785z00_4708 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4704, BgL_arg1792z00_4685); 
BgL_res3084z00_4719 = 
(BgL_arg1785z00_4708==BgL_classz00_4682); }  else 
{ /* Llib/midi.scm 1076 */
BgL_res3084z00_4719 = ((bool_t)0); } } } } 
BgL_arg1787z00_4690 = BgL_res3084z00_4719; } 
BgL_test3562z00_8168 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4689, BgL_arg1787z00_4690); } }  else 
{ /* Llib/midi.scm 1076 */
BgL_test3562z00_8168 = ((bool_t)0)
; } } 
if(BgL_test3562z00_8168)
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8167 = 
((BgL_midisinkz00_bglt)BgL_msz00_2946)
; }  else 
{ 
 obj_t BgL_auxz00_8189;
BgL_auxz00_8189 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2854z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msz00_2946); 
FAILURE(BgL_auxz00_8189,BFALSE,BFALSE);} } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_test3558z00_8142;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_classz00_4644;
BgL_classz00_4644 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mpz00_2945))
{ /* Llib/midi.scm 1076 */
 BgL_objectz00_bglt BgL_arg1791z00_4646; long BgL_arg1792z00_4647;
BgL_arg1791z00_4646 = 
(BgL_objectz00_bglt)(BgL_mpz00_2945); 
BgL_arg1792z00_4647 = 
BGL_CLASS_DEPTH(BgL_classz00_4644); 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_arg1786z00_4651; bool_t BgL_arg1787z00_4652;
{ /* Llib/midi.scm 1076 */
 long BgL_idxz00_4656;
BgL_idxz00_4656 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4646); 
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1783z00_4657;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1784z00_4658;
BgL_arg1784z00_4658 = 
(BgL_idxz00_4656+BgL_arg1792z00_4647); 
BgL_arg1783z00_4657 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_4658); } 
BgL_arg1786z00_4651 = 
(BgL_arg1783z00_4657==BgL_classz00_4644); } } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL_res3083z00_4681;
{ /* Llib/midi.scm 1076 */
 obj_t BgL_oclassz00_4666;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1796z00_4672;
{ /* Llib/midi.scm 1076 */
 long BgL_arg1797z00_4673;
BgL_arg1797z00_4673 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4646); 
BgL_arg1796z00_4672 = 
(BgL_arg1797z00_4673-OBJECT_TYPE); } 
BgL_oclassz00_4666 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_4672); } 
{ /* Llib/midi.scm 1076 */
 bool_t BgL__ortest_1111z00_4667;
BgL__ortest_1111z00_4667 = 
(BgL_classz00_4644==BgL_oclassz00_4666); 
if(BgL__ortest_1111z00_4667)
{ /* Llib/midi.scm 1076 */
BgL_res3083z00_4681 = BgL__ortest_1111z00_4667; }  else 
{ /* Llib/midi.scm 1076 */
 long BgL_odepthz00_4668;
BgL_odepthz00_4668 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4666); 
if(
(BgL_arg1792z00_4647<BgL_odepthz00_4668))
{ /* Llib/midi.scm 1076 */
 obj_t BgL_arg1785z00_4670;
BgL_arg1785z00_4670 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4666, BgL_arg1792z00_4647); 
BgL_res3083z00_4681 = 
(BgL_arg1785z00_4670==BgL_classz00_4644); }  else 
{ /* Llib/midi.scm 1076 */
BgL_res3083z00_4681 = ((bool_t)0); } } } } 
BgL_arg1787z00_4652 = BgL_res3083z00_4681; } 
BgL_test3558z00_8142 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4651, BgL_arg1787z00_4652); } }  else 
{ /* Llib/midi.scm 1076 */
BgL_test3558z00_8142 = ((bool_t)0)
; } } 
if(BgL_test3558z00_8142)
{ /* Llib/midi.scm 1076 */
BgL_auxz00_8141 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_2945)
; }  else 
{ 
 obj_t BgL_auxz00_8163;
BgL_auxz00_8163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string2854z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mpz00_2945); 
FAILURE(BgL_auxz00_8163,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_auxz00_8141, BgL_auxz00_8167, BgL_auxz00_8193, BgL_auxz00_8202);} } 

}



/* midi-note-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long BgL_kkz00_132)
{
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
 long BgL_notez00_888; long BgL_octavez00_889;
{ /* Llib/midi.scm 1083 */
 long BgL_arg2111z00_893;
{ /* Llib/midi.scm 1083 */
 obj_t BgL_vectorz00_2405;
BgL_vectorz00_2405 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2111z00_893 = 
VECTOR_LENGTH(BgL_vectorz00_2405); } 
BgL_notez00_888 = 
(BgL_kkz00_132%BgL_arg2111z00_893); } 
{ /* Llib/midi.scm 1084 */
 long BgL_arg2112z00_894;
{ /* Llib/midi.scm 1084 */
 obj_t BgL_vectorz00_2408;
BgL_vectorz00_2408 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2112z00_894 = 
VECTOR_LENGTH(BgL_vectorz00_2408); } 
BgL_octavez00_889 = 
(BgL_kkz00_132/BgL_arg2112z00_894); } 
{ /* Llib/midi.scm 1085 */
 obj_t BgL_arg2108z00_890;
{ /* Llib/midi.scm 1085 */
 obj_t BgL_vectorz00_2411;
BgL_vectorz00_2411 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2108z00_890 = 
VECTOR_REF(BgL_vectorz00_2411,BgL_notez00_888); } 
{ /* Llib/midi.scm 1085 */
 obj_t BgL_list2109z00_891;
{ /* Llib/midi.scm 1085 */
 obj_t BgL_arg2110z00_892;
BgL_arg2110z00_892 = 
MAKE_YOUNG_PAIR(
BINT(BgL_octavez00_889), BNIL); 
BgL_list2109z00_891 = 
MAKE_YOUNG_PAIR(BgL_arg2108z00_890, BgL_arg2110z00_892); } 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2855z00zz__multimediazd2midizd2, BgL_list2109z00_891);} } } } 

}



/* &midi-note-name */
obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2949, obj_t BgL_kkz00_2950)
{
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
 long BgL_auxz00_8222;
{ /* Llib/midi.scm 1083 */
 obj_t BgL_tmpz00_8223;
if(
INTEGERP(BgL_kkz00_2950))
{ /* Llib/midi.scm 1083 */
BgL_tmpz00_8223 = BgL_kkz00_2950
; }  else 
{ 
 obj_t BgL_auxz00_8226;
BgL_auxz00_8226 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)42219)), BGl_string2856z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_kkz00_2950); 
FAILURE(BgL_auxz00_8226,BFALSE,BFALSE);} 
BgL_auxz00_8222 = 
(long)CINT(BgL_tmpz00_8223); } 
return 
BGl_midizd2notezd2namez00zz__multimediazd2midizd2(BgL_auxz00_8222);} } 

}



/* midi-controller-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long BgL_ccz00_133)
{
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
 bool_t BgL_test3569z00_8232;
{ /* Llib/midi.scm 1091 */
 long BgL_arg2115z00_2414;
{ /* Llib/midi.scm 1091 */
 obj_t BgL_vectorz00_2415;
BgL_vectorz00_2415 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2115z00_2414 = 
VECTOR_LENGTH(BgL_vectorz00_2415); } 
BgL_test3569z00_8232 = 
(BgL_ccz00_133<BgL_arg2115z00_2414); } 
if(BgL_test3569z00_8232)
{ /* Llib/midi.scm 1092 */
 obj_t BgL_vectorz00_2418;
BgL_vectorz00_2418 = 
CNST_TABLE_REF(((long)1)); 
return 
VECTOR_REF(BgL_vectorz00_2418,BgL_ccz00_133);}  else 
{ /* Llib/midi.scm 1091 */
return BGl_string2857z00zz__multimediazd2midizd2;} } } 

}



/* &midi-controller-name */
obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2951, obj_t BgL_ccz00_2952)
{
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
 long BgL_auxz00_8238;
{ /* Llib/midi.scm 1091 */
 obj_t BgL_tmpz00_8239;
if(
INTEGERP(BgL_ccz00_2952))
{ /* Llib/midi.scm 1091 */
BgL_tmpz00_8239 = BgL_ccz00_2952
; }  else 
{ 
 obj_t BgL_auxz00_8242;
BgL_auxz00_8242 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)42667)), BGl_string2858z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_ccz00_2952); 
FAILURE(BgL_auxz00_8242,BFALSE,BFALSE);} 
BgL_auxz00_8238 = 
(long)CINT(BgL_tmpz00_8239); } 
return 
BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(BgL_auxz00_8238);} } 

}



/* midi-program-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long BgL_ppz00_134)
{
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
 bool_t BgL_test3571z00_8248;
{ /* Llib/midi.scm 1099 */
 long BgL_arg2118z00_2421;
{ /* Llib/midi.scm 1099 */
 obj_t BgL_vectorz00_2422;
BgL_vectorz00_2422 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2118z00_2421 = 
VECTOR_LENGTH(BgL_vectorz00_2422); } 
BgL_test3571z00_8248 = 
(BgL_ppz00_134<BgL_arg2118z00_2421); } 
if(BgL_test3571z00_8248)
{ /* Llib/midi.scm 1100 */
 obj_t BgL_vectorz00_2425;
BgL_vectorz00_2425 = 
CNST_TABLE_REF(((long)2)); 
return 
VECTOR_REF(BgL_vectorz00_2425,BgL_ppz00_134);}  else 
{ /* Llib/midi.scm 1099 */
return BGl_string2859z00zz__multimediazd2midizd2;} } } 

}



/* &midi-program-name */
obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_2953, obj_t BgL_ppz00_2954)
{
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
 long BgL_auxz00_8254;
{ /* Llib/midi.scm 1099 */
 obj_t BgL_tmpz00_8255;
if(
INTEGERP(BgL_ppz00_2954))
{ /* Llib/midi.scm 1099 */
BgL_tmpz00_8255 = BgL_ppz00_2954
; }  else 
{ 
 obj_t BgL_auxz00_8258;
BgL_auxz00_8258 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)43056)), BGl_string2860z00zz__multimediazd2midizd2, BGl_string2817z00zz__multimediazd2midizd2, BgL_ppz00_2954); 
FAILURE(BgL_auxz00_8258,BFALSE,BFALSE);} 
BgL_auxz00_8254 = 
(long)CINT(BgL_tmpz00_8255); } 
return 
BGl_midizd2programzd2namez00zz__multimediazd2midizd2(BgL_auxz00_8254);} } 

}



/* midi-program-index */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t BgL_prgmz00_135)
{
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
 long BgL_g1175z00_901;
{ /* Llib/midi.scm 1107 */
 long BgL_arg2125z00_911;
{ /* Llib/midi.scm 1107 */
 obj_t BgL_vectorz00_2427;
BgL_vectorz00_2427 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2125z00_911 = 
VECTOR_LENGTH(BgL_vectorz00_2427); } 
BgL_g1175z00_901 = 
(BgL_arg2125z00_911-((long)1)); } 
{ 
 long BgL_iz00_903;
BgL_iz00_903 = BgL_g1175z00_901; 
BgL_zc3z04anonymousza32119ze3z87_904:
if(
(BgL_iz00_903>=((long)0)))
{ /* Llib/midi.scm 1109 */
 bool_t BgL_test3574z00_8269;
{ /* Llib/midi.scm 1109 */
 obj_t BgL_arg2124z00_909;
{ /* Llib/midi.scm 1109 */
 obj_t BgL_vectorz00_2430;
BgL_vectorz00_2430 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2124z00_909 = 
VECTOR_REF(BgL_vectorz00_2430,BgL_iz00_903); } 
BgL_test3574z00_8269 = 
bigloo_strcicmp(BgL_arg2124z00_909, BgL_prgmz00_135); } 
if(BgL_test3574z00_8269)
{ /* Llib/midi.scm 1109 */
return 
BINT(BgL_iz00_903);}  else 
{ 
 long BgL_iz00_8274;
BgL_iz00_8274 = 
(BgL_iz00_903-((long)1)); 
BgL_iz00_903 = BgL_iz00_8274; 
goto BgL_zc3z04anonymousza32119ze3z87_904;} }  else 
{ /* Llib/midi.scm 1108 */
return BFALSE;} } } } 

}



/* &midi-program-index */
obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t BgL_envz00_2955, obj_t BgL_prgmz00_2956)
{
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
 obj_t BgL_auxz00_8276;
if(
STRINGP(BgL_prgmz00_2956))
{ /* Llib/midi.scm 1107 */
BgL_auxz00_8276 = BgL_prgmz00_2956
; }  else 
{ 
 obj_t BgL_auxz00_8279;
BgL_auxz00_8279 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)43433)), BGl_string2861z00zz__multimediazd2midizd2, BGl_string2814z00zz__multimediazd2midizd2, BgL_prgmz00_2956); 
FAILURE(BgL_auxz00_8279,BFALSE,BFALSE);} 
return 
BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(BgL_auxz00_8276);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2143z00_936; obj_t BgL_arg2144z00_937;
{ /* Llib/midi.scm 17 */
 obj_t BgL_v1220z00_952;
BgL_v1220z00_952 = 
create_vector(((long)4)); 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2151z00_953;
BgL_arg2151z00_953 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2863z00zz__multimediazd2midizd2, BGl_proc2862z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1220z00_952,((long)0),BgL_arg2151z00_953); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2156z00_963;
BgL_arg2156z00_963 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2866z00zz__multimediazd2midizd2, BGl_proc2865z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2864z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1220z00_952,((long)1),BgL_arg2156z00_963); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2163z00_976;
BgL_arg2163z00_976 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2869z00zz__multimediazd2midizd2, BGl_proc2868z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2867z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1220z00_952,((long)2),BgL_arg2163z00_976); } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_arg2170z00_989;
BgL_arg2170z00_989 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2872z00zz__multimediazd2midizd2, BGl_proc2871z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2870z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1220z00_952,((long)3),BgL_arg2170z00_989); } 
BgL_arg2143z00_936 = BgL_v1220z00_952; } 
{ /* Llib/midi.scm 17 */
 obj_t BgL_v1221z00_1002;
BgL_v1221z00_1002 = 
create_vector(((long)0)); 
BgL_arg2144z00_937 = BgL_v1221z00_1002; } 
BGl_midiscorez00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)54602), BGl_proc2875z00zz__multimediazd2midizd2, BGl_proc2874z00zz__multimediazd2midizd2, BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2873z00zz__multimediazd2midizd2, BFALSE, BgL_arg2143z00_936, BgL_arg2144z00_937); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2180z00_1009; obj_t BgL_arg2181z00_1010;
{ /* Llib/midi.scm 24 */
 obj_t BgL_v1222z00_1035;
BgL_v1222z00_1035 = 
create_vector(((long)14)); 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2188z00_1036;
BgL_arg2188z00_1036 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2878z00zz__multimediazd2midizd2, BGl_proc2877z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2876z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1222z00_1035,((long)0),BgL_arg2188z00_1036); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2196z00_1049;
BgL_arg2196z00_1049 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2880z00zz__multimediazd2midizd2, BGl_proc2879z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_midireaderz00zz__multimediazd2midizd2); 
VECTOR_SET(BgL_v1222z00_1035,((long)1),BgL_arg2196z00_1049); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2201z00_1059;
BgL_arg2201z00_1059 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2882z00zz__multimediazd2midizd2, BGl_proc2881z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1222z00_1035,((long)2),BgL_arg2201z00_1059); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2206z00_1069;
BgL_arg2206z00_1069 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2885z00zz__multimediazd2midizd2, BGl_proc2884z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2883z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1222z00_1035,((long)3),BgL_arg2206z00_1069); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2213z00_1082;
BgL_arg2213z00_1082 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2888z00zz__multimediazd2midizd2, BGl_proc2887z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2886z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1222z00_1035,((long)4),BgL_arg2213z00_1082); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2220z00_1095;
BgL_arg2220z00_1095 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2891z00zz__multimediazd2midizd2, BGl_proc2890z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2889z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)5),BgL_arg2220z00_1095); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2227z00_1108;
BgL_arg2227z00_1108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc2894z00zz__multimediazd2midizd2, BGl_proc2893z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2892z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1222z00_1035,((long)6),BgL_arg2227z00_1108); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2234z00_1121;
BgL_arg2234z00_1121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2897z00zz__multimediazd2midizd2, BGl_proc2896z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2895z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)7),BgL_arg2234z00_1121); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2241z00_1134;
BgL_arg2241z00_1134 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2900z00zz__multimediazd2midizd2, BGl_proc2899z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2898z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1222z00_1035,((long)8),BgL_arg2241z00_1134); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2248z00_1147;
BgL_arg2248z00_1147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2903z00zz__multimediazd2midizd2, BGl_proc2902z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2901z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)9),BgL_arg2248z00_1147); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2255z00_1160;
BgL_arg2255z00_1160 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2906z00zz__multimediazd2midizd2, BGl_proc2905z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2904z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)10),BgL_arg2255z00_1160); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2262z00_1173;
BgL_arg2262z00_1173 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2909z00zz__multimediazd2midizd2, BGl_proc2908z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2907z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1222z00_1035,((long)11),BgL_arg2262z00_1173); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2269z00_1186;
BgL_arg2269z00_1186 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2912z00zz__multimediazd2midizd2, BGl_proc2911z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2910z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1222z00_1035,((long)12),BgL_arg2269z00_1186); } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_arg2276z00_1199;
BgL_arg2276z00_1199 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2915z00zz__multimediazd2midizd2, BGl_proc2914z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2913z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1222z00_1035,((long)13),BgL_arg2276z00_1199); } 
BgL_arg2180z00_1009 = BgL_v1222z00_1035; } 
{ /* Llib/midi.scm 24 */
 obj_t BgL_v1223z00_1212;
BgL_v1223z00_1212 = 
create_vector(((long)0)); 
BgL_arg2181z00_1010 = BgL_v1223z00_1212; } 
BGl_miditrackz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)26896), BGl_proc2918z00zz__multimediazd2midizd2, BGl_proc2917z00zz__multimediazd2midizd2, BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2916z00zz__multimediazd2midizd2, BFALSE, BgL_arg2180z00_1009, BgL_arg2181z00_1010); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2286z00_1219; obj_t BgL_arg2287z00_1220;
{ /* Llib/midi.scm 42 */
 obj_t BgL_v1224z00_1238;
BgL_v1224z00_1238 = 
create_vector(((long)7)); 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2294z00_1239;
BgL_arg2294z00_1239 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)32)), BGl_proc2920z00zz__multimediazd2midizd2, BGl_proc2919z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)0),BgL_arg2294z00_1239); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2299z00_1249;
BgL_arg2299z00_1249 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2922z00zz__multimediazd2midizd2, BGl_proc2921z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)1),BgL_arg2299z00_1249); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2304z00_1259;
BgL_arg2304z00_1259 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2924z00zz__multimediazd2midizd2, BGl_proc2923z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)2),BgL_arg2304z00_1259); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2309z00_1269;
BgL_arg2309z00_1269 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2926z00zz__multimediazd2midizd2, BGl_proc2925z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)3),BgL_arg2309z00_1269); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2314z00_1279;
BgL_arg2314z00_1279 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc2928z00zz__multimediazd2midizd2, BGl_proc2927z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)4),BgL_arg2314z00_1279); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2319z00_1289;
BgL_arg2319z00_1289 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2930z00zz__multimediazd2midizd2, BGl_proc2929z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)5),BgL_arg2319z00_1289); } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_arg2324z00_1299;
BgL_arg2324z00_1299 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc2932z00zz__multimediazd2midizd2, BGl_proc2931z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1224z00_1238,((long)6),BgL_arg2324z00_1299); } 
BgL_arg2286z00_1219 = BgL_v1224z00_1238; } 
{ /* Llib/midi.scm 42 */
 obj_t BgL_v1225z00_1309;
BgL_v1225z00_1309 = 
create_vector(((long)0)); 
BgL_arg2287z00_1220 = BgL_v1225z00_1309; } 
BGl_midireaderz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)53877), BGl_proc2935z00zz__multimediazd2midizd2, BGl_proc2934z00zz__multimediazd2midizd2, BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc2933z00zz__multimediazd2midizd2, BFALSE, BgL_arg2286z00_1219, BgL_arg2287z00_1220); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2332z00_1316; obj_t BgL_arg2333z00_1317;
{ /* Llib/midi.scm 52 */
 obj_t BgL_v1226z00_1356;
BgL_v1226z00_1356 = 
create_vector(((long)28)); 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2340z00_1357;
BgL_arg2340z00_1357 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc2938z00zz__multimediazd2midizd2, BGl_proc2937z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2936z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)0),BgL_arg2340z00_1357); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2347z00_1370;
BgL_arg2347z00_1370 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2941z00zz__multimediazd2midizd2, BGl_proc2940z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2939z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)1),BgL_arg2347z00_1370); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2354z00_1383;
BgL_arg2354z00_1383 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2944z00zz__multimediazd2midizd2, BGl_proc2943z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2942z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)2),BgL_arg2354z00_1383); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2361z00_1396;
BgL_arg2361z00_1396 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc2947z00zz__multimediazd2midizd2, BGl_proc2946z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2945z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)3),BgL_arg2361z00_1396); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2368z00_1409;
BgL_arg2368z00_1409 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_proc2950z00zz__multimediazd2midizd2, BGl_proc2949z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2948z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)4),BgL_arg2368z00_1409); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2375z00_1422;
BgL_arg2375z00_1422 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2953z00zz__multimediazd2midizd2, BGl_proc2952z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2951z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)5),BgL_arg2375z00_1422); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2382z00_1435;
BgL_arg2382z00_1435 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc2956z00zz__multimediazd2midizd2, BGl_proc2955z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2954z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)6),BgL_arg2382z00_1435); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2389z00_1448;
BgL_arg2389z00_1448 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc2959z00zz__multimediazd2midizd2, BGl_proc2958z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2957z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)7),BgL_arg2389z00_1448); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2396z00_1461;
BgL_arg2396z00_1461 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc2962z00zz__multimediazd2midizd2, BGl_proc2961z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2960z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)8),BgL_arg2396z00_1461); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2403z00_1474;
BgL_arg2403z00_1474 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2965z00zz__multimediazd2midizd2, BGl_proc2964z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2963z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)9),BgL_arg2403z00_1474); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2410z00_1487;
BgL_arg2410z00_1487 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc2968z00zz__multimediazd2midizd2, BGl_proc2967z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2966z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)10),BgL_arg2410z00_1487); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2417z00_1500;
BgL_arg2417z00_1500 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_proc2971z00zz__multimediazd2midizd2, BGl_proc2970z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2969z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)11),BgL_arg2417z00_1500); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2424z00_1513;
BgL_arg2424z00_1513 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc2974z00zz__multimediazd2midizd2, BGl_proc2973z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2972z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)12),BgL_arg2424z00_1513); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2431z00_1526;
BgL_arg2431z00_1526 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc2977z00zz__multimediazd2midizd2, BGl_proc2976z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2975z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)13),BgL_arg2431z00_1526); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2438z00_1539;
BgL_arg2438z00_1539 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc2980z00zz__multimediazd2midizd2, BGl_proc2979z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2978z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)14),BgL_arg2438z00_1539); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2445z00_1552;
BgL_arg2445z00_1552 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2983z00zz__multimediazd2midizd2, BGl_proc2982z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2981z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)15),BgL_arg2445z00_1552); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2452z00_1565;
BgL_arg2452z00_1565 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2986z00zz__multimediazd2midizd2, BGl_proc2985z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2984z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)16),BgL_arg2452z00_1565); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2459z00_1578;
BgL_arg2459z00_1578 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc2989z00zz__multimediazd2midizd2, BGl_proc2988z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2987z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)17),BgL_arg2459z00_1578); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2466z00_1591;
BgL_arg2466z00_1591 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2992z00zz__multimediazd2midizd2, BGl_proc2991z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2990z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)18),BgL_arg2466z00_1591); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2473z00_1604;
BgL_arg2473z00_1604 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2995z00zz__multimediazd2midizd2, BGl_proc2994z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2993z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)19),BgL_arg2473z00_1604); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2480z00_1617;
BgL_arg2480z00_1617 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2998z00zz__multimediazd2midizd2, BGl_proc2997z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2996z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)20),BgL_arg2480z00_1617); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2487z00_1630;
BgL_arg2487z00_1630 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc3001z00zz__multimediazd2midizd2, BGl_proc3000z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2999z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)21),BgL_arg2487z00_1630); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2494z00_1643;
BgL_arg2494z00_1643 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)62)), BGl_proc3004z00zz__multimediazd2midizd2, BGl_proc3003z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3002z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)22),BgL_arg2494z00_1643); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2501z00_1656;
BgL_arg2501z00_1656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3007z00zz__multimediazd2midizd2, BGl_proc3006z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3005z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)23),BgL_arg2501z00_1656); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2508z00_1669;
BgL_arg2508z00_1669 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3010z00zz__multimediazd2midizd2, BGl_proc3009z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3008z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)24),BgL_arg2508z00_1669); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2516z00_1691;
BgL_arg2516z00_1691 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc3013z00zz__multimediazd2midizd2, BGl_proc3012z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3011z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)25),BgL_arg2516z00_1691); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2524z00_1712;
BgL_arg2524z00_1712 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3016z00zz__multimediazd2midizd2, BGl_proc3015z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3014z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)26),BgL_arg2524z00_1712); } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_arg2531z00_1725;
BgL_arg2531z00_1725 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3019z00zz__multimediazd2midizd2, BGl_proc3018z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3017z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1226z00_1356,((long)27),BgL_arg2531z00_1725); } 
BgL_arg2332z00_1316 = BgL_v1226z00_1356; } 
{ /* Llib/midi.scm 52 */
 obj_t BgL_v1227z00_1738;
BgL_v1227z00_1738 = 
create_vector(((long)0)); 
BgL_arg2333z00_1317 = BgL_v1227z00_1738; } 
BGl_midiplayerz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)68)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)52705), BGl_proc3022z00zz__multimediazd2midizd2, BGl_proc3021z00zz__multimediazd2midizd2, BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3020z00zz__multimediazd2midizd2, BFALSE, BgL_arg2332z00_1316, BgL_arg2333z00_1317); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2541z00_1745; obj_t BgL_arg2542z00_1746;
{ /* Llib/midi.scm 87 */
 obj_t BgL_v1228z00_1762;
BgL_v1228z00_1762 = 
create_vector(((long)5)); 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2549z00_1763;
BgL_arg2549z00_1763 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3025z00zz__multimediazd2midizd2, BGl_proc3024z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3023z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1228z00_1762,((long)0),BgL_arg2549z00_1763); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2556z00_1776;
BgL_arg2556z00_1776 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3028z00zz__multimediazd2midizd2, BGl_proc3027z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3026z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1228z00_1762,((long)1),BgL_arg2556z00_1776); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2563z00_1789;
BgL_arg2563z00_1789 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc3031z00zz__multimediazd2midizd2, BGl_proc3030z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3029z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1228z00_1762,((long)2),BgL_arg2563z00_1789); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2571z00_1805;
BgL_arg2571z00_1805 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3034z00zz__multimediazd2midizd2, BGl_proc3033z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3032z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1228z00_1762,((long)3),BgL_arg2571z00_1805); } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_arg2579z00_1821;
BgL_arg2579z00_1821 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3037z00zz__multimediazd2midizd2, BGl_proc3036z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3035z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1228z00_1762,((long)4),BgL_arg2579z00_1821); } 
BgL_arg2541z00_1745 = BgL_v1228z00_1762; } 
{ /* Llib/midi.scm 87 */
 obj_t BgL_v1229z00_1834;
BgL_v1229z00_1834 = 
create_vector(((long)0)); 
BgL_arg2542z00_1746 = BgL_v1229z00_1834; } 
return ( 
BGl_midisinkz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)13783), BGl_proc3040z00zz__multimediazd2midizd2, BGl_proc3039z00zz__multimediazd2midizd2, BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3038z00zz__multimediazd2midizd2, BFALSE, BgL_arg2541z00_1745, BgL_arg2542z00_1746), BUNSPEC) ;} } 

}



/* &<@anonymous:2548> */
obj_t BGl_z62zc3z04anonymousza32548ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3151, obj_t BgL_new1120z00_3152)
{
{ /* Llib/midi.scm 87 */
{ 
 BgL_midisinkz00_bglt BgL_auxz00_8540;
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3152)))->BgL_streamz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3152)))->BgL_usleepz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3152)))->BgL_writezd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3152)))->BgL_writezd2stringzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1120z00_3152)))->BgL_flushz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8540 = 
((BgL_midisinkz00_bglt)BgL_new1120z00_3152); 
return 
((obj_t)BgL_auxz00_8540);} } 

}



/* &lambda2546 */
BgL_midisinkz00_bglt BGl_z62lambda2546z62zz__multimediazd2midizd2(obj_t BgL_envz00_3153)
{
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1119z00_4721;
BgL_new1119z00_4721 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
 long BgL_arg2547z00_4722;
BgL_arg2547z00_4722 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_4721), BgL_arg2547z00_4722); } 
return BgL_new1119z00_4721;} } 

}



/* &lambda2543 */
BgL_midisinkz00_bglt BGl_z62lambda2543z62zz__multimediazd2midizd2(obj_t BgL_envz00_3154, obj_t BgL_stream1114z00_3155, obj_t BgL_usleep1115z00_3156, obj_t BgL_writezd2byte1116zd2_3157, obj_t BgL_writezd2string1117zd2_3158, obj_t BgL_flush1118z00_3159)
{
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1185z00_4727;
{ /* Llib/midi.scm 87 */
 BgL_midisinkz00_bglt BgL_new1184z00_4728;
BgL_new1184z00_4728 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
 long BgL_arg2545z00_4729;
BgL_arg2545z00_4729 = 
BGL_CLASS_NUM(BGl_midisinkz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1184z00_4728), BgL_arg2545z00_4729); } 
BgL_new1185z00_4727 = BgL_new1184z00_4728; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4727))->BgL_streamz00)=((obj_t)BgL_stream1114z00_3155),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4727))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_usleep1115z00_3156)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4727))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_writezd2byte1116zd2_3157)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4727))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_writezd2string1117zd2_3158)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1185z00_4727))->BgL_flushz00)=((obj_t)
((obj_t)BgL_flush1118z00_3159)),BUNSPEC); 
{ /* Llib/midi.scm 87 */
 obj_t BgL_fun2544z00_4730;
BgL_fun2544z00_4730 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2544z00_4730)(BgL_fun2544z00_4730, 
((obj_t)BgL_new1185z00_4727), BEOA); } 
return BgL_new1185z00_4727;} } 

}



/* &<@anonymous:2585> */
obj_t BGl_z62zc3z04anonymousza32585ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3160)
{
{ /* Llib/midi.scm 87 */
return BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;} 

}



/* &lambda2584 */
obj_t BGl_z62lambda2584z62zz__multimediazd2midizd2(obj_t BgL_envz00_3161, obj_t BgL_oz00_3162, obj_t BgL_vz00_3163)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3162)))->BgL_flushz00)=((obj_t)
((obj_t)BgL_vz00_3163)),BUNSPEC);} 

}



/* &lambda2583 */
obj_t BGl_z62lambda2583z62zz__multimediazd2midizd2(obj_t BgL_envz00_3164, obj_t BgL_oz00_3165)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3165)))->BgL_flushz00);} 

}



/* &<@anonymous:2577> */
obj_t BGl_z62zc3z04anonymousza32577ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3166)
{
{ /* Llib/midi.scm 87 */
return BGl_proc3041z00zz__multimediazd2midizd2;} 

}



/* &lambda2576 */
obj_t BGl_z62lambda2576z62zz__multimediazd2midizd2(obj_t BgL_envz00_3167, obj_t BgL_oz00_3168, obj_t BgL_vz00_3169)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3168)))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_vz00_3169)),BUNSPEC);} 

}



/* &lambda2575 */
obj_t BGl_z62lambda2575z62zz__multimediazd2midizd2(obj_t BgL_envz00_3170, obj_t BgL_oz00_3171)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3171)))->BgL_writezd2stringzd2);} 

}



/* &<@anonymous:2578> */
obj_t BGl_z62zc3z04anonymousza32578ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3172, obj_t BgL_opz00_3173, obj_t BgL_sz00_3174)
{
{ /* Llib/midi.scm 92 */
return 
BGl_writezd2stringzd2zz__r4_output_6_10_3z00(BgL_sz00_3174, BgL_opz00_3173);} 

}



/* &<@anonymous:2569> */
obj_t BGl_z62zc3z04anonymousza32569ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3175)
{
{ /* Llib/midi.scm 87 */
return BGl_proc3042z00zz__multimediazd2midizd2;} 

}



/* &lambda2568 */
obj_t BGl_z62lambda2568z62zz__multimediazd2midizd2(obj_t BgL_envz00_3176, obj_t BgL_oz00_3177, obj_t BgL_vz00_3178)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3177)))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3178)),BUNSPEC);} 

}



/* &lambda2567 */
obj_t BGl_z62lambda2567z62zz__multimediazd2midizd2(obj_t BgL_envz00_3179, obj_t BgL_oz00_3180)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3180)))->BgL_writezd2bytezd2);} 

}



/* &<@anonymous:2570> */
obj_t BGl_z62zc3z04anonymousza32570ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3181, obj_t BgL_opz00_3182, obj_t BgL_bz00_3183)
{
{ /* Llib/midi.scm 91 */
{ /* Llib/midi.scm 91 */
 unsigned char BgL_bytez00_4740;
BgL_bytez00_4740 = 
(unsigned char)CINT(BgL_bz00_3183); 
{ /* Llib/midi.scm 91 */
 obj_t BgL_tmpz00_8593;
BgL_tmpz00_8593 = 
((obj_t)BgL_opz00_3182); 
return 
bgl_display_char(BgL_bytez00_4740, BgL_tmpz00_8593);} } } 

}



/* &<@anonymous:2562> */
obj_t BGl_z62zc3z04anonymousza32562ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3184)
{
{ /* Llib/midi.scm 87 */
return BGl_sleepzd2envzd2zz__osz00;} 

}



/* &lambda2561 */
obj_t BGl_z62lambda2561z62zz__multimediazd2midizd2(obj_t BgL_envz00_3185, obj_t BgL_oz00_3186, obj_t BgL_vz00_3187)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3186)))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_vz00_3187)),BUNSPEC);} 

}



/* &lambda2560 */
obj_t BGl_z62lambda2560z62zz__multimediazd2midizd2(obj_t BgL_envz00_3188, obj_t BgL_oz00_3189)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3189)))->BgL_usleepz00);} 

}



/* &<@anonymous:2555> */
obj_t BGl_z62zc3z04anonymousza32555ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3190)
{
{ /* Llib/midi.scm 87 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2554 */
obj_t BGl_z62lambda2554z62zz__multimediazd2midizd2(obj_t BgL_envz00_3191, obj_t BgL_oz00_3192, obj_t BgL_vz00_3193)
{
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3192)))->BgL_streamz00)=((obj_t)BgL_vz00_3193),BUNSPEC);} 

}



/* &lambda2553 */
obj_t BGl_z62lambda2553z62zz__multimediazd2midizd2(obj_t BgL_envz00_3194, obj_t BgL_oz00_3195)
{
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3195)))->BgL_streamz00);} 

}



/* &<@anonymous:2339> */
obj_t BGl_z62zc3z04anonymousza32339ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3196, obj_t BgL_new1112z00_3197)
{
{ /* Llib/midi.scm 52 */
{ 
 BgL_midiplayerz00_bglt BgL_auxz00_8606;
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_errz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_cdelayz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_noteoffz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_noteonz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_aftertouchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_ctrlchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_prgmchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_afterzd2touchzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_pitchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_sysexz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2seqnumzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2textzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2copyrightzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2trackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2instrumentzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2lyriczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2markerzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2cuezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2prgmnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2devnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2channprefzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2midiportzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2eotzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2tempozd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2smtpezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2timesigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2keysigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197)))->BgL_metazd2seqspeczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8606 = 
((BgL_midiplayerz00_bglt)BgL_new1112z00_3197); 
return 
((obj_t)BgL_auxz00_8606);} } 

}



/* &lambda2337 */
BgL_midiplayerz00_bglt BGl_z62lambda2337z62zz__multimediazd2midizd2(obj_t BgL_envz00_3198)
{
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1110z00_4747;
BgL_new1110z00_4747 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
 long BgL_arg2338z00_4748;
BgL_arg2338z00_4748 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_4747), BgL_arg2338z00_4748); } 
return BgL_new1110z00_4747;} } 

}



/* &lambda2334 */
BgL_midiplayerz00_bglt BGl_z62lambda2334z62zz__multimediazd2midizd2(obj_t BgL_envz00_3199, obj_t BgL_err1082z00_3200, obj_t BgL_cdelay1083z00_3201, obj_t BgL_noteoff1084z00_3202, obj_t BgL_noteon1085z00_3203, obj_t BgL_aftertouch1086z00_3204, obj_t BgL_ctrlchange1087z00_3205, obj_t BgL_prgmchange1088z00_3206, obj_t BgL_afterzd2touch1089zd2_3207, obj_t BgL_pitch1090z00_3208, obj_t BgL_sysex1091z00_3209, obj_t BgL_metazd2seqnum1092zd2_3210, obj_t BgL_metazd2text1093zd2_3211, obj_t BgL_metazd2copyright1094zd2_3212, obj_t BgL_metazd2track1095zd2_3213, obj_t BgL_metazd2instrument1096zd2_3214, obj_t BgL_metazd2lyric1097zd2_3215, obj_t BgL_metazd2marker1098zd2_3216, obj_t BgL_metazd2cue1099zd2_3217, obj_t BgL_metazd2prgmname1100zd2_3218, obj_t BgL_metazd2devname1101zd2_3219, obj_t BgL_metazd2channpref1102zd2_3220, obj_t BgL_metazd2midiport1103zd2_3221, obj_t BgL_metazd2eot1104zd2_3222, obj_t BgL_metazd2tempo1105zd2_3223, obj_t BgL_metazd2smtpe1106zd2_3224, obj_t BgL_metazd2timesig1107zd2_3225, obj_t BgL_metazd2keysig1108zd2_3226, obj_t BgL_metazd2seqspec1109zd2_3227)
{
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1183z00_4777;
{ /* Llib/midi.scm 52 */
 BgL_midiplayerz00_bglt BgL_new1182z00_4778;
BgL_new1182z00_4778 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
 long BgL_arg2336z00_4779;
BgL_arg2336z00_4779 = 
BGL_CLASS_NUM(BGl_midiplayerz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1182z00_4778), BgL_arg2336z00_4779); } 
BgL_new1183z00_4777 = BgL_new1182z00_4778; } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_errz00)=((obj_t)
((obj_t)BgL_err1082z00_3200)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_cdelay1083z00_3201)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_noteoff1084z00_3202)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_noteon1085z00_3203)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_aftertouch1086z00_3204)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_ctrlchange1087z00_3205)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_prgmchange1088z00_3206)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_afterzd2touch1089zd2_3207)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_pitch1090z00_3208)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_sysex1091z00_3209)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_metazd2seqnum1092zd2_3210)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_metazd2text1093zd2_3211)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_metazd2copyright1094zd2_3212)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_metazd2track1095zd2_3213)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_metazd2instrument1096zd2_3214)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_metazd2lyric1097zd2_3215)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_metazd2marker1098zd2_3216)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_metazd2cue1099zd2_3217)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_metazd2prgmname1100zd2_3218)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_metazd2devname1101zd2_3219)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_metazd2channpref1102zd2_3220)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_metazd2midiport1103zd2_3221)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_metazd2eot1104zd2_3222)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_metazd2tempo1105zd2_3223)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_metazd2smtpe1106zd2_3224)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_metazd2timesig1107zd2_3225)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_metazd2keysig1108zd2_3226)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1183z00_4777))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_metazd2seqspec1109zd2_3227)),BUNSPEC); 
{ /* Llib/midi.scm 52 */
 obj_t BgL_fun2335z00_4780;
BgL_fun2335z00_4780 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2335z00_4780)(BgL_fun2335z00_4780, 
((obj_t)BgL_new1183z00_4777), BEOA); } 
return BgL_new1183z00_4777;} } 

}



/* &<@anonymous:2537> */
obj_t BGl_z62zc3z04anonymousza32537ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3228)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2536 */
obj_t BGl_z62lambda2536z62zz__multimediazd2midizd2(obj_t BgL_envz00_3229, obj_t BgL_oz00_3230, obj_t BgL_vz00_3231)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3230)))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_vz00_3231)),BUNSPEC);} 

}



/* &lambda2535 */
obj_t BGl_z62lambda2535z62zz__multimediazd2midizd2(obj_t BgL_envz00_3232, obj_t BgL_oz00_3233)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3233)))->BgL_metazd2seqspeczd2);} 

}



/* &<@anonymous:2530> */
obj_t BGl_z62zc3z04anonymousza32530ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3234)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2529 */
obj_t BGl_z62lambda2529z62zz__multimediazd2midizd2(obj_t BgL_envz00_3235, obj_t BgL_oz00_3236, obj_t BgL_vz00_3237)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3236)))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_vz00_3237)),BUNSPEC);} 

}



/* &lambda2528 */
obj_t BGl_z62lambda2528z62zz__multimediazd2midizd2(obj_t BgL_envz00_3238, obj_t BgL_oz00_3239)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3239)))->BgL_metazd2keysigzd2);} 

}



/* &<@anonymous:2522> */
obj_t BGl_z62zc3z04anonymousza32522ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3240)
{
{ /* Llib/midi.scm 52 */
return BGl_proc3043z00zz__multimediazd2midizd2;} 

}



/* &lambda2521 */
obj_t BGl_z62lambda2521z62zz__multimediazd2midizd2(obj_t BgL_envz00_3241, obj_t BgL_oz00_3242, obj_t BgL_vz00_3243)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3242)))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_vz00_3243)),BUNSPEC);} 

}



/* &lambda2520 */
obj_t BGl_z62lambda2520z62zz__multimediazd2midizd2(obj_t BgL_envz00_3244, obj_t BgL_oz00_3245)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3245)))->BgL_metazd2timesigzd2);} 

}



/* &<@anonymous:2523> */
obj_t BGl_z62zc3z04anonymousza32523ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3246, obj_t BgL_mpz00_3247, obj_t BgL_msz00_3248, obj_t BgL_tickz00_3249, obj_t BgL_nnz00_3250, obj_t BgL_ddz00_3251, obj_t BgL_ccz00_3252, obj_t BgL_bbz00_3253)
{
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:2514> */
obj_t BGl_z62zc3z04anonymousza32514ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3254)
{
{ /* Llib/midi.scm 52 */
return BGl_proc3044z00zz__multimediazd2midizd2;} 

}



/* &lambda2513 */
obj_t BGl_z62lambda2513z62zz__multimediazd2midizd2(obj_t BgL_envz00_3255, obj_t BgL_oz00_3256, obj_t BgL_vz00_3257)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3256)))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_vz00_3257)),BUNSPEC);} 

}



/* &lambda2512 */
obj_t BGl_z62lambda2512z62zz__multimediazd2midizd2(obj_t BgL_envz00_3258, obj_t BgL_oz00_3259)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3259)))->BgL_metazd2smtpezd2);} 

}



/* &<@anonymous:2515> */
obj_t BGl_z62zc3z04anonymousza32515ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3260, obj_t BgL_mpz00_3261, obj_t BgL_msz00_3262, obj_t BgL_tickz00_3263, obj_t BgL_hrz00_3264, obj_t BgL_mmz00_3265, obj_t BgL_sez00_3266, obj_t BgL_frz00_3267, obj_t BgL_ffz00_3268)
{
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:2507> */
obj_t BGl_z62zc3z04anonymousza32507ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3269)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2506 */
obj_t BGl_z62lambda2506z62zz__multimediazd2midizd2(obj_t BgL_envz00_3270, obj_t BgL_oz00_3271, obj_t BgL_vz00_3272)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3271)))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_vz00_3272)),BUNSPEC);} 

}



/* &lambda2505 */
obj_t BGl_z62lambda2505z62zz__multimediazd2midizd2(obj_t BgL_envz00_3273, obj_t BgL_oz00_3274)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3274)))->BgL_metazd2tempozd2);} 

}



/* &<@anonymous:2500> */
obj_t BGl_z62zc3z04anonymousza32500ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3275)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2499 */
obj_t BGl_z62lambda2499z62zz__multimediazd2midizd2(obj_t BgL_envz00_3276, obj_t BgL_oz00_3277, obj_t BgL_vz00_3278)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3277)))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_vz00_3278)),BUNSPEC);} 

}



/* &lambda2498 */
obj_t BGl_z62lambda2498z62zz__multimediazd2midizd2(obj_t BgL_envz00_3279, obj_t BgL_oz00_3280)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3280)))->BgL_metazd2eotzd2);} 

}



/* &<@anonymous:2493> */
obj_t BGl_z62zc3z04anonymousza32493ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3281)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2492 */
obj_t BGl_z62lambda2492z62zz__multimediazd2midizd2(obj_t BgL_envz00_3282, obj_t BgL_oz00_3283, obj_t BgL_vz00_3284)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3283)))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_vz00_3284)),BUNSPEC);} 

}



/* &lambda2491 */
obj_t BGl_z62lambda2491z62zz__multimediazd2midizd2(obj_t BgL_envz00_3285, obj_t BgL_oz00_3286)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3286)))->BgL_metazd2midiportzd2);} 

}



/* &<@anonymous:2486> */
obj_t BGl_z62zc3z04anonymousza32486ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3287)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2485 */
obj_t BGl_z62lambda2485z62zz__multimediazd2midizd2(obj_t BgL_envz00_3288, obj_t BgL_oz00_3289, obj_t BgL_vz00_3290)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3289)))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_vz00_3290)),BUNSPEC);} 

}



/* &lambda2484 */
obj_t BGl_z62lambda2484z62zz__multimediazd2midizd2(obj_t BgL_envz00_3291, obj_t BgL_oz00_3292)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3292)))->BgL_metazd2channprefzd2);} 

}



/* &<@anonymous:2479> */
obj_t BGl_z62zc3z04anonymousza32479ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3293)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2478 */
obj_t BGl_z62lambda2478z62zz__multimediazd2midizd2(obj_t BgL_envz00_3294, obj_t BgL_oz00_3295, obj_t BgL_vz00_3296)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3295)))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_vz00_3296)),BUNSPEC);} 

}



/* &lambda2477 */
obj_t BGl_z62lambda2477z62zz__multimediazd2midizd2(obj_t BgL_envz00_3297, obj_t BgL_oz00_3298)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3298)))->BgL_metazd2devnamezd2);} 

}



/* &<@anonymous:2472> */
obj_t BGl_z62zc3z04anonymousza32472ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3299)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2471 */
obj_t BGl_z62lambda2471z62zz__multimediazd2midizd2(obj_t BgL_envz00_3300, obj_t BgL_oz00_3301, obj_t BgL_vz00_3302)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3301)))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_vz00_3302)),BUNSPEC);} 

}



/* &lambda2470 */
obj_t BGl_z62lambda2470z62zz__multimediazd2midizd2(obj_t BgL_envz00_3303, obj_t BgL_oz00_3304)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3304)))->BgL_metazd2prgmnamezd2);} 

}



/* &<@anonymous:2465> */
obj_t BGl_z62zc3z04anonymousza32465ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3305)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2464 */
obj_t BGl_z62lambda2464z62zz__multimediazd2midizd2(obj_t BgL_envz00_3306, obj_t BgL_oz00_3307, obj_t BgL_vz00_3308)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3307)))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_vz00_3308)),BUNSPEC);} 

}



/* &lambda2463 */
obj_t BGl_z62lambda2463z62zz__multimediazd2midizd2(obj_t BgL_envz00_3309, obj_t BgL_oz00_3310)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3310)))->BgL_metazd2cuezd2);} 

}



/* &<@anonymous:2458> */
obj_t BGl_z62zc3z04anonymousza32458ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3311)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2457 */
obj_t BGl_z62lambda2457z62zz__multimediazd2midizd2(obj_t BgL_envz00_3312, obj_t BgL_oz00_3313, obj_t BgL_vz00_3314)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3313)))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_vz00_3314)),BUNSPEC);} 

}



/* &lambda2456 */
obj_t BGl_z62lambda2456z62zz__multimediazd2midizd2(obj_t BgL_envz00_3315, obj_t BgL_oz00_3316)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3316)))->BgL_metazd2markerzd2);} 

}



/* &<@anonymous:2451> */
obj_t BGl_z62zc3z04anonymousza32451ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3317)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2450 */
obj_t BGl_z62lambda2450z62zz__multimediazd2midizd2(obj_t BgL_envz00_3318, obj_t BgL_oz00_3319, obj_t BgL_vz00_3320)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3319)))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_vz00_3320)),BUNSPEC);} 

}



/* &lambda2449 */
obj_t BGl_z62lambda2449z62zz__multimediazd2midizd2(obj_t BgL_envz00_3321, obj_t BgL_oz00_3322)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3322)))->BgL_metazd2lyriczd2);} 

}



/* &<@anonymous:2444> */
obj_t BGl_z62zc3z04anonymousza32444ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3323)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2443 */
obj_t BGl_z62lambda2443z62zz__multimediazd2midizd2(obj_t BgL_envz00_3324, obj_t BgL_oz00_3325, obj_t BgL_vz00_3326)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3325)))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_vz00_3326)),BUNSPEC);} 

}



/* &lambda2442 */
obj_t BGl_z62lambda2442z62zz__multimediazd2midizd2(obj_t BgL_envz00_3327, obj_t BgL_oz00_3328)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3328)))->BgL_metazd2instrumentzd2);} 

}



/* &<@anonymous:2437> */
obj_t BGl_z62zc3z04anonymousza32437ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3329)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2436 */
obj_t BGl_z62lambda2436z62zz__multimediazd2midizd2(obj_t BgL_envz00_3330, obj_t BgL_oz00_3331, obj_t BgL_vz00_3332)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3331)))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_vz00_3332)),BUNSPEC);} 

}



/* &lambda2435 */
obj_t BGl_z62lambda2435z62zz__multimediazd2midizd2(obj_t BgL_envz00_3333, obj_t BgL_oz00_3334)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3334)))->BgL_metazd2trackzd2);} 

}



/* &<@anonymous:2430> */
obj_t BGl_z62zc3z04anonymousza32430ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3335)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2429 */
obj_t BGl_z62lambda2429z62zz__multimediazd2midizd2(obj_t BgL_envz00_3336, obj_t BgL_oz00_3337, obj_t BgL_vz00_3338)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3337)))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_vz00_3338)),BUNSPEC);} 

}



/* &lambda2428 */
obj_t BGl_z62lambda2428z62zz__multimediazd2midizd2(obj_t BgL_envz00_3339, obj_t BgL_oz00_3340)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3340)))->BgL_metazd2copyrightzd2);} 

}



/* &<@anonymous:2423> */
obj_t BGl_z62zc3z04anonymousza32423ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3341)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2422 */
obj_t BGl_z62lambda2422z62zz__multimediazd2midizd2(obj_t BgL_envz00_3342, obj_t BgL_oz00_3343, obj_t BgL_vz00_3344)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3343)))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_vz00_3344)),BUNSPEC);} 

}



/* &lambda2421 */
obj_t BGl_z62lambda2421z62zz__multimediazd2midizd2(obj_t BgL_envz00_3345, obj_t BgL_oz00_3346)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3346)))->BgL_metazd2textzd2);} 

}



/* &<@anonymous:2416> */
obj_t BGl_z62zc3z04anonymousza32416ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3347)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2415 */
obj_t BGl_z62lambda2415z62zz__multimediazd2midizd2(obj_t BgL_envz00_3348, obj_t BgL_oz00_3349, obj_t BgL_vz00_3350)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3349)))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_vz00_3350)),BUNSPEC);} 

}



/* &lambda2414 */
obj_t BGl_z62lambda2414z62zz__multimediazd2midizd2(obj_t BgL_envz00_3351, obj_t BgL_oz00_3352)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3352)))->BgL_metazd2seqnumzd2);} 

}



/* &<@anonymous:2409> */
obj_t BGl_z62zc3z04anonymousza32409ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3353)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2408 */
obj_t BGl_z62lambda2408z62zz__multimediazd2midizd2(obj_t BgL_envz00_3354, obj_t BgL_oz00_3355, obj_t BgL_vz00_3356)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3355)))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_vz00_3356)),BUNSPEC);} 

}



/* &lambda2407 */
obj_t BGl_z62lambda2407z62zz__multimediazd2midizd2(obj_t BgL_envz00_3357, obj_t BgL_oz00_3358)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3358)))->BgL_sysexz00);} 

}



/* &<@anonymous:2402> */
obj_t BGl_z62zc3z04anonymousza32402ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3359)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2401 */
obj_t BGl_z62lambda2401z62zz__multimediazd2midizd2(obj_t BgL_envz00_3360, obj_t BgL_oz00_3361, obj_t BgL_vz00_3362)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3361)))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_vz00_3362)),BUNSPEC);} 

}



/* &lambda2400 */
obj_t BGl_z62lambda2400z62zz__multimediazd2midizd2(obj_t BgL_envz00_3363, obj_t BgL_oz00_3364)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3364)))->BgL_pitchz00);} 

}



/* &<@anonymous:2395> */
obj_t BGl_z62zc3z04anonymousza32395ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3365)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2;} 

}



/* &lambda2394 */
obj_t BGl_z62lambda2394z62zz__multimediazd2midizd2(obj_t BgL_envz00_3366, obj_t BgL_oz00_3367, obj_t BgL_vz00_3368)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3367)))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_vz00_3368)),BUNSPEC);} 

}



/* &lambda2393 */
obj_t BGl_z62lambda2393z62zz__multimediazd2midizd2(obj_t BgL_envz00_3369, obj_t BgL_oz00_3370)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3370)))->BgL_afterzd2touchzd2);} 

}



/* &<@anonymous:2388> */
obj_t BGl_z62zc3z04anonymousza32388ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3371)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2387 */
obj_t BGl_z62lambda2387z62zz__multimediazd2midizd2(obj_t BgL_envz00_3372, obj_t BgL_oz00_3373, obj_t BgL_vz00_3374)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3373)))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_vz00_3374)),BUNSPEC);} 

}



/* &lambda2386 */
obj_t BGl_z62lambda2386z62zz__multimediazd2midizd2(obj_t BgL_envz00_3375, obj_t BgL_oz00_3376)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3376)))->BgL_prgmchangez00);} 

}



/* &<@anonymous:2381> */
obj_t BGl_z62zc3z04anonymousza32381ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3377)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2380 */
obj_t BGl_z62lambda2380z62zz__multimediazd2midizd2(obj_t BgL_envz00_3378, obj_t BgL_oz00_3379, obj_t BgL_vz00_3380)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3379)))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_vz00_3380)),BUNSPEC);} 

}



/* &lambda2379 */
obj_t BGl_z62lambda2379z62zz__multimediazd2midizd2(obj_t BgL_envz00_3381, obj_t BgL_oz00_3382)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3382)))->BgL_ctrlchangez00);} 

}



/* &<@anonymous:2374> */
obj_t BGl_z62zc3z04anonymousza32374ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3383)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2373 */
obj_t BGl_z62lambda2373z62zz__multimediazd2midizd2(obj_t BgL_envz00_3384, obj_t BgL_oz00_3385, obj_t BgL_vz00_3386)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3385)))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_vz00_3386)),BUNSPEC);} 

}



/* &lambda2372 */
obj_t BGl_z62lambda2372z62zz__multimediazd2midizd2(obj_t BgL_envz00_3387, obj_t BgL_oz00_3388)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3388)))->BgL_aftertouchz00);} 

}



/* &<@anonymous:2367> */
obj_t BGl_z62zc3z04anonymousza32367ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3389)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2366 */
obj_t BGl_z62lambda2366z62zz__multimediazd2midizd2(obj_t BgL_envz00_3390, obj_t BgL_oz00_3391, obj_t BgL_vz00_3392)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3391)))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_vz00_3392)),BUNSPEC);} 

}



/* &lambda2365 */
obj_t BGl_z62lambda2365z62zz__multimediazd2midizd2(obj_t BgL_envz00_3393, obj_t BgL_oz00_3394)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3394)))->BgL_noteonz00);} 

}



/* &<@anonymous:2360> */
obj_t BGl_z62zc3z04anonymousza32360ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3395)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2359 */
obj_t BGl_z62lambda2359z62zz__multimediazd2midizd2(obj_t BgL_envz00_3396, obj_t BgL_oz00_3397, obj_t BgL_vz00_3398)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3397)))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_vz00_3398)),BUNSPEC);} 

}



/* &lambda2358 */
obj_t BGl_z62lambda2358z62zz__multimediazd2midizd2(obj_t BgL_envz00_3399, obj_t BgL_oz00_3400)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3400)))->BgL_noteoffz00);} 

}



/* &<@anonymous:2353> */
obj_t BGl_z62zc3z04anonymousza32353ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3401)
{
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2;} 

}



/* &lambda2352 */
obj_t BGl_z62lambda2352z62zz__multimediazd2midizd2(obj_t BgL_envz00_3402, obj_t BgL_oz00_3403, obj_t BgL_vz00_3404)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3403)))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_vz00_3404)),BUNSPEC);} 

}



/* &lambda2351 */
obj_t BGl_z62lambda2351z62zz__multimediazd2midizd2(obj_t BgL_envz00_3405, obj_t BgL_oz00_3406)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3406)))->BgL_cdelayz00);} 

}



/* &<@anonymous:2346> */
obj_t BGl_z62zc3z04anonymousza32346ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3407)
{
{ /* Llib/midi.scm 52 */
return BGl_errorzd2envzd2zz__errorz00;} 

}



/* &lambda2345 */
obj_t BGl_z62lambda2345z62zz__multimediazd2midizd2(obj_t BgL_envz00_3408, obj_t BgL_oz00_3409, obj_t BgL_vz00_3410)
{
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3409)))->BgL_errz00)=((obj_t)
((obj_t)BgL_vz00_3410)),BUNSPEC);} 

}



/* &lambda2344 */
obj_t BGl_z62lambda2344z62zz__multimediazd2midizd2(obj_t BgL_envz00_3411, obj_t BgL_oz00_3412)
{
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3412)))->BgL_errz00);} 

}



/* &<@anonymous:2293> */
obj_t BGl_z62zc3z04anonymousza32293ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3413, obj_t BgL_new1080z00_3414)
{
{ /* Llib/midi.scm 42 */
{ 
 BgL_midireaderz00_bglt BgL_auxz00_8877;
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3414)))->BgL_peekzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3414)))->BgL_readzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3414)))->BgL_readzd2int16zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3414)))->BgL_readzd2int32zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3414)))->BgL_readzd2intzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3414)))->BgL_readzd2vlqzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1080z00_3414)))->BgL_readzd2charszd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_8877 = 
((BgL_midireaderz00_bglt)BgL_new1080z00_3414); 
return 
((obj_t)BgL_auxz00_8877);} } 

}



/* &lambda2291 */
BgL_midireaderz00_bglt BGl_z62lambda2291z62zz__multimediazd2midizd2(obj_t BgL_envz00_3415)
{
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1079z00_4866;
BgL_new1079z00_4866 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
 long BgL_arg2292z00_4867;
BgL_arg2292z00_4867 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1079z00_4866), BgL_arg2292z00_4867); } 
return BgL_new1079z00_4866;} } 

}



/* &lambda2288 */
BgL_midireaderz00_bglt BGl_z62lambda2288z62zz__multimediazd2midizd2(obj_t BgL_envz00_3416, obj_t BgL_peekzd2byte1072zd2_3417, obj_t BgL_readzd2byte1073zd2_3418, obj_t BgL_readzd2int161074zd2_3419, obj_t BgL_readzd2int321075zd2_3420, obj_t BgL_readzd2int1076zd2_3421, obj_t BgL_readzd2vlq1077zd2_3422, obj_t BgL_readzd2chars1078zd2_3423)
{
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1181z00_4875;
{ /* Llib/midi.scm 42 */
 BgL_midireaderz00_bglt BgL_new1180z00_4876;
BgL_new1180z00_4876 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
 long BgL_arg2290z00_4877;
BgL_arg2290z00_4877 = 
BGL_CLASS_NUM(BGl_midireaderz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1180z00_4876), BgL_arg2290z00_4877); } 
BgL_new1181z00_4875 = BgL_new1180z00_4876; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4875))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_peekzd2byte1072zd2_3417)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4875))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_readzd2byte1073zd2_3418)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4875))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_readzd2int161074zd2_3419)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4875))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_readzd2int321075zd2_3420)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4875))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_readzd2int1076zd2_3421)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4875))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_readzd2vlq1077zd2_3422)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1181z00_4875))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_readzd2chars1078zd2_3423)),BUNSPEC); 
{ /* Llib/midi.scm 42 */
 obj_t BgL_fun2289z00_4878;
BgL_fun2289z00_4878 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2289z00_4878)(BgL_fun2289z00_4878, 
((obj_t)BgL_new1181z00_4875), BEOA); } 
return BgL_new1181z00_4875;} } 

}



/* &lambda2328 */
obj_t BGl_z62lambda2328z62zz__multimediazd2midizd2(obj_t BgL_envz00_3424, obj_t BgL_oz00_3425, obj_t BgL_vz00_3426)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3425)))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_vz00_3426)),BUNSPEC);} 

}



/* &lambda2327 */
obj_t BGl_z62lambda2327z62zz__multimediazd2midizd2(obj_t BgL_envz00_3427, obj_t BgL_oz00_3428)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3428)))->BgL_readzd2charszd2);} 

}



/* &lambda2323 */
obj_t BGl_z62lambda2323z62zz__multimediazd2midizd2(obj_t BgL_envz00_3429, obj_t BgL_oz00_3430, obj_t BgL_vz00_3431)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3430)))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_vz00_3431)),BUNSPEC);} 

}



/* &lambda2322 */
obj_t BGl_z62lambda2322z62zz__multimediazd2midizd2(obj_t BgL_envz00_3432, obj_t BgL_oz00_3433)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3433)))->BgL_readzd2vlqzd2);} 

}



/* &lambda2318 */
obj_t BGl_z62lambda2318z62zz__multimediazd2midizd2(obj_t BgL_envz00_3434, obj_t BgL_oz00_3435, obj_t BgL_vz00_3436)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3435)))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_vz00_3436)),BUNSPEC);} 

}



/* &lambda2317 */
obj_t BGl_z62lambda2317z62zz__multimediazd2midizd2(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3438)))->BgL_readzd2intzd2);} 

}



/* &lambda2313 */
obj_t BGl_z62lambda2313z62zz__multimediazd2midizd2(obj_t BgL_envz00_3439, obj_t BgL_oz00_3440, obj_t BgL_vz00_3441)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3440)))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_vz00_3441)),BUNSPEC);} 

}



/* &lambda2312 */
obj_t BGl_z62lambda2312z62zz__multimediazd2midizd2(obj_t BgL_envz00_3442, obj_t BgL_oz00_3443)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3443)))->BgL_readzd2int32zd2);} 

}



/* &lambda2308 */
obj_t BGl_z62lambda2308z62zz__multimediazd2midizd2(obj_t BgL_envz00_3444, obj_t BgL_oz00_3445, obj_t BgL_vz00_3446)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3445)))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_vz00_3446)),BUNSPEC);} 

}



/* &lambda2307 */
obj_t BGl_z62lambda2307z62zz__multimediazd2midizd2(obj_t BgL_envz00_3447, obj_t BgL_oz00_3448)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3448)))->BgL_readzd2int16zd2);} 

}



/* &lambda2303 */
obj_t BGl_z62lambda2303z62zz__multimediazd2midizd2(obj_t BgL_envz00_3449, obj_t BgL_oz00_3450, obj_t BgL_vz00_3451)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3450)))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3451)),BUNSPEC);} 

}



/* &lambda2302 */
obj_t BGl_z62lambda2302z62zz__multimediazd2midizd2(obj_t BgL_envz00_3452, obj_t BgL_oz00_3453)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3453)))->BgL_readzd2bytezd2);} 

}



/* &lambda2298 */
obj_t BGl_z62lambda2298z62zz__multimediazd2midizd2(obj_t BgL_envz00_3454, obj_t BgL_oz00_3455, obj_t BgL_vz00_3456)
{
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3455)))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3456)),BUNSPEC);} 

}



/* &lambda2297 */
obj_t BGl_z62lambda2297z62zz__multimediazd2midizd2(obj_t BgL_envz00_3457, obj_t BgL_oz00_3458)
{
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3458)))->BgL_peekzd2bytezd2);} 

}



/* &<@anonymous:2187> */
obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3459, obj_t BgL_new1070z00_3460)
{
{ /* Llib/midi.scm 24 */
{ 
 BgL_miditrackz00_bglt BgL_auxz00_8957;
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_z52streamz52)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_midireaderz00_bglt BgL_auxz00_8960;
{ /* Llib/midi.scm 24 */
 obj_t BgL_classz00_4901;
BgL_classz00_4901 = BGl_midireaderz00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 24 */
 obj_t BgL__ortest_1113z00_4902;
BgL__ortest_1113z00_4902 = 
BGL_CLASS_NIL(BgL_classz00_4901); 
if(
CBOOL(BgL__ortest_1113z00_4902))
{ /* Llib/midi.scm 24 */
BgL_auxz00_8960 = 
((BgL_midireaderz00_bglt)BgL__ortest_1113z00_4902)
; }  else 
{ /* Llib/midi.scm 24 */
BgL_auxz00_8960 = 
((BgL_midireaderz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4901))
; } } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BgL_auxz00_8960),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_z52closez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_z52wtickz52)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_lenz00)=((int32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_ipz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_wtickz00)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_statusz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1070z00_3460)))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_8957 = 
((BgL_miditrackz00_bglt)BgL_new1070z00_3460); 
return 
((obj_t)BgL_auxz00_8957);} } 

}



/* &lambda2185 */
BgL_miditrackz00_bglt BGl_z62lambda2185z62zz__multimediazd2midizd2(obj_t BgL_envz00_3461)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1069z00_4903;
BgL_new1069z00_4903 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
 long BgL_arg2186z00_4904;
BgL_arg2186z00_4904 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4903), BgL_arg2186z00_4904); } 
return BgL_new1069z00_4903;} } 

}



/* &lambda2182 */
BgL_miditrackz00_bglt BGl_z62lambda2182z62zz__multimediazd2midizd2(obj_t BgL_envz00_3462, obj_t BgL_z52stream1055z52_3463, obj_t BgL_z52reader1056z52_3464, obj_t BgL_z52close1057z52_3465, obj_t BgL_z52eot1058z52_3466, obj_t BgL_z52wtick1059z52_3467, obj_t BgL_z52status1060z52_3468, obj_t BgL_len1061z00_3469, obj_t BgL_tempo1062z00_3470, obj_t BgL_ip1063z00_3471, obj_t BgL_start1064z00_3472, obj_t BgL_datastart1065z00_3473, obj_t BgL_wtick1066z00_3474, obj_t BgL_status1067z00_3475, obj_t BgL_eot1068z00_3476)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_z52eot1058z52_4907; uint32_t BgL_z52wtick1059z52_4908; long BgL_z52status1060z52_4909; int32_t BgL_len1061z00_4910; long BgL_tempo1062z00_4911; long BgL_start1064z00_4912; long BgL_datastart1065z00_4913; uint32_t BgL_wtick1066z00_4914; long BgL_status1067z00_4915; bool_t BgL_eot1068z00_4916;
BgL_z52eot1058z52_4907 = 
CBOOL(BgL_z52eot1058z52_3466); 
BgL_z52wtick1059z52_4908 = 
BGL_BUINT32_TO_UINT32(BgL_z52wtick1059z52_3467); 
BgL_z52status1060z52_4909 = 
(long)CINT(BgL_z52status1060z52_3468); 
BgL_len1061z00_4910 = 
BGL_BINT32_TO_INT32(BgL_len1061z00_3469); 
BgL_tempo1062z00_4911 = 
(long)CINT(BgL_tempo1062z00_3470); 
BgL_start1064z00_4912 = 
(long)CINT(BgL_start1064z00_3472); 
BgL_datastart1065z00_4913 = 
(long)CINT(BgL_datastart1065z00_3473); 
BgL_wtick1066z00_4914 = 
BGL_BUINT32_TO_UINT32(BgL_wtick1066z00_3474); 
BgL_status1067z00_4915 = 
(long)CINT(BgL_status1067z00_3475); 
BgL_eot1068z00_4916 = 
CBOOL(BgL_eot1068z00_3476); 
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1179z00_4917;
{ /* Llib/midi.scm 24 */
 BgL_miditrackz00_bglt BgL_new1178z00_4918;
BgL_new1178z00_4918 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
 long BgL_arg2184z00_4919;
BgL_arg2184z00_4919 = 
BGL_CLASS_NUM(BGl_miditrackz00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1178z00_4918), BgL_arg2184z00_4919); } 
BgL_new1179z00_4917 = BgL_new1178z00_4918; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_z52streamz52)=((obj_t)BgL_z52stream1055z52_3463),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_z52reader1056z52_3464)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_z52close1057z52_3465)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_z52eotz52)=((bool_t)BgL_z52eot1058z52_4907),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_z52wtickz52)=((uint32_t)BgL_z52wtick1059z52_4908),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_z52statusz52)=((long)BgL_z52status1060z52_4909),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_lenz00)=((int32_t)BgL_len1061z00_4910),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_tempoz00)=((long)BgL_tempo1062z00_4911),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_ipz00)=((obj_t)BgL_ip1063z00_3471),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_startz00)=((long)BgL_start1064z00_4912),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_datastartz00)=((long)BgL_datastart1065z00_4913),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_wtickz00)=((uint32_t)BgL_wtick1066z00_4914),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_statusz00)=((long)BgL_status1067z00_4915),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1179z00_4917))->BgL_eotz00)=((bool_t)BgL_eot1068z00_4916),BUNSPEC); 
{ /* Llib/midi.scm 24 */
 obj_t BgL_fun2183z00_4920;
BgL_fun2183z00_4920 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2183z00_4920)(BgL_fun2183z00_4920, 
((obj_t)BgL_new1179z00_4917), BEOA); } 
return BgL_new1179z00_4917;} } } 

}



/* &<@anonymous:2282> */
obj_t BGl_z62zc3z04anonymousza32282ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3477)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2281 */
obj_t BGl_z62lambda2281z62zz__multimediazd2midizd2(obj_t BgL_envz00_3478, obj_t BgL_oz00_3479, obj_t BgL_vz00_3480)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_vz00_4922;
BgL_vz00_4922 = 
CBOOL(BgL_vz00_3480); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3479)))->BgL_eotz00)=((bool_t)BgL_vz00_4922),BUNSPEC);} } 

}



/* &lambda2280 */
obj_t BGl_z62lambda2280z62zz__multimediazd2midizd2(obj_t BgL_envz00_3481, obj_t BgL_oz00_3482)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3482)))->BgL_eotz00));} 

}



/* &<@anonymous:2275> */
obj_t BGl_z62zc3z04anonymousza32275ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3483)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)-1));} 

}



/* &lambda2274 */
obj_t BGl_z62lambda2274z62zz__multimediazd2midizd2(obj_t BgL_envz00_3484, obj_t BgL_oz00_3485, obj_t BgL_vz00_3486)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4925;
BgL_vz00_4925 = 
(long)CINT(BgL_vz00_3486); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3485)))->BgL_statusz00)=((long)BgL_vz00_4925),BUNSPEC);} } 

}



/* &lambda2273 */
obj_t BGl_z62lambda2273z62zz__multimediazd2midizd2(obj_t BgL_envz00_3487, obj_t BgL_oz00_3488)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3488)))->BgL_statusz00));} 

}



/* &<@anonymous:2268> */
obj_t BGl_z62zc3z04anonymousza32268ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3489)
{
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 

}



/* &lambda2267 */
obj_t BGl_z62lambda2267z62zz__multimediazd2midizd2(obj_t BgL_envz00_3490, obj_t BgL_oz00_3491, obj_t BgL_vz00_3492)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_vz00_4928;
BgL_vz00_4928 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3492); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3491)))->BgL_wtickz00)=((uint32_t)BgL_vz00_4928),BUNSPEC);} } 

}



/* &lambda2266 */
obj_t BGl_z62lambda2266z62zz__multimediazd2midizd2(obj_t BgL_envz00_3493, obj_t BgL_oz00_3494)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_tmpz00_9056;
BgL_tmpz00_9056 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3494)))->BgL_wtickz00); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_9056);} } 

}



/* &<@anonymous:2261> */
obj_t BGl_z62zc3z04anonymousza32261ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3495)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2260 */
obj_t BGl_z62lambda2260z62zz__multimediazd2midizd2(obj_t BgL_envz00_3496, obj_t BgL_oz00_3497, obj_t BgL_vz00_3498)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4931;
BgL_vz00_4931 = 
(long)CINT(BgL_vz00_3498); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3497)))->BgL_datastartz00)=((long)BgL_vz00_4931),BUNSPEC);} } 

}



/* &lambda2259 */
obj_t BGl_z62lambda2259z62zz__multimediazd2midizd2(obj_t BgL_envz00_3499, obj_t BgL_oz00_3500)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3500)))->BgL_datastartz00));} 

}



/* &<@anonymous:2254> */
obj_t BGl_z62zc3z04anonymousza32254ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3501)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2253 */
obj_t BGl_z62lambda2253z62zz__multimediazd2midizd2(obj_t BgL_envz00_3502, obj_t BgL_oz00_3503, obj_t BgL_vz00_3504)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4934;
BgL_vz00_4934 = 
(long)CINT(BgL_vz00_3504); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3503)))->BgL_startz00)=((long)BgL_vz00_4934),BUNSPEC);} } 

}



/* &lambda2252 */
obj_t BGl_z62lambda2252z62zz__multimediazd2midizd2(obj_t BgL_envz00_3505, obj_t BgL_oz00_3506)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3506)))->BgL_startz00));} 

}



/* &<@anonymous:2247> */
obj_t BGl_z62zc3z04anonymousza32247ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3507)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2246 */
obj_t BGl_z62lambda2246z62zz__multimediazd2midizd2(obj_t BgL_envz00_3508, obj_t BgL_oz00_3509, obj_t BgL_vz00_3510)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3509)))->BgL_ipz00)=((obj_t)BgL_vz00_3510),BUNSPEC);} 

}



/* &lambda2245 */
obj_t BGl_z62lambda2245z62zz__multimediazd2midizd2(obj_t BgL_envz00_3511, obj_t BgL_oz00_3512)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3512)))->BgL_ipz00);} 

}



/* &<@anonymous:2240> */
obj_t BGl_z62zc3z04anonymousza32240ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3513)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)500000));} 

}



/* &lambda2239 */
obj_t BGl_z62lambda2239z62zz__multimediazd2midizd2(obj_t BgL_envz00_3514, obj_t BgL_oz00_3515, obj_t BgL_vz00_3516)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4939;
BgL_vz00_4939 = 
(long)CINT(BgL_vz00_3516); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3515)))->BgL_tempoz00)=((long)BgL_vz00_4939),BUNSPEC);} } 

}



/* &lambda2238 */
obj_t BGl_z62lambda2238z62zz__multimediazd2midizd2(obj_t BgL_envz00_3517, obj_t BgL_oz00_3518)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3518)))->BgL_tempoz00));} 

}



/* &<@anonymous:2233> */
obj_t BGl_z62zc3z04anonymousza32233ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3519)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2232 */
obj_t BGl_z62lambda2232z62zz__multimediazd2midizd2(obj_t BgL_envz00_3520, obj_t BgL_oz00_3521, obj_t BgL_vz00_3522)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 int32_t BgL_vz00_4942;
BgL_vz00_4942 = 
BGL_BINT32_TO_INT32(BgL_vz00_3522); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3521)))->BgL_lenz00)=((int32_t)BgL_vz00_4942),BUNSPEC);} } 

}



/* &lambda2231 */
obj_t BGl_z62lambda2231z62zz__multimediazd2midizd2(obj_t BgL_envz00_3523, obj_t BgL_oz00_3524)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 int32_t BgL_tmpz00_9090;
BgL_tmpz00_9090 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3524)))->BgL_lenz00); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_9090);} } 

}



/* &<@anonymous:2226> */
obj_t BGl_z62zc3z04anonymousza32226ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3525)
{
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 

}



/* &lambda2225 */
obj_t BGl_z62lambda2225z62zz__multimediazd2midizd2(obj_t BgL_envz00_3526, obj_t BgL_oz00_3527, obj_t BgL_vz00_3528)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 long BgL_vz00_4945;
BgL_vz00_4945 = 
(long)CINT(BgL_vz00_3528); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3527)))->BgL_z52statusz52)=((long)BgL_vz00_4945),BUNSPEC);} } 

}



/* &lambda2224 */
obj_t BGl_z62lambda2224z62zz__multimediazd2midizd2(obj_t BgL_envz00_3529, obj_t BgL_oz00_3530)
{
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3530)))->BgL_z52statusz52));} 

}



/* &<@anonymous:2219> */
obj_t BGl_z62zc3z04anonymousza32219ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3531)
{
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 

}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__multimediazd2midizd2(obj_t BgL_envz00_3532, obj_t BgL_oz00_3533, obj_t BgL_vz00_3534)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_vz00_4948;
BgL_vz00_4948 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3534); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3533)))->BgL_z52wtickz52)=((uint32_t)BgL_vz00_4948),BUNSPEC);} } 

}



/* &lambda2217 */
obj_t BGl_z62lambda2217z62zz__multimediazd2midizd2(obj_t BgL_envz00_3535, obj_t BgL_oz00_3536)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 uint32_t BgL_tmpz00_9105;
BgL_tmpz00_9105 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3536)))->BgL_z52wtickz52); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_9105);} } 

}



/* &<@anonymous:2212> */
obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3537)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2211 */
obj_t BGl_z62lambda2211z62zz__multimediazd2midizd2(obj_t BgL_envz00_3538, obj_t BgL_oz00_3539, obj_t BgL_vz00_3540)
{
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
 bool_t BgL_vz00_4951;
BgL_vz00_4951 = 
CBOOL(BgL_vz00_3540); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3539)))->BgL_z52eotz52)=((bool_t)BgL_vz00_4951),BUNSPEC);} } 

}



/* &lambda2210 */
obj_t BGl_z62lambda2210z62zz__multimediazd2midizd2(obj_t BgL_envz00_3541, obj_t BgL_oz00_3542)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3542)))->BgL_z52eotz52));} 

}



/* &lambda2205 */
obj_t BGl_z62lambda2205z62zz__multimediazd2midizd2(obj_t BgL_envz00_3543, obj_t BgL_oz00_3544, obj_t BgL_vz00_3545)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3544)))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_vz00_3545)),BUNSPEC);} 

}



/* &lambda2204 */
obj_t BGl_z62lambda2204z62zz__multimediazd2midizd2(obj_t BgL_envz00_3546, obj_t BgL_oz00_3547)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3547)))->BgL_z52closez52);} 

}



/* &lambda2200 */
obj_t BGl_z62lambda2200z62zz__multimediazd2midizd2(obj_t BgL_envz00_3548, obj_t BgL_oz00_3549, obj_t BgL_vz00_3550)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3549)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_vz00_3550)),BUNSPEC);} 

}



/* &lambda2199 */
BgL_midireaderz00_bglt BGl_z62lambda2199z62zz__multimediazd2midizd2(obj_t BgL_envz00_3551, obj_t BgL_oz00_3552)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3552)))->BgL_z52readerz52);} 

}



/* &<@anonymous:2194> */
obj_t BGl_z62zc3z04anonymousza32194ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3553)
{
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2193 */
obj_t BGl_z62lambda2193z62zz__multimediazd2midizd2(obj_t BgL_envz00_3554, obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
{
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3555)))->BgL_z52streamz52)=((obj_t)BgL_vz00_3556),BUNSPEC);} 

}



/* &lambda2192 */
obj_t BGl_z62lambda2192z62zz__multimediazd2midizd2(obj_t BgL_envz00_3557, obj_t BgL_oz00_3558)
{
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3558)))->BgL_z52streamz52);} 

}



/* &<@anonymous:2150> */
obj_t BGl_z62zc3z04anonymousza32150ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3559, obj_t BgL_new1053z00_3560)
{
{ /* Llib/midi.scm 17 */
{ 
 BgL_midiscorez00_bglt BgL_auxz00_9131;
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3560)))->BgL_formatz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3560)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3560)))->BgL_ppqz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1053z00_3560)))->BgL_tracksz00)=((obj_t)
CNST_TABLE_REF(((long)75))),BUNSPEC); 
BgL_auxz00_9131 = 
((BgL_midiscorez00_bglt)BgL_new1053z00_3560); 
return 
((obj_t)BgL_auxz00_9131);} } 

}



/* &lambda2148 */
BgL_midiscorez00_bglt BGl_z62lambda2148z62zz__multimediazd2midizd2(obj_t BgL_envz00_3561)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1052z00_4962;
BgL_new1052z00_4962 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
 long BgL_arg2149z00_4963;
BgL_arg2149z00_4963 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_4962), BgL_arg2149z00_4963); } 
return BgL_new1052z00_4962;} } 

}



/* &lambda2145 */
BgL_midiscorez00_bglt BGl_z62lambda2145z62zz__multimediazd2midizd2(obj_t BgL_envz00_3562, obj_t BgL_format1048z00_3563, obj_t BgL_tempo1049z00_3564, obj_t BgL_ppq1050z00_3565, obj_t BgL_tracks1051z00_3566)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_format1048z00_4964; long BgL_tempo1049z00_4965; long BgL_ppq1050z00_4966;
BgL_format1048z00_4964 = 
(long)CINT(BgL_format1048z00_3563); 
BgL_tempo1049z00_4965 = 
(long)CINT(BgL_tempo1049z00_3564); 
BgL_ppq1050z00_4966 = 
(long)CINT(BgL_ppq1050z00_3565); 
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1177z00_4968;
{ /* Llib/midi.scm 17 */
 BgL_midiscorez00_bglt BgL_new1176z00_4969;
BgL_new1176z00_4969 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
 long BgL_arg2147z00_4970;
BgL_arg2147z00_4970 = 
BGL_CLASS_NUM(BGl_midiscorez00zz__multimediazd2midizd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_4969), BgL_arg2147z00_4970); } 
BgL_new1177z00_4968 = BgL_new1176z00_4969; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1177z00_4968))->BgL_formatz00)=((long)BgL_format1048z00_4964),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1177z00_4968))->BgL_tempoz00)=((long)BgL_tempo1049z00_4965),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1177z00_4968))->BgL_ppqz00)=((long)BgL_ppq1050z00_4966),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1177z00_4968))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_tracks1051z00_3566)),BUNSPEC); 
{ /* Llib/midi.scm 17 */
 obj_t BgL_fun2146z00_4971;
BgL_fun2146z00_4971 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2146z00_4971)(BgL_fun2146z00_4971, 
((obj_t)BgL_new1177z00_4968), BEOA); } 
return BgL_new1177z00_4968;} } } 

}



/* &<@anonymous:2176> */
obj_t BGl_z62zc3z04anonymousza32176ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3567)
{
{ /* Llib/midi.scm 17 */
return 
CNST_TABLE_REF(((long)75));} 

}



/* &lambda2175 */
obj_t BGl_z62lambda2175z62zz__multimediazd2midizd2(obj_t BgL_envz00_3568, obj_t BgL_oz00_3569, obj_t BgL_vz00_3570)
{
{ /* Llib/midi.scm 17 */
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3569)))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_vz00_3570)),BUNSPEC);} 

}



/* &lambda2174 */
obj_t BGl_z62lambda2174z62zz__multimediazd2midizd2(obj_t BgL_envz00_3571, obj_t BgL_oz00_3572)
{
{ /* Llib/midi.scm 17 */
return 
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3572)))->BgL_tracksz00);} 

}



/* &<@anonymous:2169> */
obj_t BGl_z62zc3z04anonymousza32169ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3573)
{
{ /* Llib/midi.scm 17 */
return 
BINT(((long)96));} 

}



/* &lambda2168 */
obj_t BGl_z62lambda2168z62zz__multimediazd2midizd2(obj_t BgL_envz00_3574, obj_t BgL_oz00_3575, obj_t BgL_vz00_3576)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4976;
BgL_vz00_4976 = 
(long)CINT(BgL_vz00_3576); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3575)))->BgL_ppqz00)=((long)BgL_vz00_4976),BUNSPEC);} } 

}



/* &lambda2167 */
obj_t BGl_z62lambda2167z62zz__multimediazd2midizd2(obj_t BgL_envz00_3577, obj_t BgL_oz00_3578)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3578)))->BgL_ppqz00));} 

}



/* &<@anonymous:2162> */
obj_t BGl_z62zc3z04anonymousza32162ze3ze5zz__multimediazd2midizd2(obj_t BgL_envz00_3579)
{
{ /* Llib/midi.scm 17 */
return 
BINT(((long)500000));} 

}



/* &lambda2161 */
obj_t BGl_z62lambda2161z62zz__multimediazd2midizd2(obj_t BgL_envz00_3580, obj_t BgL_oz00_3581, obj_t BgL_vz00_3582)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4979;
BgL_vz00_4979 = 
(long)CINT(BgL_vz00_3582); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3581)))->BgL_tempoz00)=((long)BgL_vz00_4979),BUNSPEC);} } 

}



/* &lambda2160 */
obj_t BGl_z62lambda2160z62zz__multimediazd2midizd2(obj_t BgL_envz00_3583, obj_t BgL_oz00_3584)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3584)))->BgL_tempoz00));} 

}



/* &lambda2155 */
obj_t BGl_z62lambda2155z62zz__multimediazd2midizd2(obj_t BgL_envz00_3585, obj_t BgL_oz00_3586, obj_t BgL_vz00_3587)
{
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
 long BgL_vz00_4982;
BgL_vz00_4982 = 
(long)CINT(BgL_vz00_3587); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3586)))->BgL_formatz00)=((long)BgL_vz00_4982),BUNSPEC);} } 

}



/* &lambda2154 */
obj_t BGl_z62lambda2154z62zz__multimediazd2midizd2(obj_t BgL_envz00_3588, obj_t BgL_oz00_3589)
{
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3589)))->BgL_formatz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3045z00zz__multimediazd2midizd2, BGl_midiscorez00zz__multimediazd2midizd2, BGl_string3046z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3047z00zz__multimediazd2midizd2, BGl_miditrackz00zz__multimediazd2midizd2, BGl_string3048z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3049z00zz__multimediazd2midizd2, BGl_midireaderz00zz__multimediazd2midizd2, BGl_string3050z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3051z00zz__multimediazd2midizd2, BGl_midiplayerz00zz__multimediazd2midizd2, BGl_string3052z00zz__multimediazd2midizd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3053z00zz__multimediazd2midizd2, BGl_midisinkz00zz__multimediazd2midizd2, BGl_string3054z00zz__multimediazd2midizd2);} 

}



/* &midisink-init1238 */
obj_t BGl_z62midisinkzd2init1238zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3605, obj_t BgL_msinkz00_3606)
{
{ /* Llib/midi.scm 987 */
return 
((obj_t)
((BgL_midisinkz00_bglt)BgL_msinkz00_3606));} 

}



/* &midiplayer-init1236 */
obj_t BGl_z62midiplayerzd2init1236zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3607, obj_t BgL_mplayerz00_3608)
{
{ /* Llib/midi.scm 981 */
return 
((obj_t)
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3608));} 

}



/* &midireader-init1234 */
obj_t BGl_z62midireaderzd2init1234zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3609, obj_t BgL_mreaderz00_3610)
{
{ /* Llib/midi.scm 975 */
return 
((obj_t)
((BgL_midireaderz00_bglt)BgL_mreaderz00_3610));} 

}



/* &miditrack-init1232 */
obj_t BGl_z62miditrackzd2init1232zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3611, obj_t BgL_mtrackz00_3612)
{
{ /* Llib/midi.scm 969 */
return 
((obj_t)
((BgL_miditrackz00_bglt)BgL_mtrackz00_3612));} 

}



/* &midiscore-init1230 */
obj_t BGl_z62midiscorezd2init1230zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3613, obj_t BgL_mscorez00_3614)
{
{ /* Llib/midi.scm 963 */
return 
((obj_t)
((BgL_midiscorez00_bglt)BgL_mscorez00_3614));} 

}



/* midiscore-init */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_63)
{
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
 obj_t BgL_method1231z00_1858;
{ /* Llib/midi.scm 963 */
 obj_t BgL_res2596z00_2599;
{ /* Llib/midi.scm 963 */
 long BgL_objzd2classzd2numz00_2570;
BgL_objzd2classzd2numz00_2570 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mscorez00_63)); 
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1793z00_2571;
BgL_arg1793z00_2571 = 
PROCEDURE_REF(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 963 */
 int BgL_offsetz00_2574;
BgL_offsetz00_2574 = 
(int)(BgL_objzd2classzd2numz00_2570); 
{ /* Llib/midi.scm 963 */
 long BgL_offsetz00_2575;
BgL_offsetz00_2575 = 
(
(long)(BgL_offsetz00_2574)-OBJECT_TYPE); 
{ /* Llib/midi.scm 963 */
 long BgL_modz00_2576;
BgL_modz00_2576 = 
(BgL_offsetz00_2575 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 963 */
 long BgL_restz00_2578;
BgL_restz00_2578 = 
(BgL_offsetz00_2575 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 963 */

{ /* Llib/midi.scm 963 */
 obj_t BgL_bucketz00_2580;
BgL_bucketz00_2580 = 
VECTOR_REF(
((obj_t)BgL_arg1793z00_2571),BgL_modz00_2576); 
BgL_res2596z00_2599 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2580),BgL_restz00_2578); } } } } } } } } 
BgL_method1231z00_1858 = BgL_res2596z00_2599; } 
return 
PROCEDURE_ENTRY(BgL_method1231z00_1858)(BgL_method1231z00_1858, 
((obj_t)BgL_mscorez00_63), BEOA);} } 

}



/* &midiscore-init */
obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3590, obj_t BgL_mscorez00_3591)
{
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
 BgL_midiscorez00_bglt BgL_auxz00_9236;
{ /* Llib/midi.scm 963 */
 bool_t BgL_test3577z00_9237;
{ /* Llib/midi.scm 963 */
 obj_t BgL_classz00_4989;
BgL_classz00_4989 = BGl_midiscorez00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mscorez00_3591))
{ /* Llib/midi.scm 963 */
 BgL_objectz00_bglt BgL_arg1791z00_4991; long BgL_arg1792z00_4992;
BgL_arg1791z00_4991 = 
(BgL_objectz00_bglt)(BgL_mscorez00_3591); 
BgL_arg1792z00_4992 = 
BGL_CLASS_DEPTH(BgL_classz00_4989); 
{ /* Llib/midi.scm 963 */
 bool_t BgL_arg1786z00_4996; bool_t BgL_arg1787z00_4997;
{ /* Llib/midi.scm 963 */
 long BgL_idxz00_5001;
BgL_idxz00_5001 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_4991); 
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1783z00_5002;
{ /* Llib/midi.scm 963 */
 long BgL_arg1784z00_5003;
BgL_arg1784z00_5003 = 
(BgL_idxz00_5001+BgL_arg1792z00_4992); 
BgL_arg1783z00_5002 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_5003); } 
BgL_arg1786z00_4996 = 
(BgL_arg1783z00_5002==BgL_classz00_4989); } } 
{ /* Llib/midi.scm 963 */
 bool_t BgL_res3085z00_5026;
{ /* Llib/midi.scm 963 */
 obj_t BgL_oclassz00_5011;
{ /* Llib/midi.scm 963 */
 long BgL_arg1796z00_5017;
{ /* Llib/midi.scm 963 */
 long BgL_arg1797z00_5018;
BgL_arg1797z00_5018 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_4991); 
BgL_arg1796z00_5017 = 
(BgL_arg1797z00_5018-OBJECT_TYPE); } 
BgL_oclassz00_5011 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_5017); } 
{ /* Llib/midi.scm 963 */
 bool_t BgL__ortest_1111z00_5012;
BgL__ortest_1111z00_5012 = 
(BgL_classz00_4989==BgL_oclassz00_5011); 
if(BgL__ortest_1111z00_5012)
{ /* Llib/midi.scm 963 */
BgL_res3085z00_5026 = BgL__ortest_1111z00_5012; }  else 
{ /* Llib/midi.scm 963 */
 long BgL_odepthz00_5013;
BgL_odepthz00_5013 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5011); 
if(
(BgL_arg1792z00_4992<BgL_odepthz00_5013))
{ /* Llib/midi.scm 963 */
 obj_t BgL_arg1785z00_5015;
BgL_arg1785z00_5015 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5011, BgL_arg1792z00_4992); 
BgL_res3085z00_5026 = 
(BgL_arg1785z00_5015==BgL_classz00_4989); }  else 
{ /* Llib/midi.scm 963 */
BgL_res3085z00_5026 = ((bool_t)0); } } } } 
BgL_arg1787z00_4997 = BgL_res3085z00_5026; } 
BgL_test3577z00_9237 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_4996, BgL_arg1787z00_4997); } }  else 
{ /* Llib/midi.scm 963 */
BgL_test3577z00_9237 = ((bool_t)0)
; } } 
if(BgL_test3577z00_9237)
{ /* Llib/midi.scm 963 */
BgL_auxz00_9236 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_3591)
; }  else 
{ 
 obj_t BgL_auxz00_9258;
BgL_auxz00_9258 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)36209)), BGl_string3055z00zz__multimediazd2midizd2, BGl_string2823z00zz__multimediazd2midizd2, BgL_mscorez00_3591); 
FAILURE(BgL_auxz00_9258,BFALSE,BFALSE);} } 
return 
BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9236);} } 

}



/* miditrack-init */
BGL_EXPORTED_DEF obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_mtrackz00_64)
{
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
 obj_t BgL_method1233z00_1859;
{ /* Llib/midi.scm 969 */
 obj_t BgL_res2601z00_2630;
{ /* Llib/midi.scm 969 */
 long BgL_objzd2classzd2numz00_2601;
BgL_objzd2classzd2numz00_2601 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mtrackz00_64)); 
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1793z00_2602;
BgL_arg1793z00_2602 = 
PROCEDURE_REF(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 969 */
 int BgL_offsetz00_2605;
BgL_offsetz00_2605 = 
(int)(BgL_objzd2classzd2numz00_2601); 
{ /* Llib/midi.scm 969 */
 long BgL_offsetz00_2606;
BgL_offsetz00_2606 = 
(
(long)(BgL_offsetz00_2605)-OBJECT_TYPE); 
{ /* Llib/midi.scm 969 */
 long BgL_modz00_2607;
BgL_modz00_2607 = 
(BgL_offsetz00_2606 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 969 */
 long BgL_restz00_2609;
BgL_restz00_2609 = 
(BgL_offsetz00_2606 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 969 */

{ /* Llib/midi.scm 969 */
 obj_t BgL_bucketz00_2611;
BgL_bucketz00_2611 = 
VECTOR_REF(
((obj_t)BgL_arg1793z00_2602),BgL_modz00_2607); 
BgL_res2601z00_2630 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2611),BgL_restz00_2609); } } } } } } } } 
BgL_method1233z00_1859 = BgL_res2601z00_2630; } 
return 
PROCEDURE_ENTRY(BgL_method1233z00_1859)(BgL_method1233z00_1859, 
((obj_t)BgL_mtrackz00_64), BEOA);} } 

}



/* &miditrack-init */
obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3592, obj_t BgL_mtrackz00_3593)
{
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
 BgL_miditrackz00_bglt BgL_auxz00_9293;
{ /* Llib/midi.scm 969 */
 bool_t BgL_test3581z00_9294;
{ /* Llib/midi.scm 969 */
 obj_t BgL_classz00_5027;
BgL_classz00_5027 = BGl_miditrackz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mtrackz00_3593))
{ /* Llib/midi.scm 969 */
 BgL_objectz00_bglt BgL_arg1791z00_5029; long BgL_arg1792z00_5030;
BgL_arg1791z00_5029 = 
(BgL_objectz00_bglt)(BgL_mtrackz00_3593); 
BgL_arg1792z00_5030 = 
BGL_CLASS_DEPTH(BgL_classz00_5027); 
{ /* Llib/midi.scm 969 */
 bool_t BgL_arg1786z00_5034; bool_t BgL_arg1787z00_5035;
{ /* Llib/midi.scm 969 */
 long BgL_idxz00_5039;
BgL_idxz00_5039 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_5029); 
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1783z00_5040;
{ /* Llib/midi.scm 969 */
 long BgL_arg1784z00_5041;
BgL_arg1784z00_5041 = 
(BgL_idxz00_5039+BgL_arg1792z00_5030); 
BgL_arg1783z00_5040 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_5041); } 
BgL_arg1786z00_5034 = 
(BgL_arg1783z00_5040==BgL_classz00_5027); } } 
{ /* Llib/midi.scm 969 */
 bool_t BgL_res3086z00_5064;
{ /* Llib/midi.scm 969 */
 obj_t BgL_oclassz00_5049;
{ /* Llib/midi.scm 969 */
 long BgL_arg1796z00_5055;
{ /* Llib/midi.scm 969 */
 long BgL_arg1797z00_5056;
BgL_arg1797z00_5056 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_5029); 
BgL_arg1796z00_5055 = 
(BgL_arg1797z00_5056-OBJECT_TYPE); } 
BgL_oclassz00_5049 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_5055); } 
{ /* Llib/midi.scm 969 */
 bool_t BgL__ortest_1111z00_5050;
BgL__ortest_1111z00_5050 = 
(BgL_classz00_5027==BgL_oclassz00_5049); 
if(BgL__ortest_1111z00_5050)
{ /* Llib/midi.scm 969 */
BgL_res3086z00_5064 = BgL__ortest_1111z00_5050; }  else 
{ /* Llib/midi.scm 969 */
 long BgL_odepthz00_5051;
BgL_odepthz00_5051 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5049); 
if(
(BgL_arg1792z00_5030<BgL_odepthz00_5051))
{ /* Llib/midi.scm 969 */
 obj_t BgL_arg1785z00_5053;
BgL_arg1785z00_5053 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5049, BgL_arg1792z00_5030); 
BgL_res3086z00_5064 = 
(BgL_arg1785z00_5053==BgL_classz00_5027); }  else 
{ /* Llib/midi.scm 969 */
BgL_res3086z00_5064 = ((bool_t)0); } } } } 
BgL_arg1787z00_5035 = BgL_res3086z00_5064; } 
BgL_test3581z00_9294 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_5034, BgL_arg1787z00_5035); } }  else 
{ /* Llib/midi.scm 969 */
BgL_test3581z00_9294 = ((bool_t)0)
; } } 
if(BgL_test3581z00_9294)
{ /* Llib/midi.scm 969 */
BgL_auxz00_9293 = 
((BgL_miditrackz00_bglt)BgL_mtrackz00_3593)
; }  else 
{ 
 obj_t BgL_auxz00_9315;
BgL_auxz00_9315 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)36494)), BGl_string3056z00zz__multimediazd2midizd2, BGl_string2845z00zz__multimediazd2midizd2, BgL_mtrackz00_3593); 
FAILURE(BgL_auxz00_9315,BFALSE,BFALSE);} } 
return 
BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9293);} } 

}



/* midireader-init */
BGL_EXPORTED_DEF obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt BgL_mreaderz00_65)
{
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
 obj_t BgL_method1235z00_1860;
{ /* Llib/midi.scm 975 */
 obj_t BgL_res2606z00_2661;
{ /* Llib/midi.scm 975 */
 long BgL_objzd2classzd2numz00_2632;
BgL_objzd2classzd2numz00_2632 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mreaderz00_65)); 
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1793z00_2633;
BgL_arg1793z00_2633 = 
PROCEDURE_REF(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 975 */
 int BgL_offsetz00_2636;
BgL_offsetz00_2636 = 
(int)(BgL_objzd2classzd2numz00_2632); 
{ /* Llib/midi.scm 975 */
 long BgL_offsetz00_2637;
BgL_offsetz00_2637 = 
(
(long)(BgL_offsetz00_2636)-OBJECT_TYPE); 
{ /* Llib/midi.scm 975 */
 long BgL_modz00_2638;
BgL_modz00_2638 = 
(BgL_offsetz00_2637 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 975 */
 long BgL_restz00_2640;
BgL_restz00_2640 = 
(BgL_offsetz00_2637 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 975 */

{ /* Llib/midi.scm 975 */
 obj_t BgL_bucketz00_2642;
BgL_bucketz00_2642 = 
VECTOR_REF(
((obj_t)BgL_arg1793z00_2633),BgL_modz00_2638); 
BgL_res2606z00_2661 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2642),BgL_restz00_2640); } } } } } } } } 
BgL_method1235z00_1860 = BgL_res2606z00_2661; } 
return 
PROCEDURE_ENTRY(BgL_method1235z00_1860)(BgL_method1235z00_1860, 
((obj_t)BgL_mreaderz00_65), BEOA);} } 

}



/* &midireader-init */
obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3594, obj_t BgL_mreaderz00_3595)
{
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
 BgL_midireaderz00_bglt BgL_auxz00_9350;
{ /* Llib/midi.scm 975 */
 bool_t BgL_test3585z00_9351;
{ /* Llib/midi.scm 975 */
 obj_t BgL_classz00_5065;
BgL_classz00_5065 = BGl_midireaderz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mreaderz00_3595))
{ /* Llib/midi.scm 975 */
 BgL_objectz00_bglt BgL_arg1791z00_5067; long BgL_arg1792z00_5068;
BgL_arg1791z00_5067 = 
(BgL_objectz00_bglt)(BgL_mreaderz00_3595); 
BgL_arg1792z00_5068 = 
BGL_CLASS_DEPTH(BgL_classz00_5065); 
{ /* Llib/midi.scm 975 */
 bool_t BgL_arg1786z00_5072; bool_t BgL_arg1787z00_5073;
{ /* Llib/midi.scm 975 */
 long BgL_idxz00_5077;
BgL_idxz00_5077 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_5067); 
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1783z00_5078;
{ /* Llib/midi.scm 975 */
 long BgL_arg1784z00_5079;
BgL_arg1784z00_5079 = 
(BgL_idxz00_5077+BgL_arg1792z00_5068); 
BgL_arg1783z00_5078 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_5079); } 
BgL_arg1786z00_5072 = 
(BgL_arg1783z00_5078==BgL_classz00_5065); } } 
{ /* Llib/midi.scm 975 */
 bool_t BgL_res3087z00_5102;
{ /* Llib/midi.scm 975 */
 obj_t BgL_oclassz00_5087;
{ /* Llib/midi.scm 975 */
 long BgL_arg1796z00_5093;
{ /* Llib/midi.scm 975 */
 long BgL_arg1797z00_5094;
BgL_arg1797z00_5094 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_5067); 
BgL_arg1796z00_5093 = 
(BgL_arg1797z00_5094-OBJECT_TYPE); } 
BgL_oclassz00_5087 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_5093); } 
{ /* Llib/midi.scm 975 */
 bool_t BgL__ortest_1111z00_5088;
BgL__ortest_1111z00_5088 = 
(BgL_classz00_5065==BgL_oclassz00_5087); 
if(BgL__ortest_1111z00_5088)
{ /* Llib/midi.scm 975 */
BgL_res3087z00_5102 = BgL__ortest_1111z00_5088; }  else 
{ /* Llib/midi.scm 975 */
 long BgL_odepthz00_5089;
BgL_odepthz00_5089 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5087); 
if(
(BgL_arg1792z00_5068<BgL_odepthz00_5089))
{ /* Llib/midi.scm 975 */
 obj_t BgL_arg1785z00_5091;
BgL_arg1785z00_5091 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5087, BgL_arg1792z00_5068); 
BgL_res3087z00_5102 = 
(BgL_arg1785z00_5091==BgL_classz00_5065); }  else 
{ /* Llib/midi.scm 975 */
BgL_res3087z00_5102 = ((bool_t)0); } } } } 
BgL_arg1787z00_5073 = BgL_res3087z00_5102; } 
BgL_test3585z00_9351 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_5072, BgL_arg1787z00_5073); } }  else 
{ /* Llib/midi.scm 975 */
BgL_test3585z00_9351 = ((bool_t)0)
; } } 
if(BgL_test3585z00_9351)
{ /* Llib/midi.scm 975 */
BgL_auxz00_9350 = 
((BgL_midireaderz00_bglt)BgL_mreaderz00_3595)
; }  else 
{ 
 obj_t BgL_auxz00_9372;
BgL_auxz00_9372 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)36779)), BGl_string3057z00zz__multimediazd2midizd2, BGl_string3058z00zz__multimediazd2midizd2, BgL_mreaderz00_3595); 
FAILURE(BgL_auxz00_9372,BFALSE,BFALSE);} } 
return 
BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9350);} } 

}



/* midiplayer-init */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mplayerz00_66)
{
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
 obj_t BgL_method1237z00_1861;
{ /* Llib/midi.scm 981 */
 obj_t BgL_res2611z00_2692;
{ /* Llib/midi.scm 981 */
 long BgL_objzd2classzd2numz00_2663;
BgL_objzd2classzd2numz00_2663 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mplayerz00_66)); 
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1793z00_2664;
BgL_arg1793z00_2664 = 
PROCEDURE_REF(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 981 */
 int BgL_offsetz00_2667;
BgL_offsetz00_2667 = 
(int)(BgL_objzd2classzd2numz00_2663); 
{ /* Llib/midi.scm 981 */
 long BgL_offsetz00_2668;
BgL_offsetz00_2668 = 
(
(long)(BgL_offsetz00_2667)-OBJECT_TYPE); 
{ /* Llib/midi.scm 981 */
 long BgL_modz00_2669;
BgL_modz00_2669 = 
(BgL_offsetz00_2668 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 981 */
 long BgL_restz00_2671;
BgL_restz00_2671 = 
(BgL_offsetz00_2668 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 981 */

{ /* Llib/midi.scm 981 */
 obj_t BgL_bucketz00_2673;
BgL_bucketz00_2673 = 
VECTOR_REF(
((obj_t)BgL_arg1793z00_2664),BgL_modz00_2669); 
BgL_res2611z00_2692 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2673),BgL_restz00_2671); } } } } } } } } 
BgL_method1237z00_1861 = BgL_res2611z00_2692; } 
return 
PROCEDURE_ENTRY(BgL_method1237z00_1861)(BgL_method1237z00_1861, 
((obj_t)BgL_mplayerz00_66), BEOA);} } 

}



/* &midiplayer-init */
obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3596, obj_t BgL_mplayerz00_3597)
{
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
 BgL_midiplayerz00_bglt BgL_auxz00_9407;
{ /* Llib/midi.scm 981 */
 bool_t BgL_test3589z00_9408;
{ /* Llib/midi.scm 981 */
 obj_t BgL_classz00_5103;
BgL_classz00_5103 = BGl_midiplayerz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_mplayerz00_3597))
{ /* Llib/midi.scm 981 */
 BgL_objectz00_bglt BgL_arg1791z00_5105; long BgL_arg1792z00_5106;
BgL_arg1791z00_5105 = 
(BgL_objectz00_bglt)(BgL_mplayerz00_3597); 
BgL_arg1792z00_5106 = 
BGL_CLASS_DEPTH(BgL_classz00_5103); 
{ /* Llib/midi.scm 981 */
 bool_t BgL_arg1786z00_5110; bool_t BgL_arg1787z00_5111;
{ /* Llib/midi.scm 981 */
 long BgL_idxz00_5115;
BgL_idxz00_5115 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_5105); 
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1783z00_5116;
{ /* Llib/midi.scm 981 */
 long BgL_arg1784z00_5117;
BgL_arg1784z00_5117 = 
(BgL_idxz00_5115+BgL_arg1792z00_5106); 
BgL_arg1783z00_5116 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_5117); } 
BgL_arg1786z00_5110 = 
(BgL_arg1783z00_5116==BgL_classz00_5103); } } 
{ /* Llib/midi.scm 981 */
 bool_t BgL_res3088z00_5140;
{ /* Llib/midi.scm 981 */
 obj_t BgL_oclassz00_5125;
{ /* Llib/midi.scm 981 */
 long BgL_arg1796z00_5131;
{ /* Llib/midi.scm 981 */
 long BgL_arg1797z00_5132;
BgL_arg1797z00_5132 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_5105); 
BgL_arg1796z00_5131 = 
(BgL_arg1797z00_5132-OBJECT_TYPE); } 
BgL_oclassz00_5125 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_5131); } 
{ /* Llib/midi.scm 981 */
 bool_t BgL__ortest_1111z00_5126;
BgL__ortest_1111z00_5126 = 
(BgL_classz00_5103==BgL_oclassz00_5125); 
if(BgL__ortest_1111z00_5126)
{ /* Llib/midi.scm 981 */
BgL_res3088z00_5140 = BgL__ortest_1111z00_5126; }  else 
{ /* Llib/midi.scm 981 */
 long BgL_odepthz00_5127;
BgL_odepthz00_5127 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5125); 
if(
(BgL_arg1792z00_5106<BgL_odepthz00_5127))
{ /* Llib/midi.scm 981 */
 obj_t BgL_arg1785z00_5129;
BgL_arg1785z00_5129 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5125, BgL_arg1792z00_5106); 
BgL_res3088z00_5140 = 
(BgL_arg1785z00_5129==BgL_classz00_5103); }  else 
{ /* Llib/midi.scm 981 */
BgL_res3088z00_5140 = ((bool_t)0); } } } } 
BgL_arg1787z00_5111 = BgL_res3088z00_5140; } 
BgL_test3589z00_9408 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_5110, BgL_arg1787z00_5111); } }  else 
{ /* Llib/midi.scm 981 */
BgL_test3589z00_9408 = ((bool_t)0)
; } } 
if(BgL_test3589z00_9408)
{ /* Llib/midi.scm 981 */
BgL_auxz00_9407 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3597)
; }  else 
{ 
 obj_t BgL_auxz00_9429;
BgL_auxz00_9429 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37068)), BGl_string3059z00zz__multimediazd2midizd2, BGl_string2824z00zz__multimediazd2midizd2, BgL_mplayerz00_3597); 
FAILURE(BgL_auxz00_9429,BFALSE,BFALSE);} } 
return 
BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9407);} } 

}



/* midisink-init */
BGL_EXPORTED_DEF obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt BgL_msinkz00_67)
{
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
 obj_t BgL_method1239z00_1862;
{ /* Llib/midi.scm 987 */
 obj_t BgL_res2616z00_2723;
{ /* Llib/midi.scm 987 */
 long BgL_objzd2classzd2numz00_2694;
BgL_objzd2classzd2numz00_2694 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_msinkz00_67)); 
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1793z00_2695;
BgL_arg1793z00_2695 = 
PROCEDURE_REF(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 987 */
 int BgL_offsetz00_2698;
BgL_offsetz00_2698 = 
(int)(BgL_objzd2classzd2numz00_2694); 
{ /* Llib/midi.scm 987 */
 long BgL_offsetz00_2699;
BgL_offsetz00_2699 = 
(
(long)(BgL_offsetz00_2698)-OBJECT_TYPE); 
{ /* Llib/midi.scm 987 */
 long BgL_modz00_2700;
BgL_modz00_2700 = 
(BgL_offsetz00_2699 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/midi.scm 987 */
 long BgL_restz00_2702;
BgL_restz00_2702 = 
(BgL_offsetz00_2699 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/midi.scm 987 */

{ /* Llib/midi.scm 987 */
 obj_t BgL_bucketz00_2704;
BgL_bucketz00_2704 = 
VECTOR_REF(
((obj_t)BgL_arg1793z00_2695),BgL_modz00_2700); 
BgL_res2616z00_2723 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2704),BgL_restz00_2702); } } } } } } } } 
BgL_method1239z00_1862 = BgL_res2616z00_2723; } 
return 
PROCEDURE_ENTRY(BgL_method1239z00_1862)(BgL_method1239z00_1862, 
((obj_t)BgL_msinkz00_67), BEOA);} } 

}



/* &midisink-init */
obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3598, obj_t BgL_msinkz00_3599)
{
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
 BgL_midisinkz00_bglt BgL_auxz00_9464;
{ /* Llib/midi.scm 987 */
 bool_t BgL_test3593z00_9465;
{ /* Llib/midi.scm 987 */
 obj_t BgL_classz00_5141;
BgL_classz00_5141 = BGl_midisinkz00zz__multimediazd2midizd2; 
if(
BGL_OBJECTP(BgL_msinkz00_3599))
{ /* Llib/midi.scm 987 */
 BgL_objectz00_bglt BgL_arg1791z00_5143; long BgL_arg1792z00_5144;
BgL_arg1791z00_5143 = 
(BgL_objectz00_bglt)(BgL_msinkz00_3599); 
BgL_arg1792z00_5144 = 
BGL_CLASS_DEPTH(BgL_classz00_5141); 
{ /* Llib/midi.scm 987 */
 bool_t BgL_arg1786z00_5148; bool_t BgL_arg1787z00_5149;
{ /* Llib/midi.scm 987 */
 long BgL_idxz00_5153;
BgL_idxz00_5153 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_5143); 
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1783z00_5154;
{ /* Llib/midi.scm 987 */
 long BgL_arg1784z00_5155;
BgL_arg1784z00_5155 = 
(BgL_idxz00_5153+BgL_arg1792z00_5144); 
BgL_arg1783z00_5154 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_5155); } 
BgL_arg1786z00_5148 = 
(BgL_arg1783z00_5154==BgL_classz00_5141); } } 
{ /* Llib/midi.scm 987 */
 bool_t BgL_res3089z00_5178;
{ /* Llib/midi.scm 987 */
 obj_t BgL_oclassz00_5163;
{ /* Llib/midi.scm 987 */
 long BgL_arg1796z00_5169;
{ /* Llib/midi.scm 987 */
 long BgL_arg1797z00_5170;
BgL_arg1797z00_5170 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_5143); 
BgL_arg1796z00_5169 = 
(BgL_arg1797z00_5170-OBJECT_TYPE); } 
BgL_oclassz00_5163 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_5169); } 
{ /* Llib/midi.scm 987 */
 bool_t BgL__ortest_1111z00_5164;
BgL__ortest_1111z00_5164 = 
(BgL_classz00_5141==BgL_oclassz00_5163); 
if(BgL__ortest_1111z00_5164)
{ /* Llib/midi.scm 987 */
BgL_res3089z00_5178 = BgL__ortest_1111z00_5164; }  else 
{ /* Llib/midi.scm 987 */
 long BgL_odepthz00_5165;
BgL_odepthz00_5165 = 
BGL_CLASS_DEPTH(BgL_oclassz00_5163); 
if(
(BgL_arg1792z00_5144<BgL_odepthz00_5165))
{ /* Llib/midi.scm 987 */
 obj_t BgL_arg1785z00_5167;
BgL_arg1785z00_5167 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5163, BgL_arg1792z00_5144); 
BgL_res3089z00_5178 = 
(BgL_arg1785z00_5167==BgL_classz00_5141); }  else 
{ /* Llib/midi.scm 987 */
BgL_res3089z00_5178 = ((bool_t)0); } } } } 
BgL_arg1787z00_5149 = BgL_res3089z00_5178; } 
BgL_test3593z00_9465 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_5148, BgL_arg1787z00_5149); } }  else 
{ /* Llib/midi.scm 987 */
BgL_test3593z00_9465 = ((bool_t)0)
; } } 
if(BgL_test3593z00_9465)
{ /* Llib/midi.scm 987 */
BgL_auxz00_9464 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_3599)
; }  else 
{ 
 obj_t BgL_auxz00_9486;
BgL_auxz00_9486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2812z00zz__multimediazd2midizd2, 
BINT(((long)37357)), BGl_string3060z00zz__multimediazd2midizd2, BGl_string2825z00zz__multimediazd2midizd2, BgL_msinkz00_3599); 
FAILURE(BgL_auxz00_9486,BFALSE,BFALSE);} } 
return 
BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_9464);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2()
{
{ /* Llib/midi.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
