/*===========================================================================*/
/*   (Llib/mpc.scm)                                                          */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IUnix Llib/mpc.scm -o objs/mpc.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;

typedef struct BgL_z62iozd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2errorzb0_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_mpcz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_helloz00;
   obj_t BgL_hostz00;
   obj_t BgL_portz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_prefixz00;
   bool_t BgL_z52closedz52;
   obj_t BgL_z52mpdz52;
   obj_t BgL_z52socketz52;
   int BgL_z52playidz52;
   obj_t BgL_z52mmutexz52;
} *BgL_mpcz00_bglt;


static obj_t BGl_z62musiczd2volumezd2setz12zd2mp1655za2zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static long BGl__c_z00zz__multimediazd2mpczd2;
static obj_t BGl_z62musiczd2playzd2mpc1635z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_z62musiczd2resetz12zd2mpc1617z70zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34456ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62musiczd2timezd2parserz62zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza33930ze3ze5zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62musiczd2songzd2mpc1629z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpczd2();
BGL_IMPORT obj_t BGl_withzd2timedzd2lockz00zz__threadz00(obj_t, int, obj_t);
static obj_t BGl_z62musiczd2metazd2mpc1633z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2playlistzd2getzd2m1619zb0zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2songzd2parserz62zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62musiczd2randomzd2setz12zd2mp1649za2zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_zc3z04exitza34791ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
static BgL_mpcz00_bglt BGl_z62lambda3925z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_mpcz00_bglt BGl_z62lambda3928z62zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__multimediazd2mpczd2();
static obj_t BGl_z62zc3z04anonymousza34000ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t rgc_buffer_subsymbol(obj_t, long, long);
static obj_t BGl_objectzd2initzd2zz__multimediazd2mpczd2();
static obj_t BGl_z62lambda3935z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3936z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
extern bool_t BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
static obj_t BGl_z62lambda3942z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3943z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_z62lambda3949z62zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32500ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33951ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62decoderzd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_z62lambda3950z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2stopzd2mpc1639z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3956z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3957z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza33944ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62lambda3963z62zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62lambda3964z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
static obj_t BGl_z62musiczd2prevzd2mpc1645z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2resetzd2errorz12zd2m1611za2zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT bool_t bgl_input_port_timeout_set(obj_t, long);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_handler1107ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_mpcz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza33937ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62currentsongzd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_z62lambda3970z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3971z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_mpcz00zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_z62lambda3977z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3978z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2mpczd2();
static obj_t BGl_z62getzd2volumezd2parserz62zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
BGL_IMPORT obj_t BGl_withzd2errorzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_zc3z04exitza32448ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda3984z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3985z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_musicstatusz00_bglt, obj_t);
static obj_t BGl_z62lambda3991z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3992z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda3998z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3999z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static bool_t BGl_execz00zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza35011ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62musiczd2nextzd2mpc1643z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34952ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza33972ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t rgc_buffer_keyword(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza33965ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62playlistzd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_zc3z04exitza34991ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62musiczd2playlistzd2addz12zd21621za2zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static BgL_musicstatusz00_bglt BGl_z62musiczd2statuszd2mpc1627z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2seekzd2mpc1637z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33958ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_zc3z04exitza32413ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62musiczd2repeatzd2setz12zd2mp1651za2zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza35022ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_handler1144ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_mpcz00_bglt, long, obj_t, obj_t, obj_t);
static obj_t BGl_handler1127ze70ze7zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_zc3z04exitza35040ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
static obj_t BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_z62musiczd2closedzf3zd2mpc1615z91zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT void bgl_sleep(long);
static obj_t BGl_z62zc3z04anonymousza34230ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza35016ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT bool_t rgc_buffer_bol_p(obj_t);
static obj_t BGl_ignoreze70ze7zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza33993ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpczd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t, int, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2closezd2mpc1613z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2playlistzd2delet1623z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza35033ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza35025ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33986ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza34788ze3ze5zz__multimediazd2mpczd2(obj_t);
extern obj_t BGl_musicz00zz__multimediazd2musiczd2;
static obj_t BGl_zc3z04exitza34259ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62zc3z04anonymousza33979ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62musiczd2canzd2playzd2typezf31657z43zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2pausezd2mpc1641z62zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza35019ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(obj_t, obj_t);
static bool_t BGl_debugzd2mpczd2zz__multimediazd2mpczd2;
static obj_t BGl_cnstzd2initzd2zz__multimediazd2mpczd2();
static obj_t BGl_z62okzd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpczd2();
static obj_t BGl_z62zc3z04anonymousza34976ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_z62statuszd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_z62musiczd2playlistzd2clear1625z62zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpczd2();
static obj_t BGl_z62zc3z04anonymousza35222ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpczd2();
BGL_IMPORT obj_t BGl_z62iozd2errorzb0zz__objectz00;
static obj_t BGl_zc3z04exitza34018ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t socket_close(obj_t);
static obj_t BGl_z62zc3z04anonymousza35037ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza35029ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
static obj_t BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT long rgc_buffer_fixnum(obj_t);
static obj_t BGl_z62zc3z04anonymousza34252ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza34244ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62musiczd2crossfadezd2mpc1647z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2volumezd2getzd2mpc1653zb0zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34988ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza35218ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musicstatusz00zz__multimediazd2musiczd2;
static obj_t BGl_loopze70ze7zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, BgL_musicstatusz00_bglt, BgL_mpcz00_bglt);
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34256ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
static obj_t BGl_retryze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t, BgL_mpcz00_bglt, obj_t, long);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34249ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32548ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_musicstatusz00_bglt);
static obj_t BGl_zc3z04exitza34459ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62musiczd2songposzd2mpc1631z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t __cnst[ 54 ] ;


extern obj_t BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2volumezd2getzd2envzd2zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playlistzd2getzd2envzd2zz__multimediazd2musiczd2;
DEFINE_BGL_L_PROCEDURE(BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2, BgL_bgl_za762okza7d2parserza7b5469za7, BGl_z62okzd2parserzb0zz__multimediazd2mpczd2 );
extern obj_t BGl_musiczd2repeatzd2setz12zd2envzc0zz__multimediazd2musiczd2;
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_musiczd2resetz12zd2envz12zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2metazd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2songposzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2songzd2envz00zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5401z00zz__multimediazd2mpczd2, BgL_bgl_string5401za700za7za7_5470za7, "music-playlist-clear!", 21 );
DEFINE_STRING( BGl_string5403z00zz__multimediazd2mpczd2, BgL_bgl_string5403za700za7za7_5471za7, "music-status", 12 );
DEFINE_STRING( BGl_string5405z00zz__multimediazd2mpczd2, BgL_bgl_string5405za700za7za7_5472za7, "music-song", 10 );
DEFINE_STRING( BGl_string5324z00zz__multimediazd2mpczd2, BgL_bgl_string5324za700za7za7_5473za7, "Illegal integer", 15 );
DEFINE_STRING( BGl_string5325z00zz__multimediazd2mpczd2, BgL_bgl_string5325za700za7za7_5474za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string5407z00zz__multimediazd2mpczd2, BgL_bgl_string5407za700za7za7_5475za7, "music-songpos::int", 18 );
DEFINE_STRING( BGl_string5326z00zz__multimediazd2mpczd2, BgL_bgl_string5326za700za7za7_5476za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string5327z00zz__multimediazd2mpczd2, BgL_bgl_string5327za700za7za7_5477za7, "Illegal ignore value", 20 );
DEFINE_STRING( BGl_string5409z00zz__multimediazd2mpczd2, BgL_bgl_string5409za700za7za7_5478za7, "music-meta", 10 );
DEFINE_STRING( BGl_string5328z00zz__multimediazd2mpczd2, BgL_bgl_string5328za700za7za7_5479za7, "Illegal string value", 20 );
DEFINE_STRING( BGl_string5329z00zz__multimediazd2mpczd2, BgL_bgl_string5329za700za7za7_5480za7, "Illegal range `~a'", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5400z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playl5481z00, BGl_z62musiczd2playlistzd2clear1625z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5402z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2statu5482z00, BGl_z62musiczd2statuszd2mpc1627z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5404z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2songza75483za7, BGl_z62musiczd2songzd2mpc1629z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5411z00zz__multimediazd2mpczd2, BgL_bgl_string5411za700za7za7_5484za7, "music-play", 10 );
DEFINE_STRING( BGl_string5330z00zz__multimediazd2mpczd2, BgL_bgl_string5330za700za7za7_5485za7, "the-substring", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5406z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2songp5486z00, BGl_z62musiczd2songposzd2mpc1631z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5331z00zz__multimediazd2mpczd2, BgL_bgl_string5331za700za7za7_5487za7, "~a:~a unreachable", 17 );
DEFINE_STRING( BGl_string5413z00zz__multimediazd2mpczd2, BgL_bgl_string5413za700za7za7_5488za7, "music-seek", 10 );
DEFINE_STRING( BGl_string5332z00zz__multimediazd2mpczd2, BgL_bgl_string5332za700za7za7_5489za7, "OK MPD", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5408z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2metaza75490za7, BGl_z62musiczd2metazd2mpc1633z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5333z00zz__multimediazd2mpczd2, BgL_bgl_string5333za700za7za7_5491za7, "Illegal MPC acknowledge: ~a", 27 );
DEFINE_STRING( BGl_string5415z00zz__multimediazd2mpczd2, BgL_bgl_string5415za700za7za7_5492za7, "music-stop", 10 );
DEFINE_STRING( BGl_string5334z00zz__multimediazd2mpczd2, BgL_bgl_string5334za700za7za7_5493za7, " -> ", 4 );
DEFINE_STRING( BGl_string5335z00zz__multimediazd2mpczd2, BgL_bgl_string5335za700za7za7_5494za7, " cmd=", 5 );
DEFINE_STRING( BGl_string5417z00zz__multimediazd2mpczd2, BgL_bgl_string5417za700za7za7_5495za7, "music-pause", 11 );
DEFINE_STRING( BGl_string5336z00zz__multimediazd2mpczd2, BgL_bgl_string5336za700za7za7_5496za7, "), count=", 9 );
DEFINE_STRING( BGl_string5337z00zz__multimediazd2mpczd2, BgL_bgl_string5337za700za7za7_5497za7, "exec error (", 12 );
DEFINE_STRING( BGl_string5419z00zz__multimediazd2mpczd2, BgL_bgl_string5419za700za7za7_5498za7, "music-next", 10 );
DEFINE_STRING( BGl_string5338z00zz__multimediazd2mpczd2, BgL_bgl_string5338za700za7za7_5499za7, ":", 1 );
DEFINE_STRING( BGl_string5339z00zz__multimediazd2mpczd2, BgL_bgl_string5339za700za7za7_5500za7, ",", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5410z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playza75501za7, va_generic_entry, BGl_z62musiczd2playzd2mpc1635z62zz__multimediazd2mpczd2, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5412z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2seekza75502za7, va_generic_entry, BGl_z62musiczd2seekzd2mpc1637z62zz__multimediazd2mpczd2, BUNSPEC, -3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5414z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2stopza75503za7, BGl_z62musiczd2stopzd2mpc1639z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5421z00zz__multimediazd2mpczd2, BgL_bgl_string5421za700za7za7_5504za7, "music-prev", 10 );
DEFINE_STRING( BGl_string5340z00zz__multimediazd2mpczd2, BgL_bgl_string5340za700za7za7_5505za7, "Llib/mpc.scm", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5416z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2pause5506z00, BGl_z62musiczd2pausezd2mpc1641z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5341z00zz__multimediazd2mpczd2, BgL_bgl_string5341za700za7za7_5507za7, "#<eof-object>", 13 );
DEFINE_STRING( BGl_string5423z00zz__multimediazd2mpczd2, BgL_bgl_string5423za700za7za7_5508za7, "music-crossfade", 15 );
DEFINE_STRING( BGl_string5342z00zz__multimediazd2mpczd2, BgL_bgl_string5342za700za7za7_5509za7, "}", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5418z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2nextza75510za7, BGl_z62musiczd2nextzd2mpc1643z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5343z00zz__multimediazd2mpczd2, BgL_bgl_string5343za700za7za7_5511za7, "{", 1 );
DEFINE_STRING( BGl_string5425z00zz__multimediazd2mpczd2, BgL_bgl_string5425za700za7za7_5512za7, "music-random-set!", 17 );
DEFINE_STRING( BGl_string5344z00zz__multimediazd2mpczd2, BgL_bgl_string5344za700za7za7_5513za7, "OK", 2 );
extern obj_t BGl_musiczd2canzd2playzd2typezf3zd2envzf3zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5345z00zz__multimediazd2mpczd2, BgL_bgl_string5345za700za7za7_5514za7, "status", 6 );
DEFINE_STRING( BGl_string5427z00zz__multimediazd2mpczd2, BgL_bgl_string5427za700za7za7_5515za7, "music-repeat-set!", 17 );
DEFINE_STRING( BGl_string5346z00zz__multimediazd2mpczd2, BgL_bgl_string5346za700za7za7_5516za7, "Illegal khz", 11 );
DEFINE_STRING( BGl_string5347z00zz__multimediazd2mpczd2, BgL_bgl_string5347za700za7za7_5517za7, "the-subsymbol", 13 );
DEFINE_STRING( BGl_string5429z00zz__multimediazd2mpczd2, BgL_bgl_string5429za700za7za7_5518za7, "music-volume-get", 16 );
DEFINE_STRING( BGl_string5348z00zz__multimediazd2mpczd2, BgL_bgl_string5348za700za7za7_5519za7, "Illegal range", 13 );
DEFINE_STRING( BGl_string5349z00zz__multimediazd2mpczd2, BgL_bgl_string5349za700za7za7_5520za7, "Illegal end-of-file", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5420z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2prevza75521za7, BGl_z62musiczd2prevzd2mpc1645z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5422z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2cross5522z00, BGl_z62musiczd2crossfadezd2mpc1647z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5424z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2rando5523z00, BGl_z62musiczd2randomzd2setz12zd2mp1649za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5431z00zz__multimediazd2mpczd2, BgL_bgl_string5431za700za7za7_5524za7, "music-volume-set!", 17 );
DEFINE_STRING( BGl_string5350z00zz__multimediazd2mpczd2, BgL_bgl_string5350za700za7za7_5525za7, "Parsing error", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5426z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2repea5526z00, BGl_z62musiczd2repeatzd2setz12zd2mp1651za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5433z00zz__multimediazd2mpczd2, BgL_bgl_string5433za700za7za7_5527za7, "music-can-play-type?", 20 );
DEFINE_STRING( BGl_string5434z00zz__multimediazd2mpczd2, BgL_bgl_string5434za700za7za7_5528za7, "decoders", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5428z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2volum5529z00, BGl_z62musiczd2volumezd2getzd2mpc1653zb0zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5435z00zz__multimediazd2mpczd2, BgL_bgl_string5435za700za7za7_5530za7, "mime_type: ", 11 );
DEFINE_STRING( BGl_string5436z00zz__multimediazd2mpczd2, BgL_bgl_string5436za700za7za7_5531za7, "setvol ", 7 );
DEFINE_STRING( BGl_string5438z00zz__multimediazd2mpczd2, BgL_bgl_string5438za700za7za7_5532za7, "Illegal status", 14 );
DEFINE_STRING( BGl_string5439z00zz__multimediazd2mpczd2, BgL_bgl_string5439za700za7za7_5533za7, "repeat 0", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5430z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2volum5534z00, BGl_z62musiczd2volumezd2setz12zd2mp1655za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5432z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2canza7d5535za7, BGl_z62musiczd2canzd2playzd2typezf31657z43zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5351z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5536za7, BGl_z62zc3z04anonymousza33937ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5352z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3936za7625537z00, BGl_z62lambda3936z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5440z00zz__multimediazd2mpczd2, BgL_bgl_string5440za700za7za7_5538za7, "random 0", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5353z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3935za7625539z00, BGl_z62lambda3935z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5441z00zz__multimediazd2mpczd2, BgL_bgl_string5441za700za7za7_5540za7, "crossfade ", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5354z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5541za7, BGl_z62zc3z04anonymousza33944ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5442z00zz__multimediazd2mpczd2, BgL_bgl_string5442za700za7za7_5542za7, "previous", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5355z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3943za7625543z00, BGl_z62lambda3943z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5443z00zz__multimediazd2mpczd2, BgL_bgl_string5443za700za7za7_5544za7, "next", 4 );
DEFINE_BGL_L_PROCEDURE(BGl_proc5437z00zz__multimediazd2mpczd2, BgL_bgl_za762getza7d2volumeza75545za7, BGl_z62getzd2volumezd2parserz62zz__multimediazd2mpczd2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5356z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3942za7625546z00, BGl_z62lambda3942z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5444z00zz__multimediazd2mpczd2, BgL_bgl_string5444za700za7za7_5547za7, "pause", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5357z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5548za7, BGl_z62zc3z04anonymousza33951ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5445z00zz__multimediazd2mpczd2, BgL_bgl_string5445za700za7za7_5549za7, "stop", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5358z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3950za7625550z00, BGl_z62lambda3950z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5446z00zz__multimediazd2mpczd2, BgL_bgl_string5446za700za7za7_5551za7, "clearerror", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5359z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3949za7625552z00, BGl_z62lambda3949z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5447z00zz__multimediazd2mpczd2, BgL_bgl_string5447za700za7za7_5553za7, "seek ~a ~a", 10 );
extern obj_t BGl_musiczd2playlistzd2clearz12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5448z00zz__multimediazd2mpczd2, BgL_bgl_string5448za700za7za7_5554za7, "play", 4 );
DEFINE_STRING( BGl_string5449z00zz__multimediazd2mpczd2, BgL_bgl_string5449za700za7za7_5555za7, "play ~a", 7 );
extern obj_t BGl_musiczd2playlistzd2deletez12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5360z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5556za7, BGl_z62zc3z04anonymousza33958ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5361z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3957za7625557z00, BGl_z62lambda3957z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5362z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3956za7625558z00, BGl_z62lambda3956z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5363z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5559za7, BGl_z62zc3z04anonymousza33965ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5451z00zz__multimediazd2mpczd2, BgL_bgl_string5451za700za7za7_5560za7, "currentsong", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5364z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3964za7625561z00, BGl_z62lambda3964z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5365z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3963za7625562z00, BGl_z62lambda3963z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5366z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5563za7, BGl_z62zc3z04anonymousza33972ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5454z00zz__multimediazd2mpczd2, BgL_bgl_string5454za700za7za7_5564za7, "Illegal song status", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5367z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3971za7625565z00, BGl_z62lambda3971z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5455z00zz__multimediazd2mpczd2, BgL_bgl_string5455za700za7za7_5566za7, "clear", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5368z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3970za7625567z00, BGl_z62lambda3970z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5456z00zz__multimediazd2mpczd2, BgL_bgl_string5456za700za7za7_5568za7, "delete ", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5369z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5569za7, BGl_z62zc3z04anonymousza33979ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5457z00zz__multimediazd2mpczd2, BgL_bgl_string5457za700za7za7_5570za7, "add \"", 5 );
DEFINE_STRING( BGl_string5458z00zz__multimediazd2mpczd2, BgL_bgl_string5458za700za7za7_5571za7, "\"", 1 );
DEFINE_STRING( BGl_string5459z00zz__multimediazd2mpczd2, BgL_bgl_string5459za700za7za7_5572za7, "playlist", 8 );
extern obj_t BGl_musiczd2resetzd2errorz12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_BGL_L_PROCEDURE(BGl_proc5450z00zz__multimediazd2mpczd2, BgL_bgl_za762currentsongza7d5573z00, BGl_z62currentsongzd2parserzb0zz__multimediazd2mpczd2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5370z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3978za7625574z00, BGl_z62lambda3978z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_BGL_L_PROCEDURE(BGl_proc5452z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2timeza75575za7, BGl_z62musiczd2timezd2parserz62zz__multimediazd2mpczd2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5371z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3977za7625576z00, BGl_z62lambda3977z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_BGL_L_PROCEDURE(BGl_proc5453z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2songza75577za7, BGl_z62musiczd2songzd2parserz62zz__multimediazd2mpczd2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5372z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5578za7, BGl_z62zc3z04anonymousza33986ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5460z00zz__multimediazd2mpczd2, BgL_bgl_string5460za700za7za7_5579za7, "http:", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5373z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3985za7625580z00, BGl_z62lambda3985z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5461z00zz__multimediazd2mpczd2, BgL_bgl_string5461za700za7za7_5581za7, "https:", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5374z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3984za7625582z00, BGl_z62lambda3984z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5462z00zz__multimediazd2mpczd2, BgL_bgl_string5462za700za7za7_5583za7, "Illegal playlist value", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5375z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5584za7, BGl_z62zc3z04anonymousza33993ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5463z00zz__multimediazd2mpczd2, BgL_bgl_string5463za700za7za7_5585za7, "ACK", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5376z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3992za7625586z00, BGl_z62lambda3992z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5464z00zz__multimediazd2mpczd2, BgL_bgl_string5464za700za7za7_5587za7, "close", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5377z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3991za7625588z00, BGl_z62lambda3991z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5465z00zz__multimediazd2mpczd2, BgL_bgl_string5465za700za7za7_5589za7, "__multimedia-mpc", 16 );
DEFINE_STRING( BGl_string5384z00zz__multimediazd2mpczd2, BgL_bgl_string5384za700za7za7_5590za7, "mpd", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5378z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5591za7, BGl_z62zc3z04anonymousza34000ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5466z00zz__multimediazd2mpczd2, BgL_bgl_string5466za700za7za7_5592za7, "mpc-playlist-get :Time :track :Track :pos :Pos :id :Id :name :Name :title :Title :file mpc-time ended play playlist stop ok mpc-volume __multimedia-mpc mutex %mmutex int %playid %socket %mpd bool %closed prefix timeout port host obj hello :song :songid :state :time :volume :playlistlength :playlist :error :bitrate :audio :xfade :random :repeat eof mpc-song inet mpc-cmpd error mpc ", 383 );
DEFINE_STRING( BGl_string5385z00zz__multimediazd2mpczd2, BgL_bgl_string5385za700za7za7_5593za7, "localhost", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5379z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3999za7625594z00, BGl_z62lambda3999z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_musiczd2seekzd2envz00zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5387z00zz__multimediazd2mpczd2, BgL_bgl_string5387za700za7za7_5595za7, "music-reset-error!", 18 );
DEFINE_STRING( BGl_string5389z00zz__multimediazd2mpczd2, BgL_bgl_string5389za700za7za7_5596za7, "music-close", 11 );
extern obj_t BGl_musiczd2nextzd2envz00zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5380z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3998za7625597z00, BGl_z62lambda3998z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5381z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5598za7, BGl_z62zc3z04anonymousza33930ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5382z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3928za7625599z00, BGl_z62lambda3928z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5383z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3925za7625600z00, BGl_z62lambda3925z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 16 );
DEFINE_STRING( BGl_string5391z00zz__multimediazd2mpczd2, BgL_bgl_string5391za700za7za7_5601za7, "music-closed?", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5386z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2reset5602z00, BGl_z62musiczd2resetzd2errorz12zd2m1611za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_musiczd2stopzd2envz00zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5393z00zz__multimediazd2mpczd2, BgL_bgl_string5393za700za7za7_5603za7, "music-reset!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5388z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2close5604z00, BGl_z62musiczd2closezd2mpc1613z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5395z00zz__multimediazd2mpczd2, BgL_bgl_string5395za700za7za7_5605za7, "music-playlist-get", 18 );
DEFINE_STRING( BGl_string5397z00zz__multimediazd2mpczd2, BgL_bgl_string5397za700za7za7_5606za7, "music-playlist-add!", 19 );
DEFINE_STRING( BGl_string5399z00zz__multimediazd2mpczd2, BgL_bgl_string5399za700za7za7_5607za7, "music-playlist-delete!", 22 );
extern obj_t BGl_musiczd2volumezd2setz12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5390z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2close5608z00, BGl_z62musiczd2closedzf3zd2mpc1615z91zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5392z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2reset5609z00, BGl_z62musiczd2resetz12zd2mpc1617z70zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5394z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playl5610z00, BGl_z62musiczd2playlistzd2getzd2m1619zb0zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5396z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playl5611z00, BGl_z62musiczd2playlistzd2addz12zd21621za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5398z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playl5612z00, BGl_z62musiczd2playlistzd2delet1623z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_musiczd2crossfadezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2statuszd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2prevzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2pausezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2randomzd2setz12zd2envzc0zz__multimediazd2musiczd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2mpczd2) );
ADD_ROOT( (void *)(&BGl_mpcz00zz__multimediazd2mpczd2) );
ADD_ROOT( (void *)(&BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2) );
ADD_ROOT( (void *)(&BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2) );
ADD_ROOT( (void *)(&BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpczd2(long BgL_checksumz00_12348, char * BgL_fromz00_12349)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2mpczd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2mpczd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2mpczd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpczd2(); 
BGl_cnstzd2initzd2zz__multimediazd2mpczd2(); 
BGl_importedzd2moduleszd2initz00zz__multimediazd2mpczd2(); 
BGl_objectzd2initzd2zz__multimediazd2mpczd2(); 
BGl_methodzd2initzd2zz__multimediazd2mpczd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2mpczd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpczd2()
{
{ /* Llib/mpc.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__socketz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__rgcz00(((long)0), "__multimedia-mpc"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2mpczd2()
{
{ /* Llib/mpc.scm 15 */
{ /* Llib/mpc.scm 15 */
 obj_t BgL_cportz00_10641;
{ /* Llib/mpc.scm 15 */
 obj_t BgL_stringz00_10649;
BgL_stringz00_10649 = BGl_string5466z00zz__multimediazd2mpczd2; 
{ /* Llib/mpc.scm 15 */
 obj_t BgL_startz00_10650;
BgL_startz00_10650 = 
BINT(((long)0)); 
{ /* Llib/mpc.scm 15 */
 obj_t BgL_endz00_10651;
BgL_endz00_10651 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_10649))); 
{ /* Llib/mpc.scm 15 */

BgL_cportz00_10641 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_10649, BgL_startz00_10650, BgL_endz00_10651); } } } } 
{ 
 long BgL_iz00_10642;
BgL_iz00_10642 = ((long)53); 
BgL_loopz00_10643:
if(
(BgL_iz00_10642==((long)-1)))
{ /* Llib/mpc.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpc.scm 15 */
{ /* Llib/mpc.scm 15 */
 obj_t BgL_arg5468z00_10645;
{ /* Llib/mpc.scm 15 */

{ /* Llib/mpc.scm 15 */
 obj_t BgL_locationz00_10647;
BgL_locationz00_10647 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpc.scm 15 */

BgL_arg5468z00_10645 = 
BGl_readz00zz__readerz00(BgL_cportz00_10641, BgL_locationz00_10647); } } } 
{ /* Llib/mpc.scm 15 */
 int BgL_tmpz00_12390;
BgL_tmpz00_12390 = 
(int)(BgL_iz00_10642); 
CNST_TABLE_SET(BgL_tmpz00_12390, BgL_arg5468z00_10645); } } 
{ /* Llib/mpc.scm 15 */
 int BgL_auxz00_10648;
BgL_auxz00_10648 = 
(int)(
(BgL_iz00_10642-((long)1))); 
{ 
 long BgL_iz00_12395;
BgL_iz00_12395 = 
(long)(BgL_auxz00_10648); 
BgL_iz00_10642 = BgL_iz00_12395; 
goto BgL_loopz00_10643;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpczd2()
{
{ /* Llib/mpc.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpczd2()
{
{ /* Llib/mpc.scm 15 */
BGl__c_z00zz__multimediazd2mpczd2 = ((long)0); 
BGl_debugzd2mpczd2zz__multimediazd2mpczd2 = ((bool_t)0); 
{ /* Llib/mpc.scm 201 */
 obj_t BgL_zc3z04anonymousza31658ze3z87_10197;
{ 
 int BgL_tmpz00_12398;
BgL_tmpz00_12398 = 
(int)(((long)0)); 
BgL_zc3z04anonymousza31658ze3z87_10197 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_12398); } 
BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2 = BgL_zc3z04anonymousza31658ze3z87_10197; } 
{ /* Llib/mpc.scm 217 */
 obj_t BgL_zc3z04anonymousza31913ze3z87_10196;
{ 
 int BgL_tmpz00_12401;
BgL_tmpz00_12401 = 
(int)(((long)0)); 
BgL_zc3z04anonymousza31913ze3z87_10196 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_12401); } 
BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2 = BgL_zc3z04anonymousza31913ze3z87_10196; } 
{ /* Llib/mpc.scm 233 */
 obj_t BgL_zc3z04anonymousza32087ze3z87_10195;
{ 
 int BgL_tmpz00_12404;
BgL_tmpz00_12404 = 
(int)(((long)0)); 
BgL_zc3z04anonymousza32087ze3z87_10195 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_12404); } 
BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2 = BgL_zc3z04anonymousza32087ze3z87_10195; } 
return BUNSPEC;} 

}



/* &<@anonymous:2087> */
obj_t BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10198, obj_t BgL_iportz00_10199)
{
{ /* Llib/mpc.scm 233 */
{ 
 obj_t BgL_iportz00_10709; long BgL_lastzd2matchzd2_10710; long BgL_forwardz00_10711; long BgL_bufposz00_10712; obj_t BgL_iportz00_10699; long BgL_lastzd2matchzd2_10700; long BgL_forwardz00_10701; long BgL_bufposz00_10702; obj_t BgL_iportz00_10691; long BgL_lastzd2matchzd2_10692; long BgL_forwardz00_10693; long BgL_bufposz00_10694; obj_t BgL_iportz00_10681; long BgL_lastzd2matchzd2_10682; long BgL_forwardz00_10683; long BgL_bufposz00_10684; obj_t BgL_iportz00_10673; long BgL_lastzd2matchzd2_10674; long BgL_forwardz00_10675; long BgL_bufposz00_10676;
BgL_ignorez00_10654:
RGC_START_MATCH(BgL_iportz00_10199); 
{ /* Llib/mpc.scm 233 */
 long BgL_matchz00_10661;
{ /* Llib/mpc.scm 233 */
 long BgL_arg2235z00_10662; long BgL_arg2236z00_10663;
BgL_arg2235z00_10662 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10199); 
BgL_arg2236z00_10663 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10199); 
BgL_iportz00_10699 = BgL_iportz00_10199; 
BgL_lastzd2matchzd2_10700 = ((long)2); 
BgL_forwardz00_10701 = BgL_arg2235z00_10662; 
BgL_bufposz00_10702 = BgL_arg2236z00_10663; 
BgL_statezd20zd21185z00_10659:
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10703;
RGC_STOP_MATCH(BgL_iportz00_10699, BgL_forwardz00_10701); 
BgL_newzd2matchzd2_10703 = ((long)0); 
if(
(BgL_forwardz00_10701==BgL_bufposz00_10702))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10699))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2101z00_10704; long BgL_arg2102z00_10705;
BgL_arg2101z00_10704 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10699); 
BgL_arg2102z00_10705 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10699); 
{ 
 long BgL_bufposz00_12418; long BgL_forwardz00_12417;
BgL_forwardz00_12417 = BgL_arg2101z00_10704; 
BgL_bufposz00_12418 = BgL_arg2102z00_10705; 
BgL_bufposz00_10702 = BgL_bufposz00_12418; 
BgL_forwardz00_10701 = BgL_forwardz00_12417; 
goto BgL_statezd20zd21185z00_10659;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_newzd2matchzd2_10703; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10706;
BgL_curz00_10706 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10699, BgL_forwardz00_10701); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5617z00_12420;
if(
(
(long)(BgL_curz00_10706)>=((long)48)))
{ /* Llib/mpc.scm 233 */
BgL_test5617z00_12420 = 
(
(long)(BgL_curz00_10706)<((long)58))
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5617z00_12420 = ((bool_t)0)
; } 
if(BgL_test5617z00_12420)
{ /* Llib/mpc.scm 233 */
BgL_iportz00_10681 = BgL_iportz00_10699; 
BgL_lastzd2matchzd2_10682 = BgL_newzd2matchzd2_10703; 
BgL_forwardz00_10683 = 
(((long)1)+BgL_forwardz00_10701); 
BgL_bufposz00_10684 = BgL_bufposz00_10702; 
BgL_statezd23zd21188z00_10657:
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10685;
RGC_STOP_MATCH(BgL_iportz00_10681, BgL_forwardz00_10683); 
BgL_newzd2matchzd2_10685 = ((long)2); 
if(
(BgL_forwardz00_10683==BgL_bufposz00_10684))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10681))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2124z00_10686; long BgL_arg2125z00_10687;
BgL_arg2124z00_10686 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10681); 
BgL_arg2125z00_10687 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10681); 
{ 
 long BgL_bufposz00_12434; long BgL_forwardz00_12433;
BgL_forwardz00_12433 = BgL_arg2124z00_10686; 
BgL_bufposz00_12434 = BgL_arg2125z00_10687; 
BgL_bufposz00_10684 = BgL_bufposz00_12434; 
BgL_forwardz00_10683 = BgL_forwardz00_12433; 
goto BgL_statezd23zd21188z00_10657;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_newzd2matchzd2_10685; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10688;
BgL_curz00_10688 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10681, BgL_forwardz00_10683); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5621z00_12436;
if(
(
(long)(BgL_curz00_10688)>=((long)48)))
{ /* Llib/mpc.scm 233 */
BgL_test5621z00_12436 = 
(
(long)(BgL_curz00_10688)<((long)58))
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5621z00_12436 = ((bool_t)0)
; } 
if(BgL_test5621z00_12436)
{ /* Llib/mpc.scm 233 */
BgL_iportz00_10709 = BgL_iportz00_10681; 
BgL_lastzd2matchzd2_10710 = BgL_newzd2matchzd2_10685; 
BgL_forwardz00_10711 = 
(((long)1)+BgL_forwardz00_10683); 
BgL_bufposz00_10712 = BgL_bufposz00_10684; 
BgL_statezd26zd21191z00_10660:
if(
(BgL_forwardz00_10711==BgL_bufposz00_10712))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10709))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2091z00_10713; long BgL_arg2092z00_10714;
BgL_arg2091z00_10713 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10709); 
BgL_arg2092z00_10714 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10709); 
{ 
 long BgL_bufposz00_12449; long BgL_forwardz00_12448;
BgL_forwardz00_12448 = BgL_arg2091z00_10713; 
BgL_bufposz00_12449 = BgL_arg2092z00_10714; 
BgL_bufposz00_10712 = BgL_bufposz00_12449; 
BgL_forwardz00_10711 = BgL_forwardz00_12448; 
goto BgL_statezd26zd21191z00_10660;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_lastzd2matchzd2_10710; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10715;
BgL_curz00_10715 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10709, BgL_forwardz00_10711); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5625z00_12451;
if(
(
(long)(BgL_curz00_10715)>=((long)48)))
{ /* Llib/mpc.scm 233 */
BgL_test5625z00_12451 = 
(
(long)(BgL_curz00_10715)<((long)58))
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5625z00_12451 = ((bool_t)0)
; } 
if(BgL_test5625z00_12451)
{ 
 long BgL_forwardz00_12457;
BgL_forwardz00_12457 = 
(((long)1)+BgL_forwardz00_10711); 
BgL_forwardz00_10711 = BgL_forwardz00_12457; 
goto BgL_statezd26zd21191z00_10660;}  else 
{ /* Llib/mpc.scm 233 */
if(
(
(long)(BgL_curz00_10715)==((long)10)))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2097z00_10716;
BgL_arg2097z00_10716 = 
(((long)1)+BgL_forwardz00_10711); 
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10717;
RGC_STOP_MATCH(BgL_iportz00_10709, BgL_arg2097z00_10716); 
BgL_newzd2matchzd2_10717 = ((long)1); 
BgL_matchz00_10661 = BgL_newzd2matchzd2_10717; } }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_lastzd2matchzd2_10710; } } } } } }  else 
{ /* Llib/mpc.scm 233 */
if(
(
(long)(BgL_curz00_10688)==((long)10)))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2130z00_10689;
BgL_arg2130z00_10689 = 
(((long)1)+BgL_forwardz00_10683); 
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10690;
RGC_STOP_MATCH(BgL_iportz00_10681, BgL_arg2130z00_10689); 
BgL_newzd2matchzd2_10690 = ((long)1); 
BgL_matchz00_10661 = BgL_newzd2matchzd2_10690; } }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_newzd2matchzd2_10685; } } } } } } }  else 
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5629z00_12471;
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5630z00_12472;
if(
(
(long)(BgL_curz00_10706)==((long)10)))
{ /* Llib/mpc.scm 233 */
BgL_test5630z00_12472 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5630z00_12472 = 
(
(long)(BgL_curz00_10706)==((long)9))
; } 
if(BgL_test5630z00_12472)
{ /* Llib/mpc.scm 233 */
BgL_test5629z00_12471 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5629z00_12471 = 
(
(long)(BgL_curz00_10706)==((long)32))
; } } 
if(BgL_test5629z00_12471)
{ /* Llib/mpc.scm 233 */
BgL_iportz00_10691 = BgL_iportz00_10699; 
BgL_lastzd2matchzd2_10692 = BgL_newzd2matchzd2_10703; 
BgL_forwardz00_10693 = 
(((long)1)+BgL_forwardz00_10701); 
BgL_bufposz00_10694 = BgL_bufposz00_10702; 
BgL_statezd22zd21187z00_10658:
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10695;
RGC_STOP_MATCH(BgL_iportz00_10691, BgL_forwardz00_10693); 
BgL_newzd2matchzd2_10695 = ((long)0); 
if(
(BgL_forwardz00_10693==BgL_bufposz00_10694))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10691))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2114z00_10696; long BgL_arg2115z00_10697;
BgL_arg2114z00_10696 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10691); 
BgL_arg2115z00_10697 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10691); 
{ 
 long BgL_bufposz00_12488; long BgL_forwardz00_12487;
BgL_forwardz00_12487 = BgL_arg2114z00_10696; 
BgL_bufposz00_12488 = BgL_arg2115z00_10697; 
BgL_bufposz00_10694 = BgL_bufposz00_12488; 
BgL_forwardz00_10693 = BgL_forwardz00_12487; 
goto BgL_statezd22zd21187z00_10658;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_newzd2matchzd2_10695; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10698;
BgL_curz00_10698 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10691, BgL_forwardz00_10693); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5634z00_12490;
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5635z00_12491;
if(
(
(long)(BgL_curz00_10698)==((long)10)))
{ /* Llib/mpc.scm 233 */
BgL_test5635z00_12491 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5635z00_12491 = 
(
(long)(BgL_curz00_10698)==((long)9))
; } 
if(BgL_test5635z00_12491)
{ /* Llib/mpc.scm 233 */
BgL_test5634z00_12490 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5634z00_12490 = 
(
(long)(BgL_curz00_10698)==((long)32))
; } } 
if(BgL_test5634z00_12490)
{ /* Llib/mpc.scm 233 */
BgL_iportz00_10673 = BgL_iportz00_10691; 
BgL_lastzd2matchzd2_10674 = BgL_newzd2matchzd2_10695; 
BgL_forwardz00_10675 = 
(((long)1)+BgL_forwardz00_10693); 
BgL_bufposz00_10676 = BgL_bufposz00_10694; 
BgL_statezd27zd21192z00_10656:
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10677;
RGC_STOP_MATCH(BgL_iportz00_10673, BgL_forwardz00_10675); 
BgL_newzd2matchzd2_10677 = ((long)0); 
if(
(BgL_forwardz00_10675==BgL_bufposz00_10676))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10673))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2135z00_10678; long BgL_arg2136z00_10679;
BgL_arg2135z00_10678 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10673); 
BgL_arg2136z00_10679 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10673); 
{ 
 long BgL_bufposz00_12507; long BgL_forwardz00_12506;
BgL_forwardz00_12506 = BgL_arg2135z00_10678; 
BgL_bufposz00_12507 = BgL_arg2136z00_10679; 
BgL_bufposz00_10676 = BgL_bufposz00_12507; 
BgL_forwardz00_10675 = BgL_forwardz00_12506; 
goto BgL_statezd27zd21192z00_10656;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_newzd2matchzd2_10677; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10680;
BgL_curz00_10680 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10673, BgL_forwardz00_10675); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5639z00_12509;
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5640z00_12510;
if(
(
(long)(BgL_curz00_10680)==((long)10)))
{ /* Llib/mpc.scm 233 */
BgL_test5640z00_12510 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5640z00_12510 = 
(
(long)(BgL_curz00_10680)==((long)9))
; } 
if(BgL_test5640z00_12510)
{ /* Llib/mpc.scm 233 */
BgL_test5639z00_12509 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5639z00_12509 = 
(
(long)(BgL_curz00_10680)==((long)32))
; } } 
if(BgL_test5639z00_12509)
{ 
 long BgL_forwardz00_12519; long BgL_lastzd2matchzd2_12518;
BgL_lastzd2matchzd2_12518 = BgL_newzd2matchzd2_10677; 
BgL_forwardz00_12519 = 
(((long)1)+BgL_forwardz00_10675); 
BgL_forwardz00_10675 = BgL_forwardz00_12519; 
BgL_lastzd2matchzd2_10674 = BgL_lastzd2matchzd2_12518; 
goto BgL_statezd27zd21192z00_10656;}  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_newzd2matchzd2_10677; } } } } } }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10661 = BgL_newzd2matchzd2_10695; } } } } } }  else 
{ /* Llib/mpc.scm 233 */
 long BgL_arg2110z00_10707;
BgL_arg2110z00_10707 = 
(((long)1)+BgL_forwardz00_10701); 
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10708;
RGC_STOP_MATCH(BgL_iportz00_10699, BgL_arg2110z00_10707); 
BgL_newzd2matchzd2_10708 = ((long)2); 
BgL_matchz00_10661 = BgL_newzd2matchzd2_10708; } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10199); 
switch( BgL_matchz00_10661) { case ((long)2) : 

{ /* Llib/mpc.scm 240 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg2229z00_10664;
{ /* Llib/mpc.scm 240 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1196z00_10665;
{ /* Llib/mpc.scm 240 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1195z00_10666;
BgL_new1195z00_10666 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 240 */
 long BgL_arg2234z00_10667;
BgL_arg2234z00_10667 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_10666), BgL_arg2234z00_10667); } 
BgL_new1196z00_10665 = BgL_new1195z00_10666; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_10665)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_10665)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12534;
{ /* Llib/mpc.scm 240 */
 obj_t BgL_arg2230z00_10668;
{ /* Llib/mpc.scm 240 */
 obj_t BgL_arg2231z00_10669;
{ /* Llib/mpc.scm 240 */
 obj_t BgL_classz00_10670;
BgL_classz00_10670 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg2231z00_10669 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10670); } 
BgL_arg2230z00_10668 = 
VECTOR_REF(BgL_arg2231z00_10669,((long)2)); } 
BgL_auxz00_12534 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2230z00_10668); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_10665)))->BgL_stackz00)=((obj_t)BgL_auxz00_12534),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_10665)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_10665)))->BgL_msgz00)=((obj_t)BGl_string5324z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12545;
{ /* Llib/mpc.scm 243 */
 obj_t BgL_arg2232z00_10671;
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5642z00_12547;
{ /* Llib/mpc.scm 233 */
 long BgL_arg2221z00_10672;
BgL_arg2221z00_10672 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10199); 
BgL_test5642z00_12547 = 
(BgL_arg2221z00_10672==((long)0)); } 
if(BgL_test5642z00_12547)
{ /* Llib/mpc.scm 233 */
BgL_arg2232z00_10671 = BEOF; }  else 
{ /* Llib/mpc.scm 233 */
BgL_arg2232z00_10671 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10199)); } } 
BgL_auxz00_12545 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg2232z00_10671, BgL_iportz00_10199); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_10665)))->BgL_objz00)=((obj_t)BgL_auxz00_12545),BUNSPEC); } 
BgL_arg2229z00_10664 = BgL_new1196z00_10665; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2229z00_10664));} break;case ((long)1) : 

return 
BINT(
rgc_buffer_fixnum(BgL_iportz00_10199));break;case ((long)0) : 

goto BgL_ignorez00_10654;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10661));} } } } 

}



/* &<@anonymous:1913> */
obj_t BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10200, obj_t BgL_iportz00_10201)
{
{ /* Llib/mpc.scm 217 */
{ 
 obj_t BgL_iportz00_10800; long BgL_lastzd2matchzd2_10801; long BgL_forwardz00_10802; long BgL_bufposz00_10803; obj_t BgL_iportz00_10790; long BgL_lastzd2matchzd2_10791; long BgL_forwardz00_10792; long BgL_bufposz00_10793; obj_t BgL_iportz00_10782; long BgL_lastzd2matchzd2_10783; long BgL_forwardz00_10784; long BgL_bufposz00_10785; obj_t BgL_iportz00_10774; long BgL_lastzd2matchzd2_10775; long BgL_forwardz00_10776; long BgL_bufposz00_10777; obj_t BgL_iportz00_10765; long BgL_lastzd2matchzd2_10766; long BgL_forwardz00_10767; long BgL_bufposz00_10768; obj_t BgL_iportz00_10757; long BgL_lastzd2matchzd2_10758; long BgL_forwardz00_10759; long BgL_bufposz00_10760; obj_t BgL_iportz00_10749; long BgL_lastzd2matchzd2_10750; long BgL_forwardz00_10751; long BgL_bufposz00_10752; obj_t BgL_iportz00_10741; long BgL_lastzd2matchzd2_10742; long BgL_forwardz00_10743; long BgL_bufposz00_10744;
BgL_ignorez00_10719:
RGC_START_MATCH(BgL_iportz00_10201); 
{ /* Llib/mpc.scm 217 */
 long BgL_matchz00_10729;
{ /* Llib/mpc.scm 217 */
 long BgL_arg2085z00_10730; long BgL_arg2086z00_10731;
BgL_arg2085z00_10730 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10201); 
BgL_arg2086z00_10731 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10201); 
BgL_iportz00_10757 = BgL_iportz00_10201; 
BgL_lastzd2matchzd2_10758 = ((long)2); 
BgL_forwardz00_10759 = BgL_arg2085z00_10730; 
BgL_bufposz00_10760 = BgL_arg2086z00_10731; 
BgL_statezd20zd21171z00_10723:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10761;
RGC_STOP_MATCH(BgL_iportz00_10757, BgL_forwardz00_10759); 
BgL_newzd2matchzd2_10761 = ((long)0); 
if(
(BgL_forwardz00_10759==BgL_bufposz00_10760))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10757))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1964z00_10762; long BgL_arg1965z00_10763;
BgL_arg1964z00_10762 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10757); 
BgL_arg1965z00_10763 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10757); 
{ 
 long BgL_bufposz00_12572; long BgL_forwardz00_12571;
BgL_forwardz00_12571 = BgL_arg1964z00_10762; 
BgL_bufposz00_12572 = BgL_arg1965z00_10763; 
BgL_bufposz00_10760 = BgL_bufposz00_12572; 
BgL_forwardz00_10759 = BgL_forwardz00_12571; 
goto BgL_statezd20zd21171z00_10723;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10761; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10764;
BgL_curz00_10764 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10757, BgL_forwardz00_10759); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10764)==((long)10)))
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10800 = BgL_iportz00_10757; 
BgL_lastzd2matchzd2_10801 = BgL_newzd2matchzd2_10761; 
BgL_forwardz00_10802 = 
(((long)1)+BgL_forwardz00_10759); 
BgL_bufposz00_10803 = BgL_bufposz00_10760; 
BgL_statezd23zd21174z00_10728:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10804;
RGC_STOP_MATCH(BgL_iportz00_10800, BgL_forwardz00_10802); 
BgL_newzd2matchzd2_10804 = ((long)0); 
if(
(BgL_forwardz00_10802==BgL_bufposz00_10803))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10800))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1917z00_10805; long BgL_arg1918z00_10806;
BgL_arg1917z00_10805 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10800); 
BgL_arg1918z00_10806 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10800); 
{ 
 long BgL_bufposz00_12585; long BgL_forwardz00_12584;
BgL_forwardz00_12584 = BgL_arg1917z00_10805; 
BgL_bufposz00_12585 = BgL_arg1918z00_10806; 
BgL_bufposz00_10803 = BgL_bufposz00_12585; 
BgL_forwardz00_10802 = BgL_forwardz00_12584; 
goto BgL_statezd23zd21174z00_10728;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10804; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10807;
BgL_curz00_10807 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10800, BgL_forwardz00_10802); 
{ /* Llib/mpc.scm 217 */

{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5648z00_12587;
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5649z00_12588;
if(
(
(long)(BgL_curz00_10807)==((long)10)))
{ /* Llib/mpc.scm 217 */
BgL_test5649z00_12588 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5649z00_12588 = 
(
(long)(BgL_curz00_10807)==((long)9))
; } 
if(BgL_test5649z00_12588)
{ /* Llib/mpc.scm 217 */
BgL_test5648z00_12587 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5648z00_12587 = 
(
(long)(BgL_curz00_10807)==((long)32))
; } } 
if(BgL_test5648z00_12587)
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10749 = BgL_iportz00_10800; 
BgL_lastzd2matchzd2_10750 = BgL_newzd2matchzd2_10804; 
BgL_forwardz00_10751 = 
(((long)1)+BgL_forwardz00_10802); 
BgL_bufposz00_10752 = BgL_bufposz00_10803; 
BgL_statezd25zd21176z00_10722:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10753;
RGC_STOP_MATCH(BgL_iportz00_10749, BgL_forwardz00_10751); 
BgL_newzd2matchzd2_10753 = ((long)0); 
if(
(BgL_forwardz00_10751==BgL_bufposz00_10752))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10749))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1975z00_10754; long BgL_arg1976z00_10755;
BgL_arg1975z00_10754 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10749); 
BgL_arg1976z00_10755 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10749); 
{ 
 long BgL_bufposz00_12604; long BgL_forwardz00_12603;
BgL_forwardz00_12603 = BgL_arg1975z00_10754; 
BgL_bufposz00_12604 = BgL_arg1976z00_10755; 
BgL_bufposz00_10752 = BgL_bufposz00_12604; 
BgL_forwardz00_10751 = BgL_forwardz00_12603; 
goto BgL_statezd25zd21176z00_10722;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10753; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10756;
BgL_curz00_10756 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10749, BgL_forwardz00_10751); 
{ /* Llib/mpc.scm 217 */

{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5653z00_12606;
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5654z00_12607;
if(
(
(long)(BgL_curz00_10756)==((long)10)))
{ /* Llib/mpc.scm 217 */
BgL_test5654z00_12607 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5654z00_12607 = 
(
(long)(BgL_curz00_10756)==((long)9))
; } 
if(BgL_test5654z00_12607)
{ /* Llib/mpc.scm 217 */
BgL_test5653z00_12606 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5653z00_12606 = 
(
(long)(BgL_curz00_10756)==((long)32))
; } } 
if(BgL_test5653z00_12606)
{ 
 long BgL_forwardz00_12616; long BgL_lastzd2matchzd2_12615;
BgL_lastzd2matchzd2_12615 = BgL_newzd2matchzd2_10753; 
BgL_forwardz00_12616 = 
(((long)1)+BgL_forwardz00_10751); 
BgL_forwardz00_10751 = BgL_forwardz00_12616; 
BgL_lastzd2matchzd2_10750 = BgL_lastzd2matchzd2_12615; 
goto BgL_statezd25zd21176z00_10722;}  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10753; } } } } } }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10804; } } } } } }  else 
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5656z00_12620;
if(
(
(long)(BgL_curz00_10764)==((long)9)))
{ /* Llib/mpc.scm 217 */
BgL_test5656z00_12620 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5656z00_12620 = 
(
(long)(BgL_curz00_10764)==((long)32))
; } 
if(BgL_test5656z00_12620)
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10782 = BgL_iportz00_10757; 
BgL_lastzd2matchzd2_10783 = BgL_newzd2matchzd2_10761; 
BgL_forwardz00_10784 = 
(((long)1)+BgL_forwardz00_10759); 
BgL_bufposz00_10785 = BgL_bufposz00_10760; 
BgL_statezd22zd21173z00_10726:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10786;
RGC_STOP_MATCH(BgL_iportz00_10782, BgL_forwardz00_10784); 
BgL_newzd2matchzd2_10786 = ((long)0); 
if(
(BgL_forwardz00_10784==BgL_bufposz00_10785))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10782))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1934z00_10787; long BgL_arg1935z00_10788;
BgL_arg1934z00_10787 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10782); 
BgL_arg1935z00_10788 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10782); 
{ 
 long BgL_bufposz00_12634; long BgL_forwardz00_12633;
BgL_forwardz00_12633 = BgL_arg1934z00_10787; 
BgL_bufposz00_12634 = BgL_arg1935z00_10788; 
BgL_bufposz00_10785 = BgL_bufposz00_12634; 
BgL_forwardz00_10784 = BgL_forwardz00_12633; 
goto BgL_statezd22zd21173z00_10726;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10786; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10789;
BgL_curz00_10789 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10782, BgL_forwardz00_10784); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10789)==((long)10)))
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10741 = BgL_iportz00_10782; 
BgL_lastzd2matchzd2_10742 = BgL_newzd2matchzd2_10786; 
BgL_forwardz00_10743 = 
(((long)1)+BgL_forwardz00_10784); 
BgL_bufposz00_10744 = BgL_bufposz00_10785; 
BgL_statezd28zd21179z00_10721:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10745;
RGC_STOP_MATCH(BgL_iportz00_10741, BgL_forwardz00_10743); 
BgL_newzd2matchzd2_10745 = ((long)0); 
if(
(BgL_forwardz00_10743==BgL_bufposz00_10744))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10741))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1984z00_10746; long BgL_arg1985z00_10747;
BgL_arg1984z00_10746 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10741); 
BgL_arg1985z00_10747 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10741); 
{ 
 long BgL_bufposz00_12647; long BgL_forwardz00_12646;
BgL_forwardz00_12646 = BgL_arg1984z00_10746; 
BgL_bufposz00_12647 = BgL_arg1985z00_10747; 
BgL_bufposz00_10744 = BgL_bufposz00_12647; 
BgL_forwardz00_10743 = BgL_forwardz00_12646; 
goto BgL_statezd28zd21179z00_10721;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10745; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10748;
BgL_curz00_10748 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10741, BgL_forwardz00_10743); 
{ /* Llib/mpc.scm 217 */

{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5663z00_12649;
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5664z00_12650;
if(
(
(long)(BgL_curz00_10748)==((long)10)))
{ /* Llib/mpc.scm 217 */
BgL_test5664z00_12650 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5664z00_12650 = 
(
(long)(BgL_curz00_10748)==((long)9))
; } 
if(BgL_test5664z00_12650)
{ /* Llib/mpc.scm 217 */
BgL_test5663z00_12649 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5663z00_12649 = 
(
(long)(BgL_curz00_10748)==((long)32))
; } } 
if(BgL_test5663z00_12649)
{ 
 long BgL_bufposz00_12662; long BgL_forwardz00_12660; long BgL_lastzd2matchzd2_12659; obj_t BgL_iportz00_12658;
BgL_iportz00_12658 = BgL_iportz00_10741; 
BgL_lastzd2matchzd2_12659 = BgL_newzd2matchzd2_10745; 
BgL_forwardz00_12660 = 
(((long)1)+BgL_forwardz00_10743); 
BgL_bufposz00_12662 = BgL_bufposz00_10744; 
BgL_bufposz00_10752 = BgL_bufposz00_12662; 
BgL_forwardz00_10751 = BgL_forwardz00_12660; 
BgL_lastzd2matchzd2_10750 = BgL_lastzd2matchzd2_12659; 
BgL_iportz00_10749 = BgL_iportz00_12658; 
goto BgL_statezd25zd21176z00_10722;}  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10745; } } } } } }  else 
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5666z00_12664;
if(
(
(long)(BgL_curz00_10789)==((long)9)))
{ /* Llib/mpc.scm 217 */
BgL_test5666z00_12664 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5666z00_12664 = 
(
(long)(BgL_curz00_10789)==((long)32))
; } 
if(BgL_test5666z00_12664)
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10774 = BgL_iportz00_10782; 
BgL_lastzd2matchzd2_10775 = BgL_newzd2matchzd2_10786; 
BgL_forwardz00_10776 = 
(((long)1)+BgL_forwardz00_10784); 
BgL_bufposz00_10777 = BgL_bufposz00_10785; 
BgL_statezd27zd21178z00_10725:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10778;
RGC_STOP_MATCH(BgL_iportz00_10774, BgL_forwardz00_10776); 
BgL_newzd2matchzd2_10778 = ((long)0); 
if(
(BgL_forwardz00_10776==BgL_bufposz00_10777))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10774))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1945z00_10779; long BgL_arg1946z00_10780;
BgL_arg1945z00_10779 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10774); 
BgL_arg1946z00_10780 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10774); 
{ 
 long BgL_bufposz00_12678; long BgL_forwardz00_12677;
BgL_forwardz00_12677 = BgL_arg1945z00_10779; 
BgL_bufposz00_12678 = BgL_arg1946z00_10780; 
BgL_bufposz00_10777 = BgL_bufposz00_12678; 
BgL_forwardz00_10776 = BgL_forwardz00_12677; 
goto BgL_statezd27zd21178z00_10725;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10778; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10781;
BgL_curz00_10781 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10774, BgL_forwardz00_10776); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10781)==((long)10)))
{ 
 long BgL_bufposz00_12687; long BgL_forwardz00_12685; long BgL_lastzd2matchzd2_12684; obj_t BgL_iportz00_12683;
BgL_iportz00_12683 = BgL_iportz00_10774; 
BgL_lastzd2matchzd2_12684 = BgL_newzd2matchzd2_10778; 
BgL_forwardz00_12685 = 
(((long)1)+BgL_forwardz00_10776); 
BgL_bufposz00_12687 = BgL_bufposz00_10777; 
BgL_bufposz00_10744 = BgL_bufposz00_12687; 
BgL_forwardz00_10743 = BgL_forwardz00_12685; 
BgL_lastzd2matchzd2_10742 = BgL_lastzd2matchzd2_12684; 
BgL_iportz00_10741 = BgL_iportz00_12683; 
goto BgL_statezd28zd21179z00_10721;}  else 
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5671z00_12688;
if(
(
(long)(BgL_curz00_10781)==((long)9)))
{ /* Llib/mpc.scm 217 */
BgL_test5671z00_12688 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5671z00_12688 = 
(
(long)(BgL_curz00_10781)==((long)32))
; } 
if(BgL_test5671z00_12688)
{ 
 long BgL_forwardz00_12695; long BgL_lastzd2matchzd2_12694;
BgL_lastzd2matchzd2_12694 = BgL_newzd2matchzd2_10778; 
BgL_forwardz00_12695 = 
(((long)1)+BgL_forwardz00_10776); 
BgL_forwardz00_10776 = BgL_forwardz00_12695; 
BgL_lastzd2matchzd2_10775 = BgL_lastzd2matchzd2_12694; 
goto BgL_statezd27zd21178z00_10725;}  else 
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10765 = BgL_iportz00_10774; 
BgL_lastzd2matchzd2_10766 = BgL_newzd2matchzd2_10778; 
BgL_forwardz00_10767 = 
(((long)1)+BgL_forwardz00_10776); 
BgL_bufposz00_10768 = BgL_bufposz00_10777; 
BgL_statezd26zd21177z00_10724:
if(
(BgL_forwardz00_10767==BgL_bufposz00_10768))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10765))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1956z00_10769; long BgL_arg1957z00_10770;
BgL_arg1956z00_10769 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10765); 
BgL_arg1957z00_10770 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10765); 
{ 
 long BgL_bufposz00_12704; long BgL_forwardz00_12703;
BgL_forwardz00_12703 = BgL_arg1956z00_10769; 
BgL_bufposz00_12704 = BgL_arg1957z00_10770; 
BgL_bufposz00_10768 = BgL_bufposz00_12704; 
BgL_forwardz00_10767 = BgL_forwardz00_12703; 
goto BgL_statezd26zd21177z00_10724;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_lastzd2matchzd2_10766; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10771;
BgL_curz00_10771 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10765, BgL_forwardz00_10767); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10771)==((long)10)))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1959z00_10772;
BgL_arg1959z00_10772 = 
(((long)1)+BgL_forwardz00_10767); 
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10773;
RGC_STOP_MATCH(BgL_iportz00_10765, BgL_arg1959z00_10772); 
BgL_newzd2matchzd2_10773 = ((long)1); 
BgL_matchz00_10729 = BgL_newzd2matchzd2_10773; } }  else 
{ 
 long BgL_forwardz00_12711;
BgL_forwardz00_12711 = 
(((long)1)+BgL_forwardz00_10767); 
BgL_forwardz00_10767 = BgL_forwardz00_12711; 
goto BgL_statezd26zd21177z00_10724;} } } } } } } } }  else 
{ 
 long BgL_bufposz00_12719; long BgL_forwardz00_12717; long BgL_lastzd2matchzd2_12716; obj_t BgL_iportz00_12715;
BgL_iportz00_12715 = BgL_iportz00_10782; 
BgL_lastzd2matchzd2_12716 = BgL_newzd2matchzd2_10786; 
BgL_forwardz00_12717 = 
(((long)1)+BgL_forwardz00_10784); 
BgL_bufposz00_12719 = BgL_bufposz00_10785; 
BgL_bufposz00_10768 = BgL_bufposz00_12719; 
BgL_forwardz00_10767 = BgL_forwardz00_12717; 
BgL_lastzd2matchzd2_10766 = BgL_lastzd2matchzd2_12716; 
BgL_iportz00_10765 = BgL_iportz00_12715; 
goto BgL_statezd26zd21177z00_10724;} } } } } }  else 
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10790 = BgL_iportz00_10757; 
BgL_lastzd2matchzd2_10791 = BgL_newzd2matchzd2_10761; 
BgL_forwardz00_10792 = 
(((long)1)+BgL_forwardz00_10759); 
BgL_bufposz00_10793 = BgL_bufposz00_10760; 
BgL_statezd21zd21172z00_10727:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10794;
RGC_STOP_MATCH(BgL_iportz00_10790, BgL_forwardz00_10792); 
BgL_newzd2matchzd2_10794 = ((long)2); 
if(
(BgL_forwardz00_10792==BgL_bufposz00_10793))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10790))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1926z00_10795; long BgL_arg1927z00_10796;
BgL_arg1926z00_10795 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10790); 
BgL_arg1927z00_10796 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10790); 
{ 
 long BgL_bufposz00_12729; long BgL_forwardz00_12728;
BgL_forwardz00_12728 = BgL_arg1926z00_10795; 
BgL_bufposz00_12729 = BgL_arg1927z00_10796; 
BgL_bufposz00_10793 = BgL_bufposz00_12729; 
BgL_forwardz00_10792 = BgL_forwardz00_12728; 
goto BgL_statezd21zd21172z00_10727;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10729 = BgL_newzd2matchzd2_10794; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10797;
BgL_curz00_10797 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10790, BgL_forwardz00_10792); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10797)==((long)10)))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1929z00_10798;
BgL_arg1929z00_10798 = 
(((long)1)+BgL_forwardz00_10792); 
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10799;
RGC_STOP_MATCH(BgL_iportz00_10790, BgL_arg1929z00_10798); 
BgL_newzd2matchzd2_10799 = ((long)1); 
BgL_matchz00_10729 = BgL_newzd2matchzd2_10799; } }  else 
{ 
 long BgL_bufposz00_12740; long BgL_forwardz00_12738; long BgL_lastzd2matchzd2_12737; obj_t BgL_iportz00_12736;
BgL_iportz00_12736 = BgL_iportz00_10790; 
BgL_lastzd2matchzd2_12737 = BgL_newzd2matchzd2_10794; 
BgL_forwardz00_12738 = 
(((long)1)+BgL_forwardz00_10792); 
BgL_bufposz00_12740 = BgL_bufposz00_10793; 
BgL_bufposz00_10768 = BgL_bufposz00_12740; 
BgL_forwardz00_10767 = BgL_forwardz00_12738; 
BgL_lastzd2matchzd2_10766 = BgL_lastzd2matchzd2_12737; 
BgL_iportz00_10765 = BgL_iportz00_12736; 
goto BgL_statezd26zd21177z00_10724;} } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10201); 
switch( BgL_matchz00_10729) { case ((long)2) : 

{ /* Llib/mpc.scm 224 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg2079z00_10732;
{ /* Llib/mpc.scm 224 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1184z00_10733;
{ /* Llib/mpc.scm 224 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1183z00_10734;
BgL_new1183z00_10734 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 224 */
 long BgL_arg2084z00_10735;
BgL_arg2084z00_10735 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_10734), BgL_arg2084z00_10735); } 
BgL_new1184z00_10733 = BgL_new1183z00_10734; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_10733)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_10733)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12751;
{ /* Llib/mpc.scm 224 */
 obj_t BgL_arg2080z00_10736;
{ /* Llib/mpc.scm 224 */
 obj_t BgL_arg2081z00_10737;
{ /* Llib/mpc.scm 224 */
 obj_t BgL_classz00_10738;
BgL_classz00_10738 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg2081z00_10737 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10738); } 
BgL_arg2080z00_10736 = 
VECTOR_REF(BgL_arg2081z00_10737,((long)2)); } 
BgL_auxz00_12751 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2080z00_10736); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_10733)))->BgL_stackz00)=((obj_t)BgL_auxz00_12751),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_10733)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_10733)))->BgL_msgz00)=((obj_t)BGl_string5327z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12762;
{ /* Llib/mpc.scm 227 */
 obj_t BgL_arg2082z00_10739;
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5679z00_12764;
{ /* Llib/mpc.scm 217 */
 long BgL_arg2071z00_10740;
BgL_arg2071z00_10740 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10201); 
BgL_test5679z00_12764 = 
(BgL_arg2071z00_10740==((long)0)); } 
if(BgL_test5679z00_12764)
{ /* Llib/mpc.scm 217 */
BgL_arg2082z00_10739 = BEOF; }  else 
{ /* Llib/mpc.scm 217 */
BgL_arg2082z00_10739 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10201)); } } 
BgL_auxz00_12762 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg2082z00_10739, BgL_iportz00_10201); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_10733)))->BgL_objz00)=((obj_t)BgL_auxz00_12762),BUNSPEC); } 
BgL_arg2079z00_10732 = BgL_new1184z00_10733; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2079z00_10732));} break;case ((long)1) : 

return BUNSPEC;break;case ((long)0) : 

goto BgL_ignorez00_10719;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10729));} } } } 

}



/* &<@anonymous:1658> */
obj_t BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10202, obj_t BgL_iportz00_10203)
{
{ /* Llib/mpc.scm 201 */
{ 
 obj_t BgL_iportz00_10902; long BgL_lastzd2matchzd2_10903; long BgL_forwardz00_10904; long BgL_bufposz00_10905; obj_t BgL_iportz00_10894; long BgL_lastzd2matchzd2_10895; long BgL_forwardz00_10896; long BgL_bufposz00_10897; obj_t BgL_iportz00_10886; long BgL_lastzd2matchzd2_10887; long BgL_forwardz00_10888; long BgL_bufposz00_10889; obj_t BgL_iportz00_10876; long BgL_lastzd2matchzd2_10877; long BgL_forwardz00_10878; long BgL_bufposz00_10879; obj_t BgL_iportz00_10866; long BgL_lastzd2matchzd2_10867; long BgL_forwardz00_10868; long BgL_bufposz00_10869; obj_t BgL_iportz00_10858; long BgL_lastzd2matchzd2_10859; long BgL_forwardz00_10860; long BgL_bufposz00_10861; obj_t BgL_iportz00_10850; long BgL_lastzd2matchzd2_10851; long BgL_forwardz00_10852; long BgL_bufposz00_10853; obj_t BgL_iportz00_10842; long BgL_lastzd2matchzd2_10843; long BgL_forwardz00_10844; long BgL_bufposz00_10845; int BgL_minz00_10832; int BgL_maxz00_10833;
BgL_ignorez00_10809:
RGC_START_MATCH(BgL_iportz00_10203); 
{ /* Llib/mpc.scm 201 */
 long BgL_matchz00_10820;
{ /* Llib/mpc.scm 201 */
 long BgL_arg1911z00_10821; long BgL_arg1912z00_10822;
BgL_arg1911z00_10821 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10203); 
BgL_arg1912z00_10822 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10203); 
BgL_iportz00_10876 = BgL_iportz00_10203; 
BgL_lastzd2matchzd2_10877 = ((long)2); 
BgL_forwardz00_10878 = BgL_arg1911z00_10821; 
BgL_bufposz00_10879 = BgL_arg1912z00_10822; 
BgL_statezd20zd21156z00_10816:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10880;
RGC_STOP_MATCH(BgL_iportz00_10876, BgL_forwardz00_10878); 
BgL_newzd2matchzd2_10880 = ((long)0); 
if(
(BgL_forwardz00_10878==BgL_bufposz00_10879))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10876))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1718z00_10881; long BgL_arg1719z00_10882;
BgL_arg1718z00_10881 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10876); 
BgL_arg1719z00_10882 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10876); 
{ 
 long BgL_bufposz00_12787; long BgL_forwardz00_12786;
BgL_forwardz00_12786 = BgL_arg1718z00_10881; 
BgL_bufposz00_12787 = BgL_arg1719z00_10882; 
BgL_bufposz00_10879 = BgL_bufposz00_12787; 
BgL_forwardz00_10878 = BgL_forwardz00_12786; 
goto BgL_statezd20zd21156z00_10816;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10880; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10883;
BgL_curz00_10883 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10876, BgL_forwardz00_10878); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10883)==((long)13)))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1722z00_10884;
BgL_arg1722z00_10884 = 
(((long)1)+BgL_forwardz00_10878); 
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10885;
RGC_STOP_MATCH(BgL_iportz00_10876, BgL_arg1722z00_10884); 
BgL_newzd2matchzd2_10885 = ((long)2); 
BgL_matchz00_10820 = BgL_newzd2matchzd2_10885; } }  else 
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5683z00_12794;
if(
(
(long)(BgL_curz00_10883)==((long)10)))
{ /* Llib/mpc.scm 201 */
BgL_test5683z00_12794 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5683z00_12794 = 
(
(long)(BgL_curz00_10883)==((long)32))
; } 
if(BgL_test5683z00_12794)
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10886 = BgL_iportz00_10876; 
BgL_lastzd2matchzd2_10887 = BgL_newzd2matchzd2_10880; 
BgL_forwardz00_10888 = 
(((long)1)+BgL_forwardz00_10878); 
BgL_bufposz00_10889 = BgL_bufposz00_10879; 
BgL_statezd23zd21159z00_10817:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10890;
RGC_STOP_MATCH(BgL_iportz00_10886, BgL_forwardz00_10888); 
BgL_newzd2matchzd2_10890 = ((long)0); 
if(
(BgL_forwardz00_10888==BgL_bufposz00_10889))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10886))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1698z00_10891; long BgL_arg1701z00_10892;
BgL_arg1698z00_10891 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10886); 
BgL_arg1701z00_10892 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10886); 
{ 
 long BgL_bufposz00_12808; long BgL_forwardz00_12807;
BgL_forwardz00_12807 = BgL_arg1698z00_10891; 
BgL_bufposz00_12808 = BgL_arg1701z00_10892; 
BgL_bufposz00_10889 = BgL_bufposz00_12808; 
BgL_forwardz00_10888 = BgL_forwardz00_12807; 
goto BgL_statezd23zd21159z00_10817;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10890; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10893;
BgL_curz00_10893 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10886, BgL_forwardz00_10888); 
{ /* Llib/mpc.scm 201 */

{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5687z00_12810;
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5688z00_12811;
if(
(
(long)(BgL_curz00_10893)==((long)10)))
{ /* Llib/mpc.scm 201 */
BgL_test5688z00_12811 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5688z00_12811 = 
(
(long)(BgL_curz00_10893)==((long)9))
; } 
if(BgL_test5688z00_12811)
{ /* Llib/mpc.scm 201 */
BgL_test5687z00_12810 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5687z00_12810 = 
(
(long)(BgL_curz00_10893)==((long)32))
; } } 
if(BgL_test5687z00_12810)
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10850 = BgL_iportz00_10886; 
BgL_lastzd2matchzd2_10851 = BgL_newzd2matchzd2_10890; 
BgL_forwardz00_10852 = 
(((long)1)+BgL_forwardz00_10888); 
BgL_bufposz00_10853 = BgL_bufposz00_10889; 
BgL_statezd26zd21162z00_10813:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10854;
RGC_STOP_MATCH(BgL_iportz00_10850, BgL_forwardz00_10852); 
BgL_newzd2matchzd2_10854 = ((long)0); 
if(
(BgL_forwardz00_10852==BgL_bufposz00_10853))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10850))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1788z00_10855; long BgL_arg1790z00_10856;
BgL_arg1788z00_10855 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10850); 
BgL_arg1790z00_10856 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10850); 
{ 
 long BgL_bufposz00_12827; long BgL_forwardz00_12826;
BgL_forwardz00_12826 = BgL_arg1788z00_10855; 
BgL_bufposz00_12827 = BgL_arg1790z00_10856; 
BgL_bufposz00_10853 = BgL_bufposz00_12827; 
BgL_forwardz00_10852 = BgL_forwardz00_12826; 
goto BgL_statezd26zd21162z00_10813;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10854; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10857;
BgL_curz00_10857 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10850, BgL_forwardz00_10852); 
{ /* Llib/mpc.scm 201 */

{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5692z00_12829;
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5693z00_12830;
if(
(
(long)(BgL_curz00_10857)==((long)10)))
{ /* Llib/mpc.scm 201 */
BgL_test5693z00_12830 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5693z00_12830 = 
(
(long)(BgL_curz00_10857)==((long)9))
; } 
if(BgL_test5693z00_12830)
{ /* Llib/mpc.scm 201 */
BgL_test5692z00_12829 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5692z00_12829 = 
(
(long)(BgL_curz00_10857)==((long)32))
; } } 
if(BgL_test5692z00_12829)
{ 
 long BgL_forwardz00_12839; long BgL_lastzd2matchzd2_12838;
BgL_lastzd2matchzd2_12838 = BgL_newzd2matchzd2_10854; 
BgL_forwardz00_12839 = 
(((long)1)+BgL_forwardz00_10852); 
BgL_forwardz00_10852 = BgL_forwardz00_12839; 
BgL_lastzd2matchzd2_10851 = BgL_lastzd2matchzd2_12838; 
goto BgL_statezd26zd21162z00_10813;}  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10854; } } } } } }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10890; } } } } } }  else 
{ /* Llib/mpc.scm 201 */
if(
(
(long)(BgL_curz00_10883)==((long)9)))
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10858 = BgL_iportz00_10876; 
BgL_lastzd2matchzd2_10859 = BgL_newzd2matchzd2_10880; 
BgL_forwardz00_10860 = 
(((long)1)+BgL_forwardz00_10878); 
BgL_bufposz00_10861 = BgL_bufposz00_10879; 
BgL_statezd22zd21158z00_10814:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10862;
RGC_STOP_MATCH(BgL_iportz00_10858, BgL_forwardz00_10860); 
BgL_newzd2matchzd2_10862 = ((long)0); 
if(
(BgL_forwardz00_10860==BgL_bufposz00_10861))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10858))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1755z00_10863; long BgL_arg1758z00_10864;
BgL_arg1755z00_10863 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10858); 
BgL_arg1758z00_10864 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10858); 
{ 
 long BgL_bufposz00_12854; long BgL_forwardz00_12853;
BgL_forwardz00_12853 = BgL_arg1755z00_10863; 
BgL_bufposz00_12854 = BgL_arg1758z00_10864; 
BgL_bufposz00_10861 = BgL_bufposz00_12854; 
BgL_forwardz00_10860 = BgL_forwardz00_12853; 
goto BgL_statezd22zd21158z00_10814;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10862; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10865;
BgL_curz00_10865 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10858, BgL_forwardz00_10860); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10865)==((long)10)))
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10842 = BgL_iportz00_10858; 
BgL_lastzd2matchzd2_10843 = BgL_newzd2matchzd2_10862; 
BgL_forwardz00_10844 = 
(((long)1)+BgL_forwardz00_10860); 
BgL_bufposz00_10845 = BgL_bufposz00_10861; 
BgL_statezd29zd21165z00_10812:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10846;
RGC_STOP_MATCH(BgL_iportz00_10842, BgL_forwardz00_10844); 
BgL_newzd2matchzd2_10846 = ((long)0); 
if(
(BgL_forwardz00_10844==BgL_bufposz00_10845))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10842))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1804z00_10847; long BgL_arg1805z00_10848;
BgL_arg1804z00_10847 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10842); 
BgL_arg1805z00_10848 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10842); 
{ 
 long BgL_bufposz00_12867; long BgL_forwardz00_12866;
BgL_forwardz00_12866 = BgL_arg1804z00_10847; 
BgL_bufposz00_12867 = BgL_arg1805z00_10848; 
BgL_bufposz00_10845 = BgL_bufposz00_12867; 
BgL_forwardz00_10844 = BgL_forwardz00_12866; 
goto BgL_statezd29zd21165z00_10812;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10846; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10849;
BgL_curz00_10849 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10842, BgL_forwardz00_10844); 
{ /* Llib/mpc.scm 201 */

{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5701z00_12869;
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5702z00_12870;
if(
(
(long)(BgL_curz00_10849)==((long)10)))
{ /* Llib/mpc.scm 201 */
BgL_test5702z00_12870 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5702z00_12870 = 
(
(long)(BgL_curz00_10849)==((long)9))
; } 
if(BgL_test5702z00_12870)
{ /* Llib/mpc.scm 201 */
BgL_test5701z00_12869 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5701z00_12869 = 
(
(long)(BgL_curz00_10849)==((long)32))
; } } 
if(BgL_test5701z00_12869)
{ 
 long BgL_bufposz00_12882; long BgL_forwardz00_12880; long BgL_lastzd2matchzd2_12879; obj_t BgL_iportz00_12878;
BgL_iportz00_12878 = BgL_iportz00_10842; 
BgL_lastzd2matchzd2_12879 = BgL_newzd2matchzd2_10846; 
BgL_forwardz00_12880 = 
(((long)1)+BgL_forwardz00_10844); 
BgL_bufposz00_12882 = BgL_bufposz00_10845; 
BgL_bufposz00_10853 = BgL_bufposz00_12882; 
BgL_forwardz00_10852 = BgL_forwardz00_12880; 
BgL_lastzd2matchzd2_10851 = BgL_lastzd2matchzd2_12879; 
BgL_iportz00_10850 = BgL_iportz00_12878; 
goto BgL_statezd26zd21162z00_10813;}  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10846; } } } } } }  else 
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5704z00_12884;
if(
(
(long)(BgL_curz00_10865)==((long)9)))
{ /* Llib/mpc.scm 201 */
BgL_test5704z00_12884 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5704z00_12884 = 
(
(long)(BgL_curz00_10865)==((long)32))
; } 
if(BgL_test5704z00_12884)
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10894 = BgL_iportz00_10858; 
BgL_lastzd2matchzd2_10895 = BgL_newzd2matchzd2_10862; 
BgL_forwardz00_10896 = 
(((long)1)+BgL_forwardz00_10860); 
BgL_bufposz00_10897 = BgL_bufposz00_10861; 
BgL_statezd28zd21164z00_10818:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10898;
RGC_STOP_MATCH(BgL_iportz00_10894, BgL_forwardz00_10896); 
BgL_newzd2matchzd2_10898 = ((long)0); 
if(
(BgL_forwardz00_10896==BgL_bufposz00_10897))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10894))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1683z00_10899; long BgL_arg1684z00_10900;
BgL_arg1683z00_10899 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10894); 
BgL_arg1684z00_10900 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10894); 
{ 
 long BgL_bufposz00_12898; long BgL_forwardz00_12897;
BgL_forwardz00_12897 = BgL_arg1683z00_10899; 
BgL_bufposz00_12898 = BgL_arg1684z00_10900; 
BgL_bufposz00_10897 = BgL_bufposz00_12898; 
BgL_forwardz00_10896 = BgL_forwardz00_12897; 
goto BgL_statezd28zd21164z00_10818;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10898; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10901;
BgL_curz00_10901 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10894, BgL_forwardz00_10896); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10901)==((long)10)))
{ 
 long BgL_bufposz00_12907; long BgL_forwardz00_12905; long BgL_lastzd2matchzd2_12904; obj_t BgL_iportz00_12903;
BgL_iportz00_12903 = BgL_iportz00_10894; 
BgL_lastzd2matchzd2_12904 = BgL_newzd2matchzd2_10898; 
BgL_forwardz00_12905 = 
(((long)1)+BgL_forwardz00_10896); 
BgL_bufposz00_12907 = BgL_bufposz00_10897; 
BgL_bufposz00_10845 = BgL_bufposz00_12907; 
BgL_forwardz00_10844 = BgL_forwardz00_12905; 
BgL_lastzd2matchzd2_10843 = BgL_lastzd2matchzd2_12904; 
BgL_iportz00_10842 = BgL_iportz00_12903; 
goto BgL_statezd29zd21165z00_10812;}  else 
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5709z00_12908;
if(
(
(long)(BgL_curz00_10901)==((long)9)))
{ /* Llib/mpc.scm 201 */
BgL_test5709z00_12908 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5709z00_12908 = 
(
(long)(BgL_curz00_10901)==((long)32))
; } 
if(BgL_test5709z00_12908)
{ 
 long BgL_forwardz00_12915; long BgL_lastzd2matchzd2_12914;
BgL_lastzd2matchzd2_12914 = BgL_newzd2matchzd2_10898; 
BgL_forwardz00_12915 = 
(((long)1)+BgL_forwardz00_10896); 
BgL_forwardz00_10896 = BgL_forwardz00_12915; 
BgL_lastzd2matchzd2_10895 = BgL_lastzd2matchzd2_12914; 
goto BgL_statezd28zd21164z00_10818;}  else 
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10902 = BgL_iportz00_10894; 
BgL_lastzd2matchzd2_10903 = BgL_newzd2matchzd2_10898; 
BgL_forwardz00_10904 = 
(((long)1)+BgL_forwardz00_10896); 
BgL_bufposz00_10905 = BgL_bufposz00_10897; 
BgL_statezd27zd21163z00_10819:
if(
(BgL_forwardz00_10904==BgL_bufposz00_10905))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10902))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1664z00_10906; long BgL_arg1668z00_10907;
BgL_arg1664z00_10906 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10902); 
BgL_arg1668z00_10907 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10902); 
{ 
 long BgL_bufposz00_12924; long BgL_forwardz00_12923;
BgL_forwardz00_12923 = BgL_arg1664z00_10906; 
BgL_bufposz00_12924 = BgL_arg1668z00_10907; 
BgL_bufposz00_10905 = BgL_bufposz00_12924; 
BgL_forwardz00_10904 = BgL_forwardz00_12923; 
goto BgL_statezd27zd21163z00_10819;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_lastzd2matchzd2_10903; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10908;
BgL_curz00_10908 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10902, BgL_forwardz00_10904); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10908)==((long)10)))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1672z00_10909;
BgL_arg1672z00_10909 = 
(((long)1)+BgL_forwardz00_10904); 
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10910;
RGC_STOP_MATCH(BgL_iportz00_10902, BgL_arg1672z00_10909); 
BgL_newzd2matchzd2_10910 = ((long)1); 
BgL_matchz00_10820 = BgL_newzd2matchzd2_10910; } }  else 
{ 
 long BgL_forwardz00_12931;
BgL_forwardz00_12931 = 
(((long)1)+BgL_forwardz00_10904); 
BgL_forwardz00_10904 = BgL_forwardz00_12931; 
goto BgL_statezd27zd21163z00_10819;} } } } } } } } }  else 
{ 
 long BgL_bufposz00_12939; long BgL_forwardz00_12937; long BgL_lastzd2matchzd2_12936; obj_t BgL_iportz00_12935;
BgL_iportz00_12935 = BgL_iportz00_10858; 
BgL_lastzd2matchzd2_12936 = BgL_newzd2matchzd2_10862; 
BgL_forwardz00_12937 = 
(((long)1)+BgL_forwardz00_10860); 
BgL_bufposz00_12939 = BgL_bufposz00_10861; 
BgL_bufposz00_10905 = BgL_bufposz00_12939; 
BgL_forwardz00_10904 = BgL_forwardz00_12937; 
BgL_lastzd2matchzd2_10903 = BgL_lastzd2matchzd2_12936; 
BgL_iportz00_10902 = BgL_iportz00_12935; 
goto BgL_statezd27zd21163z00_10819;} } } } } }  else 
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10866 = BgL_iportz00_10876; 
BgL_lastzd2matchzd2_10867 = BgL_newzd2matchzd2_10880; 
BgL_forwardz00_10868 = 
(((long)1)+BgL_forwardz00_10878); 
BgL_bufposz00_10869 = BgL_bufposz00_10879; 
BgL_statezd21zd21157z00_10815:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10870;
RGC_STOP_MATCH(BgL_iportz00_10866, BgL_forwardz00_10868); 
BgL_newzd2matchzd2_10870 = ((long)2); 
if(
(BgL_forwardz00_10868==BgL_bufposz00_10869))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10866))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1737z00_10871; long BgL_arg1738z00_10872;
BgL_arg1737z00_10871 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10866); 
BgL_arg1738z00_10872 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10866); 
{ 
 long BgL_bufposz00_12949; long BgL_forwardz00_12948;
BgL_forwardz00_12948 = BgL_arg1737z00_10871; 
BgL_bufposz00_12949 = BgL_arg1738z00_10872; 
BgL_bufposz00_10869 = BgL_bufposz00_12949; 
BgL_forwardz00_10868 = BgL_forwardz00_12948; 
goto BgL_statezd21zd21157z00_10815;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10820 = BgL_newzd2matchzd2_10870; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10873;
BgL_curz00_10873 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10866, BgL_forwardz00_10868); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10873)==((long)10)))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1747z00_10874;
BgL_arg1747z00_10874 = 
(((long)1)+BgL_forwardz00_10868); 
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10875;
RGC_STOP_MATCH(BgL_iportz00_10866, BgL_arg1747z00_10874); 
BgL_newzd2matchzd2_10875 = ((long)1); 
BgL_matchz00_10820 = BgL_newzd2matchzd2_10875; } }  else 
{ 
 long BgL_bufposz00_12960; long BgL_forwardz00_12958; long BgL_lastzd2matchzd2_12957; obj_t BgL_iportz00_12956;
BgL_iportz00_12956 = BgL_iportz00_10866; 
BgL_lastzd2matchzd2_12957 = BgL_newzd2matchzd2_10870; 
BgL_forwardz00_12958 = 
(((long)1)+BgL_forwardz00_10868); 
BgL_bufposz00_12960 = BgL_bufposz00_10869; 
BgL_bufposz00_10905 = BgL_bufposz00_12960; 
BgL_forwardz00_10904 = BgL_forwardz00_12958; 
BgL_lastzd2matchzd2_10903 = BgL_lastzd2matchzd2_12957; 
BgL_iportz00_10902 = BgL_iportz00_12956; 
goto BgL_statezd27zd21163z00_10819;} } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10203); 
switch( BgL_matchz00_10820) { case ((long)2) : 

{ /* Llib/mpc.scm 208 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1903z00_10823;
{ /* Llib/mpc.scm 208 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1170z00_10824;
{ /* Llib/mpc.scm 208 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1169z00_10825;
BgL_new1169z00_10825 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 208 */
 long BgL_arg1910z00_10826;
BgL_arg1910z00_10826 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_10825), BgL_arg1910z00_10826); } 
BgL_new1170z00_10824 = BgL_new1169z00_10825; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_10824)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_10824)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12971;
{ /* Llib/mpc.scm 208 */
 obj_t BgL_arg1904z00_10827;
{ /* Llib/mpc.scm 208 */
 obj_t BgL_arg1907z00_10828;
{ /* Llib/mpc.scm 208 */
 obj_t BgL_classz00_10829;
BgL_classz00_10829 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1907z00_10828 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10829); } 
BgL_arg1904z00_10827 = 
VECTOR_REF(BgL_arg1907z00_10828,((long)2)); } 
BgL_auxz00_12971 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1904z00_10827); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_10824)))->BgL_stackz00)=((obj_t)BgL_auxz00_12971),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_10824)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_10824)))->BgL_msgz00)=((obj_t)BGl_string5328z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12982;
{ /* Llib/mpc.scm 211 */
 obj_t BgL_arg1908z00_10830;
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5717z00_12984;
{ /* Llib/mpc.scm 201 */
 long BgL_arg1895z00_10831;
BgL_arg1895z00_10831 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10203); 
BgL_test5717z00_12984 = 
(BgL_arg1895z00_10831==((long)0)); } 
if(BgL_test5717z00_12984)
{ /* Llib/mpc.scm 201 */
BgL_arg1908z00_10830 = BEOF; }  else 
{ /* Llib/mpc.scm 201 */
BgL_arg1908z00_10830 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10203)); } } 
BgL_auxz00_12982 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg1908z00_10830, BgL_iportz00_10203); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_10824)))->BgL_objz00)=((obj_t)BgL_auxz00_12982),BUNSPEC); } 
BgL_arg1903z00_10823 = BgL_new1170z00_10824; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1903z00_10823));} break;case ((long)1) : 

BgL_minz00_10832 = 
(int)(((long)0)); 
BgL_maxz00_10833 = 
(int)(((long)-1)); 
if(
(
(long)(BgL_maxz00_10833)<
(long)(BgL_minz00_10832)))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1823z00_10834;
BgL_arg1823z00_10834 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10203); 
{ /* Llib/mpc.scm 201 */
 long BgL_za72za7_10835;
BgL_za72za7_10835 = 
(long)(BgL_maxz00_10833); 
BgL_maxz00_10833 = 
(int)(
(BgL_arg1823z00_10834+BgL_za72za7_10835)); } }  else 
{ /* Llib/mpc.scm 201 */BFALSE; } 
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5719z00_13001;
if(
(
(long)(BgL_minz00_10832)>=((long)0)))
{ /* Llib/mpc.scm 201 */
if(
(
(long)(BgL_maxz00_10833)>=
(long)(BgL_minz00_10832)))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1832z00_10836;
BgL_arg1832z00_10836 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10203); 
BgL_test5719z00_13001 = 
(
(long)(BgL_maxz00_10833)<=BgL_arg1832z00_10836); }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5719z00_13001 = ((bool_t)0)
; } }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5719z00_13001 = ((bool_t)0)
; } 
if(BgL_test5719z00_13001)
{ /* Llib/mpc.scm 201 */
return 
rgc_buffer_substring(BgL_iportz00_10203, 
(long)(BgL_minz00_10832), 
(long)(BgL_maxz00_10833));}  else 
{ /* Llib/mpc.scm 201 */
 obj_t BgL_arg1828z00_10837; obj_t BgL_arg1829z00_10838;
{ /* Llib/mpc.scm 201 */
 obj_t BgL_arg1830z00_10839;
{ /* Llib/mpc.scm 201 */
 long BgL_arg1820z00_10840;
BgL_arg1820z00_10840 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10203); 
BgL_arg1830z00_10839 = 
rgc_buffer_substring(BgL_iportz00_10203, ((long)0), BgL_arg1820z00_10840); } 
{ /* Llib/mpc.scm 201 */
 obj_t BgL_list1831z00_10841;
BgL_list1831z00_10841 = 
MAKE_YOUNG_PAIR(BgL_arg1830z00_10839, BNIL); 
BgL_arg1828z00_10837 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5329z00zz__multimediazd2mpczd2, BgL_list1831z00_10841); } } 
BgL_arg1829z00_10838 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_10832), 
BINT(BgL_maxz00_10833)); 
return 
BGl_errorz00zz__errorz00(BGl_string5330z00zz__multimediazd2mpczd2, BgL_arg1828z00_10837, BgL_arg1829z00_10838);} } break;case ((long)0) : 

goto BgL_ignorez00_10809;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10820));} } } } 

}



/* set-error! */
obj_t BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_6, BgL_musicstatusz00_bglt BgL_statusz00_7, obj_t BgL_ez00_8)
{
{ /* Llib/mpc.scm 74 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_7))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(((long)1))),BUNSPEC); 
{ /* Llib/mpc.scm 79 */
 bool_t BgL_test5722z00_13030;
{ /* Llib/mpc.scm 79 */
 obj_t BgL_classz00_7732;
BgL_classz00_7732 = BGl_z62errorz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_8))
{ /* Llib/mpc.scm 79 */
 BgL_objectz00_bglt BgL_arg1789z00_7734;
BgL_arg1789z00_7734 = 
(BgL_objectz00_bglt)(BgL_ez00_8); 
{ /* Llib/mpc.scm 79 */
 bool_t BgL_arg1786z00_7737; bool_t BgL_arg1787z00_7738;
{ /* Llib/mpc.scm 79 */
 long BgL_idxz00_7741;
BgL_idxz00_7741 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_7734); 
BgL_arg1786z00_7737 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_7741+((long)3)))==BgL_classz00_7732); } 
{ /* Llib/mpc.scm 79 */
 bool_t BgL_res5232z00_7763;
{ /* Llib/mpc.scm 79 */
 obj_t BgL_oclassz00_7749;
{ /* Llib/mpc.scm 79 */
 long BgL_arg1796z00_7755;
{ /* Llib/mpc.scm 79 */
 long BgL_arg1797z00_7756;
BgL_arg1797z00_7756 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_7734); 
BgL_arg1796z00_7755 = 
(BgL_arg1797z00_7756-OBJECT_TYPE); } 
BgL_oclassz00_7749 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_7755); } 
{ /* Llib/mpc.scm 79 */
 bool_t BgL__ortest_1111z00_7750;
BgL__ortest_1111z00_7750 = 
(BgL_classz00_7732==BgL_oclassz00_7749); 
if(BgL__ortest_1111z00_7750)
{ /* Llib/mpc.scm 79 */
BgL_res5232z00_7763 = BgL__ortest_1111z00_7750; }  else 
{ /* Llib/mpc.scm 79 */
 long BgL_odepthz00_7751;
BgL_odepthz00_7751 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7749); 
if(
(((long)3)<BgL_odepthz00_7751))
{ /* Llib/mpc.scm 79 */
 obj_t BgL_arg1785z00_7753;
BgL_arg1785z00_7753 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7749, ((long)3)); 
BgL_res5232z00_7763 = 
(BgL_arg1785z00_7753==BgL_classz00_7732); }  else 
{ /* Llib/mpc.scm 79 */
BgL_res5232z00_7763 = ((bool_t)0); } } } } 
BgL_arg1787z00_7738 = BgL_res5232z00_7763; } 
BgL_test5722z00_13030 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_7737, BgL_arg1787z00_7738); } }  else 
{ /* Llib/mpc.scm 79 */
BgL_test5722z00_13030 = ((bool_t)0)
; } } 
if(BgL_test5722z00_13030)
{ /* Llib/mpc.scm 79 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_7))->BgL_errz00)=((obj_t)
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_8)))->BgL_msgz00)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 82 */
 bool_t BgL_test5726z00_13052;
{ /* Llib/mpc.scm 82 */
 obj_t BgL_classz00_7764;
BgL_classz00_7764 = BGl_z62exceptionz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_8))
{ /* Llib/mpc.scm 82 */
 BgL_objectz00_bglt BgL_arg1789z00_7766;
BgL_arg1789z00_7766 = 
(BgL_objectz00_bglt)(BgL_ez00_8); 
{ /* Llib/mpc.scm 82 */
 bool_t BgL_arg1786z00_7769; bool_t BgL_arg1787z00_7770;
{ /* Llib/mpc.scm 82 */
 long BgL_idxz00_7773;
BgL_idxz00_7773 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_7766); 
BgL_arg1786z00_7769 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_7773+((long)2)))==BgL_classz00_7764); } 
{ /* Llib/mpc.scm 82 */
 bool_t BgL_res5233z00_7795;
{ /* Llib/mpc.scm 82 */
 obj_t BgL_oclassz00_7781;
{ /* Llib/mpc.scm 82 */
 long BgL_arg1796z00_7787;
{ /* Llib/mpc.scm 82 */
 long BgL_arg1797z00_7788;
BgL_arg1797z00_7788 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_7766); 
BgL_arg1796z00_7787 = 
(BgL_arg1797z00_7788-OBJECT_TYPE); } 
BgL_oclassz00_7781 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_7787); } 
{ /* Llib/mpc.scm 82 */
 bool_t BgL__ortest_1111z00_7782;
BgL__ortest_1111z00_7782 = 
(BgL_classz00_7764==BgL_oclassz00_7781); 
if(BgL__ortest_1111z00_7782)
{ /* Llib/mpc.scm 82 */
BgL_res5233z00_7795 = BgL__ortest_1111z00_7782; }  else 
{ /* Llib/mpc.scm 82 */
 long BgL_odepthz00_7783;
BgL_odepthz00_7783 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7781); 
if(
(((long)2)<BgL_odepthz00_7783))
{ /* Llib/mpc.scm 82 */
 obj_t BgL_arg1785z00_7785;
BgL_arg1785z00_7785 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7781, ((long)2)); 
BgL_res5233z00_7795 = 
(BgL_arg1785z00_7785==BgL_classz00_7764); }  else 
{ /* Llib/mpc.scm 82 */
BgL_res5233z00_7795 = ((bool_t)0); } } } } 
BgL_arg1787z00_7770 = BgL_res5233z00_7795; } 
BgL_test5726z00_13052 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_7769, BgL_arg1787z00_7770); } }  else 
{ /* Llib/mpc.scm 82 */
BgL_test5726z00_13052 = ((bool_t)0)
; } } 
if(BgL_test5726z00_13052)
{ 
 obj_t BgL_auxz00_13071;
{ /* Llib/mpc.scm 83 */
 obj_t BgL_zc3z04anonymousza32383ze3z87_10204;
BgL_zc3z04anonymousza32383ze3z87_10204 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32383ze3z87_10204, 
(int)(((long)0)), BgL_ez00_8); 
BgL_auxz00_13071 = 
BGl_withzd2errorzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza32383ze3z87_10204); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_7))->BgL_errz00)=((obj_t)BgL_auxz00_13071),BUNSPEC); }  else 
{ /* Llib/mpc.scm 82 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_7))->BgL_errz00)=((obj_t)BgL_ez00_8),BUNSPEC); } } } 
{ /* Llib/mpc.scm 86 */
 bool_t BgL_test5730z00_13080;
{ /* Llib/mpc.scm 86 */
 obj_t BgL_tmpz00_13081;
BgL_tmpz00_13081 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_6))->BgL_z52socketz52); 
BgL_test5730z00_13080 = 
SOCKETP(BgL_tmpz00_13081); } 
if(BgL_test5730z00_13080)
{ /* Llib/mpc.scm 86 */
{ /* Llib/mpc.scm 87 */
 obj_t BgL_arg2386z00_1391;
BgL_arg2386z00_1391 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_6))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg2386z00_1391)); } 
return 
((((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_6))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC);}  else 
{ /* Llib/mpc.scm 86 */
return BFALSE;} } } 

}



/* &<@anonymous:2383> */
obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10205)
{
{ /* Llib/mpc.scm 83 */
return 
BGl_exceptionzd2notifyzd2zz__objectz00(
PROCEDURE_REF(BgL_envz00_10205, 
(int)(((long)0))));} 

}



/* exec */
bool_t BGl_execz00zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_9, obj_t BgL_cmdz00_10)
{
{ /* Llib/mpc.scm 93 */
{ /* Llib/mpc.scm 95 */
 obj_t BgL_poz00_1394;
{ /* Llib/mpc.scm 95 */
 obj_t BgL_arg2396z00_1403;
BgL_arg2396z00_1403 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_9))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 95 */
 obj_t BgL_tmpz00_13092;
BgL_tmpz00_13092 = 
((obj_t)BgL_arg2396z00_1403); 
BgL_poz00_1394 = 
SOCKET_OUTPUT(BgL_tmpz00_13092); } } 
bgl_display_string(BgL_cmdz00_10, BgL_poz00_1394); 
bgl_display_char(((unsigned char)10), BgL_poz00_1394); 
bgl_flush_output_port(BgL_poz00_1394); 
return ((bool_t)1);} } 

}



/* mpc-cmd */
obj_t BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_11, obj_t BgL_cmdz00_12, obj_t BgL_parserz00_13)
{
{ /* Llib/mpc.scm 114 */
if(
BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_mpcz00_11)))
{ /* Llib/mpc.scm 139 */
return BFALSE;}  else 
{ /* Llib/mpc.scm 139 */
BGl__c_z00zz__multimediazd2mpczd2 = 
(BGl__c_z00zz__multimediazd2mpczd2+((long)1)); 
return 
BGl_retryze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_11, BgL_parserz00_13, BgL_mpcz00_11, BgL_cmdz00_12, ((long)3));} } 

}



/* handler1127~0 */
obj_t BGl_handler1127ze70ze7zz__multimediazd2mpczd2(obj_t BgL_ez00_1499)
{
{ /* Llib/mpc.scm 156 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_1499);} 

}



/* handler1107~0 */
obj_t BGl_handler1107ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10621, BgL_mpcz00_bglt BgL_i1101z00_10620, obj_t BgL_ez00_1448)
{
{ /* Llib/mpc.scm 145 */
{ /* Llib/mpc.scm 148 */
 BgL_z62iozd2errorzb0_bglt BgL_arg2438z00_1463;
{ /* Llib/mpc.scm 148 */
 BgL_z62iozd2errorzb0_bglt BgL_new1113z00_1464;
{ /* Llib/mpc.scm 148 */
 BgL_z62iozd2errorzb0_bglt BgL_new1112z00_1471;
BgL_new1112z00_1471 = 
((BgL_z62iozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2errorzb0_bgl) ))); 
{ /* Llib/mpc.scm 148 */
 long BgL_arg2445z00_1472;
BgL_arg2445z00_1472 = 
BGL_CLASS_NUM(BGl_z62iozd2errorzb0zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_1471), BgL_arg2445z00_1472); } 
BgL_new1113z00_1464 = BgL_new1112z00_1471; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_1464)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_1464)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_13112;
{ /* Llib/mpc.scm 148 */
 obj_t BgL_arg2439z00_1465;
{ /* Llib/mpc.scm 148 */
 obj_t BgL_arg2440z00_1466;
{ /* Llib/mpc.scm 148 */
 obj_t BgL_classz00_7818;
BgL_classz00_7818 = BGl_z62iozd2errorzb0zz__objectz00; 
BgL_arg2440z00_1466 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_7818); } 
BgL_arg2439z00_1465 = 
VECTOR_REF(BgL_arg2440z00_1466,((long)2)); } 
BgL_auxz00_13112 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2439z00_1465); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1113z00_1464)))->BgL_stackz00)=((obj_t)BgL_auxz00_13112),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_1464)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)2))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_13121;
{ /* Llib/mpc.scm 150 */
 obj_t BgL_arg2441z00_1467; obj_t BgL_arg2442z00_1468;
BgL_arg2441z00_1467 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_i1101z00_10620))->BgL_hostz00); 
BgL_arg2442z00_1468 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_i1101z00_10620))->BgL_portz00); 
{ /* Llib/mpc.scm 150 */
 obj_t BgL_list2443z00_1469;
{ /* Llib/mpc.scm 150 */
 obj_t BgL_arg2444z00_1470;
BgL_arg2444z00_1470 = 
MAKE_YOUNG_PAIR(BgL_arg2442z00_1468, BNIL); 
BgL_list2443z00_1469 = 
MAKE_YOUNG_PAIR(BgL_arg2441z00_1467, BgL_arg2444z00_1470); } 
BgL_auxz00_13121 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5331z00zz__multimediazd2mpczd2, BgL_list2443z00_1469); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_1464)))->BgL_msgz00)=((obj_t)BgL_auxz00_13121),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1113z00_1464)))->BgL_objz00)=((obj_t)
((obj_t)BgL_mpcz00_10621)),BUNSPEC); 
BgL_arg2438z00_1463 = BgL_new1113z00_1464; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2438z00_1463));} } 

}



/* retry~0 */
obj_t BGl_retryze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10625, obj_t BgL_parserz00_10624, BgL_mpcz00_bglt BgL_i1101z00_10623, obj_t BgL_cmdz00_10622, long BgL_countz00_1420)
{
{ /* Llib/mpc.scm 141 */
if(
CBOOL(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1101z00_10623))->BgL_z52socketz52)))
{ /* Llib/mpc.scm 143 */BFALSE; }  else 
{ /* Llib/mpc.scm 143 */
{ /* Llib/mpc.scm 144 */
 obj_t BgL_env1110z00_1424;
BgL_env1110z00_1424 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_cell1105z00_1425;
BgL_cell1105z00_1425 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_val1109z00_1426;
BgL_val1109z00_1426 = 
BGl_zc3z04exitza32413ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_10625, BgL_cell1105z00_1425, BgL_env1110z00_1424); 
if(
(BgL_val1109z00_1426==BgL_cell1105z00_1425))
{ /* Llib/mpc.scm 144 */
{ /* Llib/mpc.scm 144 */
 int BgL_tmpz00_13142;
BgL_tmpz00_13142 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_13142); } 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg2412z00_1428;
BgL_arg2412z00_1428 = 
CELL_REF(
((obj_t)BgL_val1109z00_1426)); 
BGl_handler1107ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_10625, BgL_i1101z00_10623, BgL_arg2412z00_1428); } }  else 
{ /* Llib/mpc.scm 144 */BgL_val1109z00_1426; } } } } 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_env1130z00_1475;
BgL_env1130z00_1475 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_cell1125z00_1476;
BgL_cell1125z00_1476 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_val1129z00_1477;
BgL_val1129z00_1477 = 
BGl_zc3z04exitza32448ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_10625, BgL_cell1125z00_1476, BgL_env1130z00_1475); 
if(
(BgL_val1129z00_1477==BgL_cell1125z00_1476))
{ /* Llib/mpc.scm 155 */
{ /* Llib/mpc.scm 155 */
 int BgL_tmpz00_13153;
BgL_tmpz00_13153 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_13153); } 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg2447z00_1479;
BgL_arg2447z00_1479 = 
CELL_REF(
((obj_t)BgL_val1129z00_1477)); 
BGl_handler1127ze70ze7zz__multimediazd2mpczd2(BgL_arg2447z00_1479); } }  else 
{ /* Llib/mpc.scm 155 */BgL_val1129z00_1477; } } } } } 
if(
CBOOL(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1101z00_10623))->BgL_z52socketz52)))
{ /* Llib/mpc.scm 165 */
{ /* Llib/mpc.scm 168 */
 obj_t BgL_vz00_1531;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_env1147z00_1542;
BgL_env1147z00_1542 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_cell1142z00_1543;
BgL_cell1142z00_1543 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_val1146z00_1544;
BgL_val1146z00_1544 = 
BGl_zc3z04exitza32500ze3ze70z60zz__multimediazd2mpczd2(BgL_cmdz00_10622, BgL_mpcz00_10625, BgL_cell1142z00_1543, BgL_env1147z00_1542); 
if(
(BgL_val1146z00_1544==BgL_cell1142z00_1543))
{ /* Llib/mpc.scm 168 */
{ /* Llib/mpc.scm 168 */
 int BgL_tmpz00_13167;
BgL_tmpz00_13167 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_13167); } 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg2499z00_1546;
BgL_arg2499z00_1546 = 
CELL_REF(
((obj_t)BgL_val1146z00_1544)); 
BgL_vz00_1531 = 
BGl_handler1144ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_10625, BgL_i1101z00_10623, BgL_countz00_1420, BgL_cmdz00_10622, BgL_parserz00_10624, BgL_arg2499z00_1546); } }  else 
{ /* Llib/mpc.scm 168 */
BgL_vz00_1531 = BgL_val1146z00_1544; } } } } 
return 
PROCEDURE_L_ENTRY(BgL_parserz00_10624)(BgL_parserz00_10624, BgL_mpcz00_10625);} }  else 
{ /* Llib/mpc.scm 165 */
return BFALSE;} } 

}



/* <@exit:2413>~0 */
obj_t BGl_zc3z04exitza32413ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10628, obj_t BgL_cell1105z00_10627, obj_t BgL_env1110z00_10626)
{
{ /* Llib/mpc.scm 144 */
{ 
 BgL_mpcz00_bglt BgL_mpcz00_1596;
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1117z00_1430;
if( SET_EXIT(BgL_an_exit1117z00_1430 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1117z00_1430 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1110z00_10626, BgL_an_exit1117z00_1430, ((long)1)); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_escape1106z00_1431;
BgL_escape1106z00_1431 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1110z00_10626); 
{ /* Llib/mpc.scm 144 */
 bool_t BgL_res1120z00_1432;
{ /* Llib/mpc.scm 144 */
 obj_t BgL_ohs1102z00_1433;
BgL_ohs1102z00_1433 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1110z00_10626); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_hds1103z00_1434;
BgL_hds1103z00_1434 = 
MAKE_STACK_PAIR(BgL_escape1106z00_1431, BgL_cell1105z00_10627); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1110z00_10626, BgL_hds1103z00_1434); BUNSPEC; 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_exitd1114z00_1435;
BgL_exitd1114z00_1435 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1110z00_10626); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_tmp1116z00_1436;
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg2423z00_1447;
BgL_arg2423z00_1447 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_1435); 
BgL_tmp1116z00_1436 = 
MAKE_YOUNG_PAIR(BgL_ohs1102z00_1433, BgL_arg2423z00_1447); } 
{ /* Llib/mpc.scm 144 */

BGL_EXITD_PROTECT_SET(BgL_exitd1114z00_1435, BgL_tmp1116z00_1436); BUNSPEC; 
{ /* Llib/mpc.scm 153 */
 bool_t BgL_tmp1115z00_1437;
BgL_mpcz00_1596 = BgL_mpcz00_10628; 
{ 
 obj_t BgL_auxz00_13188;
{ /* Llib/mpc.scm 132 */
 obj_t BgL_arg2533z00_1599; obj_t BgL_arg2534z00_1600; obj_t BgL_arg2535z00_1601;
BgL_arg2533z00_1599 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1596))->BgL_hostz00); 
BgL_arg2534z00_1600 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1596))->BgL_portz00); 
BgL_arg2535z00_1601 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1596))->BgL_timeoutz00); 
{ /* Llib/mpc.scm 132 */
 obj_t BgL_domainz00_1602;
BgL_domainz00_1602 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_13188 = 
BGl_makezd2clientzd2socketz00zz__socketz00(BgL_arg2533z00_1599, 
CINT(BgL_arg2534z00_1600), BgL_domainz00_1602, BTRUE, BTRUE, BgL_arg2535z00_1601); } } 
((((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1596))->BgL_z52socketz52)=((obj_t)BgL_auxz00_13188),BUNSPEC); } 
{ /* Llib/mpc.scm 133 */
 obj_t BgL_arg2536z00_1606; obj_t BgL_arg2537z00_1607;
{ /* Llib/mpc.scm 133 */
 obj_t BgL_arg2538z00_1608;
BgL_arg2538z00_1608 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1596))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 133 */
 obj_t BgL_tmpz00_13197;
BgL_tmpz00_13197 = 
((obj_t)BgL_arg2538z00_1608); 
BgL_arg2536z00_1606 = 
SOCKET_INPUT(BgL_tmpz00_13197); } } 
BgL_arg2537z00_1607 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1596))->BgL_timeoutz00); 
BgL_tmp1115z00_1437 = 
bgl_input_port_timeout_set(BgL_arg2536z00_1606, 
(long)CINT(BgL_arg2537z00_1607)); } 
{ /* Llib/mpc.scm 144 */
 bool_t BgL_test5737z00_13203;
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg1808z00_7822;
BgL_arg1808z00_7822 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_1435); 
BgL_test5737z00_13203 = 
PAIRP(BgL_arg1808z00_7822); } 
if(BgL_test5737z00_13203)
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg1806z00_7823;
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg1807z00_7824;
BgL_arg1807z00_7824 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_1435); 
BgL_arg1806z00_7823 = 
CDR(
((obj_t)BgL_arg1807z00_7824)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1114z00_1435, BgL_arg1806z00_7823); BUNSPEC; }  else 
{ /* Llib/mpc.scm 144 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1110z00_10626, BgL_ohs1102z00_1433); BUNSPEC; 
BgL_res1120z00_1432 = BgL_tmp1115z00_1437; } } } } } } 
POP_ENV_EXIT(BgL_env1110z00_10626); 
return 
BBOOL(BgL_res1120z00_1432);} } 
}} } 

}



/* <@exit:2448>~0 */
obj_t BGl_zc3z04exitza32448ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10631, obj_t BgL_cell1125z00_10630, obj_t BgL_env1130z00_10629)
{
{ /* Llib/mpc.scm 155 */
{ 
 BgL_mpcz00_bglt BgL_mpcz00_1577;
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1134z00_1481;
if( SET_EXIT(BgL_an_exit1134z00_1481 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1134z00_1481 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1130z00_10629, BgL_an_exit1134z00_1481, ((long)1)); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_escape1126z00_1482;
BgL_escape1126z00_1482 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1130z00_10629); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_res1137z00_1483;
{ /* Llib/mpc.scm 155 */
 obj_t BgL_ohs1122z00_1484;
BgL_ohs1122z00_1484 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1130z00_10629); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_hds1123z00_1485;
BgL_hds1123z00_1485 = 
MAKE_STACK_PAIR(BgL_escape1126z00_1482, BgL_cell1125z00_10630); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1130z00_10629, BgL_hds1123z00_1485); BUNSPEC; 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_exitd1131z00_1486;
BgL_exitd1131z00_1486 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1130z00_10629); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_tmp1133z00_1487;
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg2458z00_1498;
BgL_arg2458z00_1498 = 
BGL_EXITD_PROTECT(BgL_exitd1131z00_1486); 
BgL_tmp1133z00_1487 = 
MAKE_YOUNG_PAIR(BgL_ohs1122z00_1484, BgL_arg2458z00_1498); } 
{ /* Llib/mpc.scm 155 */

BGL_EXITD_PROTECT_SET(BgL_exitd1131z00_1486, BgL_tmp1133z00_1487); BUNSPEC; 
{ /* Llib/mpc.scm 161 */
 obj_t BgL_tmp1132z00_1488;
BgL_mpcz00_1577 = BgL_mpcz00_10631; 
{ /* Llib/mpc.scm 118 */
 bool_t BgL_test5738z00_13224;
{ /* Llib/mpc.scm 118 */
 obj_t BgL_tmpz00_13225;
BgL_tmpz00_13225 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1577))->BgL_helloz00); 
BgL_test5738z00_13224 = 
STRINGP(BgL_tmpz00_13225); } 
if(BgL_test5738z00_13224)
{ /* Llib/mpc.scm 119 */
 obj_t BgL_poz00_1582;
{ /* Llib/mpc.scm 119 */
 obj_t BgL_arg2523z00_1584;
BgL_arg2523z00_1584 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1577))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 119 */
 obj_t BgL_tmpz00_13229;
BgL_tmpz00_13229 = 
((obj_t)BgL_arg2523z00_1584); 
BgL_poz00_1582 = 
SOCKET_OUTPUT(BgL_tmpz00_13229); } } 
bgl_display_obj(
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1577))->BgL_helloz00), BgL_poz00_1582); 
bgl_flush_output_port(BgL_poz00_1582); }  else 
{ /* Llib/mpc.scm 118 */BFALSE; } } 
{ /* Llib/mpc.scm 122 */
 obj_t BgL_piz00_1586;
{ /* Llib/mpc.scm 122 */
 obj_t BgL_arg2531z00_1595;
BgL_arg2531z00_1595 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1577))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 122 */
 obj_t BgL_tmpz00_13236;
BgL_tmpz00_13236 = 
((obj_t)BgL_arg2531z00_1595); 
BgL_piz00_1586 = 
SOCKET_INPUT(BgL_tmpz00_13236); } } 
{ /* Llib/mpc.scm 123 */
 obj_t BgL_lz00_1587;
BgL_lz00_1587 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_piz00_1586); 
{ /* Llib/mpc.scm 124 */
 bool_t BgL_test5739z00_13240;
if(
STRINGP(BgL_lz00_1587))
{ /* Llib/mpc.scm 124 */
BgL_test5739z00_13240 = 
bigloo_strcmp_at(BgL_lz00_1587, BGl_string5332z00zz__multimediazd2mpczd2, ((long)0))
; }  else 
{ /* Llib/mpc.scm 124 */
BgL_test5739z00_13240 = ((bool_t)0)
; } 
if(BgL_test5739z00_13240)
{ 
 obj_t BgL_auxz00_13244;
{ /* Llib/mpc.scm 125 */
 long BgL_arg2527z00_1590;
BgL_arg2527z00_1590 = 
STRING_LENGTH(BgL_lz00_1587); 
BgL_auxz00_13244 = 
c_substring(BgL_lz00_1587, ((long)6), BgL_arg2527z00_1590); } 
BgL_tmp1132z00_1488 = 
((((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1577))->BgL_z52mpdz52)=((obj_t)BgL_auxz00_13244),BUNSPEC); }  else 
{ /* Llib/mpc.scm 126 */
 BgL_musicstatusz00_bglt BgL_arg2528z00_1591; obj_t BgL_arg2529z00_1592;
BgL_arg2528z00_1591 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_mpcz00_1577)))->BgL_z52statusz52); 
{ /* Llib/mpc.scm 128 */
 obj_t BgL_list2530z00_1593;
BgL_list2530z00_1593 = 
MAKE_YOUNG_PAIR(BgL_lz00_1587, BNIL); 
BgL_arg2529z00_1592 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5333z00zz__multimediazd2mpczd2, BgL_list2530z00_1593); } 
BgL_tmp1132z00_1488 = 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_1577, BgL_arg2528z00_1591, BgL_arg2529z00_1592); } } } } 
{ /* Llib/mpc.scm 155 */
 bool_t BgL_test5741z00_13253;
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg1808z00_7830;
BgL_arg1808z00_7830 = 
BGL_EXITD_PROTECT(BgL_exitd1131z00_1486); 
BgL_test5741z00_13253 = 
PAIRP(BgL_arg1808z00_7830); } 
if(BgL_test5741z00_13253)
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg1806z00_7831;
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg1807z00_7832;
BgL_arg1807z00_7832 = 
BGL_EXITD_PROTECT(BgL_exitd1131z00_1486); 
BgL_arg1806z00_7831 = 
CDR(
((obj_t)BgL_arg1807z00_7832)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1131z00_1486, BgL_arg1806z00_7831); BUNSPEC; }  else 
{ /* Llib/mpc.scm 155 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1130z00_10629, BgL_ohs1122z00_1484); BUNSPEC; 
BgL_res1137z00_1483 = BgL_tmp1132z00_1488; } } } } } } 
POP_ENV_EXIT(BgL_env1130z00_10629); 
return BgL_res1137z00_1483;} } 
}} } 

}



/* <@exit:2500>~0 */
obj_t BGl_zc3z04exitza32500ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_cmdz00_10635, BgL_mpcz00_bglt BgL_mpcz00_10634, obj_t BgL_cell1142z00_10633, obj_t BgL_env1147z00_10632)
{
{ /* Llib/mpc.scm 168 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1151z00_1548;
if( SET_EXIT(BgL_an_exit1151z00_1548 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1151z00_1548 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1147z00_10632, BgL_an_exit1151z00_1548, ((long)1)); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_escape1143z00_1549;
BgL_escape1143z00_1549 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1147z00_10632); 
{ /* Llib/mpc.scm 168 */
 bool_t BgL_res1154z00_1550;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_ohs1139z00_1551;
BgL_ohs1139z00_1551 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1147z00_10632); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_hds1140z00_1552;
BgL_hds1140z00_1552 = 
MAKE_STACK_PAIR(BgL_escape1143z00_1549, BgL_cell1142z00_10633); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1147z00_10632, BgL_hds1140z00_1552); BUNSPEC; 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_exitd1148z00_1553;
BgL_exitd1148z00_1553 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1147z00_10632); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_tmp1150z00_1554;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg2501z00_1556;
BgL_arg2501z00_1556 = 
BGL_EXITD_PROTECT(BgL_exitd1148z00_1553); 
BgL_tmp1150z00_1554 = 
MAKE_YOUNG_PAIR(BgL_ohs1139z00_1551, BgL_arg2501z00_1556); } 
{ /* Llib/mpc.scm 168 */

BGL_EXITD_PROTECT_SET(BgL_exitd1148z00_1553, BgL_tmp1150z00_1554); BUNSPEC; 
{ /* Llib/mpc.scm 176 */
 bool_t BgL_tmp1149z00_1555;
BgL_tmp1149z00_1555 = 
BGl_execz00zz__multimediazd2mpczd2(BgL_mpcz00_10634, BgL_cmdz00_10635); 
{ /* Llib/mpc.scm 168 */
 bool_t BgL_test5742z00_13274;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg1808z00_7841;
BgL_arg1808z00_7841 = 
BGL_EXITD_PROTECT(BgL_exitd1148z00_1553); 
BgL_test5742z00_13274 = 
PAIRP(BgL_arg1808z00_7841); } 
if(BgL_test5742z00_13274)
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg1806z00_7842;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg1807z00_7843;
BgL_arg1807z00_7843 = 
BGL_EXITD_PROTECT(BgL_exitd1148z00_1553); 
BgL_arg1806z00_7842 = 
CDR(
((obj_t)BgL_arg1807z00_7843)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1148z00_1553, BgL_arg1806z00_7842); BUNSPEC; }  else 
{ /* Llib/mpc.scm 168 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1147z00_10632, BgL_ohs1139z00_1551); BUNSPEC; 
BgL_res1154z00_1550 = BgL_tmp1149z00_1555; } } } } } } 
POP_ENV_EXIT(BgL_env1147z00_10632); 
return 
BBOOL(BgL_res1154z00_1550);} } 
}} 

}



/* handler1144~0 */
obj_t BGl_handler1144ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10640, BgL_mpcz00_bglt BgL_i1101z00_10639, long BgL_countz00_10638, obj_t BgL_cmdz00_10637, obj_t BgL_parserz00_10636, obj_t BgL_ez00_1557)
{
{ /* Llib/mpc.scm 169 */
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2503z00_1559;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_tmpz00_13284;
BgL_tmpz00_13284 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2503z00_1559 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_13284); } 
{ /* Llib/mpc.scm 170 */
 obj_t BgL_list2504z00_1560;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2505z00_1561;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2506z00_1562;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2507z00_1563;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2508z00_1564;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2509z00_1565;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2510z00_1566;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2511z00_1567;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2512z00_1568;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2513z00_1569;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2514z00_1570;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2515z00_1571;
BgL_arg2515z00_1571 = 
MAKE_YOUNG_PAIR(BgL_ez00_1557, BNIL); 
BgL_arg2514z00_1570 = 
MAKE_YOUNG_PAIR(BGl_string5334z00zz__multimediazd2mpczd2, BgL_arg2515z00_1571); } 
BgL_arg2513z00_1569 = 
MAKE_YOUNG_PAIR(BgL_cmdz00_10637, BgL_arg2514z00_1570); } 
BgL_arg2512z00_1568 = 
MAKE_YOUNG_PAIR(BGl_string5335z00zz__multimediazd2mpczd2, BgL_arg2513z00_1569); } 
BgL_arg2511z00_1567 = 
MAKE_YOUNG_PAIR(
BINT(BgL_countz00_10638), BgL_arg2512z00_1568); } 
BgL_arg2510z00_1566 = 
MAKE_YOUNG_PAIR(BGl_string5336z00zz__multimediazd2mpczd2, BgL_arg2511z00_1567); } 
BgL_arg2509z00_1565 = 
MAKE_YOUNG_PAIR(
BINT(BGl__c_z00zz__multimediazd2mpczd2), BgL_arg2510z00_1566); } 
BgL_arg2508z00_1564 = 
MAKE_YOUNG_PAIR(BGl_string5337z00zz__multimediazd2mpczd2, BgL_arg2509z00_1565); } 
BgL_arg2507z00_1563 = 
MAKE_YOUNG_PAIR(BGl_string5338z00zz__multimediazd2mpczd2, BgL_arg2508z00_1564); } 
BgL_arg2506z00_1562 = 
MAKE_YOUNG_PAIR(
BINT(((long)170)), BgL_arg2507z00_1563); } 
BgL_arg2505z00_1561 = 
MAKE_YOUNG_PAIR(BGl_string5339z00zz__multimediazd2mpczd2, BgL_arg2506z00_1562); } 
BgL_list2504z00_1560 = 
MAKE_YOUNG_PAIR(BGl_string5340z00zz__multimediazd2mpczd2, BgL_arg2505z00_1561); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2503z00_1559, BgL_list2504z00_1560); } } 
if(
(BgL_countz00_10638>((long)0)))
{ /* Llib/mpc.scm 171 */
{ /* Llib/mpc.scm 173 */
 BgL_musicstatusz00_bglt BgL_arg2517z00_1573;
BgL_arg2517z00_1573 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1101z00_10639)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10640, BgL_arg2517z00_1573, BgL_ez00_1557); } 
return 
BGl_retryze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_10640, BgL_parserz00_10636, BgL_i1101z00_10639, BgL_cmdz00_10637, 
(BgL_countz00_10638-((long)1)));}  else 
{ /* Llib/mpc.scm 171 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_1557);} } 

}



/* parse-error-msg */
obj_t BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(obj_t BgL_failz00_14, obj_t BgL_portz00_15)
{
{ /* Llib/mpc.scm 187 */
{ /* Llib/mpc.scm 188 */
 obj_t BgL_sz00_1611; obj_t BgL_lz00_1612;
if(
CHARP(BgL_failz00_14))
{ /* Llib/mpc.scm 189 */
 obj_t BgL_list2545z00_1619;
BgL_list2545z00_1619 = 
MAKE_YOUNG_PAIR(BgL_failz00_14, BNIL); 
BgL_sz00_1611 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2545z00_1619); }  else 
{ /* Llib/mpc.scm 189 */
if(
EOF_OBJECTP(BgL_failz00_14))
{ /* Llib/mpc.scm 190 */
BgL_sz00_1611 = BGl_string5341z00zz__multimediazd2mpczd2; }  else 
{ /* Llib/mpc.scm 191 */
 obj_t BgL_zc3z04anonymousza32548ze3z87_10207;
BgL_zc3z04anonymousza32548ze3z87_10207 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32548ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32548ze3z87_10207, 
(int)(((long)0)), BgL_failz00_14); 
BgL_sz00_1611 = 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza32548ze3z87_10207); } } 
BgL_lz00_1612 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_portz00_15); 
if(
STRINGP(BgL_lz00_1612))
{ /* Llib/mpc.scm 194 */
 obj_t BgL_list2540z00_1614;
{ /* Llib/mpc.scm 194 */
 obj_t BgL_arg2541z00_1615;
{ /* Llib/mpc.scm 194 */
 obj_t BgL_arg2542z00_1616;
{ /* Llib/mpc.scm 194 */
 obj_t BgL_arg2543z00_1617;
BgL_arg2543z00_1617 = 
MAKE_YOUNG_PAIR(BgL_lz00_1612, BNIL); 
BgL_arg2542z00_1616 = 
MAKE_YOUNG_PAIR(BGl_string5342z00zz__multimediazd2mpczd2, BgL_arg2543z00_1617); } 
BgL_arg2541z00_1615 = 
MAKE_YOUNG_PAIR(BgL_sz00_1611, BgL_arg2542z00_1616); } 
BgL_list2540z00_1614 = 
MAKE_YOUNG_PAIR(BGl_string5343z00zz__multimediazd2mpczd2, BgL_arg2541z00_1615); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2540z00_1614);}  else 
{ /* Llib/mpc.scm 193 */
return BgL_sz00_1611;} } } 

}



/* &<@anonymous:2548> */
obj_t BGl_z62zc3z04anonymousza32548ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10208)
{
{ /* Llib/mpc.scm 191 */
{ /* Llib/mpc.scm 191 */
 obj_t BgL_failz00_10209;
BgL_failz00_10209 = 
PROCEDURE_REF(BgL_envz00_10208, 
(int)(((long)0))); 
{ /* Llib/mpc.scm 191 */
 obj_t BgL_arg2549z00_10911;
{ /* Llib/mpc.scm 191 */
 obj_t BgL_tmpz00_13333;
BgL_tmpz00_13333 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2549z00_10911 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_13333); } 
return 
bgl_display_obj(BgL_failz00_10209, BgL_arg2549z00_10911);} } } 

}



/* &ok-parser */
obj_t BGl_z62okzd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10210, BgL_mpcz00_bglt BgL_mpcz00_10211)
{
{ /* Llib/mpc.scm 248 */
{ /* Llib/mpc.scm 249 */
 bool_t BgL_tmpz00_13337;
{ /* Llib/mpc.scm 250 */
 obj_t BgL_lz00_10913;
{ /* Llib/mpc.scm 250 */
 obj_t BgL_arg2550z00_10914;
{ /* Llib/mpc.scm 250 */
 obj_t BgL_arg2551z00_10915;
BgL_arg2551z00_10915 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10211))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 250 */
 obj_t BgL_tmpz00_13339;
BgL_tmpz00_13339 = 
((obj_t)BgL_arg2551z00_10915); 
BgL_arg2550z00_10914 = 
SOCKET_INPUT(BgL_tmpz00_13339); } } 
BgL_lz00_10913 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_arg2550z00_10914); } 
if(
STRINGP(BgL_lz00_10913))
{ /* Llib/mpc.scm 251 */
BgL_tmpz00_13337 = 
bigloo_strcmp_at(BgL_lz00_10913, BGl_string5344z00zz__multimediazd2mpczd2, ((long)0))
; }  else 
{ /* Llib/mpc.scm 251 */
BgL_tmpz00_13337 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_13337);} } 

}



/* music-update-status-sans-lock! */
obj_t BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_27, BgL_musicstatusz00_bglt BgL_statusz00_28)
{
{ /* Llib/mpc.scm 383 */
{ /* Llib/mpc.scm 604 */
 obj_t BgL_statuszd2parserzd2_10212;
{ 
 int BgL_tmpz00_13347;
BgL_tmpz00_13347 = 
(int)(((long)1)); 
BgL_statuszd2parserzd2_10212 = 
MAKE_L_PROCEDURE(BGl_z62statuszd2parserzb0zz__multimediazd2mpczd2, BgL_tmpz00_13347); } 
PROCEDURE_L_SET(BgL_statuszd2parserzd2_10212, 
(int)(((long)0)), 
((obj_t)BgL_statusz00_28)); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_27, BGl_string5345z00zz__multimediazd2mpczd2, BgL_statuszd2parserzd2_10212);} } 

}



/* &status-parser */
obj_t BGl_z62statuszd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10213, BgL_mpcz00_bglt BgL_mpcz00_10215)
{
{ /* Llib/mpc.scm 611 */
{ /* Llib/mpc.scm 604 */
 BgL_musicstatusz00_bglt BgL_statusz00_10214;
BgL_statusz00_10214 = 
((BgL_musicstatusz00_bglt)
PROCEDURE_L_REF(BgL_envz00_10213, 
(int)(((long)0)))); 
{ /* Llib/mpc.scm 604 */
 bool_t BgL_tmpz00_13357;
{ 
 obj_t BgL_ipz00_11703; BgL_musicstatusz00_bglt BgL_statusz00_11704; obj_t BgL_iportz00_11252; BgL_musicstatusz00_bglt BgL_statusz00_11253; obj_t BgL_iportz00_11154; obj_t BgL_iportz00_11086; BgL_musicstatusz00_bglt BgL_statusz00_11087; obj_t BgL_iportz00_10985; obj_t BgL_iportz00_10923;
{ /* Llib/mpc.scm 606 */
 BgL_musicstatusz00_bglt BgL_statusz00_11705;
{ /* Llib/mpc.scm 606 */
 obj_t BgL_arg2557z00_11706;
{ /* Llib/mpc.scm 606 */
 obj_t BgL_arg2558z00_11707;
BgL_arg2558z00_11707 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10215))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 606 */
 obj_t BgL_tmpz00_13359;
BgL_tmpz00_13359 = 
((obj_t)BgL_arg2558z00_11707); 
BgL_arg2557z00_11706 = 
SOCKET_INPUT(BgL_tmpz00_13359); } } 
BgL_ipz00_11703 = BgL_arg2557z00_11706; 
BgL_statusz00_11704 = BgL_statusz00_10214; 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11704))->BgL_songposz00)=((obj_t)
BINT(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11704))->BgL_songlengthz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11704))->BgL_bitratez00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11704))->BgL_khza7za7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11704))->BgL_errz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_iportz00_11252 = BgL_ipz00_11703; 
BgL_statusz00_11253 = BgL_statusz00_11704; 
{ 
 obj_t BgL_iportz00_11694; long BgL_lastzd2matchzd2_11695; long BgL_forwardz00_11696; long BgL_bufposz00_11697; obj_t BgL_iportz00_11685; long BgL_lastzd2matchzd2_11686; long BgL_forwardz00_11687; long BgL_bufposz00_11688; obj_t BgL_iportz00_11676; long BgL_lastzd2matchzd2_11677; long BgL_forwardz00_11678; long BgL_bufposz00_11679; obj_t BgL_iportz00_11665; long BgL_lastzd2matchzd2_11666; long BgL_forwardz00_11667; long BgL_bufposz00_11668; obj_t BgL_iportz00_11656; long BgL_lastzd2matchzd2_11657; long BgL_forwardz00_11658; long BgL_bufposz00_11659; obj_t BgL_iportz00_11647; long BgL_lastzd2matchzd2_11648; long BgL_forwardz00_11649; long BgL_bufposz00_11650; obj_t BgL_iportz00_11638; long BgL_lastzd2matchzd2_11639; long BgL_forwardz00_11640; long BgL_bufposz00_11641; obj_t BgL_iportz00_11630; long BgL_lastzd2matchzd2_11631; long BgL_forwardz00_11632; long BgL_bufposz00_11633; obj_t BgL_iportz00_11621; long BgL_lastzd2matchzd2_11622; long BgL_forwardz00_11623; long BgL_bufposz00_11624; obj_t BgL_iportz00_11612; long BgL_lastzd2matchzd2_11613; long BgL_forwardz00_11614; long BgL_bufposz00_11615; obj_t BgL_iportz00_11603; long BgL_lastzd2matchzd2_11604; long BgL_forwardz00_11605; long BgL_bufposz00_11606; obj_t BgL_iportz00_11593; long BgL_lastzd2matchzd2_11594; long BgL_forwardz00_11595; long BgL_bufposz00_11596; obj_t BgL_iportz00_11583; long BgL_lastzd2matchzd2_11584; long BgL_forwardz00_11585; long BgL_bufposz00_11586; obj_t BgL_iportz00_11573; long BgL_lastzd2matchzd2_11574; long BgL_forwardz00_11575; long BgL_bufposz00_11576; obj_t BgL_iportz00_11563; long BgL_lastzd2matchzd2_11564; long BgL_forwardz00_11565; long BgL_bufposz00_11566; obj_t BgL_iportz00_11554; long BgL_lastzd2matchzd2_11555; long BgL_forwardz00_11556; long BgL_bufposz00_11557; obj_t BgL_iportz00_11544; long BgL_lastzd2matchzd2_11545; long BgL_forwardz00_11546; long BgL_bufposz00_11547; obj_t BgL_iportz00_11535; long BgL_lastzd2matchzd2_11536; long BgL_forwardz00_11537; long BgL_bufposz00_11538; obj_t BgL_iportz00_11525; long BgL_lastzd2matchzd2_11526; long BgL_forwardz00_11527; long BgL_bufposz00_11528; obj_t BgL_iportz00_11516; long BgL_lastzd2matchzd2_11517; long BgL_forwardz00_11518; long BgL_bufposz00_11519; obj_t BgL_iportz00_11507; long BgL_lastzd2matchzd2_11508; long BgL_forwardz00_11509; long BgL_bufposz00_11510; obj_t BgL_iportz00_11499; long BgL_lastzd2matchzd2_11500; long BgL_forwardz00_11501; long BgL_bufposz00_11502; obj_t BgL_iportz00_11489; long BgL_lastzd2matchzd2_11490; long BgL_forwardz00_11491; long BgL_bufposz00_11492; obj_t BgL_iportz00_11480; long BgL_lastzd2matchzd2_11481; long BgL_forwardz00_11482; long BgL_bufposz00_11483; obj_t BgL_iportz00_11471; long BgL_lastzd2matchzd2_11472; long BgL_forwardz00_11473; long BgL_bufposz00_11474; obj_t BgL_iportz00_11461; long BgL_lastzd2matchzd2_11462; long BgL_forwardz00_11463; long BgL_bufposz00_11464; obj_t BgL_iportz00_11451; long BgL_lastzd2matchzd2_11452; long BgL_forwardz00_11453; long BgL_bufposz00_11454; obj_t BgL_iportz00_11442; long BgL_lastzd2matchzd2_11443; long BgL_forwardz00_11444; long BgL_bufposz00_11445; obj_t BgL_iportz00_11433; long BgL_lastzd2matchzd2_11434; long BgL_forwardz00_11435; long BgL_bufposz00_11436; obj_t BgL_iportz00_11424; long BgL_lastzd2matchzd2_11425; long BgL_forwardz00_11426; long BgL_bufposz00_11427; obj_t BgL_iportz00_11415; long BgL_lastzd2matchzd2_11416; long BgL_forwardz00_11417; long BgL_bufposz00_11418; obj_t BgL_iportz00_11405; long BgL_lastzd2matchzd2_11406; long BgL_forwardz00_11407; long BgL_bufposz00_11408; obj_t BgL_iportz00_11397; long BgL_lastzd2matchzd2_11398; long BgL_forwardz00_11399; long BgL_bufposz00_11400; obj_t BgL_iportz00_11388; long BgL_lastzd2matchzd2_11389; long BgL_forwardz00_11390; long BgL_bufposz00_11391; obj_t BgL_iportz00_11378; long BgL_lastzd2matchzd2_11379; long BgL_forwardz00_11380; long BgL_bufposz00_11381; obj_t BgL_iportz00_11371; long BgL_lastzd2matchzd2_11372; long BgL_forwardz00_11373; long BgL_bufposz00_11374; obj_t BgL_iportz00_11362; long BgL_lastzd2matchzd2_11363; long BgL_forwardz00_11364; long BgL_bufposz00_11365; obj_t BgL_iportz00_11352; long BgL_lastzd2matchzd2_11353; long BgL_forwardz00_11354; long BgL_bufposz00_11355; obj_t BgL_iportz00_11343; long BgL_lastzd2matchzd2_11344; long BgL_forwardz00_11345; long BgL_bufposz00_11346; obj_t BgL_iportz00_11334; long BgL_lastzd2matchzd2_11335; long BgL_forwardz00_11336; long BgL_bufposz00_11337; obj_t BgL_iportz00_11325; long BgL_lastzd2matchzd2_11326; long BgL_forwardz00_11327; long BgL_bufposz00_11328;
BgL_ignorez00_11254:
RGC_START_MATCH(BgL_iportz00_11252); 
{ /* Llib/mpc.scm 444 */
 long BgL_matchz00_11297;
{ /* Llib/mpc.scm 444 */
 long BgL_arg3274z00_11298; long BgL_arg3275z00_11299;
BgL_arg3274z00_11298 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11252); 
BgL_arg3275z00_11299 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11252); 
BgL_iportz00_11480 = BgL_iportz00_11252; 
BgL_lastzd2matchzd2_11481 = ((long)17); 
BgL_forwardz00_11482 = BgL_arg3274z00_11298; 
BgL_bufposz00_11483 = BgL_arg3275z00_11299; 
BgL_statezd20zd21299z00_11273:
if(
(BgL_forwardz00_11482==BgL_bufposz00_11483))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11480))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2889z00_11484; long BgL_arg2890z00_11485;
BgL_arg2889z00_11484 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11480); 
BgL_arg2890z00_11485 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11480); 
{ 
 long BgL_bufposz00_13381; long BgL_forwardz00_13380;
BgL_forwardz00_13380 = BgL_arg2889z00_11484; 
BgL_bufposz00_13381 = BgL_arg2890z00_11485; 
BgL_bufposz00_11483 = BgL_bufposz00_13381; 
BgL_forwardz00_11482 = BgL_forwardz00_13380; 
goto BgL_statezd20zd21299z00_11273;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11481; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11486;
BgL_curz00_11486 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11480, BgL_forwardz00_11482); 
{ /* Llib/mpc.scm 444 */

switch( 
(long)(BgL_curz00_11486)) { case ((long)120) : 

BgL_iportz00_11525 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11526 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11527 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11528 = BgL_bufposz00_11483; 
BgL_statezd214zd21313z00_11278:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11529;
RGC_STOP_MATCH(BgL_iportz00_11525, BgL_forwardz00_11527); 
BgL_newzd2matchzd2_11529 = ((long)17); 
if(
(BgL_forwardz00_11527==BgL_bufposz00_11528))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11525))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2819z00_11530; long BgL_arg2820z00_11531;
BgL_arg2819z00_11530 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11525); 
BgL_arg2820z00_11531 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11525); 
{ 
 long BgL_bufposz00_13391; long BgL_forwardz00_13390;
BgL_forwardz00_13390 = BgL_arg2819z00_11530; 
BgL_bufposz00_13391 = BgL_arg2820z00_11531; 
BgL_bufposz00_11528 = BgL_bufposz00_13391; 
BgL_forwardz00_11527 = BgL_forwardz00_13390; 
goto BgL_statezd214zd21313z00_11278;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11529; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11532;
BgL_curz00_11532 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11525, BgL_forwardz00_11527); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5752z00_13393;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5753z00_13394;
if(
(
(long)(BgL_curz00_11532)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5753z00_13394 = 
(
(long)(BgL_curz00_11532)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5753z00_13394 = ((bool_t)0)
; } 
if(BgL_test5753z00_13394)
{ /* Llib/mpc.scm 444 */
BgL_test5752z00_13393 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11532)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5752z00_13393 = 
(
(long)(BgL_curz00_11532)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5752z00_13393 = ((bool_t)0)
; } } } 
if(BgL_test5752z00_13393)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11535 = BgL_iportz00_11525; 
BgL_lastzd2matchzd2_11536 = BgL_newzd2matchzd2_11529; 
BgL_forwardz00_11537 = 
(((long)1)+BgL_forwardz00_11527); 
BgL_bufposz00_11538 = BgL_bufposz00_11528; 
BgL_statezd216zd21315z00_11279:
if(
(BgL_forwardz00_11537==BgL_bufposz00_11538))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11535))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2808z00_11539; long BgL_arg2809z00_11540;
BgL_arg2808z00_11539 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11535); 
BgL_arg2809z00_11540 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11535); 
{ 
 long BgL_bufposz00_13412; long BgL_forwardz00_13411;
BgL_forwardz00_13411 = BgL_arg2808z00_11539; 
BgL_bufposz00_13412 = BgL_arg2809z00_11540; 
BgL_bufposz00_11538 = BgL_bufposz00_13412; 
BgL_forwardz00_11537 = BgL_forwardz00_13411; 
goto BgL_statezd216zd21315z00_11279;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11536; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11541;
BgL_curz00_11541 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11535, BgL_forwardz00_11537); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5758z00_13414;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5759z00_13415;
if(
(
(long)(BgL_curz00_11541)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5759z00_13415 = 
(
(long)(BgL_curz00_11541)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5759z00_13415 = ((bool_t)0)
; } 
if(BgL_test5759z00_13415)
{ /* Llib/mpc.scm 444 */
BgL_test5758z00_13414 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11541)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5758z00_13414 = 
(
(long)(BgL_curz00_11541)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5758z00_13414 = ((bool_t)0)
; } } } 
if(BgL_test5758z00_13414)
{ 
 long BgL_forwardz00_13426;
BgL_forwardz00_13426 = 
(((long)1)+BgL_forwardz00_11537); 
BgL_forwardz00_11537 = BgL_forwardz00_13426; 
goto BgL_statezd216zd21315z00_11279;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11541)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2815z00_11542;
BgL_arg2815z00_11542 = 
(((long)1)+BgL_forwardz00_11537); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11543;
RGC_STOP_MATCH(BgL_iportz00_11535, BgL_arg2815z00_11542); 
BgL_newzd2matchzd2_11543 = ((long)11); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11543; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11536; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11532)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2826z00_11533;
BgL_arg2826z00_11533 = 
(((long)1)+BgL_forwardz00_11527); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11534;
RGC_STOP_MATCH(BgL_iportz00_11525, BgL_arg2826z00_11533); 
BgL_newzd2matchzd2_11534 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11534; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11529; } } } } } } break;case ((long)118) : 

BgL_iportz00_11583 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11584 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11585 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11586 = BgL_bufposz00_11483; 
BgL_statezd213zd21312z00_11284:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11587;
RGC_STOP_MATCH(BgL_iportz00_11583, BgL_forwardz00_11585); 
BgL_newzd2matchzd2_11587 = ((long)17); 
if(
(BgL_forwardz00_11585==BgL_bufposz00_11586))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11583))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2736z00_11588; long BgL_arg2737z00_11589;
BgL_arg2736z00_11588 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11583); 
BgL_arg2737z00_11589 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11583); 
{ 
 long BgL_bufposz00_13448; long BgL_forwardz00_13447;
BgL_forwardz00_13447 = BgL_arg2736z00_11588; 
BgL_bufposz00_13448 = BgL_arg2737z00_11589; 
BgL_bufposz00_11586 = BgL_bufposz00_13448; 
BgL_forwardz00_11585 = BgL_forwardz00_13447; 
goto BgL_statezd213zd21312z00_11284;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11587; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11590;
BgL_curz00_11590 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11583, BgL_forwardz00_11585); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5766z00_13450;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5767z00_13451;
if(
(
(long)(BgL_curz00_11590)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5767z00_13451 = 
(
(long)(BgL_curz00_11590)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5767z00_13451 = ((bool_t)0)
; } 
if(BgL_test5767z00_13451)
{ /* Llib/mpc.scm 444 */
BgL_test5766z00_13450 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11590)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5766z00_13450 = 
(
(long)(BgL_curz00_11590)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5766z00_13450 = ((bool_t)0)
; } } } 
if(BgL_test5766z00_13450)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11638 = BgL_iportz00_11583; 
BgL_lastzd2matchzd2_11639 = BgL_newzd2matchzd2_11587; 
BgL_forwardz00_11640 = 
(((long)1)+BgL_forwardz00_11585); 
BgL_bufposz00_11641 = BgL_bufposz00_11586; 
BgL_statezd219zd21318z00_11290:
if(
(BgL_forwardz00_11640==BgL_bufposz00_11641))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11638))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2660z00_11642; long BgL_arg2661z00_11643;
BgL_arg2660z00_11642 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11638); 
BgL_arg2661z00_11643 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11638); 
{ 
 long BgL_bufposz00_13469; long BgL_forwardz00_13468;
BgL_forwardz00_13468 = BgL_arg2660z00_11642; 
BgL_bufposz00_13469 = BgL_arg2661z00_11643; 
BgL_bufposz00_11641 = BgL_bufposz00_13469; 
BgL_forwardz00_11640 = BgL_forwardz00_13468; 
goto BgL_statezd219zd21318z00_11290;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11639; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11644;
BgL_curz00_11644 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11638, BgL_forwardz00_11640); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5772z00_13471;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5773z00_13472;
if(
(
(long)(BgL_curz00_11644)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5773z00_13472 = 
(
(long)(BgL_curz00_11644)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5773z00_13472 = ((bool_t)0)
; } 
if(BgL_test5773z00_13472)
{ /* Llib/mpc.scm 444 */
BgL_test5772z00_13471 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11644)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5772z00_13471 = 
(
(long)(BgL_curz00_11644)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5772z00_13471 = ((bool_t)0)
; } } } 
if(BgL_test5772z00_13471)
{ 
 long BgL_forwardz00_13483;
BgL_forwardz00_13483 = 
(((long)1)+BgL_forwardz00_11640); 
BgL_forwardz00_11640 = BgL_forwardz00_13483; 
goto BgL_statezd219zd21318z00_11290;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11644)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2667z00_11645;
BgL_arg2667z00_11645 = 
(((long)1)+BgL_forwardz00_11640); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11646;
RGC_STOP_MATCH(BgL_iportz00_11638, BgL_arg2667z00_11645); 
BgL_newzd2matchzd2_11646 = ((long)5); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11646; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11639; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11590)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2743z00_11591;
BgL_arg2743z00_11591 = 
(((long)1)+BgL_forwardz00_11585); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11592;
RGC_STOP_MATCH(BgL_iportz00_11583, BgL_arg2743z00_11591); 
BgL_newzd2matchzd2_11592 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11592; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11587; } } } } } } break;case ((long)116) : 

BgL_iportz00_11352 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11353 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11354 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11355 = BgL_bufposz00_11483; 
BgL_statezd212zd21311z00_11259:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11356;
RGC_STOP_MATCH(BgL_iportz00_11352, BgL_forwardz00_11354); 
BgL_newzd2matchzd2_11356 = ((long)17); 
if(
(BgL_forwardz00_11354==BgL_bufposz00_11355))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11352))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3093z00_11357; long BgL_arg3094z00_11358;
BgL_arg3093z00_11357 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11352); 
BgL_arg3094z00_11358 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11352); 
{ 
 long BgL_bufposz00_13505; long BgL_forwardz00_13504;
BgL_forwardz00_13504 = BgL_arg3093z00_11357; 
BgL_bufposz00_13505 = BgL_arg3094z00_11358; 
BgL_bufposz00_11355 = BgL_bufposz00_13505; 
BgL_forwardz00_11354 = BgL_forwardz00_13504; 
goto BgL_statezd212zd21311z00_11259;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11356; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11359;
BgL_curz00_11359 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11352, BgL_forwardz00_11354); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5780z00_13507;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5781z00_13508;
if(
(
(long)(BgL_curz00_11359)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5781z00_13508 = 
(
(long)(BgL_curz00_11359)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5781z00_13508 = ((bool_t)0)
; } 
if(BgL_test5781z00_13508)
{ /* Llib/mpc.scm 444 */
BgL_test5780z00_13507 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11359)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5780z00_13507 = 
(
(long)(BgL_curz00_11359)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5780z00_13507 = ((bool_t)0)
; } } } 
if(BgL_test5780z00_13507)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11442 = BgL_iportz00_11352; 
BgL_lastzd2matchzd2_11443 = BgL_newzd2matchzd2_11356; 
BgL_forwardz00_11444 = 
(((long)1)+BgL_forwardz00_11354); 
BgL_bufposz00_11445 = BgL_bufposz00_11355; 
BgL_statezd221zd21320z00_11269:
if(
(BgL_forwardz00_11444==BgL_bufposz00_11445))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11442))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2946z00_11446; long BgL_arg2947z00_11447;
BgL_arg2946z00_11446 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11442); 
BgL_arg2947z00_11447 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11442); 
{ 
 long BgL_bufposz00_13526; long BgL_forwardz00_13525;
BgL_forwardz00_13525 = BgL_arg2946z00_11446; 
BgL_bufposz00_13526 = BgL_arg2947z00_11447; 
BgL_bufposz00_11445 = BgL_bufposz00_13526; 
BgL_forwardz00_11444 = BgL_forwardz00_13525; 
goto BgL_statezd221zd21320z00_11269;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11443; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11448;
BgL_curz00_11448 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11442, BgL_forwardz00_11444); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5786z00_13528;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5787z00_13529;
if(
(
(long)(BgL_curz00_11448)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5787z00_13529 = 
(
(long)(BgL_curz00_11448)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5787z00_13529 = ((bool_t)0)
; } 
if(BgL_test5787z00_13529)
{ /* Llib/mpc.scm 444 */
BgL_test5786z00_13528 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11448)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5786z00_13528 = 
(
(long)(BgL_curz00_11448)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5786z00_13528 = ((bool_t)0)
; } } } 
if(BgL_test5786z00_13528)
{ 
 long BgL_forwardz00_13540;
BgL_forwardz00_13540 = 
(((long)1)+BgL_forwardz00_11444); 
BgL_forwardz00_11444 = BgL_forwardz00_13540; 
goto BgL_statezd221zd21320z00_11269;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11448)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2953z00_11449;
BgL_arg2953z00_11449 = 
(((long)1)+BgL_forwardz00_11444); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11450;
RGC_STOP_MATCH(BgL_iportz00_11442, BgL_arg2953z00_11449); 
BgL_newzd2matchzd2_11450 = ((long)4); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11450; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11443; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11359)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3100z00_11360;
BgL_arg3100z00_11360 = 
(((long)1)+BgL_forwardz00_11354); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11361;
RGC_STOP_MATCH(BgL_iportz00_11352, BgL_arg3100z00_11360); 
BgL_newzd2matchzd2_11361 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11361; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11356; } } } } } } break;case ((long)115) : 

BgL_iportz00_11378 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11379 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11380 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11381 = BgL_bufposz00_11483; 
BgL_statezd211zd21310z00_11262:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11382;
RGC_STOP_MATCH(BgL_iportz00_11378, BgL_forwardz00_11380); 
BgL_newzd2matchzd2_11382 = ((long)17); 
if(
(BgL_forwardz00_11380==BgL_bufposz00_11381))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11378))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3060z00_11383; long BgL_arg3061z00_11384;
BgL_arg3060z00_11383 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11378); 
BgL_arg3061z00_11384 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11378); 
{ 
 long BgL_bufposz00_13562; long BgL_forwardz00_13561;
BgL_forwardz00_13561 = BgL_arg3060z00_11383; 
BgL_bufposz00_13562 = BgL_arg3061z00_11384; 
BgL_bufposz00_11381 = BgL_bufposz00_13562; 
BgL_forwardz00_11380 = BgL_forwardz00_13561; 
goto BgL_statezd211zd21310z00_11262;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11382; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11385;
BgL_curz00_11385 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11378, BgL_forwardz00_11380); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11385)==((long)116)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11507 = BgL_iportz00_11378; 
BgL_lastzd2matchzd2_11508 = BgL_newzd2matchzd2_11382; 
BgL_forwardz00_11509 = 
(((long)1)+BgL_forwardz00_11380); 
BgL_bufposz00_11510 = BgL_bufposz00_11381; 
BgL_statezd224zd21323z00_11276:
if(
(BgL_forwardz00_11509==BgL_bufposz00_11510))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11507))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2846z00_11511; long BgL_arg2847z00_11512;
BgL_arg2846z00_11511 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11507); 
BgL_arg2847z00_11512 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11507); 
{ 
 long BgL_bufposz00_13574; long BgL_forwardz00_13573;
BgL_forwardz00_13573 = BgL_arg2846z00_11511; 
BgL_bufposz00_13574 = BgL_arg2847z00_11512; 
BgL_bufposz00_11510 = BgL_bufposz00_13574; 
BgL_forwardz00_11509 = BgL_forwardz00_13573; 
goto BgL_statezd224zd21323z00_11276;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11508; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11513;
BgL_curz00_11513 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11507, BgL_forwardz00_11509); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11513)==((long)103)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11676 = BgL_iportz00_11507; 
BgL_lastzd2matchzd2_11677 = BgL_lastzd2matchzd2_11508; 
BgL_forwardz00_11678 = 
(((long)1)+BgL_forwardz00_11509); 
BgL_bufposz00_11679 = BgL_bufposz00_11510; 
BgL_statezd227zd21326z00_11294:
if(
(BgL_forwardz00_11678==BgL_bufposz00_11679))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11676))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2604z00_11680; long BgL_arg2605z00_11681;
BgL_arg2604z00_11680 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11676); 
BgL_arg2605z00_11681 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11676); 
{ 
 long BgL_bufposz00_13586; long BgL_forwardz00_13585;
BgL_forwardz00_13585 = BgL_arg2604z00_11680; 
BgL_bufposz00_13586 = BgL_arg2605z00_11681; 
BgL_bufposz00_11679 = BgL_bufposz00_13586; 
BgL_forwardz00_11678 = BgL_forwardz00_13585; 
goto BgL_statezd227zd21326z00_11294;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11677; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11682;
BgL_curz00_11682 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11676, BgL_forwardz00_11678); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11682)==((long)103)))
{ 
 long BgL_forwardz00_13591;
BgL_forwardz00_13591 = 
(((long)1)+BgL_forwardz00_11678); 
BgL_forwardz00_11678 = BgL_forwardz00_13591; 
goto BgL_statezd227zd21326z00_11294;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11682)==((long)100)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11685 = BgL_iportz00_11676; 
BgL_lastzd2matchzd2_11686 = BgL_lastzd2matchzd2_11677; 
BgL_forwardz00_11687 = 
(((long)1)+BgL_forwardz00_11678); 
BgL_bufposz00_11688 = BgL_bufposz00_11679; 
BgL_statezd226zd21325z00_11295:
if(
(BgL_forwardz00_11687==BgL_bufposz00_11688))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11685))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2584z00_11689; long BgL_arg2585z00_11690;
BgL_arg2584z00_11689 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11685); 
BgL_arg2585z00_11690 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11685); 
{ 
 long BgL_bufposz00_13603; long BgL_forwardz00_13602;
BgL_forwardz00_13602 = BgL_arg2584z00_11689; 
BgL_bufposz00_13603 = BgL_arg2585z00_11690; 
BgL_bufposz00_11688 = BgL_bufposz00_13603; 
BgL_forwardz00_11687 = BgL_forwardz00_13602; 
goto BgL_statezd226zd21325z00_11295;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11686; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11691;
BgL_curz00_11691 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11685, BgL_forwardz00_11687); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11691)==((long)103)))
{ 
 long BgL_bufposz00_13612; long BgL_forwardz00_13610; long BgL_lastzd2matchzd2_13609; obj_t BgL_iportz00_13608;
BgL_iportz00_13608 = BgL_iportz00_11685; 
BgL_lastzd2matchzd2_13609 = BgL_lastzd2matchzd2_11686; 
BgL_forwardz00_13610 = 
(((long)1)+BgL_forwardz00_11687); 
BgL_bufposz00_13612 = BgL_bufposz00_11688; 
BgL_bufposz00_11679 = BgL_bufposz00_13612; 
BgL_forwardz00_11678 = BgL_forwardz00_13610; 
BgL_lastzd2matchzd2_11677 = BgL_lastzd2matchzd2_13609; 
BgL_iportz00_11676 = BgL_iportz00_13608; 
goto BgL_statezd227zd21326z00_11294;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11691)==((long)100)))
{ 
 long BgL_forwardz00_13616;
BgL_forwardz00_13616 = 
(((long)1)+BgL_forwardz00_11687); 
BgL_forwardz00_11687 = BgL_forwardz00_13616; 
goto BgL_statezd226zd21325z00_11295;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5806z00_13618;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5807z00_13619;
if(
(
(long)(BgL_curz00_11691)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5807z00_13619 = 
(
(long)(BgL_curz00_11691)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5807z00_13619 = ((bool_t)0)
; } 
if(BgL_test5807z00_13619)
{ /* Llib/mpc.scm 444 */
BgL_test5806z00_13618 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5809z00_13625;
if(
(
(long)(BgL_curz00_11691)==((long)99)))
{ /* Llib/mpc.scm 444 */
BgL_test5809z00_13625 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11691)==((long)98)))
{ /* Llib/mpc.scm 444 */
BgL_test5809z00_13625 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5809z00_13625 = 
(
(long)(BgL_curz00_11691)==((long)97))
; } } 
if(BgL_test5809z00_13625)
{ /* Llib/mpc.scm 444 */
BgL_test5806z00_13618 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5812z00_13634;
if(
(
(long)(BgL_curz00_11691)==((long)102)))
{ /* Llib/mpc.scm 444 */
BgL_test5812z00_13634 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5812z00_13634 = 
(
(long)(BgL_curz00_11691)==((long)101))
; } 
if(BgL_test5812z00_13634)
{ /* Llib/mpc.scm 444 */
BgL_test5806z00_13618 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11691)>=((long)104)))
{ /* Llib/mpc.scm 444 */
BgL_test5806z00_13618 = 
(
(long)(BgL_curz00_11691)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5806z00_13618 = ((bool_t)0)
; } } } } } 
if(BgL_test5806z00_13618)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11694 = BgL_iportz00_11685; 
BgL_lastzd2matchzd2_11695 = BgL_lastzd2matchzd2_11686; 
BgL_forwardz00_11696 = 
(((long)1)+BgL_forwardz00_11687); 
BgL_bufposz00_11697 = BgL_bufposz00_11688; 
BgL_statezd225zd21324z00_11296:
if(
(BgL_forwardz00_11696==BgL_bufposz00_11697))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11694))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2564z00_11698; long BgL_arg2565z00_11699;
BgL_arg2564z00_11698 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11694); 
BgL_arg2565z00_11699 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11694); 
{ 
 long BgL_bufposz00_13652; long BgL_forwardz00_13651;
BgL_forwardz00_13651 = BgL_arg2564z00_11698; 
BgL_bufposz00_13652 = BgL_arg2565z00_11699; 
BgL_bufposz00_11697 = BgL_bufposz00_13652; 
BgL_forwardz00_11696 = BgL_forwardz00_13651; 
goto BgL_statezd225zd21324z00_11296;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11695; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11700;
BgL_curz00_11700 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11694, BgL_forwardz00_11696); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11700)==((long)103)))
{ 
 long BgL_bufposz00_13661; long BgL_forwardz00_13659; long BgL_lastzd2matchzd2_13658; obj_t BgL_iportz00_13657;
BgL_iportz00_13657 = BgL_iportz00_11694; 
BgL_lastzd2matchzd2_13658 = BgL_lastzd2matchzd2_11695; 
BgL_forwardz00_13659 = 
(((long)1)+BgL_forwardz00_11696); 
BgL_bufposz00_13661 = BgL_bufposz00_11697; 
BgL_bufposz00_11679 = BgL_bufposz00_13661; 
BgL_forwardz00_11678 = BgL_forwardz00_13659; 
BgL_lastzd2matchzd2_11677 = BgL_lastzd2matchzd2_13658; 
BgL_iportz00_11676 = BgL_iportz00_13657; 
goto BgL_statezd227zd21326z00_11294;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11700)==((long)100)))
{ 
 long BgL_bufposz00_13669; long BgL_forwardz00_13667; long BgL_lastzd2matchzd2_13666; obj_t BgL_iportz00_13665;
BgL_iportz00_13665 = BgL_iportz00_11694; 
BgL_lastzd2matchzd2_13666 = BgL_lastzd2matchzd2_11695; 
BgL_forwardz00_13667 = 
(((long)1)+BgL_forwardz00_11696); 
BgL_bufposz00_13669 = BgL_bufposz00_11697; 
BgL_bufposz00_11688 = BgL_bufposz00_13669; 
BgL_forwardz00_11687 = BgL_forwardz00_13667; 
BgL_lastzd2matchzd2_11686 = BgL_lastzd2matchzd2_13666; 
BgL_iportz00_11685 = BgL_iportz00_13665; 
goto BgL_statezd226zd21325z00_11295;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5819z00_13670;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5820z00_13671;
if(
(
(long)(BgL_curz00_11700)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5820z00_13671 = 
(
(long)(BgL_curz00_11700)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5820z00_13671 = ((bool_t)0)
; } 
if(BgL_test5820z00_13671)
{ /* Llib/mpc.scm 444 */
BgL_test5819z00_13670 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5822z00_13677;
if(
(
(long)(BgL_curz00_11700)==((long)99)))
{ /* Llib/mpc.scm 444 */
BgL_test5822z00_13677 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11700)==((long)98)))
{ /* Llib/mpc.scm 444 */
BgL_test5822z00_13677 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5822z00_13677 = 
(
(long)(BgL_curz00_11700)==((long)97))
; } } 
if(BgL_test5822z00_13677)
{ /* Llib/mpc.scm 444 */
BgL_test5819z00_13670 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5825z00_13686;
if(
(
(long)(BgL_curz00_11700)==((long)102)))
{ /* Llib/mpc.scm 444 */
BgL_test5825z00_13686 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5825z00_13686 = 
(
(long)(BgL_curz00_11700)==((long)101))
; } 
if(BgL_test5825z00_13686)
{ /* Llib/mpc.scm 444 */
BgL_test5819z00_13670 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11700)>=((long)104)))
{ /* Llib/mpc.scm 444 */
BgL_test5819z00_13670 = 
(
(long)(BgL_curz00_11700)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5819z00_13670 = ((bool_t)0)
; } } } } } 
if(BgL_test5819z00_13670)
{ 
 long BgL_forwardz00_13697;
BgL_forwardz00_13697 = 
(((long)1)+BgL_forwardz00_11696); 
BgL_forwardz00_11696 = BgL_forwardz00_13697; 
goto BgL_statezd225zd21324z00_11296;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11700)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2580z00_11701;
BgL_arg2580z00_11701 = 
(((long)1)+BgL_forwardz00_11696); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11702;
RGC_STOP_MATCH(BgL_iportz00_11694, BgL_arg2580z00_11701); 
BgL_newzd2matchzd2_11702 = ((long)3); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11702; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11695; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11691)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2600z00_11692;
BgL_arg2600z00_11692 = 
(((long)1)+BgL_forwardz00_11687); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11693;
RGC_STOP_MATCH(BgL_iportz00_11685, BgL_arg2600z00_11692); 
BgL_newzd2matchzd2_11693 = ((long)2); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11693; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11686; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5830z00_13711;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5831z00_13712;
if(
(
(long)(BgL_curz00_11682)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5831z00_13712 = 
(
(long)(BgL_curz00_11682)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5831z00_13712 = ((bool_t)0)
; } 
if(BgL_test5831z00_13712)
{ /* Llib/mpc.scm 444 */
BgL_test5830z00_13711 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5833z00_13718;
if(
(
(long)(BgL_curz00_11682)==((long)99)))
{ /* Llib/mpc.scm 444 */
BgL_test5833z00_13718 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11682)==((long)98)))
{ /* Llib/mpc.scm 444 */
BgL_test5833z00_13718 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5833z00_13718 = 
(
(long)(BgL_curz00_11682)==((long)97))
; } } 
if(BgL_test5833z00_13718)
{ /* Llib/mpc.scm 444 */
BgL_test5830z00_13711 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5836z00_13727;
if(
(
(long)(BgL_curz00_11682)==((long)102)))
{ /* Llib/mpc.scm 444 */
BgL_test5836z00_13727 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5836z00_13727 = 
(
(long)(BgL_curz00_11682)==((long)101))
; } 
if(BgL_test5836z00_13727)
{ /* Llib/mpc.scm 444 */
BgL_test5830z00_13711 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11682)>=((long)104)))
{ /* Llib/mpc.scm 444 */
BgL_test5830z00_13711 = 
(
(long)(BgL_curz00_11682)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5830z00_13711 = ((bool_t)0)
; } } } } } 
if(BgL_test5830z00_13711)
{ 
 long BgL_bufposz00_13742; long BgL_forwardz00_13740; long BgL_lastzd2matchzd2_13739; obj_t BgL_iportz00_13738;
BgL_iportz00_13738 = BgL_iportz00_11676; 
BgL_lastzd2matchzd2_13739 = BgL_lastzd2matchzd2_11677; 
BgL_forwardz00_13740 = 
(((long)1)+BgL_forwardz00_11678); 
BgL_bufposz00_13742 = BgL_bufposz00_11679; 
BgL_bufposz00_11697 = BgL_bufposz00_13742; 
BgL_forwardz00_11696 = BgL_forwardz00_13740; 
BgL_lastzd2matchzd2_11695 = BgL_lastzd2matchzd2_13739; 
BgL_iportz00_11694 = BgL_iportz00_13738; 
goto BgL_statezd225zd21324z00_11296;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11682)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2620z00_11683;
BgL_arg2620z00_11683 = 
(((long)1)+BgL_forwardz00_11678); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11684;
RGC_STOP_MATCH(BgL_iportz00_11676, BgL_arg2620z00_11683); 
BgL_newzd2matchzd2_11684 = ((long)1); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11684; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11677; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11513)==((long)100)))
{ 
 long BgL_bufposz00_13756; long BgL_forwardz00_13754; long BgL_lastzd2matchzd2_13753; obj_t BgL_iportz00_13752;
BgL_iportz00_13752 = BgL_iportz00_11507; 
BgL_lastzd2matchzd2_13753 = BgL_lastzd2matchzd2_11508; 
BgL_forwardz00_13754 = 
(((long)1)+BgL_forwardz00_11509); 
BgL_bufposz00_13756 = BgL_bufposz00_11510; 
BgL_bufposz00_11688 = BgL_bufposz00_13756; 
BgL_forwardz00_11687 = BgL_forwardz00_13754; 
BgL_lastzd2matchzd2_11686 = BgL_lastzd2matchzd2_13753; 
BgL_iportz00_11685 = BgL_iportz00_13752; 
goto BgL_statezd226zd21325z00_11295;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5841z00_13757;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5842z00_13758;
if(
(
(long)(BgL_curz00_11513)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5842z00_13758 = 
(
(long)(BgL_curz00_11513)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5842z00_13758 = ((bool_t)0)
; } 
if(BgL_test5842z00_13758)
{ /* Llib/mpc.scm 444 */
BgL_test5841z00_13757 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5844z00_13764;
if(
(
(long)(BgL_curz00_11513)==((long)99)))
{ /* Llib/mpc.scm 444 */
BgL_test5844z00_13764 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11513)==((long)98)))
{ /* Llib/mpc.scm 444 */
BgL_test5844z00_13764 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5844z00_13764 = 
(
(long)(BgL_curz00_11513)==((long)97))
; } } 
if(BgL_test5844z00_13764)
{ /* Llib/mpc.scm 444 */
BgL_test5841z00_13757 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5847z00_13773;
if(
(
(long)(BgL_curz00_11513)==((long)102)))
{ /* Llib/mpc.scm 444 */
BgL_test5847z00_13773 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5847z00_13773 = 
(
(long)(BgL_curz00_11513)==((long)101))
; } 
if(BgL_test5847z00_13773)
{ /* Llib/mpc.scm 444 */
BgL_test5841z00_13757 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11513)>=((long)104)))
{ /* Llib/mpc.scm 444 */
BgL_test5841z00_13757 = 
(
(long)(BgL_curz00_11513)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5841z00_13757 = ((bool_t)0)
; } } } } } 
if(BgL_test5841z00_13757)
{ 
 long BgL_bufposz00_13788; long BgL_forwardz00_13786; long BgL_lastzd2matchzd2_13785; obj_t BgL_iportz00_13784;
BgL_iportz00_13784 = BgL_iportz00_11507; 
BgL_lastzd2matchzd2_13785 = BgL_lastzd2matchzd2_11508; 
BgL_forwardz00_13786 = 
(((long)1)+BgL_forwardz00_11509); 
BgL_bufposz00_13788 = BgL_bufposz00_11510; 
BgL_bufposz00_11697 = BgL_bufposz00_13788; 
BgL_forwardz00_11696 = BgL_forwardz00_13786; 
BgL_lastzd2matchzd2_11695 = BgL_lastzd2matchzd2_13785; 
BgL_iportz00_11694 = BgL_iportz00_13784; 
goto BgL_statezd225zd21324z00_11296;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11513)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2862z00_11514;
BgL_arg2862z00_11514 = 
(((long)1)+BgL_forwardz00_11509); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11515;
RGC_STOP_MATCH(BgL_iportz00_11507, BgL_arg2862z00_11514); 
BgL_newzd2matchzd2_11515 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11515; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11508; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5851z00_13795;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5852z00_13796;
if(
(
(long)(BgL_curz00_11385)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5852z00_13796 = 
(
(long)(BgL_curz00_11385)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5852z00_13796 = ((bool_t)0)
; } 
if(BgL_test5852z00_13796)
{ /* Llib/mpc.scm 444 */
BgL_test5851z00_13795 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5854z00_13802;
if(
(
(long)(BgL_curz00_11385)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5854z00_13802 = 
(
(long)(BgL_curz00_11385)<((long)116))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5854z00_13802 = ((bool_t)0)
; } 
if(BgL_test5854z00_13802)
{ /* Llib/mpc.scm 444 */
BgL_test5851z00_13795 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11385)>=((long)117)))
{ /* Llib/mpc.scm 444 */
BgL_test5851z00_13795 = 
(
(long)(BgL_curz00_11385)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5851z00_13795 = ((bool_t)0)
; } } } } 
if(BgL_test5851z00_13795)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11424 = BgL_iportz00_11378; 
BgL_lastzd2matchzd2_11425 = BgL_newzd2matchzd2_11382; 
BgL_forwardz00_11426 = 
(((long)1)+BgL_forwardz00_11380); 
BgL_bufposz00_11427 = BgL_bufposz00_11381; 
BgL_statezd223zd21322z00_11267:
if(
(BgL_forwardz00_11426==BgL_bufposz00_11427))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11424))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2978z00_11428; long BgL_arg2979z00_11429;
BgL_arg2978z00_11428 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11424); 
BgL_arg2979z00_11429 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11424); 
{ 
 long BgL_bufposz00_13820; long BgL_forwardz00_13819;
BgL_forwardz00_13819 = BgL_arg2978z00_11428; 
BgL_bufposz00_13820 = BgL_arg2979z00_11429; 
BgL_bufposz00_11427 = BgL_bufposz00_13820; 
BgL_forwardz00_11426 = BgL_forwardz00_13819; 
goto BgL_statezd223zd21322z00_11267;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11425; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11430;
BgL_curz00_11430 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11424, BgL_forwardz00_11426); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11430)==((long)103)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11415 = BgL_iportz00_11424; 
BgL_lastzd2matchzd2_11416 = BgL_lastzd2matchzd2_11425; 
BgL_forwardz00_11417 = 
(((long)1)+BgL_forwardz00_11426); 
BgL_bufposz00_11418 = BgL_bufposz00_11427; 
BgL_statezd232zd21331z00_11266:
if(
(BgL_forwardz00_11417==BgL_bufposz00_11418))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11415))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2998z00_11419; long BgL_arg2999z00_11420;
BgL_arg2998z00_11419 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11415); 
BgL_arg2999z00_11420 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11415); 
{ 
 long BgL_bufposz00_13832; long BgL_forwardz00_13831;
BgL_forwardz00_13831 = BgL_arg2998z00_11419; 
BgL_bufposz00_13832 = BgL_arg2999z00_11420; 
BgL_bufposz00_11418 = BgL_bufposz00_13832; 
BgL_forwardz00_11417 = BgL_forwardz00_13831; 
goto BgL_statezd232zd21331z00_11266;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11416; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11421;
BgL_curz00_11421 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11415, BgL_forwardz00_11417); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11421)==((long)103)))
{ 
 long BgL_forwardz00_13837;
BgL_forwardz00_13837 = 
(((long)1)+BgL_forwardz00_11417); 
BgL_forwardz00_11417 = BgL_forwardz00_13837; 
goto BgL_statezd232zd21331z00_11266;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11421)==((long)100)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11603 = BgL_iportz00_11415; 
BgL_lastzd2matchzd2_11604 = BgL_lastzd2matchzd2_11416; 
BgL_forwardz00_11605 = 
(((long)1)+BgL_forwardz00_11417); 
BgL_bufposz00_11606 = BgL_bufposz00_11418; 
BgL_statezd231zd21330z00_11286:
if(
(BgL_forwardz00_11605==BgL_bufposz00_11606))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11603))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2701z00_11607; long BgL_arg2702z00_11608;
BgL_arg2701z00_11607 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11603); 
BgL_arg2702z00_11608 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11603); 
{ 
 long BgL_bufposz00_13849; long BgL_forwardz00_13848;
BgL_forwardz00_13848 = BgL_arg2701z00_11607; 
BgL_bufposz00_13849 = BgL_arg2702z00_11608; 
BgL_bufposz00_11606 = BgL_bufposz00_13849; 
BgL_forwardz00_11605 = BgL_forwardz00_13848; 
goto BgL_statezd231zd21330z00_11286;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11604; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11609;
BgL_curz00_11609 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11603, BgL_forwardz00_11605); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11609)==((long)103)))
{ 
 long BgL_bufposz00_13858; long BgL_forwardz00_13856; long BgL_lastzd2matchzd2_13855; obj_t BgL_iportz00_13854;
BgL_iportz00_13854 = BgL_iportz00_11603; 
BgL_lastzd2matchzd2_13855 = BgL_lastzd2matchzd2_11604; 
BgL_forwardz00_13856 = 
(((long)1)+BgL_forwardz00_11605); 
BgL_bufposz00_13858 = BgL_bufposz00_11606; 
BgL_bufposz00_11418 = BgL_bufposz00_13858; 
BgL_forwardz00_11417 = BgL_forwardz00_13856; 
BgL_lastzd2matchzd2_11416 = BgL_lastzd2matchzd2_13855; 
BgL_iportz00_11415 = BgL_iportz00_13854; 
goto BgL_statezd232zd21331z00_11266;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11609)==((long)100)))
{ 
 long BgL_forwardz00_13862;
BgL_forwardz00_13862 = 
(((long)1)+BgL_forwardz00_11605); 
BgL_forwardz00_11605 = BgL_forwardz00_13862; 
goto BgL_statezd231zd21330z00_11286;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5868z00_13864;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5869z00_13865;
if(
(
(long)(BgL_curz00_11609)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5869z00_13865 = 
(
(long)(BgL_curz00_11609)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5869z00_13865 = ((bool_t)0)
; } 
if(BgL_test5869z00_13865)
{ /* Llib/mpc.scm 444 */
BgL_test5868z00_13864 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5871z00_13871;
if(
(
(long)(BgL_curz00_11609)==((long)99)))
{ /* Llib/mpc.scm 444 */
BgL_test5871z00_13871 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11609)==((long)98)))
{ /* Llib/mpc.scm 444 */
BgL_test5871z00_13871 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5871z00_13871 = 
(
(long)(BgL_curz00_11609)==((long)97))
; } } 
if(BgL_test5871z00_13871)
{ /* Llib/mpc.scm 444 */
BgL_test5868z00_13864 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5874z00_13880;
if(
(
(long)(BgL_curz00_11609)==((long)102)))
{ /* Llib/mpc.scm 444 */
BgL_test5874z00_13880 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5874z00_13880 = 
(
(long)(BgL_curz00_11609)==((long)101))
; } 
if(BgL_test5874z00_13880)
{ /* Llib/mpc.scm 444 */
BgL_test5868z00_13864 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11609)>=((long)104)))
{ /* Llib/mpc.scm 444 */
BgL_test5868z00_13864 = 
(
(long)(BgL_curz00_11609)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5868z00_13864 = ((bool_t)0)
; } } } } } 
if(BgL_test5868z00_13864)
{ 
 long BgL_bufposz00_13895; long BgL_forwardz00_13893; long BgL_lastzd2matchzd2_13892; obj_t BgL_iportz00_13891;
BgL_iportz00_13891 = BgL_iportz00_11603; 
BgL_lastzd2matchzd2_13892 = BgL_lastzd2matchzd2_11604; 
BgL_forwardz00_13893 = 
(((long)1)+BgL_forwardz00_11605); 
BgL_bufposz00_13895 = BgL_bufposz00_11606; 
BgL_bufposz00_11427 = BgL_bufposz00_13895; 
BgL_forwardz00_11426 = BgL_forwardz00_13893; 
BgL_lastzd2matchzd2_11425 = BgL_lastzd2matchzd2_13892; 
BgL_iportz00_11424 = BgL_iportz00_13891; 
goto BgL_statezd223zd21322z00_11267;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11609)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2717z00_11610;
BgL_arg2717z00_11610 = 
(((long)1)+BgL_forwardz00_11605); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11611;
RGC_STOP_MATCH(BgL_iportz00_11603, BgL_arg2717z00_11610); 
BgL_newzd2matchzd2_11611 = ((long)2); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11611; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11604; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5878z00_13902;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5879z00_13903;
if(
(
(long)(BgL_curz00_11421)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5879z00_13903 = 
(
(long)(BgL_curz00_11421)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5879z00_13903 = ((bool_t)0)
; } 
if(BgL_test5879z00_13903)
{ /* Llib/mpc.scm 444 */
BgL_test5878z00_13902 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5881z00_13909;
if(
(
(long)(BgL_curz00_11421)==((long)99)))
{ /* Llib/mpc.scm 444 */
BgL_test5881z00_13909 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11421)==((long)98)))
{ /* Llib/mpc.scm 444 */
BgL_test5881z00_13909 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5881z00_13909 = 
(
(long)(BgL_curz00_11421)==((long)97))
; } } 
if(BgL_test5881z00_13909)
{ /* Llib/mpc.scm 444 */
BgL_test5878z00_13902 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5884z00_13918;
if(
(
(long)(BgL_curz00_11421)==((long)102)))
{ /* Llib/mpc.scm 444 */
BgL_test5884z00_13918 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5884z00_13918 = 
(
(long)(BgL_curz00_11421)==((long)101))
; } 
if(BgL_test5884z00_13918)
{ /* Llib/mpc.scm 444 */
BgL_test5878z00_13902 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11421)>=((long)104)))
{ /* Llib/mpc.scm 444 */
BgL_test5878z00_13902 = 
(
(long)(BgL_curz00_11421)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5878z00_13902 = ((bool_t)0)
; } } } } } 
if(BgL_test5878z00_13902)
{ 
 long BgL_bufposz00_13933; long BgL_forwardz00_13931; long BgL_lastzd2matchzd2_13930; obj_t BgL_iportz00_13929;
BgL_iportz00_13929 = BgL_iportz00_11415; 
BgL_lastzd2matchzd2_13930 = BgL_lastzd2matchzd2_11416; 
BgL_forwardz00_13931 = 
(((long)1)+BgL_forwardz00_11417); 
BgL_bufposz00_13933 = BgL_bufposz00_11418; 
BgL_bufposz00_11427 = BgL_bufposz00_13933; 
BgL_forwardz00_11426 = BgL_forwardz00_13931; 
BgL_lastzd2matchzd2_11425 = BgL_lastzd2matchzd2_13930; 
BgL_iportz00_11424 = BgL_iportz00_13929; 
goto BgL_statezd223zd21322z00_11267;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11421)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3014z00_11422;
BgL_arg3014z00_11422 = 
(((long)1)+BgL_forwardz00_11417); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11423;
RGC_STOP_MATCH(BgL_iportz00_11415, BgL_arg3014z00_11422); 
BgL_newzd2matchzd2_11423 = ((long)1); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11423; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11416; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11430)==((long)100)))
{ 
 long BgL_bufposz00_13947; long BgL_forwardz00_13945; long BgL_lastzd2matchzd2_13944; obj_t BgL_iportz00_13943;
BgL_iportz00_13943 = BgL_iportz00_11424; 
BgL_lastzd2matchzd2_13944 = BgL_lastzd2matchzd2_11425; 
BgL_forwardz00_13945 = 
(((long)1)+BgL_forwardz00_11426); 
BgL_bufposz00_13947 = BgL_bufposz00_11427; 
BgL_bufposz00_11606 = BgL_bufposz00_13947; 
BgL_forwardz00_11605 = BgL_forwardz00_13945; 
BgL_lastzd2matchzd2_11604 = BgL_lastzd2matchzd2_13944; 
BgL_iportz00_11603 = BgL_iportz00_13943; 
goto BgL_statezd231zd21330z00_11286;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5889z00_13948;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5890z00_13949;
if(
(
(long)(BgL_curz00_11430)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5890z00_13949 = 
(
(long)(BgL_curz00_11430)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5890z00_13949 = ((bool_t)0)
; } 
if(BgL_test5890z00_13949)
{ /* Llib/mpc.scm 444 */
BgL_test5889z00_13948 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5892z00_13955;
if(
(
(long)(BgL_curz00_11430)==((long)99)))
{ /* Llib/mpc.scm 444 */
BgL_test5892z00_13955 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11430)==((long)98)))
{ /* Llib/mpc.scm 444 */
BgL_test5892z00_13955 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5892z00_13955 = 
(
(long)(BgL_curz00_11430)==((long)97))
; } } 
if(BgL_test5892z00_13955)
{ /* Llib/mpc.scm 444 */
BgL_test5889z00_13948 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5895z00_13964;
if(
(
(long)(BgL_curz00_11430)==((long)102)))
{ /* Llib/mpc.scm 444 */
BgL_test5895z00_13964 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5895z00_13964 = 
(
(long)(BgL_curz00_11430)==((long)101))
; } 
if(BgL_test5895z00_13964)
{ /* Llib/mpc.scm 444 */
BgL_test5889z00_13948 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11430)>=((long)104)))
{ /* Llib/mpc.scm 444 */
BgL_test5889z00_13948 = 
(
(long)(BgL_curz00_11430)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5889z00_13948 = ((bool_t)0)
; } } } } } 
if(BgL_test5889z00_13948)
{ 
 long BgL_forwardz00_13975;
BgL_forwardz00_13975 = 
(((long)1)+BgL_forwardz00_11426); 
BgL_forwardz00_11426 = BgL_forwardz00_13975; 
goto BgL_statezd223zd21322z00_11267;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11430)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2994z00_11431;
BgL_arg2994z00_11431 = 
(((long)1)+BgL_forwardz00_11426); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11432;
RGC_STOP_MATCH(BgL_iportz00_11424, BgL_arg2994z00_11431); 
BgL_newzd2matchzd2_11432 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11432; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11425; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11385)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3071z00_11386;
BgL_arg3071z00_11386 = 
(((long)1)+BgL_forwardz00_11380); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11387;
RGC_STOP_MATCH(BgL_iportz00_11378, BgL_arg3071z00_11386); 
BgL_newzd2matchzd2_11387 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11387; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11382; } } } } } } break;case ((long)114) : 

BgL_iportz00_11563 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11564 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11565 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11566 = BgL_bufposz00_11483; 
BgL_statezd210zd21309z00_11282:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11567;
RGC_STOP_MATCH(BgL_iportz00_11563, BgL_forwardz00_11565); 
BgL_newzd2matchzd2_11567 = ((long)17); 
if(
(BgL_forwardz00_11565==BgL_bufposz00_11566))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11563))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2760z00_11568; long BgL_arg2761z00_11569;
BgL_arg2760z00_11568 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11563); 
BgL_arg2761z00_11569 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11563); 
{ 
 long BgL_bufposz00_13997; long BgL_forwardz00_13996;
BgL_forwardz00_13996 = BgL_arg2760z00_11568; 
BgL_bufposz00_13997 = BgL_arg2761z00_11569; 
BgL_bufposz00_11566 = BgL_bufposz00_13997; 
BgL_forwardz00_11565 = BgL_forwardz00_13996; 
goto BgL_statezd210zd21309z00_11282;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11567; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11570;
BgL_curz00_11570 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11563, BgL_forwardz00_11565); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11570)==((long)101)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11471 = BgL_iportz00_11563; 
BgL_lastzd2matchzd2_11472 = BgL_newzd2matchzd2_11567; 
BgL_forwardz00_11473 = 
(((long)1)+BgL_forwardz00_11565); 
BgL_bufposz00_11474 = BgL_bufposz00_11566; 
BgL_statezd237zd21336z00_11272:
if(
(BgL_forwardz00_11473==BgL_bufposz00_11474))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11471))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2912z00_11475; long BgL_arg2913z00_11476;
BgL_arg2912z00_11475 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11471); 
BgL_arg2913z00_11476 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11471); 
{ 
 long BgL_bufposz00_14009; long BgL_forwardz00_14008;
BgL_forwardz00_14008 = BgL_arg2912z00_11475; 
BgL_bufposz00_14009 = BgL_arg2913z00_11476; 
BgL_bufposz00_11474 = BgL_bufposz00_14009; 
BgL_forwardz00_11473 = BgL_forwardz00_14008; 
goto BgL_statezd237zd21336z00_11272;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11472; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11477;
BgL_curz00_11477 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11471, BgL_forwardz00_11473); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5905z00_14011;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5906z00_14012;
if(
(
(long)(BgL_curz00_11477)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5906z00_14012 = 
(
(long)(BgL_curz00_11477)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5906z00_14012 = ((bool_t)0)
; } 
if(BgL_test5906z00_14012)
{ /* Llib/mpc.scm 444 */
BgL_test5905z00_14011 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11477)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5905z00_14011 = 
(
(long)(BgL_curz00_11477)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5905z00_14011 = ((bool_t)0)
; } } } 
if(BgL_test5905z00_14011)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11656 = BgL_iportz00_11471; 
BgL_lastzd2matchzd2_11657 = BgL_lastzd2matchzd2_11472; 
BgL_forwardz00_11658 = 
(((long)1)+BgL_forwardz00_11473); 
BgL_bufposz00_11659 = BgL_bufposz00_11474; 
BgL_statezd238zd21337z00_11292:
if(
(BgL_forwardz00_11658==BgL_bufposz00_11659))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11656))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2638z00_11660; long BgL_arg2639z00_11661;
BgL_arg2638z00_11660 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11656); 
BgL_arg2639z00_11661 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11656); 
{ 
 long BgL_bufposz00_14030; long BgL_forwardz00_14029;
BgL_forwardz00_14029 = BgL_arg2638z00_11660; 
BgL_bufposz00_14030 = BgL_arg2639z00_11661; 
BgL_bufposz00_11659 = BgL_bufposz00_14030; 
BgL_forwardz00_11658 = BgL_forwardz00_14029; 
goto BgL_statezd238zd21337z00_11292;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11657; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11662;
BgL_curz00_11662 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11656, BgL_forwardz00_11658); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5911z00_14032;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5912z00_14033;
if(
(
(long)(BgL_curz00_11662)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5912z00_14033 = 
(
(long)(BgL_curz00_11662)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5912z00_14033 = ((bool_t)0)
; } 
if(BgL_test5912z00_14033)
{ /* Llib/mpc.scm 444 */
BgL_test5911z00_14032 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11662)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5911z00_14032 = 
(
(long)(BgL_curz00_11662)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5911z00_14032 = ((bool_t)0)
; } } } 
if(BgL_test5911z00_14032)
{ 
 long BgL_forwardz00_14044;
BgL_forwardz00_14044 = 
(((long)1)+BgL_forwardz00_11658); 
BgL_forwardz00_11658 = BgL_forwardz00_14044; 
goto BgL_statezd238zd21337z00_11292;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11662)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2645z00_11663;
BgL_arg2645z00_11663 = 
(((long)1)+BgL_forwardz00_11658); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11664;
RGC_STOP_MATCH(BgL_iportz00_11656, BgL_arg2645z00_11663); 
BgL_newzd2matchzd2_11664 = ((long)13); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11664; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11657; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11477)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2919z00_11478;
BgL_arg2919z00_11478 = 
(((long)1)+BgL_forwardz00_11473); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11479;
RGC_STOP_MATCH(BgL_iportz00_11471, BgL_arg2919z00_11478); 
BgL_newzd2matchzd2_11479 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11479; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11472; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11570)==((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11621 = BgL_iportz00_11563; 
BgL_lastzd2matchzd2_11622 = BgL_newzd2matchzd2_11567; 
BgL_forwardz00_11623 = 
(((long)1)+BgL_forwardz00_11565); 
BgL_bufposz00_11624 = BgL_bufposz00_11566; 
BgL_statezd236zd21335z00_11288:
if(
(BgL_forwardz00_11623==BgL_bufposz00_11624))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11621))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2678z00_11625; long BgL_arg2679z00_11626;
BgL_arg2678z00_11625 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11621); 
BgL_arg2679z00_11626 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11621); 
{ 
 long BgL_bufposz00_14068; long BgL_forwardz00_14067;
BgL_forwardz00_14067 = BgL_arg2678z00_11625; 
BgL_bufposz00_14068 = BgL_arg2679z00_11626; 
BgL_bufposz00_11624 = BgL_bufposz00_14068; 
BgL_forwardz00_11623 = BgL_forwardz00_14067; 
goto BgL_statezd236zd21335z00_11288;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11622; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11627;
BgL_curz00_11627 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11621, BgL_forwardz00_11623); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5920z00_14070;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5921z00_14071;
if(
(
(long)(BgL_curz00_11627)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5921z00_14071 = 
(
(long)(BgL_curz00_11627)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5921z00_14071 = ((bool_t)0)
; } 
if(BgL_test5921z00_14071)
{ /* Llib/mpc.scm 444 */
BgL_test5920z00_14070 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11627)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5920z00_14070 = 
(
(long)(BgL_curz00_11627)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5920z00_14070 = ((bool_t)0)
; } } } 
if(BgL_test5920z00_14070)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11334 = BgL_iportz00_11621; 
BgL_lastzd2matchzd2_11335 = BgL_lastzd2matchzd2_11622; 
BgL_forwardz00_11336 = 
(((long)1)+BgL_forwardz00_11623); 
BgL_bufposz00_11337 = BgL_bufposz00_11624; 
BgL_statezd240zd21339z00_11257:
if(
(BgL_forwardz00_11336==BgL_bufposz00_11337))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11334))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3117z00_11338; long BgL_arg3118z00_11339;
BgL_arg3117z00_11338 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11334); 
BgL_arg3118z00_11339 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11334); 
{ 
 long BgL_bufposz00_14089; long BgL_forwardz00_14088;
BgL_forwardz00_14088 = BgL_arg3117z00_11338; 
BgL_bufposz00_14089 = BgL_arg3118z00_11339; 
BgL_bufposz00_11337 = BgL_bufposz00_14089; 
BgL_forwardz00_11336 = BgL_forwardz00_14088; 
goto BgL_statezd240zd21339z00_11257;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11335; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11340;
BgL_curz00_11340 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11334, BgL_forwardz00_11336); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5926z00_14091;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5927z00_14092;
if(
(
(long)(BgL_curz00_11340)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5927z00_14092 = 
(
(long)(BgL_curz00_11340)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5927z00_14092 = ((bool_t)0)
; } 
if(BgL_test5927z00_14092)
{ /* Llib/mpc.scm 444 */
BgL_test5926z00_14091 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11340)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5926z00_14091 = 
(
(long)(BgL_curz00_11340)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5926z00_14091 = ((bool_t)0)
; } } } 
if(BgL_test5926z00_14091)
{ 
 long BgL_forwardz00_14103;
BgL_forwardz00_14103 = 
(((long)1)+BgL_forwardz00_11336); 
BgL_forwardz00_11336 = BgL_forwardz00_14103; 
goto BgL_statezd240zd21339z00_11257;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11340)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3124z00_11341;
BgL_arg3124z00_11341 = 
(((long)1)+BgL_forwardz00_11336); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11342;
RGC_STOP_MATCH(BgL_iportz00_11334, BgL_arg3124z00_11341); 
BgL_newzd2matchzd2_11342 = ((long)12); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11342; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11335; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11627)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2685z00_11628;
BgL_arg2685z00_11628 = 
(((long)1)+BgL_forwardz00_11623); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11629;
RGC_STOP_MATCH(BgL_iportz00_11621, BgL_arg2685z00_11628); 
BgL_newzd2matchzd2_11629 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11629; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11622; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5932z00_14117;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5933z00_14118;
if(
(
(long)(BgL_curz00_11570)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5933z00_14118 = 
(
(long)(BgL_curz00_11570)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5933z00_14118 = ((bool_t)0)
; } 
if(BgL_test5933z00_14118)
{ /* Llib/mpc.scm 444 */
BgL_test5932z00_14117 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5935z00_14124;
if(
(
(long)(BgL_curz00_11570)==((long)100)))
{ /* Llib/mpc.scm 444 */
BgL_test5935z00_14124 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11570)==((long)99)))
{ /* Llib/mpc.scm 444 */
BgL_test5935z00_14124 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5935z00_14124 = 
(
(long)(BgL_curz00_11570)==((long)98))
; } } 
if(BgL_test5935z00_14124)
{ /* Llib/mpc.scm 444 */
BgL_test5932z00_14117 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11570)>=((long)102)))
{ /* Llib/mpc.scm 444 */
BgL_test5932z00_14117 = 
(
(long)(BgL_curz00_11570)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5932z00_14117 = ((bool_t)0)
; } } } } 
if(BgL_test5932z00_14117)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11612 = BgL_iportz00_11563; 
BgL_lastzd2matchzd2_11613 = BgL_newzd2matchzd2_11567; 
BgL_forwardz00_11614 = 
(((long)1)+BgL_forwardz00_11565); 
BgL_bufposz00_11615 = BgL_bufposz00_11566; 
BgL_statezd235zd21334z00_11287:
if(
(BgL_forwardz00_11614==BgL_bufposz00_11615))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11612))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2690z00_11616; long BgL_arg2691z00_11617;
BgL_arg2690z00_11616 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11612); 
BgL_arg2691z00_11617 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11612); 
{ 
 long BgL_bufposz00_14145; long BgL_forwardz00_14144;
BgL_forwardz00_14144 = BgL_arg2690z00_11616; 
BgL_bufposz00_14145 = BgL_arg2691z00_11617; 
BgL_bufposz00_11615 = BgL_bufposz00_14145; 
BgL_forwardz00_11614 = BgL_forwardz00_14144; 
goto BgL_statezd235zd21334z00_11287;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11613; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11618;
BgL_curz00_11618 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11612, BgL_forwardz00_11614); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5941z00_14147;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5942z00_14148;
if(
(
(long)(BgL_curz00_11618)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5942z00_14148 = 
(
(long)(BgL_curz00_11618)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5942z00_14148 = ((bool_t)0)
; } 
if(BgL_test5942z00_14148)
{ /* Llib/mpc.scm 444 */
BgL_test5941z00_14147 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11618)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5941z00_14147 = 
(
(long)(BgL_curz00_11618)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5941z00_14147 = ((bool_t)0)
; } } } 
if(BgL_test5941z00_14147)
{ 
 long BgL_forwardz00_14159;
BgL_forwardz00_14159 = 
(((long)1)+BgL_forwardz00_11614); 
BgL_forwardz00_11614 = BgL_forwardz00_14159; 
goto BgL_statezd235zd21334z00_11287;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11618)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2697z00_11619;
BgL_arg2697z00_11619 = 
(((long)1)+BgL_forwardz00_11614); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11620;
RGC_STOP_MATCH(BgL_iportz00_11612, BgL_arg2697z00_11619); 
BgL_newzd2matchzd2_11620 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11620; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11613; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11570)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2774z00_11571;
BgL_arg2774z00_11571 = 
(((long)1)+BgL_forwardz00_11565); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11572;
RGC_STOP_MATCH(BgL_iportz00_11563, BgL_arg2774z00_11571); 
BgL_newzd2matchzd2_11572 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11572; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11567; } } } } } } } break;case ((long)112) : 

BgL_iportz00_11405 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11406 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11407 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11408 = BgL_bufposz00_11483; 
BgL_statezd29zd21308z00_11265:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11409;
RGC_STOP_MATCH(BgL_iportz00_11405, BgL_forwardz00_11407); 
BgL_newzd2matchzd2_11409 = ((long)17); 
if(
(BgL_forwardz00_11407==BgL_bufposz00_11408))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11405))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3018z00_11410; long BgL_arg3019z00_11411;
BgL_arg3018z00_11410 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11405); 
BgL_arg3019z00_11411 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11405); 
{ 
 long BgL_bufposz00_14181; long BgL_forwardz00_14180;
BgL_forwardz00_14180 = BgL_arg3018z00_11410; 
BgL_bufposz00_14181 = BgL_arg3019z00_11411; 
BgL_bufposz00_11408 = BgL_bufposz00_14181; 
BgL_forwardz00_11407 = BgL_forwardz00_14180; 
goto BgL_statezd29zd21308z00_11265;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11409; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11412;
BgL_curz00_11412 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11405, BgL_forwardz00_11407); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5949z00_14183;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5950z00_14184;
if(
(
(long)(BgL_curz00_11412)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5950z00_14184 = 
(
(long)(BgL_curz00_11412)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5950z00_14184 = ((bool_t)0)
; } 
if(BgL_test5950z00_14184)
{ /* Llib/mpc.scm 444 */
BgL_test5949z00_14183 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11412)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5949z00_14183 = 
(
(long)(BgL_curz00_11412)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5949z00_14183 = ((bool_t)0)
; } } } 
if(BgL_test5949z00_14183)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11554 = BgL_iportz00_11405; 
BgL_lastzd2matchzd2_11555 = BgL_newzd2matchzd2_11409; 
BgL_forwardz00_11556 = 
(((long)1)+BgL_forwardz00_11407); 
BgL_bufposz00_11557 = BgL_bufposz00_11408; 
BgL_statezd242zd21341z00_11281:
if(
(BgL_forwardz00_11556==BgL_bufposz00_11557))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11554))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2778z00_11558; long BgL_arg2779z00_11559;
BgL_arg2778z00_11558 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11554); 
BgL_arg2779z00_11559 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11554); 
{ 
 long BgL_bufposz00_14202; long BgL_forwardz00_14201;
BgL_forwardz00_14201 = BgL_arg2778z00_11558; 
BgL_bufposz00_14202 = BgL_arg2779z00_11559; 
BgL_bufposz00_11557 = BgL_bufposz00_14202; 
BgL_forwardz00_11556 = BgL_forwardz00_14201; 
goto BgL_statezd242zd21341z00_11281;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11555; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11560;
BgL_curz00_11560 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11554, BgL_forwardz00_11556); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11560)==((long)116)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11388 = BgL_iportz00_11554; 
BgL_lastzd2matchzd2_11389 = BgL_lastzd2matchzd2_11555; 
BgL_forwardz00_11390 = 
(((long)1)+BgL_forwardz00_11556); 
BgL_bufposz00_11391 = BgL_bufposz00_11557; 
BgL_statezd244zd21343z00_11263:
if(
(BgL_forwardz00_11390==BgL_bufposz00_11391))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11388))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3039z00_11392; long BgL_arg3040z00_11393;
BgL_arg3039z00_11392 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11388); 
BgL_arg3040z00_11393 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11388); 
{ 
 long BgL_bufposz00_14214; long BgL_forwardz00_14213;
BgL_forwardz00_14213 = BgL_arg3039z00_11392; 
BgL_bufposz00_14214 = BgL_arg3040z00_11393; 
BgL_bufposz00_11391 = BgL_bufposz00_14214; 
BgL_forwardz00_11390 = BgL_forwardz00_14213; 
goto BgL_statezd244zd21343z00_11263;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11389; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11394;
BgL_curz00_11394 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11388, BgL_forwardz00_11390); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11394)==((long)116)))
{ 
 long BgL_forwardz00_14219;
BgL_forwardz00_14219 = 
(((long)1)+BgL_forwardz00_11390); 
BgL_forwardz00_11390 = BgL_forwardz00_14219; 
goto BgL_statezd244zd21343z00_11263;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11394)==((long)104)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11433 = BgL_iportz00_11388; 
BgL_lastzd2matchzd2_11434 = BgL_lastzd2matchzd2_11389; 
BgL_forwardz00_11435 = 
(((long)1)+BgL_forwardz00_11390); 
BgL_bufposz00_11436 = BgL_bufposz00_11391; 
BgL_statezd243zd21342z00_11268:
if(
(BgL_forwardz00_11435==BgL_bufposz00_11436))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11433))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2958z00_11437; long BgL_arg2959z00_11438;
BgL_arg2958z00_11437 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11433); 
BgL_arg2959z00_11438 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11433); 
{ 
 long BgL_bufposz00_14231; long BgL_forwardz00_14230;
BgL_forwardz00_14230 = BgL_arg2958z00_11437; 
BgL_bufposz00_14231 = BgL_arg2959z00_11438; 
BgL_bufposz00_11436 = BgL_bufposz00_14231; 
BgL_forwardz00_11435 = BgL_forwardz00_14230; 
goto BgL_statezd243zd21342z00_11268;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11434; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11439;
BgL_curz00_11439 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11433, BgL_forwardz00_11435); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11439)==((long)116)))
{ 
 long BgL_bufposz00_14240; long BgL_forwardz00_14238; long BgL_lastzd2matchzd2_14237; obj_t BgL_iportz00_14236;
BgL_iportz00_14236 = BgL_iportz00_11433; 
BgL_lastzd2matchzd2_14237 = BgL_lastzd2matchzd2_11434; 
BgL_forwardz00_14238 = 
(((long)1)+BgL_forwardz00_11435); 
BgL_bufposz00_14240 = BgL_bufposz00_11436; 
BgL_bufposz00_11391 = BgL_bufposz00_14240; 
BgL_forwardz00_11390 = BgL_forwardz00_14238; 
BgL_lastzd2matchzd2_11389 = BgL_lastzd2matchzd2_14237; 
BgL_iportz00_11388 = BgL_iportz00_14236; 
goto BgL_statezd244zd21343z00_11263;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11439)==((long)104)))
{ 
 long BgL_forwardz00_14244;
BgL_forwardz00_14244 = 
(((long)1)+BgL_forwardz00_11435); 
BgL_forwardz00_11435 = BgL_forwardz00_14244; 
goto BgL_statezd243zd21342z00_11268;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5964z00_14246;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5965z00_14247;
if(
(
(long)(BgL_curz00_11439)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5965z00_14247 = 
(
(long)(BgL_curz00_11439)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5965z00_14247 = ((bool_t)0)
; } 
if(BgL_test5965z00_14247)
{ /* Llib/mpc.scm 444 */
BgL_test5964z00_14246 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5967z00_14253;
if(
(
(long)(BgL_curz00_11439)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5967z00_14253 = 
(
(long)(BgL_curz00_11439)<((long)104))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5967z00_14253 = ((bool_t)0)
; } 
if(BgL_test5967z00_14253)
{ /* Llib/mpc.scm 444 */
BgL_test5964z00_14246 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5969z00_14259;
if(
(
(long)(BgL_curz00_11439)>=((long)105)))
{ /* Llib/mpc.scm 444 */
BgL_test5969z00_14259 = 
(
(long)(BgL_curz00_11439)<((long)116))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5969z00_14259 = ((bool_t)0)
; } 
if(BgL_test5969z00_14259)
{ /* Llib/mpc.scm 444 */
BgL_test5964z00_14246 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11439)>=((long)117)))
{ /* Llib/mpc.scm 444 */
BgL_test5964z00_14246 = 
(
(long)(BgL_curz00_11439)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5964z00_14246 = ((bool_t)0)
; } } } } } 
if(BgL_test5964z00_14246)
{ 
 long BgL_bufposz00_14274; long BgL_forwardz00_14272; long BgL_lastzd2matchzd2_14271; obj_t BgL_iportz00_14270;
BgL_iportz00_14270 = BgL_iportz00_11433; 
BgL_lastzd2matchzd2_14271 = BgL_lastzd2matchzd2_11434; 
BgL_forwardz00_14272 = 
(((long)1)+BgL_forwardz00_11435); 
BgL_bufposz00_14274 = BgL_bufposz00_11436; 
BgL_bufposz00_11557 = BgL_bufposz00_14274; 
BgL_forwardz00_11556 = BgL_forwardz00_14272; 
BgL_lastzd2matchzd2_11555 = BgL_lastzd2matchzd2_14271; 
BgL_iportz00_11554 = BgL_iportz00_14270; 
goto BgL_statezd242zd21341z00_11281;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11439)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2973z00_11440;
BgL_arg2973z00_11440 = 
(((long)1)+BgL_forwardz00_11435); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11441;
RGC_STOP_MATCH(BgL_iportz00_11433, BgL_arg2973z00_11440); 
BgL_newzd2matchzd2_11441 = ((long)6); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11441; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11434; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5973z00_14281;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5974z00_14282;
if(
(
(long)(BgL_curz00_11394)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5974z00_14282 = 
(
(long)(BgL_curz00_11394)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5974z00_14282 = ((bool_t)0)
; } 
if(BgL_test5974z00_14282)
{ /* Llib/mpc.scm 444 */
BgL_test5973z00_14281 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5976z00_14288;
if(
(
(long)(BgL_curz00_11394)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5976z00_14288 = 
(
(long)(BgL_curz00_11394)<((long)104))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5976z00_14288 = ((bool_t)0)
; } 
if(BgL_test5976z00_14288)
{ /* Llib/mpc.scm 444 */
BgL_test5973z00_14281 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5978z00_14294;
if(
(
(long)(BgL_curz00_11394)>=((long)105)))
{ /* Llib/mpc.scm 444 */
BgL_test5978z00_14294 = 
(
(long)(BgL_curz00_11394)<((long)116))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5978z00_14294 = ((bool_t)0)
; } 
if(BgL_test5978z00_14294)
{ /* Llib/mpc.scm 444 */
BgL_test5973z00_14281 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11394)>=((long)117)))
{ /* Llib/mpc.scm 444 */
BgL_test5973z00_14281 = 
(
(long)(BgL_curz00_11394)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5973z00_14281 = ((bool_t)0)
; } } } } } 
if(BgL_test5973z00_14281)
{ 
 long BgL_bufposz00_14309; long BgL_forwardz00_14307; long BgL_lastzd2matchzd2_14306; obj_t BgL_iportz00_14305;
BgL_iportz00_14305 = BgL_iportz00_11388; 
BgL_lastzd2matchzd2_14306 = BgL_lastzd2matchzd2_11389; 
BgL_forwardz00_14307 = 
(((long)1)+BgL_forwardz00_11390); 
BgL_bufposz00_14309 = BgL_bufposz00_11391; 
BgL_bufposz00_11557 = BgL_bufposz00_14309; 
BgL_forwardz00_11556 = BgL_forwardz00_14307; 
BgL_lastzd2matchzd2_11555 = BgL_lastzd2matchzd2_14306; 
BgL_iportz00_11554 = BgL_iportz00_14305; 
goto BgL_statezd242zd21341z00_11281;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11394)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3054z00_11395;
BgL_arg3054z00_11395 = 
(((long)1)+BgL_forwardz00_11390); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11396;
RGC_STOP_MATCH(BgL_iportz00_11388, BgL_arg3054z00_11395); 
BgL_newzd2matchzd2_11396 = ((long)7); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11396; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11389; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11560)==((long)104)))
{ 
 long BgL_bufposz00_14323; long BgL_forwardz00_14321; long BgL_lastzd2matchzd2_14320; obj_t BgL_iportz00_14319;
BgL_iportz00_14319 = BgL_iportz00_11554; 
BgL_lastzd2matchzd2_14320 = BgL_lastzd2matchzd2_11555; 
BgL_forwardz00_14321 = 
(((long)1)+BgL_forwardz00_11556); 
BgL_bufposz00_14323 = BgL_bufposz00_11557; 
BgL_bufposz00_11436 = BgL_bufposz00_14323; 
BgL_forwardz00_11435 = BgL_forwardz00_14321; 
BgL_lastzd2matchzd2_11434 = BgL_lastzd2matchzd2_14320; 
BgL_iportz00_11433 = BgL_iportz00_14319; 
goto BgL_statezd243zd21342z00_11268;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5983z00_14324;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5984z00_14325;
if(
(
(long)(BgL_curz00_11560)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5984z00_14325 = 
(
(long)(BgL_curz00_11560)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5984z00_14325 = ((bool_t)0)
; } 
if(BgL_test5984z00_14325)
{ /* Llib/mpc.scm 444 */
BgL_test5983z00_14324 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5986z00_14331;
if(
(
(long)(BgL_curz00_11560)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5986z00_14331 = 
(
(long)(BgL_curz00_11560)<((long)104))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5986z00_14331 = ((bool_t)0)
; } 
if(BgL_test5986z00_14331)
{ /* Llib/mpc.scm 444 */
BgL_test5983z00_14324 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5988z00_14337;
if(
(
(long)(BgL_curz00_11560)>=((long)105)))
{ /* Llib/mpc.scm 444 */
BgL_test5988z00_14337 = 
(
(long)(BgL_curz00_11560)<((long)116))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5988z00_14337 = ((bool_t)0)
; } 
if(BgL_test5988z00_14337)
{ /* Llib/mpc.scm 444 */
BgL_test5983z00_14324 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11560)>=((long)117)))
{ /* Llib/mpc.scm 444 */
BgL_test5983z00_14324 = 
(
(long)(BgL_curz00_11560)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5983z00_14324 = ((bool_t)0)
; } } } } } 
if(BgL_test5983z00_14324)
{ 
 long BgL_forwardz00_14348;
BgL_forwardz00_14348 = 
(((long)1)+BgL_forwardz00_11556); 
BgL_forwardz00_11556 = BgL_forwardz00_14348; 
goto BgL_statezd242zd21341z00_11281;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11560)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2793z00_11561;
BgL_arg2793z00_11561 = 
(((long)1)+BgL_forwardz00_11556); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11562;
RGC_STOP_MATCH(BgL_iportz00_11554, BgL_arg2793z00_11561); 
BgL_newzd2matchzd2_11562 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11562; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11555; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11412)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3025z00_11413;
BgL_arg3025z00_11413 = 
(((long)1)+BgL_forwardz00_11407); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11414;
RGC_STOP_MATCH(BgL_iportz00_11405, BgL_arg3025z00_11413); 
BgL_newzd2matchzd2_11414 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11414; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11409; } } } } } } break;case ((long)101) : 

BgL_iportz00_11451 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11452 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11453 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11454 = BgL_bufposz00_11483; 
BgL_statezd28zd21307z00_11270:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11455;
RGC_STOP_MATCH(BgL_iportz00_11451, BgL_forwardz00_11453); 
BgL_newzd2matchzd2_11455 = ((long)17); 
if(
(BgL_forwardz00_11453==BgL_bufposz00_11454))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11451))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2934z00_11456; long BgL_arg2935z00_11457;
BgL_arg2934z00_11456 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11451); 
BgL_arg2935z00_11457 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11451); 
{ 
 long BgL_bufposz00_14370; long BgL_forwardz00_14369;
BgL_forwardz00_14369 = BgL_arg2934z00_11456; 
BgL_bufposz00_14370 = BgL_arg2935z00_11457; 
BgL_bufposz00_11454 = BgL_bufposz00_14370; 
BgL_forwardz00_11453 = BgL_forwardz00_14369; 
goto BgL_statezd28zd21307z00_11270;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11455; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11458;
BgL_curz00_11458 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11451, BgL_forwardz00_11453); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5995z00_14372;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5996z00_14373;
if(
(
(long)(BgL_curz00_11458)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test5996z00_14373 = 
(
(long)(BgL_curz00_11458)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5996z00_14373 = ((bool_t)0)
; } 
if(BgL_test5996z00_14373)
{ /* Llib/mpc.scm 444 */
BgL_test5995z00_14372 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11458)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test5995z00_14372 = 
(
(long)(BgL_curz00_11458)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5995z00_14372 = ((bool_t)0)
; } } } 
if(BgL_test5995z00_14372)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11647 = BgL_iportz00_11451; 
BgL_lastzd2matchzd2_11648 = BgL_newzd2matchzd2_11455; 
BgL_forwardz00_11649 = 
(((long)1)+BgL_forwardz00_11453); 
BgL_bufposz00_11650 = BgL_bufposz00_11454; 
BgL_statezd247zd21346z00_11291:
if(
(BgL_forwardz00_11649==BgL_bufposz00_11650))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11647))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2649z00_11651; long BgL_arg2650z00_11652;
BgL_arg2649z00_11651 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11647); 
BgL_arg2650z00_11652 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11647); 
{ 
 long BgL_bufposz00_14391; long BgL_forwardz00_14390;
BgL_forwardz00_14390 = BgL_arg2649z00_11651; 
BgL_bufposz00_14391 = BgL_arg2650z00_11652; 
BgL_bufposz00_11650 = BgL_bufposz00_14391; 
BgL_forwardz00_11649 = BgL_forwardz00_14390; 
goto BgL_statezd247zd21346z00_11291;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11648; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11653;
BgL_curz00_11653 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11647, BgL_forwardz00_11649); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6001z00_14393;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6002z00_14394;
if(
(
(long)(BgL_curz00_11653)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6002z00_14394 = 
(
(long)(BgL_curz00_11653)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6002z00_14394 = ((bool_t)0)
; } 
if(BgL_test6002z00_14394)
{ /* Llib/mpc.scm 444 */
BgL_test6001z00_14393 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11653)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6001z00_14393 = 
(
(long)(BgL_curz00_11653)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6001z00_14393 = ((bool_t)0)
; } } } 
if(BgL_test6001z00_14393)
{ 
 long BgL_forwardz00_14405;
BgL_forwardz00_14405 = 
(((long)1)+BgL_forwardz00_11649); 
BgL_forwardz00_11649 = BgL_forwardz00_14405; 
goto BgL_statezd247zd21346z00_11291;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11653)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2656z00_11654;
BgL_arg2656z00_11654 = 
(((long)1)+BgL_forwardz00_11649); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11655;
RGC_STOP_MATCH(BgL_iportz00_11647, BgL_arg2656z00_11654); 
BgL_newzd2matchzd2_11655 = ((long)8); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11655; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11648; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11458)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2941z00_11459;
BgL_arg2941z00_11459 = 
(((long)1)+BgL_forwardz00_11453); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11460;
RGC_STOP_MATCH(BgL_iportz00_11451, BgL_arg2941z00_11459); 
BgL_newzd2matchzd2_11460 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11460; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11455; } } } } } } break;case ((long)98) : 

BgL_iportz00_11573 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11574 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11575 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11576 = BgL_bufposz00_11483; 
BgL_statezd27zd21306z00_11283:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11577;
RGC_STOP_MATCH(BgL_iportz00_11573, BgL_forwardz00_11575); 
BgL_newzd2matchzd2_11577 = ((long)17); 
if(
(BgL_forwardz00_11575==BgL_bufposz00_11576))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11573))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2749z00_11578; long BgL_arg2750z00_11579;
BgL_arg2749z00_11578 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11573); 
BgL_arg2750z00_11579 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11573); 
{ 
 long BgL_bufposz00_14427; long BgL_forwardz00_14426;
BgL_forwardz00_14426 = BgL_arg2749z00_11578; 
BgL_bufposz00_14427 = BgL_arg2750z00_11579; 
BgL_bufposz00_11576 = BgL_bufposz00_14427; 
BgL_forwardz00_11575 = BgL_forwardz00_14426; 
goto BgL_statezd27zd21306z00_11283;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11577; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11580;
BgL_curz00_11580 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11573, BgL_forwardz00_11575); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6009z00_14429;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6010z00_14430;
if(
(
(long)(BgL_curz00_11580)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6010z00_14430 = 
(
(long)(BgL_curz00_11580)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6010z00_14430 = ((bool_t)0)
; } 
if(BgL_test6010z00_14430)
{ /* Llib/mpc.scm 444 */
BgL_test6009z00_14429 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11580)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6009z00_14429 = 
(
(long)(BgL_curz00_11580)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6009z00_14429 = ((bool_t)0)
; } } } 
if(BgL_test6009z00_14429)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11325 = BgL_iportz00_11573; 
BgL_lastzd2matchzd2_11326 = BgL_newzd2matchzd2_11577; 
BgL_forwardz00_11327 = 
(((long)1)+BgL_forwardz00_11575); 
BgL_bufposz00_11328 = BgL_bufposz00_11576; 
BgL_statezd249zd21348z00_11256:
if(
(BgL_forwardz00_11327==BgL_bufposz00_11328))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11325))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3128z00_11329; long BgL_arg3129z00_11330;
BgL_arg3128z00_11329 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11325); 
BgL_arg3129z00_11330 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11325); 
{ 
 long BgL_bufposz00_14448; long BgL_forwardz00_14447;
BgL_forwardz00_14447 = BgL_arg3128z00_11329; 
BgL_bufposz00_14448 = BgL_arg3129z00_11330; 
BgL_bufposz00_11328 = BgL_bufposz00_14448; 
BgL_forwardz00_11327 = BgL_forwardz00_14447; 
goto BgL_statezd249zd21348z00_11256;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11326; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11331;
BgL_curz00_11331 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11325, BgL_forwardz00_11327); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6015z00_14450;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6016z00_14451;
if(
(
(long)(BgL_curz00_11331)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6016z00_14451 = 
(
(long)(BgL_curz00_11331)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6016z00_14451 = ((bool_t)0)
; } 
if(BgL_test6016z00_14451)
{ /* Llib/mpc.scm 444 */
BgL_test6015z00_14450 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11331)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6015z00_14450 = 
(
(long)(BgL_curz00_11331)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6015z00_14450 = ((bool_t)0)
; } } } 
if(BgL_test6015z00_14450)
{ 
 long BgL_forwardz00_14462;
BgL_forwardz00_14462 = 
(((long)1)+BgL_forwardz00_11327); 
BgL_forwardz00_11327 = BgL_forwardz00_14462; 
goto BgL_statezd249zd21348z00_11256;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11331)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3135z00_11332;
BgL_arg3135z00_11332 = 
(((long)1)+BgL_forwardz00_11327); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11333;
RGC_STOP_MATCH(BgL_iportz00_11325, BgL_arg3135z00_11332); 
BgL_newzd2matchzd2_11333 = ((long)9); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11333; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11326; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11580)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2756z00_11581;
BgL_arg2756z00_11581 = 
(((long)1)+BgL_forwardz00_11575); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11582;
RGC_STOP_MATCH(BgL_iportz00_11573, BgL_arg2756z00_11581); 
BgL_newzd2matchzd2_11582 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11582; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11577; } } } } } } break;case ((long)97) : 

BgL_iportz00_11461 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11462 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11463 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11464 = BgL_bufposz00_11483; 
BgL_statezd26zd21305z00_11271:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11465;
RGC_STOP_MATCH(BgL_iportz00_11461, BgL_forwardz00_11463); 
BgL_newzd2matchzd2_11465 = ((long)17); 
if(
(BgL_forwardz00_11463==BgL_bufposz00_11464))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11461))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2923z00_11466; long BgL_arg2924z00_11467;
BgL_arg2923z00_11466 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11461); 
BgL_arg2924z00_11467 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11461); 
{ 
 long BgL_bufposz00_14484; long BgL_forwardz00_14483;
BgL_forwardz00_14483 = BgL_arg2923z00_11466; 
BgL_bufposz00_14484 = BgL_arg2924z00_11467; 
BgL_bufposz00_11464 = BgL_bufposz00_14484; 
BgL_forwardz00_11463 = BgL_forwardz00_14483; 
goto BgL_statezd26zd21305z00_11271;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11465; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11468;
BgL_curz00_11468 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11461, BgL_forwardz00_11463); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6023z00_14486;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6024z00_14487;
if(
(
(long)(BgL_curz00_11468)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6024z00_14487 = 
(
(long)(BgL_curz00_11468)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6024z00_14487 = ((bool_t)0)
; } 
if(BgL_test6024z00_14487)
{ /* Llib/mpc.scm 444 */
BgL_test6023z00_14486 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11468)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6023z00_14486 = 
(
(long)(BgL_curz00_11468)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6023z00_14486 = ((bool_t)0)
; } } } 
if(BgL_test6023z00_14486)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11362 = BgL_iportz00_11461; 
BgL_lastzd2matchzd2_11363 = BgL_newzd2matchzd2_11465; 
BgL_forwardz00_11364 = 
(((long)1)+BgL_forwardz00_11463); 
BgL_bufposz00_11365 = BgL_bufposz00_11464; 
BgL_statezd251zd21350z00_11260:
if(
(BgL_forwardz00_11364==BgL_bufposz00_11365))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11362))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3082z00_11366; long BgL_arg3083z00_11367;
BgL_arg3082z00_11366 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11362); 
BgL_arg3083z00_11367 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11362); 
{ 
 long BgL_bufposz00_14505; long BgL_forwardz00_14504;
BgL_forwardz00_14504 = BgL_arg3082z00_11366; 
BgL_bufposz00_14505 = BgL_arg3083z00_11367; 
BgL_bufposz00_11365 = BgL_bufposz00_14505; 
BgL_forwardz00_11364 = BgL_forwardz00_14504; 
goto BgL_statezd251zd21350z00_11260;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11363; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11368;
BgL_curz00_11368 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11362, BgL_forwardz00_11364); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6029z00_14507;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6030z00_14508;
if(
(
(long)(BgL_curz00_11368)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6030z00_14508 = 
(
(long)(BgL_curz00_11368)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6030z00_14508 = ((bool_t)0)
; } 
if(BgL_test6030z00_14508)
{ /* Llib/mpc.scm 444 */
BgL_test6029z00_14507 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11368)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6029z00_14507 = 
(
(long)(BgL_curz00_11368)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6029z00_14507 = ((bool_t)0)
; } } } 
if(BgL_test6029z00_14507)
{ 
 long BgL_forwardz00_14519;
BgL_forwardz00_14519 = 
(((long)1)+BgL_forwardz00_11364); 
BgL_forwardz00_11364 = BgL_forwardz00_14519; 
goto BgL_statezd251zd21350z00_11260;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11368)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3089z00_11369;
BgL_arg3089z00_11369 = 
(((long)1)+BgL_forwardz00_11364); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11370;
RGC_STOP_MATCH(BgL_iportz00_11362, BgL_arg3089z00_11369); 
BgL_newzd2matchzd2_11370 = ((long)10); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11370; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11363; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11468)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2930z00_11469;
BgL_arg2930z00_11469 = 
(((long)1)+BgL_forwardz00_11463); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11470;
RGC_STOP_MATCH(BgL_iportz00_11461, BgL_arg2930z00_11469); 
BgL_newzd2matchzd2_11470 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11470; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11465; } } } } } } break;case ((long)79) : 

BgL_iportz00_11593 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11594 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11595 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11596 = BgL_bufposz00_11483; 
BgL_statezd25zd21304z00_11285:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11597;
RGC_STOP_MATCH(BgL_iportz00_11593, BgL_forwardz00_11595); 
BgL_newzd2matchzd2_11597 = ((long)17); 
if(
(BgL_forwardz00_11595==BgL_bufposz00_11596))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11593))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2721z00_11598; long BgL_arg2722z00_11599;
BgL_arg2721z00_11598 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11593); 
BgL_arg2722z00_11599 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11593); 
{ 
 long BgL_bufposz00_14541; long BgL_forwardz00_14540;
BgL_forwardz00_14540 = BgL_arg2721z00_11598; 
BgL_bufposz00_14541 = BgL_arg2722z00_11599; 
BgL_bufposz00_11596 = BgL_bufposz00_14541; 
BgL_forwardz00_11595 = BgL_forwardz00_14540; 
goto BgL_statezd25zd21304z00_11285;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11597; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11600;
BgL_curz00_11600 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11593, BgL_forwardz00_11595); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11600)==((long)75)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11665 = BgL_iportz00_11593; 
BgL_lastzd2matchzd2_11666 = BgL_newzd2matchzd2_11597; 
BgL_forwardz00_11667 = 
(((long)1)+BgL_forwardz00_11595); 
BgL_bufposz00_11668 = BgL_bufposz00_11596; 
BgL_statezd253zd21352z00_11293:
if(
(BgL_forwardz00_11667==BgL_bufposz00_11668))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11665))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2625z00_11669; long BgL_arg2626z00_11670;
BgL_arg2625z00_11669 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11665); 
BgL_arg2626z00_11670 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11665); 
{ 
 long BgL_bufposz00_14553; long BgL_forwardz00_14552;
BgL_forwardz00_14552 = BgL_arg2625z00_11669; 
BgL_bufposz00_14553 = BgL_arg2626z00_11670; 
BgL_bufposz00_11668 = BgL_bufposz00_14553; 
BgL_forwardz00_11667 = BgL_forwardz00_14552; 
goto BgL_statezd253zd21352z00_11293;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11666; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11671;
BgL_curz00_11671 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11665, BgL_forwardz00_11667); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6040z00_14555;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6041z00_14556;
if(
(
(long)(BgL_curz00_11671)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6041z00_14556 = 
(
(long)(BgL_curz00_11671)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6041z00_14556 = ((bool_t)0)
; } 
if(BgL_test6041z00_14556)
{ /* Llib/mpc.scm 444 */
BgL_test6040z00_14555 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11671)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6040z00_14555 = 
(
(long)(BgL_curz00_11671)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6040z00_14555 = ((bool_t)0)
; } } } 
if(BgL_test6040z00_14555)
{ 
 long BgL_bufposz00_14571; long BgL_forwardz00_14569; long BgL_lastzd2matchzd2_14568; obj_t BgL_iportz00_14567;
BgL_iportz00_14567 = BgL_iportz00_11665; 
BgL_lastzd2matchzd2_14568 = BgL_lastzd2matchzd2_11666; 
BgL_forwardz00_14569 = 
(((long)1)+BgL_forwardz00_11667); 
BgL_bufposz00_14571 = BgL_bufposz00_11668; 
BgL_bufposz00_11615 = BgL_bufposz00_14571; 
BgL_forwardz00_11614 = BgL_forwardz00_14569; 
BgL_lastzd2matchzd2_11613 = BgL_lastzd2matchzd2_14568; 
BgL_iportz00_11612 = BgL_iportz00_14567; 
goto BgL_statezd235zd21334z00_11287;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11671)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2632z00_11672;
BgL_arg2632z00_11672 = 
(((long)1)+BgL_forwardz00_11667); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11673;
RGC_STOP_MATCH(BgL_iportz00_11665, BgL_arg2632z00_11672); 
BgL_newzd2matchzd2_11673 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11673; } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11671)==((long)10)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2634z00_11674;
BgL_arg2634z00_11674 = 
(((long)1)+BgL_forwardz00_11667); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11675;
RGC_STOP_MATCH(BgL_iportz00_11665, BgL_arg2634z00_11674); 
BgL_newzd2matchzd2_11675 = ((long)0); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11675; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11666; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6046z00_14583;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6047z00_14584;
if(
(
(long)(BgL_curz00_11600)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6047z00_14584 = 
(
(long)(BgL_curz00_11600)<((long)75))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6047z00_14584 = ((bool_t)0)
; } 
if(BgL_test6047z00_14584)
{ /* Llib/mpc.scm 444 */
BgL_test6046z00_14583 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6049z00_14590;
if(
(
(long)(BgL_curz00_11600)>=((long)76)))
{ /* Llib/mpc.scm 444 */
BgL_test6049z00_14590 = 
(
(long)(BgL_curz00_11600)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6049z00_14590 = ((bool_t)0)
; } 
if(BgL_test6049z00_14590)
{ /* Llib/mpc.scm 444 */
BgL_test6046z00_14583 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11600)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6046z00_14583 = 
(
(long)(BgL_curz00_11600)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6046z00_14583 = ((bool_t)0)
; } } } } 
if(BgL_test6046z00_14583)
{ 
 long BgL_bufposz00_14605; long BgL_forwardz00_14603; long BgL_lastzd2matchzd2_14602; obj_t BgL_iportz00_14601;
BgL_iportz00_14601 = BgL_iportz00_11593; 
BgL_lastzd2matchzd2_14602 = BgL_newzd2matchzd2_11597; 
BgL_forwardz00_14603 = 
(((long)1)+BgL_forwardz00_11595); 
BgL_bufposz00_14605 = BgL_bufposz00_11596; 
BgL_bufposz00_11615 = BgL_bufposz00_14605; 
BgL_forwardz00_11614 = BgL_forwardz00_14603; 
BgL_lastzd2matchzd2_11613 = BgL_lastzd2matchzd2_14602; 
BgL_iportz00_11612 = BgL_iportz00_14601; 
goto BgL_statezd235zd21334z00_11287;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11600)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2732z00_11601;
BgL_arg2732z00_11601 = 
(((long)1)+BgL_forwardz00_11595); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11602;
RGC_STOP_MATCH(BgL_iportz00_11593, BgL_arg2732z00_11601); 
BgL_newzd2matchzd2_11602 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11602; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11597; } } } } } } break;case ((long)122) : 
case ((long)121) : 
case ((long)119) : 
case ((long)117) : 
case ((long)113) : 
case ((long)111) : 
case ((long)110) : 
case ((long)109) : 
case ((long)108) : 
case ((long)107) : 
case ((long)106) : 
case ((long)105) : 
case ((long)104) : 
case ((long)103) : 
case ((long)102) : 
case ((long)100) : 
case ((long)99) : 
case ((long)90) : 
case ((long)89) : 
case ((long)88) : 
case ((long)87) : 
case ((long)86) : 
case ((long)85) : 
case ((long)84) : 
case ((long)83) : 
case ((long)82) : 
case ((long)81) : 
case ((long)80) : 
case ((long)78) : 
case ((long)77) : 
case ((long)76) : 
case ((long)75) : 
case ((long)74) : 
case ((long)73) : 
case ((long)72) : 
case ((long)71) : 
case ((long)70) : 
case ((long)69) : 
case ((long)68) : 
case ((long)67) : 
case ((long)66) : 

BgL_iportz00_11544 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11545 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11546 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11547 = BgL_bufposz00_11483; 
BgL_statezd24zd21303z00_11280:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11548;
RGC_STOP_MATCH(BgL_iportz00_11544, BgL_forwardz00_11546); 
BgL_newzd2matchzd2_11548 = ((long)17); 
if(
(BgL_forwardz00_11546==BgL_bufposz00_11547))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11544))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2797z00_11549; long BgL_arg2798z00_11550;
BgL_arg2797z00_11549 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11544); 
BgL_arg2798z00_11550 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11544); 
{ 
 long BgL_bufposz00_14620; long BgL_forwardz00_14619;
BgL_forwardz00_14619 = BgL_arg2797z00_11549; 
BgL_bufposz00_14620 = BgL_arg2798z00_11550; 
BgL_bufposz00_11547 = BgL_bufposz00_14620; 
BgL_forwardz00_11546 = BgL_forwardz00_14619; 
goto BgL_statezd24zd21303z00_11280;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11548; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11551;
BgL_curz00_11551 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11544, BgL_forwardz00_11546); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6055z00_14622;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6056z00_14623;
if(
(
(long)(BgL_curz00_11551)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6056z00_14623 = 
(
(long)(BgL_curz00_11551)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6056z00_14623 = ((bool_t)0)
; } 
if(BgL_test6056z00_14623)
{ /* Llib/mpc.scm 444 */
BgL_test6055z00_14622 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11551)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6055z00_14622 = 
(
(long)(BgL_curz00_11551)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6055z00_14622 = ((bool_t)0)
; } } } 
if(BgL_test6055z00_14622)
{ 
 long BgL_bufposz00_14638; long BgL_forwardz00_14636; long BgL_lastzd2matchzd2_14635; obj_t BgL_iportz00_14634;
BgL_iportz00_14634 = BgL_iportz00_11544; 
BgL_lastzd2matchzd2_14635 = BgL_newzd2matchzd2_11548; 
BgL_forwardz00_14636 = 
(((long)1)+BgL_forwardz00_11546); 
BgL_bufposz00_14638 = BgL_bufposz00_11547; 
BgL_bufposz00_11615 = BgL_bufposz00_14638; 
BgL_forwardz00_11614 = BgL_forwardz00_14636; 
BgL_lastzd2matchzd2_11613 = BgL_lastzd2matchzd2_14635; 
BgL_iportz00_11612 = BgL_iportz00_14634; 
goto BgL_statezd235zd21334z00_11287;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11551)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2804z00_11552;
BgL_arg2804z00_11552 = 
(((long)1)+BgL_forwardz00_11546); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11553;
RGC_STOP_MATCH(BgL_iportz00_11544, BgL_arg2804z00_11552); 
BgL_newzd2matchzd2_11553 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11553; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11548; } } } } } } break;case ((long)65) : 

BgL_iportz00_11489 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11490 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11491 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11492 = BgL_bufposz00_11483; 
BgL_statezd23zd21302z00_11274:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11493;
RGC_STOP_MATCH(BgL_iportz00_11489, BgL_forwardz00_11491); 
BgL_newzd2matchzd2_11493 = ((long)17); 
if(
(BgL_forwardz00_11491==BgL_bufposz00_11492))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11489))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2874z00_11494; long BgL_arg2875z00_11495;
BgL_arg2874z00_11494 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11489); 
BgL_arg2875z00_11495 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11489); 
{ 
 long BgL_bufposz00_14653; long BgL_forwardz00_14652;
BgL_forwardz00_14652 = BgL_arg2874z00_11494; 
BgL_bufposz00_14653 = BgL_arg2875z00_11495; 
BgL_bufposz00_11492 = BgL_bufposz00_14653; 
BgL_forwardz00_11491 = BgL_forwardz00_14652; 
goto BgL_statezd23zd21302z00_11274;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11493; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11496;
BgL_curz00_11496 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11489, BgL_forwardz00_11491); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11496)==((long)67)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11516 = BgL_iportz00_11489; 
BgL_lastzd2matchzd2_11517 = BgL_newzd2matchzd2_11493; 
BgL_forwardz00_11518 = 
(((long)1)+BgL_forwardz00_11491); 
BgL_bufposz00_11519 = BgL_bufposz00_11492; 
BgL_statezd255zd21354z00_11277:
if(
(BgL_forwardz00_11518==BgL_bufposz00_11519))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11516))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2831z00_11520; long BgL_arg2832z00_11521;
BgL_arg2831z00_11520 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11516); 
BgL_arg2832z00_11521 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11516); 
{ 
 long BgL_bufposz00_14665; long BgL_forwardz00_14664;
BgL_forwardz00_14664 = BgL_arg2831z00_11520; 
BgL_bufposz00_14665 = BgL_arg2832z00_11521; 
BgL_bufposz00_11519 = BgL_bufposz00_14665; 
BgL_forwardz00_11518 = BgL_forwardz00_14664; 
goto BgL_statezd255zd21354z00_11277;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11517; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11522;
BgL_curz00_11522 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11516, BgL_forwardz00_11518); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11522)==((long)75)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11343 = BgL_iportz00_11516; 
BgL_lastzd2matchzd2_11344 = BgL_lastzd2matchzd2_11517; 
BgL_forwardz00_11345 = 
(((long)1)+BgL_forwardz00_11518); 
BgL_bufposz00_11346 = BgL_bufposz00_11519; 
BgL_statezd256zd21355z00_11258:
if(
(BgL_forwardz00_11345==BgL_bufposz00_11346))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11343))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3104z00_11347; long BgL_arg3105z00_11348;
BgL_arg3104z00_11347 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11343); 
BgL_arg3105z00_11348 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11343); 
{ 
 long BgL_bufposz00_14677; long BgL_forwardz00_14676;
BgL_forwardz00_14676 = BgL_arg3104z00_11347; 
BgL_bufposz00_14677 = BgL_arg3105z00_11348; 
BgL_bufposz00_11346 = BgL_bufposz00_14677; 
BgL_forwardz00_11345 = BgL_forwardz00_14676; 
goto BgL_statezd256zd21355z00_11258;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11344; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11349;
BgL_curz00_11349 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11343, BgL_forwardz00_11345); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6068z00_14679;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6069z00_14680;
if(
(
(long)(BgL_curz00_11349)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6069z00_14680 = 
(
(long)(BgL_curz00_11349)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6069z00_14680 = ((bool_t)0)
; } 
if(BgL_test6069z00_14680)
{ /* Llib/mpc.scm 444 */
BgL_test6068z00_14679 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11349)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6068z00_14679 = 
(
(long)(BgL_curz00_11349)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6068z00_14679 = ((bool_t)0)
; } } } 
if(BgL_test6068z00_14679)
{ 
 long BgL_bufposz00_14695; long BgL_forwardz00_14693; long BgL_lastzd2matchzd2_14692; obj_t BgL_iportz00_14691;
BgL_iportz00_14691 = BgL_iportz00_11343; 
BgL_lastzd2matchzd2_14692 = BgL_lastzd2matchzd2_11344; 
BgL_forwardz00_14693 = 
(((long)1)+BgL_forwardz00_11345); 
BgL_bufposz00_14695 = BgL_bufposz00_11346; 
BgL_bufposz00_11615 = BgL_bufposz00_14695; 
BgL_forwardz00_11614 = BgL_forwardz00_14693; 
BgL_lastzd2matchzd2_11613 = BgL_lastzd2matchzd2_14692; 
BgL_iportz00_11612 = BgL_iportz00_14691; 
goto BgL_statezd235zd21334z00_11287;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11349)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3111z00_11350;
BgL_arg3111z00_11350 = 
(((long)1)+BgL_forwardz00_11345); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11351;
RGC_STOP_MATCH(BgL_iportz00_11343, BgL_arg3111z00_11350); 
BgL_newzd2matchzd2_11351 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11351; } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11349)==((long)32)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11371 = BgL_iportz00_11343; 
BgL_lastzd2matchzd2_11372 = BgL_lastzd2matchzd2_11344; 
BgL_forwardz00_11373 = 
(((long)1)+BgL_forwardz00_11345); 
BgL_bufposz00_11374 = BgL_bufposz00_11346; 
BgL_statezd257zd21356z00_11261:
if(
(BgL_forwardz00_11373==BgL_bufposz00_11374))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11371))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3075z00_11375; long BgL_arg3076z00_11376;
BgL_arg3075z00_11375 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11371); 
BgL_arg3076z00_11376 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11371); 
{ 
 long BgL_bufposz00_14711; long BgL_forwardz00_14710;
BgL_forwardz00_14710 = BgL_arg3075z00_11375; 
BgL_bufposz00_14711 = BgL_arg3076z00_11376; 
BgL_bufposz00_11374 = BgL_bufposz00_14711; 
BgL_forwardz00_11373 = BgL_forwardz00_14710; 
goto BgL_statezd257zd21356z00_11261;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11372; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11377;
BgL_curz00_11377 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11371, BgL_forwardz00_11373); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11377)==((long)10)))
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11372; }  else 
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11499 = BgL_iportz00_11371; 
BgL_lastzd2matchzd2_11500 = BgL_lastzd2matchzd2_11372; 
BgL_forwardz00_11501 = 
(((long)1)+BgL_forwardz00_11373); 
BgL_bufposz00_11502 = BgL_bufposz00_11374; 
BgL_statezd258zd21357z00_11275:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11503;
RGC_STOP_MATCH(BgL_iportz00_11499, BgL_forwardz00_11501); 
BgL_newzd2matchzd2_11503 = ((long)15); 
if(
(BgL_forwardz00_11501==BgL_bufposz00_11502))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11499))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2867z00_11504; long BgL_arg2868z00_11505;
BgL_arg2867z00_11504 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11499); 
BgL_arg2868z00_11505 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11499); 
{ 
 long BgL_bufposz00_14724; long BgL_forwardz00_14723;
BgL_forwardz00_14723 = BgL_arg2867z00_11504; 
BgL_bufposz00_14724 = BgL_arg2868z00_11505; 
BgL_bufposz00_11502 = BgL_bufposz00_14724; 
BgL_forwardz00_11501 = BgL_forwardz00_14723; 
goto BgL_statezd258zd21357z00_11275;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11503; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11506;
BgL_curz00_11506 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11499, BgL_forwardz00_11501); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11506)==((long)10)))
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11503; }  else 
{ 
 long BgL_forwardz00_14730; long BgL_lastzd2matchzd2_14729;
BgL_lastzd2matchzd2_14729 = BgL_newzd2matchzd2_11503; 
BgL_forwardz00_14730 = 
(((long)1)+BgL_forwardz00_11501); 
BgL_forwardz00_11501 = BgL_forwardz00_14730; 
BgL_lastzd2matchzd2_11500 = BgL_lastzd2matchzd2_14729; 
goto BgL_statezd258zd21357z00_11275;} } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11344; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6080z00_14735;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6081z00_14736;
if(
(
(long)(BgL_curz00_11522)>=((long)65)))
{ /* Llib/mpc.scm 444 */
BgL_test6081z00_14736 = 
(
(long)(BgL_curz00_11522)<((long)75))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6081z00_14736 = ((bool_t)0)
; } 
if(BgL_test6081z00_14736)
{ /* Llib/mpc.scm 444 */
BgL_test6080z00_14735 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6083z00_14742;
if(
(
(long)(BgL_curz00_11522)>=((long)76)))
{ /* Llib/mpc.scm 444 */
BgL_test6083z00_14742 = 
(
(long)(BgL_curz00_11522)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6083z00_14742 = ((bool_t)0)
; } 
if(BgL_test6083z00_14742)
{ /* Llib/mpc.scm 444 */
BgL_test6080z00_14735 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11522)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6080z00_14735 = 
(
(long)(BgL_curz00_11522)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6080z00_14735 = ((bool_t)0)
; } } } } 
if(BgL_test6080z00_14735)
{ 
 long BgL_bufposz00_14757; long BgL_forwardz00_14755; long BgL_lastzd2matchzd2_14754; obj_t BgL_iportz00_14753;
BgL_iportz00_14753 = BgL_iportz00_11516; 
BgL_lastzd2matchzd2_14754 = BgL_lastzd2matchzd2_11517; 
BgL_forwardz00_14755 = 
(((long)1)+BgL_forwardz00_11518); 
BgL_bufposz00_14757 = BgL_bufposz00_11519; 
BgL_bufposz00_11615 = BgL_bufposz00_14757; 
BgL_forwardz00_11614 = BgL_forwardz00_14755; 
BgL_lastzd2matchzd2_11613 = BgL_lastzd2matchzd2_14754; 
BgL_iportz00_11612 = BgL_iportz00_14753; 
goto BgL_statezd235zd21334z00_11287;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11522)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2842z00_11523;
BgL_arg2842z00_11523 = 
(((long)1)+BgL_forwardz00_11518); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11524;
RGC_STOP_MATCH(BgL_iportz00_11516, BgL_arg2842z00_11523); 
BgL_newzd2matchzd2_11524 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11524; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11517; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6087z00_14764;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6088z00_14765;
if(
(
(long)(BgL_curz00_11496)==((long)66)))
{ /* Llib/mpc.scm 444 */
BgL_test6088z00_14765 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6088z00_14765 = 
(
(long)(BgL_curz00_11496)==((long)65))
; } 
if(BgL_test6088z00_14765)
{ /* Llib/mpc.scm 444 */
BgL_test6087z00_14764 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6090z00_14771;
if(
(
(long)(BgL_curz00_11496)>=((long)68)))
{ /* Llib/mpc.scm 444 */
BgL_test6090z00_14771 = 
(
(long)(BgL_curz00_11496)<((long)91))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6090z00_14771 = ((bool_t)0)
; } 
if(BgL_test6090z00_14771)
{ /* Llib/mpc.scm 444 */
BgL_test6087z00_14764 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11496)>=((long)97)))
{ /* Llib/mpc.scm 444 */
BgL_test6087z00_14764 = 
(
(long)(BgL_curz00_11496)<((long)123))
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6087z00_14764 = ((bool_t)0)
; } } } } 
if(BgL_test6087z00_14764)
{ 
 long BgL_bufposz00_14786; long BgL_forwardz00_14784; long BgL_lastzd2matchzd2_14783; obj_t BgL_iportz00_14782;
BgL_iportz00_14782 = BgL_iportz00_11489; 
BgL_lastzd2matchzd2_14783 = BgL_newzd2matchzd2_11493; 
BgL_forwardz00_14784 = 
(((long)1)+BgL_forwardz00_11491); 
BgL_bufposz00_14786 = BgL_bufposz00_11492; 
BgL_bufposz00_11615 = BgL_bufposz00_14786; 
BgL_forwardz00_11614 = BgL_forwardz00_14784; 
BgL_lastzd2matchzd2_11613 = BgL_lastzd2matchzd2_14783; 
BgL_iportz00_11612 = BgL_iportz00_14782; 
goto BgL_statezd235zd21334z00_11287;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11496)==((long)58)))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2885z00_11497;
BgL_arg2885z00_11497 = 
(((long)1)+BgL_forwardz00_11491); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11498;
RGC_STOP_MATCH(BgL_iportz00_11489, BgL_arg2885z00_11497); 
BgL_newzd2matchzd2_11498 = ((long)14); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11498; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11493; } } } } } } break;case ((long)10) : 

BgL_iportz00_11397 = BgL_iportz00_11480; 
BgL_lastzd2matchzd2_11398 = BgL_lastzd2matchzd2_11481; 
BgL_forwardz00_11399 = 
(((long)1)+BgL_forwardz00_11482); 
BgL_bufposz00_11400 = BgL_bufposz00_11483; 
BgL_statezd22zd21301z00_11264:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11401;
RGC_STOP_MATCH(BgL_iportz00_11397, BgL_forwardz00_11399); 
BgL_newzd2matchzd2_11401 = ((long)16); 
if(
(BgL_forwardz00_11399==BgL_bufposz00_11400))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11397))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3032z00_11402; long BgL_arg3033z00_11403;
BgL_arg3032z00_11402 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11397); 
BgL_arg3033z00_11403 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11397); 
{ 
 long BgL_bufposz00_14801; long BgL_forwardz00_14800;
BgL_forwardz00_14800 = BgL_arg3032z00_11402; 
BgL_bufposz00_14801 = BgL_arg3033z00_11403; 
BgL_bufposz00_11400 = BgL_bufposz00_14801; 
BgL_forwardz00_11399 = BgL_forwardz00_14800; 
goto BgL_statezd22zd21301z00_11264;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11401; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11404;
BgL_curz00_11404 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11397, BgL_forwardz00_11399); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11404)==((long)10)))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11630 = BgL_iportz00_11397; 
BgL_lastzd2matchzd2_11631 = BgL_newzd2matchzd2_11401; 
BgL_forwardz00_11632 = 
(((long)1)+BgL_forwardz00_11399); 
BgL_bufposz00_11633 = BgL_bufposz00_11400; 
BgL_statezd259zd21358z00_11289:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11634;
RGC_STOP_MATCH(BgL_iportz00_11630, BgL_forwardz00_11632); 
BgL_newzd2matchzd2_11634 = ((long)16); 
if(
(BgL_forwardz00_11632==BgL_bufposz00_11633))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11630))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2671z00_11635; long BgL_arg2672z00_11636;
BgL_arg2671z00_11635 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11630); 
BgL_arg2672z00_11636 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11630); 
{ 
 long BgL_bufposz00_14814; long BgL_forwardz00_14813;
BgL_forwardz00_14813 = BgL_arg2671z00_11635; 
BgL_bufposz00_14814 = BgL_arg2672z00_11636; 
BgL_bufposz00_11633 = BgL_bufposz00_14814; 
BgL_forwardz00_11632 = BgL_forwardz00_14813; 
goto BgL_statezd259zd21358z00_11289;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11634; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11637;
BgL_curz00_11637 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11630, BgL_forwardz00_11632); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11637)==((long)10)))
{ 
 long BgL_forwardz00_14820; long BgL_lastzd2matchzd2_14819;
BgL_lastzd2matchzd2_14819 = BgL_newzd2matchzd2_11634; 
BgL_forwardz00_14820 = 
(((long)1)+BgL_forwardz00_11632); 
BgL_forwardz00_11632 = BgL_forwardz00_14820; 
BgL_lastzd2matchzd2_11631 = BgL_lastzd2matchzd2_14819; 
goto BgL_statezd259zd21358z00_11289;}  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11634; } } } } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11297 = BgL_newzd2matchzd2_11401; } } } } break;case ((long)255) : 
case ((long)254) : 
case ((long)253) : 
case ((long)252) : 
case ((long)251) : 
case ((long)250) : 
case ((long)249) : 
case ((long)248) : 
case ((long)247) : 
case ((long)246) : 
case ((long)245) : 
case ((long)244) : 
case ((long)243) : 
case ((long)242) : 
case ((long)241) : 
case ((long)240) : 
case ((long)239) : 
case ((long)238) : 
case ((long)237) : 
case ((long)236) : 
case ((long)235) : 
case ((long)234) : 
case ((long)233) : 
case ((long)232) : 
case ((long)231) : 
case ((long)230) : 
case ((long)229) : 
case ((long)228) : 
case ((long)227) : 
case ((long)226) : 
case ((long)225) : 
case ((long)224) : 
case ((long)223) : 
case ((long)222) : 
case ((long)221) : 
case ((long)220) : 
case ((long)219) : 
case ((long)218) : 
case ((long)217) : 
case ((long)216) : 
case ((long)215) : 
case ((long)214) : 
case ((long)213) : 
case ((long)212) : 
case ((long)211) : 
case ((long)210) : 
case ((long)209) : 
case ((long)208) : 
case ((long)207) : 
case ((long)206) : 
case ((long)205) : 
case ((long)204) : 
case ((long)203) : 
case ((long)202) : 
case ((long)201) : 
case ((long)200) : 
case ((long)199) : 
case ((long)198) : 
case ((long)197) : 
case ((long)196) : 
case ((long)195) : 
case ((long)194) : 
case ((long)193) : 
case ((long)192) : 
case ((long)191) : 
case ((long)190) : 
case ((long)189) : 
case ((long)188) : 
case ((long)187) : 
case ((long)186) : 
case ((long)185) : 
case ((long)184) : 
case ((long)183) : 
case ((long)182) : 
case ((long)181) : 
case ((long)180) : 
case ((long)179) : 
case ((long)178) : 
case ((long)177) : 
case ((long)176) : 
case ((long)175) : 
case ((long)174) : 
case ((long)173) : 
case ((long)172) : 
case ((long)171) : 
case ((long)170) : 
case ((long)169) : 
case ((long)168) : 
case ((long)167) : 
case ((long)166) : 
case ((long)165) : 
case ((long)164) : 
case ((long)163) : 
case ((long)162) : 
case ((long)161) : 
case ((long)160) : 
case ((long)159) : 
case ((long)158) : 
case ((long)157) : 
case ((long)156) : 
case ((long)155) : 
case ((long)154) : 
case ((long)153) : 
case ((long)152) : 
case ((long)151) : 
case ((long)150) : 
case ((long)149) : 
case ((long)148) : 
case ((long)147) : 
case ((long)146) : 
case ((long)145) : 
case ((long)144) : 
case ((long)143) : 
case ((long)142) : 
case ((long)141) : 
case ((long)140) : 
case ((long)139) : 
case ((long)138) : 
case ((long)137) : 
case ((long)136) : 
case ((long)135) : 
case ((long)134) : 
case ((long)133) : 
case ((long)132) : 
case ((long)131) : 
case ((long)130) : 
case ((long)129) : 
case ((long)128) : 
case ((long)127) : 
case ((long)126) : 
case ((long)125) : 
case ((long)124) : 
case ((long)123) : 
case ((long)96) : 
case ((long)95) : 
case ((long)94) : 
case ((long)93) : 
case ((long)92) : 
case ((long)91) : 
case ((long)64) : 
case ((long)63) : 
case ((long)62) : 
case ((long)61) : 
case ((long)60) : 
case ((long)59) : 
case ((long)58) : 
case ((long)57) : 
case ((long)56) : 
case ((long)55) : 
case ((long)54) : 
case ((long)53) : 
case ((long)52) : 
case ((long)51) : 
case ((long)50) : 
case ((long)49) : 
case ((long)48) : 
case ((long)47) : 
case ((long)46) : 
case ((long)45) : 
case ((long)44) : 
case ((long)43) : 
case ((long)42) : 
case ((long)41) : 
case ((long)40) : 
case ((long)39) : 
case ((long)38) : 
case ((long)37) : 
case ((long)36) : 
case ((long)35) : 
case ((long)34) : 
case ((long)33) : 
case ((long)32) : 
case ((long)31) : 
case ((long)30) : 
case ((long)29) : 
case ((long)28) : 
case ((long)27) : 
case ((long)26) : 
case ((long)25) : 
case ((long)24) : 
case ((long)23) : 
case ((long)22) : 
case ((long)21) : 
case ((long)20) : 
case ((long)19) : 
case ((long)18) : 
case ((long)17) : 
case ((long)16) : 
case ((long)15) : 
case ((long)14) : 
case ((long)13) : 
case ((long)12) : 
case ((long)11) : 
case ((long)9) : 
case ((long)8) : 
case ((long)7) : 
case ((long)6) : 
case ((long)5) : 
case ((long)4) : 
case ((long)3) : 
case ((long)2) : 
case ((long)1) : 
case ((long)0) : 

{ /* Llib/mpc.scm 444 */
 long BgL_arg2905z00_11487;
BgL_arg2905z00_11487 = 
(((long)1)+BgL_forwardz00_11482); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11488;
RGC_STOP_MATCH(BgL_iportz00_11480, BgL_arg2905z00_11487); 
BgL_newzd2matchzd2_11488 = ((long)17); 
BgL_matchz00_11297 = BgL_newzd2matchzd2_11488; } } break;
default: 
BgL_matchz00_11297 = BgL_lastzd2matchzd2_11481; } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11252); 
switch( BgL_matchz00_11297) { case ((long)17) : 

((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_songz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_songidz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_playlistlengthz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_songposz00)=((obj_t)
BINT(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_songlengthz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_khza7za7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_bitratez00)=((int)
(int)(((long)0))),BUNSPEC); 
{ /* Llib/mpc.scm 582 */
 bool_t BgL_test6100z00_14843;
{ /* Llib/mpc.scm 582 */
 obj_t BgL_tmpz00_14844;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6101z00_14845;
{ /* Llib/mpc.scm 444 */
 long BgL_arg3217z00_11324;
BgL_arg3217z00_11324 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11252); 
BgL_test6101z00_14845 = 
(BgL_arg3217z00_11324==((long)0)); } 
if(BgL_test6101z00_14845)
{ /* Llib/mpc.scm 444 */
BgL_tmpz00_14844 = BEOF
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_tmpz00_14844 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11252))
; } } 
BgL_test6100z00_14843 = 
EOF_OBJECTP(BgL_tmpz00_14844); } 
if(BgL_test6100z00_14843)
{ /* Llib/mpc.scm 582 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(((long)5))),BUNSPEC); 
{ /* Llib/mpc.scm 585 */
 bool_t BgL_test6102z00_14853;
{ /* Llib/mpc.scm 585 */
 obj_t BgL_tmpz00_14854;
BgL_tmpz00_14854 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_errz00); 
BgL_test6102z00_14853 = 
STRINGP(BgL_tmpz00_14854); } 
if(BgL_test6102z00_14853)
{ /* Llib/mpc.scm 585 */BFALSE; }  else 
{ /* Llib/mpc.scm 585 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_errz00)=((obj_t)BGl_string5349z00zz__multimediazd2mpczd2),BUNSPEC); } } }  else 
{ /* Llib/mpc.scm 582 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(((long)1))),BUNSPEC); 
{ /* Llib/mpc.scm 589 */
 bool_t BgL_test6103z00_14860;
{ /* Llib/mpc.scm 589 */
 obj_t BgL_tmpz00_14861;
BgL_tmpz00_14861 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_errz00); 
BgL_test6103z00_14860 = 
STRINGP(BgL_tmpz00_14861); } 
if(BgL_test6103z00_14860)
{ /* Llib/mpc.scm 589 */BFALSE; }  else 
{ /* Llib/mpc.scm 589 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_errz00)=((obj_t)BGl_string5350z00zz__multimediazd2mpczd2),BUNSPEC); } } } } break;case ((long)16) : 

goto BgL_ignorez00_11254;break;case ((long)15) : 

{ 
 obj_t BgL_auxz00_14865;
{ /* Llib/mpc.scm 444 */
 long BgL_arg3143z00_11300;
BgL_arg3143z00_11300 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11252); 
BgL_auxz00_14865 = 
rgc_buffer_substring(BgL_iportz00_11252, ((long)0), BgL_arg3143z00_11300); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_errz00)=((obj_t)BgL_auxz00_14865),BUNSPEC); } 
goto BgL_ignorez00_11254;break;case ((long)14) : 

BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
goto BgL_ignorez00_11254;break;case ((long)13) : 

{ /* Llib/mpc.scm 555 */
 obj_t BgL_kz00_11301;
BgL_kz00_11301 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11301==
CNST_TABLE_REF(((long)6))))
{ /* Llib/mpc.scm 557 */
 obj_t BgL_rz00_11302;
BgL_rz00_11302 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_repeatz00)=((bool_t)
(
(long)CINT(BgL_rz00_11302)==((long)1))),BUNSPEC); }  else 
{ /* Llib/mpc.scm 556 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)12) : 

{ /* Llib/mpc.scm 546 */
 obj_t BgL_kz00_11303;
BgL_kz00_11303 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11303==
CNST_TABLE_REF(((long)7))))
{ /* Llib/mpc.scm 548 */
 obj_t BgL_rz00_11304;
BgL_rz00_11304 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_randomz00)=((bool_t)
(
(long)CINT(BgL_rz00_11304)==((long)1))),BUNSPEC); }  else 
{ /* Llib/mpc.scm 547 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)11) : 

{ /* Llib/mpc.scm 537 */
 obj_t BgL_kz00_11305;
BgL_kz00_11305 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11305==
CNST_TABLE_REF(((long)8))))
{ /* Llib/mpc.scm 539 */
 obj_t BgL_xz00_11306;
BgL_xz00_11306 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_xfadez00)=((int)
CINT(BgL_xz00_11306)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 538 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)10) : 

{ /* Llib/mpc.scm 528 */
 obj_t BgL_kz00_11307;
BgL_kz00_11307 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11307==
CNST_TABLE_REF(((long)9))))
{ /* Llib/mpc.scm 530 */
 obj_t BgL_kz00_11308;
BgL_iportz00_10923 = BgL_iportz00_11252; 
{ 
 obj_t BgL_iportz00_10977; long BgL_lastzd2matchzd2_10978; long BgL_forwardz00_10979; long BgL_bufposz00_10980; obj_t BgL_iportz00_10968; long BgL_lastzd2matchzd2_10969; long BgL_forwardz00_10970; long BgL_bufposz00_10971; obj_t BgL_iportz00_10960; long BgL_lastzd2matchzd2_10961; long BgL_forwardz00_10962; long BgL_bufposz00_10963; obj_t BgL_iportz00_10952; long BgL_lastzd2matchzd2_10953; long BgL_forwardz00_10954; long BgL_bufposz00_10955; obj_t BgL_iportz00_10944; long BgL_lastzd2matchzd2_10945; long BgL_forwardz00_10946; long BgL_bufposz00_10947;
BgL_ignorez00_10924:
RGC_START_MATCH(BgL_iportz00_10923); 
{ /* Llib/mpc.scm 386 */
 long BgL_matchz00_10931;
{ /* Llib/mpc.scm 386 */
 long BgL_arg3918z00_10932; long BgL_arg3919z00_10933;
BgL_arg3918z00_10932 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10923); 
BgL_arg3919z00_10933 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10923); 
BgL_iportz00_10968 = BgL_iportz00_10923; 
BgL_lastzd2matchzd2_10969 = ((long)2); 
BgL_forwardz00_10970 = BgL_arg3918z00_10932; 
BgL_bufposz00_10971 = BgL_arg3919z00_10933; 
BgL_statezd20zd21246z00_10929:
if(
(BgL_forwardz00_10970==BgL_bufposz00_10971))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10968))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3789z00_10972; long BgL_arg3790z00_10973;
BgL_arg3789z00_10972 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10968); 
BgL_arg3790z00_10973 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10968); 
{ 
 long BgL_bufposz00_14931; long BgL_forwardz00_14930;
BgL_forwardz00_14930 = BgL_arg3789z00_10972; 
BgL_bufposz00_14931 = BgL_arg3790z00_10973; 
BgL_bufposz00_10971 = BgL_bufposz00_14931; 
BgL_forwardz00_10970 = BgL_forwardz00_14930; 
goto BgL_statezd20zd21246z00_10929;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_lastzd2matchzd2_10969; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10974;
BgL_curz00_10974 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10968, BgL_forwardz00_10970); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6110z00_14933;
if(
(
(long)(BgL_curz00_10974)>=((long)48)))
{ /* Llib/mpc.scm 386 */
BgL_test6110z00_14933 = 
(
(long)(BgL_curz00_10974)<((long)58))
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6110z00_14933 = ((bool_t)0)
; } 
if(BgL_test6110z00_14933)
{ /* Llib/mpc.scm 386 */
BgL_iportz00_10952 = BgL_iportz00_10968; 
BgL_lastzd2matchzd2_10953 = BgL_lastzd2matchzd2_10969; 
BgL_forwardz00_10954 = 
(((long)1)+BgL_forwardz00_10970); 
BgL_bufposz00_10955 = BgL_bufposz00_10971; 
BgL_statezd23zd21249z00_10927:
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10956;
RGC_STOP_MATCH(BgL_iportz00_10952, BgL_forwardz00_10954); 
BgL_newzd2matchzd2_10956 = ((long)1); 
if(
(BgL_forwardz00_10954==BgL_bufposz00_10955))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10952))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3810z00_10957; long BgL_arg3811z00_10958;
BgL_arg3810z00_10957 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10952); 
BgL_arg3811z00_10958 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10952); 
{ 
 long BgL_bufposz00_14947; long BgL_forwardz00_14946;
BgL_forwardz00_14946 = BgL_arg3810z00_10957; 
BgL_bufposz00_14947 = BgL_arg3811z00_10958; 
BgL_bufposz00_10955 = BgL_bufposz00_14947; 
BgL_forwardz00_10954 = BgL_forwardz00_14946; 
goto BgL_statezd23zd21249z00_10927;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_newzd2matchzd2_10956; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10959;
BgL_curz00_10959 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10952, BgL_forwardz00_10954); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6114z00_14949;
if(
(
(long)(BgL_curz00_10959)>=((long)48)))
{ /* Llib/mpc.scm 386 */
BgL_test6114z00_14949 = 
(
(long)(BgL_curz00_10959)<((long)58))
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6114z00_14949 = ((bool_t)0)
; } 
if(BgL_test6114z00_14949)
{ /* Llib/mpc.scm 386 */
BgL_iportz00_10977 = BgL_iportz00_10952; 
BgL_lastzd2matchzd2_10978 = BgL_newzd2matchzd2_10956; 
BgL_forwardz00_10979 = 
(((long)1)+BgL_forwardz00_10954); 
BgL_bufposz00_10980 = BgL_bufposz00_10955; 
BgL_statezd24zd21250z00_10930:
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10981;
RGC_STOP_MATCH(BgL_iportz00_10977, BgL_forwardz00_10979); 
BgL_newzd2matchzd2_10981 = ((long)1); 
if(
(BgL_forwardz00_10979==BgL_bufposz00_10980))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10977))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3781z00_10982; long BgL_arg3782z00_10983;
BgL_arg3781z00_10982 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10977); 
BgL_arg3782z00_10983 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10977); 
{ 
 long BgL_bufposz00_14963; long BgL_forwardz00_14962;
BgL_forwardz00_14962 = BgL_arg3781z00_10982; 
BgL_bufposz00_14963 = BgL_arg3782z00_10983; 
BgL_bufposz00_10980 = BgL_bufposz00_14963; 
BgL_forwardz00_10979 = BgL_forwardz00_14962; 
goto BgL_statezd24zd21250z00_10930;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_newzd2matchzd2_10981; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10984;
BgL_curz00_10984 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10977, BgL_forwardz00_10979); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6118z00_14965;
if(
(
(long)(BgL_curz00_10984)>=((long)48)))
{ /* Llib/mpc.scm 386 */
BgL_test6118z00_14965 = 
(
(long)(BgL_curz00_10984)<((long)58))
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6118z00_14965 = ((bool_t)0)
; } 
if(BgL_test6118z00_14965)
{ 
 long BgL_forwardz00_14972; long BgL_lastzd2matchzd2_14971;
BgL_lastzd2matchzd2_14971 = BgL_newzd2matchzd2_10981; 
BgL_forwardz00_14972 = 
(((long)1)+BgL_forwardz00_10979); 
BgL_forwardz00_10979 = BgL_forwardz00_14972; 
BgL_lastzd2matchzd2_10978 = BgL_lastzd2matchzd2_14971; 
goto BgL_statezd24zd21250z00_10930;}  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_newzd2matchzd2_10981; } } } } } }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_newzd2matchzd2_10956; } } } } } }  else 
{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6120z00_14976;
if(
(
(long)(BgL_curz00_10974)==((long)9)))
{ /* Llib/mpc.scm 386 */
BgL_test6120z00_14976 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6120z00_14976 = 
(
(long)(BgL_curz00_10974)==((long)32))
; } 
if(BgL_test6120z00_14976)
{ /* Llib/mpc.scm 386 */
BgL_iportz00_10960 = BgL_iportz00_10968; 
BgL_lastzd2matchzd2_10961 = BgL_lastzd2matchzd2_10969; 
BgL_forwardz00_10962 = 
(((long)1)+BgL_forwardz00_10970); 
BgL_bufposz00_10963 = BgL_bufposz00_10971; 
BgL_statezd22zd21248z00_10928:
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10964;
RGC_STOP_MATCH(BgL_iportz00_10960, BgL_forwardz00_10962); 
BgL_newzd2matchzd2_10964 = ((long)0); 
if(
(BgL_forwardz00_10962==BgL_bufposz00_10963))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10960))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3801z00_10965; long BgL_arg3802z00_10966;
BgL_arg3801z00_10965 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10960); 
BgL_arg3802z00_10966 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10960); 
{ 
 long BgL_bufposz00_14990; long BgL_forwardz00_14989;
BgL_forwardz00_14989 = BgL_arg3801z00_10965; 
BgL_bufposz00_14990 = BgL_arg3802z00_10966; 
BgL_bufposz00_10963 = BgL_bufposz00_14990; 
BgL_forwardz00_10962 = BgL_forwardz00_14989; 
goto BgL_statezd22zd21248z00_10928;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_newzd2matchzd2_10964; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10967;
BgL_curz00_10967 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10960, BgL_forwardz00_10962); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6124z00_14992;
if(
(
(long)(BgL_curz00_10967)==((long)9)))
{ /* Llib/mpc.scm 386 */
BgL_test6124z00_14992 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6124z00_14992 = 
(
(long)(BgL_curz00_10967)==((long)32))
; } 
if(BgL_test6124z00_14992)
{ /* Llib/mpc.scm 386 */
BgL_iportz00_10944 = BgL_iportz00_10960; 
BgL_lastzd2matchzd2_10945 = BgL_newzd2matchzd2_10964; 
BgL_forwardz00_10946 = 
(((long)1)+BgL_forwardz00_10962); 
BgL_bufposz00_10947 = BgL_bufposz00_10963; 
BgL_statezd26zd21252z00_10926:
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10948;
RGC_STOP_MATCH(BgL_iportz00_10944, BgL_forwardz00_10946); 
BgL_newzd2matchzd2_10948 = ((long)0); 
if(
(BgL_forwardz00_10946==BgL_bufposz00_10947))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10944))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3818z00_10949; long BgL_arg3819z00_10950;
BgL_arg3818z00_10949 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10944); 
BgL_arg3819z00_10950 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10944); 
{ 
 long BgL_bufposz00_15006; long BgL_forwardz00_15005;
BgL_forwardz00_15005 = BgL_arg3818z00_10949; 
BgL_bufposz00_15006 = BgL_arg3819z00_10950; 
BgL_bufposz00_10947 = BgL_bufposz00_15006; 
BgL_forwardz00_10946 = BgL_forwardz00_15005; 
goto BgL_statezd26zd21252z00_10926;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_newzd2matchzd2_10948; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10951;
BgL_curz00_10951 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10944, BgL_forwardz00_10946); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6128z00_15008;
if(
(
(long)(BgL_curz00_10951)==((long)9)))
{ /* Llib/mpc.scm 386 */
BgL_test6128z00_15008 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6128z00_15008 = 
(
(long)(BgL_curz00_10951)==((long)32))
; } 
if(BgL_test6128z00_15008)
{ 
 long BgL_forwardz00_15015; long BgL_lastzd2matchzd2_15014;
BgL_lastzd2matchzd2_15014 = BgL_newzd2matchzd2_10948; 
BgL_forwardz00_15015 = 
(((long)1)+BgL_forwardz00_10946); 
BgL_forwardz00_10946 = BgL_forwardz00_15015; 
BgL_lastzd2matchzd2_10945 = BgL_lastzd2matchzd2_15014; 
goto BgL_statezd26zd21252z00_10926;}  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_newzd2matchzd2_10948; } } } } } }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10931 = BgL_newzd2matchzd2_10964; } } } } } }  else 
{ /* Llib/mpc.scm 386 */
 long BgL_arg3797z00_10975;
BgL_arg3797z00_10975 = 
(((long)1)+BgL_forwardz00_10970); 
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10976;
RGC_STOP_MATCH(BgL_iportz00_10968, BgL_arg3797z00_10975); 
BgL_newzd2matchzd2_10976 = ((long)2); 
BgL_matchz00_10931 = BgL_newzd2matchzd2_10976; } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10923); 
switch( BgL_matchz00_10931) { case ((long)2) : 

{ /* Llib/mpc.scm 395 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg3911z00_10934;
{ /* Llib/mpc.scm 395 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1256z00_10935;
{ /* Llib/mpc.scm 395 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1255z00_10936;
BgL_new1255z00_10936 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 395 */
 long BgL_arg3916z00_10937;
BgL_arg3916z00_10937 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1255z00_10936), BgL_arg3916z00_10937); } 
BgL_new1256z00_10935 = BgL_new1255z00_10936; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1256z00_10935)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1256z00_10935)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15030;
{ /* Llib/mpc.scm 395 */
 obj_t BgL_arg3912z00_10938;
{ /* Llib/mpc.scm 395 */
 obj_t BgL_arg3913z00_10939;
{ /* Llib/mpc.scm 395 */
 obj_t BgL_classz00_10940;
BgL_classz00_10940 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg3913z00_10939 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10940); } 
BgL_arg3912z00_10938 = 
VECTOR_REF(BgL_arg3913z00_10939,((long)2)); } 
BgL_auxz00_15030 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg3912z00_10938); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1256z00_10935)))->BgL_stackz00)=((obj_t)BgL_auxz00_15030),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1256z00_10935)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)4))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1256z00_10935)))->BgL_msgz00)=((obj_t)BGl_string5346z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15041;
{ /* Llib/mpc.scm 398 */
 obj_t BgL_arg3914z00_10941;
{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6130z00_15043;
{ /* Llib/mpc.scm 386 */
 long BgL_arg3903z00_10943;
BgL_arg3903z00_10943 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10923); 
BgL_test6130z00_15043 = 
(BgL_arg3903z00_10943==((long)0)); } 
if(BgL_test6130z00_15043)
{ /* Llib/mpc.scm 386 */
BgL_arg3914z00_10941 = BEOF; }  else 
{ /* Llib/mpc.scm 386 */
BgL_arg3914z00_10941 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10923)); } } 
BgL_auxz00_15041 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg3914z00_10941, BgL_iportz00_10923); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1256z00_10935)))->BgL_objz00)=((obj_t)BgL_auxz00_15041),BUNSPEC); } 
BgL_arg3911z00_10934 = BgL_new1256z00_10935; } 
BgL_kz00_11308 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg3911z00_10934)); } break;case ((long)1) : 

{ /* Llib/mpc.scm 390 */
 long BgL_nz00_10942;
BgL_nz00_10942 = 
rgc_buffer_fixnum(BgL_iportz00_10923); 
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_10923); 
BgL_kz00_11308 = 
BINT(BgL_nz00_10942); } break;case ((long)0) : 

goto BgL_ignorez00_10924;break;
default: 
BgL_kz00_11308 = 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10931)); } } } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_khza7za7)=((int)
CINT(BgL_kz00_11308)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 529 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)9) : 

{ /* Llib/mpc.scm 519 */
 obj_t BgL_kz00_11309;
BgL_kz00_11309 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11309==
CNST_TABLE_REF(((long)10))))
{ /* Llib/mpc.scm 521 */
 obj_t BgL_bratez00_11310;
{ /* Llib/mpc.scm 521 */

{ /* Llib/mpc.scm 521 */

BgL_bratez00_11310 = 
BGl_readz00zz__readerz00(BgL_iportz00_11252, BFALSE); } } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_bitratez00)=((int)
CINT(BgL_bratez00_11310)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 520 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)8) : 

{ /* Llib/mpc.scm 510 */
 obj_t BgL_kz00_11311;
BgL_kz00_11311 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11311==
CNST_TABLE_REF(((long)11))))
{ 
 obj_t BgL_auxz00_15082;
BgL_iportz00_10985 = BgL_iportz00_11252; 
{ 
 obj_t BgL_iportz00_11078; long BgL_lastzd2matchzd2_11079; long BgL_forwardz00_11080; long BgL_bufposz00_11081; obj_t BgL_iportz00_11068; long BgL_lastzd2matchzd2_11069; long BgL_forwardz00_11070; long BgL_bufposz00_11071; obj_t BgL_iportz00_11060; long BgL_lastzd2matchzd2_11061; long BgL_forwardz00_11062; long BgL_bufposz00_11063; obj_t BgL_iportz00_11052; long BgL_lastzd2matchzd2_11053; long BgL_forwardz00_11054; long BgL_bufposz00_11055; obj_t BgL_iportz00_11043; long BgL_lastzd2matchzd2_11044; long BgL_forwardz00_11045; long BgL_bufposz00_11046; obj_t BgL_iportz00_11035; long BgL_lastzd2matchzd2_11036; long BgL_forwardz00_11037; long BgL_bufposz00_11038; obj_t BgL_iportz00_11027; long BgL_lastzd2matchzd2_11028; long BgL_forwardz00_11029; long BgL_bufposz00_11030; obj_t BgL_iportz00_11019; long BgL_lastzd2matchzd2_11020; long BgL_forwardz00_11021; long BgL_bufposz00_11022; int BgL_minz00_11009; int BgL_maxz00_11010;
BgL_ignorez00_10986:
RGC_START_MATCH(BgL_iportz00_10985); 
{ /* Llib/mpc.scm 414 */
 long BgL_matchz00_10997;
{ /* Llib/mpc.scm 414 */
 long BgL_arg3599z00_10998; long BgL_arg3600z00_10999;
BgL_arg3599z00_10998 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10985); 
BgL_arg3600z00_10999 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10985); 
BgL_iportz00_11035 = BgL_iportz00_10985; 
BgL_lastzd2matchzd2_11036 = ((long)2); 
BgL_forwardz00_11037 = BgL_arg3599z00_10998; 
BgL_bufposz00_11038 = BgL_arg3600z00_10999; 
BgL_statezd20zd21272z00_10991:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11039;
RGC_STOP_MATCH(BgL_iportz00_11035, BgL_forwardz00_11037); 
BgL_newzd2matchzd2_11039 = ((long)0); 
if(
(BgL_forwardz00_11037==BgL_bufposz00_11038))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11035))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3478z00_11040; long BgL_arg3479z00_11041;
BgL_arg3478z00_11040 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11035); 
BgL_arg3479z00_11041 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11035); 
{ 
 long BgL_bufposz00_15094; long BgL_forwardz00_15093;
BgL_forwardz00_15093 = BgL_arg3478z00_11040; 
BgL_bufposz00_15094 = BgL_arg3479z00_11041; 
BgL_bufposz00_11038 = BgL_bufposz00_15094; 
BgL_forwardz00_11037 = BgL_forwardz00_15093; 
goto BgL_statezd20zd21272z00_10991;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11039; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11042;
BgL_curz00_11042 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11035, BgL_forwardz00_11037); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11042)==((long)10)))
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11078 = BgL_iportz00_11035; 
BgL_lastzd2matchzd2_11079 = BgL_newzd2matchzd2_11039; 
BgL_forwardz00_11080 = 
(((long)1)+BgL_forwardz00_11037); 
BgL_bufposz00_11081 = BgL_bufposz00_11038; 
BgL_statezd23zd21275z00_10996:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11082;
RGC_STOP_MATCH(BgL_iportz00_11078, BgL_forwardz00_11080); 
BgL_newzd2matchzd2_11082 = ((long)0); 
if(
(BgL_forwardz00_11080==BgL_bufposz00_11081))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11078))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3431z00_11083; long BgL_arg3432z00_11084;
BgL_arg3431z00_11083 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11078); 
BgL_arg3432z00_11084 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11078); 
{ 
 long BgL_bufposz00_15107; long BgL_forwardz00_15106;
BgL_forwardz00_15106 = BgL_arg3431z00_11083; 
BgL_bufposz00_15107 = BgL_arg3432z00_11084; 
BgL_bufposz00_11081 = BgL_bufposz00_15107; 
BgL_forwardz00_11080 = BgL_forwardz00_15106; 
goto BgL_statezd23zd21275z00_10996;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11082; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11085;
BgL_curz00_11085 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11078, BgL_forwardz00_11080); 
{ /* Llib/mpc.scm 414 */

{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6138z00_15109;
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6139z00_15110;
if(
(
(long)(BgL_curz00_11085)==((long)10)))
{ /* Llib/mpc.scm 414 */
BgL_test6139z00_15110 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6139z00_15110 = 
(
(long)(BgL_curz00_11085)==((long)9))
; } 
if(BgL_test6139z00_15110)
{ /* Llib/mpc.scm 414 */
BgL_test6138z00_15109 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6138z00_15109 = 
(
(long)(BgL_curz00_11085)==((long)32))
; } } 
if(BgL_test6138z00_15109)
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11027 = BgL_iportz00_11078; 
BgL_lastzd2matchzd2_11028 = BgL_newzd2matchzd2_11082; 
BgL_forwardz00_11029 = 
(((long)1)+BgL_forwardz00_11080); 
BgL_bufposz00_11030 = BgL_bufposz00_11081; 
BgL_statezd25zd21277z00_10990:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11031;
RGC_STOP_MATCH(BgL_iportz00_11027, BgL_forwardz00_11029); 
BgL_newzd2matchzd2_11031 = ((long)0); 
if(
(BgL_forwardz00_11029==BgL_bufposz00_11030))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11027))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3489z00_11032; long BgL_arg3490z00_11033;
BgL_arg3489z00_11032 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11027); 
BgL_arg3490z00_11033 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11027); 
{ 
 long BgL_bufposz00_15126; long BgL_forwardz00_15125;
BgL_forwardz00_15125 = BgL_arg3489z00_11032; 
BgL_bufposz00_15126 = BgL_arg3490z00_11033; 
BgL_bufposz00_11030 = BgL_bufposz00_15126; 
BgL_forwardz00_11029 = BgL_forwardz00_15125; 
goto BgL_statezd25zd21277z00_10990;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11031; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11034;
BgL_curz00_11034 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11027, BgL_forwardz00_11029); 
{ /* Llib/mpc.scm 414 */

{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6143z00_15128;
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6144z00_15129;
if(
(
(long)(BgL_curz00_11034)==((long)10)))
{ /* Llib/mpc.scm 414 */
BgL_test6144z00_15129 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6144z00_15129 = 
(
(long)(BgL_curz00_11034)==((long)9))
; } 
if(BgL_test6144z00_15129)
{ /* Llib/mpc.scm 414 */
BgL_test6143z00_15128 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6143z00_15128 = 
(
(long)(BgL_curz00_11034)==((long)32))
; } } 
if(BgL_test6143z00_15128)
{ 
 long BgL_forwardz00_15138; long BgL_lastzd2matchzd2_15137;
BgL_lastzd2matchzd2_15137 = BgL_newzd2matchzd2_11031; 
BgL_forwardz00_15138 = 
(((long)1)+BgL_forwardz00_11029); 
BgL_forwardz00_11029 = BgL_forwardz00_15138; 
BgL_lastzd2matchzd2_11028 = BgL_lastzd2matchzd2_15137; 
goto BgL_statezd25zd21277z00_10990;}  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11031; } } } } } }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11082; } } } } } }  else 
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6146z00_15142;
if(
(
(long)(BgL_curz00_11042)==((long)9)))
{ /* Llib/mpc.scm 414 */
BgL_test6146z00_15142 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6146z00_15142 = 
(
(long)(BgL_curz00_11042)==((long)32))
; } 
if(BgL_test6146z00_15142)
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11060 = BgL_iportz00_11035; 
BgL_lastzd2matchzd2_11061 = BgL_newzd2matchzd2_11039; 
BgL_forwardz00_11062 = 
(((long)1)+BgL_forwardz00_11037); 
BgL_bufposz00_11063 = BgL_bufposz00_11038; 
BgL_statezd22zd21274z00_10994:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11064;
RGC_STOP_MATCH(BgL_iportz00_11060, BgL_forwardz00_11062); 
BgL_newzd2matchzd2_11064 = ((long)0); 
if(
(BgL_forwardz00_11062==BgL_bufposz00_11063))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11060))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3448z00_11065; long BgL_arg3449z00_11066;
BgL_arg3448z00_11065 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11060); 
BgL_arg3449z00_11066 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11060); 
{ 
 long BgL_bufposz00_15156; long BgL_forwardz00_15155;
BgL_forwardz00_15155 = BgL_arg3448z00_11065; 
BgL_bufposz00_15156 = BgL_arg3449z00_11066; 
BgL_bufposz00_11063 = BgL_bufposz00_15156; 
BgL_forwardz00_11062 = BgL_forwardz00_15155; 
goto BgL_statezd22zd21274z00_10994;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11064; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11067;
BgL_curz00_11067 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11060, BgL_forwardz00_11062); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11067)==((long)10)))
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11019 = BgL_iportz00_11060; 
BgL_lastzd2matchzd2_11020 = BgL_newzd2matchzd2_11064; 
BgL_forwardz00_11021 = 
(((long)1)+BgL_forwardz00_11062); 
BgL_bufposz00_11022 = BgL_bufposz00_11063; 
BgL_statezd28zd21280z00_10989:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11023;
RGC_STOP_MATCH(BgL_iportz00_11019, BgL_forwardz00_11021); 
BgL_newzd2matchzd2_11023 = ((long)0); 
if(
(BgL_forwardz00_11021==BgL_bufposz00_11022))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11019))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3498z00_11024; long BgL_arg3499z00_11025;
BgL_arg3498z00_11024 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11019); 
BgL_arg3499z00_11025 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11019); 
{ 
 long BgL_bufposz00_15169; long BgL_forwardz00_15168;
BgL_forwardz00_15168 = BgL_arg3498z00_11024; 
BgL_bufposz00_15169 = BgL_arg3499z00_11025; 
BgL_bufposz00_11022 = BgL_bufposz00_15169; 
BgL_forwardz00_11021 = BgL_forwardz00_15168; 
goto BgL_statezd28zd21280z00_10989;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11023; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11026;
BgL_curz00_11026 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11019, BgL_forwardz00_11021); 
{ /* Llib/mpc.scm 414 */

{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6153z00_15171;
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6154z00_15172;
if(
(
(long)(BgL_curz00_11026)==((long)10)))
{ /* Llib/mpc.scm 414 */
BgL_test6154z00_15172 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6154z00_15172 = 
(
(long)(BgL_curz00_11026)==((long)9))
; } 
if(BgL_test6154z00_15172)
{ /* Llib/mpc.scm 414 */
BgL_test6153z00_15171 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6153z00_15171 = 
(
(long)(BgL_curz00_11026)==((long)32))
; } } 
if(BgL_test6153z00_15171)
{ 
 long BgL_bufposz00_15184; long BgL_forwardz00_15182; long BgL_lastzd2matchzd2_15181; obj_t BgL_iportz00_15180;
BgL_iportz00_15180 = BgL_iportz00_11019; 
BgL_lastzd2matchzd2_15181 = BgL_newzd2matchzd2_11023; 
BgL_forwardz00_15182 = 
(((long)1)+BgL_forwardz00_11021); 
BgL_bufposz00_15184 = BgL_bufposz00_11022; 
BgL_bufposz00_11030 = BgL_bufposz00_15184; 
BgL_forwardz00_11029 = BgL_forwardz00_15182; 
BgL_lastzd2matchzd2_11028 = BgL_lastzd2matchzd2_15181; 
BgL_iportz00_11027 = BgL_iportz00_15180; 
goto BgL_statezd25zd21277z00_10990;}  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11023; } } } } } }  else 
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6156z00_15186;
if(
(
(long)(BgL_curz00_11067)==((long)9)))
{ /* Llib/mpc.scm 414 */
BgL_test6156z00_15186 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6156z00_15186 = 
(
(long)(BgL_curz00_11067)==((long)32))
; } 
if(BgL_test6156z00_15186)
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11052 = BgL_iportz00_11060; 
BgL_lastzd2matchzd2_11053 = BgL_newzd2matchzd2_11064; 
BgL_forwardz00_11054 = 
(((long)1)+BgL_forwardz00_11062); 
BgL_bufposz00_11055 = BgL_bufposz00_11063; 
BgL_statezd27zd21279z00_10993:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11056;
RGC_STOP_MATCH(BgL_iportz00_11052, BgL_forwardz00_11054); 
BgL_newzd2matchzd2_11056 = ((long)0); 
if(
(BgL_forwardz00_11054==BgL_bufposz00_11055))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11052))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3459z00_11057; long BgL_arg3460z00_11058;
BgL_arg3459z00_11057 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11052); 
BgL_arg3460z00_11058 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11052); 
{ 
 long BgL_bufposz00_15200; long BgL_forwardz00_15199;
BgL_forwardz00_15199 = BgL_arg3459z00_11057; 
BgL_bufposz00_15200 = BgL_arg3460z00_11058; 
BgL_bufposz00_11055 = BgL_bufposz00_15200; 
BgL_forwardz00_11054 = BgL_forwardz00_15199; 
goto BgL_statezd27zd21279z00_10993;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11056; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11059;
BgL_curz00_11059 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11052, BgL_forwardz00_11054); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11059)==((long)10)))
{ 
 long BgL_bufposz00_15209; long BgL_forwardz00_15207; long BgL_lastzd2matchzd2_15206; obj_t BgL_iportz00_15205;
BgL_iportz00_15205 = BgL_iportz00_11052; 
BgL_lastzd2matchzd2_15206 = BgL_newzd2matchzd2_11056; 
BgL_forwardz00_15207 = 
(((long)1)+BgL_forwardz00_11054); 
BgL_bufposz00_15209 = BgL_bufposz00_11055; 
BgL_bufposz00_11022 = BgL_bufposz00_15209; 
BgL_forwardz00_11021 = BgL_forwardz00_15207; 
BgL_lastzd2matchzd2_11020 = BgL_lastzd2matchzd2_15206; 
BgL_iportz00_11019 = BgL_iportz00_15205; 
goto BgL_statezd28zd21280z00_10989;}  else 
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6161z00_15210;
if(
(
(long)(BgL_curz00_11059)==((long)9)))
{ /* Llib/mpc.scm 414 */
BgL_test6161z00_15210 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6161z00_15210 = 
(
(long)(BgL_curz00_11059)==((long)32))
; } 
if(BgL_test6161z00_15210)
{ 
 long BgL_forwardz00_15217; long BgL_lastzd2matchzd2_15216;
BgL_lastzd2matchzd2_15216 = BgL_newzd2matchzd2_11056; 
BgL_forwardz00_15217 = 
(((long)1)+BgL_forwardz00_11054); 
BgL_forwardz00_11054 = BgL_forwardz00_15217; 
BgL_lastzd2matchzd2_11053 = BgL_lastzd2matchzd2_15216; 
goto BgL_statezd27zd21279z00_10993;}  else 
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11043 = BgL_iportz00_11052; 
BgL_lastzd2matchzd2_11044 = BgL_newzd2matchzd2_11056; 
BgL_forwardz00_11045 = 
(((long)1)+BgL_forwardz00_11054); 
BgL_bufposz00_11046 = BgL_bufposz00_11055; 
BgL_statezd26zd21278z00_10992:
if(
(BgL_forwardz00_11045==BgL_bufposz00_11046))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11043))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3470z00_11047; long BgL_arg3471z00_11048;
BgL_arg3470z00_11047 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11043); 
BgL_arg3471z00_11048 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11043); 
{ 
 long BgL_bufposz00_15226; long BgL_forwardz00_15225;
BgL_forwardz00_15225 = BgL_arg3470z00_11047; 
BgL_bufposz00_15226 = BgL_arg3471z00_11048; 
BgL_bufposz00_11046 = BgL_bufposz00_15226; 
BgL_forwardz00_11045 = BgL_forwardz00_15225; 
goto BgL_statezd26zd21278z00_10992;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_lastzd2matchzd2_11044; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11049;
BgL_curz00_11049 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11043, BgL_forwardz00_11045); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11049)==((long)10)))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3473z00_11050;
BgL_arg3473z00_11050 = 
(((long)1)+BgL_forwardz00_11045); 
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11051;
RGC_STOP_MATCH(BgL_iportz00_11043, BgL_arg3473z00_11050); 
BgL_newzd2matchzd2_11051 = ((long)1); 
BgL_matchz00_10997 = BgL_newzd2matchzd2_11051; } }  else 
{ 
 long BgL_forwardz00_15233;
BgL_forwardz00_15233 = 
(((long)1)+BgL_forwardz00_11045); 
BgL_forwardz00_11045 = BgL_forwardz00_15233; 
goto BgL_statezd26zd21278z00_10992;} } } } } } } } }  else 
{ 
 long BgL_bufposz00_15241; long BgL_forwardz00_15239; long BgL_lastzd2matchzd2_15238; obj_t BgL_iportz00_15237;
BgL_iportz00_15237 = BgL_iportz00_11060; 
BgL_lastzd2matchzd2_15238 = BgL_newzd2matchzd2_11064; 
BgL_forwardz00_15239 = 
(((long)1)+BgL_forwardz00_11062); 
BgL_bufposz00_15241 = BgL_bufposz00_11063; 
BgL_bufposz00_11046 = BgL_bufposz00_15241; 
BgL_forwardz00_11045 = BgL_forwardz00_15239; 
BgL_lastzd2matchzd2_11044 = BgL_lastzd2matchzd2_15238; 
BgL_iportz00_11043 = BgL_iportz00_15237; 
goto BgL_statezd26zd21278z00_10992;} } } } } }  else 
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11068 = BgL_iportz00_11035; 
BgL_lastzd2matchzd2_11069 = BgL_newzd2matchzd2_11039; 
BgL_forwardz00_11070 = 
(((long)1)+BgL_forwardz00_11037); 
BgL_bufposz00_11071 = BgL_bufposz00_11038; 
BgL_statezd21zd21273z00_10995:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11072;
RGC_STOP_MATCH(BgL_iportz00_11068, BgL_forwardz00_11070); 
BgL_newzd2matchzd2_11072 = ((long)2); 
if(
(BgL_forwardz00_11070==BgL_bufposz00_11071))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11068))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3440z00_11073; long BgL_arg3441z00_11074;
BgL_arg3440z00_11073 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11068); 
BgL_arg3441z00_11074 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11068); 
{ 
 long BgL_bufposz00_15251; long BgL_forwardz00_15250;
BgL_forwardz00_15250 = BgL_arg3440z00_11073; 
BgL_bufposz00_15251 = BgL_arg3441z00_11074; 
BgL_bufposz00_11071 = BgL_bufposz00_15251; 
BgL_forwardz00_11070 = BgL_forwardz00_15250; 
goto BgL_statezd21zd21273z00_10995;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10997 = BgL_newzd2matchzd2_11072; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11075;
BgL_curz00_11075 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11068, BgL_forwardz00_11070); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11075)==((long)10)))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3443z00_11076;
BgL_arg3443z00_11076 = 
(((long)1)+BgL_forwardz00_11070); 
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11077;
RGC_STOP_MATCH(BgL_iportz00_11068, BgL_arg3443z00_11076); 
BgL_newzd2matchzd2_11077 = ((long)1); 
BgL_matchz00_10997 = BgL_newzd2matchzd2_11077; } }  else 
{ 
 long BgL_bufposz00_15262; long BgL_forwardz00_15260; long BgL_lastzd2matchzd2_15259; obj_t BgL_iportz00_15258;
BgL_iportz00_15258 = BgL_iportz00_11068; 
BgL_lastzd2matchzd2_15259 = BgL_newzd2matchzd2_11072; 
BgL_forwardz00_15260 = 
(((long)1)+BgL_forwardz00_11070); 
BgL_bufposz00_15262 = BgL_bufposz00_11071; 
BgL_bufposz00_11046 = BgL_bufposz00_15262; 
BgL_forwardz00_11045 = BgL_forwardz00_15260; 
BgL_lastzd2matchzd2_11044 = BgL_lastzd2matchzd2_15259; 
BgL_iportz00_11043 = BgL_iportz00_15258; 
goto BgL_statezd26zd21278z00_10992;} } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10985); 
switch( BgL_matchz00_10997) { case ((long)2) : 

{ /* Llib/mpc.scm 421 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg3593z00_11000;
{ /* Llib/mpc.scm 421 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1285z00_11001;
{ /* Llib/mpc.scm 421 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1284z00_11002;
BgL_new1284z00_11002 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 421 */
 long BgL_arg3598z00_11003;
BgL_arg3598z00_11003 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1284z00_11002), BgL_arg3598z00_11003); } 
BgL_new1285z00_11001 = BgL_new1284z00_11002; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1285z00_11001)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1285z00_11001)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15273;
{ /* Llib/mpc.scm 421 */
 obj_t BgL_arg3594z00_11004;
{ /* Llib/mpc.scm 421 */
 obj_t BgL_arg3595z00_11005;
{ /* Llib/mpc.scm 421 */
 obj_t BgL_classz00_11006;
BgL_classz00_11006 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg3595z00_11005 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11006); } 
BgL_arg3594z00_11004 = 
VECTOR_REF(BgL_arg3595z00_11005,((long)2)); } 
BgL_auxz00_15273 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg3594z00_11004); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1285z00_11001)))->BgL_stackz00)=((obj_t)BgL_auxz00_15273),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1285z00_11001)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1285z00_11001)))->BgL_msgz00)=((obj_t)BGl_string5327z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15284;
{ /* Llib/mpc.scm 424 */
 obj_t BgL_arg3596z00_11007;
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6169z00_15286;
{ /* Llib/mpc.scm 414 */
 long BgL_arg3585z00_11008;
BgL_arg3585z00_11008 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10985); 
BgL_test6169z00_15286 = 
(BgL_arg3585z00_11008==((long)0)); } 
if(BgL_test6169z00_15286)
{ /* Llib/mpc.scm 414 */
BgL_arg3596z00_11007 = BEOF; }  else 
{ /* Llib/mpc.scm 414 */
BgL_arg3596z00_11007 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10985)); } } 
BgL_auxz00_15284 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg3596z00_11007, BgL_iportz00_10985); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1285z00_11001)))->BgL_objz00)=((obj_t)BgL_auxz00_15284),BUNSPEC); } 
BgL_arg3593z00_11000 = BgL_new1285z00_11001; } 
BgL_auxz00_15082 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg3593z00_11000)); } break;case ((long)1) : 

BgL_minz00_11009 = 
(int)(((long)0)); 
BgL_maxz00_11010 = 
(int)(((long)-1)); 
if(
(
(long)(BgL_maxz00_11010)<
(long)(BgL_minz00_11009)))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3514z00_11011;
BgL_arg3514z00_11011 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10985); 
{ /* Llib/mpc.scm 414 */
 long BgL_za72za7_11012;
BgL_za72za7_11012 = 
(long)(BgL_maxz00_11010); 
BgL_maxz00_11010 = 
(int)(
(BgL_arg3514z00_11011+BgL_za72za7_11012)); } }  else 
{ /* Llib/mpc.scm 414 */BFALSE; } 
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6171z00_15303;
if(
(
(long)(BgL_minz00_11009)>=((long)0)))
{ /* Llib/mpc.scm 414 */
if(
(
(long)(BgL_maxz00_11010)>=
(long)(BgL_minz00_11009)))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3523z00_11013;
BgL_arg3523z00_11013 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10985); 
BgL_test6171z00_15303 = 
(
(long)(BgL_maxz00_11010)<=BgL_arg3523z00_11013); }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6171z00_15303 = ((bool_t)0)
; } }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6171z00_15303 = ((bool_t)0)
; } 
if(BgL_test6171z00_15303)
{ /* Llib/mpc.scm 414 */
BgL_auxz00_15082 = 
rgc_buffer_substring(BgL_iportz00_10985, 
(long)(BgL_minz00_11009), 
(long)(BgL_maxz00_11010))
; }  else 
{ /* Llib/mpc.scm 414 */
 obj_t BgL_arg3519z00_11014; obj_t BgL_arg3520z00_11015;
{ /* Llib/mpc.scm 414 */
 obj_t BgL_arg3521z00_11016;
{ /* Llib/mpc.scm 414 */
 long BgL_arg3511z00_11017;
BgL_arg3511z00_11017 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10985); 
BgL_arg3521z00_11016 = 
rgc_buffer_substring(BgL_iportz00_10985, ((long)0), BgL_arg3511z00_11017); } 
{ /* Llib/mpc.scm 414 */
 obj_t BgL_list3522z00_11018;
BgL_list3522z00_11018 = 
MAKE_YOUNG_PAIR(BgL_arg3521z00_11016, BNIL); 
BgL_arg3519z00_11014 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5329z00zz__multimediazd2mpczd2, BgL_list3522z00_11018); } } 
BgL_arg3520z00_11015 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_11009), 
BINT(BgL_maxz00_11010)); 
BgL_auxz00_15082 = 
BGl_errorz00zz__errorz00(BGl_string5330z00zz__multimediazd2mpczd2, BgL_arg3519z00_11014, BgL_arg3520z00_11015); } } break;case ((long)0) : 

goto BgL_ignorez00_10986;break;
default: 
BgL_auxz00_15082 = 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10997)); } } } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_errz00)=((obj_t)BgL_auxz00_15082),BUNSPEC); }  else 
{ /* Llib/mpc.scm 511 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)7) : 

{ /* Llib/mpc.scm 501 */
 obj_t BgL_kz00_11312;
BgL_kz00_11312 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11312==
CNST_TABLE_REF(((long)12))))
{ /* Llib/mpc.scm 503 */
 obj_t BgL_pidz00_11313;
BgL_pidz00_11313 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_playlistidz00)=((int)
CINT(BgL_pidz00_11313)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 502 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)6) : 

{ /* Llib/mpc.scm 492 */
 obj_t BgL_kz00_11314;
BgL_kz00_11314 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11314==
CNST_TABLE_REF(((long)13))))
{ /* Llib/mpc.scm 494 */
 obj_t BgL_plenz00_11315;
BgL_plenz00_11315 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_playlistlengthz00)=((int)
CINT(BgL_plenz00_11315)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 493 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)5) : 

{ /* Llib/mpc.scm 483 */
 obj_t BgL_kz00_11316;
BgL_kz00_11316 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11316==
CNST_TABLE_REF(((long)14))))
{ /* Llib/mpc.scm 485 */
 obj_t BgL_vz00_11317;
BgL_vz00_11317 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_volumez00)=((obj_t)BgL_vz00_11317),BUNSPEC); }  else 
{ /* Llib/mpc.scm 484 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)4) : 

{ /* Llib/mpc.scm 476 */
 obj_t BgL_kz00_11318;
BgL_kz00_11318 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11318==
CNST_TABLE_REF(((long)15))))
{ /* Llib/mpc.scm 477 */
BgL_iportz00_11086 = BgL_iportz00_11252; 
BgL_statusz00_11087 = BgL_statusz00_11253; 
{ 
 obj_t BgL_iportz00_11145; long BgL_lastzd2matchzd2_11146; long BgL_forwardz00_11147; long BgL_bufposz00_11148; obj_t BgL_iportz00_11135; long BgL_lastzd2matchzd2_11136; long BgL_forwardz00_11137; long BgL_bufposz00_11138; obj_t BgL_iportz00_11127; long BgL_lastzd2matchzd2_11128; long BgL_forwardz00_11129; long BgL_bufposz00_11130; obj_t BgL_iportz00_11117; long BgL_lastzd2matchzd2_11118; long BgL_forwardz00_11119; long BgL_bufposz00_11120; obj_t BgL_iportz00_11109; long BgL_lastzd2matchzd2_11110; long BgL_forwardz00_11111; long BgL_bufposz00_11112;
BgL_ignorez00_11088:
RGC_START_MATCH(BgL_iportz00_11086); 
{ /* Llib/mpc.scm 427 */
 long BgL_matchz00_11095;
{ /* Llib/mpc.scm 427 */
 long BgL_arg3425z00_11096; long BgL_arg3426z00_11097;
BgL_arg3425z00_11096 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11086); 
BgL_arg3426z00_11097 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11086); 
BgL_iportz00_11135 = BgL_iportz00_11086; 
BgL_lastzd2matchzd2_11136 = ((long)2); 
BgL_forwardz00_11137 = BgL_arg3425z00_11096; 
BgL_bufposz00_11138 = BgL_arg3426z00_11097; 
BgL_statezd20zd21286z00_11093:
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11139;
RGC_STOP_MATCH(BgL_iportz00_11135, BgL_forwardz00_11137); 
BgL_newzd2matchzd2_11139 = ((long)0); 
if(
(BgL_forwardz00_11137==BgL_bufposz00_11138))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11135))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3290z00_11140; long BgL_arg3291z00_11141;
BgL_arg3290z00_11140 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11135); 
BgL_arg3291z00_11141 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11135); 
{ 
 long BgL_bufposz00_15391; long BgL_forwardz00_15390;
BgL_forwardz00_15390 = BgL_arg3290z00_11140; 
BgL_bufposz00_15391 = BgL_arg3291z00_11141; 
BgL_bufposz00_11138 = BgL_bufposz00_15391; 
BgL_forwardz00_11137 = BgL_forwardz00_15390; 
goto BgL_statezd20zd21286z00_11093;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_newzd2matchzd2_11139; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11142;
BgL_curz00_11142 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11135, BgL_forwardz00_11137); 
{ /* Llib/mpc.scm 427 */

{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6180z00_15393;
if(
(
(long)(BgL_curz00_11142)>=((long)48)))
{ /* Llib/mpc.scm 427 */
BgL_test6180z00_15393 = 
(
(long)(BgL_curz00_11142)<((long)58))
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6180z00_15393 = ((bool_t)0)
; } 
if(BgL_test6180z00_15393)
{ /* Llib/mpc.scm 427 */
BgL_iportz00_11117 = BgL_iportz00_11135; 
BgL_lastzd2matchzd2_11118 = BgL_newzd2matchzd2_11139; 
BgL_forwardz00_11119 = 
(((long)1)+BgL_forwardz00_11137); 
BgL_bufposz00_11120 = BgL_bufposz00_11138; 
BgL_statezd23zd21289z00_11091:
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11121;
RGC_STOP_MATCH(BgL_iportz00_11117, BgL_forwardz00_11119); 
BgL_newzd2matchzd2_11121 = ((long)2); 
if(
(BgL_forwardz00_11119==BgL_bufposz00_11120))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11117))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3313z00_11122; long BgL_arg3314z00_11123;
BgL_arg3313z00_11122 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11117); 
BgL_arg3314z00_11123 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11117); 
{ 
 long BgL_bufposz00_15407; long BgL_forwardz00_15406;
BgL_forwardz00_15406 = BgL_arg3313z00_11122; 
BgL_bufposz00_15407 = BgL_arg3314z00_11123; 
BgL_bufposz00_11120 = BgL_bufposz00_15407; 
BgL_forwardz00_11119 = BgL_forwardz00_15406; 
goto BgL_statezd23zd21289z00_11091;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_newzd2matchzd2_11121; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11124;
BgL_curz00_11124 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11117, BgL_forwardz00_11119); 
{ /* Llib/mpc.scm 427 */

if(
(
(long)(BgL_curz00_11124)==((long)58)))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3316z00_11125;
BgL_arg3316z00_11125 = 
(((long)1)+BgL_forwardz00_11119); 
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11126;
RGC_STOP_MATCH(BgL_iportz00_11117, BgL_arg3316z00_11125); 
BgL_newzd2matchzd2_11126 = ((long)1); 
BgL_matchz00_11095 = BgL_newzd2matchzd2_11126; } }  else 
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6185z00_15414;
if(
(
(long)(BgL_curz00_11124)>=((long)48)))
{ /* Llib/mpc.scm 427 */
BgL_test6185z00_15414 = 
(
(long)(BgL_curz00_11124)<((long)58))
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6185z00_15414 = ((bool_t)0)
; } 
if(BgL_test6185z00_15414)
{ /* Llib/mpc.scm 427 */
BgL_iportz00_11145 = BgL_iportz00_11117; 
BgL_lastzd2matchzd2_11146 = BgL_newzd2matchzd2_11121; 
BgL_forwardz00_11147 = 
(((long)1)+BgL_forwardz00_11119); 
BgL_bufposz00_11148 = BgL_bufposz00_11120; 
BgL_statezd25zd21291z00_11094:
if(
(BgL_forwardz00_11147==BgL_bufposz00_11148))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11145))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3280z00_11149; long BgL_arg3281z00_11150;
BgL_arg3280z00_11149 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11145); 
BgL_arg3281z00_11150 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11145); 
{ 
 long BgL_bufposz00_15427; long BgL_forwardz00_15426;
BgL_forwardz00_15426 = BgL_arg3280z00_11149; 
BgL_bufposz00_15427 = BgL_arg3281z00_11150; 
BgL_bufposz00_11148 = BgL_bufposz00_15427; 
BgL_forwardz00_11147 = BgL_forwardz00_15426; 
goto BgL_statezd25zd21291z00_11094;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_lastzd2matchzd2_11146; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11151;
BgL_curz00_11151 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11145, BgL_forwardz00_11147); 
{ /* Llib/mpc.scm 427 */

if(
(
(long)(BgL_curz00_11151)==((long)58)))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3283z00_11152;
BgL_arg3283z00_11152 = 
(((long)1)+BgL_forwardz00_11147); 
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11153;
RGC_STOP_MATCH(BgL_iportz00_11145, BgL_arg3283z00_11152); 
BgL_newzd2matchzd2_11153 = ((long)1); 
BgL_matchz00_11095 = BgL_newzd2matchzd2_11153; } }  else 
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6190z00_15434;
if(
(
(long)(BgL_curz00_11151)>=((long)48)))
{ /* Llib/mpc.scm 427 */
BgL_test6190z00_15434 = 
(
(long)(BgL_curz00_11151)<((long)58))
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6190z00_15434 = ((bool_t)0)
; } 
if(BgL_test6190z00_15434)
{ 
 long BgL_forwardz00_15440;
BgL_forwardz00_15440 = 
(((long)1)+BgL_forwardz00_11147); 
BgL_forwardz00_11147 = BgL_forwardz00_15440; 
goto BgL_statezd25zd21291z00_11094;}  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_lastzd2matchzd2_11146; } } } } }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_newzd2matchzd2_11121; } } } } } }  else 
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6192z00_15444;
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6193z00_15445;
if(
(
(long)(BgL_curz00_11142)==((long)10)))
{ /* Llib/mpc.scm 427 */
BgL_test6193z00_15445 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6193z00_15445 = 
(
(long)(BgL_curz00_11142)==((long)9))
; } 
if(BgL_test6193z00_15445)
{ /* Llib/mpc.scm 427 */
BgL_test6192z00_15444 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6192z00_15444 = 
(
(long)(BgL_curz00_11142)==((long)32))
; } } 
if(BgL_test6192z00_15444)
{ /* Llib/mpc.scm 427 */
BgL_iportz00_11127 = BgL_iportz00_11135; 
BgL_lastzd2matchzd2_11128 = BgL_newzd2matchzd2_11139; 
BgL_forwardz00_11129 = 
(((long)1)+BgL_forwardz00_11137); 
BgL_bufposz00_11130 = BgL_bufposz00_11138; 
BgL_statezd22zd21288z00_11092:
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11131;
RGC_STOP_MATCH(BgL_iportz00_11127, BgL_forwardz00_11129); 
BgL_newzd2matchzd2_11131 = ((long)0); 
if(
(BgL_forwardz00_11129==BgL_bufposz00_11130))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11127))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3303z00_11132; long BgL_arg3304z00_11133;
BgL_arg3303z00_11132 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11127); 
BgL_arg3304z00_11133 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11127); 
{ 
 long BgL_bufposz00_15461; long BgL_forwardz00_15460;
BgL_forwardz00_15460 = BgL_arg3303z00_11132; 
BgL_bufposz00_15461 = BgL_arg3304z00_11133; 
BgL_bufposz00_11130 = BgL_bufposz00_15461; 
BgL_forwardz00_11129 = BgL_forwardz00_15460; 
goto BgL_statezd22zd21288z00_11092;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_newzd2matchzd2_11131; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11134;
BgL_curz00_11134 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11127, BgL_forwardz00_11129); 
{ /* Llib/mpc.scm 427 */

{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6197z00_15463;
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6198z00_15464;
if(
(
(long)(BgL_curz00_11134)==((long)10)))
{ /* Llib/mpc.scm 427 */
BgL_test6198z00_15464 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6198z00_15464 = 
(
(long)(BgL_curz00_11134)==((long)9))
; } 
if(BgL_test6198z00_15464)
{ /* Llib/mpc.scm 427 */
BgL_test6197z00_15463 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6197z00_15463 = 
(
(long)(BgL_curz00_11134)==((long)32))
; } } 
if(BgL_test6197z00_15463)
{ /* Llib/mpc.scm 427 */
BgL_iportz00_11109 = BgL_iportz00_11127; 
BgL_lastzd2matchzd2_11110 = BgL_newzd2matchzd2_11131; 
BgL_forwardz00_11111 = 
(((long)1)+BgL_forwardz00_11129); 
BgL_bufposz00_11112 = BgL_bufposz00_11130; 
BgL_statezd27zd21293z00_11090:
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11113;
RGC_STOP_MATCH(BgL_iportz00_11109, BgL_forwardz00_11111); 
BgL_newzd2matchzd2_11113 = ((long)0); 
if(
(BgL_forwardz00_11111==BgL_bufposz00_11112))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11109))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3324z00_11114; long BgL_arg3325z00_11115;
BgL_arg3324z00_11114 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11109); 
BgL_arg3325z00_11115 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11109); 
{ 
 long BgL_bufposz00_15480; long BgL_forwardz00_15479;
BgL_forwardz00_15479 = BgL_arg3324z00_11114; 
BgL_bufposz00_15480 = BgL_arg3325z00_11115; 
BgL_bufposz00_11112 = BgL_bufposz00_15480; 
BgL_forwardz00_11111 = BgL_forwardz00_15479; 
goto BgL_statezd27zd21293z00_11090;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_newzd2matchzd2_11113; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11116;
BgL_curz00_11116 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11109, BgL_forwardz00_11111); 
{ /* Llib/mpc.scm 427 */

{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6202z00_15482;
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6203z00_15483;
if(
(
(long)(BgL_curz00_11116)==((long)10)))
{ /* Llib/mpc.scm 427 */
BgL_test6203z00_15483 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6203z00_15483 = 
(
(long)(BgL_curz00_11116)==((long)9))
; } 
if(BgL_test6203z00_15483)
{ /* Llib/mpc.scm 427 */
BgL_test6202z00_15482 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6202z00_15482 = 
(
(long)(BgL_curz00_11116)==((long)32))
; } } 
if(BgL_test6202z00_15482)
{ 
 long BgL_forwardz00_15492; long BgL_lastzd2matchzd2_15491;
BgL_lastzd2matchzd2_15491 = BgL_newzd2matchzd2_11113; 
BgL_forwardz00_15492 = 
(((long)1)+BgL_forwardz00_11111); 
BgL_forwardz00_11111 = BgL_forwardz00_15492; 
BgL_lastzd2matchzd2_11110 = BgL_lastzd2matchzd2_15491; 
goto BgL_statezd27zd21293z00_11090;}  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_newzd2matchzd2_11113; } } } } } }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11095 = BgL_newzd2matchzd2_11131; } } } } } }  else 
{ /* Llib/mpc.scm 427 */
 long BgL_arg3299z00_11143;
BgL_arg3299z00_11143 = 
(((long)1)+BgL_forwardz00_11137); 
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11144;
RGC_STOP_MATCH(BgL_iportz00_11135, BgL_arg3299z00_11143); 
BgL_newzd2matchzd2_11144 = ((long)2); 
BgL_matchz00_11095 = BgL_newzd2matchzd2_11144; } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11086); 
switch( BgL_matchz00_11095) { case ((long)2) : 

{ /* Llib/mpc.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg3418z00_11098;
{ /* Llib/mpc.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1297z00_11099;
{ /* Llib/mpc.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1296z00_11100;
BgL_new1296z00_11100 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 438 */
 long BgL_arg3423z00_11101;
BgL_arg3423z00_11101 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1296z00_11100), BgL_arg3423z00_11101); } 
BgL_new1297z00_11099 = BgL_new1296z00_11100; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1297z00_11099)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1297z00_11099)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15507;
{ /* Llib/mpc.scm 438 */
 obj_t BgL_arg3419z00_11102;
{ /* Llib/mpc.scm 438 */
 obj_t BgL_arg3420z00_11103;
{ /* Llib/mpc.scm 438 */
 obj_t BgL_classz00_11104;
BgL_classz00_11104 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg3420z00_11103 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11104); } 
BgL_arg3419z00_11102 = 
VECTOR_REF(BgL_arg3420z00_11103,((long)2)); } 
BgL_auxz00_15507 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg3419z00_11102); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1297z00_11099)))->BgL_stackz00)=((obj_t)BgL_auxz00_15507),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1297z00_11099)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1297z00_11099)))->BgL_msgz00)=((obj_t)BGl_string5324z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15518;
{ /* Llib/mpc.scm 441 */
 obj_t BgL_arg3421z00_11105;
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6205z00_15520;
{ /* Llib/mpc.scm 427 */
 long BgL_arg3410z00_11108;
BgL_arg3410z00_11108 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11086); 
BgL_test6205z00_15520 = 
(BgL_arg3410z00_11108==((long)0)); } 
if(BgL_test6205z00_15520)
{ /* Llib/mpc.scm 427 */
BgL_arg3421z00_11105 = BEOF; }  else 
{ /* Llib/mpc.scm 427 */
BgL_arg3421z00_11105 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11086)); } } 
BgL_auxz00_15518 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg3421z00_11105, BgL_iportz00_11086); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1297z00_11099)))->BgL_objz00)=((obj_t)BgL_auxz00_15518),BUNSPEC); } 
BgL_arg3418z00_11098 = BgL_new1297z00_11099; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg3418z00_11098)); } break;case ((long)1) : 

{ /* Llib/mpc.scm 431 */
 long BgL_tmz00_11106;
BgL_tmz00_11106 = 
rgc_buffer_fixnum(BgL_iportz00_11086); 
{ /* Llib/mpc.scm 431 */
 obj_t BgL_duz00_11107;
BgL_duz00_11107 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11086); 
{ /* Llib/mpc.scm 432 */

((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11087))->BgL_songposz00)=((obj_t)
BINT(BgL_tmz00_11106)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11087))->BgL_songlengthz00)=((int)
CINT(BgL_duz00_11107)),BUNSPEC); } } } break;case ((long)0) : 

goto BgL_ignorez00_11088;break;
default: 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11095)); } } } }  else 
{ /* Llib/mpc.scm 477 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)3) : 

{ /* Llib/mpc.scm 467 */
 obj_t BgL_kz00_11319;
BgL_kz00_11319 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11319==
CNST_TABLE_REF(((long)16))))
{ 
 obj_t BgL_auxz00_15549;
BgL_iportz00_11154 = BgL_iportz00_11252; 
{ 
 obj_t BgL_iportz00_11244; long BgL_lastzd2matchzd2_11245; long BgL_forwardz00_11246; long BgL_bufposz00_11247; obj_t BgL_iportz00_11236; long BgL_lastzd2matchzd2_11237; long BgL_forwardz00_11238; long BgL_bufposz00_11239; obj_t BgL_iportz00_11228; long BgL_lastzd2matchzd2_11229; long BgL_forwardz00_11230; long BgL_bufposz00_11231; obj_t BgL_iportz00_11220; long BgL_lastzd2matchzd2_11221; long BgL_forwardz00_11222; long BgL_bufposz00_11223; obj_t BgL_iportz00_11210; long BgL_lastzd2matchzd2_11211; long BgL_forwardz00_11212; long BgL_bufposz00_11213; obj_t BgL_iportz00_11202; long BgL_lastzd2matchzd2_11203; long BgL_forwardz00_11204; long BgL_bufposz00_11205; obj_t BgL_iportz00_11194; long BgL_lastzd2matchzd2_11195; long BgL_forwardz00_11196; long BgL_bufposz00_11197; obj_t BgL_iportz00_11185; long BgL_lastzd2matchzd2_11186; long BgL_forwardz00_11187; long BgL_bufposz00_11188; long BgL_minz00_11178; long BgL_maxz00_11179;
BgL_ignorez00_11155:
RGC_START_MATCH(BgL_iportz00_11154); 
{ /* Llib/mpc.scm 401 */
 long BgL_matchz00_11166;
{ /* Llib/mpc.scm 401 */
 long BgL_arg3775z00_11167; long BgL_arg3776z00_11168;
BgL_arg3775z00_11167 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11154); 
BgL_arg3776z00_11168 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11154); 
BgL_iportz00_11210 = BgL_iportz00_11154; 
BgL_lastzd2matchzd2_11211 = ((long)2); 
BgL_forwardz00_11212 = BgL_arg3775z00_11167; 
BgL_bufposz00_11213 = BgL_arg3776z00_11168; 
BgL_statezd20zd21257z00_11161:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11214;
RGC_STOP_MATCH(BgL_iportz00_11210, BgL_forwardz00_11212); 
BgL_newzd2matchzd2_11214 = ((long)0); 
if(
(BgL_forwardz00_11212==BgL_bufposz00_11213))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11210))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3644z00_11215; long BgL_arg3645z00_11216;
BgL_arg3644z00_11215 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11210); 
BgL_arg3645z00_11216 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11210); 
{ 
 long BgL_bufposz00_15561; long BgL_forwardz00_15560;
BgL_forwardz00_15560 = BgL_arg3644z00_11215; 
BgL_bufposz00_15561 = BgL_arg3645z00_11216; 
BgL_bufposz00_11213 = BgL_bufposz00_15561; 
BgL_forwardz00_11212 = BgL_forwardz00_15560; 
goto BgL_statezd20zd21257z00_11161;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11214; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11217;
BgL_curz00_11217 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11210, BgL_forwardz00_11212); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11217)==((long)13)))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3647z00_11218;
BgL_arg3647z00_11218 = 
(((long)1)+BgL_forwardz00_11212); 
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11219;
RGC_STOP_MATCH(BgL_iportz00_11210, BgL_arg3647z00_11218); 
BgL_newzd2matchzd2_11219 = ((long)2); 
BgL_matchz00_11166 = BgL_newzd2matchzd2_11219; } }  else 
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6210z00_15568;
if(
(
(long)(BgL_curz00_11217)==((long)10)))
{ /* Llib/mpc.scm 401 */
BgL_test6210z00_15568 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6210z00_15568 = 
(
(long)(BgL_curz00_11217)==((long)32))
; } 
if(BgL_test6210z00_15568)
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11220 = BgL_iportz00_11210; 
BgL_lastzd2matchzd2_11221 = BgL_newzd2matchzd2_11214; 
BgL_forwardz00_11222 = 
(((long)1)+BgL_forwardz00_11212); 
BgL_bufposz00_11223 = BgL_bufposz00_11213; 
BgL_statezd23zd21260z00_11162:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11224;
RGC_STOP_MATCH(BgL_iportz00_11220, BgL_forwardz00_11222); 
BgL_newzd2matchzd2_11224 = ((long)0); 
if(
(BgL_forwardz00_11222==BgL_bufposz00_11223))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11220))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3634z00_11225; long BgL_arg3635z00_11226;
BgL_arg3634z00_11225 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11220); 
BgL_arg3635z00_11226 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11220); 
{ 
 long BgL_bufposz00_15582; long BgL_forwardz00_15581;
BgL_forwardz00_15581 = BgL_arg3634z00_11225; 
BgL_bufposz00_15582 = BgL_arg3635z00_11226; 
BgL_bufposz00_11223 = BgL_bufposz00_15582; 
BgL_forwardz00_11222 = BgL_forwardz00_15581; 
goto BgL_statezd23zd21260z00_11162;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11224; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11227;
BgL_curz00_11227 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11220, BgL_forwardz00_11222); 
{ /* Llib/mpc.scm 401 */

{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6214z00_15584;
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6215z00_15585;
if(
(
(long)(BgL_curz00_11227)==((long)10)))
{ /* Llib/mpc.scm 401 */
BgL_test6215z00_15585 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6215z00_15585 = 
(
(long)(BgL_curz00_11227)==((long)9))
; } 
if(BgL_test6215z00_15585)
{ /* Llib/mpc.scm 401 */
BgL_test6214z00_15584 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6214z00_15584 = 
(
(long)(BgL_curz00_11227)==((long)32))
; } } 
if(BgL_test6214z00_15584)
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11236 = BgL_iportz00_11220; 
BgL_lastzd2matchzd2_11237 = BgL_newzd2matchzd2_11224; 
BgL_forwardz00_11238 = 
(((long)1)+BgL_forwardz00_11222); 
BgL_bufposz00_11239 = BgL_bufposz00_11223; 
BgL_statezd26zd21263z00_11164:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11240;
RGC_STOP_MATCH(BgL_iportz00_11236, BgL_forwardz00_11238); 
BgL_newzd2matchzd2_11240 = ((long)0); 
if(
(BgL_forwardz00_11238==BgL_bufposz00_11239))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11236))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3614z00_11241; long BgL_arg3615z00_11242;
BgL_arg3614z00_11241 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11236); 
BgL_arg3615z00_11242 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11236); 
{ 
 long BgL_bufposz00_15601; long BgL_forwardz00_15600;
BgL_forwardz00_15600 = BgL_arg3614z00_11241; 
BgL_bufposz00_15601 = BgL_arg3615z00_11242; 
BgL_bufposz00_11239 = BgL_bufposz00_15601; 
BgL_forwardz00_11238 = BgL_forwardz00_15600; 
goto BgL_statezd26zd21263z00_11164;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11240; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11243;
BgL_curz00_11243 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11236, BgL_forwardz00_11238); 
{ /* Llib/mpc.scm 401 */

{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6219z00_15603;
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6220z00_15604;
if(
(
(long)(BgL_curz00_11243)==((long)10)))
{ /* Llib/mpc.scm 401 */
BgL_test6220z00_15604 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6220z00_15604 = 
(
(long)(BgL_curz00_11243)==((long)9))
; } 
if(BgL_test6220z00_15604)
{ /* Llib/mpc.scm 401 */
BgL_test6219z00_15603 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6219z00_15603 = 
(
(long)(BgL_curz00_11243)==((long)32))
; } } 
if(BgL_test6219z00_15603)
{ 
 long BgL_forwardz00_15613; long BgL_lastzd2matchzd2_15612;
BgL_lastzd2matchzd2_15612 = BgL_newzd2matchzd2_11240; 
BgL_forwardz00_15613 = 
(((long)1)+BgL_forwardz00_11238); 
BgL_forwardz00_11238 = BgL_forwardz00_15613; 
BgL_lastzd2matchzd2_11237 = BgL_lastzd2matchzd2_15612; 
goto BgL_statezd26zd21263z00_11164;}  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11240; } } } } } }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11224; } } } } } }  else 
{ /* Llib/mpc.scm 401 */
if(
(
(long)(BgL_curz00_11217)==((long)9)))
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11202 = BgL_iportz00_11210; 
BgL_lastzd2matchzd2_11203 = BgL_newzd2matchzd2_11214; 
BgL_forwardz00_11204 = 
(((long)1)+BgL_forwardz00_11212); 
BgL_bufposz00_11205 = BgL_bufposz00_11213; 
BgL_statezd22zd21259z00_11160:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11206;
RGC_STOP_MATCH(BgL_iportz00_11202, BgL_forwardz00_11204); 
BgL_newzd2matchzd2_11206 = ((long)0); 
if(
(BgL_forwardz00_11204==BgL_bufposz00_11205))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11202))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3657z00_11207; long BgL_arg3658z00_11208;
BgL_arg3657z00_11207 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11202); 
BgL_arg3658z00_11208 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11202); 
{ 
 long BgL_bufposz00_15628; long BgL_forwardz00_15627;
BgL_forwardz00_15627 = BgL_arg3657z00_11207; 
BgL_bufposz00_15628 = BgL_arg3658z00_11208; 
BgL_bufposz00_11205 = BgL_bufposz00_15628; 
BgL_forwardz00_11204 = BgL_forwardz00_15627; 
goto BgL_statezd22zd21259z00_11160;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11206; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11209;
BgL_curz00_11209 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11202, BgL_forwardz00_11204); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11209)==((long)10)))
{ 
 long BgL_bufposz00_15637; long BgL_forwardz00_15635; long BgL_lastzd2matchzd2_15634; obj_t BgL_iportz00_15633;
BgL_iportz00_15633 = BgL_iportz00_11202; 
BgL_lastzd2matchzd2_15634 = BgL_newzd2matchzd2_11206; 
BgL_forwardz00_15635 = 
(((long)1)+BgL_forwardz00_11204); 
BgL_bufposz00_15637 = BgL_bufposz00_11205; 
BgL_bufposz00_11239 = BgL_bufposz00_15637; 
BgL_forwardz00_11238 = BgL_forwardz00_15635; 
BgL_lastzd2matchzd2_11237 = BgL_lastzd2matchzd2_15634; 
BgL_iportz00_11236 = BgL_iportz00_15633; 
goto BgL_statezd26zd21263z00_11164;}  else 
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6226z00_15638;
if(
(
(long)(BgL_curz00_11209)==((long)9)))
{ /* Llib/mpc.scm 401 */
BgL_test6226z00_15638 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6226z00_15638 = 
(
(long)(BgL_curz00_11209)==((long)32))
; } 
if(BgL_test6226z00_15638)
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11228 = BgL_iportz00_11202; 
BgL_lastzd2matchzd2_11229 = BgL_newzd2matchzd2_11206; 
BgL_forwardz00_11230 = 
(((long)1)+BgL_forwardz00_11204); 
BgL_bufposz00_11231 = BgL_bufposz00_11205; 
BgL_statezd28zd21265z00_11163:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11232;
RGC_STOP_MATCH(BgL_iportz00_11228, BgL_forwardz00_11230); 
BgL_newzd2matchzd2_11232 = ((long)0); 
if(
(BgL_forwardz00_11230==BgL_bufposz00_11231))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11228))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3623z00_11233; long BgL_arg3624z00_11234;
BgL_arg3623z00_11233 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11228); 
BgL_arg3624z00_11234 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11228); 
{ 
 long BgL_bufposz00_15652; long BgL_forwardz00_15651;
BgL_forwardz00_15651 = BgL_arg3623z00_11233; 
BgL_bufposz00_15652 = BgL_arg3624z00_11234; 
BgL_bufposz00_11231 = BgL_bufposz00_15652; 
BgL_forwardz00_11230 = BgL_forwardz00_15651; 
goto BgL_statezd28zd21265z00_11163;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11232; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11235;
BgL_curz00_11235 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11228, BgL_forwardz00_11230); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11235)==((long)10)))
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11244 = BgL_iportz00_11228; 
BgL_lastzd2matchzd2_11245 = BgL_newzd2matchzd2_11232; 
BgL_forwardz00_11246 = 
(((long)1)+BgL_forwardz00_11230); 
BgL_bufposz00_11247 = BgL_bufposz00_11231; 
BgL_statezd29zd21266z00_11165:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11248;
RGC_STOP_MATCH(BgL_iportz00_11244, BgL_forwardz00_11246); 
BgL_newzd2matchzd2_11248 = ((long)0); 
if(
(BgL_forwardz00_11246==BgL_bufposz00_11247))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11244))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3605z00_11249; long BgL_arg3606z00_11250;
BgL_arg3605z00_11249 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11244); 
BgL_arg3606z00_11250 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11244); 
{ 
 long BgL_bufposz00_15665; long BgL_forwardz00_15664;
BgL_forwardz00_15664 = BgL_arg3605z00_11249; 
BgL_bufposz00_15665 = BgL_arg3606z00_11250; 
BgL_bufposz00_11247 = BgL_bufposz00_15665; 
BgL_forwardz00_11246 = BgL_forwardz00_15664; 
goto BgL_statezd29zd21266z00_11165;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11248; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11251;
BgL_curz00_11251 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11244, BgL_forwardz00_11246); 
{ /* Llib/mpc.scm 401 */

{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6233z00_15667;
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6234z00_15668;
if(
(
(long)(BgL_curz00_11251)==((long)10)))
{ /* Llib/mpc.scm 401 */
BgL_test6234z00_15668 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6234z00_15668 = 
(
(long)(BgL_curz00_11251)==((long)9))
; } 
if(BgL_test6234z00_15668)
{ /* Llib/mpc.scm 401 */
BgL_test6233z00_15667 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6233z00_15667 = 
(
(long)(BgL_curz00_11251)==((long)32))
; } } 
if(BgL_test6233z00_15667)
{ 
 long BgL_bufposz00_15680; long BgL_forwardz00_15678; long BgL_lastzd2matchzd2_15677; obj_t BgL_iportz00_15676;
BgL_iportz00_15676 = BgL_iportz00_11244; 
BgL_lastzd2matchzd2_15677 = BgL_newzd2matchzd2_11248; 
BgL_forwardz00_15678 = 
(((long)1)+BgL_forwardz00_11246); 
BgL_bufposz00_15680 = BgL_bufposz00_11247; 
BgL_bufposz00_11239 = BgL_bufposz00_15680; 
BgL_forwardz00_11238 = BgL_forwardz00_15678; 
BgL_lastzd2matchzd2_11237 = BgL_lastzd2matchzd2_15677; 
BgL_iportz00_11236 = BgL_iportz00_15676; 
goto BgL_statezd26zd21263z00_11164;}  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11248; } } } } } }  else 
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6236z00_15682;
if(
(
(long)(BgL_curz00_11235)==((long)9)))
{ /* Llib/mpc.scm 401 */
BgL_test6236z00_15682 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6236z00_15682 = 
(
(long)(BgL_curz00_11235)==((long)32))
; } 
if(BgL_test6236z00_15682)
{ 
 long BgL_forwardz00_15689; long BgL_lastzd2matchzd2_15688;
BgL_lastzd2matchzd2_15688 = BgL_newzd2matchzd2_11232; 
BgL_forwardz00_15689 = 
(((long)1)+BgL_forwardz00_11230); 
BgL_forwardz00_11230 = BgL_forwardz00_15689; 
BgL_lastzd2matchzd2_11229 = BgL_lastzd2matchzd2_15688; 
goto BgL_statezd28zd21265z00_11163;}  else 
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11185 = BgL_iportz00_11228; 
BgL_lastzd2matchzd2_11186 = BgL_newzd2matchzd2_11232; 
BgL_forwardz00_11187 = 
(((long)1)+BgL_forwardz00_11230); 
BgL_bufposz00_11188 = BgL_bufposz00_11231; 
BgL_statezd27zd21264z00_11158:
if(
(BgL_forwardz00_11187==BgL_bufposz00_11188))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11185))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3676z00_11189; long BgL_arg3677z00_11190;
BgL_arg3676z00_11189 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11185); 
BgL_arg3677z00_11190 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11185); 
{ 
 long BgL_bufposz00_15698; long BgL_forwardz00_15697;
BgL_forwardz00_15697 = BgL_arg3676z00_11189; 
BgL_bufposz00_15698 = BgL_arg3677z00_11190; 
BgL_bufposz00_11188 = BgL_bufposz00_15698; 
BgL_forwardz00_11187 = BgL_forwardz00_15697; 
goto BgL_statezd27zd21264z00_11158;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_lastzd2matchzd2_11186; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11191;
BgL_curz00_11191 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11185, BgL_forwardz00_11187); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11191)==((long)10)))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3679z00_11192;
BgL_arg3679z00_11192 = 
(((long)1)+BgL_forwardz00_11187); 
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11193;
RGC_STOP_MATCH(BgL_iportz00_11185, BgL_arg3679z00_11192); 
BgL_newzd2matchzd2_11193 = ((long)1); 
BgL_matchz00_11166 = BgL_newzd2matchzd2_11193; } }  else 
{ 
 long BgL_forwardz00_15705;
BgL_forwardz00_15705 = 
(((long)1)+BgL_forwardz00_11187); 
BgL_forwardz00_11187 = BgL_forwardz00_15705; 
goto BgL_statezd27zd21264z00_11158;} } } } } } } } }  else 
{ 
 long BgL_bufposz00_15713; long BgL_forwardz00_15711; long BgL_lastzd2matchzd2_15710; obj_t BgL_iportz00_15709;
BgL_iportz00_15709 = BgL_iportz00_11202; 
BgL_lastzd2matchzd2_15710 = BgL_newzd2matchzd2_11206; 
BgL_forwardz00_15711 = 
(((long)1)+BgL_forwardz00_11204); 
BgL_bufposz00_15713 = BgL_bufposz00_11205; 
BgL_bufposz00_11188 = BgL_bufposz00_15713; 
BgL_forwardz00_11187 = BgL_forwardz00_15711; 
BgL_lastzd2matchzd2_11186 = BgL_lastzd2matchzd2_15710; 
BgL_iportz00_11185 = BgL_iportz00_15709; 
goto BgL_statezd27zd21264z00_11158;} } } } } }  else 
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11194 = BgL_iportz00_11210; 
BgL_lastzd2matchzd2_11195 = BgL_newzd2matchzd2_11214; 
BgL_forwardz00_11196 = 
(((long)1)+BgL_forwardz00_11212); 
BgL_bufposz00_11197 = BgL_bufposz00_11213; 
BgL_statezd21zd21258z00_11159:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11198;
RGC_STOP_MATCH(BgL_iportz00_11194, BgL_forwardz00_11196); 
BgL_newzd2matchzd2_11198 = ((long)2); 
if(
(BgL_forwardz00_11196==BgL_bufposz00_11197))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11194))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3669z00_11199; long BgL_arg3670z00_11200;
BgL_arg3669z00_11199 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11194); 
BgL_arg3670z00_11200 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11194); 
{ 
 long BgL_bufposz00_15723; long BgL_forwardz00_15722;
BgL_forwardz00_15722 = BgL_arg3669z00_11199; 
BgL_bufposz00_15723 = BgL_arg3670z00_11200; 
BgL_bufposz00_11197 = BgL_bufposz00_15723; 
BgL_forwardz00_11196 = BgL_forwardz00_15722; 
goto BgL_statezd21zd21258z00_11159;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11198; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11201;
BgL_curz00_11201 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11194, BgL_forwardz00_11196); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11201)==((long)10)))
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11166 = BgL_newzd2matchzd2_11198; }  else 
{ 
 long BgL_bufposz00_15732; long BgL_forwardz00_15730; long BgL_lastzd2matchzd2_15729; obj_t BgL_iportz00_15728;
BgL_iportz00_15728 = BgL_iportz00_11194; 
BgL_lastzd2matchzd2_15729 = BgL_newzd2matchzd2_11198; 
BgL_forwardz00_15730 = 
(((long)1)+BgL_forwardz00_11196); 
BgL_bufposz00_15732 = BgL_bufposz00_11197; 
BgL_bufposz00_11188 = BgL_bufposz00_15732; 
BgL_forwardz00_11187 = BgL_forwardz00_15730; 
BgL_lastzd2matchzd2_11186 = BgL_lastzd2matchzd2_15729; 
BgL_iportz00_11185 = BgL_iportz00_15728; 
goto BgL_statezd27zd21264z00_11158;} } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11154); 
switch( BgL_matchz00_11166) { case ((long)2) : 

{ /* Llib/mpc.scm 408 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg3769z00_11169;
{ /* Llib/mpc.scm 408 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1271z00_11170;
{ /* Llib/mpc.scm 408 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1270z00_11171;
BgL_new1270z00_11171 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 408 */
 long BgL_arg3774z00_11172;
BgL_arg3774z00_11172 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1270z00_11171), BgL_arg3774z00_11172); } 
BgL_new1271z00_11170 = BgL_new1270z00_11171; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1271z00_11170)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1271z00_11170)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15743;
{ /* Llib/mpc.scm 408 */
 obj_t BgL_arg3770z00_11173;
{ /* Llib/mpc.scm 408 */
 obj_t BgL_arg3771z00_11174;
{ /* Llib/mpc.scm 408 */
 obj_t BgL_classz00_11175;
BgL_classz00_11175 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg3771z00_11174 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11175); } 
BgL_arg3770z00_11173 = 
VECTOR_REF(BgL_arg3771z00_11174,((long)2)); } 
BgL_auxz00_15743 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg3770z00_11173); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1271z00_11170)))->BgL_stackz00)=((obj_t)BgL_auxz00_15743),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1271z00_11170)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1271z00_11170)))->BgL_msgz00)=((obj_t)BGl_string5328z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15754;
{ /* Llib/mpc.scm 411 */
 obj_t BgL_arg3772z00_11176;
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6244z00_15756;
{ /* Llib/mpc.scm 401 */
 long BgL_arg3761z00_11177;
BgL_arg3761z00_11177 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11154); 
BgL_test6244z00_15756 = 
(BgL_arg3761z00_11177==((long)0)); } 
if(BgL_test6244z00_15756)
{ /* Llib/mpc.scm 401 */
BgL_arg3772z00_11176 = BEOF; }  else 
{ /* Llib/mpc.scm 401 */
BgL_arg3772z00_11176 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11154)); } } 
BgL_auxz00_15754 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg3772z00_11176, BgL_iportz00_11154); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1271z00_11170)))->BgL_objz00)=((obj_t)BgL_auxz00_15754),BUNSPEC); } 
BgL_arg3769z00_11169 = BgL_new1271z00_11170; } 
BgL_auxz00_15549 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg3769z00_11169)); } break;case ((long)1) : 

BgL_minz00_11178 = ((long)0); 
BgL_maxz00_11179 = ((long)-1); 
if(
(BgL_maxz00_11179<((long)0)))
{ /* Llib/mpc.scm 401 */
 long BgL_stopz00_11180;
{ /* Llib/mpc.scm 401 */
 long BgL_arg3721z00_11181;
BgL_arg3721z00_11181 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11154); 
BgL_stopz00_11180 = 
(BgL_arg3721z00_11181+BgL_maxz00_11179); } 
if(
(BgL_stopz00_11180<=BgL_minz00_11178))
{ /* Llib/mpc.scm 401 */
 obj_t BgL_arg3720z00_11182;
BgL_arg3720z00_11182 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_11178), 
BINT(BgL_maxz00_11179)); 
BgL_auxz00_15549 = 
BGl_errorz00zz__errorz00(BGl_string5347z00zz__multimediazd2mpczd2, BGl_string5348z00zz__multimediazd2mpczd2, BgL_arg3720z00_11182); }  else 
{ /* Llib/mpc.scm 401 */
BgL_auxz00_15549 = 
rgc_buffer_subsymbol(BgL_iportz00_11154, BgL_minz00_11178, BgL_stopz00_11180)
; } }  else 
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6247z00_15776;
if(
(BgL_minz00_11178>=((long)0)))
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6249z00_15779;
{ /* Llib/mpc.scm 401 */
 long BgL_arg3728z00_11183;
BgL_arg3728z00_11183 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11154); 
BgL_test6249z00_15779 = 
(BgL_maxz00_11179<=BgL_arg3728z00_11183); } 
if(BgL_test6249z00_15779)
{ /* Llib/mpc.scm 401 */
BgL_test6247z00_15776 = 
(BgL_maxz00_11179>=BgL_minz00_11178)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6247z00_15776 = ((bool_t)0)
; } }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6247z00_15776 = ((bool_t)0)
; } 
if(BgL_test6247z00_15776)
{ /* Llib/mpc.scm 401 */
BgL_auxz00_15549 = 
rgc_buffer_subsymbol(BgL_iportz00_11154, BgL_minz00_11178, BgL_maxz00_11179)
; }  else 
{ /* Llib/mpc.scm 401 */
 obj_t BgL_arg3727z00_11184;
BgL_arg3727z00_11184 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_11178), 
BINT(BgL_maxz00_11179)); 
BgL_auxz00_15549 = 
BGl_errorz00zz__errorz00(BGl_string5347z00zz__multimediazd2mpczd2, BGl_string5348z00zz__multimediazd2mpczd2, BgL_arg3727z00_11184); } } break;case ((long)0) : 

goto BgL_ignorez00_11155;break;
default: 
BgL_auxz00_15549 = 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11166)); } } } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_statez00)=((obj_t)BgL_auxz00_15549),BUNSPEC); }  else 
{ /* Llib/mpc.scm 468 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)2) : 

{ /* Llib/mpc.scm 458 */
 obj_t BgL_kz00_11320;
BgL_kz00_11320 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11320==
CNST_TABLE_REF(((long)17))))
{ /* Llib/mpc.scm 460 */
 obj_t BgL_sidz00_11321;
BgL_sidz00_11321 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_songidz00)=((int)
CINT(BgL_sidz00_11321)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 459 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)1) : 

{ /* Llib/mpc.scm 449 */
 obj_t BgL_kz00_11322;
BgL_kz00_11322 = 
rgc_buffer_keyword(BgL_iportz00_11252); 
if(
(BgL_kz00_11322==
CNST_TABLE_REF(((long)18))))
{ /* Llib/mpc.scm 451 */
 obj_t BgL_sz00_11323;
BgL_sz00_11323 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11253))->BgL_songz00)=((int)
CINT(BgL_sz00_11323)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 450 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11252); } 
goto BgL_ignorez00_11254;} break;case ((long)0) : 

((obj_t)BgL_statusz00_11253); break;
default: 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11297)); } } } 
BgL_statusz00_11705 = BgL_statusz00_11704; } 
if(
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11705))->BgL_statez00)==
CNST_TABLE_REF(((long)5))))
{ /* Llib/mpc.scm 608 */
{ /* Llib/mpc.scm 609 */
 obj_t BgL_arg2555z00_11708;
BgL_arg2555z00_11708 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10215))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg2555z00_11708)); } 
((((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10215))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC); 
BgL_tmpz00_13357 = ((bool_t)1); }  else 
{ /* Llib/mpc.scm 608 */
BgL_tmpz00_13357 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_tmpz00_13357);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2mpczd2()
{
{ /* Llib/mpc.scm 15 */
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3923z00_4521; obj_t BgL_arg3924z00_4522;
{ /* Llib/mpc.scm 19 */
 obj_t BgL_v1608z00_4549;
BgL_v1608z00_4549 = 
create_vector(((long)10)); 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3931z00_4550;
BgL_arg3931z00_4550 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc5353z00zz__multimediazd2mpczd2, BGl_proc5352z00zz__multimediazd2mpczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc5351z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1608z00_4549,((long)0),BgL_arg3931z00_4550); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3938z00_4563;
BgL_arg3938z00_4563 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc5356z00zz__multimediazd2mpczd2, BGl_proc5355z00zz__multimediazd2mpczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc5354z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1608z00_4549,((long)1),BgL_arg3938z00_4563); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3945z00_4576;
BgL_arg3945z00_4576 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc5359z00zz__multimediazd2mpczd2, BGl_proc5358z00zz__multimediazd2mpczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc5357z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1608z00_4549,((long)2),BgL_arg3945z00_4576); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3952z00_4589;
BgL_arg3952z00_4589 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc5362z00zz__multimediazd2mpczd2, BGl_proc5361z00zz__multimediazd2mpczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc5360z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1608z00_4549,((long)3),BgL_arg3952z00_4589); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3959z00_4602;
BgL_arg3959z00_4602 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_proc5365z00zz__multimediazd2mpczd2, BGl_proc5364z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5363z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1608z00_4549,((long)4),BgL_arg3959z00_4602); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3966z00_4615;
BgL_arg3966z00_4615 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc5368z00zz__multimediazd2mpczd2, BGl_proc5367z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5366z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1608z00_4549,((long)5),BgL_arg3966z00_4615); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3973z00_4628;
BgL_arg3973z00_4628 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc5371z00zz__multimediazd2mpczd2, BGl_proc5370z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5369z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1608z00_4549,((long)6),BgL_arg3973z00_4628); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3980z00_4641;
BgL_arg3980z00_4641 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc5374z00zz__multimediazd2mpczd2, BGl_proc5373z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5372z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1608z00_4549,((long)7),BgL_arg3980z00_4641); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3987z00_4654;
BgL_arg3987z00_4654 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc5377z00zz__multimediazd2mpczd2, BGl_proc5376z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5375z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)30))); 
VECTOR_SET(BgL_v1608z00_4549,((long)8),BgL_arg3987z00_4654); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3994z00_4667;
BgL_arg3994z00_4667 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc5380z00zz__multimediazd2mpczd2, BGl_proc5379z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5378z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1608z00_4549,((long)9),BgL_arg3994z00_4667); } 
BgL_arg3923z00_4521 = BgL_v1608z00_4549; } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_v1609z00_4680;
BgL_v1609z00_4680 = 
create_vector(((long)0)); 
BgL_arg3924z00_4522 = BgL_v1609z00_4680; } 
return ( 
BGl_mpcz00zz__multimediazd2mpczd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)33)), BGl_musicz00zz__multimediazd2musiczd2, ((long)6139), BGl_proc5383z00zz__multimediazd2mpczd2, BGl_proc5382z00zz__multimediazd2mpczd2, BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2, BGl_proc5381z00zz__multimediazd2mpczd2, BFALSE, BgL_arg3923z00_4521, BgL_arg3924z00_4522), BUNSPEC) ;} } 

}



/* &<@anonymous:3930> */
obj_t BGl_z62zc3z04anonymousza33930ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10252, obj_t BgL_new1067z00_10253)
{
{ /* Llib/mpc.scm 19 */
{ 
 BgL_mpcz00_bglt BgL_auxz00_15882;
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1067z00_10253))))->BgL_onstatez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1067z00_10253))))->BgL_onvolumez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1067z00_10253))))->BgL_onerrorz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1067z00_10253))))->BgL_oneventz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1067z00_10253))))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
{ 
 BgL_musicstatusz00_bglt BgL_auxz00_15899;
{ /* Llib/mpc.scm 19 */
 obj_t BgL_classz00_11710;
BgL_classz00_11710 = BGl_musicstatusz00zz__multimediazd2musiczd2; 
{ /* Llib/mpc.scm 19 */
 obj_t BgL__ortest_1113z00_11711;
BgL__ortest_1113z00_11711 = 
BGL_CLASS_NIL(BgL_classz00_11710); 
if(
CBOOL(BgL__ortest_1113z00_11711))
{ /* Llib/mpc.scm 19 */
BgL_auxz00_15899 = 
((BgL_musicstatusz00_bglt)BgL__ortest_1113z00_11711)
; }  else 
{ /* Llib/mpc.scm 19 */
BgL_auxz00_15899 = 
((BgL_musicstatusz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_11710))
; } } } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1067z00_10253))))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)BgL_auxz00_15899),BUNSPEC); } 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_helloz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_hostz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_portz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_timeoutz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_prefixz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_z52closedz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_z52mpdz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_z52socketz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_z52playidz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1067z00_10253)))->BgL_z52mmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
BgL_auxz00_15882 = 
((BgL_mpcz00_bglt)BgL_new1067z00_10253); 
return 
((obj_t)BgL_auxz00_15882);} } 

}



/* &lambda3928 */
BgL_mpcz00_bglt BGl_z62lambda3928z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10254)
{
{ /* Llib/mpc.scm 19 */
{ /* Llib/mpc.scm 19 */
 BgL_mpcz00_bglt BgL_new1066z00_11712;
BgL_new1066z00_11712 = 
((BgL_mpcz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpcz00_bgl) ))); 
{ /* Llib/mpc.scm 19 */
 long BgL_arg3929z00_11713;
BgL_arg3929z00_11713 = 
BGL_CLASS_NUM(BGl_mpcz00zz__multimediazd2mpczd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_11712), BgL_arg3929z00_11713); } 
return BgL_new1066z00_11712;} } 

}



/* &lambda3925 */
BgL_mpcz00_bglt BGl_z62lambda3925z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10255, obj_t BgL_onstate1050z00_10256, obj_t BgL_onvolume1051z00_10257, obj_t BgL_onerror1052z00_10258, obj_t BgL_onevent1053z00_10259, obj_t BgL_z52mutex1054z52_10260, obj_t BgL_z52status1055z52_10261, obj_t BgL_hello1056z00_10262, obj_t BgL_host1057z00_10263, obj_t BgL_port1058z00_10264, obj_t BgL_timeout1059z00_10265, obj_t BgL_prefix1060z00_10266, obj_t BgL_z52closed1061z52_10267, obj_t BgL_z52mpd1062z52_10268, obj_t BgL_z52socket1063z52_10269, obj_t BgL_z52playid1064z52_10270, obj_t BgL_z52mmutex1065z52_10271)
{
{ /* Llib/mpc.scm 19 */
{ /* Llib/mpc.scm 19 */
 bool_t BgL_z52closed1061z52_11720; int BgL_z52playid1064z52_11721;
BgL_z52closed1061z52_11720 = 
CBOOL(BgL_z52closed1061z52_10267); 
BgL_z52playid1064z52_11721 = 
CINT(BgL_z52playid1064z52_10270); 
{ /* Llib/mpc.scm 19 */
 BgL_mpcz00_bglt BgL_new1604z00_11723;
{ /* Llib/mpc.scm 19 */
 BgL_mpcz00_bglt BgL_new1603z00_11724;
BgL_new1603z00_11724 = 
((BgL_mpcz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpcz00_bgl) ))); 
{ /* Llib/mpc.scm 19 */
 long BgL_arg3927z00_11725;
BgL_arg3927z00_11725 = 
BGL_CLASS_NUM(BGl_mpcz00zz__multimediazd2mpczd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1603z00_11724), BgL_arg3927z00_11725); } 
BgL_new1604z00_11723 = BgL_new1603z00_11724; } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1604z00_11723)))->BgL_onstatez00)=((obj_t)
((obj_t)BgL_onstate1050z00_10256)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1604z00_11723)))->BgL_onvolumez00)=((obj_t)
((obj_t)BgL_onvolume1051z00_10257)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1604z00_11723)))->BgL_onerrorz00)=((obj_t)
((obj_t)BgL_onerror1052z00_10258)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1604z00_11723)))->BgL_oneventz00)=((obj_t)
((obj_t)BgL_onevent1053z00_10259)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1604z00_11723)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1054z52_10260)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1604z00_11723)))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)
((BgL_musicstatusz00_bglt)BgL_z52status1055z52_10261)),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_helloz00)=((obj_t)BgL_hello1056z00_10262),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_hostz00)=((obj_t)BgL_host1057z00_10263),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_portz00)=((obj_t)BgL_port1058z00_10264),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_timeoutz00)=((obj_t)BgL_timeout1059z00_10265),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_prefixz00)=((obj_t)BgL_prefix1060z00_10266),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_z52closedz52)=((bool_t)BgL_z52closed1061z52_11720),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_z52mpdz52)=((obj_t)BgL_z52mpd1062z52_10268),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_z52socketz52)=((obj_t)BgL_z52socket1063z52_10269),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_z52playidz52)=((int)BgL_z52playid1064z52_11721),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1604z00_11723))->BgL_z52mmutexz52)=((obj_t)
((obj_t)BgL_z52mmutex1065z52_10271)),BUNSPEC); 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_fun3926z00_11726;
BgL_fun3926z00_11726 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpcz00zz__multimediazd2mpczd2); 
PROCEDURE_ENTRY(BgL_fun3926z00_11726)(BgL_fun3926z00_11726, 
((obj_t)BgL_new1604z00_11723), BEOA); } 
return BgL_new1604z00_11723;} } } 

}



/* &<@anonymous:4000> */
obj_t BGl_z62zc3z04anonymousza34000ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10272)
{
{ /* Llib/mpc.scm 19 */
return 
bgl_make_mutex(BGl_string5384z00zz__multimediazd2mpczd2);} 

}



/* &lambda3999 */
obj_t BGl_z62lambda3999z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10273, obj_t BgL_oz00_10274, obj_t BgL_vz00_10275)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10274)))->BgL_z52mmutexz52)=((obj_t)
((obj_t)BgL_vz00_10275)),BUNSPEC);} 

}



/* &lambda3998 */
obj_t BGl_z62lambda3998z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10276, obj_t BgL_oz00_10277)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10277)))->BgL_z52mmutexz52);} 

}



/* &<@anonymous:3993> */
obj_t BGl_z62zc3z04anonymousza33993ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10278)
{
{ /* Llib/mpc.scm 19 */
return 
BINT(((long)-1));} 

}



/* &lambda3992 */
obj_t BGl_z62lambda3992z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10279, obj_t BgL_oz00_10280, obj_t BgL_vz00_10281)
{
{ /* Llib/mpc.scm 19 */
{ /* Llib/mpc.scm 19 */
 int BgL_vz00_11731;
BgL_vz00_11731 = 
CINT(BgL_vz00_10281); 
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10280)))->BgL_z52playidz52)=((int)BgL_vz00_11731),BUNSPEC);} } 

}



/* &lambda3991 */
obj_t BGl_z62lambda3991z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10282, obj_t BgL_oz00_10283)
{
{ /* Llib/mpc.scm 19 */
return 
BINT(
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10283)))->BgL_z52playidz52));} 

}



/* &<@anonymous:3986> */
obj_t BGl_z62zc3z04anonymousza33986ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10284)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3985 */
obj_t BGl_z62lambda3985z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10285, obj_t BgL_oz00_10286, obj_t BgL_vz00_10287)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10286)))->BgL_z52socketz52)=((obj_t)BgL_vz00_10287),BUNSPEC);} 

}



/* &lambda3984 */
obj_t BGl_z62lambda3984z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10288, obj_t BgL_oz00_10289)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10289)))->BgL_z52socketz52);} 

}



/* &<@anonymous:3979> */
obj_t BGl_z62zc3z04anonymousza33979ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10290)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3978 */
obj_t BGl_z62lambda3978z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10291, obj_t BgL_oz00_10292, obj_t BgL_vz00_10293)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10292)))->BgL_z52mpdz52)=((obj_t)BgL_vz00_10293),BUNSPEC);} 

}



/* &lambda3977 */
obj_t BGl_z62lambda3977z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10294, obj_t BgL_oz00_10295)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10295)))->BgL_z52mpdz52);} 

}



/* &<@anonymous:3972> */
obj_t BGl_z62zc3z04anonymousza33972ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10296)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3971 */
obj_t BGl_z62lambda3971z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10297, obj_t BgL_oz00_10298, obj_t BgL_vz00_10299)
{
{ /* Llib/mpc.scm 19 */
{ /* Llib/mpc.scm 19 */
 bool_t BgL_vz00_11738;
BgL_vz00_11738 = 
CBOOL(BgL_vz00_10299); 
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10298)))->BgL_z52closedz52)=((bool_t)BgL_vz00_11738),BUNSPEC);} } 

}



/* &lambda3970 */
obj_t BGl_z62lambda3970z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10300, obj_t BgL_oz00_10301)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10301)))->BgL_z52closedz52));} 

}



/* &<@anonymous:3965> */
obj_t BGl_z62zc3z04anonymousza33965ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10302)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3964 */
obj_t BGl_z62lambda3964z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10303, obj_t BgL_oz00_10304, obj_t BgL_vz00_10305)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10304)))->BgL_prefixz00)=((obj_t)BgL_vz00_10305),BUNSPEC);} 

}



/* &lambda3963 */
obj_t BGl_z62lambda3963z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10306, obj_t BgL_oz00_10307)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10307)))->BgL_prefixz00);} 

}



/* &<@anonymous:3958> */
obj_t BGl_z62zc3z04anonymousza33958ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10308)
{
{ /* Llib/mpc.scm 19 */
return 
BINT(((long)1000893));} 

}



/* &lambda3957 */
obj_t BGl_z62lambda3957z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10309, obj_t BgL_oz00_10310, obj_t BgL_vz00_10311)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10310)))->BgL_timeoutz00)=((obj_t)BgL_vz00_10311),BUNSPEC);} 

}



/* &lambda3956 */
obj_t BGl_z62lambda3956z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10312, obj_t BgL_oz00_10313)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10313)))->BgL_timeoutz00);} 

}



/* &<@anonymous:3951> */
obj_t BGl_z62zc3z04anonymousza33951ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10314)
{
{ /* Llib/mpc.scm 19 */
return 
BINT(((long)6600));} 

}



/* &lambda3950 */
obj_t BGl_z62lambda3950z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10315, obj_t BgL_oz00_10316, obj_t BgL_vz00_10317)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10316)))->BgL_portz00)=((obj_t)BgL_vz00_10317),BUNSPEC);} 

}



/* &lambda3949 */
obj_t BGl_z62lambda3949z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10318, obj_t BgL_oz00_10319)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10319)))->BgL_portz00);} 

}



/* &<@anonymous:3944> */
obj_t BGl_z62zc3z04anonymousza33944ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10320)
{
{ /* Llib/mpc.scm 19 */
return BGl_string5385z00zz__multimediazd2mpczd2;} 

}



/* &lambda3943 */
obj_t BGl_z62lambda3943z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10321, obj_t BgL_oz00_10322, obj_t BgL_vz00_10323)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10322)))->BgL_hostz00)=((obj_t)BgL_vz00_10323),BUNSPEC);} 

}



/* &lambda3942 */
obj_t BGl_z62lambda3942z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10324, obj_t BgL_oz00_10325)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10325)))->BgL_hostz00);} 

}



/* &<@anonymous:3937> */
obj_t BGl_z62zc3z04anonymousza33937ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10326)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3936 */
obj_t BGl_z62lambda3936z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10327, obj_t BgL_oz00_10328, obj_t BgL_vz00_10329)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10328)))->BgL_helloz00)=((obj_t)BgL_vz00_10329),BUNSPEC);} 

}



/* &lambda3935 */
obj_t BGl_z62lambda3935z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10330, obj_t BgL_oz00_10331)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10331)))->BgL_helloz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2mpczd2()
{
{ /* Llib/mpc.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2mpczd2()
{
{ /* Llib/mpc.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2resetzd2errorz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5386z00zz__multimediazd2mpczd2, BGl_string5387z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5388z00zz__multimediazd2mpczd2, BGl_string5389z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5390z00zz__multimediazd2mpczd2, BGl_string5391z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2resetz12zd2envz12zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5392z00zz__multimediazd2mpczd2, BGl_string5393z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2getzd2envzd2zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5394z00zz__multimediazd2mpczd2, BGl_string5395z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5396z00zz__multimediazd2mpczd2, BGl_string5397z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2deletez12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5398z00zz__multimediazd2mpczd2, BGl_string5399z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2clearz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5400z00zz__multimediazd2mpczd2, BGl_string5401z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2statuszd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5402z00zz__multimediazd2mpczd2, BGl_string5403z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2songzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5404z00zz__multimediazd2mpczd2, BGl_string5405z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2songposzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5406z00zz__multimediazd2mpczd2, BGl_string5407z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2metazd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5408z00zz__multimediazd2mpczd2, BGl_string5409z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5410z00zz__multimediazd2mpczd2, BGl_string5411z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2seekzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5412z00zz__multimediazd2mpczd2, BGl_string5413z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2stopzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5414z00zz__multimediazd2mpczd2, BGl_string5415z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2pausezd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5416z00zz__multimediazd2mpczd2, BGl_string5417z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2nextzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5418z00zz__multimediazd2mpczd2, BGl_string5419z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2prevzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5420z00zz__multimediazd2mpczd2, BGl_string5421z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2crossfadezd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5422z00zz__multimediazd2mpczd2, BGl_string5423z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2randomzd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5424z00zz__multimediazd2mpczd2, BGl_string5425z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2repeatzd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5426z00zz__multimediazd2mpczd2, BGl_string5427z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2volumezd2getzd2envzd2zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5428z00zz__multimediazd2mpczd2, BGl_string5429z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2volumezd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5430z00zz__multimediazd2mpczd2, BGl_string5431z00zz__multimediazd2mpczd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2canzd2playzd2typezf3zd2envzf3zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5432z00zz__multimediazd2mpczd2, BGl_string5433z00zz__multimediazd2mpczd2);} 

}



/* &music-can-play-type?1657 */
obj_t BGl_z62musiczd2canzd2playzd2typezf31657z43zz__multimediazd2mpczd2(obj_t BgL_envz00_10389, obj_t BgL_mpcz00_10390, obj_t BgL_mimetypez00_10391)
{
{ /* Llib/mpc.scm 945 */
{ /* Llib/mpc.scm 948 */
 obj_t BgL_decoderzd2parserzd2_11752;
{ /* Llib/mpc.scm 948 */
 int BgL_tmpz00_16056;
BgL_tmpz00_16056 = 
(int)(((long)1)); 
BgL_decoderzd2parserzd2_11752 = 
MAKE_L_PROCEDURE(BGl_z62decoderzd2parserzb0zz__multimediazd2mpczd2, BgL_tmpz00_16056); } 
PROCEDURE_L_SET(BgL_decoderzd2parserzd2_11752, 
(int)(((long)0)), 
((obj_t)BgL_mimetypez00_10391)); 
{ /* Llib/mpc.scm 959 */
 obj_t BgL_arg5220z00_11753;
BgL_arg5220z00_11753 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10390))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 961 */
 obj_t BgL_zc3z04anonymousza35222ze3z87_11754;
BgL_zc3z04anonymousza35222ze3z87_11754 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35222ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35222ze3z87_11754, 
(int)(((long)0)), 
((obj_t)BgL_mimetypez00_10391)); 
PROCEDURE_SET(BgL_zc3z04anonymousza35222ze3z87_11754, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10390))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35222ze3z87_11754, 
(int)(((long)2)), BgL_decoderzd2parserzd2_11752); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5220z00_11753, 
(int)(((long)1000)), BgL_zc3z04anonymousza35222ze3z87_11754);} } } } 

}



/* &<@anonymous:5222> */
obj_t BGl_z62zc3z04anonymousza35222ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10392)
{
{ /* Llib/mpc.scm 960 */
{ /* Llib/mpc.scm 961 */
 BgL_mpcz00_bglt BgL_mpcz00_10394; obj_t BgL_decoderzd2parserzd2_10395;
BgL_mpcz00_10394 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10392, 
(int)(((long)1)))); 
BgL_decoderzd2parserzd2_10395 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10392, 
(int)(((long)2)))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10394, BGl_string5434z00zz__multimediazd2mpczd2, BgL_decoderzd2parserzd2_10395);} } 

}



/* &decoder-parser */
obj_t BGl_z62decoderzd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10396, BgL_mpcz00_bglt BgL_mpcz00_10398)
{
{ /* Llib/mpc.scm 956 */
{ /* Llib/mpc.scm 948 */
 obj_t BgL_mimetypez00_10397;
BgL_mimetypez00_10397 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_10396, 
(int)(((long)0)))); 
{ /* Llib/mpc.scm 948 */
 bool_t BgL_tmpz00_16089;
{ /* Llib/mpc.scm 949 */
 obj_t BgL_piz00_11756; obj_t BgL_matchlinez00_11757;
{ /* Llib/mpc.scm 949 */
 obj_t BgL_arg5228z00_11758;
BgL_arg5228z00_11758 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10398))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 949 */
 obj_t BgL_tmpz00_16091;
BgL_tmpz00_16091 = 
((obj_t)BgL_arg5228z00_11758); 
BgL_piz00_11756 = 
SOCKET_INPUT(BgL_tmpz00_16091); } } 
BgL_matchlinez00_11757 = 
string_append(BGl_string5435z00zz__multimediazd2mpczd2, BgL_mimetypez00_10397); 
{ 
 bool_t BgL_rz00_11760;
BgL_rz00_11760 = ((bool_t)0); 
BgL_loopz00_11759:
{ /* Llib/mpc.scm 952 */
 obj_t BgL_lz00_11761;
BgL_lz00_11761 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_piz00_11756); 
{ /* Llib/mpc.scm 954 */
 bool_t BgL_test6254z00_16096;
if(
EOF_OBJECTP(BgL_lz00_11761))
{ /* Llib/mpc.scm 954 */
BgL_test6254z00_16096 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 954 */
 long BgL_l1z00_11762;
BgL_l1z00_11762 = 
STRING_LENGTH(
((obj_t)BgL_lz00_11761)); 
if(
(BgL_l1z00_11762==((long)2)))
{ /* Llib/mpc.scm 954 */
 int BgL_arg1289z00_11763;
{ /* Llib/mpc.scm 954 */
 char * BgL_auxz00_16106; char * BgL_tmpz00_16103;
BgL_auxz00_16106 = 
BSTRING_TO_STRING(BGl_string5344z00zz__multimediazd2mpczd2); 
BgL_tmpz00_16103 = 
BSTRING_TO_STRING(
((obj_t)BgL_lz00_11761)); 
BgL_arg1289z00_11763 = 
memcmp(BgL_tmpz00_16103, BgL_auxz00_16106, BgL_l1z00_11762); } 
BgL_test6254z00_16096 = 
(
(long)(BgL_arg1289z00_11763)==((long)0)); }  else 
{ /* Llib/mpc.scm 954 */
BgL_test6254z00_16096 = ((bool_t)0)
; } } 
if(BgL_test6254z00_16096)
{ /* Llib/mpc.scm 954 */
BgL_tmpz00_16089 = BgL_rz00_11760
; }  else 
{ /* Llib/mpc.scm 955 */
 bool_t BgL_test6257z00_16111;
{ /* Llib/mpc.scm 955 */
 long BgL_l1z00_11764;
BgL_l1z00_11764 = 
STRING_LENGTH(
((obj_t)BgL_lz00_11761)); 
if(
(BgL_l1z00_11764==
STRING_LENGTH(BgL_matchlinez00_11757)))
{ /* Llib/mpc.scm 955 */
 int BgL_arg1289z00_11765;
{ /* Llib/mpc.scm 955 */
 char * BgL_auxz00_16120; char * BgL_tmpz00_16117;
BgL_auxz00_16120 = 
BSTRING_TO_STRING(BgL_matchlinez00_11757); 
BgL_tmpz00_16117 = 
BSTRING_TO_STRING(
((obj_t)BgL_lz00_11761)); 
BgL_arg1289z00_11765 = 
memcmp(BgL_tmpz00_16117, BgL_auxz00_16120, BgL_l1z00_11764); } 
BgL_test6257z00_16111 = 
(
(long)(BgL_arg1289z00_11765)==((long)0)); }  else 
{ /* Llib/mpc.scm 955 */
BgL_test6257z00_16111 = ((bool_t)0)
; } } 
if(BgL_test6257z00_16111)
{ 
 bool_t BgL_rz00_16125;
BgL_rz00_16125 = ((bool_t)1); 
BgL_rz00_11760 = BgL_rz00_16125; 
goto BgL_loopz00_11759;}  else 
{ 

goto BgL_loopz00_11759;} } } } } } 
return 
BBOOL(BgL_tmpz00_16089);} } } 

}



/* &music-volume-set!-mp1655 */
obj_t BGl_z62musiczd2volumezd2setz12zd2mp1655za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10399, obj_t BgL_mpcz00_10400, obj_t BgL_volz00_10401)
{
{ /* Llib/mpc.scm 935 */
{ /* Llib/mpc.scm 937 */
 obj_t BgL_arg5216z00_11767;
BgL_arg5216z00_11767 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10400))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 939 */
 obj_t BgL_zc3z04anonymousza35218ze3z87_11768;
BgL_zc3z04anonymousza35218ze3z87_11768 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35218ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35218ze3z87_11768, 
(int)(((long)0)), BgL_volz00_10401); 
PROCEDURE_SET(BgL_zc3z04anonymousza35218ze3z87_11768, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10400))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5216z00_11767, 
(int)(((long)1000)), BgL_zc3z04anonymousza35218ze3z87_11768);} } } 

}



/* &<@anonymous:5218> */
obj_t BGl_z62zc3z04anonymousza35218ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10402)
{
{ /* Llib/mpc.scm 938 */
{ /* Llib/mpc.scm 939 */
 obj_t BgL_volz00_10403; BgL_mpcz00_bglt BgL_mpcz00_10404;
BgL_volz00_10403 = 
PROCEDURE_REF(BgL_envz00_10402, 
(int)(((long)0))); 
BgL_mpcz00_10404 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10402, 
(int)(((long)1)))); 
{ /* Llib/mpc.scm 939 */
 obj_t BgL_cmdz00_11769;
{ /* Llib/mpc.scm 939 */
 obj_t BgL_arg5219z00_11770;
{ /* Llib/mpc.scm 939 */

BgL_arg5219z00_11770 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_volz00_10403), ((long)10)); } 
BgL_cmdz00_11769 = 
string_append(BGl_string5436z00zz__multimediazd2mpczd2, BgL_arg5219z00_11770); } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10404, BgL_cmdz00_11769, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } 

}



/* &music-volume-get-mpc1653 */
obj_t BGl_z62musiczd2volumezd2getzd2mpc1653zb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10405, obj_t BgL_mpcz00_10406)
{
{ /* Llib/mpc.scm 889 */
{ /* Llib/mpc.scm 924 */
 obj_t BgL_arg5035z00_11773;
BgL_arg5035z00_11773 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10406))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_zc3z04anonymousza35037ze3z87_11774;
BgL_zc3z04anonymousza35037ze3z87_11774 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35037ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35037ze3z87_11774, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10406))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35037ze3z87_11774, 
(int)(((long)1)), BGl_proc5437z00zz__multimediazd2mpczd2); 
PROCEDURE_SET(BgL_zc3z04anonymousza35037ze3z87_11774, 
(int)(((long)2)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10406))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5035z00_11773, 
(int)(((long)1000)), BgL_zc3z04anonymousza35037ze3z87_11774);} } } 

}



/* &<@anonymous:5037> */
obj_t BGl_z62zc3z04anonymousza35037ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10407)
{
{ /* Llib/mpc.scm 925 */
{ /* Llib/mpc.scm 926 */
 BgL_mpcz00_bglt BgL_mpcz00_10408; obj_t BgL_getzd2volumezd2parserz00_10409; BgL_mpcz00_bglt BgL_i1582z00_10410;
BgL_mpcz00_10408 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10407, 
(int)(((long)0)))); 
BgL_getzd2volumezd2parserz00_10409 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10407, 
(int)(((long)1)))); 
BgL_i1582z00_10410 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10407, 
(int)(((long)2)))); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_env1591z00_11775;
BgL_env1591z00_11775 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_cell1586z00_11776;
BgL_cell1586z00_11776 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_val1590z00_11777;
BgL_val1590z00_11777 = 
BGl_zc3z04exitza35040ze3ze70z60zz__multimediazd2mpczd2(BgL_getzd2volumezd2parserz00_10409, BgL_mpcz00_10408, BgL_cell1586z00_11776, BgL_env1591z00_11775); 
if(
(BgL_val1590z00_11777==BgL_cell1586z00_11776))
{ /* Llib/mpc.scm 926 */
{ /* Llib/mpc.scm 926 */
 int BgL_tmpz00_16182;
BgL_tmpz00_16182 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_16182); } 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg5039z00_11778;
BgL_arg5039z00_11778 = 
CELL_REF(
((obj_t)BgL_val1590z00_11777)); 
{ /* Llib/mpc.scm 928 */
 BgL_musicstatusz00_bglt BgL_arg5043z00_11779;
BgL_arg5043z00_11779 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1582z00_10410)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10408, BgL_arg5043z00_11779, BgL_arg5039z00_11778); } 
return 
BINT(((long)0));} }  else 
{ /* Llib/mpc.scm 926 */
return BgL_val1590z00_11777;} } } } } } 

}



/* <@exit:5040>~0 */
obj_t BGl_zc3z04exitza35040ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_getzd2volumezd2parserz00_10619, BgL_mpcz00_bglt BgL_mpcz00_10618, obj_t BgL_cell1586z00_10617, obj_t BgL_env1591z00_10616)
{
{ /* Llib/mpc.scm 926 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1595z00_6925;
if( SET_EXIT(BgL_an_exit1595z00_6925 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1595z00_6925 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1591z00_10616, BgL_an_exit1595z00_6925, ((long)1)); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_escape1587z00_6926;
BgL_escape1587z00_6926 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1591z00_10616); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_res1598z00_6927;
{ /* Llib/mpc.scm 926 */
 obj_t BgL_ohs1583z00_6928;
BgL_ohs1583z00_6928 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1591z00_10616); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_hds1584z00_6929;
BgL_hds1584z00_6929 = 
MAKE_STACK_PAIR(BgL_escape1587z00_6926, BgL_cell1586z00_10617); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1591z00_10616, BgL_hds1584z00_6929); BUNSPEC; 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_exitd1592z00_6930;
BgL_exitd1592z00_6930 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1591z00_10616); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_tmp1594z00_6931;
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg5041z00_6933;
BgL_arg5041z00_6933 = 
BGL_EXITD_PROTECT(BgL_exitd1592z00_6930); 
BgL_tmp1594z00_6931 = 
MAKE_YOUNG_PAIR(BgL_ohs1583z00_6928, BgL_arg5041z00_6933); } 
{ /* Llib/mpc.scm 926 */

BGL_EXITD_PROTECT_SET(BgL_exitd1592z00_6930, BgL_tmp1594z00_6931); BUNSPEC; 
{ /* Llib/mpc.scm 930 */
 obj_t BgL_tmp1593z00_6932;
BgL_tmp1593z00_6932 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10618, BGl_string5345z00zz__multimediazd2mpczd2, BgL_getzd2volumezd2parserz00_10619); 
{ /* Llib/mpc.scm 926 */
 bool_t BgL_test6260z00_16203;
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg1808z00_10166;
BgL_arg1808z00_10166 = 
BGL_EXITD_PROTECT(BgL_exitd1592z00_6930); 
BgL_test6260z00_16203 = 
PAIRP(BgL_arg1808z00_10166); } 
if(BgL_test6260z00_16203)
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg1806z00_10167;
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg1807z00_10168;
BgL_arg1807z00_10168 = 
BGL_EXITD_PROTECT(BgL_exitd1592z00_6930); 
BgL_arg1806z00_10167 = 
CDR(
((obj_t)BgL_arg1807z00_10168)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1592z00_6930, BgL_arg1806z00_10167); BUNSPEC; }  else 
{ /* Llib/mpc.scm 926 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1591z00_10616, BgL_ohs1583z00_6928); BUNSPEC; 
BgL_res1598z00_6927 = BgL_tmp1593z00_6932; } } } } } } 
POP_ENV_EXIT(BgL_env1591z00_10616); 
return BgL_res1598z00_6927;} } 
}} 

}



/* &get-volume-parser */
obj_t BGl_z62getzd2volumezd2parserz62zz__multimediazd2mpczd2(obj_t BgL_envz00_10411, BgL_mpcz00_bglt BgL_mpcz00_10412)
{
{ /* Llib/mpc.scm 921 */
{ 
 obj_t BgL_iportz00_11782;
{ /* Llib/mpc.scm 912 */
 obj_t BgL_ipz00_11852;
{ /* Llib/mpc.scm 912 */
 obj_t BgL_arg5048z00_11853;
BgL_arg5048z00_11853 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10412))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 912 */
 obj_t BgL_tmpz00_16213;
BgL_tmpz00_16213 = 
((obj_t)BgL_arg5048z00_11853); 
BgL_ipz00_11852 = 
SOCKET_INPUT(BgL_tmpz00_16213); } } 
{ 
 obj_t BgL_tmz00_11855;
BgL_tmz00_11855 = 
BINT(((long)0)); 
BgL_loopz00_11854:
{ /* Llib/mpc.scm 914 */
 obj_t BgL_lz00_11856;
BgL_iportz00_11782 = BgL_ipz00_11852; 
{ 
 obj_t BgL_iportz00_11843; long BgL_lastzd2matchzd2_11844; long BgL_forwardz00_11845; long BgL_bufposz00_11846; obj_t BgL_iportz00_11833; long BgL_lastzd2matchzd2_11834; long BgL_forwardz00_11835; long BgL_bufposz00_11836; obj_t BgL_iportz00_11823; long BgL_lastzd2matchzd2_11824; long BgL_forwardz00_11825; long BgL_bufposz00_11826; obj_t BgL_iportz00_11814; long BgL_lastzd2matchzd2_11815; long BgL_forwardz00_11816; long BgL_bufposz00_11817; obj_t BgL_iportz00_11803; long BgL_lastzd2matchzd2_11804; long BgL_forwardz00_11805; long BgL_bufposz00_11806;
BgL_ignorez00_11783:
RGC_START_MATCH(BgL_iportz00_11782); 
{ /* Llib/mpc.scm 892 */
 long BgL_matchz00_11790;
{ /* Llib/mpc.scm 892 */
 long BgL_arg5214z00_11791; long BgL_arg5215z00_11792;
BgL_arg5214z00_11791 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11782); 
BgL_arg5215z00_11792 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11782); 
BgL_iportz00_11814 = BgL_iportz00_11782; 
BgL_lastzd2matchzd2_11815 = ((long)2); 
BgL_forwardz00_11816 = BgL_arg5214z00_11791; 
BgL_bufposz00_11817 = BgL_arg5215z00_11792; 
BgL_statezd20zd21563z00_11786:
if(
(BgL_forwardz00_11816==BgL_bufposz00_11817))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11814))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5091z00_11818; long BgL_arg5092z00_11819;
BgL_arg5091z00_11818 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11814); 
BgL_arg5092z00_11819 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11814); 
{ 
 long BgL_bufposz00_16226; long BgL_forwardz00_16225;
BgL_forwardz00_16225 = BgL_arg5091z00_11818; 
BgL_bufposz00_16226 = BgL_arg5092z00_11819; 
BgL_bufposz00_11817 = BgL_bufposz00_16226; 
BgL_forwardz00_11816 = BgL_forwardz00_16225; 
goto BgL_statezd20zd21563z00_11786;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_lastzd2matchzd2_11815; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11820;
BgL_curz00_11820 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11814, BgL_forwardz00_11816); 
{ /* Llib/mpc.scm 892 */

if(
(
(long)(BgL_curz00_11820)==((long)79)))
{ /* Llib/mpc.scm 892 */
BgL_iportz00_11823 = BgL_iportz00_11814; 
BgL_lastzd2matchzd2_11824 = BgL_lastzd2matchzd2_11815; 
BgL_forwardz00_11825 = 
(((long)1)+BgL_forwardz00_11816); 
BgL_bufposz00_11826 = BgL_bufposz00_11817; 
BgL_statezd23zd21566z00_11787:
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11827;
RGC_STOP_MATCH(BgL_iportz00_11823, BgL_forwardz00_11825); 
BgL_newzd2matchzd2_11827 = ((long)2); 
if(
(BgL_forwardz00_11825==BgL_bufposz00_11826))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11823))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5075z00_11828; long BgL_arg5076z00_11829;
BgL_arg5075z00_11828 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11823); 
BgL_arg5076z00_11829 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11823); 
{ 
 long BgL_bufposz00_16239; long BgL_forwardz00_16238;
BgL_forwardz00_16238 = BgL_arg5075z00_11828; 
BgL_bufposz00_16239 = BgL_arg5076z00_11829; 
BgL_bufposz00_11826 = BgL_bufposz00_16239; 
BgL_forwardz00_11825 = BgL_forwardz00_16238; 
goto BgL_statezd23zd21566z00_11787;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_newzd2matchzd2_11827; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11830;
BgL_curz00_11830 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11823, BgL_forwardz00_11825); 
{ /* Llib/mpc.scm 892 */

if(
(
(long)(BgL_curz00_11830)==((long)75)))
{ /* Llib/mpc.scm 892 */
BgL_iportz00_11803 = BgL_iportz00_11823; 
BgL_lastzd2matchzd2_11804 = BgL_newzd2matchzd2_11827; 
BgL_forwardz00_11805 = 
(((long)1)+BgL_forwardz00_11825); 
BgL_bufposz00_11806 = BgL_bufposz00_11826; 
BgL_statezd26zd21569z00_11785:
if(
(BgL_forwardz00_11805==BgL_bufposz00_11806))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11803))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5106z00_11807; long BgL_arg5107z00_11808;
BgL_arg5106z00_11807 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11803); 
BgL_arg5107z00_11808 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11803); 
{ 
 long BgL_bufposz00_16251; long BgL_forwardz00_16250;
BgL_forwardz00_16250 = BgL_arg5106z00_11807; 
BgL_bufposz00_16251 = BgL_arg5107z00_11808; 
BgL_bufposz00_11806 = BgL_bufposz00_16251; 
BgL_forwardz00_11805 = BgL_forwardz00_16250; 
goto BgL_statezd26zd21569z00_11785;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_lastzd2matchzd2_11804; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11809;
BgL_curz00_11809 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11803, BgL_forwardz00_11805); 
{ /* Llib/mpc.scm 892 */

{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6269z00_16253;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6270z00_16254;
if(
(
(long)(BgL_curz00_11809)>=((long)65)))
{ /* Llib/mpc.scm 892 */
BgL_test6270z00_16254 = 
(
(long)(BgL_curz00_11809)<((long)91))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6270z00_16254 = ((bool_t)0)
; } 
if(BgL_test6270z00_16254)
{ /* Llib/mpc.scm 892 */
BgL_test6269z00_16253 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11809)>=((long)97)))
{ /* Llib/mpc.scm 892 */
BgL_test6269z00_16253 = 
(
(long)(BgL_curz00_11809)<((long)123))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6269z00_16253 = ((bool_t)0)
; } } } 
if(BgL_test6269z00_16253)
{ /* Llib/mpc.scm 892 */
BgL_iportz00_11843 = BgL_iportz00_11803; 
BgL_lastzd2matchzd2_11844 = BgL_lastzd2matchzd2_11804; 
BgL_forwardz00_11845 = 
(((long)1)+BgL_forwardz00_11805); 
BgL_bufposz00_11846 = BgL_bufposz00_11806; 
BgL_statezd25zd21568z00_11789:
if(
(BgL_forwardz00_11845==BgL_bufposz00_11846))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11843))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5053z00_11847; long BgL_arg5054z00_11848;
BgL_arg5053z00_11847 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11843); 
BgL_arg5054z00_11848 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11843); 
{ 
 long BgL_bufposz00_16272; long BgL_forwardz00_16271;
BgL_forwardz00_16271 = BgL_arg5053z00_11847; 
BgL_bufposz00_16272 = BgL_arg5054z00_11848; 
BgL_bufposz00_11846 = BgL_bufposz00_16272; 
BgL_forwardz00_11845 = BgL_forwardz00_16271; 
goto BgL_statezd25zd21568z00_11789;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_lastzd2matchzd2_11844; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11849;
BgL_curz00_11849 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11843, BgL_forwardz00_11845); 
{ /* Llib/mpc.scm 892 */

{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6275z00_16274;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6276z00_16275;
if(
(
(long)(BgL_curz00_11849)>=((long)65)))
{ /* Llib/mpc.scm 892 */
BgL_test6276z00_16275 = 
(
(long)(BgL_curz00_11849)<((long)91))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6276z00_16275 = ((bool_t)0)
; } 
if(BgL_test6276z00_16275)
{ /* Llib/mpc.scm 892 */
BgL_test6275z00_16274 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11849)>=((long)97)))
{ /* Llib/mpc.scm 892 */
BgL_test6275z00_16274 = 
(
(long)(BgL_curz00_11849)<((long)123))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6275z00_16274 = ((bool_t)0)
; } } } 
if(BgL_test6275z00_16274)
{ 
 long BgL_forwardz00_16286;
BgL_forwardz00_16286 = 
(((long)1)+BgL_forwardz00_11845); 
BgL_forwardz00_11845 = BgL_forwardz00_16286; 
goto BgL_statezd25zd21568z00_11789;}  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11849)==((long)58)))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5060z00_11850;
BgL_arg5060z00_11850 = 
(((long)1)+BgL_forwardz00_11845); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11851;
RGC_STOP_MATCH(BgL_iportz00_11843, BgL_arg5060z00_11850); 
BgL_newzd2matchzd2_11851 = ((long)0); 
BgL_matchz00_11790 = BgL_newzd2matchzd2_11851; } }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_lastzd2matchzd2_11844; } } } } } }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11809)==((long)58)))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5113z00_11810;
BgL_arg5113z00_11810 = 
(((long)1)+BgL_forwardz00_11805); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11811;
RGC_STOP_MATCH(BgL_iportz00_11803, BgL_arg5113z00_11810); 
BgL_newzd2matchzd2_11811 = ((long)0); 
BgL_matchz00_11790 = BgL_newzd2matchzd2_11811; } }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11809)==((long)10)))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5115z00_11812;
BgL_arg5115z00_11812 = 
(((long)1)+BgL_forwardz00_11805); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11813;
RGC_STOP_MATCH(BgL_iportz00_11803, BgL_arg5115z00_11812); 
BgL_newzd2matchzd2_11813 = ((long)1); 
BgL_matchz00_11790 = BgL_newzd2matchzd2_11813; } }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_lastzd2matchzd2_11804; } } } } } } }  else 
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6282z00_16305;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6283z00_16306;
if(
(
(long)(BgL_curz00_11830)>=((long)65)))
{ /* Llib/mpc.scm 892 */
BgL_test6283z00_16306 = 
(
(long)(BgL_curz00_11830)<((long)75))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6283z00_16306 = ((bool_t)0)
; } 
if(BgL_test6283z00_16306)
{ /* Llib/mpc.scm 892 */
BgL_test6282z00_16305 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6285z00_16312;
if(
(
(long)(BgL_curz00_11830)>=((long)76)))
{ /* Llib/mpc.scm 892 */
BgL_test6285z00_16312 = 
(
(long)(BgL_curz00_11830)<((long)91))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6285z00_16312 = ((bool_t)0)
; } 
if(BgL_test6285z00_16312)
{ /* Llib/mpc.scm 892 */
BgL_test6282z00_16305 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11830)>=((long)97)))
{ /* Llib/mpc.scm 892 */
BgL_test6282z00_16305 = 
(
(long)(BgL_curz00_11830)<((long)123))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6282z00_16305 = ((bool_t)0)
; } } } } 
if(BgL_test6282z00_16305)
{ 
 long BgL_bufposz00_16327; long BgL_forwardz00_16325; long BgL_lastzd2matchzd2_16324; obj_t BgL_iportz00_16323;
BgL_iportz00_16323 = BgL_iportz00_11823; 
BgL_lastzd2matchzd2_16324 = BgL_newzd2matchzd2_11827; 
BgL_forwardz00_16325 = 
(((long)1)+BgL_forwardz00_11825); 
BgL_bufposz00_16327 = BgL_bufposz00_11826; 
BgL_bufposz00_11846 = BgL_bufposz00_16327; 
BgL_forwardz00_11845 = BgL_forwardz00_16325; 
BgL_lastzd2matchzd2_11844 = BgL_lastzd2matchzd2_16324; 
BgL_iportz00_11843 = BgL_iportz00_16323; 
goto BgL_statezd25zd21568z00_11789;}  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11830)==((long)58)))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5086z00_11831;
BgL_arg5086z00_11831 = 
(((long)1)+BgL_forwardz00_11825); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11832;
RGC_STOP_MATCH(BgL_iportz00_11823, BgL_arg5086z00_11831); 
BgL_newzd2matchzd2_11832 = ((long)0); 
BgL_matchz00_11790 = BgL_newzd2matchzd2_11832; } }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_newzd2matchzd2_11827; } } } } } } }  else 
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6289z00_16334;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6290z00_16335;
if(
(
(long)(BgL_curz00_11820)>=((long)65)))
{ /* Llib/mpc.scm 892 */
BgL_test6290z00_16335 = 
(
(long)(BgL_curz00_11820)<((long)79))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6290z00_16335 = ((bool_t)0)
; } 
if(BgL_test6290z00_16335)
{ /* Llib/mpc.scm 892 */
BgL_test6289z00_16334 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6292z00_16341;
if(
(
(long)(BgL_curz00_11820)>=((long)80)))
{ /* Llib/mpc.scm 892 */
BgL_test6292z00_16341 = 
(
(long)(BgL_curz00_11820)<((long)91))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6292z00_16341 = ((bool_t)0)
; } 
if(BgL_test6292z00_16341)
{ /* Llib/mpc.scm 892 */
BgL_test6289z00_16334 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11820)>=((long)97)))
{ /* Llib/mpc.scm 892 */
BgL_test6289z00_16334 = 
(
(long)(BgL_curz00_11820)<((long)123))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6289z00_16334 = ((bool_t)0)
; } } } } 
if(BgL_test6289z00_16334)
{ /* Llib/mpc.scm 892 */
BgL_iportz00_11833 = BgL_iportz00_11814; 
BgL_lastzd2matchzd2_11834 = BgL_lastzd2matchzd2_11815; 
BgL_forwardz00_11835 = 
(((long)1)+BgL_forwardz00_11816); 
BgL_bufposz00_11836 = BgL_bufposz00_11817; 
BgL_statezd22zd21565z00_11788:
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11837;
RGC_STOP_MATCH(BgL_iportz00_11833, BgL_forwardz00_11835); 
BgL_newzd2matchzd2_11837 = ((long)2); 
if(
(BgL_forwardz00_11835==BgL_bufposz00_11836))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11833))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5064z00_11838; long BgL_arg5065z00_11839;
BgL_arg5064z00_11838 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11833); 
BgL_arg5065z00_11839 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11833); 
{ 
 long BgL_bufposz00_16360; long BgL_forwardz00_16359;
BgL_forwardz00_16359 = BgL_arg5064z00_11838; 
BgL_bufposz00_16360 = BgL_arg5065z00_11839; 
BgL_bufposz00_11836 = BgL_bufposz00_16360; 
BgL_forwardz00_11835 = BgL_forwardz00_16359; 
goto BgL_statezd22zd21565z00_11788;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_newzd2matchzd2_11837; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11840;
BgL_curz00_11840 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11833, BgL_forwardz00_11835); 
{ /* Llib/mpc.scm 892 */

{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6297z00_16362;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6298z00_16363;
if(
(
(long)(BgL_curz00_11840)>=((long)65)))
{ /* Llib/mpc.scm 892 */
BgL_test6298z00_16363 = 
(
(long)(BgL_curz00_11840)<((long)91))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6298z00_16363 = ((bool_t)0)
; } 
if(BgL_test6298z00_16363)
{ /* Llib/mpc.scm 892 */
BgL_test6297z00_16362 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11840)>=((long)97)))
{ /* Llib/mpc.scm 892 */
BgL_test6297z00_16362 = 
(
(long)(BgL_curz00_11840)<((long)123))
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6297z00_16362 = ((bool_t)0)
; } } } 
if(BgL_test6297z00_16362)
{ 
 long BgL_bufposz00_16378; long BgL_forwardz00_16376; long BgL_lastzd2matchzd2_16375; obj_t BgL_iportz00_16374;
BgL_iportz00_16374 = BgL_iportz00_11833; 
BgL_lastzd2matchzd2_16375 = BgL_newzd2matchzd2_11837; 
BgL_forwardz00_16376 = 
(((long)1)+BgL_forwardz00_11835); 
BgL_bufposz00_16378 = BgL_bufposz00_11836; 
BgL_bufposz00_11846 = BgL_bufposz00_16378; 
BgL_forwardz00_11845 = BgL_forwardz00_16376; 
BgL_lastzd2matchzd2_11844 = BgL_lastzd2matchzd2_16375; 
BgL_iportz00_11843 = BgL_iportz00_16374; 
goto BgL_statezd25zd21568z00_11789;}  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11840)==((long)58)))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5071z00_11841;
BgL_arg5071z00_11841 = 
(((long)1)+BgL_forwardz00_11835); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11842;
RGC_STOP_MATCH(BgL_iportz00_11833, BgL_arg5071z00_11841); 
BgL_newzd2matchzd2_11842 = ((long)0); 
BgL_matchz00_11790 = BgL_newzd2matchzd2_11842; } }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11790 = BgL_newzd2matchzd2_11837; } } } } } } }  else 
{ /* Llib/mpc.scm 892 */
 long BgL_arg5101z00_11821;
BgL_arg5101z00_11821 = 
(((long)1)+BgL_forwardz00_11816); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11822;
RGC_STOP_MATCH(BgL_iportz00_11814, BgL_arg5101z00_11821); 
BgL_newzd2matchzd2_11822 = ((long)2); 
BgL_matchz00_11790 = BgL_newzd2matchzd2_11822; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11782); 
switch( BgL_matchz00_11790) { case ((long)2) : 

{ /* Llib/mpc.scm 905 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg5205z00_11793;
{ /* Llib/mpc.scm 905 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1580z00_11794;
{ /* Llib/mpc.scm 905 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1579z00_11795;
BgL_new1579z00_11795 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 905 */
 long BgL_arg5210z00_11796;
BgL_arg5210z00_11796 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1579z00_11795), BgL_arg5210z00_11796); } 
BgL_new1580z00_11794 = BgL_new1579z00_11795; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1580z00_11794)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1580z00_11794)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_16396;
{ /* Llib/mpc.scm 905 */
 obj_t BgL_arg5206z00_11797;
{ /* Llib/mpc.scm 905 */
 obj_t BgL_arg5207z00_11798;
{ /* Llib/mpc.scm 905 */
 obj_t BgL_classz00_11799;
BgL_classz00_11799 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg5207z00_11798 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11799); } 
BgL_arg5206z00_11797 = 
VECTOR_REF(BgL_arg5207z00_11798,((long)2)); } 
BgL_auxz00_16396 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg5206z00_11797); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1580z00_11794)))->BgL_stackz00)=((obj_t)BgL_auxz00_16396),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1580z00_11794)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)34))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1580z00_11794)))->BgL_msgz00)=((obj_t)BGl_string5438z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_16407;
{ /* Llib/mpc.scm 908 */
 obj_t BgL_arg5208z00_11800;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6302z00_16409;
{ /* Llib/mpc.scm 892 */
 long BgL_arg5197z00_11802;
BgL_arg5197z00_11802 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11782); 
BgL_test6302z00_16409 = 
(BgL_arg5197z00_11802==((long)0)); } 
if(BgL_test6302z00_16409)
{ /* Llib/mpc.scm 892 */
BgL_arg5208z00_11800 = BEOF; }  else 
{ /* Llib/mpc.scm 892 */
BgL_arg5208z00_11800 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11782)); } } 
BgL_auxz00_16407 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg5208z00_11800, BgL_iportz00_11782); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1580z00_11794)))->BgL_objz00)=((obj_t)BgL_auxz00_16407),BUNSPEC); } 
BgL_arg5205z00_11793 = BgL_new1580z00_11794; } 
BgL_lz00_11856 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg5205z00_11793)); } break;case ((long)1) : 

BgL_lz00_11856 = 
CNST_TABLE_REF(((long)35)); break;case ((long)0) : 

{ /* Llib/mpc.scm 894 */
 obj_t BgL_kz00_11801;
BgL_kz00_11801 = 
rgc_buffer_keyword(BgL_iportz00_11782); 
if(
(BgL_kz00_11801==
CNST_TABLE_REF(((long)14))))
{ /* Llib/mpc.scm 895 */
BgL_lz00_11856 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11782); }  else 
{ /* Llib/mpc.scm 895 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11782); 
goto BgL_ignorez00_11783;} } break;
default: 
BgL_lz00_11856 = 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11790)); } } } 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_lz00_11856))
{ 
 obj_t BgL_tmz00_16436;
BgL_tmz00_16436 = BgL_lz00_11856; 
BgL_tmz00_11855 = BgL_tmz00_16436; 
goto BgL_loopz00_11854;}  else 
{ /* Llib/mpc.scm 916 */
if(
(BgL_lz00_11856==
CNST_TABLE_REF(((long)35))))
{ /* Llib/mpc.scm 918 */
return BgL_tmz00_11855;}  else 
{ 

goto BgL_loopz00_11854;} } } } } } } 

}



/* &music-repeat-set!-mp1651 */
obj_t BGl_z62musiczd2repeatzd2setz12zd2mp1651za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10413, obj_t BgL_mpcz00_10414, obj_t BgL_flagz00_10415)
{
{ /* Llib/mpc.scm 880 */
{ /* Llib/mpc.scm 882 */
 obj_t BgL_arg5031z00_11859;
BgL_arg5031z00_11859 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10414))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 884 */
 obj_t BgL_zc3z04anonymousza35033ze3z87_11860;
BgL_zc3z04anonymousza35033ze3z87_11860 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35033ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35033ze3z87_11860, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10414))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5031z00_11859, 
(int)(((long)1000)), BgL_zc3z04anonymousza35033ze3z87_11860);} } } 

}



/* &<@anonymous:5033> */
obj_t BGl_z62zc3z04anonymousza35033ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10416)
{
{ /* Llib/mpc.scm 883 */
{ /* Llib/mpc.scm 884 */
 BgL_mpcz00_bglt BgL_mpcz00_10417;
BgL_mpcz00_10417 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10416, 
(int)(((long)0)))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10417, BGl_string5439z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-random-set!-mp1649 */
obj_t BGl_z62musiczd2randomzd2setz12zd2mp1649za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10418, obj_t BgL_mpcz00_10419, obj_t BgL_flagz00_10420)
{
{ /* Llib/mpc.scm 871 */
{ /* Llib/mpc.scm 873 */
 obj_t BgL_arg5027z00_11863;
BgL_arg5027z00_11863 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10419))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 875 */
 obj_t BgL_zc3z04anonymousza35029ze3z87_11864;
BgL_zc3z04anonymousza35029ze3z87_11864 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35029ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35029ze3z87_11864, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10419))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5027z00_11863, 
(int)(((long)1000)), BgL_zc3z04anonymousza35029ze3z87_11864);} } } 

}



/* &<@anonymous:5029> */
obj_t BGl_z62zc3z04anonymousza35029ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10421)
{
{ /* Llib/mpc.scm 874 */
{ /* Llib/mpc.scm 875 */
 BgL_mpcz00_bglt BgL_mpcz00_10422;
BgL_mpcz00_10422 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10421, 
(int)(((long)0)))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10422, BGl_string5440z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-crossfade-mpc1647 */
obj_t BGl_z62musiczd2crossfadezd2mpc1647z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10423, obj_t BgL_mpcz00_10424, obj_t BgL_secz00_10425)
{
{ /* Llib/mpc.scm 861 */
{ /* Llib/mpc.scm 862 */
 int BgL_secz00_11866;
BgL_secz00_11866 = 
CINT(BgL_secz00_10425); 
{ /* Llib/mpc.scm 863 */
 obj_t BgL_arg5023z00_11867;
BgL_arg5023z00_11867 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10424))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 865 */
 obj_t BgL_zc3z04anonymousza35025ze3z87_11868;
BgL_zc3z04anonymousza35025ze3z87_11868 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35025ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35025ze3z87_11868, 
(int)(((long)0)), 
BINT(BgL_secz00_11866)); 
PROCEDURE_SET(BgL_zc3z04anonymousza35025ze3z87_11868, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10424))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5023z00_11867, 
(int)(((long)1000)), BgL_zc3z04anonymousza35025ze3z87_11868);} } } } 

}



/* &<@anonymous:5025> */
obj_t BGl_z62zc3z04anonymousza35025ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10426)
{
{ /* Llib/mpc.scm 864 */
{ /* Llib/mpc.scm 865 */
 int BgL_secz00_10427; BgL_mpcz00_bglt BgL_mpcz00_10428;
BgL_secz00_10427 = 
CINT(
PROCEDURE_REF(BgL_envz00_10426, 
(int)(((long)0)))); 
BgL_mpcz00_10428 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10426, 
(int)(((long)1)))); 
{ /* Llib/mpc.scm 865 */
 obj_t BgL_cmdz00_11869;
{ /* Llib/mpc.scm 865 */
 obj_t BgL_arg5026z00_11870;
{ /* Llib/mpc.scm 865 */

BgL_arg5026z00_11870 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_secz00_10427), ((long)10)); } 
BgL_cmdz00_11869 = 
string_append(BGl_string5441z00zz__multimediazd2mpczd2, BgL_arg5026z00_11870); } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10428, BgL_cmdz00_11869, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } 

}



/* &music-prev-mpc1645 */
obj_t BGl_z62musiczd2prevzd2mpc1645z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10429, obj_t BgL_mpcz00_10430)
{
{ /* Llib/mpc.scm 852 */
{ /* Llib/mpc.scm 854 */
 obj_t BgL_arg5020z00_11872;
BgL_arg5020z00_11872 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10430))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 856 */
 obj_t BgL_zc3z04anonymousza35022ze3z87_11873;
BgL_zc3z04anonymousza35022ze3z87_11873 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35022ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35022ze3z87_11873, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10430))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5020z00_11872, 
(int)(((long)1000)), BgL_zc3z04anonymousza35022ze3z87_11873);} } } 

}



/* &<@anonymous:5022> */
obj_t BGl_z62zc3z04anonymousza35022ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10431)
{
{ /* Llib/mpc.scm 855 */
{ /* Llib/mpc.scm 856 */
 BgL_mpcz00_bglt BgL_mpcz00_10432;
BgL_mpcz00_10432 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10431, 
(int)(((long)0)))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10432, BGl_string5442z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-next-mpc1643 */
obj_t BGl_z62musiczd2nextzd2mpc1643z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10433, obj_t BgL_mpcz00_10434)
{
{ /* Llib/mpc.scm 843 */
{ /* Llib/mpc.scm 845 */
 obj_t BgL_arg5017z00_11875;
BgL_arg5017z00_11875 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10434))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 847 */
 obj_t BgL_zc3z04anonymousza35019ze3z87_11876;
BgL_zc3z04anonymousza35019ze3z87_11876 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35019ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35019ze3z87_11876, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10434))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5017z00_11875, 
(int)(((long)1000)), BgL_zc3z04anonymousza35019ze3z87_11876);} } } 

}



/* &<@anonymous:5019> */
obj_t BGl_z62zc3z04anonymousza35019ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10435)
{
{ /* Llib/mpc.scm 846 */
{ /* Llib/mpc.scm 847 */
 BgL_mpcz00_bglt BgL_mpcz00_10436;
BgL_mpcz00_10436 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10435, 
(int)(((long)0)))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10436, BGl_string5443z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-pause-mpc1641 */
obj_t BGl_z62musiczd2pausezd2mpc1641z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10437, obj_t BgL_mpcz00_10438)
{
{ /* Llib/mpc.scm 834 */
{ /* Llib/mpc.scm 836 */
 obj_t BgL_arg5014z00_11878;
BgL_arg5014z00_11878 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10438))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 838 */
 obj_t BgL_zc3z04anonymousza35016ze3z87_11879;
BgL_zc3z04anonymousza35016ze3z87_11879 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35016ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35016ze3z87_11879, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10438))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5014z00_11878, 
(int)(((long)1000)), BgL_zc3z04anonymousza35016ze3z87_11879);} } } 

}



/* &<@anonymous:5016> */
obj_t BGl_z62zc3z04anonymousza35016ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10439)
{
{ /* Llib/mpc.scm 837 */
{ /* Llib/mpc.scm 838 */
 BgL_mpcz00_bglt BgL_mpcz00_10440;
BgL_mpcz00_10440 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10439, 
(int)(((long)0)))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10440, BGl_string5444z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-stop-mpc1639 */
obj_t BGl_z62musiczd2stopzd2mpc1639z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10441, obj_t BgL_mpcz00_10442)
{
{ /* Llib/mpc.scm 820 */
{ /* Llib/mpc.scm 822 */
 obj_t BgL_arg5009z00_11881;
BgL_arg5009z00_11881 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10442))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 824 */
 obj_t BgL_zc3z04anonymousza35011ze3z87_11882;
BgL_zc3z04anonymousza35011ze3z87_11882 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35011ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35011ze3z87_11882, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10442))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35011ze3z87_11882, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10442))); 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5009z00_11881, 
(int)(((long)1000)), BgL_zc3z04anonymousza35011ze3z87_11882); } } 
{ /* Llib/mpc.scm 828 */
 BgL_musicstatusz00_bglt BgL_i1556z00_11883;
BgL_i1556z00_11883 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10442))))->BgL_z52statusz52); 
{ /* Llib/mpc.scm 829 */
 obj_t BgL_fun5013z00_11884;
BgL_fun5013z00_11884 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10442))))->BgL_onstatez00); 
{ /* Llib/mpc.scm 829 */
 obj_t BgL_arg5012z00_11885;
BgL_arg5012z00_11885 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1556z00_11883))->BgL_statez00); 
return 
PROCEDURE_ENTRY(BgL_fun5013z00_11884)(BgL_fun5013z00_11884, 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10442)), BgL_arg5012z00_11885, BEOA);} } } } 

}



/* &<@anonymous:5011> */
obj_t BGl_z62zc3z04anonymousza35011ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10443)
{
{ /* Llib/mpc.scm 823 */
{ /* Llib/mpc.scm 824 */
 BgL_mpcz00_bglt BgL_mpcz00_10444; BgL_mpcz00_bglt BgL_i1554z00_10445;
BgL_mpcz00_10444 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10443, 
(int)(((long)0)))); 
BgL_i1554z00_10445 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10443, 
(int)(((long)1)))); 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10444, BGl_string5445z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2); 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10444, BGl_string5446z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2); 
{ /* Llib/mpc.scm 826 */
 BgL_musicstatusz00_bglt BgL_i1555z00_11886;
BgL_i1555z00_11886 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1554z00_10445)))->BgL_z52statusz52); 
return 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1555z00_11886))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(((long)36))),BUNSPEC);} } } 

}



/* &music-seek-mpc1637 */
obj_t BGl_z62musiczd2seekzd2mpc1637z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10446, obj_t BgL_mpcz00_10447, obj_t BgL_ntimez00_10448, obj_t BgL_nsongz00_10449)
{
{ /* Llib/mpc.scm 801 */
{ /* Llib/mpc.scm 803 */
 obj_t BgL_arg4986z00_11888;
BgL_arg4986z00_11888 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10447))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_zc3z04anonymousza34988ze3z87_11889;
BgL_zc3z04anonymousza34988ze3z87_11889 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34988ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34988ze3z87_11889, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10447))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34988ze3z87_11889, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10447))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34988ze3z87_11889, 
(int)(((long)2)), BgL_nsongz00_10449); 
PROCEDURE_SET(BgL_zc3z04anonymousza34988ze3z87_11889, 
(int)(((long)3)), BgL_ntimez00_10448); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4986z00_11888, 
(int)(((long)1000)), BgL_zc3z04anonymousza34988ze3z87_11889);} } } 

}



/* &<@anonymous:4988> */
obj_t BGl_z62zc3z04anonymousza34988ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10450)
{
{ /* Llib/mpc.scm 804 */
{ /* Llib/mpc.scm 805 */
 BgL_mpcz00_bglt BgL_i1535z00_10451; BgL_mpcz00_bglt BgL_mpcz00_10452; obj_t BgL_nsongz00_10453; obj_t BgL_ntimez00_10454;
BgL_i1535z00_10451 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10450, 
(int)(((long)0)))); 
BgL_mpcz00_10452 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10450, 
(int)(((long)1)))); 
BgL_nsongz00_10453 = 
PROCEDURE_REF(BgL_envz00_10450, 
(int)(((long)2))); 
BgL_ntimez00_10454 = 
PROCEDURE_REF(BgL_envz00_10450, 
(int)(((long)3))); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_env1544z00_11890;
BgL_env1544z00_11890 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_cell1539z00_11891;
BgL_cell1539z00_11891 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_val1543z00_11892;
BgL_val1543z00_11892 = 
BGl_zc3z04exitza34991ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_10452, BgL_i1535z00_10451, BgL_cell1539z00_11891, BgL_env1544z00_11890); 
if(
(BgL_val1543z00_11892==BgL_cell1539z00_11891))
{ /* Llib/mpc.scm 805 */
{ /* Llib/mpc.scm 805 */
 int BgL_tmpz00_16624;
BgL_tmpz00_16624 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_16624); } 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg4990z00_11893;
BgL_arg4990z00_11893 = 
CELL_REF(
((obj_t)BgL_val1543z00_11892)); 
{ /* Llib/mpc.scm 807 */
 BgL_musicstatusz00_bglt BgL_arg4995z00_11894;
BgL_arg4995z00_11894 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1535z00_10451)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10452, BgL_arg4995z00_11894, BgL_arg4990z00_11893); } } }  else 
{ /* Llib/mpc.scm 805 */BgL_val1543z00_11892; } } } } 
{ /* Llib/mpc.scm 809 */
 BgL_musicstatusz00_bglt BgL_i1553z00_11895;
BgL_i1553z00_11895 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1535z00_10451)))->BgL_z52statusz52); 
{ /* Llib/mpc.scm 810 */
 obj_t BgL_songz00_11896; obj_t BgL_timez00_11897;
if(
NULLP(BgL_nsongz00_10453))
{ /* Llib/mpc.scm 810 */
BgL_songz00_11896 = 
BINT(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1553z00_11895))->BgL_songz00)); }  else 
{ /* Llib/mpc.scm 810 */
BgL_songz00_11896 = 
CAR(
((obj_t)BgL_nsongz00_10453)); } 
if(
INTEGERP(BgL_ntimez00_10454))
{ /* Llib/mpc.scm 811 */
BgL_timez00_11897 = BgL_ntimez00_10454; }  else 
{ /* Llib/mpc.scm 813 */
 obj_t BgL_auxz00_16642;
{ /* Llib/mpc.scm 813 */
 bool_t BgL_test6309z00_16643;
{ /* Llib/mpc.scm 813 */
 obj_t BgL_tmpz00_16644;
BgL_tmpz00_16644 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1553z00_11895))->BgL_songposz00); 
BgL_test6309z00_16643 = 
PAIRP(BgL_tmpz00_16644); } 
if(BgL_test6309z00_16643)
{ /* Llib/mpc.scm 813 */
BgL_auxz00_16642 = 
CAR(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1553z00_11895))->BgL_songposz00))
; }  else 
{ /* Llib/mpc.scm 813 */
BgL_auxz00_16642 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1553z00_11895))->BgL_songposz00)
; } } 
BgL_timez00_11897 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_auxz00_16642, 
BINT(
(long)(
REAL_TO_DOUBLE(BgL_ntimez00_10454)))); } 
{ /* Llib/mpc.scm 815 */
 obj_t BgL_arg4996z00_11898;
{ /* Llib/mpc.scm 815 */
 obj_t BgL_list4997z00_11899;
{ /* Llib/mpc.scm 815 */
 obj_t BgL_arg4998z00_11900;
BgL_arg4998z00_11900 = 
MAKE_YOUNG_PAIR(BgL_timez00_11897, BNIL); 
BgL_list4997z00_11899 = 
MAKE_YOUNG_PAIR(BgL_songz00_11896, BgL_arg4998z00_11900); } 
BgL_arg4996z00_11898 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5447z00zz__multimediazd2mpczd2, BgL_list4997z00_11899); } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10452, BgL_arg4996z00_11898, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } } } 

}



/* <@exit:4991>~0 */
obj_t BGl_zc3z04exitza34991ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10615, BgL_mpcz00_bglt BgL_i1535z00_10614, obj_t BgL_cell1539z00_10613, obj_t BgL_env1544z00_10612)
{
{ /* Llib/mpc.scm 805 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1548z00_6801;
if( SET_EXIT(BgL_an_exit1548z00_6801 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1548z00_6801 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1544z00_10612, BgL_an_exit1548z00_6801, ((long)1)); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_escape1540z00_6802;
BgL_escape1540z00_6802 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1544z00_10612); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_res1551z00_6803;
{ /* Llib/mpc.scm 805 */
 obj_t BgL_ohs1536z00_6804;
BgL_ohs1536z00_6804 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1544z00_10612); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_hds1537z00_6805;
BgL_hds1537z00_6805 = 
MAKE_STACK_PAIR(BgL_escape1540z00_6802, BgL_cell1539z00_10613); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1544z00_10612, BgL_hds1537z00_6805); BUNSPEC; 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_exitd1545z00_6806;
BgL_exitd1545z00_6806 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1544z00_10612); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_tmp1547z00_6807;
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg4993z00_6810;
BgL_arg4993z00_6810 = 
BGL_EXITD_PROTECT(BgL_exitd1545z00_6806); 
BgL_tmp1547z00_6807 = 
MAKE_YOUNG_PAIR(BgL_ohs1536z00_6804, BgL_arg4993z00_6810); } 
{ /* Llib/mpc.scm 805 */

BGL_EXITD_PROTECT_SET(BgL_exitd1545z00_6806, BgL_tmp1547z00_6807); BUNSPEC; 
{ /* Llib/mpc.scm 808 */
 obj_t BgL_tmp1546z00_6808;
{ /* Llib/mpc.scm 808 */
 BgL_musicstatusz00_bglt BgL_arg4992z00_6809;
BgL_arg4992z00_6809 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1535z00_10614)))->BgL_z52statusz52); 
BgL_tmp1546z00_6808 = 
BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_10615, BgL_arg4992z00_6809); } 
{ /* Llib/mpc.scm 805 */
 bool_t BgL_test6310z00_16672;
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg1808z00_10011;
BgL_arg1808z00_10011 = 
BGL_EXITD_PROTECT(BgL_exitd1545z00_6806); 
BgL_test6310z00_16672 = 
PAIRP(BgL_arg1808z00_10011); } 
if(BgL_test6310z00_16672)
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg1806z00_10012;
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg1807z00_10013;
BgL_arg1807z00_10013 = 
BGL_EXITD_PROTECT(BgL_exitd1545z00_6806); 
BgL_arg1806z00_10012 = 
CDR(
((obj_t)BgL_arg1807z00_10013)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1545z00_6806, BgL_arg1806z00_10012); BUNSPEC; }  else 
{ /* Llib/mpc.scm 805 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1544z00_10612, BgL_ohs1536z00_6804); BUNSPEC; 
BgL_res1551z00_6803 = BgL_tmp1546z00_6808; } } } } } } 
POP_ENV_EXIT(BgL_env1544z00_10612); 
return BgL_res1551z00_6803;} } 
}} 

}



/* &music-play-mpc1635 */
obj_t BGl_z62musiczd2playzd2mpc1635z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10455, obj_t BgL_mpcz00_10456, obj_t BgL_songz00_10457)
{
{ /* Llib/mpc.scm 764 */
{ /* Llib/mpc.scm 766 */
 obj_t BgL_cmdz00_11902;
if(
NULLP(BgL_songz00_10457))
{ /* Llib/mpc.scm 766 */
BgL_cmdz00_11902 = BGl_string5448z00zz__multimediazd2mpczd2; }  else 
{ /* Llib/mpc.scm 766 */
 obj_t BgL_arg4983z00_11903;
BgL_arg4983z00_11903 = 
CAR(
((obj_t)BgL_songz00_10457)); 
{ /* Llib/mpc.scm 766 */
 obj_t BgL_list4984z00_11904;
BgL_list4984z00_11904 = 
MAKE_YOUNG_PAIR(BgL_arg4983z00_11903, BNIL); 
BgL_cmdz00_11902 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5449z00zz__multimediazd2mpczd2, BgL_list4984z00_11904); } } 
{ /* Llib/mpc.scm 767 */
 BgL_musicstatusz00_bglt BgL_i1534z00_11905;
BgL_i1534z00_11905 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10456))))->BgL_z52statusz52); 
{ /* Llib/mpc.scm 768 */
 obj_t BgL_idz00_11906;
BgL_idz00_11906 = 
MAKE_CELL(BFALSE); 
{ /* Llib/mpc.scm 769 */
 obj_t BgL_arg4950z00_11907;
BgL_arg4950z00_11907 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10456))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 771 */
 obj_t BgL_zc3z04anonymousza34952ze3z87_11908;
BgL_zc3z04anonymousza34952ze3z87_11908 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34952ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_11908, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10456))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_11908, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10456))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_11908, 
(int)(((long)2)), BgL_cmdz00_11902); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_11908, 
(int)(((long)3)), 
((obj_t)BgL_idz00_11906)); 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4950z00_11907, 
(int)(((long)1000)), BgL_zc3z04anonymousza34952ze3z87_11908); } } 
if(
CBOOL(
CELL_REF(BgL_idz00_11906)))
{ /* Llib/mpc.scm 774 */
{ /* Llib/mpc.scm 775 */
 obj_t BgL_fun4955z00_11909;
BgL_fun4955z00_11909 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10456))))->BgL_oneventz00); 
{ /* Llib/mpc.scm 775 */
 int BgL_arg4954z00_11910;
BgL_arg4954z00_11910 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_11905))->BgL_playlistidz00); 
PROCEDURE_ENTRY(BgL_fun4955z00_11909)(BgL_fun4955z00_11909, 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10456)), 
CNST_TABLE_REF(((long)37)), 
BINT(BgL_arg4954z00_11910), BEOA); } } 
return 
BGl_loopze70ze7zz__multimediazd2mpczd2(BgL_idz00_11906, 
((BgL_mpcz00_bglt)BgL_mpcz00_10456), BgL_i1534z00_11905, 
((BgL_mpcz00_bglt)BgL_mpcz00_10456));}  else 
{ /* Llib/mpc.scm 774 */
return BFALSE;} } } } } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__multimediazd2mpczd2(obj_t BgL_idz00_10611, BgL_mpcz00_bglt BgL_mpcz00_10610, BgL_musicstatusz00_bglt BgL_i1534z00_10609, BgL_mpcz00_bglt BgL_i1533z00_10608)
{
{ /* Llib/mpc.scm 776 */
{ /* Llib/mpc.scm 777 */
 obj_t BgL_sz00_10459; obj_t BgL_iz00_10460;
BgL_sz00_10459 = 
MAKE_CELL(BFALSE); 
BgL_iz00_10460 = 
MAKE_CELL(BFALSE); 
{ /* Llib/mpc.scm 779 */
 bool_t BgL_test6313z00_16730;
{ /* Llib/mpc.scm 779 */
 obj_t BgL_arg4974z00_6769;
BgL_arg4974z00_6769 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1533z00_10608)))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 781 */
 obj_t BgL_zc3z04anonymousza34976ze3z87_10359;
BgL_zc3z04anonymousza34976ze3z87_10359 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34976ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34976ze3z87_10359, 
(int)(((long)0)), 
((obj_t)BgL_i1534z00_10609)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34976ze3z87_10359, 
(int)(((long)1)), 
((obj_t)BgL_sz00_10459)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34976ze3z87_10359, 
(int)(((long)2)), 
((obj_t)BgL_iz00_10460)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34976ze3z87_10359, 
(int)(((long)3)), 
((obj_t)BgL_i1533z00_10608)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34976ze3z87_10359, 
(int)(((long)4)), 
((obj_t)BgL_mpcz00_10610)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34976ze3z87_10359, 
(int)(((long)5)), 
((obj_t)BgL_idz00_10611)); 
BgL_test6313z00_16730 = 
CBOOL(
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4974z00_6769, 
(int)(((long)1000)), BgL_zc3z04anonymousza34976ze3z87_10359)); } } 
if(BgL_test6313z00_16730)
{ /* Llib/mpc.scm 779 */
if(
(
CELL_REF(BgL_sz00_10459)==
CNST_TABLE_REF(((long)38))))
{ /* Llib/mpc.scm 789 */
if(
(
(long)CINT(
CELL_REF(BgL_iz00_10460))==
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_10609))->BgL_songidz00))))
{ /* Llib/mpc.scm 791 */BFALSE; }  else 
{ /* Llib/mpc.scm 791 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_10609))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(((long)39))),BUNSPEC); 
{ /* Llib/mpc.scm 793 */
 obj_t BgL_fun4970z00_6764;
BgL_fun4970z00_6764 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1533z00_10608)))->BgL_onstatez00); 
{ /* Llib/mpc.scm 793 */
 obj_t BgL_arg4969z00_6765;
BgL_arg4969z00_6765 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_10609))->BgL_statez00); 
PROCEDURE_ENTRY(BgL_fun4970z00_6764)(BgL_fun4970z00_6764, 
((obj_t)BgL_mpcz00_10610), BgL_arg4969z00_6765, BEOA); } } } }  else 
{ /* Llib/mpc.scm 790 */
 obj_t BgL_fun4973z00_6767;
BgL_fun4973z00_6767 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1533z00_10608)))->BgL_onstatez00); 
{ /* Llib/mpc.scm 790 */
 obj_t BgL_arg4972z00_6768;
BgL_arg4972z00_6768 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_10609))->BgL_statez00); 
PROCEDURE_ENTRY(BgL_fun4973z00_6767)(BgL_fun4973z00_6767, 
((obj_t)BgL_mpcz00_10610), BgL_arg4972z00_6768, BEOA); } } 
bgl_sleep(((long)1000000)); BUNSPEC; ((long)1000000); 
BGl_loopze70ze7zz__multimediazd2mpczd2(BgL_idz00_10611, BgL_mpcz00_10610, BgL_i1534z00_10609, BgL_i1533z00_10608); }  else 
{ /* Llib/mpc.scm 779 */BFALSE; } } } 
{ /* Llib/mpc.scm 796 */
 obj_t BgL_fun4981z00_6777;
BgL_fun4981z00_6777 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1533z00_10608)))->BgL_onstatez00); 
{ /* Llib/mpc.scm 796 */
 obj_t BgL_arg4980z00_6778;
BgL_arg4980z00_6778 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_10609))->BgL_statez00); 
return 
PROCEDURE_ENTRY(BgL_fun4981z00_6777)(BgL_fun4981z00_6777, 
((obj_t)BgL_mpcz00_10610), BgL_arg4980z00_6778, BEOA);} } } 

}



/* &<@anonymous:4976> */
obj_t BGl_z62zc3z04anonymousza34976ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10464)
{
{ /* Llib/mpc.scm 780 */
{ /* Llib/mpc.scm 781 */
 BgL_musicstatusz00_bglt BgL_i1534z00_10465; obj_t BgL_sz00_10466; obj_t BgL_iz00_10467; BgL_mpcz00_bglt BgL_i1533z00_10468; BgL_mpcz00_bglt BgL_mpcz00_10469; obj_t BgL_idz00_10470;
BgL_i1534z00_10465 = 
((BgL_musicstatusz00_bglt)
PROCEDURE_REF(BgL_envz00_10464, 
(int)(((long)0)))); 
BgL_sz00_10466 = 
PROCEDURE_REF(BgL_envz00_10464, 
(int)(((long)1))); 
BgL_iz00_10467 = 
PROCEDURE_REF(BgL_envz00_10464, 
(int)(((long)2))); 
BgL_i1533z00_10468 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10464, 
(int)(((long)3)))); 
BgL_mpcz00_10469 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10464, 
(int)(((long)4)))); 
BgL_idz00_10470 = 
PROCEDURE_REF(BgL_envz00_10464, 
(int)(((long)5))); 
{ /* Llib/mpc.scm 781 */
 bool_t BgL_tmpz00_16811;
if(
(
(long)(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1533z00_10468))->BgL_z52playidz52))==
(long)CINT(
CELL_REF(BgL_idz00_10470))))
{ /* Llib/mpc.scm 781 */
{ /* Llib/mpc.scm 782 */
 obj_t BgL_auxz00_11911;
BgL_auxz00_11911 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_10465))->BgL_statez00); 
CELL_SET(BgL_sz00_10466, BgL_auxz00_11911); } 
{ /* Llib/mpc.scm 783 */
 obj_t BgL_auxz00_11912;
BgL_auxz00_11912 = 
BINT(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_10465))->BgL_songidz00)); 
CELL_SET(BgL_iz00_10467, BgL_auxz00_11912); } 
{ /* Llib/mpc.scm 784 */
 BgL_musicstatusz00_bglt BgL_arg4977z00_11913;
BgL_arg4977z00_11913 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1533z00_10468)))->BgL_z52statusz52); 
BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_10469, BgL_arg4977z00_11913); } 
BgL_tmpz00_16811 = 
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1534z00_10465))->BgL_statez00)==
CNST_TABLE_REF(((long)38))); }  else 
{ /* Llib/mpc.scm 781 */
BgL_tmpz00_16811 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_16811);} } } 

}



/* &<@anonymous:4952> */
obj_t BGl_z62zc3z04anonymousza34952ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10473)
{
{ /* Llib/mpc.scm 770 */
{ /* Llib/mpc.scm 771 */
 BgL_mpcz00_bglt BgL_i1533z00_10474; BgL_mpcz00_bglt BgL_mpcz00_10475; obj_t BgL_cmdz00_10476; obj_t BgL_idz00_10477;
BgL_i1533z00_10474 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10473, 
(int)(((long)0)))); 
BgL_mpcz00_10475 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10473, 
(int)(((long)1)))); 
BgL_cmdz00_10476 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10473, 
(int)(((long)2)))); 
BgL_idz00_10477 = 
PROCEDURE_REF(BgL_envz00_10473, 
(int)(((long)3))); 
((((BgL_mpcz00_bglt)COBJECT(BgL_i1533z00_10474))->BgL_z52playidz52)=((int)
(int)(
(((long)1)+
(long)(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1533z00_10474))->BgL_z52playidz52))))),BUNSPEC); 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10475, BgL_cmdz00_10476, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2); 
{ /* Llib/mpc.scm 773 */
 obj_t BgL_auxz00_11914;
BgL_auxz00_11914 = 
BINT(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1533z00_10474))->BgL_z52playidz52)); 
return 
CELL_SET(BgL_idz00_10477, BgL_auxz00_11914);} } } 

}



/* &music-meta-mpc1633 */
obj_t BGl_z62musiczd2metazd2mpc1633z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10479, obj_t BgL_mpcz00_10480)
{
{ /* Llib/mpc.scm 735 */
{ /* Llib/mpc.scm 753 */
 obj_t BgL_arg4786z00_11917;
BgL_arg4786z00_11917 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10480))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_zc3z04anonymousza34788ze3z87_11918;
BgL_zc3z04anonymousza34788ze3z87_11918 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34788ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34788ze3z87_11918, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10480))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34788ze3z87_11918, 
(int)(((long)1)), BGl_proc5450z00zz__multimediazd2mpczd2); 
PROCEDURE_SET(BgL_zc3z04anonymousza34788ze3z87_11918, 
(int)(((long)2)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10480))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4786z00_11917, 
(int)(((long)1000)), BgL_zc3z04anonymousza34788ze3z87_11918);} } } 

}



/* &<@anonymous:4788> */
obj_t BGl_z62zc3z04anonymousza34788ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10481)
{
{ /* Llib/mpc.scm 754 */
{ /* Llib/mpc.scm 755 */
 BgL_mpcz00_bglt BgL_mpcz00_10482; obj_t BgL_currentsongzd2parserzd2_10483; BgL_mpcz00_bglt BgL_i1515z00_10484;
BgL_mpcz00_10482 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10481, 
(int)(((long)0)))); 
BgL_currentsongzd2parserzd2_10483 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10481, 
(int)(((long)1)))); 
BgL_i1515z00_10484 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10481, 
(int)(((long)2)))); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_env1524z00_11919;
BgL_env1524z00_11919 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_cell1519z00_11920;
BgL_cell1519z00_11920 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_val1523z00_11921;
BgL_val1523z00_11921 = 
BGl_zc3z04exitza34791ze3ze70z60zz__multimediazd2mpczd2(BgL_currentsongzd2parserzd2_10483, BgL_mpcz00_10482, BgL_cell1519z00_11920, BgL_env1524z00_11919); 
if(
(BgL_val1523z00_11921==BgL_cell1519z00_11920))
{ /* Llib/mpc.scm 755 */
{ /* Llib/mpc.scm 755 */
 int BgL_tmpz00_16878;
BgL_tmpz00_16878 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_16878); } 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg4790z00_11922;
BgL_arg4790z00_11922 = 
CELL_REF(
((obj_t)BgL_val1523z00_11921)); 
{ /* Llib/mpc.scm 757 */
 BgL_musicstatusz00_bglt BgL_arg4794z00_11923;
BgL_arg4794z00_11923 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1515z00_10484)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10482, BgL_arg4794z00_11923, BgL_arg4790z00_11922); } 
return BNIL;} }  else 
{ /* Llib/mpc.scm 755 */
return BgL_val1523z00_11921;} } } } } } 

}



/* <@exit:4791>~0 */
obj_t BGl_zc3z04exitza34791ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_currentsongzd2parserzd2_10607, BgL_mpcz00_bglt BgL_mpcz00_10606, obj_t BgL_cell1519z00_10605, obj_t BgL_env1524z00_10604)
{
{ /* Llib/mpc.scm 755 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1528z00_6400;
if( SET_EXIT(BgL_an_exit1528z00_6400 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1528z00_6400 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1524z00_10604, BgL_an_exit1528z00_6400, ((long)1)); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_escape1520z00_6401;
BgL_escape1520z00_6401 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1524z00_10604); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_res1531z00_6402;
{ /* Llib/mpc.scm 755 */
 obj_t BgL_ohs1516z00_6403;
BgL_ohs1516z00_6403 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1524z00_10604); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_hds1517z00_6404;
BgL_hds1517z00_6404 = 
MAKE_STACK_PAIR(BgL_escape1520z00_6401, BgL_cell1519z00_10605); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1524z00_10604, BgL_hds1517z00_6404); BUNSPEC; 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_exitd1525z00_6405;
BgL_exitd1525z00_6405 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1524z00_10604); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_tmp1527z00_6406;
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg4792z00_6408;
BgL_arg4792z00_6408 = 
BGL_EXITD_PROTECT(BgL_exitd1525z00_6405); 
BgL_tmp1527z00_6406 = 
MAKE_YOUNG_PAIR(BgL_ohs1516z00_6403, BgL_arg4792z00_6408); } 
{ /* Llib/mpc.scm 755 */

BGL_EXITD_PROTECT_SET(BgL_exitd1525z00_6405, BgL_tmp1527z00_6406); BUNSPEC; 
{ /* Llib/mpc.scm 759 */
 obj_t BgL_tmp1526z00_6407;
BgL_tmp1526z00_6407 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10606, BGl_string5451z00zz__multimediazd2mpczd2, BgL_currentsongzd2parserzd2_10607); 
{ /* Llib/mpc.scm 755 */
 bool_t BgL_test6318z00_16898;
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg1808z00_9997;
BgL_arg1808z00_9997 = 
BGL_EXITD_PROTECT(BgL_exitd1525z00_6405); 
BgL_test6318z00_16898 = 
PAIRP(BgL_arg1808z00_9997); } 
if(BgL_test6318z00_16898)
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg1806z00_9998;
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg1807z00_9999;
BgL_arg1807z00_9999 = 
BGL_EXITD_PROTECT(BgL_exitd1525z00_6405); 
BgL_arg1806z00_9998 = 
CDR(
((obj_t)BgL_arg1807z00_9999)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1525z00_6405, BgL_arg1806z00_9998); BUNSPEC; }  else 
{ /* Llib/mpc.scm 755 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1524z00_10604, BgL_ohs1516z00_6403); BUNSPEC; 
BgL_res1531z00_6402 = BgL_tmp1526z00_6407; } } } } } } 
POP_ENV_EXIT(BgL_env1524z00_10604); 
return BgL_res1531z00_6402;} } 
}} 

}



/* &currentsong-parser */
obj_t BGl_z62currentsongzd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10485, BgL_mpcz00_bglt BgL_mpcz00_10486)
{
{ /* Llib/mpc.scm 750 */
{ /* Llib/mpc.scm 749 */
 obj_t BgL_ipz00_11928;
{ /* Llib/mpc.scm 749 */
 obj_t BgL_arg4796z00_11929;
BgL_arg4796z00_11929 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10486))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 749 */
 obj_t BgL_tmpz00_16908;
BgL_tmpz00_16908 = 
((obj_t)BgL_arg4796z00_11929); 
BgL_ipz00_11928 = 
SOCKET_INPUT(BgL_tmpz00_16908); } } 
return 
BGl_ignoreze70ze7zz__multimediazd2mpczd2(BgL_ipz00_11928);} } 

}



/* ignore~0 */
obj_t BGl_ignoreze70ze7zz__multimediazd2mpczd2(obj_t BgL_iportz00_10603)
{
{ /* Llib/mpc.scm 738 */
{ 
 int BgL_minz00_6575; int BgL_maxz00_6576; obj_t BgL_iportz00_6541; long BgL_lastzd2matchzd2_6542; long BgL_forwardz00_6543; long BgL_bufposz00_6544; obj_t BgL_iportz00_6520; long BgL_lastzd2matchzd2_6521; long BgL_forwardz00_6522; long BgL_bufposz00_6523; obj_t BgL_iportz00_6503; long BgL_lastzd2matchzd2_6504; long BgL_forwardz00_6505; long BgL_bufposz00_6506; obj_t BgL_iportz00_6487; long BgL_lastzd2matchzd2_6488; long BgL_forwardz00_6489; long BgL_bufposz00_6490; obj_t BgL_iportz00_6470; long BgL_lastzd2matchzd2_6471; long BgL_forwardz00_6472; long BgL_bufposz00_6473;
RGC_START_MATCH(BgL_iportz00_10603); 
{ /* Llib/mpc.scm 738 */
 long BgL_matchz00_6682;
{ /* Llib/mpc.scm 738 */
 long BgL_arg4948z00_6693; long BgL_arg4949z00_6694;
BgL_arg4948z00_6693 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10603); 
BgL_arg4949z00_6694 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10603); 
BgL_iportz00_6470 = BgL_iportz00_10603; 
BgL_lastzd2matchzd2_6471 = ((long)2); 
BgL_forwardz00_6472 = BgL_arg4948z00_6693; 
BgL_bufposz00_6473 = BgL_arg4949z00_6694; 
BgL_zc3z04anonymousza34800ze3z87_6474:
if(
(BgL_forwardz00_6472==BgL_bufposz00_6473))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6470))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4803z00_6477; long BgL_arg4804z00_6478;
BgL_arg4803z00_6477 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6470); 
BgL_arg4804z00_6478 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6470); 
{ 
 long BgL_bufposz00_16922; long BgL_forwardz00_16921;
BgL_forwardz00_16921 = BgL_arg4803z00_6477; 
BgL_bufposz00_16922 = BgL_arg4804z00_6478; 
BgL_bufposz00_6473 = BgL_bufposz00_16922; 
BgL_forwardz00_6472 = BgL_forwardz00_16921; 
goto BgL_zc3z04anonymousza34800ze3z87_6474;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6682 = BgL_lastzd2matchzd2_6471; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6479;
BgL_curz00_6479 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6470, BgL_forwardz00_6472); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6479)==((long)79)))
{ /* Llib/mpc.scm 738 */
BgL_iportz00_6520 = BgL_iportz00_6470; 
BgL_lastzd2matchzd2_6521 = BgL_lastzd2matchzd2_6471; 
BgL_forwardz00_6522 = 
(((long)1)+BgL_forwardz00_6472); 
BgL_bufposz00_6523 = BgL_bufposz00_6473; 
BgL_zc3z04anonymousza34831ze3z87_6524:
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_6525;
RGC_STOP_MATCH(BgL_iportz00_6520, BgL_forwardz00_6522); 
BgL_newzd2matchzd2_6525 = ((long)2); 
if(
(BgL_forwardz00_6522==BgL_bufposz00_6523))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6520))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4834z00_6528; long BgL_arg4835z00_6529;
BgL_arg4834z00_6528 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6520); 
BgL_arg4835z00_6529 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6520); 
{ 
 long BgL_bufposz00_16935; long BgL_forwardz00_16934;
BgL_forwardz00_16934 = BgL_arg4834z00_6528; 
BgL_bufposz00_16935 = BgL_arg4835z00_6529; 
BgL_bufposz00_6523 = BgL_bufposz00_16935; 
BgL_forwardz00_6522 = BgL_forwardz00_16934; 
goto BgL_zc3z04anonymousza34831ze3z87_6524;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6682 = BgL_newzd2matchzd2_6525; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6530;
BgL_curz00_6530 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6520, BgL_forwardz00_6522); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6530)==((long)75)))
{ /* Llib/mpc.scm 738 */
BgL_iportz00_6541 = BgL_iportz00_6520; 
BgL_lastzd2matchzd2_6542 = BgL_newzd2matchzd2_6525; 
BgL_forwardz00_6543 = 
(((long)1)+BgL_forwardz00_6522); 
BgL_bufposz00_6544 = BgL_bufposz00_6523; 
BgL_zc3z04anonymousza34844ze3z87_6545:
if(
(BgL_forwardz00_6543==BgL_bufposz00_6544))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6541))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4847z00_6548; long BgL_arg4848z00_6549;
BgL_arg4847z00_6548 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6541); 
BgL_arg4848z00_6549 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6541); 
{ 
 long BgL_bufposz00_16947; long BgL_forwardz00_16946;
BgL_forwardz00_16946 = BgL_arg4847z00_6548; 
BgL_bufposz00_16947 = BgL_arg4848z00_6549; 
BgL_bufposz00_6544 = BgL_bufposz00_16947; 
BgL_forwardz00_6543 = BgL_forwardz00_16946; 
goto BgL_zc3z04anonymousza34844ze3z87_6545;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6682 = BgL_lastzd2matchzd2_6542; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6550;
BgL_curz00_6550 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6541, BgL_forwardz00_6543); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6550)==((long)58)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4850z00_6552;
BgL_arg4850z00_6552 = 
(((long)1)+BgL_forwardz00_6543); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9943;
if(
rgc_buffer_bol_p(BgL_iportz00_6541))
{ /* Llib/mpc.scm 738 */
RGC_STOP_MATCH(BgL_iportz00_6541, BgL_arg4850z00_6552); 
BgL_newzd2matchzd2_9943 = ((long)0); }  else 
{ /* Llib/mpc.scm 738 */
BgL_newzd2matchzd2_9943 = BgL_lastzd2matchzd2_6542; } 
BgL_matchz00_6682 = BgL_newzd2matchzd2_9943; } }  else 
{ /* Llib/mpc.scm 738 */
if(
(
(long)(BgL_curz00_6550)==((long)10)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4852z00_6554;
BgL_arg4852z00_6554 = 
(((long)1)+BgL_forwardz00_6543); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9950;
RGC_STOP_MATCH(BgL_iportz00_6541, BgL_arg4852z00_6554); 
BgL_newzd2matchzd2_9950 = ((long)1); 
BgL_matchz00_6682 = BgL_newzd2matchzd2_9950; } }  else 
{ /* Llib/mpc.scm 738 */
BgL_iportz00_6487 = BgL_iportz00_6541; 
BgL_lastzd2matchzd2_6488 = BgL_lastzd2matchzd2_6542; 
BgL_forwardz00_6489 = 
(((long)1)+BgL_forwardz00_6543); 
BgL_bufposz00_6490 = BgL_bufposz00_6544; 
BgL_zc3z04anonymousza34811ze3z87_6491:
if(
(BgL_forwardz00_6489==BgL_bufposz00_6490))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6487))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4814z00_6494; long BgL_arg4815z00_6495;
BgL_arg4814z00_6494 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6487); 
BgL_arg4815z00_6495 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6487); 
{ 
 long BgL_bufposz00_16968; long BgL_forwardz00_16967;
BgL_forwardz00_16967 = BgL_arg4814z00_6494; 
BgL_bufposz00_16968 = BgL_arg4815z00_6495; 
BgL_bufposz00_6490 = BgL_bufposz00_16968; 
BgL_forwardz00_6489 = BgL_forwardz00_16967; 
goto BgL_zc3z04anonymousza34811ze3z87_6491;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6682 = BgL_lastzd2matchzd2_6488; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6496;
BgL_curz00_6496 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6487, BgL_forwardz00_6489); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6496)==((long)58)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4817z00_6498;
BgL_arg4817z00_6498 = 
(((long)1)+BgL_forwardz00_6489); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9885;
if(
rgc_buffer_bol_p(BgL_iportz00_6487))
{ /* Llib/mpc.scm 738 */
RGC_STOP_MATCH(BgL_iportz00_6487, BgL_arg4817z00_6498); 
BgL_newzd2matchzd2_9885 = ((long)0); }  else 
{ /* Llib/mpc.scm 738 */
BgL_newzd2matchzd2_9885 = BgL_lastzd2matchzd2_6488; } 
BgL_matchz00_6682 = BgL_newzd2matchzd2_9885; } }  else 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6334z00_16977;
if(
(
(long)(BgL_curz00_6496)==((long)10)))
{ /* Llib/mpc.scm 738 */
BgL_test6334z00_16977 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6334z00_16977 = 
(
(long)(BgL_curz00_6496)==((long)58))
; } 
if(BgL_test6334z00_16977)
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6682 = BgL_lastzd2matchzd2_6488; }  else 
{ 
 long BgL_forwardz00_16983;
BgL_forwardz00_16983 = 
(((long)1)+BgL_forwardz00_6489); 
BgL_forwardz00_6489 = BgL_forwardz00_16983; 
goto BgL_zc3z04anonymousza34811ze3z87_6491;} } } } } } } } }  else 
{ /* Llib/mpc.scm 738 */
if(
(
(long)(BgL_curz00_6530)==((long)58)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4839z00_6534;
BgL_arg4839z00_6534 = 
(((long)1)+BgL_forwardz00_6522); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9925;
if(
rgc_buffer_bol_p(BgL_iportz00_6520))
{ /* Llib/mpc.scm 738 */
RGC_STOP_MATCH(BgL_iportz00_6520, BgL_arg4839z00_6534); 
BgL_newzd2matchzd2_9925 = ((long)0); }  else 
{ /* Llib/mpc.scm 738 */
BgL_newzd2matchzd2_9925 = BgL_newzd2matchzd2_6525; } 
BgL_matchz00_6682 = BgL_newzd2matchzd2_9925; } }  else 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6338z00_16994;
if(
(
(long)(BgL_curz00_6530)==((long)10)))
{ /* Llib/mpc.scm 738 */
BgL_test6338z00_16994 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
if(
(
(long)(BgL_curz00_6530)==((long)58)))
{ /* Llib/mpc.scm 738 */
BgL_test6338z00_16994 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6338z00_16994 = 
(
(long)(BgL_curz00_6530)==((long)75))
; } } 
if(BgL_test6338z00_16994)
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6682 = BgL_newzd2matchzd2_6525; }  else 
{ 
 long BgL_bufposz00_17007; long BgL_forwardz00_17005; long BgL_lastzd2matchzd2_17004; obj_t BgL_iportz00_17003;
BgL_iportz00_17003 = BgL_iportz00_6520; 
BgL_lastzd2matchzd2_17004 = BgL_newzd2matchzd2_6525; 
BgL_forwardz00_17005 = 
(((long)1)+BgL_forwardz00_6522); 
BgL_bufposz00_17007 = BgL_bufposz00_6523; 
BgL_bufposz00_6490 = BgL_bufposz00_17007; 
BgL_forwardz00_6489 = BgL_forwardz00_17005; 
BgL_lastzd2matchzd2_6488 = BgL_lastzd2matchzd2_17004; 
BgL_iportz00_6487 = BgL_iportz00_17003; 
goto BgL_zc3z04anonymousza34811ze3z87_6491;} } } } } } }  else 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6341z00_17009;
if(
(
(long)(BgL_curz00_6479)==((long)10)))
{ /* Llib/mpc.scm 738 */
BgL_test6341z00_17009 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6341z00_17009 = 
(
(long)(BgL_curz00_6479)==((long)58))
; } 
if(BgL_test6341z00_17009)
{ /* Llib/mpc.scm 738 */
 long BgL_arg4809z00_6484;
BgL_arg4809z00_6484 = 
(((long)1)+BgL_forwardz00_6472); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9872;
RGC_STOP_MATCH(BgL_iportz00_6470, BgL_arg4809z00_6484); 
BgL_newzd2matchzd2_9872 = ((long)2); 
BgL_matchz00_6682 = BgL_newzd2matchzd2_9872; } }  else 
{ /* Llib/mpc.scm 738 */
BgL_iportz00_6503 = BgL_iportz00_6470; 
BgL_lastzd2matchzd2_6504 = BgL_lastzd2matchzd2_6471; 
BgL_forwardz00_6505 = 
(((long)1)+BgL_forwardz00_6472); 
BgL_bufposz00_6506 = BgL_bufposz00_6473; 
BgL_zc3z04anonymousza34821ze3z87_6507:
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_6508;
RGC_STOP_MATCH(BgL_iportz00_6503, BgL_forwardz00_6505); 
BgL_newzd2matchzd2_6508 = ((long)2); 
if(
(BgL_forwardz00_6505==BgL_bufposz00_6506))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6503))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4824z00_6511; long BgL_arg4825z00_6512;
BgL_arg4824z00_6511 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6503); 
BgL_arg4825z00_6512 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6503); 
{ 
 long BgL_bufposz00_17025; long BgL_forwardz00_17024;
BgL_forwardz00_17024 = BgL_arg4824z00_6511; 
BgL_bufposz00_17025 = BgL_arg4825z00_6512; 
BgL_bufposz00_6506 = BgL_bufposz00_17025; 
BgL_forwardz00_6505 = BgL_forwardz00_17024; 
goto BgL_zc3z04anonymousza34821ze3z87_6507;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6682 = BgL_newzd2matchzd2_6508; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6513;
BgL_curz00_6513 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6503, BgL_forwardz00_6505); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6513)==((long)58)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4827z00_6515;
BgL_arg4827z00_6515 = 
(((long)1)+BgL_forwardz00_6505); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9904;
if(
rgc_buffer_bol_p(BgL_iportz00_6503))
{ /* Llib/mpc.scm 738 */
RGC_STOP_MATCH(BgL_iportz00_6503, BgL_arg4827z00_6515); 
BgL_newzd2matchzd2_9904 = ((long)0); }  else 
{ /* Llib/mpc.scm 738 */
BgL_newzd2matchzd2_9904 = BgL_newzd2matchzd2_6508; } 
BgL_matchz00_6682 = BgL_newzd2matchzd2_9904; } }  else 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6347z00_17034;
if(
(
(long)(BgL_curz00_6513)==((long)10)))
{ /* Llib/mpc.scm 738 */
BgL_test6347z00_17034 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6347z00_17034 = 
(
(long)(BgL_curz00_6513)==((long)58))
; } 
if(BgL_test6347z00_17034)
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6682 = BgL_newzd2matchzd2_6508; }  else 
{ 
 long BgL_bufposz00_17044; long BgL_forwardz00_17042; long BgL_lastzd2matchzd2_17041; obj_t BgL_iportz00_17040;
BgL_iportz00_17040 = BgL_iportz00_6503; 
BgL_lastzd2matchzd2_17041 = BgL_newzd2matchzd2_6508; 
BgL_forwardz00_17042 = 
(((long)1)+BgL_forwardz00_6505); 
BgL_bufposz00_17044 = BgL_bufposz00_6506; 
BgL_bufposz00_6490 = BgL_bufposz00_17044; 
BgL_forwardz00_6489 = BgL_forwardz00_17042; 
BgL_lastzd2matchzd2_6488 = BgL_lastzd2matchzd2_17041; 
BgL_iportz00_6487 = BgL_iportz00_17040; 
goto BgL_zc3z04anonymousza34811ze3z87_6491;} } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10603); 
switch( BgL_matchz00_6682) { case ((long)2) : 

{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6349z00_17047;
{ /* Llib/mpc.scm 738 */
 long BgL_arg4936z00_6672;
BgL_arg4936z00_6672 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10603); 
BgL_test6349z00_17047 = 
(BgL_arg4936z00_6672==((long)0)); } 
if(BgL_test6349z00_17047)
{ /* Llib/mpc.scm 738 */
return BEOF;}  else 
{ /* Llib/mpc.scm 738 */
return 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10603));} } break;case ((long)1) : 

return BNIL;break;case ((long)0) : 

{ /* Llib/mpc.scm 740 */
 obj_t BgL_kz00_6686;
BgL_minz00_6575 = 
(int)(((long)0)); 
BgL_maxz00_6576 = 
(int)(((long)-1)); 
if(
(
(long)(BgL_maxz00_6576)<
(long)(BgL_minz00_6575)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4865z00_6579;
BgL_arg4865z00_6579 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10603); 
{ /* Llib/mpc.scm 738 */
 long BgL_za72za7_9967;
BgL_za72za7_9967 = 
(long)(BgL_maxz00_6576); 
BgL_maxz00_6576 = 
(int)(
(BgL_arg4865z00_6579+BgL_za72za7_9967)); } }  else 
{ /* Llib/mpc.scm 738 */BFALSE; } 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6351z00_17060;
if(
(
(long)(BgL_minz00_6575)>=((long)0)))
{ /* Llib/mpc.scm 738 */
if(
(
(long)(BgL_maxz00_6576)>=
(long)(BgL_minz00_6575)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4874z00_6590;
BgL_arg4874z00_6590 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10603); 
BgL_test6351z00_17060 = 
(
(long)(BgL_maxz00_6576)<=BgL_arg4874z00_6590); }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6351z00_17060 = ((bool_t)0)
; } }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6351z00_17060 = ((bool_t)0)
; } 
if(BgL_test6351z00_17060)
{ /* Llib/mpc.scm 738 */
BgL_kz00_6686 = 
rgc_buffer_substring(BgL_iportz00_10603, 
(long)(BgL_minz00_6575), 
(long)(BgL_maxz00_6576)); }  else 
{ /* Llib/mpc.scm 738 */
 obj_t BgL_arg4870z00_6584; obj_t BgL_arg4871z00_6585;
{ /* Llib/mpc.scm 738 */
 obj_t BgL_arg4872z00_6586;
{ /* Llib/mpc.scm 738 */
 long BgL_arg4862z00_9977;
BgL_arg4862z00_9977 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10603); 
BgL_arg4872z00_6586 = 
rgc_buffer_substring(BgL_iportz00_10603, ((long)0), BgL_arg4862z00_9977); } 
{ /* Llib/mpc.scm 738 */
 obj_t BgL_list4873z00_6587;
BgL_list4873z00_6587 = 
MAKE_YOUNG_PAIR(BgL_arg4872z00_6586, BNIL); 
BgL_arg4870z00_6584 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5329z00zz__multimediazd2mpczd2, BgL_list4873z00_6587); } } 
BgL_arg4871z00_6585 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_6575), 
BINT(BgL_maxz00_6576)); 
BgL_kz00_6686 = 
BGl_errorz00zz__errorz00(BGl_string5330z00zz__multimediazd2mpczd2, BgL_arg4870z00_6584, BgL_arg4871z00_6585); } } 
{ /* Llib/mpc.scm 740 */
 obj_t BgL_sz00_6687;
BgL_sz00_6687 = 
bstring_to_symbol(
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_kz00_6686)); 
{ /* Llib/mpc.scm 741 */
 obj_t BgL_vz00_6688;
BgL_vz00_6688 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_10603); 
{ /* Llib/mpc.scm 742 */

{ /* Llib/mpc.scm 743 */
 obj_t BgL_arg4944z00_6689; obj_t BgL_arg4945z00_6690;
BgL_arg4944z00_6689 = 
MAKE_YOUNG_PAIR(BgL_sz00_6687, BgL_vz00_6688); 
BgL_arg4945z00_6690 = 
BGl_ignoreze70ze7zz__multimediazd2mpczd2(BgL_iportz00_10603); 
return 
MAKE_YOUNG_PAIR(BgL_arg4944z00_6689, BgL_arg4945z00_6690);} } } } } break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_6682));} } } } 

}



/* &music-songpos-mpc1631 */
obj_t BGl_z62musiczd2songposzd2mpc1631z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10487, obj_t BgL_mpcz00_10488)
{
{ /* Llib/mpc.scm 674 */
{ /* Llib/mpc.scm 724 */
 obj_t BgL_arg4454z00_11933;
BgL_arg4454z00_11933 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10488))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_zc3z04anonymousza34456ze3z87_11934;
BgL_zc3z04anonymousza34456ze3z87_11934 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34456ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34456ze3z87_11934, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10488))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34456ze3z87_11934, 
(int)(((long)1)), BGl_proc5452z00zz__multimediazd2mpczd2); 
PROCEDURE_SET(BgL_zc3z04anonymousza34456ze3z87_11934, 
(int)(((long)2)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10488))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4454z00_11933, 
(int)(((long)1000)), BgL_zc3z04anonymousza34456ze3z87_11934);} } } 

}



/* &<@anonymous:4456> */
obj_t BGl_z62zc3z04anonymousza34456ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10489)
{
{ /* Llib/mpc.scm 725 */
{ /* Llib/mpc.scm 726 */
 BgL_mpcz00_bglt BgL_mpcz00_10490; obj_t BgL_musiczd2timezd2parserz00_10491; BgL_mpcz00_bglt BgL_i1485z00_10492;
BgL_mpcz00_10490 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10489, 
(int)(((long)0)))); 
BgL_musiczd2timezd2parserz00_10491 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10489, 
(int)(((long)1)))); 
BgL_i1485z00_10492 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10489, 
(int)(((long)2)))); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_env1494z00_11935;
BgL_env1494z00_11935 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_cell1489z00_11936;
BgL_cell1489z00_11936 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_val1493z00_11937;
BgL_val1493z00_11937 = 
BGl_zc3z04exitza34459ze3ze70z60zz__multimediazd2mpczd2(BgL_musiczd2timezd2parserz00_10491, BgL_mpcz00_10490, BgL_cell1489z00_11936, BgL_env1494z00_11935); 
if(
(BgL_val1493z00_11937==BgL_cell1489z00_11936))
{ /* Llib/mpc.scm 726 */
{ /* Llib/mpc.scm 726 */
 int BgL_tmpz00_17128;
BgL_tmpz00_17128 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_17128); } 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg4458z00_11938;
BgL_arg4458z00_11938 = 
CELL_REF(
((obj_t)BgL_val1493z00_11937)); 
{ /* Llib/mpc.scm 728 */
 BgL_musicstatusz00_bglt BgL_arg4462z00_11939;
BgL_arg4462z00_11939 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1485z00_10492)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10490, BgL_arg4462z00_11939, BgL_arg4458z00_11938); } 
return 
BINT(((long)0));} }  else 
{ /* Llib/mpc.scm 726 */
return BgL_val1493z00_11937;} } } } } } 

}



/* <@exit:4459>~0 */
obj_t BGl_zc3z04exitza34459ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_musiczd2timezd2parserz00_10602, BgL_mpcz00_bglt BgL_mpcz00_10601, obj_t BgL_cell1489z00_10600, obj_t BgL_env1494z00_10599)
{
{ /* Llib/mpc.scm 726 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1498z00_5693;
if( SET_EXIT(BgL_an_exit1498z00_5693 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1498z00_5693 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1494z00_10599, BgL_an_exit1498z00_5693, ((long)1)); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_escape1490z00_5694;
BgL_escape1490z00_5694 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1494z00_10599); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_res1501z00_5695;
{ /* Llib/mpc.scm 726 */
 obj_t BgL_ohs1486z00_5696;
BgL_ohs1486z00_5696 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1494z00_10599); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_hds1487z00_5697;
BgL_hds1487z00_5697 = 
MAKE_STACK_PAIR(BgL_escape1490z00_5694, BgL_cell1489z00_10600); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1494z00_10599, BgL_hds1487z00_5697); BUNSPEC; 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_exitd1495z00_5698;
BgL_exitd1495z00_5698 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1494z00_10599); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_tmp1497z00_5699;
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg4460z00_5701;
BgL_arg4460z00_5701 = 
BGL_EXITD_PROTECT(BgL_exitd1495z00_5698); 
BgL_tmp1497z00_5699 = 
MAKE_YOUNG_PAIR(BgL_ohs1486z00_5696, BgL_arg4460z00_5701); } 
{ /* Llib/mpc.scm 726 */

BGL_EXITD_PROTECT_SET(BgL_exitd1495z00_5698, BgL_tmp1497z00_5699); BUNSPEC; 
{ /* Llib/mpc.scm 730 */
 obj_t BgL_tmp1496z00_5700;
BgL_tmp1496z00_5700 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10601, BGl_string5345z00zz__multimediazd2mpczd2, BgL_musiczd2timezd2parserz00_10602); 
{ /* Llib/mpc.scm 726 */
 bool_t BgL_test6355z00_17149;
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg1808z00_9848;
BgL_arg1808z00_9848 = 
BGL_EXITD_PROTECT(BgL_exitd1495z00_5698); 
BgL_test6355z00_17149 = 
PAIRP(BgL_arg1808z00_9848); } 
if(BgL_test6355z00_17149)
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg1806z00_9849;
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg1807z00_9850;
BgL_arg1807z00_9850 = 
BGL_EXITD_PROTECT(BgL_exitd1495z00_5698); 
BgL_arg1806z00_9849 = 
CDR(
((obj_t)BgL_arg1807z00_9850)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1495z00_5698, BgL_arg1806z00_9849); BUNSPEC; }  else 
{ /* Llib/mpc.scm 726 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1494z00_10599, BgL_ohs1486z00_5696); BUNSPEC; 
BgL_res1501z00_5695 = BgL_tmp1496z00_5700; } } } } } } 
POP_ENV_EXIT(BgL_env1494z00_10599); 
return BgL_res1501z00_5695;} } 
}} 

}



/* &music-time-parser */
obj_t BGl_z62musiczd2timezd2parserz62zz__multimediazd2mpczd2(obj_t BgL_envz00_10493, BgL_mpcz00_bglt BgL_mpcz00_10494)
{
{ /* Llib/mpc.scm 721 */
{ 
 obj_t BgL_iportz00_12009; obj_t BgL_iportz00_11943;
{ /* Llib/mpc.scm 712 */
 obj_t BgL_ipz00_12079;
{ /* Llib/mpc.scm 712 */
 obj_t BgL_arg4467z00_12080;
BgL_arg4467z00_12080 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10494))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 712 */
 obj_t BgL_tmpz00_17159;
BgL_tmpz00_17159 = 
((obj_t)BgL_arg4467z00_12080); 
BgL_ipz00_12079 = 
SOCKET_INPUT(BgL_tmpz00_17159); } } 
{ 
 obj_t BgL_tmz00_12082;
BgL_tmz00_12082 = 
BINT(((long)0)); 
BgL_loopz00_12081:
{ /* Llib/mpc.scm 714 */
 obj_t BgL_lz00_12083;
BgL_iportz00_12009 = BgL_ipz00_12079; 
{ 
 obj_t BgL_iportz00_12070; long BgL_lastzd2matchzd2_12071; long BgL_forwardz00_12072; long BgL_bufposz00_12073; obj_t BgL_iportz00_12060; long BgL_lastzd2matchzd2_12061; long BgL_forwardz00_12062; long BgL_bufposz00_12063; obj_t BgL_iportz00_12050; long BgL_lastzd2matchzd2_12051; long BgL_forwardz00_12052; long BgL_bufposz00_12053; obj_t BgL_iportz00_12041; long BgL_lastzd2matchzd2_12042; long BgL_forwardz00_12043; long BgL_bufposz00_12044; obj_t BgL_iportz00_12030; long BgL_lastzd2matchzd2_12031; long BgL_forwardz00_12032; long BgL_bufposz00_12033;
BgL_ignorez00_12010:
RGC_START_MATCH(BgL_iportz00_12009); 
{ /* Llib/mpc.scm 692 */
 long BgL_matchz00_12017;
{ /* Llib/mpc.scm 692 */
 long BgL_arg4633z00_12018; long BgL_arg4634z00_12019;
BgL_arg4633z00_12018 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12009); 
BgL_arg4634z00_12019 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12009); 
BgL_iportz00_12041 = BgL_iportz00_12009; 
BgL_lastzd2matchzd2_12042 = ((long)2); 
BgL_forwardz00_12043 = BgL_arg4633z00_12018; 
BgL_bufposz00_12044 = BgL_arg4634z00_12019; 
BgL_statezd20zd21466z00_12013:
if(
(BgL_forwardz00_12043==BgL_bufposz00_12044))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_12041))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4510z00_12045; long BgL_arg4511z00_12046;
BgL_arg4510z00_12045 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12041); 
BgL_arg4511z00_12046 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12041); 
{ 
 long BgL_bufposz00_17172; long BgL_forwardz00_17171;
BgL_forwardz00_17171 = BgL_arg4510z00_12045; 
BgL_bufposz00_17172 = BgL_arg4511z00_12046; 
BgL_bufposz00_12044 = BgL_bufposz00_17172; 
BgL_forwardz00_12043 = BgL_forwardz00_17171; 
goto BgL_statezd20zd21466z00_12013;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_lastzd2matchzd2_12042; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12047;
BgL_curz00_12047 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12041, BgL_forwardz00_12043); 
{ /* Llib/mpc.scm 692 */

if(
(
(long)(BgL_curz00_12047)==((long)79)))
{ /* Llib/mpc.scm 692 */
BgL_iportz00_12050 = BgL_iportz00_12041; 
BgL_lastzd2matchzd2_12051 = BgL_lastzd2matchzd2_12042; 
BgL_forwardz00_12052 = 
(((long)1)+BgL_forwardz00_12043); 
BgL_bufposz00_12053 = BgL_bufposz00_12044; 
BgL_statezd23zd21469z00_12014:
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12054;
RGC_STOP_MATCH(BgL_iportz00_12050, BgL_forwardz00_12052); 
BgL_newzd2matchzd2_12054 = ((long)2); 
if(
(BgL_forwardz00_12052==BgL_bufposz00_12053))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_12050))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4494z00_12055; long BgL_arg4495z00_12056;
BgL_arg4494z00_12055 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12050); 
BgL_arg4495z00_12056 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12050); 
{ 
 long BgL_bufposz00_17185; long BgL_forwardz00_17184;
BgL_forwardz00_17184 = BgL_arg4494z00_12055; 
BgL_bufposz00_17185 = BgL_arg4495z00_12056; 
BgL_bufposz00_12053 = BgL_bufposz00_17185; 
BgL_forwardz00_12052 = BgL_forwardz00_17184; 
goto BgL_statezd23zd21469z00_12014;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_newzd2matchzd2_12054; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12057;
BgL_curz00_12057 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12050, BgL_forwardz00_12052); 
{ /* Llib/mpc.scm 692 */

if(
(
(long)(BgL_curz00_12057)==((long)75)))
{ /* Llib/mpc.scm 692 */
BgL_iportz00_12030 = BgL_iportz00_12050; 
BgL_lastzd2matchzd2_12031 = BgL_newzd2matchzd2_12054; 
BgL_forwardz00_12032 = 
(((long)1)+BgL_forwardz00_12052); 
BgL_bufposz00_12033 = BgL_bufposz00_12053; 
BgL_statezd26zd21472z00_12012:
if(
(BgL_forwardz00_12032==BgL_bufposz00_12033))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_12030))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4525z00_12034; long BgL_arg4526z00_12035;
BgL_arg4525z00_12034 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12030); 
BgL_arg4526z00_12035 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12030); 
{ 
 long BgL_bufposz00_17197; long BgL_forwardz00_17196;
BgL_forwardz00_17196 = BgL_arg4525z00_12034; 
BgL_bufposz00_17197 = BgL_arg4526z00_12035; 
BgL_bufposz00_12033 = BgL_bufposz00_17197; 
BgL_forwardz00_12032 = BgL_forwardz00_17196; 
goto BgL_statezd26zd21472z00_12012;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_lastzd2matchzd2_12031; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12036;
BgL_curz00_12036 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12030, BgL_forwardz00_12032); 
{ /* Llib/mpc.scm 692 */

{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6364z00_17199;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6365z00_17200;
if(
(
(long)(BgL_curz00_12036)>=((long)65)))
{ /* Llib/mpc.scm 692 */
BgL_test6365z00_17200 = 
(
(long)(BgL_curz00_12036)<((long)91))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6365z00_17200 = ((bool_t)0)
; } 
if(BgL_test6365z00_17200)
{ /* Llib/mpc.scm 692 */
BgL_test6364z00_17199 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12036)>=((long)97)))
{ /* Llib/mpc.scm 692 */
BgL_test6364z00_17199 = 
(
(long)(BgL_curz00_12036)<((long)123))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6364z00_17199 = ((bool_t)0)
; } } } 
if(BgL_test6364z00_17199)
{ /* Llib/mpc.scm 692 */
BgL_iportz00_12070 = BgL_iportz00_12030; 
BgL_lastzd2matchzd2_12071 = BgL_lastzd2matchzd2_12031; 
BgL_forwardz00_12072 = 
(((long)1)+BgL_forwardz00_12032); 
BgL_bufposz00_12073 = BgL_bufposz00_12033; 
BgL_statezd25zd21471z00_12016:
if(
(BgL_forwardz00_12072==BgL_bufposz00_12073))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_12070))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4472z00_12074; long BgL_arg4473z00_12075;
BgL_arg4472z00_12074 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12070); 
BgL_arg4473z00_12075 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12070); 
{ 
 long BgL_bufposz00_17218; long BgL_forwardz00_17217;
BgL_forwardz00_17217 = BgL_arg4472z00_12074; 
BgL_bufposz00_17218 = BgL_arg4473z00_12075; 
BgL_bufposz00_12073 = BgL_bufposz00_17218; 
BgL_forwardz00_12072 = BgL_forwardz00_17217; 
goto BgL_statezd25zd21471z00_12016;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_lastzd2matchzd2_12071; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12076;
BgL_curz00_12076 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12070, BgL_forwardz00_12072); 
{ /* Llib/mpc.scm 692 */

{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6370z00_17220;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6371z00_17221;
if(
(
(long)(BgL_curz00_12076)>=((long)65)))
{ /* Llib/mpc.scm 692 */
BgL_test6371z00_17221 = 
(
(long)(BgL_curz00_12076)<((long)91))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6371z00_17221 = ((bool_t)0)
; } 
if(BgL_test6371z00_17221)
{ /* Llib/mpc.scm 692 */
BgL_test6370z00_17220 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12076)>=((long)97)))
{ /* Llib/mpc.scm 692 */
BgL_test6370z00_17220 = 
(
(long)(BgL_curz00_12076)<((long)123))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6370z00_17220 = ((bool_t)0)
; } } } 
if(BgL_test6370z00_17220)
{ 
 long BgL_forwardz00_17232;
BgL_forwardz00_17232 = 
(((long)1)+BgL_forwardz00_12072); 
BgL_forwardz00_12072 = BgL_forwardz00_17232; 
goto BgL_statezd25zd21471z00_12016;}  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12076)==((long)58)))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4479z00_12077;
BgL_arg4479z00_12077 = 
(((long)1)+BgL_forwardz00_12072); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12078;
RGC_STOP_MATCH(BgL_iportz00_12070, BgL_arg4479z00_12077); 
BgL_newzd2matchzd2_12078 = ((long)0); 
BgL_matchz00_12017 = BgL_newzd2matchzd2_12078; } }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_lastzd2matchzd2_12071; } } } } } }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12036)==((long)58)))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4532z00_12037;
BgL_arg4532z00_12037 = 
(((long)1)+BgL_forwardz00_12032); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12038;
RGC_STOP_MATCH(BgL_iportz00_12030, BgL_arg4532z00_12037); 
BgL_newzd2matchzd2_12038 = ((long)0); 
BgL_matchz00_12017 = BgL_newzd2matchzd2_12038; } }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12036)==((long)10)))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4534z00_12039;
BgL_arg4534z00_12039 = 
(((long)1)+BgL_forwardz00_12032); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12040;
RGC_STOP_MATCH(BgL_iportz00_12030, BgL_arg4534z00_12039); 
BgL_newzd2matchzd2_12040 = ((long)1); 
BgL_matchz00_12017 = BgL_newzd2matchzd2_12040; } }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_lastzd2matchzd2_12031; } } } } } } }  else 
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6377z00_17251;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6378z00_17252;
if(
(
(long)(BgL_curz00_12057)>=((long)65)))
{ /* Llib/mpc.scm 692 */
BgL_test6378z00_17252 = 
(
(long)(BgL_curz00_12057)<((long)75))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6378z00_17252 = ((bool_t)0)
; } 
if(BgL_test6378z00_17252)
{ /* Llib/mpc.scm 692 */
BgL_test6377z00_17251 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6380z00_17258;
if(
(
(long)(BgL_curz00_12057)>=((long)76)))
{ /* Llib/mpc.scm 692 */
BgL_test6380z00_17258 = 
(
(long)(BgL_curz00_12057)<((long)91))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6380z00_17258 = ((bool_t)0)
; } 
if(BgL_test6380z00_17258)
{ /* Llib/mpc.scm 692 */
BgL_test6377z00_17251 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12057)>=((long)97)))
{ /* Llib/mpc.scm 692 */
BgL_test6377z00_17251 = 
(
(long)(BgL_curz00_12057)<((long)123))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6377z00_17251 = ((bool_t)0)
; } } } } 
if(BgL_test6377z00_17251)
{ 
 long BgL_bufposz00_17273; long BgL_forwardz00_17271; long BgL_lastzd2matchzd2_17270; obj_t BgL_iportz00_17269;
BgL_iportz00_17269 = BgL_iportz00_12050; 
BgL_lastzd2matchzd2_17270 = BgL_newzd2matchzd2_12054; 
BgL_forwardz00_17271 = 
(((long)1)+BgL_forwardz00_12052); 
BgL_bufposz00_17273 = BgL_bufposz00_12053; 
BgL_bufposz00_12073 = BgL_bufposz00_17273; 
BgL_forwardz00_12072 = BgL_forwardz00_17271; 
BgL_lastzd2matchzd2_12071 = BgL_lastzd2matchzd2_17270; 
BgL_iportz00_12070 = BgL_iportz00_17269; 
goto BgL_statezd25zd21471z00_12016;}  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12057)==((long)58)))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4505z00_12058;
BgL_arg4505z00_12058 = 
(((long)1)+BgL_forwardz00_12052); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12059;
RGC_STOP_MATCH(BgL_iportz00_12050, BgL_arg4505z00_12058); 
BgL_newzd2matchzd2_12059 = ((long)0); 
BgL_matchz00_12017 = BgL_newzd2matchzd2_12059; } }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_newzd2matchzd2_12054; } } } } } } }  else 
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6384z00_17280;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6385z00_17281;
if(
(
(long)(BgL_curz00_12047)>=((long)65)))
{ /* Llib/mpc.scm 692 */
BgL_test6385z00_17281 = 
(
(long)(BgL_curz00_12047)<((long)79))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6385z00_17281 = ((bool_t)0)
; } 
if(BgL_test6385z00_17281)
{ /* Llib/mpc.scm 692 */
BgL_test6384z00_17280 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6387z00_17287;
if(
(
(long)(BgL_curz00_12047)>=((long)80)))
{ /* Llib/mpc.scm 692 */
BgL_test6387z00_17287 = 
(
(long)(BgL_curz00_12047)<((long)91))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6387z00_17287 = ((bool_t)0)
; } 
if(BgL_test6387z00_17287)
{ /* Llib/mpc.scm 692 */
BgL_test6384z00_17280 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12047)>=((long)97)))
{ /* Llib/mpc.scm 692 */
BgL_test6384z00_17280 = 
(
(long)(BgL_curz00_12047)<((long)123))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6384z00_17280 = ((bool_t)0)
; } } } } 
if(BgL_test6384z00_17280)
{ /* Llib/mpc.scm 692 */
BgL_iportz00_12060 = BgL_iportz00_12041; 
BgL_lastzd2matchzd2_12061 = BgL_lastzd2matchzd2_12042; 
BgL_forwardz00_12062 = 
(((long)1)+BgL_forwardz00_12043); 
BgL_bufposz00_12063 = BgL_bufposz00_12044; 
BgL_statezd22zd21468z00_12015:
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12064;
RGC_STOP_MATCH(BgL_iportz00_12060, BgL_forwardz00_12062); 
BgL_newzd2matchzd2_12064 = ((long)2); 
if(
(BgL_forwardz00_12062==BgL_bufposz00_12063))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_12060))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4483z00_12065; long BgL_arg4484z00_12066;
BgL_arg4483z00_12065 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12060); 
BgL_arg4484z00_12066 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12060); 
{ 
 long BgL_bufposz00_17306; long BgL_forwardz00_17305;
BgL_forwardz00_17305 = BgL_arg4483z00_12065; 
BgL_bufposz00_17306 = BgL_arg4484z00_12066; 
BgL_bufposz00_12063 = BgL_bufposz00_17306; 
BgL_forwardz00_12062 = BgL_forwardz00_17305; 
goto BgL_statezd22zd21468z00_12015;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_newzd2matchzd2_12064; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12067;
BgL_curz00_12067 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12060, BgL_forwardz00_12062); 
{ /* Llib/mpc.scm 692 */

{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6392z00_17308;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6393z00_17309;
if(
(
(long)(BgL_curz00_12067)>=((long)65)))
{ /* Llib/mpc.scm 692 */
BgL_test6393z00_17309 = 
(
(long)(BgL_curz00_12067)<((long)91))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6393z00_17309 = ((bool_t)0)
; } 
if(BgL_test6393z00_17309)
{ /* Llib/mpc.scm 692 */
BgL_test6392z00_17308 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12067)>=((long)97)))
{ /* Llib/mpc.scm 692 */
BgL_test6392z00_17308 = 
(
(long)(BgL_curz00_12067)<((long)123))
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6392z00_17308 = ((bool_t)0)
; } } } 
if(BgL_test6392z00_17308)
{ 
 long BgL_bufposz00_17324; long BgL_forwardz00_17322; long BgL_lastzd2matchzd2_17321; obj_t BgL_iportz00_17320;
BgL_iportz00_17320 = BgL_iportz00_12060; 
BgL_lastzd2matchzd2_17321 = BgL_newzd2matchzd2_12064; 
BgL_forwardz00_17322 = 
(((long)1)+BgL_forwardz00_12062); 
BgL_bufposz00_17324 = BgL_bufposz00_12063; 
BgL_bufposz00_12073 = BgL_bufposz00_17324; 
BgL_forwardz00_12072 = BgL_forwardz00_17322; 
BgL_lastzd2matchzd2_12071 = BgL_lastzd2matchzd2_17321; 
BgL_iportz00_12070 = BgL_iportz00_17320; 
goto BgL_statezd25zd21471z00_12016;}  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12067)==((long)58)))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4490z00_12068;
BgL_arg4490z00_12068 = 
(((long)1)+BgL_forwardz00_12062); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12069;
RGC_STOP_MATCH(BgL_iportz00_12060, BgL_arg4490z00_12068); 
BgL_newzd2matchzd2_12069 = ((long)0); 
BgL_matchz00_12017 = BgL_newzd2matchzd2_12069; } }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_12017 = BgL_newzd2matchzd2_12064; } } } } } } }  else 
{ /* Llib/mpc.scm 692 */
 long BgL_arg4520z00_12048;
BgL_arg4520z00_12048 = 
(((long)1)+BgL_forwardz00_12043); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12049;
RGC_STOP_MATCH(BgL_iportz00_12041, BgL_arg4520z00_12048); 
BgL_newzd2matchzd2_12049 = ((long)2); 
BgL_matchz00_12017 = BgL_newzd2matchzd2_12049; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_12009); 
switch( BgL_matchz00_12017) { case ((long)2) : 

{ /* Llib/mpc.scm 705 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg4624z00_12020;
{ /* Llib/mpc.scm 705 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1483z00_12021;
{ /* Llib/mpc.scm 705 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1482z00_12022;
BgL_new1482z00_12022 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 705 */
 long BgL_arg4629z00_12023;
BgL_arg4629z00_12023 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1482z00_12022), BgL_arg4629z00_12023); } 
BgL_new1483z00_12021 = BgL_new1482z00_12022; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1483z00_12021)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1483z00_12021)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17342;
{ /* Llib/mpc.scm 705 */
 obj_t BgL_arg4625z00_12024;
{ /* Llib/mpc.scm 705 */
 obj_t BgL_arg4626z00_12025;
{ /* Llib/mpc.scm 705 */
 obj_t BgL_classz00_12026;
BgL_classz00_12026 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg4626z00_12025 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_12026); } 
BgL_arg4625z00_12024 = 
VECTOR_REF(BgL_arg4626z00_12025,((long)2)); } 
BgL_auxz00_17342 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg4625z00_12024); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1483z00_12021)))->BgL_stackz00)=((obj_t)BgL_auxz00_17342),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1483z00_12021)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)40))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1483z00_12021)))->BgL_msgz00)=((obj_t)BGl_string5438z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17353;
{ /* Llib/mpc.scm 708 */
 obj_t BgL_arg4627z00_12027;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6397z00_17355;
{ /* Llib/mpc.scm 692 */
 long BgL_arg4616z00_12029;
BgL_arg4616z00_12029 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_12009); 
BgL_test6397z00_17355 = 
(BgL_arg4616z00_12029==((long)0)); } 
if(BgL_test6397z00_17355)
{ /* Llib/mpc.scm 692 */
BgL_arg4627z00_12027 = BEOF; }  else 
{ /* Llib/mpc.scm 692 */
BgL_arg4627z00_12027 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_12009)); } } 
BgL_auxz00_17353 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg4627z00_12027, BgL_iportz00_12009); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1483z00_12021)))->BgL_objz00)=((obj_t)BgL_auxz00_17353),BUNSPEC); } 
BgL_arg4624z00_12020 = BgL_new1483z00_12021; } 
BgL_lz00_12083 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg4624z00_12020)); } break;case ((long)1) : 

BgL_lz00_12083 = 
CNST_TABLE_REF(((long)35)); break;case ((long)0) : 

{ /* Llib/mpc.scm 694 */
 obj_t BgL_kz00_12028;
BgL_kz00_12028 = 
rgc_buffer_keyword(BgL_iportz00_12009); 
if(
(BgL_kz00_12028==
CNST_TABLE_REF(((long)15))))
{ /* Llib/mpc.scm 695 */
BgL_iportz00_11943 = BgL_iportz00_12009; 
{ 
 obj_t BgL_iportz00_12000; long BgL_lastzd2matchzd2_12001; long BgL_forwardz00_12002; long BgL_bufposz00_12003; obj_t BgL_iportz00_11990; long BgL_lastzd2matchzd2_11991; long BgL_forwardz00_11992; long BgL_bufposz00_11993; obj_t BgL_iportz00_11982; long BgL_lastzd2matchzd2_11983; long BgL_forwardz00_11984; long BgL_bufposz00_11985; obj_t BgL_iportz00_11972; long BgL_lastzd2matchzd2_11973; long BgL_forwardz00_11974; long BgL_bufposz00_11975; obj_t BgL_iportz00_11964; long BgL_lastzd2matchzd2_11965; long BgL_forwardz00_11966; long BgL_bufposz00_11967;
BgL_ignorez00_11944:
RGC_START_MATCH(BgL_iportz00_11943); 
{ /* Llib/mpc.scm 677 */
 long BgL_matchz00_11951;
{ /* Llib/mpc.scm 677 */
 long BgL_arg4784z00_11952; long BgL_arg4785z00_11953;
BgL_arg4784z00_11952 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11943); 
BgL_arg4785z00_11953 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11943); 
BgL_iportz00_11990 = BgL_iportz00_11943; 
BgL_lastzd2matchzd2_11991 = ((long)2); 
BgL_forwardz00_11992 = BgL_arg4784z00_11952; 
BgL_bufposz00_11993 = BgL_arg4785z00_11953; 
BgL_statezd20zd21454z00_11949:
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11994;
RGC_STOP_MATCH(BgL_iportz00_11990, BgL_forwardz00_11992); 
BgL_newzd2matchzd2_11994 = ((long)0); 
if(
(BgL_forwardz00_11992==BgL_bufposz00_11993))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11990))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4649z00_11995; long BgL_arg4650z00_11996;
BgL_arg4649z00_11995 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11990); 
BgL_arg4650z00_11996 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11990); 
{ 
 long BgL_bufposz00_17380; long BgL_forwardz00_17379;
BgL_forwardz00_17379 = BgL_arg4649z00_11995; 
BgL_bufposz00_17380 = BgL_arg4650z00_11996; 
BgL_bufposz00_11993 = BgL_bufposz00_17380; 
BgL_forwardz00_11992 = BgL_forwardz00_17379; 
goto BgL_statezd20zd21454z00_11949;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_newzd2matchzd2_11994; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11997;
BgL_curz00_11997 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11990, BgL_forwardz00_11992); 
{ /* Llib/mpc.scm 677 */

{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6401z00_17382;
if(
(
(long)(BgL_curz00_11997)>=((long)48)))
{ /* Llib/mpc.scm 677 */
BgL_test6401z00_17382 = 
(
(long)(BgL_curz00_11997)<((long)58))
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6401z00_17382 = ((bool_t)0)
; } 
if(BgL_test6401z00_17382)
{ /* Llib/mpc.scm 677 */
BgL_iportz00_11972 = BgL_iportz00_11990; 
BgL_lastzd2matchzd2_11973 = BgL_newzd2matchzd2_11994; 
BgL_forwardz00_11974 = 
(((long)1)+BgL_forwardz00_11992); 
BgL_bufposz00_11975 = BgL_bufposz00_11993; 
BgL_statezd23zd21457z00_11947:
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11976;
RGC_STOP_MATCH(BgL_iportz00_11972, BgL_forwardz00_11974); 
BgL_newzd2matchzd2_11976 = ((long)2); 
if(
(BgL_forwardz00_11974==BgL_bufposz00_11975))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11972))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4672z00_11977; long BgL_arg4673z00_11978;
BgL_arg4672z00_11977 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11972); 
BgL_arg4673z00_11978 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11972); 
{ 
 long BgL_bufposz00_17396; long BgL_forwardz00_17395;
BgL_forwardz00_17395 = BgL_arg4672z00_11977; 
BgL_bufposz00_17396 = BgL_arg4673z00_11978; 
BgL_bufposz00_11975 = BgL_bufposz00_17396; 
BgL_forwardz00_11974 = BgL_forwardz00_17395; 
goto BgL_statezd23zd21457z00_11947;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_newzd2matchzd2_11976; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11979;
BgL_curz00_11979 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11972, BgL_forwardz00_11974); 
{ /* Llib/mpc.scm 677 */

if(
(
(long)(BgL_curz00_11979)==((long)58)))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4675z00_11980;
BgL_arg4675z00_11980 = 
(((long)1)+BgL_forwardz00_11974); 
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11981;
RGC_STOP_MATCH(BgL_iportz00_11972, BgL_arg4675z00_11980); 
BgL_newzd2matchzd2_11981 = ((long)1); 
BgL_matchz00_11951 = BgL_newzd2matchzd2_11981; } }  else 
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6406z00_17403;
if(
(
(long)(BgL_curz00_11979)>=((long)48)))
{ /* Llib/mpc.scm 677 */
BgL_test6406z00_17403 = 
(
(long)(BgL_curz00_11979)<((long)58))
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6406z00_17403 = ((bool_t)0)
; } 
if(BgL_test6406z00_17403)
{ /* Llib/mpc.scm 677 */
BgL_iportz00_12000 = BgL_iportz00_11972; 
BgL_lastzd2matchzd2_12001 = BgL_newzd2matchzd2_11976; 
BgL_forwardz00_12002 = 
(((long)1)+BgL_forwardz00_11974); 
BgL_bufposz00_12003 = BgL_bufposz00_11975; 
BgL_statezd25zd21459z00_11950:
if(
(BgL_forwardz00_12002==BgL_bufposz00_12003))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_12000))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4639z00_12004; long BgL_arg4640z00_12005;
BgL_arg4639z00_12004 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12000); 
BgL_arg4640z00_12005 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12000); 
{ 
 long BgL_bufposz00_17416; long BgL_forwardz00_17415;
BgL_forwardz00_17415 = BgL_arg4639z00_12004; 
BgL_bufposz00_17416 = BgL_arg4640z00_12005; 
BgL_bufposz00_12003 = BgL_bufposz00_17416; 
BgL_forwardz00_12002 = BgL_forwardz00_17415; 
goto BgL_statezd25zd21459z00_11950;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_lastzd2matchzd2_12001; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_12006;
BgL_curz00_12006 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12000, BgL_forwardz00_12002); 
{ /* Llib/mpc.scm 677 */

if(
(
(long)(BgL_curz00_12006)==((long)58)))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4642z00_12007;
BgL_arg4642z00_12007 = 
(((long)1)+BgL_forwardz00_12002); 
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_12008;
RGC_STOP_MATCH(BgL_iportz00_12000, BgL_arg4642z00_12007); 
BgL_newzd2matchzd2_12008 = ((long)1); 
BgL_matchz00_11951 = BgL_newzd2matchzd2_12008; } }  else 
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6411z00_17423;
if(
(
(long)(BgL_curz00_12006)>=((long)48)))
{ /* Llib/mpc.scm 677 */
BgL_test6411z00_17423 = 
(
(long)(BgL_curz00_12006)<((long)58))
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6411z00_17423 = ((bool_t)0)
; } 
if(BgL_test6411z00_17423)
{ 
 long BgL_forwardz00_17429;
BgL_forwardz00_17429 = 
(((long)1)+BgL_forwardz00_12002); 
BgL_forwardz00_12002 = BgL_forwardz00_17429; 
goto BgL_statezd25zd21459z00_11950;}  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_lastzd2matchzd2_12001; } } } } }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_newzd2matchzd2_11976; } } } } } }  else 
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6413z00_17433;
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6414z00_17434;
if(
(
(long)(BgL_curz00_11997)==((long)10)))
{ /* Llib/mpc.scm 677 */
BgL_test6414z00_17434 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6414z00_17434 = 
(
(long)(BgL_curz00_11997)==((long)9))
; } 
if(BgL_test6414z00_17434)
{ /* Llib/mpc.scm 677 */
BgL_test6413z00_17433 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6413z00_17433 = 
(
(long)(BgL_curz00_11997)==((long)32))
; } } 
if(BgL_test6413z00_17433)
{ /* Llib/mpc.scm 677 */
BgL_iportz00_11982 = BgL_iportz00_11990; 
BgL_lastzd2matchzd2_11983 = BgL_newzd2matchzd2_11994; 
BgL_forwardz00_11984 = 
(((long)1)+BgL_forwardz00_11992); 
BgL_bufposz00_11985 = BgL_bufposz00_11993; 
BgL_statezd22zd21456z00_11948:
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11986;
RGC_STOP_MATCH(BgL_iportz00_11982, BgL_forwardz00_11984); 
BgL_newzd2matchzd2_11986 = ((long)0); 
if(
(BgL_forwardz00_11984==BgL_bufposz00_11985))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11982))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4662z00_11987; long BgL_arg4663z00_11988;
BgL_arg4662z00_11987 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11982); 
BgL_arg4663z00_11988 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11982); 
{ 
 long BgL_bufposz00_17450; long BgL_forwardz00_17449;
BgL_forwardz00_17449 = BgL_arg4662z00_11987; 
BgL_bufposz00_17450 = BgL_arg4663z00_11988; 
BgL_bufposz00_11985 = BgL_bufposz00_17450; 
BgL_forwardz00_11984 = BgL_forwardz00_17449; 
goto BgL_statezd22zd21456z00_11948;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_newzd2matchzd2_11986; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11989;
BgL_curz00_11989 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11982, BgL_forwardz00_11984); 
{ /* Llib/mpc.scm 677 */

{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6418z00_17452;
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6419z00_17453;
if(
(
(long)(BgL_curz00_11989)==((long)10)))
{ /* Llib/mpc.scm 677 */
BgL_test6419z00_17453 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6419z00_17453 = 
(
(long)(BgL_curz00_11989)==((long)9))
; } 
if(BgL_test6419z00_17453)
{ /* Llib/mpc.scm 677 */
BgL_test6418z00_17452 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6418z00_17452 = 
(
(long)(BgL_curz00_11989)==((long)32))
; } } 
if(BgL_test6418z00_17452)
{ /* Llib/mpc.scm 677 */
BgL_iportz00_11964 = BgL_iportz00_11982; 
BgL_lastzd2matchzd2_11965 = BgL_newzd2matchzd2_11986; 
BgL_forwardz00_11966 = 
(((long)1)+BgL_forwardz00_11984); 
BgL_bufposz00_11967 = BgL_bufposz00_11985; 
BgL_statezd27zd21461z00_11946:
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11968;
RGC_STOP_MATCH(BgL_iportz00_11964, BgL_forwardz00_11966); 
BgL_newzd2matchzd2_11968 = ((long)0); 
if(
(BgL_forwardz00_11966==BgL_bufposz00_11967))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11964))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4683z00_11969; long BgL_arg4684z00_11970;
BgL_arg4683z00_11969 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11964); 
BgL_arg4684z00_11970 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11964); 
{ 
 long BgL_bufposz00_17469; long BgL_forwardz00_17468;
BgL_forwardz00_17468 = BgL_arg4683z00_11969; 
BgL_bufposz00_17469 = BgL_arg4684z00_11970; 
BgL_bufposz00_11967 = BgL_bufposz00_17469; 
BgL_forwardz00_11966 = BgL_forwardz00_17468; 
goto BgL_statezd27zd21461z00_11946;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_newzd2matchzd2_11968; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11971;
BgL_curz00_11971 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11964, BgL_forwardz00_11966); 
{ /* Llib/mpc.scm 677 */

{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6423z00_17471;
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6424z00_17472;
if(
(
(long)(BgL_curz00_11971)==((long)10)))
{ /* Llib/mpc.scm 677 */
BgL_test6424z00_17472 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6424z00_17472 = 
(
(long)(BgL_curz00_11971)==((long)9))
; } 
if(BgL_test6424z00_17472)
{ /* Llib/mpc.scm 677 */
BgL_test6423z00_17471 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6423z00_17471 = 
(
(long)(BgL_curz00_11971)==((long)32))
; } } 
if(BgL_test6423z00_17471)
{ 
 long BgL_forwardz00_17481; long BgL_lastzd2matchzd2_17480;
BgL_lastzd2matchzd2_17480 = BgL_newzd2matchzd2_11968; 
BgL_forwardz00_17481 = 
(((long)1)+BgL_forwardz00_11966); 
BgL_forwardz00_11966 = BgL_forwardz00_17481; 
BgL_lastzd2matchzd2_11965 = BgL_lastzd2matchzd2_17480; 
goto BgL_statezd27zd21461z00_11946;}  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_newzd2matchzd2_11968; } } } } } }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11951 = BgL_newzd2matchzd2_11986; } } } } } }  else 
{ /* Llib/mpc.scm 677 */
 long BgL_arg4658z00_11998;
BgL_arg4658z00_11998 = 
(((long)1)+BgL_forwardz00_11992); 
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11999;
RGC_STOP_MATCH(BgL_iportz00_11990, BgL_arg4658z00_11998); 
BgL_newzd2matchzd2_11999 = ((long)2); 
BgL_matchz00_11951 = BgL_newzd2matchzd2_11999; } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11943); 
switch( BgL_matchz00_11951) { case ((long)2) : 

{ /* Llib/mpc.scm 686 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg4777z00_11954;
{ /* Llib/mpc.scm 686 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1465z00_11955;
{ /* Llib/mpc.scm 686 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1464z00_11956;
BgL_new1464z00_11956 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 686 */
 long BgL_arg4782z00_11957;
BgL_arg4782z00_11957 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1464z00_11956), BgL_arg4782z00_11957); } 
BgL_new1465z00_11955 = BgL_new1464z00_11956; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1465z00_11955)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1465z00_11955)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17496;
{ /* Llib/mpc.scm 686 */
 obj_t BgL_arg4778z00_11958;
{ /* Llib/mpc.scm 686 */
 obj_t BgL_arg4779z00_11959;
{ /* Llib/mpc.scm 686 */
 obj_t BgL_classz00_11960;
BgL_classz00_11960 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg4779z00_11959 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11960); } 
BgL_arg4778z00_11958 = 
VECTOR_REF(BgL_arg4779z00_11959,((long)2)); } 
BgL_auxz00_17496 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg4778z00_11958); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1465z00_11955)))->BgL_stackz00)=((obj_t)BgL_auxz00_17496),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1465z00_11955)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1465z00_11955)))->BgL_msgz00)=((obj_t)BGl_string5324z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17507;
{ /* Llib/mpc.scm 689 */
 obj_t BgL_arg4780z00_11961;
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6426z00_17509;
{ /* Llib/mpc.scm 677 */
 long BgL_arg4769z00_11963;
BgL_arg4769z00_11963 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11943); 
BgL_test6426z00_17509 = 
(BgL_arg4769z00_11963==((long)0)); } 
if(BgL_test6426z00_17509)
{ /* Llib/mpc.scm 677 */
BgL_arg4780z00_11961 = BEOF; }  else 
{ /* Llib/mpc.scm 677 */
BgL_arg4780z00_11961 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11943)); } } 
BgL_auxz00_17507 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg4780z00_11961, BgL_iportz00_11943); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1465z00_11955)))->BgL_objz00)=((obj_t)BgL_auxz00_17507),BUNSPEC); } 
BgL_arg4777z00_11954 = BgL_new1465z00_11955; } 
BgL_lz00_12083 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg4777z00_11954)); } break;case ((long)1) : 

{ /* Llib/mpc.scm 681 */
 long BgL_vz00_11962;
BgL_vz00_11962 = 
rgc_buffer_fixnum(BgL_iportz00_11943); 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11943); 
BgL_lz00_12083 = 
BINT(BgL_vz00_11962); } break;case ((long)0) : 

goto BgL_ignorez00_11944;break;
default: 
BgL_lz00_12083 = 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11951)); } } } }  else 
{ /* Llib/mpc.scm 695 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12009); 
goto BgL_ignorez00_12010;} } break;
default: 
BgL_lz00_12083 = 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_12017)); } } } 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_lz00_12083))
{ 
 obj_t BgL_tmz00_17536;
BgL_tmz00_17536 = BgL_lz00_12083; 
BgL_tmz00_12082 = BgL_tmz00_17536; 
goto BgL_loopz00_12081;}  else 
{ /* Llib/mpc.scm 716 */
if(
(BgL_lz00_12083==
CNST_TABLE_REF(((long)35))))
{ /* Llib/mpc.scm 718 */
return BgL_tmz00_12082;}  else 
{ 

goto BgL_loopz00_12081;} } } } } } } 

}



/* &music-song-mpc1629 */
obj_t BGl_z62musiczd2songzd2mpc1629z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10495, obj_t BgL_mpcz00_10496)
{
{ /* Llib/mpc.scm 620 */
{ /* Llib/mpc.scm 663 */
 obj_t BgL_arg4254z00_12086;
BgL_arg4254z00_12086 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10496))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_zc3z04anonymousza34256ze3z87_12087;
BgL_zc3z04anonymousza34256ze3z87_12087 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34256ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34256ze3z87_12087, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10496))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34256ze3z87_12087, 
(int)(((long)1)), BGl_proc5453z00zz__multimediazd2mpczd2); 
PROCEDURE_SET(BgL_zc3z04anonymousza34256ze3z87_12087, 
(int)(((long)2)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10496))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4254z00_12086, 
(int)(((long)1000)), BgL_zc3z04anonymousza34256ze3z87_12087);} } } 

}



/* &<@anonymous:4256> */
obj_t BGl_z62zc3z04anonymousza34256ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10497)
{
{ /* Llib/mpc.scm 664 */
{ /* Llib/mpc.scm 665 */
 BgL_mpcz00_bglt BgL_mpcz00_10498; obj_t BgL_musiczd2songzd2parserz00_10499; BgL_mpcz00_bglt BgL_i1436z00_10500;
BgL_mpcz00_10498 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10497, 
(int)(((long)0)))); 
BgL_musiczd2songzd2parserz00_10499 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10497, 
(int)(((long)1)))); 
BgL_i1436z00_10500 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10497, 
(int)(((long)2)))); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_env1445z00_12088;
BgL_env1445z00_12088 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_cell1440z00_12089;
BgL_cell1440z00_12089 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_val1444z00_12090;
BgL_val1444z00_12090 = 
BGl_zc3z04exitza34259ze3ze70z60zz__multimediazd2mpczd2(BgL_musiczd2songzd2parserz00_10499, BgL_mpcz00_10498, BgL_cell1440z00_12089, BgL_env1445z00_12088); 
if(
(BgL_val1444z00_12090==BgL_cell1440z00_12089))
{ /* Llib/mpc.scm 665 */
{ /* Llib/mpc.scm 665 */
 int BgL_tmpz00_17573;
BgL_tmpz00_17573 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_17573); } 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg4258z00_12091;
BgL_arg4258z00_12091 = 
CELL_REF(
((obj_t)BgL_val1444z00_12090)); 
{ /* Llib/mpc.scm 667 */
 BgL_musicstatusz00_bglt BgL_arg4262z00_12092;
BgL_arg4262z00_12092 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1436z00_10500)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10498, BgL_arg4262z00_12092, BgL_arg4258z00_12091); } 
return 
BINT(((long)0));} }  else 
{ /* Llib/mpc.scm 665 */
return BgL_val1444z00_12090;} } } } } } 

}



/* <@exit:4259>~0 */
obj_t BGl_zc3z04exitza34259ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_musiczd2songzd2parserz00_10598, BgL_mpcz00_bglt BgL_mpcz00_10597, obj_t BgL_cell1440z00_10596, obj_t BgL_env1445z00_10595)
{
{ /* Llib/mpc.scm 665 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1449z00_5276;
if( SET_EXIT(BgL_an_exit1449z00_5276 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1449z00_5276 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1445z00_10595, BgL_an_exit1449z00_5276, ((long)1)); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_escape1441z00_5277;
BgL_escape1441z00_5277 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1445z00_10595); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_res1452z00_5278;
{ /* Llib/mpc.scm 665 */
 obj_t BgL_ohs1437z00_5279;
BgL_ohs1437z00_5279 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1445z00_10595); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_hds1438z00_5280;
BgL_hds1438z00_5280 = 
MAKE_STACK_PAIR(BgL_escape1441z00_5277, BgL_cell1440z00_10596); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1445z00_10595, BgL_hds1438z00_5280); BUNSPEC; 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_exitd1446z00_5281;
BgL_exitd1446z00_5281 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1445z00_10595); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_tmp1448z00_5282;
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg4260z00_5284;
BgL_arg4260z00_5284 = 
BGL_EXITD_PROTECT(BgL_exitd1446z00_5281); 
BgL_tmp1448z00_5282 = 
MAKE_YOUNG_PAIR(BgL_ohs1437z00_5279, BgL_arg4260z00_5284); } 
{ /* Llib/mpc.scm 665 */

BGL_EXITD_PROTECT_SET(BgL_exitd1446z00_5281, BgL_tmp1448z00_5282); BUNSPEC; 
{ /* Llib/mpc.scm 669 */
 obj_t BgL_tmp1447z00_5283;
BgL_tmp1447z00_5283 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10597, BGl_string5451z00zz__multimediazd2mpczd2, BgL_musiczd2songzd2parserz00_10598); 
{ /* Llib/mpc.scm 665 */
 bool_t BgL_test6430z00_17594;
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg1808z00_9606;
BgL_arg1808z00_9606 = 
BGL_EXITD_PROTECT(BgL_exitd1446z00_5281); 
BgL_test6430z00_17594 = 
PAIRP(BgL_arg1808z00_9606); } 
if(BgL_test6430z00_17594)
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg1806z00_9607;
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg1807z00_9608;
BgL_arg1807z00_9608 = 
BGL_EXITD_PROTECT(BgL_exitd1446z00_5281); 
BgL_arg1806z00_9607 = 
CDR(
((obj_t)BgL_arg1807z00_9608)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1446z00_5281, BgL_arg1806z00_9607); BUNSPEC; }  else 
{ /* Llib/mpc.scm 665 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1445z00_10595, BgL_ohs1437z00_5279); BUNSPEC; 
BgL_res1452z00_5278 = BgL_tmp1447z00_5283; } } } } } } 
POP_ENV_EXIT(BgL_env1445z00_10595); 
return BgL_res1452z00_5278;} } 
}} 

}



/* &music-song-parser */
obj_t BGl_z62musiczd2songzd2parserz62zz__multimediazd2mpczd2(obj_t BgL_envz00_10501, BgL_mpcz00_bglt BgL_mpcz00_10502)
{
{ /* Llib/mpc.scm 660 */
{ 
 obj_t BgL_iportz00_12095;
{ /* Llib/mpc.scm 655 */
 obj_t BgL_ipz00_12172;
{ /* Llib/mpc.scm 655 */
 obj_t BgL_arg4267z00_12173;
BgL_arg4267z00_12173 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10502))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 655 */
 obj_t BgL_tmpz00_17604;
BgL_tmpz00_17604 = 
((obj_t)BgL_arg4267z00_12173); 
BgL_ipz00_12172 = 
SOCKET_INPUT(BgL_tmpz00_17604); } } 
{ 
 obj_t BgL_serz00_12175;
BgL_serz00_12175 = BNIL; 
BgL_loopz00_12174:
{ /* Llib/mpc.scm 657 */
 obj_t BgL_lz00_12176;
BgL_iportz00_12095 = BgL_ipz00_12172; 
{ 
 obj_t BgL_iportz00_12163; long BgL_lastzd2matchzd2_12164; long BgL_forwardz00_12165; long BgL_bufposz00_12166; obj_t BgL_iportz00_12153; long BgL_lastzd2matchzd2_12154; long BgL_forwardz00_12155; long BgL_bufposz00_12156; obj_t BgL_iportz00_12143; long BgL_lastzd2matchzd2_12144; long BgL_forwardz00_12145; long BgL_bufposz00_12146; obj_t BgL_iportz00_12134; long BgL_lastzd2matchzd2_12135; long BgL_forwardz00_12136; long BgL_bufposz00_12137; obj_t BgL_iportz00_12123; long BgL_lastzd2matchzd2_12124; long BgL_forwardz00_12125; long BgL_bufposz00_12126;
BgL_ignorez00_12096:
RGC_START_MATCH(BgL_iportz00_12095); 
{ /* Llib/mpc.scm 623 */
 long BgL_matchz00_12103;
{ /* Llib/mpc.scm 623 */
 long BgL_arg4452z00_12104; long BgL_arg4453z00_12105;
BgL_arg4452z00_12104 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12095); 
BgL_arg4453z00_12105 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12095); 
BgL_iportz00_12134 = BgL_iportz00_12095; 
BgL_lastzd2matchzd2_12135 = ((long)2); 
BgL_forwardz00_12136 = BgL_arg4452z00_12104; 
BgL_bufposz00_12137 = BgL_arg4453z00_12105; 
BgL_statezd20zd21416z00_12099:
if(
(BgL_forwardz00_12136==BgL_bufposz00_12137))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12134))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4310z00_12138; long BgL_arg4311z00_12139;
BgL_arg4310z00_12138 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12134); 
BgL_arg4311z00_12139 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12134); 
{ 
 long BgL_bufposz00_17617; long BgL_forwardz00_17616;
BgL_forwardz00_17616 = BgL_arg4310z00_12138; 
BgL_bufposz00_17617 = BgL_arg4311z00_12139; 
BgL_bufposz00_12137 = BgL_bufposz00_17617; 
BgL_forwardz00_12136 = BgL_forwardz00_17616; 
goto BgL_statezd20zd21416z00_12099;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_lastzd2matchzd2_12135; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12140;
BgL_curz00_12140 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12134, BgL_forwardz00_12136); 
{ /* Llib/mpc.scm 623 */

if(
(
(long)(BgL_curz00_12140)==((long)79)))
{ /* Llib/mpc.scm 623 */
BgL_iportz00_12143 = BgL_iportz00_12134; 
BgL_lastzd2matchzd2_12144 = BgL_lastzd2matchzd2_12135; 
BgL_forwardz00_12145 = 
(((long)1)+BgL_forwardz00_12136); 
BgL_bufposz00_12146 = BgL_bufposz00_12137; 
BgL_statezd23zd21419z00_12100:
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12147;
RGC_STOP_MATCH(BgL_iportz00_12143, BgL_forwardz00_12145); 
BgL_newzd2matchzd2_12147 = ((long)2); 
if(
(BgL_forwardz00_12145==BgL_bufposz00_12146))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12143))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4294z00_12148; long BgL_arg4295z00_12149;
BgL_arg4294z00_12148 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12143); 
BgL_arg4295z00_12149 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12143); 
{ 
 long BgL_bufposz00_17630; long BgL_forwardz00_17629;
BgL_forwardz00_17629 = BgL_arg4294z00_12148; 
BgL_bufposz00_17630 = BgL_arg4295z00_12149; 
BgL_bufposz00_12146 = BgL_bufposz00_17630; 
BgL_forwardz00_12145 = BgL_forwardz00_17629; 
goto BgL_statezd23zd21419z00_12100;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_newzd2matchzd2_12147; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12150;
BgL_curz00_12150 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12143, BgL_forwardz00_12145); 
{ /* Llib/mpc.scm 623 */

if(
(
(long)(BgL_curz00_12150)==((long)75)))
{ /* Llib/mpc.scm 623 */
BgL_iportz00_12123 = BgL_iportz00_12143; 
BgL_lastzd2matchzd2_12124 = BgL_newzd2matchzd2_12147; 
BgL_forwardz00_12125 = 
(((long)1)+BgL_forwardz00_12145); 
BgL_bufposz00_12126 = BgL_bufposz00_12146; 
BgL_statezd26zd21422z00_12098:
if(
(BgL_forwardz00_12125==BgL_bufposz00_12126))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12123))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4325z00_12127; long BgL_arg4326z00_12128;
BgL_arg4325z00_12127 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12123); 
BgL_arg4326z00_12128 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12123); 
{ 
 long BgL_bufposz00_17642; long BgL_forwardz00_17641;
BgL_forwardz00_17641 = BgL_arg4325z00_12127; 
BgL_bufposz00_17642 = BgL_arg4326z00_12128; 
BgL_bufposz00_12126 = BgL_bufposz00_17642; 
BgL_forwardz00_12125 = BgL_forwardz00_17641; 
goto BgL_statezd26zd21422z00_12098;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_lastzd2matchzd2_12124; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12129;
BgL_curz00_12129 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12123, BgL_forwardz00_12125); 
{ /* Llib/mpc.scm 623 */

{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6439z00_17644;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6440z00_17645;
if(
(
(long)(BgL_curz00_12129)>=((long)65)))
{ /* Llib/mpc.scm 623 */
BgL_test6440z00_17645 = 
(
(long)(BgL_curz00_12129)<((long)91))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6440z00_17645 = ((bool_t)0)
; } 
if(BgL_test6440z00_17645)
{ /* Llib/mpc.scm 623 */
BgL_test6439z00_17644 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12129)>=((long)97)))
{ /* Llib/mpc.scm 623 */
BgL_test6439z00_17644 = 
(
(long)(BgL_curz00_12129)<((long)123))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6439z00_17644 = ((bool_t)0)
; } } } 
if(BgL_test6439z00_17644)
{ /* Llib/mpc.scm 623 */
BgL_iportz00_12163 = BgL_iportz00_12123; 
BgL_lastzd2matchzd2_12164 = BgL_lastzd2matchzd2_12124; 
BgL_forwardz00_12165 = 
(((long)1)+BgL_forwardz00_12125); 
BgL_bufposz00_12166 = BgL_bufposz00_12126; 
BgL_statezd25zd21421z00_12102:
if(
(BgL_forwardz00_12165==BgL_bufposz00_12166))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12163))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4272z00_12167; long BgL_arg4273z00_12168;
BgL_arg4272z00_12167 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12163); 
BgL_arg4273z00_12168 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12163); 
{ 
 long BgL_bufposz00_17663; long BgL_forwardz00_17662;
BgL_forwardz00_17662 = BgL_arg4272z00_12167; 
BgL_bufposz00_17663 = BgL_arg4273z00_12168; 
BgL_bufposz00_12166 = BgL_bufposz00_17663; 
BgL_forwardz00_12165 = BgL_forwardz00_17662; 
goto BgL_statezd25zd21421z00_12102;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_lastzd2matchzd2_12164; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12169;
BgL_curz00_12169 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12163, BgL_forwardz00_12165); 
{ /* Llib/mpc.scm 623 */

{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6445z00_17665;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6446z00_17666;
if(
(
(long)(BgL_curz00_12169)>=((long)65)))
{ /* Llib/mpc.scm 623 */
BgL_test6446z00_17666 = 
(
(long)(BgL_curz00_12169)<((long)91))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6446z00_17666 = ((bool_t)0)
; } 
if(BgL_test6446z00_17666)
{ /* Llib/mpc.scm 623 */
BgL_test6445z00_17665 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12169)>=((long)97)))
{ /* Llib/mpc.scm 623 */
BgL_test6445z00_17665 = 
(
(long)(BgL_curz00_12169)<((long)123))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6445z00_17665 = ((bool_t)0)
; } } } 
if(BgL_test6445z00_17665)
{ 
 long BgL_forwardz00_17677;
BgL_forwardz00_17677 = 
(((long)1)+BgL_forwardz00_12165); 
BgL_forwardz00_12165 = BgL_forwardz00_17677; 
goto BgL_statezd25zd21421z00_12102;}  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12169)==((long)58)))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4279z00_12170;
BgL_arg4279z00_12170 = 
(((long)1)+BgL_forwardz00_12165); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12171;
RGC_STOP_MATCH(BgL_iportz00_12163, BgL_arg4279z00_12170); 
BgL_newzd2matchzd2_12171 = ((long)0); 
BgL_matchz00_12103 = BgL_newzd2matchzd2_12171; } }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_lastzd2matchzd2_12164; } } } } } }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12129)==((long)58)))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4332z00_12130;
BgL_arg4332z00_12130 = 
(((long)1)+BgL_forwardz00_12125); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12131;
RGC_STOP_MATCH(BgL_iportz00_12123, BgL_arg4332z00_12130); 
BgL_newzd2matchzd2_12131 = ((long)0); 
BgL_matchz00_12103 = BgL_newzd2matchzd2_12131; } }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12129)==((long)10)))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4334z00_12132;
BgL_arg4334z00_12132 = 
(((long)1)+BgL_forwardz00_12125); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12133;
RGC_STOP_MATCH(BgL_iportz00_12123, BgL_arg4334z00_12132); 
BgL_newzd2matchzd2_12133 = ((long)1); 
BgL_matchz00_12103 = BgL_newzd2matchzd2_12133; } }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_lastzd2matchzd2_12124; } } } } } } }  else 
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6452z00_17696;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6453z00_17697;
if(
(
(long)(BgL_curz00_12150)>=((long)65)))
{ /* Llib/mpc.scm 623 */
BgL_test6453z00_17697 = 
(
(long)(BgL_curz00_12150)<((long)75))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6453z00_17697 = ((bool_t)0)
; } 
if(BgL_test6453z00_17697)
{ /* Llib/mpc.scm 623 */
BgL_test6452z00_17696 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6455z00_17703;
if(
(
(long)(BgL_curz00_12150)>=((long)76)))
{ /* Llib/mpc.scm 623 */
BgL_test6455z00_17703 = 
(
(long)(BgL_curz00_12150)<((long)91))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6455z00_17703 = ((bool_t)0)
; } 
if(BgL_test6455z00_17703)
{ /* Llib/mpc.scm 623 */
BgL_test6452z00_17696 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12150)>=((long)97)))
{ /* Llib/mpc.scm 623 */
BgL_test6452z00_17696 = 
(
(long)(BgL_curz00_12150)<((long)123))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6452z00_17696 = ((bool_t)0)
; } } } } 
if(BgL_test6452z00_17696)
{ 
 long BgL_bufposz00_17718; long BgL_forwardz00_17716; long BgL_lastzd2matchzd2_17715; obj_t BgL_iportz00_17714;
BgL_iportz00_17714 = BgL_iportz00_12143; 
BgL_lastzd2matchzd2_17715 = BgL_newzd2matchzd2_12147; 
BgL_forwardz00_17716 = 
(((long)1)+BgL_forwardz00_12145); 
BgL_bufposz00_17718 = BgL_bufposz00_12146; 
BgL_bufposz00_12166 = BgL_bufposz00_17718; 
BgL_forwardz00_12165 = BgL_forwardz00_17716; 
BgL_lastzd2matchzd2_12164 = BgL_lastzd2matchzd2_17715; 
BgL_iportz00_12163 = BgL_iportz00_17714; 
goto BgL_statezd25zd21421z00_12102;}  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12150)==((long)58)))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4305z00_12151;
BgL_arg4305z00_12151 = 
(((long)1)+BgL_forwardz00_12145); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12152;
RGC_STOP_MATCH(BgL_iportz00_12143, BgL_arg4305z00_12151); 
BgL_newzd2matchzd2_12152 = ((long)0); 
BgL_matchz00_12103 = BgL_newzd2matchzd2_12152; } }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_newzd2matchzd2_12147; } } } } } } }  else 
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6459z00_17725;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6460z00_17726;
if(
(
(long)(BgL_curz00_12140)>=((long)65)))
{ /* Llib/mpc.scm 623 */
BgL_test6460z00_17726 = 
(
(long)(BgL_curz00_12140)<((long)79))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6460z00_17726 = ((bool_t)0)
; } 
if(BgL_test6460z00_17726)
{ /* Llib/mpc.scm 623 */
BgL_test6459z00_17725 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6462z00_17732;
if(
(
(long)(BgL_curz00_12140)>=((long)80)))
{ /* Llib/mpc.scm 623 */
BgL_test6462z00_17732 = 
(
(long)(BgL_curz00_12140)<((long)91))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6462z00_17732 = ((bool_t)0)
; } 
if(BgL_test6462z00_17732)
{ /* Llib/mpc.scm 623 */
BgL_test6459z00_17725 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12140)>=((long)97)))
{ /* Llib/mpc.scm 623 */
BgL_test6459z00_17725 = 
(
(long)(BgL_curz00_12140)<((long)123))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6459z00_17725 = ((bool_t)0)
; } } } } 
if(BgL_test6459z00_17725)
{ /* Llib/mpc.scm 623 */
BgL_iportz00_12153 = BgL_iportz00_12134; 
BgL_lastzd2matchzd2_12154 = BgL_lastzd2matchzd2_12135; 
BgL_forwardz00_12155 = 
(((long)1)+BgL_forwardz00_12136); 
BgL_bufposz00_12156 = BgL_bufposz00_12137; 
BgL_statezd22zd21418z00_12101:
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12157;
RGC_STOP_MATCH(BgL_iportz00_12153, BgL_forwardz00_12155); 
BgL_newzd2matchzd2_12157 = ((long)2); 
if(
(BgL_forwardz00_12155==BgL_bufposz00_12156))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12153))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4283z00_12158; long BgL_arg4284z00_12159;
BgL_arg4283z00_12158 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12153); 
BgL_arg4284z00_12159 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12153); 
{ 
 long BgL_bufposz00_17751; long BgL_forwardz00_17750;
BgL_forwardz00_17750 = BgL_arg4283z00_12158; 
BgL_bufposz00_17751 = BgL_arg4284z00_12159; 
BgL_bufposz00_12156 = BgL_bufposz00_17751; 
BgL_forwardz00_12155 = BgL_forwardz00_17750; 
goto BgL_statezd22zd21418z00_12101;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_newzd2matchzd2_12157; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12160;
BgL_curz00_12160 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12153, BgL_forwardz00_12155); 
{ /* Llib/mpc.scm 623 */

{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6467z00_17753;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6468z00_17754;
if(
(
(long)(BgL_curz00_12160)>=((long)65)))
{ /* Llib/mpc.scm 623 */
BgL_test6468z00_17754 = 
(
(long)(BgL_curz00_12160)<((long)91))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6468z00_17754 = ((bool_t)0)
; } 
if(BgL_test6468z00_17754)
{ /* Llib/mpc.scm 623 */
BgL_test6467z00_17753 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12160)>=((long)97)))
{ /* Llib/mpc.scm 623 */
BgL_test6467z00_17753 = 
(
(long)(BgL_curz00_12160)<((long)123))
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6467z00_17753 = ((bool_t)0)
; } } } 
if(BgL_test6467z00_17753)
{ 
 long BgL_bufposz00_17769; long BgL_forwardz00_17767; long BgL_lastzd2matchzd2_17766; obj_t BgL_iportz00_17765;
BgL_iportz00_17765 = BgL_iportz00_12153; 
BgL_lastzd2matchzd2_17766 = BgL_newzd2matchzd2_12157; 
BgL_forwardz00_17767 = 
(((long)1)+BgL_forwardz00_12155); 
BgL_bufposz00_17769 = BgL_bufposz00_12156; 
BgL_bufposz00_12166 = BgL_bufposz00_17769; 
BgL_forwardz00_12165 = BgL_forwardz00_17767; 
BgL_lastzd2matchzd2_12164 = BgL_lastzd2matchzd2_17766; 
BgL_iportz00_12163 = BgL_iportz00_17765; 
goto BgL_statezd25zd21421z00_12102;}  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12160)==((long)58)))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4290z00_12161;
BgL_arg4290z00_12161 = 
(((long)1)+BgL_forwardz00_12155); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12162;
RGC_STOP_MATCH(BgL_iportz00_12153, BgL_arg4290z00_12161); 
BgL_newzd2matchzd2_12162 = ((long)0); 
BgL_matchz00_12103 = BgL_newzd2matchzd2_12162; } }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12103 = BgL_newzd2matchzd2_12157; } } } } } } }  else 
{ /* Llib/mpc.scm 623 */
 long BgL_arg4320z00_12141;
BgL_arg4320z00_12141 = 
(((long)1)+BgL_forwardz00_12136); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12142;
RGC_STOP_MATCH(BgL_iportz00_12134, BgL_arg4320z00_12141); 
BgL_newzd2matchzd2_12142 = ((long)2); 
BgL_matchz00_12103 = BgL_newzd2matchzd2_12142; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_12095); 
switch( BgL_matchz00_12103) { case ((long)2) : 

{ /* Llib/mpc.scm 648 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg4424z00_12106;
{ /* Llib/mpc.scm 648 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1433z00_12107;
{ /* Llib/mpc.scm 648 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1432z00_12108;
BgL_new1432z00_12108 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 648 */
 long BgL_arg4429z00_12109;
BgL_arg4429z00_12109 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1432z00_12108), BgL_arg4429z00_12109); } 
BgL_new1433z00_12107 = BgL_new1432z00_12108; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1433z00_12107)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1433z00_12107)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17787;
{ /* Llib/mpc.scm 648 */
 obj_t BgL_arg4425z00_12110;
{ /* Llib/mpc.scm 648 */
 obj_t BgL_arg4426z00_12111;
{ /* Llib/mpc.scm 648 */
 obj_t BgL_classz00_12112;
BgL_classz00_12112 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg4426z00_12111 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_12112); } 
BgL_arg4425z00_12110 = 
VECTOR_REF(BgL_arg4426z00_12111,((long)2)); } 
BgL_auxz00_17787 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg4425z00_12110); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1433z00_12107)))->BgL_stackz00)=((obj_t)BgL_auxz00_17787),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1433z00_12107)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)4))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1433z00_12107)))->BgL_msgz00)=((obj_t)BGl_string5454z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17798;
{ /* Llib/mpc.scm 651 */
 obj_t BgL_arg4427z00_12113;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6472z00_17800;
{ /* Llib/mpc.scm 623 */
 long BgL_arg4416z00_12122;
BgL_arg4416z00_12122 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_12095); 
BgL_test6472z00_17800 = 
(BgL_arg4416z00_12122==((long)0)); } 
if(BgL_test6472z00_17800)
{ /* Llib/mpc.scm 623 */
BgL_arg4427z00_12113 = BEOF; }  else 
{ /* Llib/mpc.scm 623 */
BgL_arg4427z00_12113 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_12095)); } } 
BgL_auxz00_17798 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg4427z00_12113, BgL_iportz00_12095); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1433z00_12107)))->BgL_objz00)=((obj_t)BgL_auxz00_17798),BUNSPEC); } 
BgL_arg4424z00_12106 = BgL_new1433z00_12107; } 
BgL_lz00_12176 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg4424z00_12106)); } break;case ((long)1) : 

BgL_lz00_12176 = 
CNST_TABLE_REF(((long)35)); break;case ((long)0) : 

{ /* Llib/mpc.scm 625 */
 obj_t BgL_kz00_12114;
BgL_kz00_12114 = 
rgc_buffer_keyword(BgL_iportz00_12095); 
if(
(BgL_kz00_12114==
CNST_TABLE_REF(((long)41))))
{ /* Llib/mpc.scm 628 */
 obj_t BgL_arg4431z00_12115;
BgL_arg4431z00_12115 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12095); 
BgL_lz00_12176 = 
MAKE_YOUNG_PAIR(BgL_kz00_12114, BgL_arg4431z00_12115); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12114==
CNST_TABLE_REF(((long)42))))
{ /* Llib/mpc.scm 630 */
 obj_t BgL_arg4434z00_12116;
BgL_arg4434z00_12116 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12095); 
BgL_lz00_12176 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)43)), BgL_arg4434z00_12116); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12114==
CNST_TABLE_REF(((long)44))))
{ /* Llib/mpc.scm 632 */
 obj_t BgL_arg4437z00_12117;
BgL_arg4437z00_12117 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12095); 
BgL_lz00_12176 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)45)), BgL_arg4437z00_12117); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12114==
CNST_TABLE_REF(((long)46))))
{ /* Llib/mpc.scm 634 */
 obj_t BgL_arg4440z00_12118;
BgL_arg4440z00_12118 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12095); 
BgL_lz00_12176 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)47)), BgL_arg4440z00_12118); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12114==
CNST_TABLE_REF(((long)48))))
{ /* Llib/mpc.scm 636 */
 obj_t BgL_arg4443z00_12119;
BgL_arg4443z00_12119 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12095); 
BgL_lz00_12176 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)49)), BgL_arg4443z00_12119); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12114==
CNST_TABLE_REF(((long)50))))
{ /* Llib/mpc.scm 638 */
 obj_t BgL_arg4446z00_12120;
BgL_arg4446z00_12120 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12095); 
BgL_lz00_12176 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)51)), BgL_arg4446z00_12120); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12114==
CNST_TABLE_REF(((long)52))))
{ /* Llib/mpc.scm 640 */
 obj_t BgL_arg4449z00_12121;
BgL_arg4449z00_12121 = 
BGl_z62zc3z04anonymousza32087ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12095); 
BgL_lz00_12176 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)15)), BgL_arg4449z00_12121); }  else 
{ /* Llib/mpc.scm 626 */
BGl_z62zc3z04anonymousza31913ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12095); 
goto BgL_ignorez00_12096;} } } } } } } } break;
default: 
BgL_lz00_12176 = 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_12103)); } } } 
if(
(BgL_lz00_12176==
CNST_TABLE_REF(((long)35))))
{ /* Llib/mpc.scm 658 */
return 
bgl_reverse_bang(BgL_serz00_12175);}  else 
{ /* Llib/mpc.scm 660 */
 obj_t BgL_arg4266z00_12177;
BgL_arg4266z00_12177 = 
MAKE_YOUNG_PAIR(BgL_lz00_12176, BgL_serz00_12175); 
{ 
 obj_t BgL_serz00_17885;
BgL_serz00_17885 = BgL_arg4266z00_12177; 
BgL_serz00_12175 = BgL_serz00_17885; 
goto BgL_loopz00_12174;} } } } } } } 

}



/* &music-status-mpc1627 */
BgL_musicstatusz00_bglt BGl_z62musiczd2statuszd2mpc1627z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10503, obj_t BgL_mpcz00_10504)
{
{ /* Llib/mpc.scm 373 */
{ /* Llib/mpc.scm 375 */
 obj_t BgL_arg4250z00_12179;
BgL_arg4250z00_12179 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10504))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 377 */
 obj_t BgL_zc3z04anonymousza34252ze3z87_12180;
BgL_zc3z04anonymousza34252ze3z87_12180 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34252ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34252ze3z87_12180, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10504))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34252ze3z87_12180, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10504))); 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4250z00_12179, 
(int)(((long)1000)), BgL_zc3z04anonymousza34252ze3z87_12180); } } 
return 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10504))))->BgL_z52statusz52);} 

}



/* &<@anonymous:4252> */
obj_t BGl_z62zc3z04anonymousza34252ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10505)
{
{ /* Llib/mpc.scm 376 */
{ /* Llib/mpc.scm 377 */
 BgL_mpcz00_bglt BgL_i1245z00_10506; BgL_mpcz00_bglt BgL_mpcz00_10507;
BgL_i1245z00_10506 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10505, 
(int)(((long)0)))); 
BgL_mpcz00_10507 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10505, 
(int)(((long)1)))); 
{ /* Llib/mpc.scm 377 */
 BgL_musicstatusz00_bglt BgL_arg4253z00_12181;
BgL_arg4253z00_12181 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1245z00_10506)))->BgL_z52statusz52); 
return 
BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_10507, BgL_arg4253z00_12181);} } } 

}



/* &music-playlist-clear1625 */
obj_t BGl_z62musiczd2playlistzd2clear1625z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10508, obj_t BgL_mpcz00_10509)
{
{ /* Llib/mpc.scm 364 */
{ /* Llib/mpc.scm 366 */
 obj_t BgL_arg4247z00_12183;
BgL_arg4247z00_12183 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10509))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 368 */
 obj_t BgL_zc3z04anonymousza34249ze3z87_12184;
BgL_zc3z04anonymousza34249ze3z87_12184 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34249ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34249ze3z87_12184, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10509))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4247z00_12183, 
(int)(((long)1000)), BgL_zc3z04anonymousza34249ze3z87_12184);} } } 

}



/* &<@anonymous:4249> */
obj_t BGl_z62zc3z04anonymousza34249ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10510)
{
{ /* Llib/mpc.scm 367 */
{ /* Llib/mpc.scm 368 */
 BgL_mpcz00_bglt BgL_mpcz00_10511;
BgL_mpcz00_10511 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10510, 
(int)(((long)0)))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10511, BGl_string5455z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-playlist-delet1623 */
obj_t BGl_z62musiczd2playlistzd2delet1623z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10512, obj_t BgL_mpcz00_10513, obj_t BgL_nz00_10514)
{
{ /* Llib/mpc.scm 355 */
{ /* Llib/mpc.scm 357 */
 obj_t BgL_arg4242z00_12186;
BgL_arg4242z00_12186 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10513))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 359 */
 obj_t BgL_zc3z04anonymousza34244ze3z87_12187;
BgL_zc3z04anonymousza34244ze3z87_12187 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34244ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34244ze3z87_12187, 
(int)(((long)0)), BgL_nz00_10514); 
PROCEDURE_SET(BgL_zc3z04anonymousza34244ze3z87_12187, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10513))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4242z00_12186, 
(int)(((long)1000)), BgL_zc3z04anonymousza34244ze3z87_12187);} } } 

}



/* &<@anonymous:4244> */
obj_t BGl_z62zc3z04anonymousza34244ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10515)
{
{ /* Llib/mpc.scm 358 */
{ /* Llib/mpc.scm 359 */
 obj_t BgL_nz00_10516; BgL_mpcz00_bglt BgL_mpcz00_10517;
BgL_nz00_10516 = 
PROCEDURE_REF(BgL_envz00_10515, 
(int)(((long)0))); 
BgL_mpcz00_10517 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10515, 
(int)(((long)1)))); 
{ /* Llib/mpc.scm 359 */
 obj_t BgL_arg4245z00_12188;
{ /* Llib/mpc.scm 359 */
 obj_t BgL_arg4246z00_12189;
{ /* Llib/mpc.scm 359 */

BgL_arg4246z00_12189 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_nz00_10516), ((long)10)); } 
BgL_arg4245z00_12188 = 
string_append(BGl_string5456z00zz__multimediazd2mpczd2, BgL_arg4246z00_12189); } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10517, BgL_arg4245z00_12188, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } 

}



/* &music-playlist-add!-1621 */
obj_t BGl_z62musiczd2playlistzd2addz12zd21621za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10518, obj_t BgL_mpcz00_10519, obj_t BgL_sz00_10520)
{
{ /* Llib/mpc.scm 342 */
{ 

{ /* Llib/mpc.scm 342 */
 obj_t BgL_nextzd2method1620zd2_12192;
BgL_nextzd2method1620zd2_12192 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10519)), BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2); 
PROCEDURE_ENTRY(BgL_nextzd2method1620zd2_12192)(BgL_nextzd2method1620zd2_12192, 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10519)), BgL_sz00_10520, BEOA); } 
{ /* Llib/mpc.scm 345 */
 obj_t BgL_arg4228z00_12193;
BgL_arg4228z00_12193 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10519))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 347 */
 obj_t BgL_zc3z04anonymousza34230ze3z87_12194;
BgL_zc3z04anonymousza34230ze3z87_12194 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34230ze3ze5zz__multimediazd2mpczd2, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34230ze3z87_12194, 
(int)(((long)0)), BgL_sz00_10520); 
PROCEDURE_SET(BgL_zc3z04anonymousza34230ze3z87_12194, 
(int)(((long)1)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10519))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34230ze3z87_12194, 
(int)(((long)2)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10519))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4228z00_12193, 
(int)(((long)1000)), BgL_zc3z04anonymousza34230ze3z87_12194);} } } } 

}



/* &<@anonymous:4230> */
obj_t BGl_z62zc3z04anonymousza34230ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10521)
{
{ /* Llib/mpc.scm 346 */
{ /* Llib/mpc.scm 347 */
 obj_t BgL_sz00_10522; BgL_mpcz00_bglt BgL_i1242z00_10523; BgL_mpcz00_bglt BgL_mpcz00_10524;
BgL_sz00_10522 = 
PROCEDURE_REF(BgL_envz00_10521, 
(int)(((long)0))); 
BgL_i1242z00_10523 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10521, 
(int)(((long)1)))); 
BgL_mpcz00_10524 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10521, 
(int)(((long)2)))); 
{ /* Llib/mpc.scm 347 */
 obj_t BgL_sz00_12195;
{ /* Llib/mpc.scm 347 */
 bool_t BgL_test6481z00_17989;
{ /* Llib/mpc.scm 347 */
 bool_t BgL_test6482z00_17990;
{ /* Llib/mpc.scm 347 */
 obj_t BgL_tmpz00_17991;
BgL_tmpz00_17991 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_i1242z00_10523))->BgL_prefixz00); 
BgL_test6482z00_17990 = 
STRINGP(BgL_tmpz00_17991); } 
if(BgL_test6482z00_17990)
{ /* Llib/mpc.scm 347 */
BgL_test6481z00_17989 = 
bigloo_strcmp_at(BgL_sz00_10522, 
(((BgL_mpcz00_bglt)COBJECT(BgL_i1242z00_10523))->BgL_prefixz00), ((long)0))
; }  else 
{ /* Llib/mpc.scm 347 */
BgL_test6481z00_17989 = ((bool_t)0)
; } } 
if(BgL_test6481z00_17989)
{ /* Llib/mpc.scm 348 */
 long BgL_arg4237z00_12196; long BgL_arg4238z00_12197;
BgL_arg4237z00_12196 = 
STRING_LENGTH(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1242z00_10523))->BgL_prefixz00)); 
BgL_arg4238z00_12197 = 
STRING_LENGTH(
((obj_t)BgL_sz00_10522)); 
BgL_sz00_12195 = 
c_substring(
((obj_t)BgL_sz00_10522), BgL_arg4237z00_12196, BgL_arg4238z00_12197); }  else 
{ /* Llib/mpc.scm 347 */
BgL_sz00_12195 = BgL_sz00_10522; } } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10524, 
string_append_3(BGl_string5457z00zz__multimediazd2mpczd2, BgL_sz00_12195, BGl_string5458z00zz__multimediazd2mpczd2), BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } 

}



/* &music-playlist-get-m1619 */
obj_t BGl_z62musiczd2playlistzd2getzd2m1619zb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10525, obj_t BgL_mpcz00_10526)
{
{ /* Llib/mpc.scm 294 */
{ /* Llib/mpc.scm 323 */
 obj_t BgL_playlistzd2parserzd2_12199;
{ /* Llib/mpc.scm 297 */
 int BgL_tmpz00_18004;
BgL_tmpz00_18004 = 
(int)(((long)1)); 
BgL_playlistzd2parserzd2_12199 = 
MAKE_L_PROCEDURE(BGl_z62playlistzd2parserzb0zz__multimediazd2mpczd2, BgL_tmpz00_18004); } 
PROCEDURE_L_SET(BgL_playlistzd2parserzd2_12199, 
(int)(((long)0)), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10526))); 
{ /* Llib/mpc.scm 332 */
 obj_t BgL_mutex4015z00_12200;
BgL_mutex4015z00_12200 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10526))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 332 */
 obj_t BgL_top6484z00_18015;
BgL_top6484z00_18015 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex4015z00_12200); 
BGL_EXITD_PUSH_PROTECT(BgL_top6484z00_18015, BgL_mutex4015z00_12200); BUNSPEC; 
{ /* Llib/mpc.scm 332 */
 obj_t BgL_tmp6483z00_18014;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_env1233z00_12201;
BgL_env1233z00_12201 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_cell1228z00_12202;
BgL_cell1228z00_12202 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_val1232z00_12203;
BgL_val1232z00_12203 = 
BGl_zc3z04exitza34018ze3ze70z60zz__multimediazd2mpczd2(BgL_playlistzd2parserzd2_12199, 
((BgL_mpcz00_bglt)BgL_mpcz00_10526), BgL_cell1228z00_12202, BgL_env1233z00_12201); 
if(
(BgL_val1232z00_12203==BgL_cell1228z00_12202))
{ /* Llib/mpc.scm 333 */
{ /* Llib/mpc.scm 333 */
 int BgL_tmpz00_18025;
BgL_tmpz00_18025 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_18025); } 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg4017z00_12204;
BgL_arg4017z00_12204 = 
CELL_REF(
((obj_t)BgL_val1232z00_12203)); 
{ /* Llib/mpc.scm 335 */
 BgL_musicstatusz00_bglt BgL_arg4021z00_12205;
BgL_arg4021z00_12205 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10526))))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(
((BgL_mpcz00_bglt)BgL_mpcz00_10526), BgL_arg4021z00_12205, BgL_arg4017z00_12204); } 
BgL_tmp6483z00_18014 = BNIL; } }  else 
{ /* Llib/mpc.scm 333 */
BgL_tmp6483z00_18014 = BgL_val1232z00_12203; } } } } 
BGL_EXITD_POP_PROTECT(BgL_top6484z00_18015); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex4015z00_12200); 
return BgL_tmp6483z00_18014;} } } } } 

}



/* <@exit:4018>~0 */
obj_t BGl_zc3z04exitza34018ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_playlistzd2parserzd2_10594, BgL_mpcz00_bglt BgL_mpcz00_10593, obj_t BgL_cell1228z00_10592, obj_t BgL_env1233z00_10591)
{
{ /* Llib/mpc.scm 333 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1237z00_4734;
if( SET_EXIT(BgL_an_exit1237z00_4734 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1237z00_4734 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1233z00_10591, BgL_an_exit1237z00_4734, ((long)1)); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_escape1229z00_4735;
BgL_escape1229z00_4735 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1233z00_10591); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_res1240z00_4736;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_ohs1225z00_4737;
BgL_ohs1225z00_4737 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1233z00_10591); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_hds1226z00_4738;
BgL_hds1226z00_4738 = 
MAKE_STACK_PAIR(BgL_escape1229z00_4735, BgL_cell1228z00_10592); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1233z00_10591, BgL_hds1226z00_4738); BUNSPEC; 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_exitd1234z00_4739;
BgL_exitd1234z00_4739 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1233z00_10591); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_tmp1236z00_4740;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg4019z00_4742;
BgL_arg4019z00_4742 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_4739); 
BgL_tmp1236z00_4740 = 
MAKE_YOUNG_PAIR(BgL_ohs1225z00_4737, BgL_arg4019z00_4742); } 
{ /* Llib/mpc.scm 333 */

BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_4739, BgL_tmp1236z00_4740); BUNSPEC; 
{ /* Llib/mpc.scm 337 */
 obj_t BgL_tmp1235z00_4741;
BgL_tmp1235z00_4741 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10593, BGl_string5459z00zz__multimediazd2mpczd2, BgL_playlistzd2parserzd2_10594); 
{ /* Llib/mpc.scm 333 */
 bool_t BgL_test6486z00_18049;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg1808z00_9451;
BgL_arg1808z00_9451 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_4739); 
BgL_test6486z00_18049 = 
PAIRP(BgL_arg1808z00_9451); } 
if(BgL_test6486z00_18049)
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg1806z00_9452;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg1807z00_9453;
BgL_arg1807z00_9453 = 
BGL_EXITD_PROTECT(BgL_exitd1234z00_4739); 
BgL_arg1806z00_9452 = 
CDR(
((obj_t)BgL_arg1807z00_9453)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1234z00_4739, BgL_arg1806z00_9452); BUNSPEC; }  else 
{ /* Llib/mpc.scm 333 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1233z00_10591, BgL_ohs1225z00_4737); BUNSPEC; 
BgL_res1240z00_4736 = BgL_tmp1235z00_4741; } } } } } } 
POP_ENV_EXIT(BgL_env1233z00_10591); 
return BgL_res1240z00_4736;} } 
}} 

}



/* &playlist-parser */
obj_t BGl_z62playlistzd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10527, BgL_mpcz00_bglt BgL_mpcz00_10529)
{
{ /* Llib/mpc.scm 329 */
{ /* Llib/mpc.scm 323 */
 BgL_mpcz00_bglt BgL_mpcz00_10528;
BgL_mpcz00_10528 = 
((BgL_mpcz00_bglt)
PROCEDURE_L_REF(BgL_envz00_10527, 
(int)(((long)0)))); 
{ 
 obj_t BgL_iportz00_12210; obj_t BgL_sz00_12209;
{ /* Llib/mpc.scm 324 */
 obj_t BgL_ipz00_12324;
{ /* Llib/mpc.scm 324 */
 obj_t BgL_arg4031z00_12325;
BgL_arg4031z00_12325 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10529))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 324 */
 obj_t BgL_tmpz00_18062;
BgL_tmpz00_18062 = 
((obj_t)BgL_arg4031z00_12325); 
BgL_ipz00_12324 = 
SOCKET_INPUT(BgL_tmpz00_18062); } } 
{ 
 obj_t BgL_serz00_12327;
BgL_serz00_12327 = BNIL; 
BgL_loopz00_12326:
{ /* Llib/mpc.scm 326 */
 obj_t BgL_lz00_12328;
BgL_iportz00_12210 = BgL_ipz00_12324; 
{ 
 obj_t BgL_iportz00_12315; long BgL_lastzd2matchzd2_12316; long BgL_forwardz00_12317; long BgL_bufposz00_12318; obj_t BgL_iportz00_12307; long BgL_lastzd2matchzd2_12308; long BgL_forwardz00_12309; long BgL_bufposz00_12310; obj_t BgL_iportz00_12298; long BgL_lastzd2matchzd2_12299; long BgL_forwardz00_12300; long BgL_bufposz00_12301; obj_t BgL_iportz00_12291; long BgL_lastzd2matchzd2_12292; long BgL_forwardz00_12293; long BgL_bufposz00_12294; obj_t BgL_iportz00_12282; long BgL_lastzd2matchzd2_12283; long BgL_forwardz00_12284; long BgL_bufposz00_12285; obj_t BgL_iportz00_12274; long BgL_lastzd2matchzd2_12275; long BgL_forwardz00_12276; long BgL_bufposz00_12277; obj_t BgL_iportz00_12266; long BgL_lastzd2matchzd2_12267; long BgL_forwardz00_12268; long BgL_bufposz00_12269; obj_t BgL_iportz00_12259; long BgL_lastzd2matchzd2_12260; long BgL_forwardz00_12261; long BgL_bufposz00_12262; obj_t BgL_iportz00_12252; long BgL_lastzd2matchzd2_12253; long BgL_forwardz00_12254; long BgL_bufposz00_12255; obj_t BgL_iportz00_12245; long BgL_lastzd2matchzd2_12246; long BgL_forwardz00_12247; long BgL_bufposz00_12248; obj_t BgL_iportz00_12238; long BgL_lastzd2matchzd2_12239; long BgL_forwardz00_12240; long BgL_bufposz00_12241;
RGC_START_MATCH(BgL_iportz00_12210); 
{ /* Llib/mpc.scm 303 */
 long BgL_matchz00_12224;
{ /* Llib/mpc.scm 303 */
 long BgL_arg4222z00_12225; long BgL_arg4223z00_12226;
BgL_arg4222z00_12225 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12210); 
BgL_arg4223z00_12226 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12210); 
BgL_iportz00_12282 = BgL_iportz00_12210; 
BgL_lastzd2matchzd2_12283 = ((long)3); 
BgL_forwardz00_12284 = BgL_arg4222z00_12225; 
BgL_bufposz00_12285 = BgL_arg4223z00_12226; 
BgL_statezd20zd21203z00_12219:
if(
(BgL_forwardz00_12284==BgL_bufposz00_12285))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12282))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4069z00_12286; long BgL_arg4070z00_12287;
BgL_arg4069z00_12286 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12282); 
BgL_arg4070z00_12287 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12282); 
{ 
 long BgL_bufposz00_18075; long BgL_forwardz00_18074;
BgL_forwardz00_18074 = BgL_arg4069z00_12286; 
BgL_bufposz00_18075 = BgL_arg4070z00_12287; 
BgL_bufposz00_12285 = BgL_bufposz00_18075; 
BgL_forwardz00_12284 = BgL_forwardz00_18074; 
goto BgL_statezd20zd21203z00_12219;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12283; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12288;
BgL_curz00_12288 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12282, BgL_forwardz00_12284); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12288)==((long)79)))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12307 = BgL_iportz00_12282; 
BgL_lastzd2matchzd2_12308 = BgL_lastzd2matchzd2_12283; 
BgL_forwardz00_12309 = 
(((long)1)+BgL_forwardz00_12284); 
BgL_bufposz00_12310 = BgL_bufposz00_12285; 
BgL_statezd23zd21206z00_12222:
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12311;
RGC_STOP_MATCH(BgL_iportz00_12307, BgL_forwardz00_12309); 
BgL_newzd2matchzd2_12311 = ((long)3); 
if(
(BgL_forwardz00_12309==BgL_bufposz00_12310))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12307))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4044z00_12312; long BgL_arg4045z00_12313;
BgL_arg4044z00_12312 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12307); 
BgL_arg4045z00_12313 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12307); 
{ 
 long BgL_bufposz00_18088; long BgL_forwardz00_18087;
BgL_forwardz00_18087 = BgL_arg4044z00_12312; 
BgL_bufposz00_18088 = BgL_arg4045z00_12313; 
BgL_bufposz00_12310 = BgL_bufposz00_18088; 
BgL_forwardz00_12309 = BgL_forwardz00_18087; 
goto BgL_statezd23zd21206z00_12222;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_newzd2matchzd2_12311; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12314;
BgL_curz00_12314 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12307, BgL_forwardz00_12309); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12314)==((long)75)))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12298 = BgL_iportz00_12307; 
BgL_lastzd2matchzd2_12299 = BgL_newzd2matchzd2_12311; 
BgL_forwardz00_12300 = 
(((long)1)+BgL_forwardz00_12309); 
BgL_bufposz00_12301 = BgL_bufposz00_12310; 
BgL_statezd24zd21207z00_12221:
if(
(BgL_forwardz00_12300==BgL_bufposz00_12301))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12298))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4051z00_12302; long BgL_arg4052z00_12303;
BgL_arg4051z00_12302 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12298); 
BgL_arg4052z00_12303 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12298); 
{ 
 long BgL_bufposz00_18100; long BgL_forwardz00_18099;
BgL_forwardz00_18099 = BgL_arg4051z00_12302; 
BgL_bufposz00_18100 = BgL_arg4052z00_12303; 
BgL_bufposz00_12301 = BgL_bufposz00_18100; 
BgL_forwardz00_12300 = BgL_forwardz00_18099; 
goto BgL_statezd24zd21207z00_12221;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12299; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12304;
BgL_curz00_12304 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12298, BgL_forwardz00_12300); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12304)==((long)10)))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4054z00_12305;
BgL_arg4054z00_12305 = 
(((long)1)+BgL_forwardz00_12300); 
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12306;
RGC_STOP_MATCH(BgL_iportz00_12298, BgL_arg4054z00_12305); 
BgL_newzd2matchzd2_12306 = ((long)2); 
BgL_matchz00_12224 = BgL_newzd2matchzd2_12306; } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12299; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_newzd2matchzd2_12311; } } } } }  else 
{ /* Llib/mpc.scm 303 */
 bool_t BgL_test6496z00_18109;
if(
(
(long)(BgL_curz00_12288)>=((long)48)))
{ /* Llib/mpc.scm 303 */
BgL_test6496z00_18109 = 
(
(long)(BgL_curz00_12288)<((long)58))
; }  else 
{ /* Llib/mpc.scm 303 */
BgL_test6496z00_18109 = ((bool_t)0)
; } 
if(BgL_test6496z00_18109)
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12274 = BgL_iportz00_12282; 
BgL_lastzd2matchzd2_12275 = BgL_lastzd2matchzd2_12283; 
BgL_forwardz00_12276 = 
(((long)1)+BgL_forwardz00_12284); 
BgL_bufposz00_12277 = BgL_bufposz00_12285; 
BgL_statezd22zd21205z00_12218:
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12278;
RGC_STOP_MATCH(BgL_iportz00_12274, BgL_forwardz00_12276); 
BgL_newzd2matchzd2_12278 = ((long)3); 
if(
(BgL_forwardz00_12276==BgL_bufposz00_12277))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12274))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4080z00_12279; long BgL_arg4081z00_12280;
BgL_arg4080z00_12279 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12274); 
BgL_arg4081z00_12280 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12274); 
{ 
 long BgL_bufposz00_18123; long BgL_forwardz00_18122;
BgL_forwardz00_18122 = BgL_arg4080z00_12279; 
BgL_bufposz00_18123 = BgL_arg4081z00_12280; 
BgL_bufposz00_12277 = BgL_bufposz00_18123; 
BgL_forwardz00_12276 = BgL_forwardz00_18122; 
goto BgL_statezd22zd21205z00_12218;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_newzd2matchzd2_12278; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12281;
BgL_curz00_12281 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12274, BgL_forwardz00_12276); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12281)==((long)58)))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12266 = BgL_iportz00_12274; 
BgL_lastzd2matchzd2_12267 = BgL_newzd2matchzd2_12278; 
BgL_forwardz00_12268 = 
(((long)1)+BgL_forwardz00_12276); 
BgL_bufposz00_12269 = BgL_bufposz00_12277; 
BgL_statezd28zd21211z00_12217:
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12270;
RGC_STOP_MATCH(BgL_iportz00_12266, BgL_forwardz00_12268); 
BgL_newzd2matchzd2_12270 = ((long)0); 
if(
(BgL_forwardz00_12268==BgL_bufposz00_12269))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12266))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4090z00_12271; long BgL_arg4091z00_12272;
BgL_arg4090z00_12271 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12266); 
BgL_arg4091z00_12272 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12266); 
{ 
 long BgL_bufposz00_18136; long BgL_forwardz00_18135;
BgL_forwardz00_18135 = BgL_arg4090z00_12271; 
BgL_bufposz00_18136 = BgL_arg4091z00_12272; 
BgL_bufposz00_12269 = BgL_bufposz00_18136; 
BgL_forwardz00_12268 = BgL_forwardz00_18135; 
goto BgL_statezd28zd21211z00_12217;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_newzd2matchzd2_12270; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12273;
BgL_curz00_12273 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12266, BgL_forwardz00_12268); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12273)==((long)102)))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12259 = BgL_iportz00_12266; 
BgL_lastzd2matchzd2_12260 = BgL_newzd2matchzd2_12270; 
BgL_forwardz00_12261 = 
(((long)1)+BgL_forwardz00_12268); 
BgL_bufposz00_12262 = BgL_bufposz00_12269; 
BgL_statezd29zd21212z00_12216:
if(
(BgL_forwardz00_12261==BgL_bufposz00_12262))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12259))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4097z00_12263; long BgL_arg4098z00_12264;
BgL_arg4097z00_12263 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12259); 
BgL_arg4098z00_12264 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12259); 
{ 
 long BgL_bufposz00_18148; long BgL_forwardz00_18147;
BgL_forwardz00_18147 = BgL_arg4097z00_12263; 
BgL_bufposz00_18148 = BgL_arg4098z00_12264; 
BgL_bufposz00_12262 = BgL_bufposz00_18148; 
BgL_forwardz00_12261 = BgL_forwardz00_18147; 
goto BgL_statezd29zd21212z00_12216;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12260; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12265;
BgL_curz00_12265 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12259, BgL_forwardz00_12261); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12265)==((long)105)))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12252 = BgL_iportz00_12259; 
BgL_lastzd2matchzd2_12253 = BgL_lastzd2matchzd2_12260; 
BgL_forwardz00_12254 = 
(((long)1)+BgL_forwardz00_12261); 
BgL_bufposz00_12255 = BgL_bufposz00_12262; 
BgL_statezd210zd21213z00_12215:
if(
(BgL_forwardz00_12254==BgL_bufposz00_12255))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12252))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4104z00_12256; long BgL_arg4105z00_12257;
BgL_arg4104z00_12256 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12252); 
BgL_arg4105z00_12257 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12252); 
{ 
 long BgL_bufposz00_18160; long BgL_forwardz00_18159;
BgL_forwardz00_18159 = BgL_arg4104z00_12256; 
BgL_bufposz00_18160 = BgL_arg4105z00_12257; 
BgL_bufposz00_12255 = BgL_bufposz00_18160; 
BgL_forwardz00_12254 = BgL_forwardz00_18159; 
goto BgL_statezd210zd21213z00_12215;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12253; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12258;
BgL_curz00_12258 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12252, BgL_forwardz00_12254); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12258)==((long)108)))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12245 = BgL_iportz00_12252; 
BgL_lastzd2matchzd2_12246 = BgL_lastzd2matchzd2_12253; 
BgL_forwardz00_12247 = 
(((long)1)+BgL_forwardz00_12254); 
BgL_bufposz00_12248 = BgL_bufposz00_12255; 
BgL_statezd211zd21214z00_12214:
if(
(BgL_forwardz00_12247==BgL_bufposz00_12248))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12245))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4111z00_12249; long BgL_arg4112z00_12250;
BgL_arg4111z00_12249 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12245); 
BgL_arg4112z00_12250 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12245); 
{ 
 long BgL_bufposz00_18172; long BgL_forwardz00_18171;
BgL_forwardz00_18171 = BgL_arg4111z00_12249; 
BgL_bufposz00_18172 = BgL_arg4112z00_12250; 
BgL_bufposz00_12248 = BgL_bufposz00_18172; 
BgL_forwardz00_12247 = BgL_forwardz00_18171; 
goto BgL_statezd211zd21214z00_12214;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12246; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12251;
BgL_curz00_12251 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12245, BgL_forwardz00_12247); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12251)==((long)101)))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12238 = BgL_iportz00_12245; 
BgL_lastzd2matchzd2_12239 = BgL_lastzd2matchzd2_12246; 
BgL_forwardz00_12240 = 
(((long)1)+BgL_forwardz00_12247); 
BgL_bufposz00_12241 = BgL_bufposz00_12248; 
BgL_statezd212zd21215z00_12213:
if(
(BgL_forwardz00_12240==BgL_bufposz00_12241))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12238))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4118z00_12242; long BgL_arg4119z00_12243;
BgL_arg4118z00_12242 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12238); 
BgL_arg4119z00_12243 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12238); 
{ 
 long BgL_bufposz00_18184; long BgL_forwardz00_18183;
BgL_forwardz00_18183 = BgL_arg4118z00_12242; 
BgL_bufposz00_18184 = BgL_arg4119z00_12243; 
BgL_bufposz00_12241 = BgL_bufposz00_18184; 
BgL_forwardz00_12240 = BgL_forwardz00_18183; 
goto BgL_statezd212zd21215z00_12213;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12239; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12244;
BgL_curz00_12244 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12238, BgL_forwardz00_12240); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12244)==((long)58)))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12315 = BgL_iportz00_12238; 
BgL_lastzd2matchzd2_12316 = BgL_lastzd2matchzd2_12239; 
BgL_forwardz00_12317 = 
(((long)1)+BgL_forwardz00_12240); 
BgL_bufposz00_12318 = BgL_bufposz00_12241; 
BgL_statezd213zd21216z00_12223:
if(
(BgL_forwardz00_12317==BgL_bufposz00_12318))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12315))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4036z00_12319; long BgL_arg4037z00_12320;
BgL_arg4036z00_12319 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12315); 
BgL_arg4037z00_12320 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12315); 
{ 
 long BgL_bufposz00_18196; long BgL_forwardz00_18195;
BgL_forwardz00_18195 = BgL_arg4036z00_12319; 
BgL_bufposz00_18196 = BgL_arg4037z00_12320; 
BgL_bufposz00_12318 = BgL_bufposz00_18196; 
BgL_forwardz00_12317 = BgL_forwardz00_18195; 
goto BgL_statezd213zd21216z00_12223;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12316; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12321;
BgL_curz00_12321 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12315, BgL_forwardz00_12317); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12321)==((long)32)))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4039z00_12322;
BgL_arg4039z00_12322 = 
(((long)1)+BgL_forwardz00_12317); 
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12323;
RGC_STOP_MATCH(BgL_iportz00_12315, BgL_arg4039z00_12322); 
BgL_newzd2matchzd2_12323 = ((long)1); 
BgL_matchz00_12224 = BgL_newzd2matchzd2_12323; } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12316; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12239; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12246; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12253; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12260; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_newzd2matchzd2_12270; } } } } }  else 
{ /* Llib/mpc.scm 303 */
 bool_t BgL_test6519z00_18209;
if(
(
(long)(BgL_curz00_12281)>=((long)48)))
{ /* Llib/mpc.scm 303 */
BgL_test6519z00_18209 = 
(
(long)(BgL_curz00_12281)<((long)58))
; }  else 
{ /* Llib/mpc.scm 303 */
BgL_test6519z00_18209 = ((bool_t)0)
; } 
if(BgL_test6519z00_18209)
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12291 = BgL_iportz00_12274; 
BgL_lastzd2matchzd2_12292 = BgL_newzd2matchzd2_12278; 
BgL_forwardz00_12293 = 
(((long)1)+BgL_forwardz00_12276); 
BgL_bufposz00_12294 = BgL_bufposz00_12277; 
BgL_statezd27zd21210z00_12220:
if(
(BgL_forwardz00_12293==BgL_bufposz00_12294))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12291))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4059z00_12295; long BgL_arg4060z00_12296;
BgL_arg4059z00_12295 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12291); 
BgL_arg4060z00_12296 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12291); 
{ 
 long BgL_bufposz00_18222; long BgL_forwardz00_18221;
BgL_forwardz00_18221 = BgL_arg4059z00_12295; 
BgL_bufposz00_18222 = BgL_arg4060z00_12296; 
BgL_bufposz00_12294 = BgL_bufposz00_18222; 
BgL_forwardz00_12293 = BgL_forwardz00_18221; 
goto BgL_statezd27zd21210z00_12220;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12292; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12297;
BgL_curz00_12297 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12291, BgL_forwardz00_12293); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12297)==((long)58)))
{ 
 long BgL_bufposz00_18231; long BgL_forwardz00_18229; long BgL_lastzd2matchzd2_18228; obj_t BgL_iportz00_18227;
BgL_iportz00_18227 = BgL_iportz00_12291; 
BgL_lastzd2matchzd2_18228 = BgL_lastzd2matchzd2_12292; 
BgL_forwardz00_18229 = 
(((long)1)+BgL_forwardz00_12293); 
BgL_bufposz00_18231 = BgL_bufposz00_12294; 
BgL_bufposz00_12269 = BgL_bufposz00_18231; 
BgL_forwardz00_12268 = BgL_forwardz00_18229; 
BgL_lastzd2matchzd2_12267 = BgL_lastzd2matchzd2_18228; 
BgL_iportz00_12266 = BgL_iportz00_18227; 
goto BgL_statezd28zd21211z00_12217;}  else 
{ /* Llib/mpc.scm 303 */
 bool_t BgL_test6524z00_18232;
if(
(
(long)(BgL_curz00_12297)>=((long)48)))
{ /* Llib/mpc.scm 303 */
BgL_test6524z00_18232 = 
(
(long)(BgL_curz00_12297)<((long)58))
; }  else 
{ /* Llib/mpc.scm 303 */
BgL_test6524z00_18232 = ((bool_t)0)
; } 
if(BgL_test6524z00_18232)
{ 
 long BgL_forwardz00_18238;
BgL_forwardz00_18238 = 
(((long)1)+BgL_forwardz00_12293); 
BgL_forwardz00_12293 = BgL_forwardz00_18238; 
goto BgL_statezd27zd21210z00_12220;}  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_lastzd2matchzd2_12292; } } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12224 = BgL_newzd2matchzd2_12278; } } } } } }  else 
{ /* Llib/mpc.scm 303 */
 long BgL_arg4076z00_12289;
BgL_arg4076z00_12289 = 
(((long)1)+BgL_forwardz00_12284); 
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12290;
RGC_STOP_MATCH(BgL_iportz00_12282, BgL_arg4076z00_12289); 
BgL_newzd2matchzd2_12290 = ((long)3); 
BgL_matchz00_12224 = BgL_newzd2matchzd2_12290; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_12210); 
switch( BgL_matchz00_12224) { case ((long)3) : 

{ /* Llib/mpc.scm 312 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_excz00_12227;
{ /* Llib/mpc.scm 312 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1221z00_12228;
{ /* Llib/mpc.scm 312 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1220z00_12229;
BgL_new1220z00_12229 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 312 */
 long BgL_arg4219z00_12230;
BgL_arg4219z00_12230 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_12229), BgL_arg4219z00_12230); } 
BgL_new1221z00_12228 = BgL_new1220z00_12229; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1221z00_12228)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1221z00_12228)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_18253;
{ /* Llib/mpc.scm 312 */
 obj_t BgL_arg4215z00_12231;
{ /* Llib/mpc.scm 312 */
 obj_t BgL_arg4216z00_12232;
{ /* Llib/mpc.scm 312 */
 obj_t BgL_classz00_12233;
BgL_classz00_12233 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg4216z00_12232 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_12233); } 
BgL_arg4215z00_12231 = 
VECTOR_REF(BgL_arg4216z00_12232,((long)2)); } 
BgL_auxz00_18253 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg4215z00_12231); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1221z00_12228)))->BgL_stackz00)=((obj_t)BgL_auxz00_18253),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1221z00_12228)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)53))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1221z00_12228)))->BgL_msgz00)=((obj_t)BGl_string5462z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_18264;
{ /* Llib/mpc.scm 315 */
 obj_t BgL_arg4217z00_12234;
{ /* Llib/mpc.scm 303 */
 bool_t BgL_test6526z00_18266;
{ /* Llib/mpc.scm 303 */
 long BgL_arg4203z00_12237;
BgL_arg4203z00_12237 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_12210); 
BgL_test6526z00_18266 = 
(BgL_arg4203z00_12237==((long)0)); } 
if(BgL_test6526z00_18266)
{ /* Llib/mpc.scm 303 */
BgL_arg4217z00_12234 = BEOF; }  else 
{ /* Llib/mpc.scm 303 */
BgL_arg4217z00_12234 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_12210)); } } 
BgL_auxz00_18264 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg4217z00_12234, BgL_iportz00_12210); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1221z00_12228)))->BgL_objz00)=((obj_t)BgL_auxz00_18264),BUNSPEC); } 
BgL_excz00_12227 = BgL_new1221z00_12228; } 
{ 

BgL_loopz00_12235:
{ /* Llib/mpc.scm 317 */
 obj_t BgL_lz00_12236;
BgL_lz00_12236 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_iportz00_12210); 
{ /* Llib/mpc.scm 318 */
 bool_t BgL_test6527z00_18274;
{ /* Llib/mpc.scm 318 */
 bool_t BgL_test6528z00_18275;
{ /* Llib/mpc.scm 318 */

BgL_test6528z00_18275 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BGl_string5344z00zz__multimediazd2mpczd2, BgL_lz00_12236, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test6528z00_18275)
{ /* Llib/mpc.scm 318 */
BgL_test6527z00_18274 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 318 */

BgL_test6527z00_18274 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BGl_string5463z00zz__multimediazd2mpczd2, BgL_lz00_12236, BFALSE, BFALSE, BFALSE, BFALSE); } } 
if(BgL_test6527z00_18274)
{ /* Llib/mpc.scm 318 */
BgL_lz00_12328 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_excz00_12227)); }  else 
{ /* Llib/mpc.scm 318 */
goto BgL_loopz00_12235;} } } } } break;case ((long)2) : 

BgL_lz00_12328 = 
CNST_TABLE_REF(((long)35)); break;case ((long)1) : 

BgL_lz00_12328 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12210); break;case ((long)0) : 

BgL_lz00_12328 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12210); break;
default: 
BgL_lz00_12328 = 
BGl_errorz00zz__errorz00(BGl_string5325z00zz__multimediazd2mpczd2, BGl_string5326z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_12224)); } } } 
if(
(BgL_lz00_12328==
CNST_TABLE_REF(((long)35))))
{ /* Llib/mpc.scm 328 */
 obj_t BgL_l01607z00_12329;
BgL_l01607z00_12329 = 
bgl_reverse_bang(BgL_serz00_12327); 
{ 
 obj_t BgL_l1606z00_12331;
BgL_l1606z00_12331 = BgL_l01607z00_12329; 
BgL_zc3z04anonymousza34025ze3z87_12330:
if(
NULLP(BgL_l1606z00_12331))
{ /* Llib/mpc.scm 328 */
return BgL_l01607z00_12329;}  else 
{ /* Llib/mpc.scm 328 */
{ /* Llib/mpc.scm 328 */
 obj_t BgL_arg4027z00_12332;
{ /* Llib/mpc.scm 328 */
 obj_t BgL_arg4028z00_12333;
BgL_arg4028z00_12333 = 
CAR(
((obj_t)BgL_l1606z00_12331)); 
BgL_sz00_12209 = BgL_arg4028z00_12333; 
{ /* Llib/mpc.scm 298 */
 bool_t BgL_test6531z00_18300;
if(
bigloo_strcmp_at(BgL_sz00_12209, BGl_string5460z00zz__multimediazd2mpczd2, ((long)0)))
{ /* Llib/mpc.scm 298 */
BgL_test6531z00_18300 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 298 */
BgL_test6531z00_18300 = 
bigloo_strcmp_at(BgL_sz00_12209, BGl_string5461z00zz__multimediazd2mpczd2, ((long)0))
; } 
if(BgL_test6531z00_18300)
{ /* Llib/mpc.scm 298 */
BgL_arg4027z00_12332 = BgL_sz00_12209; }  else 
{ /* Llib/mpc.scm 298 */
BgL_arg4027z00_12332 = 
string_append(
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10528))->BgL_prefixz00), BgL_sz00_12209); } } } 
{ /* Llib/mpc.scm 328 */
 obj_t BgL_tmpz00_18306;
BgL_tmpz00_18306 = 
((obj_t)BgL_l1606z00_12331); 
SET_CAR(BgL_tmpz00_18306, BgL_arg4027z00_12332); } } 
{ /* Llib/mpc.scm 328 */
 obj_t BgL_arg4029z00_12334;
BgL_arg4029z00_12334 = 
CDR(
((obj_t)BgL_l1606z00_12331)); 
{ 
 obj_t BgL_l1606z00_18311;
BgL_l1606z00_18311 = BgL_arg4029z00_12334; 
BgL_l1606z00_12331 = BgL_l1606z00_18311; 
goto BgL_zc3z04anonymousza34025ze3z87_12330;} } } } }  else 
{ /* Llib/mpc.scm 329 */
 obj_t BgL_arg4030z00_12335;
BgL_arg4030z00_12335 = 
MAKE_YOUNG_PAIR(BgL_lz00_12328, BgL_serz00_12327); 
{ 
 obj_t BgL_serz00_18313;
BgL_serz00_18313 = BgL_arg4030z00_12335; 
BgL_serz00_12327 = BgL_serz00_18313; 
goto BgL_loopz00_12326;} } } } } } } } 

}



/* &music-reset!-mpc1617 */
obj_t BGl_z62musiczd2resetz12zd2mpc1617z70zz__multimediazd2mpczd2(obj_t BgL_envz00_10530, obj_t BgL_mpcz00_10531)
{
{ /* Llib/mpc.scm 284 */
{ /* Llib/mpc.scm 286 */
 obj_t BgL_mutex4010z00_12337;
BgL_mutex4010z00_12337 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10531))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 286 */
 obj_t BgL_top6534z00_18318;
BgL_top6534z00_18318 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex4010z00_12337); 
BGL_EXITD_PUSH_PROTECT(BgL_top6534z00_18318, BgL_mutex4010z00_12337); BUNSPEC; 
{ /* Llib/mpc.scm 286 */
 obj_t BgL_tmp6533z00_18317;
{ /* Llib/mpc.scm 287 */
 bool_t BgL_test6535z00_18322;
{ /* Llib/mpc.scm 287 */
 obj_t BgL_tmpz00_18323;
BgL_tmpz00_18323 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10531)))->BgL_z52socketz52); 
BgL_test6535z00_18322 = 
SOCKETP(BgL_tmpz00_18323); } 
if(BgL_test6535z00_18322)
{ /* Llib/mpc.scm 287 */
{ /* Llib/mpc.scm 288 */
 obj_t BgL_arg4013z00_12338;
BgL_arg4013z00_12338 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10531)))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg4013z00_12338)); } 
BgL_tmp6533z00_18317 = 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10531)))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC); }  else 
{ /* Llib/mpc.scm 287 */
BgL_tmp6533z00_18317 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top6534z00_18318); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex4010z00_12337); 
return BgL_tmp6533z00_18317;} } } } 

}



/* &music-closed?-mpc1615 */
obj_t BGl_z62musiczd2closedzf3zd2mpc1615z91zz__multimediazd2mpczd2(obj_t BgL_envz00_10532, obj_t BgL_mpcz00_10533)
{
{ /* Llib/mpc.scm 277 */
return 
BBOOL(
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10533)))->BgL_z52closedz52));} 

}



/* &music-close-mpc1613 */
obj_t BGl_z62musiczd2closezd2mpc1613z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10534, obj_t BgL_mpcz00_10535)
{
{ /* Llib/mpc.scm 256 */
{ 

{ /* Llib/mpc.scm 264 */
 bool_t BgL_test6536z00_18338;
{ /* Llib/mpc.scm 259 */
 obj_t BgL_mutex4008z00_12343;
BgL_mutex4008z00_12343 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10535))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 259 */
 obj_t BgL_top6538z00_18343;
BgL_top6538z00_18343 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex4008z00_12343); 
BGL_EXITD_PUSH_PROTECT(BgL_top6538z00_18343, BgL_mutex4008z00_12343); BUNSPEC; 
{ /* Llib/mpc.scm 259 */
 bool_t BgL_tmp6537z00_18342;
if(
BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10535))))
{ /* Llib/mpc.scm 260 */
BgL_tmp6537z00_18342 = ((bool_t)0); }  else 
{ /* Llib/mpc.scm 260 */
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10535)))->BgL_z52closedz52)=((bool_t)((bool_t)1)),BUNSPEC); 
BgL_tmp6537z00_18342 = ((bool_t)1); } 
BGL_EXITD_POP_PROTECT(BgL_top6538z00_18343); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex4008z00_12343); 
BgL_test6536z00_18338 = BgL_tmp6537z00_18342; } } } 
if(BgL_test6536z00_18338)
{ /* Llib/mpc.scm 264 */
{ /* Llib/mpc.scm 256 */
 obj_t BgL_nextzd2method1612zd2_12342;
BgL_nextzd2method1612zd2_12342 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10535)), BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2); 
PROCEDURE_ENTRY(BgL_nextzd2method1612zd2_12342)(BgL_nextzd2method1612zd2_12342, 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10535)), BEOA); } 
{ /* Llib/mpc.scm 266 */
 obj_t BgL_mutex4003z00_12344;
BgL_mutex4003z00_12344 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10535))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 266 */
 obj_t BgL_top6541z00_18368;
BgL_top6541z00_18368 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex4003z00_12344); 
BGL_EXITD_PUSH_PROTECT(BgL_top6541z00_18368, BgL_mutex4003z00_12344); BUNSPEC; 
{ /* Llib/mpc.scm 266 */
 obj_t BgL_tmp6540z00_18367;
{ /* Llib/mpc.scm 267 */
 bool_t BgL_test6542z00_18372;
{ /* Llib/mpc.scm 267 */
 obj_t BgL_tmpz00_18373;
BgL_tmpz00_18373 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10535)))->BgL_z52socketz52); 
BgL_test6542z00_18372 = 
SOCKETP(BgL_tmpz00_18373); } 
if(BgL_test6542z00_18372)
{ /* Llib/mpc.scm 267 */
BGl_execz00zz__multimediazd2mpczd2(
((BgL_mpcz00_bglt)BgL_mpcz00_10535), BGl_string5464z00zz__multimediazd2mpczd2); 
{ /* Llib/mpc.scm 271 */
 obj_t BgL_arg4006z00_12345;
BgL_arg4006z00_12345 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10535)))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg4006z00_12345)); } 
BgL_tmp6540z00_18367 = 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10535)))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC); }  else 
{ /* Llib/mpc.scm 267 */
BgL_tmp6540z00_18367 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top6541z00_18368); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex4003z00_12344); 
return BgL_tmp6540z00_18367;} } } }  else 
{ /* Llib/mpc.scm 264 */
return BFALSE;} } } } 

}



/* &music-reset-error!-m1611 */
obj_t BGl_z62musiczd2resetzd2errorz12zd2m1611za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10536, obj_t BgL_mpcz00_10537)
{
{ /* Llib/mpc.scm 62 */
if(
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10537)))->BgL_z52closedz52))
{ /* Llib/mpc.scm 64 */
return BFALSE;}  else 
{ /* Llib/mpc.scm 64 */
{ /* Llib/mpc.scm 67 */
 obj_t BgL_arg4002z00_12347;
BgL_arg4002z00_12347 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10537)))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg4002z00_12347)); } 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10537)))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(
((BgL_mpcz00_bglt)BgL_mpcz00_10537), BGl_string5446z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpczd2()
{
{ /* Llib/mpc.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)95358739), 
BSTRING_TO_STRING(BGl_string5465z00zz__multimediazd2mpczd2));} 

}

#ifdef __cplusplus
}
#endif
