/*===========================================================================*/
/*   (Llib/pgp_encode.scm)                                                   */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_encode.scm -o objs/pgp_encode.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_rsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_modulusz00;
   obj_t BgL_exponentz00;
} *BgL_rsazd2keyzd2_bglt;

typedef struct BgL_elgamalzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_elgamalzd2keyzd2_bglt;

typedef struct BgL_dsazd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pz00;
   obj_t BgL_qz00;
   obj_t BgL_gz00;
   obj_t BgL_yz00;
} *BgL_dsazd2keyzd2_bglt;

typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_idz00;
   obj_t BgL_algoz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
   obj_t BgL_securezd2subzd2packetsz00;
   obj_t BgL_insecurezd2subzd2packetsz00;
} *BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_algoz00;
   obj_t BgL_s2kz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2publiczd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
   obj_t BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00;
} *BgL_pgpzd2secretzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
   long BgL_versionz00;
} *BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_hashz00;
} *BgL_pgpzd2mdczd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_typez00;
   obj_t BgL_dataz00;
} *BgL_pgpzd2signaturezd2subzd2genericzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_creationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_expirationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_exportablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   int BgL_levelz00;
   int BgL_amountz00;
} *BgL_pgpzd2signaturezd2subzd2trustzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_revocablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   long BgL_expirationzd2timezd2;
} *BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   char BgL_claza7za7z00;
   bool_t BgL_sensitivezf3zf3;
   char BgL_algidz00;
   obj_t BgL_fingerprintz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_keyzd2idzd2;
} *BgL_pgpzd2signaturezd2subzd2idzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_valuez00;
} *BgL_pgpzd2signaturezd2subzd2notationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_serverz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_primaryzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_urlz00;
} *BgL_pgpzd2signaturezd2subzd2policyzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_idz00;
} *BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_codez00;
   obj_t BgL_reasonz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt;


static obj_t BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1244zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1248zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2;
extern char BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1252zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static bool_t BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2 = BUNSPEC;
static obj_t BGl_z62encodezd2subzd2packetzd2co1240zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
extern obj_t BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(long, long);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2;
extern int BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2();
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2;
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2();
static obj_t BGl_z62encodezd2contentzd2PGPzd2L1256zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_s2kzd2algozd2zz__openpgpzd2s2kzd2(obj_t);
extern char BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2T1258zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2signaturezd2subzd2packetzd2_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2encodezd2();
extern obj_t BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2;
static obj_t BGl_objectzd2initzd2zz__openpgpzd2encodezd2();
extern long BGl_iteratedzd2saltedzd2s2kzd2countzd2ze3octetze3zz__openpgpzd2s2kzd2(long);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1254zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2M1264zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_s2kzd2saltzd2zz__openpgpzd2s2kzd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static obj_t BGl_appendzd221010zd2zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2encodezd2();
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2;
static obj_t BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(long, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2;
extern long BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tag1169z81zz__openpgpzd2encodezd2(obj_t, obj_t);
extern char BGl_literalzd2formatzd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2P1202zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2O1246zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2;
extern obj_t BGl_s2kzd2hashzd2zz__openpgpzd2s2kzd2(obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
extern char BGl_revocationzd2codezd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern char BGl_contentzd2tagzd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2;
extern char BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
static obj_t BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2contentzd2PGPzd2P1250zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2encodezd2();
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2;
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2();
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2();
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2();
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
static obj_t BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(long, obj_t);
extern obj_t BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DECL obj_t BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2keyzd2packetz00_bglt, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2(obj_t, obj_t);
static obj_t BGl_z62packetzd2ze3contentzd2tagzd21197z53zz__openpgpzd2encodezd2(obj_t, obj_t);
extern char BGl_s2kzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2I1260zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_s2kzd2countzd2zz__openpgpzd2s2kzd2(obj_t);
extern obj_t BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2;
extern char BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2;
extern obj_t BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2;
static obj_t BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2content1198zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1203zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
extern char BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(obj_t);
extern obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 43 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2112z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72156za7, BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2113z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72157za7, BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2114z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72158za7, BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2115z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72159za7, BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2040z00zz__openpgpzd2encodezd2, BgL_bgl_string2040za700za7za7_2160za7, "&encode-packets", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2116z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72161za7, BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2041z00zz__openpgpzd2encodezd2, BgL_bgl_string2041za700za7za7_2162za7, "output-port", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2117z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72163za7, BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2042z00zz__openpgpzd2encodezd2, BgL_bgl_string2042za700za7za7_2164za7, "encode-octet", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2118z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72165za7, BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2043z00zz__openpgpzd2encodezd2, BgL_bgl_string2043za700za7za7_2166za7, "given number is too big", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2119z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72167za7, BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2044z00zz__openpgpzd2encodezd2, BgL_bgl_string2044za700za7za7_2168za7, "encode-pref", 11 );
DEFINE_STRING( BGl_string2045z00zz__openpgpzd2encodezd2, BgL_bgl_string2045za700za7za7_2169za7, "Preferences must be integers", 28 );
DEFINE_STRING( BGl_string2046z00zz__openpgpzd2encodezd2, BgL_bgl_string2046za700za7za7_2170za7, "encode-packet", 13 );
DEFINE_STRING( BGl_string2047z00zz__openpgpzd2encodezd2, BgL_bgl_string2047za700za7za7_2171za7, "content-tag too big", 19 );
DEFINE_STRING( BGl_string2048z00zz__openpgpzd2encodezd2, BgL_bgl_string2048za700za7za7_2172za7, "&encode-packet", 14 );
DEFINE_STRING( BGl_string2049z00zz__openpgpzd2encodezd2, BgL_bgl_string2049za700za7za7_2173za7, "PGP-Packet", 10 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2packetzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2pack2174z00, BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2120z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72175za7, BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2121z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72176za7, BGl_z62encodezd2subzd2packetzd2co1240zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2122z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2177z00, BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2123z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2178z00, BGl_z62encodezd2contentzd2PGPzd2S1244zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2124z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2179z00, BGl_z62encodezd2contentzd2PGPzd2O1246zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2125z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2180z00, BGl_z62encodezd2contentzd2PGPzd2S1248zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2050z00zz__openpgpzd2encodezd2, BgL_bgl_string2050za700za7za7_2181za7, "create-signed-packet-prefix-v4", 30 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2126z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2182z00, BGl_z62encodezd2contentzd2PGPzd2P1250zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2051z00zz__openpgpzd2encodezd2, BgL_bgl_string2051za700za7za7_2183za7, "creation-date ist mandatory", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2127z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2184z00, BGl_z62encodezd2contentzd2PGPzd2S1252zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2052z00zz__openpgpzd2encodezd2, BgL_bgl_string2052za700za7za7_2185za7, "Conflicting creation-dates", 26 );
DEFINE_STRING( BGl_string2134z00zz__openpgpzd2encodezd2, BgL_bgl_string2134za700za7za7_2186za7, "encode-content-trust", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2128z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2187z00, BGl_z62encodezd2contentzd2PGPzd2M1254zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2053z00zz__openpgpzd2encodezd2, BgL_bgl_string2053za700za7za7_2188za7, "&create-signed-packet-prefix-v4", 31 );
DEFINE_STRING( BGl_string2135z00zz__openpgpzd2encodezd2, BgL_bgl_string2135za700za7za7_2189za7, "Trust Packet encoding not yet implemented", 41 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2129z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2190z00, BGl_z62encodezd2contentzd2PGPzd2L1256zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2054z00zz__openpgpzd2encodezd2, BgL_bgl_string2054za700za7za7_2191za7, "symbol", 6 );
DEFINE_STRING( BGl_string2136z00zz__openpgpzd2encodezd2, BgL_bgl_string2136za700za7za7_2192za7, "encode-content-literal", 22 );
DEFINE_STRING( BGl_string2055z00zz__openpgpzd2encodezd2, BgL_bgl_string2055za700za7za7_2193za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2137z00zz__openpgpzd2encodezd2, BgL_bgl_string2137za700za7za7_2194za7, "'for-your-eyes-only' excludes filename", 38 );
DEFINE_STRING( BGl_string2056z00zz__openpgpzd2encodezd2, BgL_bgl_string2056za700za7za7_2195za7, "encode-insecure-sub-packets", 27 );
DEFINE_STRING( BGl_string2138z00zz__openpgpzd2encodezd2, BgL_bgl_string2138za700za7za7_2196za7, "_CONSOLE", 8 );
DEFINE_STRING( BGl_string2057z00zz__openpgpzd2encodezd2, BgL_bgl_string2057za700za7za7_2197za7, "Conflicting issuers", 19 );
DEFINE_STRING( BGl_string2139z00zz__openpgpzd2encodezd2, BgL_bgl_string2139za700za7za7_2198za7, "", 0 );
DEFINE_STRING( BGl_string2058z00zz__openpgpzd2encodezd2, BgL_bgl_string2058za700za7za7_2199za7, "encode-s2k", 10 );
DEFINE_STRING( BGl_string2059z00zz__openpgpzd2encodezd2, BgL_bgl_string2059za700za7za7_2200za7, "expected string as salt", 23 );
DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2201z00, BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2130z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2202z00, BGl_z62encodezd2contentzd2PGPzd2T1258zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2131z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2203z00, BGl_z62encodezd2contentzd2PGPzd2I1260zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2132z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2204z00, BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2133z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2205z00, BGl_z62encodezd2contentzd2PGPzd2M1264zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2140z00zz__openpgpzd2encodezd2, BgL_bgl_string2140za700za7za7_2206za7, "Filename too long (>255)", 24 );
DEFINE_STRING( BGl_string2141z00zz__openpgpzd2encodezd2, BgL_bgl_string2141za700za7za7_2207za7, "encode-Symmetric-Key-Encrypted-Session", 38 );
DEFINE_STRING( BGl_string2060z00zz__openpgpzd2encodezd2, BgL_bgl_string2060za700za7za7_2208za7, "encode-octets", 13 );
DEFINE_STRING( BGl_string2142z00zz__openpgpzd2encodezd2, BgL_bgl_string2142za700za7za7_2209za7, "Only encoding packets of version 4", 34 );
DEFINE_STRING( BGl_string2061z00zz__openpgpzd2encodezd2, BgL_bgl_string2061za700za7za7_2210za7, "given string has bad size", 25 );
DEFINE_STRING( BGl_string2143z00zz__openpgpzd2encodezd2, BgL_bgl_string2143za700za7za7_2211za7, "encode-PGP-Signature-v4-Packet", 30 );
DEFINE_STRING( BGl_string2062z00zz__openpgpzd2encodezd2, BgL_bgl_string2062za700za7za7_2212za7, "expected fixnum as count", 24 );
DEFINE_STRING( BGl_string2144z00zz__openpgpzd2encodezd2, BgL_bgl_string2144za700za7za7_2213za7, "signature-data in DSA-mode must be a pair", 41 );
DEFINE_STRING( BGl_string2063z00zz__openpgpzd2encodezd2, BgL_bgl_string2063za700za7za7_2214za7, "unknown s2k algorithm", 21 );
DEFINE_STRING( BGl_string2145z00zz__openpgpzd2encodezd2, BgL_bgl_string2145za700za7za7_2215za7, "signature-encoding not yet implemented", 38 );
DEFINE_STRING( BGl_string2064z00zz__openpgpzd2encodezd2, BgL_bgl_string2064za700za7za7_2216za7, "encode-public-key", 17 );
DEFINE_STRING( BGl_string2146z00zz__openpgpzd2encodezd2, BgL_bgl_string2146za700za7za7_2217za7, "encode-Public-key-encrypted-session-key-packet", 46 );
DEFINE_STRING( BGl_string2065z00zz__openpgpzd2encodezd2, BgL_bgl_string2065za700za7za7_2218za7, "v3 keys must have valid-days (as fixnum)", 40 );
DEFINE_STRING( BGl_string2147z00zz__openpgpzd2encodezd2, BgL_bgl_string2147za700za7za7_2219za7, "bad encrypted-session-key. ElGamal requires a pair", 50 );
DEFINE_STRING( BGl_string2066z00zz__openpgpzd2encodezd2, BgL_bgl_string2066za700za7za7_2220za7, "v3 keys must be RSA", 19 );
DEFINE_STRING( BGl_string2148z00zz__openpgpzd2encodezd2, BgL_bgl_string2148za700za7za7_2221za7, "Not yet implemented", 19 );
DEFINE_STRING( BGl_string2067z00zz__openpgpzd2encodezd2, BgL_bgl_string2067za700za7za7_2222za7, "encode-key", 10 );
DEFINE_STRING( BGl_string2149z00zz__openpgpzd2encodezd2, BgL_bgl_string2149za700za7za7_2223za7, "__openpgp-encode", 16 );
DEFINE_STRING( BGl_string2068z00zz__openpgpzd2encodezd2, BgL_bgl_string2068za700za7za7_2224za7, "invalid Rsa-Key", 15 );
DEFINE_STRING( BGl_string2069z00zz__openpgpzd2encodezd2, BgL_bgl_string2069za700za7za7_2225za7, "invalid Dsa-Key", 15 );
DEFINE_STRING( BGl_string2150z00zz__openpgpzd2encodezd2, BgL_bgl_string2150za700za7za7_2226za7, "public-key-encrypted-session-key signature symmetric-key-encrypted-session-key one-pass-signature secret-subkey secret-key public-subkey public-key compressed symmetrically-encrypted mdc-symmetrically-encrypted marker literal ID creation-time expiration-time exportable? trust revocable? key-expiration-time preferred-symmetric revocation-key issuer-ID notation preferred-hash preferred-compression preferred-key-server primary-id? policy signer-ID revocation-reason do-nothing elgamal-encrypt/sign elgamal-encrypt dsa ok rsa-sign rsa-encrypt rsa-encrypt/sign iterated salted nothing-to-do simple ", 597 );
DEFINE_STRING( BGl_string2070z00zz__openpgpzd2encodezd2, BgL_bgl_string2070za700za7za7_2227za7, "invalid ElGamal-key", 19 );
DEFINE_STRING( BGl_string2071z00zz__openpgpzd2encodezd2, BgL_bgl_string2071za700za7za7_2228za7, "unsupported public key algorithm", 32 );
DEFINE_STRING( BGl_string2072z00zz__openpgpzd2encodezd2, BgL_bgl_string2072za700za7za7_2229za7, "&encode-public-key-content", 26 );
DEFINE_STRING( BGl_string2073z00zz__openpgpzd2encodezd2, BgL_bgl_string2073za700za7za7_2230za7, "PGP-Key-Packet", 14 );
DEFINE_STRING( BGl_string2075z00zz__openpgpzd2encodezd2, BgL_bgl_string2075za700za7za7_2231za7, "packet->content-tag1169", 23 );
DEFINE_STRING( BGl_string2077z00zz__openpgpzd2encodezd2, BgL_bgl_string2077za700za7za7_2232za7, "encode-content1198", 18 );
DEFINE_STRING( BGl_string2079z00zz__openpgpzd2encodezd2, BgL_bgl_string2079za700za7za7_2233za7, "encode-sub-packet-co1203", 24 );
DEFINE_STRING( BGl_string2080z00zz__openpgpzd2encodezd2, BgL_bgl_string2080za700za7za7_2234za7, "encode-signature-sub-packet-content", 35 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2074z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2235za7, BGl_z62packetzd2ze3contentzd2tag1169z81zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2081z00zz__openpgpzd2encodezd2, BgL_bgl_string2081za700za7za7_2236za7, "not yet implemented", 19 );
DEFINE_STRING( BGl_string2082z00zz__openpgpzd2encodezd2, BgL_bgl_string2082za700za7za7_2237za7, "encode-content", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2076z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2238z00, BGl_z62encodezd2content1198zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2083z00zz__openpgpzd2encodezd2, BgL_bgl_string2083za700za7za7_2239za7, "packet->content-tag", 19 );
DEFINE_STRING( BGl_string2084z00zz__openpgpzd2encodezd2, BgL_bgl_string2084za700za7za7_2240za7, "internal error. forgot PGP-Packet type", 38 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2078z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72241za7, BGl_z62encodezd2subzd2packetzd2co1203zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2085z00zz__openpgpzd2encodezd2, BgL_bgl_string2085za700za7za7_2242za7, "&packet->content-tag", 20 );
DEFINE_STRING( BGl_string2086z00zz__openpgpzd2encodezd2, BgL_bgl_string2086za700za7za7_2243za7, "&encode-content", 15 );
DEFINE_STRING( BGl_string2087z00zz__openpgpzd2encodezd2, BgL_bgl_string2087za700za7za7_2244za7, "&encode-sub-packet-content", 26 );
DEFINE_STRING( BGl_string2088z00zz__openpgpzd2encodezd2, BgL_bgl_string2088za700za7za7_2245za7, "PGP-Signature-Sub-Packet", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2089z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2246za7, BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_symmetriczd2keyzd2algozd2ze3bytezd2envze3zz__openpgpzd2enumszd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2090z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2247za7, BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2091z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2248za7, BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2092z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2249za7, BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2093z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2250za7, BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2094z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2251za7, BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2095z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2252za7, BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2096z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2253za7, BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2097z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2254za7, BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2098z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2255za7, BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2099z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2256za7, BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_compressionzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2packetszd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2pack2257z00, va_generic_entry, BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2, BUNSPEC, -2 );
DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72258za7, BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2publiczd2keyzd2contentzd2envz00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2publ2259z00, BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2260za7, BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_createzd2signedzd2packetzd2prefixzd2v4zd2envzd2zz__openpgpzd2encodezd2, BgL_bgl_za762createza7d2sign2261z00, BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2104z00zz__openpgpzd2encodezd2, BgL_bgl_string2104za700za7za7_2262za7, "encode-sub-packet-content", 25 );
extern obj_t BGl_hashzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2100z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2263za7, BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2101z00zz__openpgpzd2encodezd2, BgL_bgl_za762packetza7d2za7e3c2264za7, BGl_z62packetzd2ze3contentzd2tagzd21197z53zz__openpgpzd2encodezd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2102z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2cont2265z00, BGl_z62encodezd2contentzd2PGPzd2P1202zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2103z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72266za7, BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2105z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72267za7, BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2106z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72268za7, BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2107z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72269za7, BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2108z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72270za7, BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2109z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72271za7, BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2038z00zz__openpgpzd2encodezd2, BgL_bgl_string2038za700za7za7_2272za7, "Llib/pgp_encode.scm", 19 );
DEFINE_STRING( BGl_string2039z00zz__openpgpzd2encodezd2, BgL_bgl_string2039za700za7za7_2273za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/openpgp/src/Llib/pgp_encode.scm", 71 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2110z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72274za7, BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2111z00zz__openpgpzd2encodezd2, BgL_bgl_za762encodeza7d2subza72275za7, BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long BgL_checksumz00_2744, char * BgL_fromz00_2745)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2encodezd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2encodezd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2(); 
BGl_genericzd2initzd2zz__openpgpzd2encodezd2(); 
BGl_methodzd2initzd2zz__openpgpzd2encodezd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2elgamalzd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2rsazd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2dsazd2(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-encode"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-encode"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_cportz00_2297;
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_stringz00_2305;
BgL_stringz00_2305 = BGl_string2150z00zz__openpgpzd2encodezd2; 
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_startz00_2306;
BgL_startz00_2306 = 
BINT(((long)0)); 
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_endz00_2307;
BgL_endz00_2307 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2305))); 
{ /* Llib/pgp_encode.scm 1 */

BgL_cportz00_2297 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2305, BgL_startz00_2306, BgL_endz00_2307); } } } } 
{ 
 long BgL_iz00_2298;
BgL_iz00_2298 = ((long)42); 
BgL_loopz00_2299:
if(
(BgL_iz00_2298==((long)-1)))
{ /* Llib/pgp_encode.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/pgp_encode.scm 1 */
{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_arg2152z00_2301;
{ /* Llib/pgp_encode.scm 1 */

{ /* Llib/pgp_encode.scm 1 */
 obj_t BgL_locationz00_2303;
BgL_locationz00_2303 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_encode.scm 1 */

BgL_arg2152z00_2301 = 
BGl_readz00zz__readerz00(BgL_cportz00_2297, BgL_locationz00_2303); } } } 
{ /* Llib/pgp_encode.scm 1 */
 int BgL_tmpz00_2782;
BgL_tmpz00_2782 = 
(int)(BgL_iz00_2298); 
CNST_TABLE_SET(BgL_tmpz00_2782, BgL_arg2152z00_2301); } } 
{ /* Llib/pgp_encode.scm 1 */
 int BgL_auxz00_2304;
BgL_auxz00_2304 = 
(int)(
(BgL_iz00_2298-((long)1))); 
{ 
 long BgL_iz00_2787;
BgL_iz00_2787 = 
(long)(BgL_auxz00_2304); 
BgL_iz00_2298 = BgL_iz00_2787; 
goto BgL_loopz00_2299;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(((long)0), 
BSTRING_TO_STRING(BGl_string2038z00zz__openpgpzd2encodezd2)); 
return BUNSPEC;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__openpgpzd2encodezd2(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_145;
BgL_headz00_145 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_146; obj_t BgL_tailz00_147;
BgL_prevz00_146 = BgL_headz00_145; 
BgL_tailz00_147 = BgL_l1z00_1; 
BgL_loopz00_148:
if(
PAIRP(BgL_tailz00_147))
{ 
 obj_t BgL_newzd2prevzd2_150;
BgL_newzd2prevzd2_150 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_147), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_146, BgL_newzd2prevzd2_150); 
{ 
 obj_t BgL_tailz00_2799; obj_t BgL_prevz00_2798;
BgL_prevz00_2798 = BgL_newzd2prevzd2_150; 
BgL_tailz00_2799 = 
CDR(BgL_tailz00_147); 
BgL_tailz00_147 = BgL_tailz00_2799; 
BgL_prevz00_146 = BgL_prevz00_2798; 
goto BgL_loopz00_148;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_145);} } } 

}



/* encode-packets */
BGL_EXPORTED_DEF obj_t BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(obj_t BgL_pz00_3, obj_t BgL_packetsz00_4)
{
{ /* Llib/pgp_encode.scm 19 */
{ 
 obj_t BgL_l1155z00_154;
{ /* Llib/pgp_encode.scm 20 */
 bool_t BgL_tmpz00_2802;
BgL_l1155z00_154 = BgL_packetsz00_4; 
BgL_zc3z04anonymousza31269ze3z87_155:
if(
PAIRP(BgL_l1155z00_154))
{ /* Llib/pgp_encode.scm 20 */
{ /* Llib/pgp_encode.scm 20 */
 obj_t BgL_packetz00_157;
BgL_packetz00_157 = 
CAR(BgL_l1155z00_154); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_157), BgL_pz00_3); } 
{ 
 obj_t BgL_l1155z00_2808;
BgL_l1155z00_2808 = 
CDR(BgL_l1155z00_154); 
BgL_l1155z00_154 = BgL_l1155z00_2808; 
goto BgL_zc3z04anonymousza31269ze3z87_155;} }  else 
{ /* Llib/pgp_encode.scm 20 */
BgL_tmpz00_2802 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_2802);} } } 

}



/* &encode-packets */
obj_t BGl_z62encodezd2packetszb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2055, obj_t BgL_pz00_2056, obj_t BgL_packetsz00_2057)
{
{ /* Llib/pgp_encode.scm 19 */
{ /* Llib/pgp_encode.scm 20 */
 obj_t BgL_auxz00_2811;
if(
OUTPUT_PORTP(BgL_pz00_2056))
{ /* Llib/pgp_encode.scm 20 */
BgL_auxz00_2811 = BgL_pz00_2056
; }  else 
{ 
 obj_t BgL_auxz00_2814;
BgL_auxz00_2814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)595)), BGl_string2040z00zz__openpgpzd2encodezd2, BGl_string2041z00zz__openpgpzd2encodezd2, BgL_pz00_2056); 
FAILURE(BgL_auxz00_2814,BFALSE,BFALSE);} 
return 
BGl_encodezd2packetszd2zz__openpgpzd2encodezd2(BgL_auxz00_2811, BgL_packetsz00_2057);} } 

}



/* encode-octet */
obj_t BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(long BgL_nz00_5, obj_t BgL_pz00_6)
{
{ /* Llib/pgp_encode.scm 22 */
if(
(BgL_nz00_5>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_5)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_800;
BgL_arg1283z00_800 = 
(BgL_nz00_5); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_800), BgL_pz00_6);} } 

}



/* encode-length-v4 */
obj_t BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(long BgL_lenz00_15, obj_t BgL_pz00_16)
{
{ /* Llib/pgp_encode.scm 47 */
if(
(BgL_lenz00_15<((long)192)))
{ /* Llib/pgp_encode.scm 49 */
if(
(BgL_lenz00_15>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_lenz00_15)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_833;
BgL_arg1283z00_833 = 
(BgL_lenz00_15); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_833), BgL_pz00_16);} }  else 
{ /* Llib/pgp_encode.scm 49 */
if(
(BgL_lenz00_15<=((long)8383)))
{ /* Llib/pgp_encode.scm 53 */
 long BgL_tz00_172;
BgL_tz00_172 = 
(BgL_lenz00_15-((long)192)); 
{ /* Llib/pgp_encode.scm 54 */
 long BgL_arg1338z00_173;
BgL_arg1338z00_173 = 
(((long)192)+
(BgL_tz00_172 >> 
(int)(((long)8)))); 
if(
(BgL_arg1338z00_173>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1338z00_173)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_843;
BgL_arg1283z00_843 = 
(BgL_arg1338z00_173); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_843), BgL_pz00_16); } } 
{ /* Llib/pgp_encode.scm 55 */
 long BgL_arg1340z00_175;
BgL_arg1340z00_175 = 
(BgL_tz00_172 & ((long)255)); 
if(
(BgL_arg1340z00_175>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1340z00_175)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_850;
BgL_arg1283z00_850 = 
(BgL_arg1340z00_175); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_850), BgL_pz00_16);} } }  else 
{ /* Llib/pgp_encode.scm 52 */
if(
(((long)255)>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(((long)255))); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_855;
BgL_arg1283z00_855 = 
(((long)255)); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_855), BgL_pz00_16); } 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_lenz00_15, ((long)4)), BgL_pz00_16);} } } 

}



/* encode-prefs */
bool_t BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(obj_t BgL_prefsz00_19, obj_t BgL_converterz00_20, obj_t BgL_pz00_21)
{
{ /* Llib/pgp_encode.scm 63 */
{ 
 obj_t BgL_l1157z00_178;
BgL_l1157z00_178 = BgL_prefsz00_19; 
BgL_zc3z04anonymousza31342ze3z87_179:
if(
PAIRP(BgL_l1157z00_178))
{ /* Llib/pgp_encode.scm 64 */
{ /* Llib/pgp_encode.scm 68 */
 obj_t BgL_prefz00_181;
BgL_prefz00_181 = 
CAR(BgL_l1157z00_178); 
if(
INTEGERP(BgL_prefz00_181))
{ /* Llib/pgp_encode.scm 65 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 65 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2044z00zz__openpgpzd2encodezd2, BGl_string2045z00zz__openpgpzd2encodezd2, BgL_prefz00_181); } 
{ /* Llib/pgp_encode.scm 69 */
 obj_t BgL_arg1348z00_183;
BgL_arg1348z00_183 = 
PROCEDURE_ENTRY(BgL_converterz00_20)(BgL_converterz00_20, BgL_prefz00_181, BEOA); 
{ /* Llib/pgp_encode.scm 69 */
 long BgL_nz00_865;
BgL_nz00_865 = 
(long)CINT(BgL_arg1348z00_183); 
if(
(BgL_nz00_865>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_865)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_868;
BgL_arg1283z00_868 = 
(BgL_nz00_865); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_868), BgL_pz00_21); } } } } 
{ 
 obj_t BgL_l1157z00_2883;
BgL_l1157z00_2883 = 
CDR(BgL_l1157z00_178); 
BgL_l1157z00_178 = BgL_l1157z00_2883; 
goto BgL_zc3z04anonymousza31342ze3z87_179;} }  else 
{ /* Llib/pgp_encode.scm 64 */
return ((bool_t)1);} } } 

}



/* encode-packet */
BGL_EXPORTED_DEF obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_packetz00_36, obj_t BgL_pz00_37)
{
{ /* Llib/pgp_encode.scm 111 */
{ /* Llib/pgp_encode.scm 112 */
 obj_t BgL_contentzd2tagzd2_186;
BgL_contentzd2tagzd2_186 = 
BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_packetz00_36); 
{ /* Llib/pgp_encode.scm 112 */
 char BgL_contentzd2tagzd2bytez00_187;
BgL_contentzd2tagzd2bytez00_187 = 
BGl_contentzd2tagzd2ze3byteze3zz__openpgpzd2enumszd2(BgL_contentzd2tagzd2_186); 
{ /* Llib/pgp_encode.scm 114 */
 obj_t BgL_strzd2pzd2_189;
{ /* Llib/pgp_encode.scm 116 */

{ /* Llib/pgp_encode.scm 116 */

BgL_strzd2pzd2_189 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Llib/pgp_encode.scm 116 */
 obj_t BgL_contentz00_190;
BgL_contentz00_190 = 
BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_packetz00_36, BgL_strzd2pzd2_189); 
{ /* Llib/pgp_encode.scm 117 */
 obj_t BgL_strz00_191;
BgL_strz00_191 = 
bgl_close_output_port(BgL_strzd2pzd2_189); 
{ /* Llib/pgp_encode.scm 118 */
 long BgL_lenz00_192;
BgL_lenz00_192 = 
STRING_LENGTH(
((obj_t)BgL_strz00_191)); 
{ /* Llib/pgp_encode.scm 119 */

if(
(
(long)(BgL_contentzd2tagzd2bytez00_187)>((long)31)))
{ /* Llib/pgp_encode.scm 120 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2046z00zz__openpgpzd2encodezd2, BGl_string2047z00zz__openpgpzd2encodezd2, BgL_contentzd2tagzd2_186); }  else 
{ /* Llib/pgp_encode.scm 120 */BFALSE; } 
{ /* Llib/pgp_encode.scm 125 */
 long BgL_arg1351z00_194;
BgL_arg1351z00_194 = 
(((long)128)+
(((long)64)+
(long)(BgL_contentzd2tagzd2bytez00_187))); 
if(
(BgL_arg1351z00_194>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1351z00_194)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_880;
BgL_arg1283z00_880 = 
(BgL_arg1351z00_194); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_880), BgL_pz00_37); } } 
BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(BgL_lenz00_192, BgL_pz00_37); 
return 
bgl_display_obj(BgL_strz00_191, BgL_pz00_37);} } } } } } } } 

}



/* &encode-packet */
obj_t BGl_z62encodezd2packetzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2058, obj_t BgL_packetz00_2059, obj_t BgL_pz00_2060)
{
{ /* Llib/pgp_encode.scm 111 */
{ /* Llib/pgp_encode.scm 112 */
 obj_t BgL_auxz00_2916; BgL_pgpzd2packetzd2_bglt BgL_auxz00_2908;
if(
OUTPUT_PORTP(BgL_pz00_2060))
{ /* Llib/pgp_encode.scm 112 */
BgL_auxz00_2916 = BgL_pz00_2060
; }  else 
{ 
 obj_t BgL_auxz00_2919;
BgL_auxz00_2919 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)3754)), BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2041z00zz__openpgpzd2encodezd2, BgL_pz00_2060); 
FAILURE(BgL_auxz00_2919,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_packetz00_2059, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2))
{ /* Llib/pgp_encode.scm 112 */
BgL_auxz00_2908 = 
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2059)
; }  else 
{ 
 obj_t BgL_auxz00_2912;
BgL_auxz00_2912 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)3754)), BGl_string2048z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, BgL_packetz00_2059); 
FAILURE(BgL_auxz00_2912,BFALSE,BFALSE);} 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_auxz00_2908, BgL_auxz00_2916);} } 

}



/* encode-sub-packets */
obj_t BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(obj_t BgL_packetsz00_85, obj_t BgL_pz00_86)
{
{ /* Llib/pgp_encode.scm 283 */
{ /* Llib/pgp_encode.scm 284 */
 obj_t BgL_strzd2pzd2_204;
{ /* Llib/pgp_encode.scm 284 */

{ /* Llib/pgp_encode.scm 284 */

BgL_strzd2pzd2_204 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ 
 obj_t BgL_l1159z00_206;
BgL_l1159z00_206 = BgL_packetsz00_85; 
BgL_zc3z04anonymousza31359ze3z87_207:
if(
PAIRP(BgL_l1159z00_206))
{ /* Llib/pgp_encode.scm 285 */
{ /* Llib/pgp_encode.scm 286 */
 obj_t BgL_spacketz00_209;
BgL_spacketz00_209 = 
CAR(BgL_l1159z00_206); 
{ /* Llib/pgp_encode.scm 164 */
 obj_t BgL_strzd2pzd2_908;
{ /* Llib/pgp_encode.scm 164 */

{ /* Llib/pgp_encode.scm 164 */

BgL_strzd2pzd2_908 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spacketz00_209), BgL_strzd2pzd2_908); 
{ /* Llib/pgp_encode.scm 166 */
 obj_t BgL_strz00_910;
BgL_strz00_910 = 
bgl_close_output_port(BgL_strzd2pzd2_908); 
{ /* Llib/pgp_encode.scm 167 */
 long BgL_arg1354z00_911;
BgL_arg1354z00_911 = 
STRING_LENGTH(
((obj_t)BgL_strz00_910)); 
BGl_encodezd2lengthzd2v4z00zz__openpgpzd2encodezd2(BgL_arg1354z00_911, BgL_strzd2pzd2_204); } 
bgl_display_obj(BgL_strz00_910, BgL_strzd2pzd2_204); } } } 
{ 
 obj_t BgL_l1159z00_2936;
BgL_l1159z00_2936 = 
CDR(BgL_l1159z00_206); 
BgL_l1159z00_206 = BgL_l1159z00_2936; 
goto BgL_zc3z04anonymousza31359ze3z87_207;} }  else 
{ /* Llib/pgp_encode.scm 285 */((bool_t)1); } } 
{ /* Llib/pgp_encode.scm 288 */
 obj_t BgL_strz00_212;
BgL_strz00_212 = 
bgl_close_output_port(BgL_strzd2pzd2_204); 
{ /* Llib/pgp_encode.scm 289 */
 long BgL_arg1372z00_213;
BgL_arg1372z00_213 = 
STRING_LENGTH(
((obj_t)BgL_strz00_212)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1372z00_213, ((long)2)), BgL_pz00_86); } 
return 
bgl_display_obj(BgL_strz00_212, BgL_pz00_86);} } } 

}



/* create-signed-packet-prefix-v4 */
BGL_EXPORTED_DEF obj_t BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(obj_t BgL_signaturezd2typezd2_89, obj_t BgL_publiczd2keyzd2algoz00_90, obj_t BgL_hashzd2algozd2_91, obj_t BgL_creationzd2datezd2_92, obj_t BgL_signedzd2subzd2packetsz00_93)
{
{ /* Llib/pgp_encode.scm 299 */
{ /* Llib/pgp_encode.scm 305 */
 obj_t BgL_strzd2pzd2_219; obj_t BgL_creationzd2timezd2packetz00_221; char BgL_publiczd2keyzd2algozd2bytezd2_222; char BgL_hashzd2algozd2bytez00_223; char BgL_signaturezd2typezd2bytez00_224;
{ /* Llib/pgp_encode.scm 305 */

{ /* Llib/pgp_encode.scm 305 */

BgL_strzd2pzd2_219 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ 
 obj_t BgL_l1161z00_247;
BgL_l1161z00_247 = BgL_signedzd2subzd2packetsz00_93; 
BgL_zc3z04anonymousza31539ze3z87_248:
if(
NULLP(BgL_l1161z00_247))
{ /* Llib/pgp_encode.scm 308 */
BgL_creationzd2timezd2packetz00_221 = BFALSE; }  else 
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL__ortest_1163z00_250;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_pz00_252;
BgL_pz00_252 = 
CAR(
((obj_t)BgL_l1161z00_247)); 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL_test2297z00_2949;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_classz00_929;
BgL_classz00_929 = BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_252))
{ /* Llib/pgp_encode.scm 309 */
 BgL_objectz00_bglt BgL_arg1789z00_931;
BgL_arg1789z00_931 = 
(BgL_objectz00_bglt)(BgL_pz00_252); 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL_arg1786z00_934; bool_t BgL_arg1787z00_935;
{ /* Llib/pgp_encode.scm 309 */
 long BgL_idxz00_938;
BgL_idxz00_938 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_931); 
BgL_arg1786z00_934 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_938+((long)2)))==BgL_classz00_929); } 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL_res1972z00_960;
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_oclassz00_946;
{ /* Llib/pgp_encode.scm 309 */
 long BgL_arg1796z00_952;
{ /* Llib/pgp_encode.scm 309 */
 long BgL_arg1797z00_953;
BgL_arg1797z00_953 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_931); 
BgL_arg1796z00_952 = 
(BgL_arg1797z00_953-OBJECT_TYPE); } 
BgL_oclassz00_946 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_952); } 
{ /* Llib/pgp_encode.scm 309 */
 bool_t BgL__ortest_1111z00_947;
BgL__ortest_1111z00_947 = 
(BgL_classz00_929==BgL_oclassz00_946); 
if(BgL__ortest_1111z00_947)
{ /* Llib/pgp_encode.scm 309 */
BgL_res1972z00_960 = BgL__ortest_1111z00_947; }  else 
{ /* Llib/pgp_encode.scm 309 */
 long BgL_odepthz00_948;
BgL_odepthz00_948 = 
BGL_CLASS_DEPTH(BgL_oclassz00_946); 
if(
(((long)2)<BgL_odepthz00_948))
{ /* Llib/pgp_encode.scm 309 */
 obj_t BgL_arg1785z00_950;
BgL_arg1785z00_950 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_946, ((long)2)); 
BgL_res1972z00_960 = 
(BgL_arg1785z00_950==BgL_classz00_929); }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL_res1972z00_960 = ((bool_t)0); } } } } 
BgL_arg1787z00_935 = BgL_res1972z00_960; } 
BgL_test2297z00_2949 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_934, BgL_arg1787z00_935); } }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL_test2297z00_2949 = ((bool_t)0)
; } } 
if(BgL_test2297z00_2949)
{ /* Llib/pgp_encode.scm 309 */
BgL__ortest_1163z00_250 = BgL_pz00_252; }  else 
{ /* Llib/pgp_encode.scm 309 */
BgL__ortest_1163z00_250 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1163z00_250))
{ /* Llib/pgp_encode.scm 308 */
BgL_creationzd2timezd2packetz00_221 = BgL__ortest_1163z00_250; }  else 
{ 
 obj_t BgL_l1161z00_2970;
BgL_l1161z00_2970 = 
CDR(
((obj_t)BgL_l1161z00_247)); 
BgL_l1161z00_247 = BgL_l1161z00_2970; 
goto BgL_zc3z04anonymousza31539ze3z87_248;} } } 
BgL_publiczd2keyzd2algozd2bytezd2_222 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(BgL_publiczd2keyzd2algoz00_90); 
BgL_hashzd2algozd2bytez00_223 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_hashzd2algozd2_91); 
BgL_signaturezd2typezd2bytez00_224 = 
BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_signaturezd2typezd2_89); 
if(
(((long)4)>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(((long)4))); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_965;
BgL_arg1283z00_965 = 
(((long)4)); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_965), BgL_strzd2pzd2_219); } 
{ /* Llib/pgp_encode.scm 323 */
 long BgL_nz00_968;
BgL_nz00_968 = 
(long)(BgL_signaturezd2typezd2bytez00_224); 
if(
(BgL_nz00_968>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_968)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_971;
BgL_arg1283z00_971 = 
(BgL_nz00_968); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_971), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 324 */
 long BgL_nz00_974;
BgL_nz00_974 = 
(long)(BgL_publiczd2keyzd2algozd2bytezd2_222); 
if(
(BgL_nz00_974>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_974)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_977;
BgL_arg1283z00_977 = 
(BgL_nz00_974); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_977), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 325 */
 long BgL_nz00_980;
BgL_nz00_980 = 
(long)(BgL_hashzd2algozd2bytez00_223); 
if(
(BgL_nz00_980>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_980)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_983;
BgL_arg1283z00_983 = 
(BgL_nz00_980); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_983), BgL_strzd2pzd2_219); } } 
{ /* Llib/pgp_encode.scm 327 */
 bool_t BgL_test2306z00_3007;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 327 */
BgL_test2306z00_3007 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_encode.scm 327 */
if(
CBOOL(BgL_creationzd2timezd2packetz00_221))
{ /* Llib/pgp_encode.scm 328 */
BgL_test2306z00_3007 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_encode.scm 328 */
BgL_test2306z00_3007 = ((bool_t)1)
; } } 
if(BgL_test2306z00_3007)
{ /* Llib/pgp_encode.scm 327 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2050z00zz__openpgpzd2encodezd2, BGl_string2051z00zz__openpgpzd2encodezd2, BFALSE); }  else 
{ /* Llib/pgp_encode.scm 332 */
 bool_t BgL_test2309z00_3013;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 332 */
if(
CBOOL(BgL_creationzd2timezd2packetz00_221))
{ /* Llib/pgp_encode.scm 336 */
 obj_t BgL_arg1538z00_242;
BgL_arg1538z00_242 = 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_creationzd2timezd2packetz00_221)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 295 */
 long BgL_arg1373z00_988; long BgL_arg1374z00_989;
BgL_arg1373z00_988 = 
bgl_date_to_seconds(BgL_creationzd2datezd2_92); 
BgL_arg1374z00_989 = 
bgl_date_to_seconds(BgL_arg1538z00_242); 
{ /* Llib/pgp_encode.scm 295 */
 long BgL_n1z00_992; long BgL_n2z00_993;
BgL_n1z00_992 = 
(long)(BgL_arg1373z00_988); 
BgL_n2z00_993 = 
(long)(BgL_arg1374z00_989); 
BgL_test2309z00_3013 = 
(BgL_n1z00_992==BgL_n2z00_993); } } }  else 
{ /* Llib/pgp_encode.scm 334 */
BgL_test2309z00_3013 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_encode.scm 332 */
BgL_test2309z00_3013 = ((bool_t)1)
; } 
if(BgL_test2309z00_3013)
{ /* Llib/pgp_encode.scm 332 */
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_signedzd2subzd2packetsz00_93, BgL_strzd2pzd2_219); }  else 
{ /* Llib/pgp_encode.scm 340 */
 bool_t BgL_test2312z00_3026;
if(
BGL_DATEP(BgL_creationzd2datezd2_92))
{ /* Llib/pgp_encode.scm 340 */
BgL_test2312z00_3026 = 
CBOOL(BgL_creationzd2timezd2packetz00_221)
; }  else 
{ /* Llib/pgp_encode.scm 340 */
BgL_test2312z00_3026 = ((bool_t)0)
; } 
if(BgL_test2312z00_3026)
{ /* Llib/pgp_encode.scm 340 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2050z00zz__openpgpzd2encodezd2, BGl_string2052z00zz__openpgpzd2encodezd2, BgL_creationzd2datezd2_92); }  else 
{ /* Llib/pgp_encode.scm 346 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_packetz00_234;
{ /* Llib/pgp_encode.scm 346 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1131z00_236;
{ /* Llib/pgp_encode.scm 347 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1130z00_237;
BgL_new1130z00_237 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl) ))); 
{ /* Llib/pgp_encode.scm 347 */
 long BgL_arg1534z00_238;
BgL_arg1534z00_238 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_237), BgL_arg1534z00_238); } 
{ /* Llib/pgp_encode.scm 347 */
 BgL_objectz00_bglt BgL_tmpz00_3035;
BgL_tmpz00_3035 = 
((BgL_objectz00_bglt)BgL_new1130z00_237); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3035, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1130z00_237); 
BgL_new1131z00_236 = BgL_new1130z00_237; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1131z00_236)))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(BgL_new1131z00_236))->BgL_creationzd2datezd2)=((obj_t)BgL_creationzd2datezd2_92),BUNSPEC); 
BgL_packetz00_234 = BgL_new1131z00_236; } 
{ /* Llib/pgp_encode.scm 349 */
 obj_t BgL_arg1449z00_235;
BgL_arg1449z00_235 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_packetz00_234), BgL_signedzd2subzd2packetsz00_93); 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_arg1449z00_235, BgL_strzd2pzd2_219); } } } } } 
return 
bgl_close_output_port(BgL_strzd2pzd2_219);} } 

}



/* &create-signed-packet-prefix-v4 */
obj_t BGl_z62createzd2signedzd2packetzd2prefixzd2v4z62zz__openpgpzd2encodezd2(obj_t BgL_envz00_2061, obj_t BgL_signaturezd2typezd2_2062, obj_t BgL_publiczd2keyzd2algoz00_2063, obj_t BgL_hashzd2algozd2_2064, obj_t BgL_creationzd2datezd2_2065, obj_t BgL_signedzd2subzd2packetsz00_2066)
{
{ /* Llib/pgp_encode.scm 299 */
{ /* Llib/pgp_encode.scm 305 */
 obj_t BgL_auxz00_3067; obj_t BgL_auxz00_3060; obj_t BgL_auxz00_3053; obj_t BgL_auxz00_3046;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_signedzd2subzd2packetsz00_2066))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3067 = BgL_signedzd2subzd2packetsz00_2066
; }  else 
{ 
 obj_t BgL_auxz00_3070;
BgL_auxz00_3070 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2053z00zz__openpgpzd2encodezd2, BGl_string2055z00zz__openpgpzd2encodezd2, BgL_signedzd2subzd2packetsz00_2066); 
FAILURE(BgL_auxz00_3070,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_hashzd2algozd2_2064))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3060 = BgL_hashzd2algozd2_2064
; }  else 
{ 
 obj_t BgL_auxz00_3063;
BgL_auxz00_3063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2053z00zz__openpgpzd2encodezd2, BGl_string2054z00zz__openpgpzd2encodezd2, BgL_hashzd2algozd2_2064); 
FAILURE(BgL_auxz00_3063,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_publiczd2keyzd2algoz00_2063))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3053 = BgL_publiczd2keyzd2algoz00_2063
; }  else 
{ 
 obj_t BgL_auxz00_3056;
BgL_auxz00_3056 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2053z00zz__openpgpzd2encodezd2, BGl_string2054z00zz__openpgpzd2encodezd2, BgL_publiczd2keyzd2algoz00_2063); 
FAILURE(BgL_auxz00_3056,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_signaturezd2typezd2_2062))
{ /* Llib/pgp_encode.scm 305 */
BgL_auxz00_3046 = BgL_signaturezd2typezd2_2062
; }  else 
{ 
 obj_t BgL_auxz00_3049;
BgL_auxz00_3049 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)12396)), BGl_string2053z00zz__openpgpzd2encodezd2, BGl_string2054z00zz__openpgpzd2encodezd2, BgL_signaturezd2typezd2_2062); 
FAILURE(BgL_auxz00_3049,BFALSE,BFALSE);} 
return 
BGl_createzd2signedzd2packetzd2prefixzd2v4z00zz__openpgpzd2encodezd2(BgL_auxz00_3046, BgL_auxz00_3053, BgL_auxz00_3060, BgL_creationzd2datezd2_2065, BgL_auxz00_3067);} } 

}



/* encode-insecure-sub-packets */
obj_t BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(obj_t BgL_securezd2packetszd2_94, obj_t BgL_insecurezd2packetszd2_95, obj_t BgL_issuerz00_96, obj_t BgL_pz00_97)
{
{ /* Llib/pgp_encode.scm 353 */
{ /* Llib/pgp_encode.scm 356 */
 obj_t BgL_issuerzd2packetzd2_255;
{ /* Llib/pgp_encode.scm 356 */
 obj_t BgL_g1167z00_266;
BgL_g1167z00_266 = 
BGl_appendzd221010zd2zz__openpgpzd2encodezd2(BgL_insecurezd2packetszd2_95, BgL_securezd2packetszd2_94); 
{ 
 obj_t BgL_l1164z00_268;
BgL_l1164z00_268 = BgL_g1167z00_266; 
BgL_zc3z04anonymousza31565ze3z87_269:
if(
NULLP(BgL_l1164z00_268))
{ /* Llib/pgp_encode.scm 358 */
BgL_issuerzd2packetzd2_255 = BFALSE; }  else 
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL__ortest_1168z00_271;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_pz00_273;
BgL_pz00_273 = 
CAR(
((obj_t)BgL_l1164z00_268)); 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL_test2319z00_3080;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_classz00_1000;
BgL_classz00_1000 = BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_273))
{ /* Llib/pgp_encode.scm 357 */
 BgL_objectz00_bglt BgL_arg1789z00_1002;
BgL_arg1789z00_1002 = 
(BgL_objectz00_bglt)(BgL_pz00_273); 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL_arg1786z00_1005; bool_t BgL_arg1787z00_1006;
{ /* Llib/pgp_encode.scm 357 */
 long BgL_idxz00_1009;
BgL_idxz00_1009 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_1002); 
BgL_arg1786z00_1005 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1009+((long)2)))==BgL_classz00_1000); } 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL_res1973z00_1031;
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_oclassz00_1017;
{ /* Llib/pgp_encode.scm 357 */
 long BgL_arg1796z00_1023;
{ /* Llib/pgp_encode.scm 357 */
 long BgL_arg1797z00_1024;
BgL_arg1797z00_1024 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_1002); 
BgL_arg1796z00_1023 = 
(BgL_arg1797z00_1024-OBJECT_TYPE); } 
BgL_oclassz00_1017 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_1023); } 
{ /* Llib/pgp_encode.scm 357 */
 bool_t BgL__ortest_1111z00_1018;
BgL__ortest_1111z00_1018 = 
(BgL_classz00_1000==BgL_oclassz00_1017); 
if(BgL__ortest_1111z00_1018)
{ /* Llib/pgp_encode.scm 357 */
BgL_res1973z00_1031 = BgL__ortest_1111z00_1018; }  else 
{ /* Llib/pgp_encode.scm 357 */
 long BgL_odepthz00_1019;
BgL_odepthz00_1019 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1017); 
if(
(((long)2)<BgL_odepthz00_1019))
{ /* Llib/pgp_encode.scm 357 */
 obj_t BgL_arg1785z00_1021;
BgL_arg1785z00_1021 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1017, ((long)2)); 
BgL_res1973z00_1031 = 
(BgL_arg1785z00_1021==BgL_classz00_1000); }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL_res1973z00_1031 = ((bool_t)0); } } } } 
BgL_arg1787z00_1006 = BgL_res1973z00_1031; } 
BgL_test2319z00_3080 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_1005, BgL_arg1787z00_1006); } }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL_test2319z00_3080 = ((bool_t)0)
; } } 
if(BgL_test2319z00_3080)
{ /* Llib/pgp_encode.scm 357 */
BgL__ortest_1168z00_271 = BgL_pz00_273; }  else 
{ /* Llib/pgp_encode.scm 357 */
BgL__ortest_1168z00_271 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1168z00_271))
{ /* Llib/pgp_encode.scm 358 */
BgL_issuerzd2packetzd2_255 = BgL__ortest_1168z00_271; }  else 
{ 
 obj_t BgL_l1164z00_3101;
BgL_l1164z00_3101 = 
CDR(
((obj_t)BgL_l1164z00_268)); 
BgL_l1164z00_268 = BgL_l1164z00_3101; 
goto BgL_zc3z04anonymousza31565ze3z87_269;} } } } 
if(
CBOOL(BgL_issuerzd2packetzd2_255))
{ /* Llib/pgp_encode.scm 365 */
 bool_t BgL_test2325z00_3106;
{ /* Llib/pgp_encode.scm 366 */
 obj_t BgL_arg1562z00_259;
BgL_arg1562z00_259 = 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_issuerzd2packetzd2_255)))->BgL_keyzd2idzd2); 
{ /* Llib/pgp_encode.scm 365 */
 long BgL_l1z00_1035;
BgL_l1z00_1035 = 
STRING_LENGTH(
((obj_t)BgL_issuerz00_96)); 
if(
(BgL_l1z00_1035==
STRING_LENGTH(BgL_arg1562z00_259)))
{ /* Llib/pgp_encode.scm 365 */
 int BgL_arg1289z00_1038;
{ /* Llib/pgp_encode.scm 365 */
 char * BgL_auxz00_3117; char * BgL_tmpz00_3114;
BgL_auxz00_3117 = 
BSTRING_TO_STRING(BgL_arg1562z00_259); 
BgL_tmpz00_3114 = 
BSTRING_TO_STRING(
((obj_t)BgL_issuerz00_96)); 
BgL_arg1289z00_1038 = 
memcmp(BgL_tmpz00_3114, BgL_auxz00_3117, BgL_l1z00_1035); } 
BgL_test2325z00_3106 = 
(
(long)(BgL_arg1289z00_1038)==((long)0)); }  else 
{ /* Llib/pgp_encode.scm 365 */
BgL_test2325z00_3106 = ((bool_t)0)
; } } } 
if(BgL_test2325z00_3106)
{ /* Llib/pgp_encode.scm 365 */
return 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_insecurezd2packetszd2_95, BgL_pz00_97);}  else 
{ /* Llib/pgp_encode.scm 365 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2056z00zz__openpgpzd2encodezd2, BGl_string2057z00zz__openpgpzd2encodezd2, BgL_issuerz00_96);} }  else 
{ /* Llib/pgp_encode.scm 361 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_newzd2pzd2_261;
{ /* Llib/pgp_encode.scm 361 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1134z00_263;
{ /* Llib/pgp_encode.scm 362 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1133z00_264;
BgL_new1133z00_264 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl) ))); 
{ /* Llib/pgp_encode.scm 362 */
 long BgL_arg1564z00_265;
BgL_arg1564z00_265 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_264), BgL_arg1564z00_265); } 
{ /* Llib/pgp_encode.scm 362 */
 BgL_objectz00_bglt BgL_tmpz00_3128;
BgL_tmpz00_3128 = 
((BgL_objectz00_bglt)BgL_new1133z00_264); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3128, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1133z00_264); 
BgL_new1134z00_263 = BgL_new1133z00_264; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1134z00_263)))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(BgL_new1134z00_263))->BgL_keyzd2idzd2)=((obj_t)BgL_issuerz00_96),BUNSPEC); 
BgL_newzd2pzd2_261 = BgL_new1134z00_263; } 
{ /* Llib/pgp_encode.scm 364 */
 obj_t BgL_arg1563z00_262;
BgL_arg1563z00_262 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_newzd2pzd2_261), BgL_insecurezd2packetszd2_95); 
return 
BGl_encodezd2subzd2packetsz00zz__openpgpzd2encodezd2(BgL_arg1563z00_262, BgL_pz00_97);} } } } 

}



/* encode-s2k */
obj_t BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(obj_t BgL_s2kz00_100, obj_t BgL_pz00_101)
{
{ /* Llib/pgp_encode.scm 410 */
{ /* Llib/pgp_encode.scm 412 */
 obj_t BgL_algoz00_276;
BgL_algoz00_276 = 
BGl_s2kzd2algozd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 412 */
 char BgL_algozd2bytezd2_277;
BgL_algozd2bytezd2_277 = 
BGl_s2kzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_algoz00_276); 
{ /* Llib/pgp_encode.scm 413 */
 obj_t BgL_hashz00_278;
BgL_hashz00_278 = 
BGl_s2kzd2hashzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 414 */
 char BgL_hashzd2bytezd2_279;
BgL_hashzd2bytezd2_279 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_hashz00_278); 
{ /* Llib/pgp_encode.scm 415 */
 obj_t BgL_saltz00_280;
BgL_saltz00_280 = 
BGl_s2kzd2saltzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 416 */
 obj_t BgL_countz00_281;
BgL_countz00_281 = 
BGl_s2kzd2countzd2zz__openpgpzd2s2kzd2(BgL_s2kz00_100); 
{ /* Llib/pgp_encode.scm 417 */

{ /* Llib/pgp_encode.scm 421 */
 long BgL_nz00_1048;
BgL_nz00_1048 = 
(long)(BgL_algozd2bytezd2_277); 
if(
(BgL_nz00_1048>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1048)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1051;
BgL_arg1283z00_1051 = 
(BgL_nz00_1048); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1051), BgL_pz00_101); } } 
{ /* Llib/pgp_encode.scm 422 */
 long BgL_nz00_1054;
BgL_nz00_1054 = 
(long)(BgL_hashzd2bytezd2_279); 
if(
(BgL_nz00_1054>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1054)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1057;
BgL_arg1283z00_1057 = 
(BgL_nz00_1054); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1057), BgL_pz00_101); } } 
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)0))))
{ /* Llib/pgp_encode.scm 423 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/pgp_encode.scm 423 */
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)2))))
{ /* Llib/pgp_encode.scm 423 */
if(
STRINGP(BgL_saltz00_280))
{ /* Llib/pgp_encode.scm 427 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 427 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2058z00zz__openpgpzd2encodezd2, BGl_string2059z00zz__openpgpzd2encodezd2, BgL_saltz00_280); } 
{ /* Llib/pgp_encode.scm 432 */
 int BgL_arg1599z00_286;
BgL_arg1599z00_286 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
{ /* Llib/pgp_encode.scm 432 */
 long BgL_lenz00_1063;
BgL_lenz00_1063 = 
(long)(BgL_arg1599z00_286); 
if(
(
STRING_LENGTH(
((obj_t)BgL_saltz00_280))==BgL_lenz00_1063))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_1067;
BgL_arg1288z00_1067 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lenz00_1063), 
((obj_t)BgL_saltz00_280)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2060z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_arg1288z00_1067); } 
return 
bgl_display_obj(
((obj_t)BgL_saltz00_280), BgL_pz00_101);} } }  else 
{ /* Llib/pgp_encode.scm 423 */
if(
(BgL_algoz00_276==
CNST_TABLE_REF(((long)3))))
{ /* Llib/pgp_encode.scm 423 */
if(
STRINGP(BgL_saltz00_280))
{ /* Llib/pgp_encode.scm 434 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 434 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2058z00zz__openpgpzd2encodezd2, BGl_string2059z00zz__openpgpzd2encodezd2, BgL_saltz00_280); } 
if(
INTEGERP(BgL_countz00_281))
{ /* Llib/pgp_encode.scm 438 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 438 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2058z00zz__openpgpzd2encodezd2, BGl_string2062z00zz__openpgpzd2encodezd2, BgL_countz00_281); } 
{ /* Llib/pgp_encode.scm 442 */
 long BgL_encodedzd2countzd2_290;
BgL_encodedzd2countzd2_290 = 
BGl_iteratedzd2saltedzd2s2kzd2countzd2ze3octetze3zz__openpgpzd2s2kzd2(
(long)CINT(BgL_countz00_281)); 
{ /* Llib/pgp_encode.scm 445 */
 int BgL_arg1614z00_291;
BgL_arg1614z00_291 = 
BGl_s2kzd2saltzd2lengthz00zz__openpgpzd2s2kzd2(); 
{ /* Llib/pgp_encode.scm 445 */
 long BgL_lenz00_1073;
BgL_lenz00_1073 = 
(long)(BgL_arg1614z00_291); 
if(
(
STRING_LENGTH(
((obj_t)BgL_saltz00_280))==BgL_lenz00_1073))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_1077;
BgL_arg1288z00_1077 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lenz00_1073), 
((obj_t)BgL_saltz00_280)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2060z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_arg1288z00_1077); } 
bgl_display_obj(
((obj_t)BgL_saltz00_280), BgL_pz00_101); } } 
if(
(BgL_encodedzd2countzd2_290>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_encodedzd2countzd2_290)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1084;
BgL_arg1283z00_1084 = 
(BgL_encodedzd2countzd2_290); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1084), BgL_pz00_101);} } }  else 
{ /* Llib/pgp_encode.scm 423 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2058z00zz__openpgpzd2encodezd2, BGl_string2063z00zz__openpgpzd2encodezd2, BgL_algoz00_276);} } } } } } } } } } } 

}



/* encode-public-key-content */
BGL_EXPORTED_DEF obj_t BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2keyzd2packetz00_bglt BgL_packetz00_106, obj_t BgL_pz00_107)
{
{ /* Llib/pgp_encode.scm 500 */
{ /* Llib/pgp_encode.scm 504 */
 long BgL_arg1615z00_293;
BgL_arg1615z00_293 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00); 
if(
(BgL_arg1615z00_293>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1615z00_293)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1090;
BgL_arg1283z00_1090 = 
(BgL_arg1615z00_293); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1090), BgL_pz00_107); } } 
{ /* Llib/pgp_encode.scm 505 */
 obj_t BgL_arg1616z00_294;
BgL_arg1616z00_294 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1341z00_1095;
BgL_arg1341z00_1095 = 
bgl_date_to_seconds(BgL_arg1616z00_294); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_1097;
BgL_nnz00_1097 = 
(long)(BgL_arg1341z00_1095); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_1097, ((long)4)), BgL_pz00_107); } } } 
{ /* Llib/pgp_encode.scm 508 */
 bool_t BgL_test2339z00_3226;
if(
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)2)))
{ /* Llib/pgp_encode.scm 508 */
BgL_test2339z00_3226 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_encode.scm 508 */
BgL_test2339z00_3226 = 
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)3))
; } 
if(BgL_test2339z00_3226)
{ /* Llib/pgp_encode.scm 508 */
if(
INTEGERP(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2)))
{ /* Llib/pgp_encode.scm 509 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 509 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2064z00zz__openpgpzd2encodezd2, BGl_string2065z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2)); } 
{ /* Llib/pgp_encode.scm 513 */
 obj_t BgL_arg1664z00_304;
BgL_arg1664z00_304 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_validzd2dayszd2); 
{ /* Llib/pgp_encode.scm 513 */
 long BgL_nnz00_1102;
BgL_nnz00_1102 = 
(long)CINT(BgL_arg1664z00_304); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_1102, ((long)2)), BgL_pz00_107); } } }  else 
{ /* Llib/pgp_encode.scm 508 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 514 */
 char BgL_arg1672z00_308;
BgL_arg1672z00_308 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 514 */
 long BgL_nz00_1105;
BgL_nz00_1105 = 
(long)(BgL_arg1672z00_308); 
if(
(BgL_nz00_1105>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_1105)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_1108;
BgL_arg1283z00_1108 = 
(BgL_nz00_1105); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_1108), BgL_pz00_107); } } } 
{ /* Llib/pgp_encode.scm 515 */
 bool_t BgL_test2343z00_3251;
if(
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)2)))
{ /* Llib/pgp_encode.scm 515 */
BgL_test2343z00_3251 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_encode.scm 515 */
BgL_test2343z00_3251 = 
(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_versionz00)==((long)3))
; } 
if(BgL_test2343z00_3251)
{ /* Llib/pgp_encode.scm 516 */
 obj_t BgL_casezd2valuezd2_315;
BgL_casezd2valuezd2_315 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL_test2345z00_3258;
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL__ortest_1141z00_323;
BgL__ortest_1141z00_323 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1141z00_323)
{ /* Llib/pgp_encode.scm 516 */
BgL_test2345z00_3258 = BgL__ortest_1141z00_323
; }  else 
{ /* Llib/pgp_encode.scm 516 */
 bool_t BgL__ortest_1142z00_324;
BgL__ortest_1142z00_324 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1142z00_324)
{ /* Llib/pgp_encode.scm 516 */
BgL_test2345z00_3258 = BgL__ortest_1142z00_324
; }  else 
{ /* Llib/pgp_encode.scm 516 */
BgL_test2345z00_3258 = 
(BgL_casezd2valuezd2_315==
CNST_TABLE_REF(((long)6)))
; } } } 
if(BgL_test2345z00_3258)
{ /* Llib/pgp_encode.scm 516 */
CNST_TABLE_REF(((long)7)); }  else 
{ /* Llib/pgp_encode.scm 520 */
 obj_t BgL_arg1693z00_319;
BgL_arg1693z00_319 = 
MAKE_YOUNG_PAIR(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00), 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00))); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2064z00zz__openpgpzd2encodezd2, BGl_string2066z00zz__openpgpzd2encodezd2, BgL_arg1693z00_319); } } }  else 
{ /* Llib/pgp_encode.scm 515 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 522 */
 obj_t BgL_casezd2valuezd2_328;
BgL_casezd2valuezd2_328 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL_test2348z00_3274;
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1143z00_364;
BgL__ortest_1143z00_364 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1143z00_364)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2348z00_3274 = BgL__ortest_1143z00_364
; }  else 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1144z00_365;
BgL__ortest_1144z00_365 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1144z00_365)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2348z00_3274 = BgL__ortest_1144z00_365
; }  else 
{ /* Llib/pgp_encode.scm 522 */
BgL_test2348z00_3274 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)6)))
; } } } 
if(BgL_test2348z00_3274)
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL_test2351z00_3283;
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_arg1725z00_335;
BgL_arg1725z00_335 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_classz00_1113;
BgL_classz00_1113 = BGl_Rsazd2Keyzd2zz__cryptozd2rsazd2; 
if(
BGL_OBJECTP(BgL_arg1725z00_335))
{ /* Llib/pgp_encode.scm 524 */
 BgL_objectz00_bglt BgL_arg1789z00_1115;
BgL_arg1789z00_1115 = 
(BgL_objectz00_bglt)(BgL_arg1725z00_335); 
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL_arg1786z00_1118; bool_t BgL_arg1787z00_1119;
{ /* Llib/pgp_encode.scm 524 */
 long BgL_idxz00_1122;
BgL_idxz00_1122 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_1115); 
BgL_arg1786z00_1118 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1122+((long)1)))==BgL_classz00_1113); } 
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL_res1974z00_1144;
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_oclassz00_1130;
{ /* Llib/pgp_encode.scm 524 */
 long BgL_arg1796z00_1136;
{ /* Llib/pgp_encode.scm 524 */
 long BgL_arg1797z00_1137;
BgL_arg1797z00_1137 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_1115); 
BgL_arg1796z00_1136 = 
(BgL_arg1797z00_1137-OBJECT_TYPE); } 
BgL_oclassz00_1130 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_1136); } 
{ /* Llib/pgp_encode.scm 524 */
 bool_t BgL__ortest_1111z00_1131;
BgL__ortest_1111z00_1131 = 
(BgL_classz00_1113==BgL_oclassz00_1130); 
if(BgL__ortest_1111z00_1131)
{ /* Llib/pgp_encode.scm 524 */
BgL_res1974z00_1144 = BgL__ortest_1111z00_1131; }  else 
{ /* Llib/pgp_encode.scm 524 */
 long BgL_odepthz00_1132;
BgL_odepthz00_1132 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1130); 
if(
(((long)1)<BgL_odepthz00_1132))
{ /* Llib/pgp_encode.scm 524 */
 obj_t BgL_arg1785z00_1134;
BgL_arg1785z00_1134 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1130, ((long)1)); 
BgL_res1974z00_1144 = 
(BgL_arg1785z00_1134==BgL_classz00_1113); }  else 
{ /* Llib/pgp_encode.scm 524 */
BgL_res1974z00_1144 = ((bool_t)0); } } } } 
BgL_arg1787z00_1119 = BgL_res1974z00_1144; } 
BgL_test2351z00_3283 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_1118, BgL_arg1787z00_1119); } }  else 
{ /* Llib/pgp_encode.scm 524 */
BgL_test2351z00_3283 = ((bool_t)0)
; } } } 
if(BgL_test2351z00_3283)
{ /* Llib/pgp_encode.scm 524 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 524 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2067z00zz__openpgpzd2encodezd2, BGl_string2068z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 528 */
 BgL_rsazd2keyzd2_bglt BgL_i1145z00_336;
BgL_i1145z00_336 = 
((BgL_rsazd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 529 */
 obj_t BgL_arg1731z00_337;
BgL_arg1731z00_337 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1145z00_336))->BgL_modulusz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1147;
BgL_bitzd2lenzd2_1147 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1731z00_337); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1148;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1975z00_1162;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1151; long BgL_rz00_1152;
BgL_qz00_1151 = 
(BgL_bitzd2lenzd2_1147/((long)8)); 
BgL_rz00_1152 = 
(BgL_bitzd2lenzd2_1147%((long)8)); 
if(
(BgL_rz00_1152==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1975z00_1162 = BgL_qz00_1151; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1152>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1975z00_1162 = 
(BgL_qz00_1151+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1975z00_1162 = 
(BgL_qz00_1151-((long)1)); } } } 
BgL_octetzd2lenzd2_1148 = BgL_res1975z00_1162; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1149;
BgL_strz00_1149 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1731z00_337, BgL_octetzd2lenzd2_1148); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1147, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1149, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 530 */
 obj_t BgL_arg1732z00_338;
BgL_arg1732z00_338 = 
(((BgL_rsazd2keyzd2_bglt)COBJECT(BgL_i1145z00_336))->BgL_exponentz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1168;
BgL_bitzd2lenzd2_1168 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1732z00_338); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1169;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1976z00_1183;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1172; long BgL_rz00_1173;
BgL_qz00_1172 = 
(BgL_bitzd2lenzd2_1168/((long)8)); 
BgL_rz00_1173 = 
(BgL_bitzd2lenzd2_1168%((long)8)); 
if(
(BgL_rz00_1173==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1976z00_1183 = BgL_qz00_1172; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1173>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1976z00_1183 = 
(BgL_qz00_1172+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1976z00_1183 = 
(BgL_qz00_1172-((long)1)); } } } 
BgL_octetzd2lenzd2_1169 = BgL_res1976z00_1183; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1170;
BgL_strz00_1170 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1732z00_338, BgL_octetzd2lenzd2_1169); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1168, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1170, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 522 */
if(
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)8))))
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL_test2360z00_3338;
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_arg1737z00_343;
BgL_arg1737z00_343 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_classz00_1188;
BgL_classz00_1188 = BGl_Dsazd2Keyzd2zz__cryptozd2dsazd2; 
if(
BGL_OBJECTP(BgL_arg1737z00_343))
{ /* Llib/pgp_encode.scm 532 */
 BgL_objectz00_bglt BgL_arg1789z00_1190;
BgL_arg1789z00_1190 = 
(BgL_objectz00_bglt)(BgL_arg1737z00_343); 
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL_arg1786z00_1193; bool_t BgL_arg1787z00_1194;
{ /* Llib/pgp_encode.scm 532 */
 long BgL_idxz00_1197;
BgL_idxz00_1197 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_1190); 
BgL_arg1786z00_1193 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1197+((long)1)))==BgL_classz00_1188); } 
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL_res1977z00_1219;
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_oclassz00_1205;
{ /* Llib/pgp_encode.scm 532 */
 long BgL_arg1796z00_1211;
{ /* Llib/pgp_encode.scm 532 */
 long BgL_arg1797z00_1212;
BgL_arg1797z00_1212 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_1190); 
BgL_arg1796z00_1211 = 
(BgL_arg1797z00_1212-OBJECT_TYPE); } 
BgL_oclassz00_1205 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_1211); } 
{ /* Llib/pgp_encode.scm 532 */
 bool_t BgL__ortest_1111z00_1206;
BgL__ortest_1111z00_1206 = 
(BgL_classz00_1188==BgL_oclassz00_1205); 
if(BgL__ortest_1111z00_1206)
{ /* Llib/pgp_encode.scm 532 */
BgL_res1977z00_1219 = BgL__ortest_1111z00_1206; }  else 
{ /* Llib/pgp_encode.scm 532 */
 long BgL_odepthz00_1207;
BgL_odepthz00_1207 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1205); 
if(
(((long)1)<BgL_odepthz00_1207))
{ /* Llib/pgp_encode.scm 532 */
 obj_t BgL_arg1785z00_1209;
BgL_arg1785z00_1209 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1205, ((long)1)); 
BgL_res1977z00_1219 = 
(BgL_arg1785z00_1209==BgL_classz00_1188); }  else 
{ /* Llib/pgp_encode.scm 532 */
BgL_res1977z00_1219 = ((bool_t)0); } } } } 
BgL_arg1787z00_1194 = BgL_res1977z00_1219; } 
BgL_test2360z00_3338 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_1193, BgL_arg1787z00_1194); } }  else 
{ /* Llib/pgp_encode.scm 532 */
BgL_test2360z00_3338 = ((bool_t)0)
; } } } 
if(BgL_test2360z00_3338)
{ /* Llib/pgp_encode.scm 532 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 532 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2067z00zz__openpgpzd2encodezd2, BGl_string2069z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 536 */
 BgL_dsazd2keyzd2_bglt BgL_i1146z00_344;
BgL_i1146z00_344 = 
((BgL_dsazd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 537 */
 obj_t BgL_arg1738z00_345;
BgL_arg1738z00_345 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1146z00_344))->BgL_pz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1222;
BgL_bitzd2lenzd2_1222 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1738z00_345); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1223;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1978z00_1237;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1226; long BgL_rz00_1227;
BgL_qz00_1226 = 
(BgL_bitzd2lenzd2_1222/((long)8)); 
BgL_rz00_1227 = 
(BgL_bitzd2lenzd2_1222%((long)8)); 
if(
(BgL_rz00_1227==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1978z00_1237 = BgL_qz00_1226; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1227>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1978z00_1237 = 
(BgL_qz00_1226+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1978z00_1237 = 
(BgL_qz00_1226-((long)1)); } } } 
BgL_octetzd2lenzd2_1223 = BgL_res1978z00_1237; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1224;
BgL_strz00_1224 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1738z00_345, BgL_octetzd2lenzd2_1223); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1222, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1224, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 538 */
 obj_t BgL_arg1739z00_346;
BgL_arg1739z00_346 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1146z00_344))->BgL_qz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1243;
BgL_bitzd2lenzd2_1243 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1739z00_346); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1244;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1979z00_1258;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1247; long BgL_rz00_1248;
BgL_qz00_1247 = 
(BgL_bitzd2lenzd2_1243/((long)8)); 
BgL_rz00_1248 = 
(BgL_bitzd2lenzd2_1243%((long)8)); 
if(
(BgL_rz00_1248==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1979z00_1258 = BgL_qz00_1247; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1248>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1979z00_1258 = 
(BgL_qz00_1247+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1979z00_1258 = 
(BgL_qz00_1247-((long)1)); } } } 
BgL_octetzd2lenzd2_1244 = BgL_res1979z00_1258; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1245;
BgL_strz00_1245 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1739z00_346, BgL_octetzd2lenzd2_1244); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1243, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1245, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 539 */
 obj_t BgL_arg1747z00_347;
BgL_arg1747z00_347 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1146z00_344))->BgL_gz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1264;
BgL_bitzd2lenzd2_1264 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1747z00_347); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1265;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1980z00_1279;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1268; long BgL_rz00_1269;
BgL_qz00_1268 = 
(BgL_bitzd2lenzd2_1264/((long)8)); 
BgL_rz00_1269 = 
(BgL_bitzd2lenzd2_1264%((long)8)); 
if(
(BgL_rz00_1269==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1980z00_1279 = BgL_qz00_1268; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1269>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1980z00_1279 = 
(BgL_qz00_1268+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1980z00_1279 = 
(BgL_qz00_1268-((long)1)); } } } 
BgL_octetzd2lenzd2_1265 = BgL_res1980z00_1279; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1266;
BgL_strz00_1266 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1747z00_347, BgL_octetzd2lenzd2_1265); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1264, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1266, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 540 */
 obj_t BgL_arg1748z00_348;
BgL_arg1748z00_348 = 
(((BgL_dsazd2keyzd2_bglt)COBJECT(BgL_i1146z00_344))->BgL_yz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1285;
BgL_bitzd2lenzd2_1285 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1748z00_348); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1286;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1981z00_1300;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1289; long BgL_rz00_1290;
BgL_qz00_1289 = 
(BgL_bitzd2lenzd2_1285/((long)8)); 
BgL_rz00_1290 = 
(BgL_bitzd2lenzd2_1285%((long)8)); 
if(
(BgL_rz00_1290==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1981z00_1300 = BgL_qz00_1289; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1290>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1981z00_1300 = 
(BgL_qz00_1289+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1981z00_1300 = 
(BgL_qz00_1289-((long)1)); } } } 
BgL_octetzd2lenzd2_1286 = BgL_res1981z00_1300; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1287;
BgL_strz00_1287 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1748z00_348, BgL_octetzd2lenzd2_1286); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1285, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1287, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL_test2372z00_3418;
{ /* Llib/pgp_encode.scm 522 */
 bool_t BgL__ortest_1147z00_363;
BgL__ortest_1147z00_363 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1147z00_363)
{ /* Llib/pgp_encode.scm 522 */
BgL_test2372z00_3418 = BgL__ortest_1147z00_363
; }  else 
{ /* Llib/pgp_encode.scm 522 */
BgL_test2372z00_3418 = 
(BgL_casezd2valuezd2_328==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2372z00_3418)
{ /* Llib/pgp_encode.scm 522 */
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL_test2374z00_3424;
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_arg1758z00_354;
BgL_arg1758z00_354 = 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00); 
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_classz00_1304;
BgL_classz00_1304 = BGl_ElGamalzd2Keyzd2zz__cryptozd2elgamalzd2; 
if(
BGL_OBJECTP(BgL_arg1758z00_354))
{ /* Llib/pgp_encode.scm 542 */
 BgL_objectz00_bglt BgL_arg1789z00_1306;
BgL_arg1789z00_1306 = 
(BgL_objectz00_bglt)(BgL_arg1758z00_354); 
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL_arg1786z00_1309; bool_t BgL_arg1787z00_1310;
{ /* Llib/pgp_encode.scm 542 */
 long BgL_idxz00_1313;
BgL_idxz00_1313 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_1306); 
BgL_arg1786z00_1309 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1313+((long)1)))==BgL_classz00_1304); } 
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL_res1982z00_1335;
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_oclassz00_1321;
{ /* Llib/pgp_encode.scm 542 */
 long BgL_arg1796z00_1327;
{ /* Llib/pgp_encode.scm 542 */
 long BgL_arg1797z00_1328;
BgL_arg1797z00_1328 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_1306); 
BgL_arg1796z00_1327 = 
(BgL_arg1797z00_1328-OBJECT_TYPE); } 
BgL_oclassz00_1321 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_1327); } 
{ /* Llib/pgp_encode.scm 542 */
 bool_t BgL__ortest_1111z00_1322;
BgL__ortest_1111z00_1322 = 
(BgL_classz00_1304==BgL_oclassz00_1321); 
if(BgL__ortest_1111z00_1322)
{ /* Llib/pgp_encode.scm 542 */
BgL_res1982z00_1335 = BgL__ortest_1111z00_1322; }  else 
{ /* Llib/pgp_encode.scm 542 */
 long BgL_odepthz00_1323;
BgL_odepthz00_1323 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1321); 
if(
(((long)1)<BgL_odepthz00_1323))
{ /* Llib/pgp_encode.scm 542 */
 obj_t BgL_arg1785z00_1325;
BgL_arg1785z00_1325 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1321, ((long)1)); 
BgL_res1982z00_1335 = 
(BgL_arg1785z00_1325==BgL_classz00_1304); }  else 
{ /* Llib/pgp_encode.scm 542 */
BgL_res1982z00_1335 = ((bool_t)0); } } } } 
BgL_arg1787z00_1310 = BgL_res1982z00_1335; } 
BgL_test2374z00_3424 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_1309, BgL_arg1787z00_1310); } }  else 
{ /* Llib/pgp_encode.scm 542 */
BgL_test2374z00_3424 = ((bool_t)0)
; } } } 
if(BgL_test2374z00_3424)
{ /* Llib/pgp_encode.scm 542 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 542 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2067z00zz__openpgpzd2encodezd2, BGl_string2070z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); } } 
{ /* Llib/pgp_encode.scm 546 */
 BgL_elgamalzd2keyzd2_bglt BgL_i1148z00_355;
BgL_i1148z00_355 = 
((BgL_elgamalzd2keyzd2_bglt)
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_keyz00)); 
{ /* Llib/pgp_encode.scm 547 */
 obj_t BgL_arg1762z00_356;
BgL_arg1762z00_356 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1148z00_355))->BgL_pz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1338;
BgL_bitzd2lenzd2_1338 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1762z00_356); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1339;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1983z00_1353;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1342; long BgL_rz00_1343;
BgL_qz00_1342 = 
(BgL_bitzd2lenzd2_1338/((long)8)); 
BgL_rz00_1343 = 
(BgL_bitzd2lenzd2_1338%((long)8)); 
if(
(BgL_rz00_1343==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1983z00_1353 = BgL_qz00_1342; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1343>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1983z00_1353 = 
(BgL_qz00_1342+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1983z00_1353 = 
(BgL_qz00_1342-((long)1)); } } } 
BgL_octetzd2lenzd2_1339 = BgL_res1983z00_1353; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1340;
BgL_strz00_1340 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1762z00_356, BgL_octetzd2lenzd2_1339); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1338, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1340, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 548 */
 obj_t BgL_arg1768z00_357;
BgL_arg1768z00_357 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1148z00_355))->BgL_gz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1359;
BgL_bitzd2lenzd2_1359 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1768z00_357); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1360;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1984z00_1374;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1363; long BgL_rz00_1364;
BgL_qz00_1363 = 
(BgL_bitzd2lenzd2_1359/((long)8)); 
BgL_rz00_1364 = 
(BgL_bitzd2lenzd2_1359%((long)8)); 
if(
(BgL_rz00_1364==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1984z00_1374 = BgL_qz00_1363; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1364>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1984z00_1374 = 
(BgL_qz00_1363+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1984z00_1374 = 
(BgL_qz00_1363-((long)1)); } } } 
BgL_octetzd2lenzd2_1360 = BgL_res1984z00_1374; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1361;
BgL_strz00_1361 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1768z00_357, BgL_octetzd2lenzd2_1360); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1359, ((long)2)), BgL_pz00_107); 
bgl_display_obj(BgL_strz00_1361, BgL_pz00_107); } } } } } 
{ /* Llib/pgp_encode.scm 549 */
 obj_t BgL_arg1781z00_358;
BgL_arg1781z00_358 = 
(((BgL_elgamalzd2keyzd2_bglt)COBJECT(BgL_i1148z00_355))->BgL_yz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_1380;
BgL_bitzd2lenzd2_1380 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(BgL_arg1781z00_358); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_1381;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res1985z00_1395;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_1384; long BgL_rz00_1385;
BgL_qz00_1384 = 
(BgL_bitzd2lenzd2_1380/((long)8)); 
BgL_rz00_1385 = 
(BgL_bitzd2lenzd2_1380%((long)8)); 
if(
(BgL_rz00_1385==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1985z00_1395 = BgL_qz00_1384; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_1385>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res1985z00_1395 = 
(BgL_qz00_1384+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res1985z00_1395 = 
(BgL_qz00_1384-((long)1)); } } } 
BgL_octetzd2lenzd2_1381 = BgL_res1985z00_1395; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_1382;
BgL_strz00_1382 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(BgL_arg1781z00_358, BgL_octetzd2lenzd2_1381); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_1380, ((long)2)), BgL_pz00_107); 
return 
bgl_display_obj(BgL_strz00_1382, BgL_pz00_107);} } } } } } }  else 
{ /* Llib/pgp_encode.scm 553 */
 obj_t BgL_arg1782z00_359;
BgL_arg1782z00_359 = 
MAKE_YOUNG_PAIR(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00), 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_packetz00_106))->BgL_algoz00))); 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2067z00zz__openpgpzd2encodezd2, BGl_string2071z00zz__openpgpzd2encodezd2, BgL_arg1782z00_359);} } } } } } 

}



/* &encode-public-key-content */
obj_t BGl_z62encodezd2publiczd2keyzd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2067, obj_t BgL_packetz00_2068, obj_t BgL_pz00_2069)
{
{ /* Llib/pgp_encode.scm 500 */
{ /* Llib/pgp_encode.scm 502 */
 obj_t BgL_auxz00_3503; BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_3495;
if(
OUTPUT_PORTP(BgL_pz00_2069))
{ /* Llib/pgp_encode.scm 502 */
BgL_auxz00_3503 = BgL_pz00_2069
; }  else 
{ 
 obj_t BgL_auxz00_3506;
BgL_auxz00_3506 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)19947)), BGl_string2072z00zz__openpgpzd2encodezd2, BGl_string2041z00zz__openpgpzd2encodezd2, BgL_pz00_2069); 
FAILURE(BgL_auxz00_3506,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_packetz00_2068, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_encode.scm 502 */
BgL_auxz00_3495 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_packetz00_2068)
; }  else 
{ 
 obj_t BgL_auxz00_3499;
BgL_auxz00_3499 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)19947)), BGl_string2072z00zz__openpgpzd2encodezd2, BGl_string2073z00zz__openpgpzd2encodezd2, BgL_packetz00_2068); 
FAILURE(BgL_auxz00_3499,BFALSE,BFALSE);} 
return 
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_3495, BgL_auxz00_3503);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_proc2074z00zz__openpgpzd2encodezd2, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2075z00zz__openpgpzd2encodezd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_proc2076z00zz__openpgpzd2encodezd2, BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2077z00zz__openpgpzd2encodezd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_proc2078z00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, BGl_string2079z00zz__openpgpzd2encodezd2);} 

}



/* &encode-sub-packet-co1203 */
obj_t BGl_z62encodezd2subzd2packetzd2co1203zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2073, obj_t BgL_spz00_2074, obj_t BgL_pz00_2075)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 174 */
 obj_t BgL_arg1816z00_2311;
{ /* Llib/pgp_encode.scm 174 */
 obj_t BgL_arg1817z00_2312;
{ /* Llib/pgp_encode.scm 174 */
 long BgL_arg1796z00_2313;
{ /* Llib/pgp_encode.scm 174 */
 long BgL_arg1797z00_2314;
BgL_arg1797z00_2314 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spz00_2074))); 
BgL_arg1796z00_2313 = 
(BgL_arg1797z00_2314-OBJECT_TYPE); } 
BgL_arg1817z00_2312 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_2313); } 
BgL_arg1816z00_2311 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1817z00_2312); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2080z00zz__openpgpzd2encodezd2, BGl_string2081z00zz__openpgpzd2encodezd2, BgL_arg1816z00_2311);} } 

}



/* &encode-content1198 */
obj_t BGl_z62encodezd2content1198zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2076, obj_t BgL_packetz00_2077, obj_t BgL_pz00_2078)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 134 */
 obj_t BgL_arg1812z00_2317;
{ /* Llib/pgp_encode.scm 134 */
 obj_t BgL_arg1813z00_2318;
{ /* Llib/pgp_encode.scm 134 */
 long BgL_arg1796z00_2319;
{ /* Llib/pgp_encode.scm 134 */
 long BgL_arg1797z00_2320;
BgL_arg1797z00_2320 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2077))); 
BgL_arg1796z00_2319 = 
(BgL_arg1797z00_2320-OBJECT_TYPE); } 
BgL_arg1813z00_2318 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_2319); } 
BgL_arg1812z00_2317 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1813z00_2318); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2082z00zz__openpgpzd2encodezd2, BGl_string2081z00zz__openpgpzd2encodezd2, BgL_arg1812z00_2317);} } 

}



/* &packet->content-tag1169 */
obj_t BGl_z62packetzd2ze3contentzd2tag1169z81zz__openpgpzd2encodezd2(obj_t BgL_envz00_2079, obj_t BgL_pz00_2080)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 74 */
 obj_t BgL_arg1802z00_2322;
{ /* Llib/pgp_encode.scm 74 */
 obj_t BgL_arg1804z00_2323;
{ /* Llib/pgp_encode.scm 74 */
 long BgL_arg1796z00_2324;
{ /* Llib/pgp_encode.scm 74 */
 long BgL_arg1797z00_2325;
BgL_arg1797z00_2325 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2packetzd2_bglt)BgL_pz00_2080))); 
BgL_arg1796z00_2324 = 
(BgL_arg1797z00_2325-OBJECT_TYPE); } 
BgL_arg1804z00_2323 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_2324); } 
BgL_arg1802z00_2322 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg1804z00_2323); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2083z00zz__openpgpzd2encodezd2, BGl_string2084z00zz__openpgpzd2encodezd2, BgL_arg1802z00_2322);} } 

}



/* packet->content-tag */
obj_t BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_pz00_22)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_method1171z00_386;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_res1990z00_1459;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_objzd2classzd2numz00_1430;
BgL_objzd2classzd2numz00_1430 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_pz00_22)); 
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1793z00_1431;
BgL_arg1793z00_1431 = 
PROCEDURE_REF(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 71 */
 int BgL_offsetz00_1434;
BgL_offsetz00_1434 = 
(int)(BgL_objzd2classzd2numz00_1430); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_offsetz00_1435;
BgL_offsetz00_1435 = 
(
(long)(BgL_offsetz00_1434)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_modz00_1436;
BgL_modz00_1436 = 
(BgL_offsetz00_1435 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_restz00_1438;
BgL_restz00_1438 = 
(BgL_offsetz00_1435 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 71 */

{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_bucketz00_1440;
BgL_bucketz00_1440 = 
VECTOR_REF(
((obj_t)BgL_arg1793z00_1431),BgL_modz00_1436); 
BgL_res1990z00_1459 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1440),BgL_restz00_1438); } } } } } } } } 
BgL_method1171z00_386 = BgL_res1990z00_1459; } 
return 
PROCEDURE_ENTRY(BgL_method1171z00_386)(BgL_method1171z00_386, 
((obj_t)BgL_pz00_22), BEOA);} } 

}



/* &packet->content-tag */
obj_t BGl_z62packetzd2ze3contentzd2tagz81zz__openpgpzd2encodezd2(obj_t BgL_envz00_2081, obj_t BgL_pz00_2082)
{
{ /* Llib/pgp_encode.scm 71 */
{ /* Llib/pgp_encode.scm 71 */
 BgL_pgpzd2packetzd2_bglt BgL_auxz00_3565;
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL_test2386z00_3566;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_classz00_2326;
BgL_classz00_2326 = BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_pz00_2082))
{ /* Llib/pgp_encode.scm 71 */
 BgL_objectz00_bglt BgL_arg1791z00_2328; long BgL_arg1792z00_2329;
BgL_arg1791z00_2328 = 
(BgL_objectz00_bglt)(BgL_pz00_2082); 
BgL_arg1792z00_2329 = 
BGL_CLASS_DEPTH(BgL_classz00_2326); 
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL_arg1786z00_2333; bool_t BgL_arg1787z00_2334;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_idxz00_2338;
BgL_idxz00_2338 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_2328); 
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1783z00_2339;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1784z00_2340;
BgL_arg1784z00_2340 = 
(BgL_idxz00_2338+BgL_arg1792z00_2329); 
BgL_arg1783z00_2339 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_2340); } 
BgL_arg1786z00_2333 = 
(BgL_arg1783z00_2339==BgL_classz00_2326); } } 
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL_res2153z00_2363;
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_oclassz00_2348;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1796z00_2354;
{ /* Llib/pgp_encode.scm 71 */
 long BgL_arg1797z00_2355;
BgL_arg1797z00_2355 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_2328); 
BgL_arg1796z00_2354 = 
(BgL_arg1797z00_2355-OBJECT_TYPE); } 
BgL_oclassz00_2348 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_2354); } 
{ /* Llib/pgp_encode.scm 71 */
 bool_t BgL__ortest_1111z00_2349;
BgL__ortest_1111z00_2349 = 
(BgL_classz00_2326==BgL_oclassz00_2348); 
if(BgL__ortest_1111z00_2349)
{ /* Llib/pgp_encode.scm 71 */
BgL_res2153z00_2363 = BgL__ortest_1111z00_2349; }  else 
{ /* Llib/pgp_encode.scm 71 */
 long BgL_odepthz00_2350;
BgL_odepthz00_2350 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2348); 
if(
(BgL_arg1792z00_2329<BgL_odepthz00_2350))
{ /* Llib/pgp_encode.scm 71 */
 obj_t BgL_arg1785z00_2352;
BgL_arg1785z00_2352 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2348, BgL_arg1792z00_2329); 
BgL_res2153z00_2363 = 
(BgL_arg1785z00_2352==BgL_classz00_2326); }  else 
{ /* Llib/pgp_encode.scm 71 */
BgL_res2153z00_2363 = ((bool_t)0); } } } } 
BgL_arg1787z00_2334 = BgL_res2153z00_2363; } 
BgL_test2386z00_3566 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_2333, BgL_arg1787z00_2334); } }  else 
{ /* Llib/pgp_encode.scm 71 */
BgL_test2386z00_3566 = ((bool_t)0)
; } } 
if(BgL_test2386z00_3566)
{ /* Llib/pgp_encode.scm 71 */
BgL_auxz00_3565 = 
((BgL_pgpzd2packetzd2_bglt)BgL_pz00_2082)
; }  else 
{ 
 obj_t BgL_auxz00_3587;
BgL_auxz00_3587 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)2203)), BGl_string2085z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, BgL_pz00_2082); 
FAILURE(BgL_auxz00_3587,BFALSE,BFALSE);} } 
return 
BGl_packetzd2ze3contentzd2tagze3zz__openpgpzd2encodezd2(BgL_auxz00_3565);} } 

}



/* encode-content */
obj_t BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt BgL_packetz00_38, obj_t BgL_pz00_39)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_method1200z00_387;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_res1995z00_1490;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_objzd2classzd2numz00_1461;
BgL_objzd2classzd2numz00_1461 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_packetz00_38)); 
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1793z00_1462;
BgL_arg1793z00_1462 = 
PROCEDURE_REF(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 130 */
 int BgL_offsetz00_1465;
BgL_offsetz00_1465 = 
(int)(BgL_objzd2classzd2numz00_1461); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_offsetz00_1466;
BgL_offsetz00_1466 = 
(
(long)(BgL_offsetz00_1465)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_modz00_1467;
BgL_modz00_1467 = 
(BgL_offsetz00_1466 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_restz00_1469;
BgL_restz00_1469 = 
(BgL_offsetz00_1466 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 130 */

{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_bucketz00_1471;
BgL_bucketz00_1471 = 
VECTOR_REF(
((obj_t)BgL_arg1793z00_1462),BgL_modz00_1467); 
BgL_res1995z00_1490 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1471),BgL_restz00_1469); } } } } } } } } 
BgL_method1200z00_387 = BgL_res1995z00_1490; } 
return 
PROCEDURE_ENTRY(BgL_method1200z00_387)(BgL_method1200z00_387, 
((obj_t)BgL_packetz00_38), BgL_pz00_39, BEOA);} } 

}



/* &encode-content */
obj_t BGl_z62encodezd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2083, obj_t BgL_packetz00_2084, obj_t BgL_pz00_2085)
{
{ /* Llib/pgp_encode.scm 130 */
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_auxz00_3649; BgL_pgpzd2packetzd2_bglt BgL_auxz00_3623;
if(
OUTPUT_PORTP(BgL_pz00_2085))
{ /* Llib/pgp_encode.scm 130 */
BgL_auxz00_3649 = BgL_pz00_2085
; }  else 
{ 
 obj_t BgL_auxz00_3652;
BgL_auxz00_3652 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)4525)), BGl_string2086z00zz__openpgpzd2encodezd2, BGl_string2041z00zz__openpgpzd2encodezd2, BgL_pz00_2085); 
FAILURE(BgL_auxz00_3652,BFALSE,BFALSE);} 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL_test2390z00_3624;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_classz00_2364;
BgL_classz00_2364 = BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_packetz00_2084))
{ /* Llib/pgp_encode.scm 130 */
 BgL_objectz00_bglt BgL_arg1791z00_2366; long BgL_arg1792z00_2367;
BgL_arg1791z00_2366 = 
(BgL_objectz00_bglt)(BgL_packetz00_2084); 
BgL_arg1792z00_2367 = 
BGL_CLASS_DEPTH(BgL_classz00_2364); 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL_arg1786z00_2371; bool_t BgL_arg1787z00_2372;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_idxz00_2376;
BgL_idxz00_2376 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_2366); 
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1783z00_2377;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1784z00_2378;
BgL_arg1784z00_2378 = 
(BgL_idxz00_2376+BgL_arg1792z00_2367); 
BgL_arg1783z00_2377 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_2378); } 
BgL_arg1786z00_2371 = 
(BgL_arg1783z00_2377==BgL_classz00_2364); } } 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL_res2154z00_2401;
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_oclassz00_2386;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1796z00_2392;
{ /* Llib/pgp_encode.scm 130 */
 long BgL_arg1797z00_2393;
BgL_arg1797z00_2393 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_2366); 
BgL_arg1796z00_2392 = 
(BgL_arg1797z00_2393-OBJECT_TYPE); } 
BgL_oclassz00_2386 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_2392); } 
{ /* Llib/pgp_encode.scm 130 */
 bool_t BgL__ortest_1111z00_2387;
BgL__ortest_1111z00_2387 = 
(BgL_classz00_2364==BgL_oclassz00_2386); 
if(BgL__ortest_1111z00_2387)
{ /* Llib/pgp_encode.scm 130 */
BgL_res2154z00_2401 = BgL__ortest_1111z00_2387; }  else 
{ /* Llib/pgp_encode.scm 130 */
 long BgL_odepthz00_2388;
BgL_odepthz00_2388 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2386); 
if(
(BgL_arg1792z00_2367<BgL_odepthz00_2388))
{ /* Llib/pgp_encode.scm 130 */
 obj_t BgL_arg1785z00_2390;
BgL_arg1785z00_2390 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2386, BgL_arg1792z00_2367); 
BgL_res2154z00_2401 = 
(BgL_arg1785z00_2390==BgL_classz00_2364); }  else 
{ /* Llib/pgp_encode.scm 130 */
BgL_res2154z00_2401 = ((bool_t)0); } } } } 
BgL_arg1787z00_2372 = BgL_res2154z00_2401; } 
BgL_test2390z00_3624 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_2371, BgL_arg1787z00_2372); } }  else 
{ /* Llib/pgp_encode.scm 130 */
BgL_test2390z00_3624 = ((bool_t)0)
; } } 
if(BgL_test2390z00_3624)
{ /* Llib/pgp_encode.scm 130 */
BgL_auxz00_3623 = 
((BgL_pgpzd2packetzd2_bglt)BgL_packetz00_2084)
; }  else 
{ 
 obj_t BgL_auxz00_3645;
BgL_auxz00_3645 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)4525)), BGl_string2086z00zz__openpgpzd2encodezd2, BGl_string2049z00zz__openpgpzd2encodezd2, BgL_packetz00_2084); 
FAILURE(BgL_auxz00_3645,BFALSE,BFALSE);} } 
return 
BGl_encodezd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_3623, BgL_auxz00_3649);} } 

}



/* encode-sub-packet-content */
obj_t BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_spz00_44, obj_t BgL_pz00_45)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_method1204z00_388;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_res2000z00_1521;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_objzd2classzd2numz00_1492;
BgL_objzd2classzd2numz00_1492 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_spz00_44)); 
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1793z00_1493;
BgL_arg1793z00_1493 = 
PROCEDURE_REF(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, 
(int)(((long)1))); 
{ /* Llib/pgp_encode.scm 170 */
 int BgL_offsetz00_1496;
BgL_offsetz00_1496 = 
(int)(BgL_objzd2classzd2numz00_1492); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_offsetz00_1497;
BgL_offsetz00_1497 = 
(
(long)(BgL_offsetz00_1496)-OBJECT_TYPE); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_modz00_1498;
BgL_modz00_1498 = 
(BgL_offsetz00_1497 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_restz00_1500;
BgL_restz00_1500 = 
(BgL_offsetz00_1497 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_encode.scm 170 */

{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_bucketz00_1502;
BgL_bucketz00_1502 = 
VECTOR_REF(
((obj_t)BgL_arg1793z00_1493),BgL_modz00_1498); 
BgL_res2000z00_1521 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1502),BgL_restz00_1500); } } } } } } } } 
BgL_method1204z00_388 = BgL_res2000z00_1521; } 
return 
PROCEDURE_ENTRY(BgL_method1204z00_388)(BgL_method1204z00_388, 
((obj_t)BgL_spz00_44), BgL_pz00_45, BEOA);} } 

}



/* &encode-sub-packet-content */
obj_t BGl_z62encodezd2subzd2packetzd2contentzb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2086, obj_t BgL_spz00_2087, obj_t BgL_pz00_2088)
{
{ /* Llib/pgp_encode.scm 170 */
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_auxz00_3714; BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_auxz00_3688;
if(
OUTPUT_PORTP(BgL_pz00_2088))
{ /* Llib/pgp_encode.scm 170 */
BgL_auxz00_3714 = BgL_pz00_2088
; }  else 
{ 
 obj_t BgL_auxz00_3717;
BgL_auxz00_3717 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)6077)), BGl_string2087z00zz__openpgpzd2encodezd2, BGl_string2041z00zz__openpgpzd2encodezd2, BgL_pz00_2088); 
FAILURE(BgL_auxz00_3717,BFALSE,BFALSE);} 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL_test2395z00_3689;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_classz00_2402;
BgL_classz00_2402 = BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2; 
if(
BGL_OBJECTP(BgL_spz00_2087))
{ /* Llib/pgp_encode.scm 170 */
 BgL_objectz00_bglt BgL_arg1791z00_2404; long BgL_arg1792z00_2405;
BgL_arg1791z00_2404 = 
(BgL_objectz00_bglt)(BgL_spz00_2087); 
BgL_arg1792z00_2405 = 
BGL_CLASS_DEPTH(BgL_classz00_2402); 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL_arg1786z00_2409; bool_t BgL_arg1787z00_2410;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_idxz00_2414;
BgL_idxz00_2414 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1791z00_2404); 
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1783z00_2415;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1784z00_2416;
BgL_arg1784z00_2416 = 
(BgL_idxz00_2414+BgL_arg1792z00_2405); 
BgL_arg1783z00_2415 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1784z00_2416); } 
BgL_arg1786z00_2409 = 
(BgL_arg1783z00_2415==BgL_classz00_2402); } } 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL_res2155z00_2439;
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_oclassz00_2424;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1796z00_2430;
{ /* Llib/pgp_encode.scm 170 */
 long BgL_arg1797z00_2431;
BgL_arg1797z00_2431 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1791z00_2404); 
BgL_arg1796z00_2430 = 
(BgL_arg1797z00_2431-OBJECT_TYPE); } 
BgL_oclassz00_2424 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_2430); } 
{ /* Llib/pgp_encode.scm 170 */
 bool_t BgL__ortest_1111z00_2425;
BgL__ortest_1111z00_2425 = 
(BgL_classz00_2402==BgL_oclassz00_2424); 
if(BgL__ortest_1111z00_2425)
{ /* Llib/pgp_encode.scm 170 */
BgL_res2155z00_2439 = BgL__ortest_1111z00_2425; }  else 
{ /* Llib/pgp_encode.scm 170 */
 long BgL_odepthz00_2426;
BgL_odepthz00_2426 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2424); 
if(
(BgL_arg1792z00_2405<BgL_odepthz00_2426))
{ /* Llib/pgp_encode.scm 170 */
 obj_t BgL_arg1785z00_2428;
BgL_arg1785z00_2428 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2424, BgL_arg1792z00_2405); 
BgL_res2155z00_2439 = 
(BgL_arg1785z00_2428==BgL_classz00_2402); }  else 
{ /* Llib/pgp_encode.scm 170 */
BgL_res2155z00_2439 = ((bool_t)0); } } } } 
BgL_arg1787z00_2410 = BgL_res2155z00_2439; } 
BgL_test2395z00_3689 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_2409, BgL_arg1787z00_2410); } }  else 
{ /* Llib/pgp_encode.scm 170 */
BgL_test2395z00_3689 = ((bool_t)0)
; } } 
if(BgL_test2395z00_3689)
{ /* Llib/pgp_encode.scm 170 */
BgL_auxz00_3688 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_spz00_2087)
; }  else 
{ 
 obj_t BgL_auxz00_3710;
BgL_auxz00_3710 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2039z00zz__openpgpzd2encodezd2, 
BINT(((long)6077)), BGl_string2087z00zz__openpgpzd2encodezd2, BGl_string2088z00zz__openpgpzd2encodezd2, BgL_spz00_2087); 
FAILURE(BgL_auxz00_3710,BFALSE,BFALSE);} } 
return 
BGl_encodezd2subzd2packetzd2contentzd2zz__openpgpzd2encodezd2(BgL_auxz00_3688, BgL_auxz00_3714);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2089z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2090z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2091z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2092z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2093z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2094z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2095z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2096z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2097z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2098z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2099z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2100z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_packetzd2ze3contentzd2tagzd2envz31zz__openpgpzd2encodezd2, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2101z00zz__openpgpzd2encodezd2, BGl_string2083z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2102z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2, BGl_proc2103z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2, BGl_proc2105z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2, BGl_proc2106z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2, BGl_proc2107z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2, BGl_proc2108z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2, BGl_proc2109z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2, BGl_proc2110z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2, BGl_proc2111z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2, BGl_proc2112z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2, BGl_proc2113z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2, BGl_proc2114z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2, BGl_proc2115z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2, BGl_proc2116z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2, BGl_proc2117z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2, BGl_proc2118z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2, BGl_proc2119z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2, BGl_proc2120z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2subzd2packetzd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2, BGl_proc2121z00zz__openpgpzd2encodezd2, BGl_string2104z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2122z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2123z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2124z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2125z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2126z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2, BGl_proc2127z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2128z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2129z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2130z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2131z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2132z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2contentzd2envz00zz__openpgpzd2encodezd2, BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2, BGl_proc2133z00zz__openpgpzd2encodezd2, BGl_string2082z00zz__openpgpzd2encodezd2);} 

}



/* &encode-content-PGP-M1264 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1264zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2139, obj_t BgL_packetz00_2140, obj_t BgL_pz00_2141)
{
{ /* Llib/pgp_encode.scm 623 */
return 
bgl_display_obj(
(((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_packetz00_2140)))->BgL_hashz00), 
((obj_t)BgL_pz00_2141));} 

}



/* &encode-content-PGP-M1262 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1262zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2142, obj_t BgL_packetz00_2143, obj_t BgL_pz00_2144)
{
{ /* Llib/pgp_encode.scm 617 */
{ /* Llib/pgp_encode.scm 620 */
 long BgL_arg1951z00_2444;
BgL_arg1951z00_2444 = 
(((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_packetz00_2143)))->BgL_versionz00); 
if(
(BgL_arg1951z00_2444>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1951z00_2444)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2445;
BgL_arg1283z00_2445 = 
(BgL_arg1951z00_2444); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2445), 
((obj_t)BgL_pz00_2144)); } } 
{ /* Llib/pgp_encode.scm 621 */
 obj_t BgL_arg1952z00_2446;
BgL_arg1952z00_2446 = 
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_packetz00_2143))))->BgL_dataz00); 
return 
bgl_display_obj(BgL_arg1952z00_2446, 
((obj_t)BgL_pz00_2144));} } 

}



/* &encode-content-PGP-I1260 */
obj_t BGl_z62encodezd2contentzd2PGPzd2I1260zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2145, obj_t BgL_packetz00_2146, obj_t BgL_pz00_2147)
{
{ /* Llib/pgp_encode.scm 612 */
return 
bgl_display_obj(
(((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_packetz00_2146)))->BgL_dataz00), 
((obj_t)BgL_pz00_2147));} 

}



/* &encode-content-PGP-T1258 */
obj_t BGl_z62encodezd2contentzd2PGPzd2T1258zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2148, obj_t BgL_packetz00_2149, obj_t BgL_pz00_2150)
{
{ /* Llib/pgp_encode.scm 606 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2134z00zz__openpgpzd2encodezd2, BGl_string2135z00zz__openpgpzd2encodezd2, BFALSE);} 

}



/* &encode-content-PGP-L1256 */
obj_t BGl_z62encodezd2contentzd2PGPzd2L1256zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2151, obj_t BgL_packetz00_2152, obj_t BgL_pz00_2153)
{
{ /* Llib/pgp_encode.scm 577 */
{ /* Llib/pgp_encode.scm 581 */
 bool_t BgL_test2401z00_3790;
if(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21))
{ /* Llib/pgp_encode.scm 581 */
BgL_test2401z00_3790 = 
CBOOL(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_filezd2namezd2))
; }  else 
{ /* Llib/pgp_encode.scm 581 */
BgL_test2401z00_3790 = ((bool_t)0)
; } 
if(BgL_test2401z00_3790)
{ /* Llib/pgp_encode.scm 581 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2136z00zz__openpgpzd2encodezd2, BGl_string2137z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_filezd2namezd2)); }  else 
{ /* Llib/pgp_encode.scm 581 */BFALSE; } } 
{ /* Llib/pgp_encode.scm 585 */
 obj_t BgL_filez00_2453;
if(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21))
{ /* Llib/pgp_encode.scm 586 */
BgL_filez00_2453 = BGl_string2138z00zz__openpgpzd2encodezd2; }  else 
{ /* Llib/pgp_encode.scm 588 */
 bool_t BgL_test2404z00_3803;
{ /* Llib/pgp_encode.scm 588 */
 obj_t BgL_tmpz00_3804;
BgL_tmpz00_3804 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_filezd2namezd2); 
BgL_test2404z00_3803 = 
STRINGP(BgL_tmpz00_3804); } 
if(BgL_test2404z00_3803)
{ /* Llib/pgp_encode.scm 588 */
BgL_filez00_2453 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_filezd2namezd2); }  else 
{ /* Llib/pgp_encode.scm 588 */
BgL_filez00_2453 = BGl_string2139z00zz__openpgpzd2encodezd2; } } 
if(
(
STRING_LENGTH(
((obj_t)BgL_filez00_2453))>((long)255)))
{ /* Llib/pgp_encode.scm 592 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2136z00zz__openpgpzd2encodezd2, BGl_string2140z00zz__openpgpzd2encodezd2, BgL_filez00_2453); }  else 
{ /* Llib/pgp_encode.scm 592 */BFALSE; } 
{ /* Llib/pgp_encode.scm 600 */
 char BgL_arg1941z00_2454;
BgL_arg1941z00_2454 = 
BGl_literalzd2formatzd2ze3byteze3zz__openpgpzd2enumszd2(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_formatz00)); 
{ /* Llib/pgp_encode.scm 600 */
 long BgL_nz00_2455;
BgL_nz00_2455 = 
(long)(BgL_arg1941z00_2454); 
if(
(BgL_nz00_2455>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2455)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2456;
BgL_arg1283z00_2456 = 
(BgL_nz00_2455); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2456), 
((obj_t)BgL_pz00_2153)); } } } 
{ /* Llib/pgp_encode.scm 601 */
 long BgL_arg1943z00_2457;
BgL_arg1943z00_2457 = 
STRING_LENGTH(
((obj_t)BgL_filez00_2453)); 
if(
(BgL_arg1943z00_2457>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1943z00_2457)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2458;
BgL_arg1283z00_2458 = 
(BgL_arg1943z00_2457); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2458), 
((obj_t)BgL_pz00_2153)); } } 
bgl_display_obj(BgL_filez00_2453, 
((obj_t)BgL_pz00_2153)); 
{ /* Llib/pgp_encode.scm 603 */
 obj_t BgL_arg1944z00_2459;
BgL_arg1944z00_2459 = 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1341z00_2460;
BgL_arg1341z00_2460 = 
bgl_date_to_seconds(BgL_arg1944z00_2459); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2461;
BgL_nnz00_2461 = 
(long)(BgL_arg1341z00_2460); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2461, ((long)4)), 
((obj_t)BgL_pz00_2153)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_packetz00_2152)))->BgL_dataz00), 
((obj_t)BgL_pz00_2153));} } 

}



/* &encode-content-PGP-M1254 */
obj_t BGl_z62encodezd2contentzd2PGPzd2M1254zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2154, obj_t BgL_packetz00_2155, obj_t BgL_pz00_2156)
{
{ /* Llib/pgp_encode.scm 573 */
return 
CNST_TABLE_REF(((long)11));} 

}



/* &encode-content-PGP-S1252 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1252zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2157, obj_t BgL_packetz00_2158, obj_t BgL_pz00_2159)
{
{ /* Llib/pgp_encode.scm 567 */
return 
bgl_display_obj(
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_packetz00_2158)))->BgL_dataz00), 
((obj_t)BgL_pz00_2159));} 

}



/* &encode-content-PGP-P1250 */
obj_t BGl_z62encodezd2contentzd2PGPzd2P1250zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2160, obj_t BgL_packetz00_2161, obj_t BgL_pz00_2162)
{
{ /* Llib/pgp_encode.scm 563 */
return 
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_packetz00_2161)), 
((obj_t)BgL_pz00_2162));} 

}



/* &encode-content-PGP-S1248 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1248zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2163, obj_t BgL_packetz00_2164, obj_t BgL_pz00_2165)
{
{ /* Llib/pgp_encode.scm 556 */
BGl_encodezd2publiczd2keyzd2contentzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_packetz00_2164)), 
((obj_t)BgL_pz00_2165)); 
return 
bgl_display_obj(
(((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_packetz00_2164)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00), 
((obj_t)BgL_pz00_2165));} 

}



/* &encode-content-PGP-O1246 */
obj_t BGl_z62encodezd2contentzd2PGPzd2O1246zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2166, obj_t BgL_packetz00_2167, obj_t BgL_pz00_2168)
{
{ /* Llib/pgp_encode.scm 475 */
{ /* Llib/pgp_encode.scm 489 */
 long BgL_arg1923z00_2472;
BgL_arg1923z00_2472 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2167))))->BgL_versionz00); 
if(
(BgL_arg1923z00_2472>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1923z00_2472)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2473;
BgL_arg1283z00_2473 = 
(BgL_arg1923z00_2472); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2473), 
((obj_t)BgL_pz00_2168)); } } 
{ /* Llib/pgp_encode.scm 490 */
 char BgL_arg1924z00_2474;
{ /* Llib/pgp_encode.scm 490 */
 obj_t BgL_arg1925z00_2475;
BgL_arg1925z00_2475 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2167))))->BgL_signaturezd2typezd2); 
BgL_arg1924z00_2474 = 
BGl_signaturezd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1925z00_2475); } 
{ /* Llib/pgp_encode.scm 490 */
 long BgL_nz00_2476;
BgL_nz00_2476 = 
(long)(BgL_arg1924z00_2474); 
if(
(BgL_nz00_2476>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2476)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2477;
BgL_arg1283z00_2477 = 
(BgL_nz00_2476); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2477), 
((obj_t)BgL_pz00_2168)); } } } 
{ /* Llib/pgp_encode.scm 491 */
 char BgL_arg1926z00_2478;
{ /* Llib/pgp_encode.scm 491 */
 obj_t BgL_arg1927z00_2479;
BgL_arg1927z00_2479 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2167))))->BgL_hashzd2algozd2); 
BgL_arg1926z00_2478 = 
BGl_hashzd2algozd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1927z00_2479); } 
{ /* Llib/pgp_encode.scm 491 */
 long BgL_nz00_2480;
BgL_nz00_2480 = 
(long)(BgL_arg1926z00_2478); 
if(
(BgL_nz00_2480>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2480)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2481;
BgL_arg1283z00_2481 = 
(BgL_nz00_2480); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2481), 
((obj_t)BgL_pz00_2168)); } } } 
{ /* Llib/pgp_encode.scm 492 */
 char BgL_arg1928z00_2482;
{ /* Llib/pgp_encode.scm 492 */
 obj_t BgL_arg1929z00_2483;
BgL_arg1929z00_2483 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2167))))->BgL_publiczd2keyzd2algoz00); 
BgL_arg1928z00_2482 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(BgL_arg1929z00_2483); } 
{ /* Llib/pgp_encode.scm 492 */
 long BgL_nz00_2484;
BgL_nz00_2484 = 
(long)(BgL_arg1928z00_2482); 
if(
(BgL_nz00_2484>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2484)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2485;
BgL_arg1283z00_2485 = 
(BgL_nz00_2484); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2485), 
((obj_t)BgL_pz00_2168)); } } } 
{ /* Llib/pgp_encode.scm 493 */
 obj_t BgL_arg1930z00_2486;
BgL_arg1930z00_2486 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2167))))->BgL_issuerz00); 
if(
(
STRING_LENGTH(
((obj_t)BgL_arg1930z00_2486))==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2487;
BgL_arg1288z00_2487 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), 
((obj_t)BgL_arg1930z00_2486)); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2060z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2487); } 
bgl_display_obj(
((obj_t)BgL_arg1930z00_2486), 
((obj_t)BgL_pz00_2168)); } 
{ /* Llib/pgp_encode.scm 494 */
 long BgL_arg1931z00_2488;
if(
(((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_packetz00_2167)))->BgL_containszd2nestedzd2sigzf3zf3))
{ /* Llib/pgp_encode.scm 494 */
BgL_arg1931z00_2488 = ((long)0); }  else 
{ /* Llib/pgp_encode.scm 494 */
BgL_arg1931z00_2488 = ((long)1); } 
if(
(BgL_arg1931z00_2488>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1931z00_2488)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2489;
BgL_arg1283z00_2489 = 
(BgL_arg1931z00_2488); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2489), 
((obj_t)BgL_pz00_2168));} } } 

}



/* &encode-content-PGP-S1244 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1244zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2169, obj_t BgL_packetz00_2170, obj_t BgL_pz00_2171)
{
{ /* Llib/pgp_encode.scm 452 */
if(
(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2170)))->BgL_versionz00)==((long)4)))
{ /* Llib/pgp_encode.scm 458 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 459 */
 long BgL_arg1915z00_2492;
BgL_arg1915z00_2492 = 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2170)))->BgL_versionz00); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2141z00zz__openpgpzd2encodezd2, BGl_string2142z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1915z00_2492)); } 
{ /* Llib/pgp_encode.scm 465 */
 long BgL_arg1917z00_2493;
BgL_arg1917z00_2493 = 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2170)))->BgL_versionz00); 
if(
(BgL_arg1917z00_2493>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1917z00_2493)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2494;
BgL_arg1283z00_2494 = 
(BgL_arg1917z00_2493); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2494), 
((obj_t)BgL_pz00_2171)); } } 
{ /* Llib/pgp_encode.scm 466 */
 char BgL_arg1918z00_2495;
BgL_arg1918z00_2495 = 
BGl_symmetriczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2170)))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 466 */
 long BgL_nz00_2496;
BgL_nz00_2496 = 
(long)(BgL_arg1918z00_2495); 
if(
(BgL_nz00_2496>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2496)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2497;
BgL_arg1283z00_2497 = 
(BgL_nz00_2496); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2497), 
((obj_t)BgL_pz00_2171)); } } } 
BGl_encodezd2s2kzd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2170)))->BgL_s2kz00), 
((obj_t)BgL_pz00_2171)); 
if(
CBOOL(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2170)))->BgL_encryptedzd2sessionzd2keyz00)))
{ /* Llib/pgp_encode.scm 470 */
bgl_display_obj(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2170)))->BgL_encryptedzd2sessionzd2keyz00), 
((obj_t)BgL_pz00_2171)); 
return BUNSPEC;}  else 
{ /* Llib/pgp_encode.scm 470 */
return BFALSE;} } 

}



/* &encode-content-PGP-S1242 */
obj_t BGl_z62encodezd2contentzd2PGPzd2S1242zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2172, obj_t BgL_packetz00_2173, obj_t BgL_pz00_2174)
{
{ /* Llib/pgp_encode.scm 374 */
{ /* Llib/pgp_encode.scm 390 */
 obj_t BgL_arg1891z00_2500;
BgL_arg1891z00_2500 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_signedzd2packetzd2prefixz00); 
bgl_display_obj(BgL_arg1891z00_2500, 
((obj_t)BgL_pz00_2174)); } 
{ /* Llib/pgp_encode.scm 391 */
 obj_t BgL_arg1892z00_2501; obj_t BgL_arg1893z00_2502; obj_t BgL_arg1894z00_2503;
BgL_arg1892z00_2501 = 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173)))->BgL_securezd2subzd2packetsz00); 
BgL_arg1893z00_2502 = 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173)))->BgL_insecurezd2subzd2packetsz00); 
BgL_arg1894z00_2503 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_issuerz00); 
BGl_encodezd2insecurezd2subzd2packetszd2zz__openpgpzd2encodezd2(BgL_arg1892z00_2501, BgL_arg1893z00_2502, BgL_arg1894z00_2503, 
((obj_t)BgL_pz00_2174)); } 
{ /* Llib/pgp_encode.scm 393 */
 obj_t BgL_arg1895z00_2504;
BgL_arg1895z00_2504 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_leftzd2hashzd2); 
if(
(
STRING_LENGTH(BgL_arg1895z00_2504)==((long)2)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2505;
BgL_arg1288z00_2505 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1895z00_2504); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2060z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2505); } 
bgl_display_obj(BgL_arg1895z00_2504, 
((obj_t)BgL_pz00_2174)); } 
{ /* Llib/pgp_encode.scm 394 */
 obj_t BgL_casezd2valuezd2_2506;
BgL_casezd2valuezd2_2506 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_publiczd2keyzd2algoz00); 
{ /* Llib/pgp_encode.scm 394 */
 bool_t BgL_test2420z00_4012;
{ /* Llib/pgp_encode.scm 394 */
 bool_t BgL__ortest_1137z00_2507;
BgL__ortest_1137z00_2507 = 
(BgL_casezd2valuezd2_2506==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1137z00_2507)
{ /* Llib/pgp_encode.scm 394 */
BgL_test2420z00_4012 = BgL__ortest_1137z00_2507
; }  else 
{ /* Llib/pgp_encode.scm 394 */
BgL_test2420z00_4012 = 
(BgL_casezd2valuezd2_2506==
CNST_TABLE_REF(((long)6)))
; } } 
if(BgL_test2420z00_4012)
{ /* Llib/pgp_encode.scm 396 */
 obj_t BgL_arg1897z00_2508;
BgL_arg1897z00_2508 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_signaturez00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2509;
BgL_bitzd2lenzd2_2509 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1897z00_2508)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2510;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2004z00_2511;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2512; long BgL_rz00_2513;
BgL_qz00_2512 = 
(BgL_bitzd2lenzd2_2509/((long)8)); 
BgL_rz00_2513 = 
(BgL_bitzd2lenzd2_2509%((long)8)); 
if(
(BgL_rz00_2513==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2004z00_2511 = BgL_qz00_2512; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2513>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2004z00_2511 = 
(BgL_qz00_2512+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2004z00_2511 = 
(BgL_qz00_2512-((long)1)); } } } 
BgL_octetzd2lenzd2_2510 = BgL_res2004z00_2511; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2514;
BgL_strz00_2514 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1897z00_2508), BgL_octetzd2lenzd2_2510); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2509, ((long)2)), 
((obj_t)BgL_pz00_2174)); 
return 
bgl_display_obj(BgL_strz00_2514, 
((obj_t)BgL_pz00_2174));} } } } }  else 
{ /* Llib/pgp_encode.scm 394 */
if(
(BgL_casezd2valuezd2_2506==
CNST_TABLE_REF(((long)8))))
{ /* Llib/pgp_encode.scm 394 */
{ /* Llib/pgp_encode.scm 398 */
 bool_t BgL_test2425z00_4041;
{ /* Llib/pgp_encode.scm 398 */
 obj_t BgL_tmpz00_4042;
BgL_tmpz00_4042 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_signaturez00); 
BgL_test2425z00_4041 = 
PAIRP(BgL_tmpz00_4042); } 
if(BgL_test2425z00_4041)
{ /* Llib/pgp_encode.scm 398 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 399 */
 obj_t BgL_arg1901z00_2515;
BgL_arg1901z00_2515 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_signaturez00); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2143z00zz__openpgpzd2encodezd2, BGl_string2144z00zz__openpgpzd2encodezd2, BgL_arg1901z00_2515); } } 
{ /* Llib/pgp_encode.scm 402 */
 obj_t BgL_arg1903z00_2516;
{ /* Llib/pgp_encode.scm 402 */
 obj_t BgL_pairz00_2517;
BgL_pairz00_2517 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_signaturez00); 
BgL_arg1903z00_2516 = 
CAR(BgL_pairz00_2517); } 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2518;
BgL_bitzd2lenzd2_2518 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1903z00_2516)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2519;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2005z00_2520;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2521; long BgL_rz00_2522;
BgL_qz00_2521 = 
(BgL_bitzd2lenzd2_2518/((long)8)); 
BgL_rz00_2522 = 
(BgL_bitzd2lenzd2_2518%((long)8)); 
if(
(BgL_rz00_2522==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2005z00_2520 = BgL_qz00_2521; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2522>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2005z00_2520 = 
(BgL_qz00_2521+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2005z00_2520 = 
(BgL_qz00_2521-((long)1)); } } } 
BgL_octetzd2lenzd2_2519 = BgL_res2005z00_2520; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2523;
BgL_strz00_2523 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1903z00_2516), BgL_octetzd2lenzd2_2519); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2518, ((long)2)), 
((obj_t)BgL_pz00_2174)); 
bgl_display_obj(BgL_strz00_2523, 
((obj_t)BgL_pz00_2174)); } } } } } 
{ /* Llib/pgp_encode.scm 403 */
 obj_t BgL_arg1907z00_2524;
{ /* Llib/pgp_encode.scm 403 */
 obj_t BgL_pairz00_2525;
BgL_pairz00_2525 = 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_signaturez00); 
BgL_arg1907z00_2524 = 
CDR(BgL_pairz00_2525); } 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2526;
BgL_bitzd2lenzd2_2526 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1907z00_2524)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2527;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2006z00_2528;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2529; long BgL_rz00_2530;
BgL_qz00_2529 = 
(BgL_bitzd2lenzd2_2526/((long)8)); 
BgL_rz00_2530 = 
(BgL_bitzd2lenzd2_2526%((long)8)); 
if(
(BgL_rz00_2530==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2006z00_2528 = BgL_qz00_2529; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2530>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2006z00_2528 = 
(BgL_qz00_2529+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2006z00_2528 = 
(BgL_qz00_2529-((long)1)); } } } 
BgL_octetzd2lenzd2_2527 = BgL_res2006z00_2528; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2531;
BgL_strz00_2531 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1907z00_2524), BgL_octetzd2lenzd2_2527); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2526, ((long)2)), 
((obj_t)BgL_pz00_2174)); 
return 
bgl_display_obj(BgL_strz00_2531, 
((obj_t)BgL_pz00_2174));} } } } } }  else 
{ /* Llib/pgp_encode.scm 407 */
 obj_t BgL_arg1909z00_2532;
{ /* Llib/pgp_encode.scm 407 */
 obj_t BgL_arg1910z00_2533; obj_t BgL_arg1911z00_2534;
BgL_arg1910z00_2533 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_publiczd2keyzd2algoz00); 
{ /* Llib/pgp_encode.scm 408 */
 obj_t BgL_arg1912z00_2535;
BgL_arg1912z00_2535 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_packetz00_2173))))->BgL_publiczd2keyzd2algoz00); 
BgL_arg1911z00_2534 = 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_arg1912z00_2535); } 
BgL_arg1909z00_2532 = 
MAKE_YOUNG_PAIR(BgL_arg1910z00_2533, BgL_arg1911z00_2534); } 
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2143z00zz__openpgpzd2encodezd2, BGl_string2145z00zz__openpgpzd2encodezd2, BgL_arg1909z00_2532);} } } } } 

}



/* &encode-sub-packet-co1240 */
obj_t BGl_z62encodezd2subzd2packetzd2co1240zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2175, obj_t BgL_spz00_2176, obj_t BgL_pz00_2177)
{
{ /* Llib/pgp_encode.scm 276 */
{ /* Llib/pgp_encode.scm 279 */
 bool_t BgL_arg1886z00_2538;
BgL_arg1886z00_2538 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2176))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 279 */
 obj_t BgL_typez00_2539;
BgL_typez00_2539 = 
CNST_TABLE_REF(((long)12)); 
if(BgL_arg1886z00_2538)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2540;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2541;
BgL_arg1357z00_2541 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2539); 
BgL_arg1355z00_2540 = 
(
(long)(BgL_arg1357z00_2541)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2540, 
((obj_t)BgL_pz00_2177)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2542;
BgL_arg1358z00_2542 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2539); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2542), 
((obj_t)BgL_pz00_2177)); } } } 
{ /* Llib/pgp_encode.scm 280 */
 char BgL_arg1887z00_2543;
BgL_arg1887z00_2543 = 
BGl_revocationzd2codezd2ze3byteze3zz__openpgpzd2enumszd2(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2176)))->BgL_codez00)); 
{ /* Llib/pgp_encode.scm 280 */
 long BgL_nz00_2544;
BgL_nz00_2544 = 
(long)(BgL_arg1887z00_2543); 
if(
(BgL_nz00_2544>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2544)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2545;
BgL_arg1283z00_2545 = 
(BgL_nz00_2544); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2545), 
((obj_t)BgL_pz00_2177)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_spz00_2176)))->BgL_reasonz00), 
((obj_t)BgL_pz00_2177));} 

}



/* &encode-sub-packet-co1238 */
obj_t BGl_z62encodezd2subzd2packetzd2co1238zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2178, obj_t BgL_spz00_2179, obj_t BgL_pz00_2180)
{
{ /* Llib/pgp_encode.scm 271 */
{ /* Llib/pgp_encode.scm 274 */
 bool_t BgL_arg1884z00_2548;
BgL_arg1884z00_2548 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_spz00_2179))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 274 */
 obj_t BgL_typez00_2549;
BgL_typez00_2549 = 
CNST_TABLE_REF(((long)13)); 
if(BgL_arg1884z00_2548)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2550;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2551;
BgL_arg1357z00_2551 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2549); 
BgL_arg1355z00_2550 = 
(
(long)(BgL_arg1357z00_2551)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2550, 
((obj_t)BgL_pz00_2180)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2552;
BgL_arg1358z00_2552 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2549); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2552), 
((obj_t)BgL_pz00_2180)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_spz00_2179)))->BgL_idz00), 
((obj_t)BgL_pz00_2180));} 

}



/* &encode-sub-packet-co1236 */
obj_t BGl_z62encodezd2subzd2packetzd2co1236zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2181, obj_t BgL_spz00_2182, obj_t BgL_pz00_2183)
{
{ /* Llib/pgp_encode.scm 266 */
{ /* Llib/pgp_encode.scm 269 */
 bool_t BgL_arg1882z00_2555;
BgL_arg1882z00_2555 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_spz00_2182))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 269 */
 obj_t BgL_typez00_2556;
BgL_typez00_2556 = 
CNST_TABLE_REF(((long)14)); 
if(BgL_arg1882z00_2555)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2557;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2558;
BgL_arg1357z00_2558 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2556); 
BgL_arg1355z00_2557 = 
(
(long)(BgL_arg1357z00_2558)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2557, 
((obj_t)BgL_pz00_2183)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2559;
BgL_arg1358z00_2559 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2556); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2559), 
((obj_t)BgL_pz00_2183)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_spz00_2182)))->BgL_urlz00), 
((obj_t)BgL_pz00_2183));} 

}



/* &encode-sub-packet-co1234 */
obj_t BGl_z62encodezd2subzd2packetzd2co1234zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2184, obj_t BgL_spz00_2185, obj_t BgL_pz00_2186)
{
{ /* Llib/pgp_encode.scm 261 */
{ /* Llib/pgp_encode.scm 264 */
 bool_t BgL_arg1879z00_2562;
BgL_arg1879z00_2562 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_spz00_2185))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 264 */
 obj_t BgL_typez00_2563;
BgL_typez00_2563 = 
CNST_TABLE_REF(((long)15)); 
if(BgL_arg1879z00_2562)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2564;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2565;
BgL_arg1357z00_2565 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2563); 
BgL_arg1355z00_2564 = 
(
(long)(BgL_arg1357z00_2565)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2564, 
((obj_t)BgL_pz00_2186)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2566;
BgL_arg1358z00_2566 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2563); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2566), 
((obj_t)BgL_pz00_2186)); } } } 
{ /* Llib/pgp_encode.scm 265 */
 long BgL_arg1880z00_2567;
if(
(((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_spz00_2185)))->BgL_primaryzf3zf3))
{ /* Llib/pgp_encode.scm 265 */
BgL_arg1880z00_2567 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 265 */
BgL_arg1880z00_2567 = ((long)0); } 
if(
(BgL_arg1880z00_2567>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1880z00_2567)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2568;
BgL_arg1283z00_2568 = 
(BgL_arg1880z00_2567); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2568), 
((obj_t)BgL_pz00_2186));} } } 

}



/* &encode-sub-packet-co1232 */
obj_t BGl_z62encodezd2subzd2packetzd2co1232zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2187, obj_t BgL_spz00_2188, obj_t BgL_pz00_2189)
{
{ /* Llib/pgp_encode.scm 256 */
{ /* Llib/pgp_encode.scm 259 */
 bool_t BgL_arg1877z00_2571;
BgL_arg1877z00_2571 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_spz00_2188))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 259 */
 obj_t BgL_typez00_2572;
BgL_typez00_2572 = 
CNST_TABLE_REF(((long)16)); 
if(BgL_arg1877z00_2571)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2573;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2574;
BgL_arg1357z00_2574 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2572); 
BgL_arg1355z00_2573 = 
(
(long)(BgL_arg1357z00_2574)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2573, 
((obj_t)BgL_pz00_2189)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2575;
BgL_arg1358z00_2575 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2572); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2575), 
((obj_t)BgL_pz00_2189)); } } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_spz00_2188)))->BgL_serverz00), 
((obj_t)BgL_pz00_2189));} 

}



/* &encode-sub-packet-co1230 */
obj_t BGl_z62encodezd2subzd2packetzd2co1230zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2190, obj_t BgL_spz00_2191, obj_t BgL_pz00_2192)
{
{ /* Llib/pgp_encode.scm 251 */
{ /* Llib/pgp_encode.scm 253 */
 bool_t BgL_tmpz00_4211;
{ /* Llib/pgp_encode.scm 254 */
 bool_t BgL_arg1875z00_2578;
BgL_arg1875z00_2578 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_spz00_2191))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 254 */
 obj_t BgL_typez00_2579;
BgL_typez00_2579 = 
CNST_TABLE_REF(((long)17)); 
if(BgL_arg1875z00_2578)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2580;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2581;
BgL_arg1357z00_2581 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2579); 
BgL_arg1355z00_2580 = 
(
(long)(BgL_arg1357z00_2581)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2580, 
((obj_t)BgL_pz00_2192)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2582;
BgL_arg1358z00_2582 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2579); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2582), 
((obj_t)BgL_pz00_2192)); } } } 
BgL_tmpz00_4211 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_spz00_2191)))->BgL_algosz00), BGl_compressionzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2192)); 
return 
BBOOL(BgL_tmpz00_4211);} } 

}



/* &encode-sub-packet-co1228 */
obj_t BGl_z62encodezd2subzd2packetzd2co1228zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2193, obj_t BgL_spz00_2194, obj_t BgL_pz00_2195)
{
{ /* Llib/pgp_encode.scm 246 */
{ /* Llib/pgp_encode.scm 248 */
 bool_t BgL_tmpz00_4231;
{ /* Llib/pgp_encode.scm 249 */
 bool_t BgL_arg1873z00_2585;
BgL_arg1873z00_2585 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_spz00_2194))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 249 */
 obj_t BgL_typez00_2586;
BgL_typez00_2586 = 
CNST_TABLE_REF(((long)18)); 
if(BgL_arg1873z00_2585)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2587;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2588;
BgL_arg1357z00_2588 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2586); 
BgL_arg1355z00_2587 = 
(
(long)(BgL_arg1357z00_2588)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2587, 
((obj_t)BgL_pz00_2195)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2589;
BgL_arg1358z00_2589 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2586); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2589), 
((obj_t)BgL_pz00_2195)); } } } 
BgL_tmpz00_4231 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_spz00_2194)))->BgL_algosz00), BGl_hashzd2algozd2ze3bytezd2envz31zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2195)); 
return 
BBOOL(BgL_tmpz00_4231);} } 

}



/* &encode-sub-packet-co1226 */
obj_t BGl_z62encodezd2subzd2packetzd2co1226zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2196, obj_t BgL_spz00_2197, obj_t BgL_pz00_2198)
{
{ /* Llib/pgp_encode.scm 237 */
{ /* Llib/pgp_encode.scm 240 */
 bool_t BgL_arg1864z00_2592;
BgL_arg1864z00_2592 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2197))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 240 */
 obj_t BgL_typez00_2593;
BgL_typez00_2593 = 
CNST_TABLE_REF(((long)19)); 
if(BgL_arg1864z00_2592)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2594;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2595;
BgL_arg1357z00_2595 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2593); 
BgL_arg1355z00_2594 = 
(
(long)(BgL_arg1357z00_2595)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2594, 
((obj_t)BgL_pz00_2198)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2596;
BgL_arg1358z00_2596 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2593); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2596), 
((obj_t)BgL_pz00_2198)); } } } 
{ /* Llib/pgp_encode.scm 241 */
 obj_t BgL_arg1865z00_2597;
BgL_arg1865z00_2597 = 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2197)))->BgL_flagsz00); 
if(
(
STRING_LENGTH(BgL_arg1865z00_2597)==((long)4)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2598;
BgL_arg1288z00_2598 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg1865z00_2597); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2060z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2598); } 
bgl_display_obj(BgL_arg1865z00_2597, 
((obj_t)BgL_pz00_2198)); } 
{ /* Llib/pgp_encode.scm 242 */
 long BgL_arg1866z00_2599;
BgL_arg1866z00_2599 = 
STRING_LENGTH(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2197)))->BgL_namez00)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1866z00_2599, ((long)2)), 
((obj_t)BgL_pz00_2198)); } 
{ /* Llib/pgp_encode.scm 243 */
 long BgL_arg1869z00_2600;
BgL_arg1869z00_2600 = 
STRING_LENGTH(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2197)))->BgL_valuez00)); 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1869z00_2600, ((long)2)), 
((obj_t)BgL_pz00_2198)); } 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2197)))->BgL_namez00), 
((obj_t)BgL_pz00_2198)); 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_spz00_2197)))->BgL_valuez00), 
((obj_t)BgL_pz00_2198));} 

}



/* &encode-sub-packet-co1224 */
obj_t BGl_z62encodezd2subzd2packetzd2co1224zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2199, obj_t BgL_spz00_2200, obj_t BgL_pz00_2201)
{
{ /* Llib/pgp_encode.scm 232 */
{ /* Llib/pgp_encode.scm 235 */
 bool_t BgL_arg1861z00_2603;
BgL_arg1861z00_2603 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_spz00_2200))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 235 */
 obj_t BgL_typez00_2604;
BgL_typez00_2604 = 
CNST_TABLE_REF(((long)20)); 
if(BgL_arg1861z00_2603)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2605;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2606;
BgL_arg1357z00_2606 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2604); 
BgL_arg1355z00_2605 = 
(
(long)(BgL_arg1357z00_2606)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2605, 
((obj_t)BgL_pz00_2201)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2607;
BgL_arg1358z00_2607 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2604); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2607), 
((obj_t)BgL_pz00_2201)); } } } 
{ /* Llib/pgp_encode.scm 236 */
 obj_t BgL_arg1863z00_2608;
BgL_arg1863z00_2608 = 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_spz00_2200)))->BgL_keyzd2idzd2); 
if(
(
STRING_LENGTH(BgL_arg1863z00_2608)==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2609;
BgL_arg1288z00_2609 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), BgL_arg1863z00_2608); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2060z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2609); } 
return 
bgl_display_obj(BgL_arg1863z00_2608, 
((obj_t)BgL_pz00_2201));} } 

}



/* &encode-sub-packet-co1222 */
obj_t BGl_z62encodezd2subzd2packetzd2co1222zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2202, obj_t BgL_spz00_2203, obj_t BgL_pz00_2204)
{
{ /* Llib/pgp_encode.scm 224 */
{ /* Llib/pgp_encode.scm 228 */
 bool_t BgL_arg1857z00_2612;
BgL_arg1857z00_2612 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2203))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 228 */
 obj_t BgL_typez00_2613;
BgL_typez00_2613 = 
CNST_TABLE_REF(((long)21)); 
if(BgL_arg1857z00_2612)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2614;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2615;
BgL_arg1357z00_2615 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2613); 
BgL_arg1355z00_2614 = 
(
(long)(BgL_arg1357z00_2615)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2614, 
((obj_t)BgL_pz00_2204)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2616;
BgL_arg1358z00_2616 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2613); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2616), 
((obj_t)BgL_pz00_2204)); } } } 
{ /* Llib/pgp_encode.scm 229 */
 char BgL_arg1858z00_2617;
BgL_arg1858z00_2617 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2203)))->BgL_claza7za7z00); 
{ /* Llib/pgp_encode.scm 229 */
 long BgL_nz00_2618;
BgL_nz00_2618 = 
(long)(BgL_arg1858z00_2617); 
if(
(BgL_nz00_2618>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2618)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2619;
BgL_arg1283z00_2619 = 
(BgL_nz00_2618); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2619), 
((obj_t)BgL_pz00_2204)); } } } 
{ /* Llib/pgp_encode.scm 230 */
 char BgL_arg1859z00_2620;
BgL_arg1859z00_2620 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2203)))->BgL_algidz00); 
{ /* Llib/pgp_encode.scm 230 */
 long BgL_nz00_2621;
BgL_nz00_2621 = 
(long)(BgL_arg1859z00_2620); 
if(
(BgL_nz00_2621>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2621)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2622;
BgL_arg1283z00_2622 = 
(BgL_nz00_2621); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2622), 
((obj_t)BgL_pz00_2204)); } } } 
{ /* Llib/pgp_encode.scm 231 */
 obj_t BgL_arg1860z00_2623;
BgL_arg1860z00_2623 = 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_spz00_2203)))->BgL_fingerprintz00); 
if(
(
STRING_LENGTH(BgL_arg1860z00_2623)==((long)20)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2624;
BgL_arg1288z00_2624 = 
MAKE_YOUNG_PAIR(
BINT(((long)20)), BgL_arg1860z00_2623); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2060z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2624); } 
return 
bgl_display_obj(BgL_arg1860z00_2623, 
((obj_t)BgL_pz00_2204));} } 

}



/* &encode-sub-packet-co1220 */
obj_t BGl_z62encodezd2subzd2packetzd2co1220zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2205, obj_t BgL_spz00_2206, obj_t BgL_pz00_2207)
{
{ /* Llib/pgp_encode.scm 219 */
{ /* Llib/pgp_encode.scm 221 */
 bool_t BgL_tmpz00_4365;
{ /* Llib/pgp_encode.scm 222 */
 bool_t BgL_arg1855z00_2627;
BgL_arg1855z00_2627 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_spz00_2206))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 222 */
 obj_t BgL_typez00_2628;
BgL_typez00_2628 = 
CNST_TABLE_REF(((long)22)); 
if(BgL_arg1855z00_2627)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2629;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2630;
BgL_arg1357z00_2630 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2628); 
BgL_arg1355z00_2629 = 
(
(long)(BgL_arg1357z00_2630)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2629, 
((obj_t)BgL_pz00_2207)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2631;
BgL_arg1358z00_2631 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2628); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2631), 
((obj_t)BgL_pz00_2207)); } } } 
BgL_tmpz00_4365 = 
BGl_encodezd2prefszd2zz__openpgpzd2encodezd2(
(((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_spz00_2206)))->BgL_algosz00), BGl_symmetriczd2keyzd2algozd2ze3bytezd2envze3zz__openpgpzd2enumszd2, 
((obj_t)BgL_pz00_2207)); 
return 
BBOOL(BgL_tmpz00_4365);} } 

}



/* &encode-sub-packet-co1218 */
obj_t BGl_z62encodezd2subzd2packetzd2co1218zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2208, obj_t BgL_spz00_2209, obj_t BgL_pz00_2210)
{
{ /* Llib/pgp_encode.scm 213 */
{ /* Llib/pgp_encode.scm 217 */
 bool_t BgL_arg1853z00_2634;
BgL_arg1853z00_2634 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_spz00_2209))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 217 */
 obj_t BgL_typez00_2635;
BgL_typez00_2635 = 
CNST_TABLE_REF(((long)23)); 
if(BgL_arg1853z00_2634)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2636;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2637;
BgL_arg1357z00_2637 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2635); 
BgL_arg1355z00_2636 = 
(
(long)(BgL_arg1357z00_2637)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2636, 
((obj_t)BgL_pz00_2210)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2638;
BgL_arg1358z00_2638 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2635); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2638), 
((obj_t)BgL_pz00_2210)); } } } 
{ /* Llib/pgp_encode.scm 218 */
 long BgL_arg1854z00_2639;
BgL_arg1854z00_2639 = 
(((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_spz00_2209)))->BgL_expirationzd2timezd2); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_arg1854z00_2639, ((long)4)), 
((obj_t)BgL_pz00_2210));} } 

}



/* &encode-sub-packet-co1216 */
obj_t BGl_z62encodezd2subzd2packetzd2co1216zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2211, obj_t BgL_spz00_2212, obj_t BgL_pz00_2213)
{
{ /* Llib/pgp_encode.scm 208 */
{ /* Llib/pgp_encode.scm 211 */
 bool_t BgL_arg1850z00_2642;
BgL_arg1850z00_2642 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_spz00_2212))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 211 */
 obj_t BgL_typez00_2643;
BgL_typez00_2643 = 
CNST_TABLE_REF(((long)24)); 
if(BgL_arg1850z00_2642)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2644;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2645;
BgL_arg1357z00_2645 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2643); 
BgL_arg1355z00_2644 = 
(
(long)(BgL_arg1357z00_2645)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2644, 
((obj_t)BgL_pz00_2213)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2646;
BgL_arg1358z00_2646 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2643); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2646), 
((obj_t)BgL_pz00_2213)); } } } 
{ /* Llib/pgp_encode.scm 212 */
 long BgL_arg1851z00_2647;
if(
(((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_spz00_2212)))->BgL_revocablezf3zf3))
{ /* Llib/pgp_encode.scm 212 */
BgL_arg1851z00_2647 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 212 */
BgL_arg1851z00_2647 = ((long)0); } 
if(
(BgL_arg1851z00_2647>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1851z00_2647)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2648;
BgL_arg1283z00_2648 = 
(BgL_arg1851z00_2647); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2648), 
((obj_t)BgL_pz00_2213));} } } 

}



/* &encode-sub-packet-co1214 */
obj_t BGl_z62encodezd2subzd2packetzd2co1214zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2214, obj_t BgL_spz00_2215, obj_t BgL_pz00_2216)
{
{ /* Llib/pgp_encode.scm 202 */
{ /* Llib/pgp_encode.scm 205 */
 bool_t BgL_arg1847z00_2651;
BgL_arg1847z00_2651 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2215))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 205 */
 obj_t BgL_typez00_2652;
BgL_typez00_2652 = 
CNST_TABLE_REF(((long)25)); 
if(BgL_arg1847z00_2651)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2653;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2654;
BgL_arg1357z00_2654 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2652); 
BgL_arg1355z00_2653 = 
(
(long)(BgL_arg1357z00_2654)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2653, 
((obj_t)BgL_pz00_2216)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2655;
BgL_arg1358z00_2655 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2652); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2655), 
((obj_t)BgL_pz00_2216)); } } } 
{ /* Llib/pgp_encode.scm 206 */
 int BgL_arg1848z00_2656;
BgL_arg1848z00_2656 = 
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2215)))->BgL_levelz00); 
{ /* Llib/pgp_encode.scm 206 */
 long BgL_nz00_2657;
BgL_nz00_2657 = 
(long)(BgL_arg1848z00_2656); 
if(
(BgL_nz00_2657>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2657)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2658;
BgL_arg1283z00_2658 = 
(BgL_nz00_2657); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2658), 
((obj_t)BgL_pz00_2216)); } } } 
{ /* Llib/pgp_encode.scm 207 */
 int BgL_arg1849z00_2659;
BgL_arg1849z00_2659 = 
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_spz00_2215)))->BgL_amountz00); 
{ /* Llib/pgp_encode.scm 207 */
 long BgL_nz00_2660;
BgL_nz00_2660 = 
(long)(BgL_arg1849z00_2659); 
if(
(BgL_nz00_2660>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2660)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2661;
BgL_arg1283z00_2661 = 
(BgL_nz00_2660); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2661), 
((obj_t)BgL_pz00_2216));} } } } 

}



/* &encode-sub-packet-co1212 */
obj_t BGl_z62encodezd2subzd2packetzd2co1212zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2217, obj_t BgL_spz00_2218, obj_t BgL_pz00_2219)
{
{ /* Llib/pgp_encode.scm 197 */
{ /* Llib/pgp_encode.scm 200 */
 bool_t BgL_arg1844z00_2664;
BgL_arg1844z00_2664 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_spz00_2218))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 200 */
 obj_t BgL_typez00_2665;
BgL_typez00_2665 = 
CNST_TABLE_REF(((long)26)); 
if(BgL_arg1844z00_2664)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2666;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2667;
BgL_arg1357z00_2667 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2665); 
BgL_arg1355z00_2666 = 
(
(long)(BgL_arg1357z00_2667)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2666, 
((obj_t)BgL_pz00_2219)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2668;
BgL_arg1358z00_2668 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2665); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2668), 
((obj_t)BgL_pz00_2219)); } } } 
{ /* Llib/pgp_encode.scm 201 */
 long BgL_arg1845z00_2669;
if(
(((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_spz00_2218)))->BgL_exportablezf3zf3))
{ /* Llib/pgp_encode.scm 201 */
BgL_arg1845z00_2669 = ((long)1); }  else 
{ /* Llib/pgp_encode.scm 201 */
BgL_arg1845z00_2669 = ((long)0); } 
if(
(BgL_arg1845z00_2669>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1845z00_2669)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2670;
BgL_arg1283z00_2670 = 
(BgL_arg1845z00_2669); 
return 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2670), 
((obj_t)BgL_pz00_2219));} } } 

}



/* &encode-sub-packet-co1210 */
obj_t BGl_z62encodezd2subzd2packetzd2co1210zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2220, obj_t BgL_spz00_2221, obj_t BgL_pz00_2222)
{
{ /* Llib/pgp_encode.scm 191 */
{ /* Llib/pgp_encode.scm 195 */
 bool_t BgL_arg1842z00_2673;
BgL_arg1842z00_2673 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_spz00_2221))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 195 */
 obj_t BgL_typez00_2674;
BgL_typez00_2674 = 
CNST_TABLE_REF(((long)27)); 
if(BgL_arg1842z00_2673)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2675;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2676;
BgL_arg1357z00_2676 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2674); 
BgL_arg1355z00_2675 = 
(
(long)(BgL_arg1357z00_2676)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2675, 
((obj_t)BgL_pz00_2222)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2677;
BgL_arg1358z00_2677 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2674); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2677), 
((obj_t)BgL_pz00_2222)); } } } 
{ /* Llib/pgp_encode.scm 196 */
 obj_t BgL_arg1843z00_2678;
BgL_arg1843z00_2678 = 
(((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_spz00_2221)))->BgL_expirationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1341z00_2679;
BgL_arg1341z00_2679 = 
bgl_date_to_seconds(BgL_arg1843z00_2678); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2680;
BgL_nnz00_2680 = 
(long)(BgL_arg1341z00_2679); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2680, ((long)4)), 
((obj_t)BgL_pz00_2222));} } } } 

}



/* &encode-sub-packet-co1208 */
obj_t BGl_z62encodezd2subzd2packetzd2co1208zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2223, obj_t BgL_spz00_2224, obj_t BgL_pz00_2225)
{
{ /* Llib/pgp_encode.scm 186 */
{ /* Llib/pgp_encode.scm 189 */
 bool_t BgL_arg1840z00_2683;
BgL_arg1840z00_2683 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_spz00_2224))))->BgL_criticalzf3zf3); 
{ /* Llib/pgp_encode.scm 189 */
 obj_t BgL_typez00_2684;
BgL_typez00_2684 = 
CNST_TABLE_REF(((long)28)); 
if(BgL_arg1840z00_2683)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2685;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2686;
BgL_arg1357z00_2686 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2684); 
BgL_arg1355z00_2685 = 
(
(long)(BgL_arg1357z00_2686)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2685, 
((obj_t)BgL_pz00_2225)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2687;
BgL_arg1358z00_2687 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_typez00_2684); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2687), 
((obj_t)BgL_pz00_2225)); } } } 
{ /* Llib/pgp_encode.scm 190 */
 obj_t BgL_arg1841z00_2688;
BgL_arg1841z00_2688 = 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_spz00_2224)))->BgL_creationzd2datezd2); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_arg1341z00_2689;
BgL_arg1341z00_2689 = 
bgl_date_to_seconds(BgL_arg1841z00_2688); 
{ /* Llib/pgp_encode.scm 61 */
 long BgL_nnz00_2690;
BgL_nnz00_2690 = 
(long)(BgL_arg1341z00_2689); 
return 
bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_nnz00_2690, ((long)4)), 
((obj_t)BgL_pz00_2225));} } } } 

}



/* &encode-sub-packet-co1206 */
obj_t BGl_z62encodezd2subzd2packetzd2co1206zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2226, obj_t BgL_spz00_2227, obj_t BgL_pz00_2228)
{
{ /* Llib/pgp_encode.scm 181 */
{ /* Llib/pgp_encode.scm 184 */
 obj_t BgL_arg1837z00_2693; bool_t BgL_arg1838z00_2694;
BgL_arg1837z00_2693 = 
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2227)))->BgL_typez00); 
BgL_arg1838z00_2694 = 
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2227))))->BgL_criticalzf3zf3); 
if(BgL_arg1838z00_2694)
{ /* Llib/pgp_encode.scm 178 */
 long BgL_arg1355z00_2695;
{ /* Llib/pgp_encode.scm 178 */
 char BgL_arg1357z00_2696;
BgL_arg1357z00_2696 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1837z00_2693); 
BgL_arg1355z00_2695 = 
(
(long)(BgL_arg1357z00_2696)+((long)128)); } 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(BgL_arg1355z00_2695, 
((obj_t)BgL_pz00_2228)); }  else 
{ /* Llib/pgp_encode.scm 179 */
 char BgL_arg1358z00_2697;
BgL_arg1358z00_2697 = 
BGl_subpacketzd2typezd2ze3byteze3zz__openpgpzd2enumszd2(BgL_arg1837z00_2693); 
BGl_encodezd2octetzd2zz__openpgpzd2encodezd2(
(long)(BgL_arg1358z00_2697), 
((obj_t)BgL_pz00_2228)); } } 
return 
bgl_display_obj(
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_spz00_2227)))->BgL_dataz00), 
((obj_t)BgL_pz00_2228));} 

}



/* &encode-content-PGP-P1202 */
obj_t BGl_z62encodezd2contentzd2PGPzd2P1202zb0zz__openpgpzd2encodezd2(obj_t BgL_envz00_2229, obj_t BgL_packetz00_2230, obj_t BgL_pz00_2231)
{
{ /* Llib/pgp_encode.scm 136 */
{ /* Llib/pgp_encode.scm 142 */
 long BgL_arg1820z00_2700;
BgL_arg1820z00_2700 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_versionz00); 
if(
(BgL_arg1820z00_2700>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_arg1820z00_2700)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2701;
BgL_arg1283z00_2701 = 
(BgL_arg1820z00_2700); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2701), 
((obj_t)BgL_pz00_2231)); } } 
{ /* Llib/pgp_encode.scm 143 */
 obj_t BgL_arg1821z00_2702;
BgL_arg1821z00_2702 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_idz00); 
if(
(
STRING_LENGTH(BgL_arg1821z00_2702)==((long)8)))
{ /* Llib/pgp_encode.scm 29 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 32 */
 obj_t BgL_arg1288z00_2703;
BgL_arg1288z00_2703 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), BgL_arg1821z00_2702); 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2060z00zz__openpgpzd2encodezd2, BGl_string2061z00zz__openpgpzd2encodezd2, BgL_arg1288z00_2703); } 
bgl_display_obj(BgL_arg1821z00_2702, 
((obj_t)BgL_pz00_2231)); } 
{ /* Llib/pgp_encode.scm 144 */
 char BgL_arg1822z00_2704;
BgL_arg1822z00_2704 = 
BGl_publiczd2keyzd2algozd2ze3bytez31zz__openpgpzd2enumszd2(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_algoz00)); 
{ /* Llib/pgp_encode.scm 144 */
 long BgL_nz00_2705;
BgL_nz00_2705 = 
(long)(BgL_arg1822z00_2704); 
if(
(BgL_nz00_2705>=((long)256)))
{ /* Llib/pgp_encode.scm 23 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2042z00zz__openpgpzd2encodezd2, BGl_string2043z00zz__openpgpzd2encodezd2, 
BINT(BgL_nz00_2705)); }  else 
{ /* Llib/pgp_encode.scm 23 */BFALSE; } 
{ /* Llib/pgp_encode.scm 27 */
 unsigned char BgL_arg1283z00_2706;
BgL_arg1283z00_2706 = 
(BgL_nz00_2705); 
bgl_display_obj(
BCHAR(BgL_arg1283z00_2706), 
((obj_t)BgL_pz00_2231)); } } } 
{ /* Llib/pgp_encode.scm 145 */
 obj_t BgL_casezd2valuezd2_2707;
BgL_casezd2valuezd2_2707 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_algoz00); 
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL_test2465z00_4585;
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL__ortest_1105z00_2708;
BgL__ortest_1105z00_2708 = 
(BgL_casezd2valuezd2_2707==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1105z00_2708)
{ /* Llib/pgp_encode.scm 145 */
BgL_test2465z00_4585 = BgL__ortest_1105z00_2708
; }  else 
{ /* Llib/pgp_encode.scm 145 */
BgL_test2465z00_4585 = 
(BgL_casezd2valuezd2_2707==
CNST_TABLE_REF(((long)5)))
; } } 
if(BgL_test2465z00_4585)
{ /* Llib/pgp_encode.scm 147 */
 obj_t BgL_arg1825z00_2709;
BgL_arg1825z00_2709 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_encryptedzd2sessionzd2keyz00); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2710;
BgL_bitzd2lenzd2_2710 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1825z00_2709)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2711;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2001z00_2712;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2713; long BgL_rz00_2714;
BgL_qz00_2713 = 
(BgL_bitzd2lenzd2_2710/((long)8)); 
BgL_rz00_2714 = 
(BgL_bitzd2lenzd2_2710%((long)8)); 
if(
(BgL_rz00_2714==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2001z00_2712 = BgL_qz00_2713; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2714>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2001z00_2712 = 
(BgL_qz00_2713+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2001z00_2712 = 
(BgL_qz00_2713-((long)1)); } } } 
BgL_octetzd2lenzd2_2711 = BgL_res2001z00_2712; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2715;
BgL_strz00_2715 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1825z00_2709), BgL_octetzd2lenzd2_2711); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2710, ((long)2)), 
((obj_t)BgL_pz00_2231)); 
return 
bgl_display_obj(BgL_strz00_2715, 
((obj_t)BgL_pz00_2231));} } } } }  else 
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL_test2469z00_4610;
{ /* Llib/pgp_encode.scm 145 */
 bool_t BgL__ortest_1106z00_2716;
BgL__ortest_1106z00_2716 = 
(BgL_casezd2valuezd2_2707==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1106z00_2716)
{ /* Llib/pgp_encode.scm 145 */
BgL_test2469z00_4610 = BgL__ortest_1106z00_2716
; }  else 
{ /* Llib/pgp_encode.scm 145 */
BgL_test2469z00_4610 = 
(BgL_casezd2valuezd2_2707==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2469z00_4610)
{ /* Llib/pgp_encode.scm 145 */
{ /* Llib/pgp_encode.scm 149 */
 bool_t BgL_test2471z00_4616;
{ /* Llib/pgp_encode.scm 149 */
 obj_t BgL_tmpz00_4617;
BgL_tmpz00_4617 = 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_encryptedzd2sessionzd2keyz00); 
BgL_test2471z00_4616 = 
PAIRP(BgL_tmpz00_4617); } 
if(BgL_test2471z00_4616)
{ /* Llib/pgp_encode.scm 149 */BFALSE; }  else 
{ /* Llib/pgp_encode.scm 149 */
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2146z00zz__openpgpzd2encodezd2, BGl_string2147z00zz__openpgpzd2encodezd2, 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_encryptedzd2sessionzd2keyz00)); } } 
{ /* Llib/pgp_encode.scm 153 */
 obj_t BgL_arg1831z00_2717;
BgL_arg1831z00_2717 = 
CAR(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_encryptedzd2sessionzd2keyz00)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2718;
BgL_bitzd2lenzd2_2718 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1831z00_2717)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2719;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2002z00_2720;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2721; long BgL_rz00_2722;
BgL_qz00_2721 = 
(BgL_bitzd2lenzd2_2718/((long)8)); 
BgL_rz00_2722 = 
(BgL_bitzd2lenzd2_2718%((long)8)); 
if(
(BgL_rz00_2722==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2002z00_2720 = BgL_qz00_2721; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2722>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2002z00_2720 = 
(BgL_qz00_2721+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2002z00_2720 = 
(BgL_qz00_2721-((long)1)); } } } 
BgL_octetzd2lenzd2_2719 = BgL_res2002z00_2720; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2723;
BgL_strz00_2723 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1831z00_2717), BgL_octetzd2lenzd2_2719); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2718, ((long)2)), 
((obj_t)BgL_pz00_2231)); 
bgl_display_obj(BgL_strz00_2723, 
((obj_t)BgL_pz00_2231)); } } } } } 
{ /* Llib/pgp_encode.scm 154 */
 obj_t BgL_arg1833z00_2724;
BgL_arg1833z00_2724 = 
CDR(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_encryptedzd2sessionzd2keyz00)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_bitzd2lenzd2_2725;
BgL_bitzd2lenzd2_2725 = 
BGl_bignumzd2bitzd2lengthz00zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1833z00_2724)); 
{ /* Llib/pgp_encode.scm 41 */
 long BgL_octetzd2lenzd2_2726;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_res2003z00_2727;
{ /* Llib/pgp_encode.scm 42 */
 long BgL_qz00_2728; long BgL_rz00_2729;
BgL_qz00_2728 = 
(BgL_bitzd2lenzd2_2725/((long)8)); 
BgL_rz00_2729 = 
(BgL_bitzd2lenzd2_2725%((long)8)); 
if(
(BgL_rz00_2729==((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2003z00_2727 = BgL_qz00_2728; }  else 
{ /* Llib/pgp_encode.scm 42 */
if(
(BgL_rz00_2729>((long)0)))
{ /* Llib/pgp_encode.scm 42 */
BgL_res2003z00_2727 = 
(BgL_qz00_2728+((long)1)); }  else 
{ /* Llib/pgp_encode.scm 42 */
BgL_res2003z00_2727 = 
(BgL_qz00_2728-((long)1)); } } } 
BgL_octetzd2lenzd2_2726 = BgL_res2003z00_2727; } 
{ /* Llib/pgp_encode.scm 42 */
 obj_t BgL_strz00_2730;
BgL_strz00_2730 = 
BGl_bignumzd2ze3binzd2strze3zz__openpgpzd2utilzd2(
((obj_t)BgL_arg1833z00_2724), BgL_octetzd2lenzd2_2726); 
{ /* Llib/pgp_encode.scm 43 */

bgl_display_obj(
BGl_fixnumzd2ze3scalarz31zz__openpgpzd2conversionzd2(BgL_bitzd2lenzd2_2725, ((long)2)), 
((obj_t)BgL_pz00_2231)); 
return 
bgl_display_obj(BgL_strz00_2730, 
((obj_t)BgL_pz00_2231));} } } } } }  else 
{ /* Llib/pgp_encode.scm 145 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string2146z00zz__openpgpzd2encodezd2, BGl_string2148z00zz__openpgpzd2encodezd2, 
BGl_publiczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_packetz00_2230)))->BgL_algoz00)));} } } } } 

}



/* &packet->content-tag-1197 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21197z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2232, obj_t BgL_pz00_2233)
{
{ /* Llib/pgp_encode.scm 107 */
return 
CNST_TABLE_REF(((long)29));} 

}



/* &packet->content-tag-1195 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21195z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2234, obj_t BgL_pz00_2235)
{
{ /* Llib/pgp_encode.scm 105 */
return 
CNST_TABLE_REF(((long)25));} 

}



/* &packet->content-tag-1193 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21193z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2236, obj_t BgL_pz00_2237)
{
{ /* Llib/pgp_encode.scm 103 */
return 
CNST_TABLE_REF(((long)30));} 

}



/* &packet->content-tag-1191 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21191z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2238, obj_t BgL_pz00_2239)
{
{ /* Llib/pgp_encode.scm 101 */
return 
CNST_TABLE_REF(((long)31));} 

}



/* &packet->content-tag-1189 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21189z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2240, obj_t BgL_pz00_2241)
{
{ /* Llib/pgp_encode.scm 99 */
return 
CNST_TABLE_REF(((long)32));} 

}



/* &packet->content-tag-1187 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21187z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2242, obj_t BgL_pz00_2243)
{
{ /* Llib/pgp_encode.scm 97 */
return 
CNST_TABLE_REF(((long)33));} 

}



/* &packet->content-tag-1185 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21185z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2244, obj_t BgL_pz00_2245)
{
{ /* Llib/pgp_encode.scm 95 */
return 
CNST_TABLE_REF(((long)34));} 

}



/* &packet->content-tag-1183 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21183z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2246, obj_t BgL_pz00_2247)
{
{ /* Llib/pgp_encode.scm 90 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_pz00_2247))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_encode.scm 92 */
return 
CNST_TABLE_REF(((long)35));}  else 
{ /* Llib/pgp_encode.scm 92 */
return 
CNST_TABLE_REF(((long)36));} } 

}



/* &packet->content-tag-1181 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21181z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2248, obj_t BgL_pz00_2249)
{
{ /* Llib/pgp_encode.scm 85 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_pz00_2249))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_encode.scm 87 */
return 
CNST_TABLE_REF(((long)37));}  else 
{ /* Llib/pgp_encode.scm 87 */
return 
CNST_TABLE_REF(((long)38));} } 

}



/* &packet->content-tag-1179 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21179z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2250, obj_t BgL_pz00_2251)
{
{ /* Llib/pgp_encode.scm 83 */
return 
CNST_TABLE_REF(((long)39));} 

}



/* &packet->content-tag-1177 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21177z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2252, obj_t BgL_pz00_2253)
{
{ /* Llib/pgp_encode.scm 80 */
return 
CNST_TABLE_REF(((long)40));} 

}



/* &packet->content-tag-1175 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21175z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2254, obj_t BgL_pz00_2255)
{
{ /* Llib/pgp_encode.scm 78 */
return 
CNST_TABLE_REF(((long)41));} 

}



/* &packet->content-tag-1173 */
obj_t BGl_z62packetzd2ze3contentzd2tagzd21173z53zz__openpgpzd2encodezd2(obj_t BgL_envz00_2256, obj_t BgL_pz00_2257)
{
{ /* Llib/pgp_encode.scm 75 */
return 
CNST_TABLE_REF(((long)42));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2encodezd2()
{
{ /* Llib/pgp_encode.scm 1 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)486475050), 
BSTRING_TO_STRING(BGl_string2149z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2conversionzd2(((long)103989188), 
BSTRING_TO_STRING(BGl_string2149z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2149z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(((long)524611842), 
BSTRING_TO_STRING(BGl_string2149z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2enumszd2(((long)520811633), 
BSTRING_TO_STRING(BGl_string2149z00zz__openpgpzd2encodezd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2s2kzd2(((long)249755061), 
BSTRING_TO_STRING(BGl_string2149z00zz__openpgpzd2encodezd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string2149z00zz__openpgpzd2encodezd2));} 

}

#ifdef __cplusplus
}
#endif
