/*===========================================================================*/
/*   (Llib/bibtex.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -srfi text -unsafe -safee -copt -fPIC -copt -IPosix Llib/bibtex.scm -o objs/bibtex.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;


BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__text_bibtexz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33654ze3ze5zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t, obj_t);
static obj_t BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__text_bibtexz00();
static obj_t BGl_z62bibtexzd2filezb0zz__text_bibtexz00(obj_t, obj_t);
static obj_t BGl_z62bibtexz62zz__text_bibtexz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
BGL_IMPORT obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__text_bibtexz00();
static obj_t BGl_objectzd2initzd2zz__text_bibtexz00();
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_parsezd2authorze70z35zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_pregexpz00zz__regexpz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31313ze3ze5zz__text_bibtexz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_bibtexzd2parserzd2zz__text_bibtexz00 = BUNSPEC;
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_thezd2substringze70z35zz__text_bibtexz00(obj_t, int, int);
static obj_t BGl_thezd2substringze71z35zz__text_bibtexz00(obj_t, int, int);
BGL_IMPORT obj_t BGl_readzf2lalrpzf2zz__r4_input_6_10_2z00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__text_bibtexz00(obj_t, obj_t);
static obj_t BGl_untexifyz00zz__text_bibtexz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__text_bibtexz00();
static obj_t BGl_z62bibtexzd2parsezd2authorsz62zz__text_bibtexz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33947ze3ze5zz__text_bibtexz00(obj_t);
static obj_t BGl_parsezd2entryzd2valuez00zz__text_bibtexz00(obj_t);
static obj_t BGl_z62bibtexzd2stringzb0zz__text_bibtexz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static obj_t BGl_zd2ze3stringze70zd6zz__text_bibtexz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bibtexzd2portzd2zz__text_bibtexz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bibtexzd2parsezd2authorsz00zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_zc3z04exitza33366ze3ze70z60zz__text_bibtexz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_parsezd2bibtexzd2zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_ignoreze70ze7zz__text_bibtexz00(obj_t);
static obj_t BGl_ignoreze71ze7zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__text_bibtexz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_bibtexzd2lexerzd2zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_z62bibtexzd2portzb0zz__text_bibtexz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__text_bibtexz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__text_bibtexz00();
static obj_t BGl_makezd2bibtexzd2entryz00zz__text_bibtexz00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__text_bibtexz00();
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
static obj_t BGl_bibtexzd2stringzd2defz12z12zz__text_bibtexz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bibtexzd2stringzd2zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62__reducez62zz__text_bibtexz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2bibtexzd2hashtablez00zz__text_bibtexz00();
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bibtexz00zz__text_bibtexz00(obj_t);
static obj_t BGl_pregexp1260z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1261z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1262z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1263z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1264z00zz__text_bibtexz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_pregexp1271z00zz__text_bibtexz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bibtexzd2filezd2zz__text_bibtexz00(obj_t);
BGL_IMPORT obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
static obj_t BGl_pregexp1291z00zz__text_bibtexz00 = BUNSPEC;
static obj_t BGl_pregexp1292z00zz__text_bibtexz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t __cnst[ 33 ] ;


DEFINE_STRING( BGl_string4100z00zz__text_bibtexz00, BgL_bgl_string4100za700za7za7_4134za7, "ê", 2 );
DEFINE_STRING( BGl_string4101z00zz__text_bibtexz00, BgL_bgl_string4101za700za7za7_4135za7, "È", 2 );
DEFINE_STRING( BGl_string4102z00zz__text_bibtexz00, BgL_bgl_string4102za700za7za7_4136za7, "è", 2 );
DEFINE_STRING( BGl_string4103z00zz__text_bibtexz00, BgL_bgl_string4103za700za7za7_4137za7, "Ö", 2 );
DEFINE_STRING( BGl_string4104z00zz__text_bibtexz00, BgL_bgl_string4104za700za7za7_4138za7, "ö", 2 );
DEFINE_STRING( BGl_string4105z00zz__text_bibtexz00, BgL_bgl_string4105za700za7za7_4139za7, "Ô", 2 );
DEFINE_STRING( BGl_string4106z00zz__text_bibtexz00, BgL_bgl_string4106za700za7za7_4140za7, "ô", 2 );
DEFINE_STRING( BGl_string4107z00zz__text_bibtexz00, BgL_bgl_string4107za700za7za7_4141za7, "Ñ", 2 );
DEFINE_STRING( BGl_string4108z00zz__text_bibtexz00, BgL_bgl_string4108za700za7za7_4142za7, "ñ", 2 );
DEFINE_STRING( BGl_string4109z00zz__text_bibtexz00, BgL_bgl_string4109za700za7za7_4143za7, "Ø", 2 );
DEFINE_STRING( BGl_string4110z00zz__text_bibtexz00, BgL_bgl_string4110za700za7za7_4144za7, "ø", 2 );
DEFINE_STRING( BGl_string4111z00zz__text_bibtexz00, BgL_bgl_string4111za700za7za7_4145za7, "É", 2 );
DEFINE_STRING( BGl_string4112z00zz__text_bibtexz00, BgL_bgl_string4112za700za7za7_4146za7, "é", 2 );
DEFINE_STRING( BGl_string4113z00zz__text_bibtexz00, BgL_bgl_string4113za700za7za7_4147za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string4114z00zz__text_bibtexz00, BgL_bgl_string4114za700za7za7_4148za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string4115z00zz__text_bibtexz00, BgL_bgl_string4115za700za7za7_4149za7, "Illegal range `~a'", 18 );
DEFINE_STRING( BGl_string4116z00zz__text_bibtexz00, BgL_bgl_string4116za700za7za7_4150za7, "the-substring", 13 );
DEFINE_STRING( BGl_string4117z00zz__text_bibtexz00, BgL_bgl_string4117za700za7za7_4151za7, "bibtex", 6 );
DEFINE_STRING( BGl_string4118z00zz__text_bibtexz00, BgL_bgl_string4118za700za7za7_4152za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string4119z00zz__text_bibtexz00, BgL_bgl_string4119za700za7za7_4153za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/text/src/Llib/bibtex.scm", 64 );
DEFINE_STRING( BGl_string4120z00zz__text_bibtexz00, BgL_bgl_string4120za700za7za7_4154za7, "&bibtex-port", 12 );
DEFINE_STRING( BGl_string4121z00zz__text_bibtexz00, BgL_bgl_string4121za700za7za7_4155za7, "input-port", 10 );
DEFINE_STRING( BGl_string4122z00zz__text_bibtexz00, BgL_bgl_string4122za700za7za7_4156za7, "&bibtex-file", 12 );
DEFINE_STRING( BGl_string4123z00zz__text_bibtexz00, BgL_bgl_string4123za700za7za7_4157za7, "bstring", 7 );
DEFINE_STRING( BGl_string4124z00zz__text_bibtexz00, BgL_bgl_string4124za700za7za7_4158za7, "&bibtex-string", 14 );
DEFINE_STRING( BGl_string4125z00zz__text_bibtexz00, BgL_bgl_string4125za700za7za7_4159za7, "bibtex parse error", 18 );
DEFINE_STRING( BGl_string4126z00zz__text_bibtexz00, BgL_bgl_string4126za700za7za7_4160za7, " et al.", 7 );
DEFINE_STRING( BGl_string4127z00zz__text_bibtexz00, BgL_bgl_string4127za700za7za7_4161za7, "", 0 );
DEFINE_STRING( BGl_string4128z00zz__text_bibtexz00, BgL_bgl_string4128za700za7za7_4162za7, "&bibtex-parse-authors", 21 );
DEFINE_STRING( BGl_string4129z00zz__text_bibtexz00, BgL_bgl_string4129za700za7za7_4163za7, "C++", 3 );
DEFINE_STRING( BGl_string4130z00zz__text_bibtexz00, BgL_bgl_string4130za700za7za7_4164za7, "author et-al (\"jan\" \"feb\" \"mar\" \"apr\" \"may\" \"jun\" \"jul\" \"aug\" \"sep\" \"oct\" \"nov\" \"dec\") BLANK EGAL SHARP BRA-OPEN BRA-CLO COMMA (#\\$ #\\& #\\% #\\# #\\_ #\\{ #\\}) SPECIAL (\"pi\" \"Pi\" \"lambda\" \"Lambda\") BIBITEM BIBSTRING STRING NUMBER IDENT AUTHOR CHAR bibtex-entry-value-block bibtex-entry-value-block* ref bibtex-entry-value-string-simple bibtex-entry-value-string bibtex-entry-value bibtex-entry-item bibtex-entry-item* bibtex-entry string-def blank* bibtex #(((bibtex . 1)) ((string-def . 2) (bibtex-entry . 3)) () () () () () ((blank* . 9)) ((blank* . 10)) () () ((blank* . 14)) () ((blank* . 15)) () () ((blank* . 18)) ((blank* . 19)) () ((bibtex-entry-value . 21) (bibtex-entry-value-string . 22) (bibtex-entry-value-string-simple . 23)) ((blank* . 28) (bibtex-entry-item* . 29) (bibtex-entry-item . 30)) ((blank* . 31)) () () () () ((bibtex-entry-value-block* . 33)) () () () () () ((bibtex-entry-value-string-simple . 39)) ((bibtex-entry-value-block . 40)) ((blank* . 52)) ((blank* . "
"53)) () ((blank* . 28) (bibtex-entry-item* . 54) (bibtex-entry-item . 30)) () () () () () () () () ((bibtex-entry-value-block* . 55)) () () () () () () () () ((bibtex-entry-value-block . 40)) ((blank* . 59)) ((blank* . 60)) () ((bibtex-entry-value . 61) (bibtex-entry-value-string . 22) (bibtex-entry-value-string-simple . 23)) ((bibtex-entry-value . 62) (bibtex-entry-value-string . 22) (bibtex-entry-value-string-simple . 23)) ((blank* . 63)) ((blank* . 64)) () ()) #(((default1000 . -2)) ((default1000 . *error*) (BIBITEM . 7) (BIBSTRING . 6) (BLANK . 5) (*eoi* . 4)) ((default1000 . -3)) ((default1000 . -4)) ((default1000 . -1) (*eoi* . accept)) ((default1000 . -5)) ((default1000 . *error*) (BRA-OPEN . 8)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . *error*) (BLANK . 12) (BRA-OPEN . 11)) ((default1000 . *error*) (BLANK . 12) (IDENT . 13)) ((default1000 . -6)) ((default1000 . -7)) ((default1000 . -6)) ((default1000 . *error*) (BLANK . 12) (IDENT . 16)) ((default1000 . *error*) (EGAL . 17) (BLANK . 1"
"2)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . *error*) (BLANK . 12) (COMMA . 20)) ((default1000 . *error*) (NUMBER . 27) (BLANK . 12) (BRA-OPEN . 26) (STRING . 25) (IDENT . 24)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . -16) (SHARP . 32)) ((default1000 . -18)) ((default1000 . -21)) ((default1000 . -20)) ((default1000 . -22)) ((default1000 . -15)) ((default1000 . -10) (BLANK . 12) (AUTHOR . 35) (IDENT . 34)) ((default1000 . *error*) (BRA-CLO . 36)) ((default1000 . -11) (COMMA . 37)) ((default1000 . *error*) (BLANK . 12) (BRA-CLO . 38)) ((default1000 . *error*) (STRING . 25) (IDENT . 24)) ((default1000 . *error*) (EGAL . 51) (NUMBER . 50) (BLANK . 49) (SHARP . 48) (BRA-CLO . 47) (BRA-OPEN . 46) (COMMA . 45) (STRING . 44) (IDENT . 43) (SPECIAL . 42) (CHAR . 41)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . -9)) ((default1000 . -6)) ((default1000 . -8)) ((default1000 . -19)) ((default1000 . -23)) ((default1000 . -30)) ((default1000 . -31)) ((default1000 . -27)) ((defau"
"lt1000 . -33)) ((default1000 . -25)) ((default1000 . -22)) ((default1000 . -17)) ((default1000 . -26)) ((default1000 . -28)) ((default1000 . -32)) ((default1000 . -29)) ((default1000 . *error*) (EGAL . 56) (BLANK . 12)) ((default1000 . *error*) (EGAL . 57) (BLANK . 12)) ((default1000 . -12)) ((default1000 . *error*) (EGAL . 51) (NUMBER . 50) (BLANK . 49) (SHARP . 48) (BRA-CLO . 58) (BRA-OPEN . 46) (COMMA . 45) (STRING . 44) (IDENT . 43) (SPECIAL . 42) (CHAR . 41)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . -24)) ((default1000 . *error*) (NUMBER . 27) (BLANK . 12) (BRA-OPEN . 26) (STRING . 25) (IDENT . 24)) ((default1000 . *error*) (NUMBER . 27) (BLANK . 12) (BRA-OPEN . 26) (STRING . 25) (IDENT . 24)) ((default1000 . -6)) ((default1000 . -6)) ((default1000 . -13) (BLANK . 12)) ((default1000 . -14) (BLANK . 12))) ", 3871 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2filezd2envz00zz__text_bibtexz00, BgL_bgl_za762bibtexza7d2file4165z00, BGl_z62bibtexzd2filezb0zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4069z00zz__text_bibtexz00, BgL_bgl_string4069za700za7za7_4166za7, "[{}]", 4 );
DEFINE_STRING( BGl_string4070z00zz__text_bibtexz00, BgL_bgl_string4070za700za7za7_4167za7, "C[$]\\^[$]_[+][+][$][$]", 22 );
DEFINE_STRING( BGl_string4071z00zz__text_bibtexz00, BgL_bgl_string4071za700za7za7_4168za7, "[ \t\n]and[ \t\n]", 13 );
DEFINE_STRING( BGl_string4072z00zz__text_bibtexz00, BgL_bgl_string4072za700za7za7_4169za7, "^((?:[A-Z][^A-Z]|[^A-Z ]+| [A-Z][^ A-Z])+)[ \t\n]([A-Z \n\t]+)$", 59 );
DEFINE_STRING( BGl_string4073z00zz__text_bibtexz00, BgL_bgl_string4073za700za7za7_4170za7, "^([^,]+),+[ \t\n](.+)$", 20 );
DEFINE_STRING( BGl_string4074z00zz__text_bibtexz00, BgL_bgl_string4074za700za7za7_4171za7, "^({[^}]+}) ({[^}]+})", 20 );
DEFINE_STRING( BGl_string4075z00zz__text_bibtexz00, BgL_bgl_string4075za700za7za7_4172za7, "char[0-9]+", 10 );
DEFINE_STRING( BGl_string4077z00zz__text_bibtexz00, BgL_bgl_string4077za700za7za7_4173za7, ",", 1 );
DEFINE_STRING( BGl_string4078z00zz__text_bibtexz00, BgL_bgl_string4078za700za7za7_4174za7, "#", 1 );
DEFINE_STRING( BGl_string4079z00zz__text_bibtexz00, BgL_bgl_string4079za700za7za7_4175za7, " ", 1 );
DEFINE_STRING( BGl_string4080z00zz__text_bibtexz00, BgL_bgl_string4080za700za7za7_4176za7, "=", 1 );
DEFINE_STRING( BGl_string4081z00zz__text_bibtexz00, BgL_bgl_string4081za700za7za7_4177za7, "\"", 1 );
DEFINE_STRING( BGl_string4082z00zz__text_bibtexz00, BgL_bgl_string4082za700za7za7_4178za7, "author", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4076z00zz__text_bibtexz00, BgL_bgl_za762za7c3za704anonymo4179za7, BGl_z62zc3z04anonymousza31313ze3ze5zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4083z00zz__text_bibtexz00, BgL_bgl_string4083za700za7za7_4180za7, "char", 4 );
DEFINE_STRING( BGl_string4084z00zz__text_bibtexz00, BgL_bgl_string4084za700za7za7_4181za7, "\\", 1 );
DEFINE_STRING( BGl_string4085z00zz__text_bibtexz00, BgL_bgl_string4085za700za7za7_4182za7, "Ù", 2 );
DEFINE_STRING( BGl_string4086z00zz__text_bibtexz00, BgL_bgl_string4086za700za7za7_4183za7, "ù", 2 );
DEFINE_STRING( BGl_string4087z00zz__text_bibtexz00, BgL_bgl_string4087za700za7za7_4184za7, "Ü", 2 );
DEFINE_STRING( BGl_string4088z00zz__text_bibtexz00, BgL_bgl_string4088za700za7za7_4185za7, "ü", 2 );
DEFINE_STRING( BGl_string4089z00zz__text_bibtexz00, BgL_bgl_string4089za700za7za7_4186za7, "Í", 2 );
DEFINE_STRING( BGl_string4090z00zz__text_bibtexz00, BgL_bgl_string4090za700za7za7_4187za7, "í", 2 );
DEFINE_STRING( BGl_string4091z00zz__text_bibtexz00, BgL_bgl_string4091za700za7za7_4188za7, "Î", 2 );
DEFINE_STRING( BGl_string4092z00zz__text_bibtexz00, BgL_bgl_string4092za700za7za7_4189za7, "î", 2 );
DEFINE_STRING( BGl_string4093z00zz__text_bibtexz00, BgL_bgl_string4093za700za7za7_4190za7, "Ï", 2 );
DEFINE_STRING( BGl_string4094z00zz__text_bibtexz00, BgL_bgl_string4094za700za7za7_4191za7, "ï", 2 );
DEFINE_STRING( BGl_string4095z00zz__text_bibtexz00, BgL_bgl_string4095za700za7za7_4192za7, "Á", 2 );
DEFINE_STRING( BGl_string4096z00zz__text_bibtexz00, BgL_bgl_string4096za700za7za7_4193za7, "À", 2 );
DEFINE_STRING( BGl_string4097z00zz__text_bibtexz00, BgL_bgl_string4097za700za7za7_4194za7, "á", 2 );
DEFINE_STRING( BGl_string4098z00zz__text_bibtexz00, BgL_bgl_string4098za700za7za7_4195za7, "à", 2 );
DEFINE_STRING( BGl_string4099z00zz__text_bibtexz00, BgL_bgl_string4099za700za7za7_4196za7, "Ê", 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2portzd2envz00zz__text_bibtexz00, BgL_bgl_za762bibtexza7d2port4197z00, BGl_z62bibtexzd2portzb0zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2parsezd2authorszd2envzd2zz__text_bibtexz00, BgL_bgl_za762bibtexza7d2pars4198z00, BGl_z62bibtexzd2parsezd2authorsz62zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2envzd2zz__text_bibtexz00, BgL_bgl_za762bibtexza762za7za7__4199z00, BGl_z62bibtexz62zz__text_bibtexz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bibtexzd2stringzd2envz00zz__text_bibtexz00, BgL_bgl_za762bibtexza7d2stri4200z00, BGl_z62bibtexzd2stringzb0zz__text_bibtexz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_bibtexzd2parserzd2zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_bibtexzd2lexerzd2zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1260z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1261z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1262z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1263z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1264z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1271z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1291z00zz__text_bibtexz00) );
ADD_ROOT( (void *)(&BGl_pregexp1292z00zz__text_bibtexz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__text_bibtexz00(long BgL_checksumz00_9970, char * BgL_fromz00_9971)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__text_bibtexz00))
{ 
BGl_requirezd2initializa7ationz75zz__text_bibtexz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__text_bibtexz00(); 
BGl_libraryzd2moduleszd2initz00zz__text_bibtexz00(); 
BGl_cnstzd2initzd2zz__text_bibtexz00(); 
return 
BGl_toplevelzd2initzd2zz__text_bibtexz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__lalr_driverz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__regexpz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__rgcz00(((long)0), "__text_bibtex"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__text_bibtex"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_cportz00_8062;
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_stringz00_8070;
BgL_stringz00_8070 = BGl_string4130z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_startz00_8071;
BgL_startz00_8071 = 
BINT(((long)0)); 
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_endz00_8072;
BgL_endz00_8072 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_8070))); 
{ /* Llib/bibtex.scm 15 */

BgL_cportz00_8062 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_8070, BgL_startz00_8071, BgL_endz00_8072); } } } } 
{ 
 long BgL_iz00_8063;
BgL_iz00_8063 = ((long)32); 
BgL_loopz00_8064:
if(
(BgL_iz00_8063==((long)-1)))
{ /* Llib/bibtex.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/bibtex.scm 15 */
{ /* Llib/bibtex.scm 15 */
 obj_t BgL_arg4132z00_8066;
{ /* Llib/bibtex.scm 15 */

{ /* Llib/bibtex.scm 15 */
 obj_t BgL_locationz00_8068;
BgL_locationz00_8068 = 
BBOOL(((bool_t)0)); 
{ /* Llib/bibtex.scm 15 */

BgL_arg4132z00_8066 = 
BGl_readz00zz__readerz00(BgL_cportz00_8062, BgL_locationz00_8068); } } } 
{ /* Llib/bibtex.scm 15 */
 int BgL_tmpz00_10010;
BgL_tmpz00_10010 = 
(int)(BgL_iz00_8063); 
CNST_TABLE_SET(BgL_tmpz00_10010, BgL_arg4132z00_8066); } } 
{ /* Llib/bibtex.scm 15 */
 int BgL_auxz00_8069;
BgL_auxz00_8069 = 
(int)(
(BgL_iz00_8063-((long)1))); 
{ 
 long BgL_iz00_10015;
BgL_iz00_10015 = 
(long)(BgL_auxz00_8069); 
BgL_iz00_8063 = BgL_iz00_10015; 
goto BgL_loopz00_8064;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
BGl_pregexp1292z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4069z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1291z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4070z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1271z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4071z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1264z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4071z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1263z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4072z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1262z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4073z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1261z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4074z00zz__text_bibtexz00, BNIL); 
BGl_pregexp1260z00zz__text_bibtexz00 = 
BGl_pregexpz00zz__regexpz00(BGl_string4075z00zz__text_bibtexz00, BNIL); 
BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00 = BUNSPEC; 
BGl_bibtexzd2lexerzd2zz__text_bibtexz00 = BGl_proc4076z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL___actionzd2tablezd2_2897;
BgL___actionzd2tablezd2_2897 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL___gotozd2tablezd2_2898;
BgL___gotozd2tablezd2_2898 = 
CNST_TABLE_REF(((long)1)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL___reducez00_8020;
BgL___reducez00_8020 = 
MAKE_FX_PROCEDURE(BGl_z62__reducez62zz__text_bibtexz00, 
(int)(((long)3)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL___reducez00_8020, 
(int)(((long)0)), BgL___gotozd2tablezd2_2898); 
{ /* Llib/bibtex.scm 238 */

return ( 
BGl_bibtexzd2parserzd2zz__text_bibtexz00 = 
BGl___makezd2parserzd2zz__lalr_driverz00(BgL___actionzd2tablezd2_2897, BgL___reducez00_8020), BUNSPEC) ;} } } } } 

}



/* &__reduce */
obj_t BGl_z62__reducez62zz__text_bibtexz00(obj_t BgL_envz00_8022, obj_t BgL_nz00_8024, obj_t BgL___stackz00_8025, obj_t BgL___spz00_8026)
{
{ /* Llib/bibtex.scm 238 */
{ /* Llib/bibtex.scm 238 */
 obj_t BgL___gotozd2tablezd2_8023;
BgL___gotozd2tablezd2_8023 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_8022, 
(int)(((long)0)))); 
if(
INTEGERP(BgL_nz00_8024))
{ /* Llib/bibtex.scm 238 */
switch( 
(long)CINT(BgL_nz00_8024)) { case ((long)1) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexz00_8074;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3182z00_8075;
BgL_arg3182z00_8075 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexz00_8074 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3182z00_8075); } 
return BgL_bibtexz00_8074;} break;case ((long)2) : 

{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3184z00_8076; obj_t BgL_arg3185z00_8077;
BgL_arg3184z00_8076 = 
(
(long)CINT(BgL___spz00_8026)-((long)0)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3185z00_8077 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8078;
BgL_newzd2catzd2_8078 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8079;
BgL_statez00_8079 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3184z00_8076); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8080;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8081;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8082;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8083;
BgL_kz00_8083 = 
(long)CINT(BgL_statez00_8079); 
BgL_arg3353z00_8082 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8083); } 
BgL_arg3352z00_8081 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8078, BgL_arg3353z00_8082); } 
BgL_newzd2statezd2_8080 = 
CDR(
((obj_t)BgL_arg3352z00_8081)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8084;
BgL_newzd2spzd2_8084 = 
(BgL_arg3184z00_8076+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8084,BgL_newzd2statezd2_8080); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8085;
BgL_arg3351z00_8085 = 
(BgL_newzd2spzd2_8084-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8085,BgL_arg3185z00_8077); } 
return 
BINT(BgL_newzd2spzd2_8084);} } } } } } } break;case ((long)3) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexz00_8086;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3188z00_8087;
BgL_arg3188z00_8087 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexz00_8086 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3188z00_8087); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3186z00_8088; obj_t BgL_arg3187z00_8089;
BgL_arg3186z00_8088 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3187z00_8089 = BgL_bibtexz00_8086; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8090;
BgL_newzd2catzd2_8090 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8091;
BgL_statez00_8091 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3186z00_8088); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8092;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8093;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8094;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8095;
BgL_kz00_8095 = 
(long)CINT(BgL_statez00_8091); 
BgL_arg3353z00_8094 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8095); } 
BgL_arg3352z00_8093 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8090, BgL_arg3353z00_8094); } 
BgL_newzd2statezd2_8092 = 
CDR(
((obj_t)BgL_arg3352z00_8093)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8096;
BgL_newzd2spzd2_8096 = 
(BgL_arg3186z00_8088+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8096,BgL_newzd2statezd2_8092); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8097;
BgL_arg3351z00_8097 = 
(BgL_newzd2spzd2_8096-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8097,BgL_arg3187z00_8089); } 
return 
BINT(BgL_newzd2spzd2_8096);} } } } } } } break;case ((long)4) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexz00_8098; obj_t BgL_bibtexzd2entryzd2_8099;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3192z00_8100;
BgL_arg3192z00_8100 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexz00_8098 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3192z00_8100); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3193z00_8101;
BgL_arg3193z00_8101 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2_8099 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3193z00_8101); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3190z00_8102; obj_t BgL_arg3191z00_8103;
BgL_arg3190z00_8102 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3191z00_8103 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2_8099, BgL_bibtexz00_8098); } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8104;
BgL_newzd2catzd2_8104 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8105;
BgL_statez00_8105 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3190z00_8102); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8106;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8107;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8108;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8109;
BgL_kz00_8109 = 
(long)CINT(BgL_statez00_8105); 
BgL_arg3353z00_8108 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8109); } 
BgL_arg3352z00_8107 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8104, BgL_arg3353z00_8108); } 
BgL_newzd2statezd2_8106 = 
CDR(
((obj_t)BgL_arg3352z00_8107)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8110;
BgL_newzd2spzd2_8110 = 
(BgL_arg3190z00_8102+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8110,BgL_newzd2statezd2_8106); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8111;
BgL_arg3351z00_8111 = 
(BgL_newzd2spzd2_8110-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8111,BgL_arg3191z00_8103); } 
return 
BINT(BgL_newzd2spzd2_8110);} } } } } } } break;case ((long)5) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexz00_8112;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3196z00_8113;
BgL_arg3196z00_8113 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexz00_8112 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3196z00_8113); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3194z00_8114; obj_t BgL_arg3195z00_8115;
BgL_arg3194z00_8114 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3195z00_8115 = BgL_bibtexz00_8112; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8116;
BgL_newzd2catzd2_8116 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8117;
BgL_statez00_8117 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3194z00_8114); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8118;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8119;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8120;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8121;
BgL_kz00_8121 = 
(long)CINT(BgL_statez00_8117); 
BgL_arg3353z00_8120 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8121); } 
BgL_arg3352z00_8119 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8116, BgL_arg3353z00_8120); } 
BgL_newzd2statezd2_8118 = 
CDR(
((obj_t)BgL_arg3352z00_8119)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8122;
BgL_newzd2spzd2_8122 = 
(BgL_arg3194z00_8114+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8122,BgL_newzd2statezd2_8118); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8123;
BgL_arg3351z00_8123 = 
(BgL_newzd2spzd2_8122-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8123,BgL_arg3195z00_8115); } 
return 
BINT(BgL_newzd2spzd2_8122);} } } } } } } break;case ((long)6) : 

{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3198z00_8124; obj_t BgL_arg3199z00_8125;
BgL_arg3198z00_8124 = 
(
(long)CINT(BgL___spz00_8026)-((long)0)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3199z00_8125 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8126;
BgL_newzd2catzd2_8126 = 
CNST_TABLE_REF(((long)3)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8127;
BgL_statez00_8127 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3198z00_8124); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8128;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8129;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8130;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8131;
BgL_kz00_8131 = 
(long)CINT(BgL_statez00_8127); 
BgL_arg3353z00_8130 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8131); } 
BgL_arg3352z00_8129 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8126, BgL_arg3353z00_8130); } 
BgL_newzd2statezd2_8128 = 
CDR(
((obj_t)BgL_arg3352z00_8129)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8132;
BgL_newzd2spzd2_8132 = 
(BgL_arg3198z00_8124+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8132,BgL_newzd2statezd2_8128); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8133;
BgL_arg3351z00_8133 = 
(BgL_newzd2spzd2_8132-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8133,BgL_arg3199z00_8125); } 
return 
BINT(BgL_newzd2spzd2_8132);} } } } } } } break;case ((long)7) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3200z00_8134; obj_t BgL_arg3201z00_8135;
BgL_arg3200z00_8134 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3201z00_8135 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8136;
BgL_newzd2catzd2_8136 = 
CNST_TABLE_REF(((long)3)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8137;
BgL_statez00_8137 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3200z00_8134); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8138;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8139;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8140;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8141;
BgL_kz00_8141 = 
(long)CINT(BgL_statez00_8137); 
BgL_arg3353z00_8140 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8141); } 
BgL_arg3352z00_8139 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8136, BgL_arg3353z00_8140); } 
BgL_newzd2statezd2_8138 = 
CDR(
((obj_t)BgL_arg3352z00_8139)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8142;
BgL_newzd2spzd2_8142 = 
(BgL_arg3200z00_8134+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8142,BgL_newzd2statezd2_8138); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8143;
BgL_arg3351z00_8143 = 
(BgL_newzd2spzd2_8142-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8143,BgL_arg3201z00_8135); } 
return 
BINT(BgL_newzd2spzd2_8142);} } } } } } break;case ((long)8) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_identz00_8144; obj_t BgL_bibtexzd2entryzd2valuez00_8145;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3210z00_8146;
BgL_arg3210z00_8146 = 
(
(long)CINT(BgL___spz00_8026)-((long)13)); 
BgL_identz00_8144 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3210z00_8146); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3214z00_8147;
BgL_arg3214z00_8147 = 
(
(long)CINT(BgL___spz00_8026)-((long)5)); 
BgL_bibtexzd2entryzd2valuez00_8145 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3214z00_8147); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3204z00_8148; obj_t BgL_arg3205z00_8149;
BgL_arg3204z00_8148 = 
(
(long)CINT(BgL___spz00_8026)-((long)20)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 263 */
 obj_t BgL_arg3206z00_8150;
{ /* Llib/bibtex.scm 263 */
 obj_t BgL_pairz00_8151;
BgL_pairz00_8151 = 
CDR(
((obj_t)BgL_identz00_8144)); 
BgL_arg3206z00_8150 = 
CAR(BgL_pairz00_8151); } 
BgL_arg3205z00_8149 = 
BGl_bibtexzd2stringzd2defz12z12zz__text_bibtexz00(BgL_arg3206z00_8150, BgL_bibtexzd2entryzd2valuez00_8145); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8152;
BgL_newzd2catzd2_8152 = 
CNST_TABLE_REF(((long)4)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8153;
BgL_statez00_8153 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3204z00_8148); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8154;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8155;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8156;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8157;
BgL_kz00_8157 = 
(long)CINT(BgL_statez00_8153); 
BgL_arg3353z00_8156 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8157); } 
BgL_arg3352z00_8155 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8152, BgL_arg3353z00_8156); } 
BgL_newzd2statezd2_8154 = 
CDR(
((obj_t)BgL_arg3352z00_8155)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8158;
BgL_newzd2spzd2_8158 = 
(BgL_arg3204z00_8148+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8158,BgL_newzd2statezd2_8154); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8159;
BgL_arg3351z00_8159 = 
(BgL_newzd2spzd2_8158-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8159,BgL_arg3205z00_8149); } 
return 
BINT(BgL_newzd2spzd2_8158);} } } } } } } break;case ((long)9) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibitemz00_8160; obj_t BgL_identz00_8161; obj_t BgL_bibtexzd2entryzd2itemza2za2_8162;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3221z00_8163;
BgL_arg3221z00_8163 = 
(
(long)CINT(BgL___spz00_8026)-((long)17)); 
BgL_bibitemz00_8160 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3221z00_8163); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3225z00_8164;
BgL_arg3225z00_8164 = 
(
(long)CINT(BgL___spz00_8026)-((long)9)); 
BgL_identz00_8161 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3225z00_8164); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3228z00_8165;
BgL_arg3228z00_8165 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2itemza2za2_8162 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3228z00_8165); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3217z00_8166; obj_t BgL_arg3218z00_8167;
BgL_arg3217z00_8166 = 
(
(long)CINT(BgL___spz00_8026)-((long)18)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 269 */
 obj_t BgL_arg3219z00_8168; obj_t BgL_arg3220z00_8169;
{ /* Llib/bibtex.scm 269 */
 obj_t BgL_pairz00_8170;
BgL_pairz00_8170 = 
CDR(
((obj_t)BgL_bibitemz00_8160)); 
BgL_arg3219z00_8168 = 
CAR(BgL_pairz00_8170); } 
{ /* Llib/bibtex.scm 270 */
 obj_t BgL_pairz00_8171;
BgL_pairz00_8171 = 
CDR(
((obj_t)BgL_identz00_8161)); 
BgL_arg3220z00_8169 = 
CAR(BgL_pairz00_8171); } 
BgL_arg3218z00_8167 = 
BGl_makezd2bibtexzd2entryz00zz__text_bibtexz00(BgL_arg3219z00_8168, BgL_arg3220z00_8169, BgL_bibtexzd2entryzd2itemza2za2_8162); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8172;
BgL_newzd2catzd2_8172 = 
CNST_TABLE_REF(((long)5)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8173;
BgL_statez00_8173 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3217z00_8166); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8174;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8175;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8176;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8177;
BgL_kz00_8177 = 
(long)CINT(BgL_statez00_8173); 
BgL_arg3353z00_8176 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8177); } 
BgL_arg3352z00_8175 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8172, BgL_arg3353z00_8176); } 
BgL_newzd2statezd2_8174 = 
CDR(
((obj_t)BgL_arg3352z00_8175)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8178;
BgL_newzd2spzd2_8178 = 
(BgL_arg3217z00_8166+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8178,BgL_newzd2statezd2_8174); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8179;
BgL_arg3351z00_8179 = 
(BgL_newzd2spzd2_8178-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8179,BgL_arg3218z00_8167); } 
return 
BINT(BgL_newzd2spzd2_8178);} } } } } } } break;case ((long)10) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3230z00_8180; obj_t BgL_arg3231z00_8181;
BgL_arg3230z00_8180 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3231z00_8181 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8182;
BgL_newzd2catzd2_8182 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8183;
BgL_statez00_8183 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3230z00_8180); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8184;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8185;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8186;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8187;
BgL_kz00_8187 = 
(long)CINT(BgL_statez00_8183); 
BgL_arg3353z00_8186 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8187); } 
BgL_arg3352z00_8185 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8182, BgL_arg3353z00_8186); } 
BgL_newzd2statezd2_8184 = 
CDR(
((obj_t)BgL_arg3352z00_8185)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8188;
BgL_newzd2spzd2_8188 = 
(BgL_arg3230z00_8180+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8188,BgL_newzd2statezd2_8184); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8189;
BgL_arg3351z00_8189 = 
(BgL_newzd2spzd2_8188-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8189,BgL_arg3231z00_8181); } 
return 
BINT(BgL_newzd2spzd2_8188);} } } } } } break;case ((long)11) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2itemz00_8190;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3236z00_8191;
BgL_arg3236z00_8191 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2itemz00_8190 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3236z00_8191); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3233z00_8192; obj_t BgL_arg3234z00_8193;
BgL_arg3233z00_8192 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 278 */
 obj_t BgL_list3235z00_8194;
BgL_list3235z00_8194 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2itemz00_8190, BNIL); 
BgL_arg3234z00_8193 = BgL_list3235z00_8194; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8195;
BgL_newzd2catzd2_8195 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8196;
BgL_statez00_8196 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3233z00_8192); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8197;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8198;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8199;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8200;
BgL_kz00_8200 = 
(long)CINT(BgL_statez00_8196); 
BgL_arg3353z00_8199 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8200); } 
BgL_arg3352z00_8198 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8195, BgL_arg3353z00_8199); } 
BgL_newzd2statezd2_8197 = 
CDR(
((obj_t)BgL_arg3352z00_8198)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8201;
BgL_newzd2spzd2_8201 = 
(BgL_arg3233z00_8192+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8201,BgL_newzd2statezd2_8197); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8202;
BgL_arg3351z00_8202 = 
(BgL_newzd2spzd2_8201-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8202,BgL_arg3234z00_8193); } 
return 
BINT(BgL_newzd2spzd2_8201);} } } } } } } break;case ((long)12) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2itemz00_8203; obj_t BgL_bibtexzd2entryzd2itemza2za2_8204;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3239z00_8205;
BgL_arg3239z00_8205 = 
(
(long)CINT(BgL___spz00_8026)-((long)5)); 
BgL_bibtexzd2entryzd2itemz00_8203 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3239z00_8205); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3241z00_8206;
BgL_arg3241z00_8206 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2itemza2za2_8204 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3241z00_8206); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3237z00_8207; obj_t BgL_arg3238z00_8208;
BgL_arg3237z00_8207 = 
(
(long)CINT(BgL___spz00_8026)-((long)6)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3238z00_8208 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2itemz00_8203, BgL_bibtexzd2entryzd2itemza2za2_8204); } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8209;
BgL_newzd2catzd2_8209 = 
CNST_TABLE_REF(((long)6)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8210;
BgL_statez00_8210 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3237z00_8207); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8211;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8212;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8213;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8214;
BgL_kz00_8214 = 
(long)CINT(BgL_statez00_8210); 
BgL_arg3353z00_8213 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8214); } 
BgL_arg3352z00_8212 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8209, BgL_arg3353z00_8213); } 
BgL_newzd2statezd2_8211 = 
CDR(
((obj_t)BgL_arg3352z00_8212)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8215;
BgL_newzd2spzd2_8215 = 
(BgL_arg3237z00_8207+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8215,BgL_newzd2statezd2_8211); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8216;
BgL_arg3351z00_8216 = 
(BgL_newzd2spzd2_8215-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8216,BgL_arg3238z00_8208); } 
return 
BINT(BgL_newzd2spzd2_8215);} } } } } } } break;case ((long)13) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_identz00_8217; obj_t BgL_bibtexzd2entryzd2valuez00_8218;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3248z00_8219;
BgL_arg3248z00_8219 = 
(
(long)CINT(BgL___spz00_8026)-((long)11)); 
BgL_identz00_8217 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3248z00_8219); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3252z00_8220;
BgL_arg3252z00_8220 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuez00_8218 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3252z00_8220); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3242z00_8221; obj_t BgL_arg3243z00_8222;
BgL_arg3242z00_8221 = 
(
(long)CINT(BgL___spz00_8026)-((long)14)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 285 */
 obj_t BgL_arg3244z00_8223;
{ /* Llib/bibtex.scm 285 */
 obj_t BgL_arg3245z00_8224;
{ /* Llib/bibtex.scm 285 */
 obj_t BgL_arg3246z00_8225;
{ /* Llib/bibtex.scm 285 */
 obj_t BgL_pairz00_8226;
BgL_pairz00_8226 = 
CDR(
((obj_t)BgL_identz00_8217)); 
BgL_arg3246z00_8225 = 
CAR(BgL_pairz00_8226); } 
BgL_arg3245z00_8224 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg3246z00_8225); } 
BgL_arg3244z00_8223 = 
bstring_to_symbol(BgL_arg3245z00_8224); } 
BgL_arg3243z00_8222 = 
MAKE_YOUNG_PAIR(BgL_arg3244z00_8223, BgL_bibtexzd2entryzd2valuez00_8218); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8227;
BgL_newzd2catzd2_8227 = 
CNST_TABLE_REF(((long)7)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8228;
BgL_statez00_8228 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3242z00_8221); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8229;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8230;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8231;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8232;
BgL_kz00_8232 = 
(long)CINT(BgL_statez00_8228); 
BgL_arg3353z00_8231 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8232); } 
BgL_arg3352z00_8230 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8227, BgL_arg3353z00_8231); } 
BgL_newzd2statezd2_8229 = 
CDR(
((obj_t)BgL_arg3352z00_8230)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8233;
BgL_newzd2spzd2_8233 = 
(BgL_arg3242z00_8221+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8233,BgL_newzd2statezd2_8229); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8234;
BgL_arg3351z00_8234 = 
(BgL_newzd2spzd2_8233-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8234,BgL_arg3243z00_8222); } 
return 
BINT(BgL_newzd2spzd2_8233);} } } } } } } break;case ((long)14) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_authorz00_8235; obj_t BgL_bibtexzd2entryzd2valuez00_8236;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3260z00_8237;
BgL_arg3260z00_8237 = 
(
(long)CINT(BgL___spz00_8026)-((long)11)); 
BgL_authorz00_8235 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3260z00_8237); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3264z00_8238;
BgL_arg3264z00_8238 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuez00_8236 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3264z00_8238); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3254z00_8239; obj_t BgL_arg3255z00_8240;
BgL_arg3254z00_8239 = 
(
(long)CINT(BgL___spz00_8026)-((long)14)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 288 */
 obj_t BgL_arg3256z00_8241;
{ /* Llib/bibtex.scm 288 */
 obj_t BgL_arg3257z00_8242;
{ /* Llib/bibtex.scm 288 */
 obj_t BgL_arg3258z00_8243;
{ /* Llib/bibtex.scm 288 */
 obj_t BgL_pairz00_8244;
BgL_pairz00_8244 = 
CDR(
((obj_t)BgL_authorz00_8235)); 
BgL_arg3258z00_8243 = 
CAR(BgL_pairz00_8244); } 
BgL_arg3257z00_8242 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg3258z00_8243); } 
BgL_arg3256z00_8241 = 
bstring_to_symbol(BgL_arg3257z00_8242); } 
BgL_arg3255z00_8240 = 
MAKE_YOUNG_PAIR(BgL_arg3256z00_8241, BgL_bibtexzd2entryzd2valuez00_8236); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8245;
BgL_newzd2catzd2_8245 = 
CNST_TABLE_REF(((long)7)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8246;
BgL_statez00_8246 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3254z00_8239); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8247;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8248;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8249;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8250;
BgL_kz00_8250 = 
(long)CINT(BgL_statez00_8246); 
BgL_arg3353z00_8249 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8250); } 
BgL_arg3352z00_8248 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8245, BgL_arg3353z00_8249); } 
BgL_newzd2statezd2_8247 = 
CDR(
((obj_t)BgL_arg3352z00_8248)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8251;
BgL_newzd2spzd2_8251 = 
(BgL_arg3254z00_8239+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8251,BgL_newzd2statezd2_8247); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8252;
BgL_arg3351z00_8252 = 
(BgL_newzd2spzd2_8251-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8252,BgL_arg3255z00_8240); } 
return 
BINT(BgL_newzd2spzd2_8251);} } } } } } } break;case ((long)15) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_numberz00_8253;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3270z00_8254;
BgL_arg3270z00_8254 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_numberz00_8253 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3270z00_8254); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3266z00_8255; obj_t BgL_arg3267z00_8256;
BgL_arg3266z00_8255 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 294 */
 obj_t BgL_arg3268z00_8257;
{ /* Llib/bibtex.scm 294 */
 obj_t BgL_pairz00_8258;
BgL_pairz00_8258 = 
CDR(
((obj_t)BgL_numberz00_8253)); 
BgL_arg3268z00_8257 = 
CAR(BgL_pairz00_8258); } 
{ /* Llib/bibtex.scm 294 */
 obj_t BgL_list3269z00_8259;
BgL_list3269z00_8259 = 
MAKE_YOUNG_PAIR(BgL_arg3268z00_8257, BNIL); 
BgL_arg3267z00_8256 = BgL_list3269z00_8259; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8260;
BgL_newzd2catzd2_8260 = 
CNST_TABLE_REF(((long)8)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8261;
BgL_statez00_8261 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3266z00_8255); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8262;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8263;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8264;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8265;
BgL_kz00_8265 = 
(long)CINT(BgL_statez00_8261); 
BgL_arg3353z00_8264 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8265); } 
BgL_arg3352z00_8263 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8260, BgL_arg3353z00_8264); } 
BgL_newzd2statezd2_8262 = 
CDR(
((obj_t)BgL_arg3352z00_8263)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8266;
BgL_newzd2spzd2_8266 = 
(BgL_arg3266z00_8255+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8266,BgL_newzd2statezd2_8262); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8267;
BgL_arg3351z00_8267 = 
(BgL_newzd2spzd2_8266-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8267,BgL_arg3267z00_8256); } 
return 
BINT(BgL_newzd2spzd2_8266);} } } } } } } break;case ((long)16) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2stringzd2_8268;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3273z00_8269;
BgL_arg3273z00_8269 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2valuezd2stringzd2_8268 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3273z00_8269); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3271z00_8270; obj_t BgL_arg3272z00_8271;
BgL_arg3271z00_8270 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3272z00_8271 = BgL_bibtexzd2entryzd2valuezd2stringzd2_8268; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8272;
BgL_newzd2catzd2_8272 = 
CNST_TABLE_REF(((long)8)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8273;
BgL_statez00_8273 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3271z00_8270); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8274;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8275;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8276;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8277;
BgL_kz00_8277 = 
(long)CINT(BgL_statez00_8273); 
BgL_arg3353z00_8276 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8277); } 
BgL_arg3352z00_8275 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8272, BgL_arg3353z00_8276); } 
BgL_newzd2statezd2_8274 = 
CDR(
((obj_t)BgL_arg3352z00_8275)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8278;
BgL_newzd2spzd2_8278 = 
(BgL_arg3271z00_8270+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8278,BgL_newzd2statezd2_8274); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8279;
BgL_arg3351z00_8279 = 
(BgL_newzd2spzd2_8278-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8279,BgL_arg3272z00_8271); } 
return 
BINT(BgL_newzd2spzd2_8278);} } } } } } } break;case ((long)17) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2blockza2z70_8280;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3277z00_8281;
BgL_arg3277z00_8281 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuezd2blockza2z70_8280 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3277z00_8281); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3274z00_8282; obj_t BgL_arg3275z00_8283;
BgL_arg3274z00_8282 = 
(
(long)CINT(BgL___spz00_8026)-((long)6)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3275z00_8283 = BgL_bibtexzd2entryzd2valuezd2blockza2z70_8280; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8284;
BgL_newzd2catzd2_8284 = 
CNST_TABLE_REF(((long)8)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8285;
BgL_statez00_8285 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3274z00_8282); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8286;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8287;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8288;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8289;
BgL_kz00_8289 = 
(long)CINT(BgL_statez00_8285); 
BgL_arg3353z00_8288 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8289); } 
BgL_arg3352z00_8287 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8284, BgL_arg3353z00_8288); } 
BgL_newzd2statezd2_8286 = 
CDR(
((obj_t)BgL_arg3352z00_8287)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8290;
BgL_newzd2spzd2_8290 = 
(BgL_arg3274z00_8282+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8290,BgL_newzd2statezd2_8286); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8291;
BgL_arg3351z00_8291 = 
(BgL_newzd2spzd2_8290-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8291,BgL_arg3275z00_8283); } 
return 
BINT(BgL_newzd2spzd2_8290);} } } } } } } break;case ((long)18) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8292;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3282z00_8293;
BgL_arg3282z00_8293 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8292 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3282z00_8293); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3279z00_8294; obj_t BgL_arg3280z00_8295;
BgL_arg3279z00_8294 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 303 */
 obj_t BgL_list3281z00_8296;
BgL_list3281z00_8296 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8292, BNIL); 
BgL_arg3280z00_8295 = BgL_list3281z00_8296; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8297;
BgL_newzd2catzd2_8297 = 
CNST_TABLE_REF(((long)9)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8298;
BgL_statez00_8298 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3279z00_8294); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8299;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8300;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8301;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8302;
BgL_kz00_8302 = 
(long)CINT(BgL_statez00_8298); 
BgL_arg3353z00_8301 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8302); } 
BgL_arg3352z00_8300 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8297, BgL_arg3353z00_8301); } 
BgL_newzd2statezd2_8299 = 
CDR(
((obj_t)BgL_arg3352z00_8300)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8303;
BgL_newzd2spzd2_8303 = 
(BgL_arg3279z00_8294+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8303,BgL_newzd2statezd2_8299); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8304;
BgL_arg3351z00_8304 = 
(BgL_newzd2spzd2_8303-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8304,BgL_arg3280z00_8295); } 
return 
BINT(BgL_newzd2spzd2_8303);} } } } } } } break;case ((long)19) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2stringzd2_8305; obj_t BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8306;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3286z00_8307;
BgL_arg3286z00_8307 = 
(
(long)CINT(BgL___spz00_8026)-((long)5)); 
BgL_bibtexzd2entryzd2valuezd2stringzd2_8305 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3286z00_8307); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3288z00_8308;
BgL_arg3288z00_8308 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8306 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3288z00_8308); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3283z00_8309; obj_t BgL_arg3284z00_8310;
BgL_arg3283z00_8309 = 
(
(long)CINT(BgL___spz00_8026)-((long)6)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 305 */
 obj_t BgL_arg3285z00_8311;
BgL_arg3285z00_8311 = 
MAKE_YOUNG_PAIR(BgL_bibtexzd2entryzd2valuezd2stringzd2simplez00_8306, BNIL); 
BgL_arg3284z00_8310 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bibtexzd2entryzd2valuezd2stringzd2_8305, BgL_arg3285z00_8311); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8312;
BgL_newzd2catzd2_8312 = 
CNST_TABLE_REF(((long)9)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8313;
BgL_statez00_8313 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3283z00_8309); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8314;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8315;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8316;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8317;
BgL_kz00_8317 = 
(long)CINT(BgL_statez00_8313); 
BgL_arg3353z00_8316 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8317); } 
BgL_arg3352z00_8315 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8312, BgL_arg3353z00_8316); } 
BgL_newzd2statezd2_8314 = 
CDR(
((obj_t)BgL_arg3352z00_8315)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8318;
BgL_newzd2spzd2_8318 = 
(BgL_arg3283z00_8309+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8318,BgL_newzd2statezd2_8314); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8319;
BgL_arg3351z00_8319 = 
(BgL_newzd2spzd2_8318-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8319,BgL_arg3284z00_8310); } 
return 
BINT(BgL_newzd2spzd2_8318);} } } } } } } break;case ((long)20) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_stringz00_8320;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3291z00_8321;
BgL_arg3291z00_8321 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_stringz00_8320 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3291z00_8321); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3289z00_8322; obj_t BgL_arg3290z00_8323;
BgL_arg3289z00_8322 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 310 */
 obj_t BgL_pairz00_8324;
BgL_pairz00_8324 = 
CDR(
((obj_t)BgL_stringz00_8320)); 
BgL_arg3290z00_8323 = 
CAR(BgL_pairz00_8324); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8325;
BgL_newzd2catzd2_8325 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8326;
BgL_statez00_8326 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3289z00_8322); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8327;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8328;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8329;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8330;
BgL_kz00_8330 = 
(long)CINT(BgL_statez00_8326); 
BgL_arg3353z00_8329 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8330); } 
BgL_arg3352z00_8328 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8325, BgL_arg3353z00_8329); } 
BgL_newzd2statezd2_8327 = 
CDR(
((obj_t)BgL_arg3352z00_8328)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8331;
BgL_newzd2spzd2_8331 = 
(BgL_arg3289z00_8322+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8331,BgL_newzd2statezd2_8327); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8332;
BgL_arg3351z00_8332 = 
(BgL_newzd2spzd2_8331-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8332,BgL_arg3290z00_8323); } 
return 
BINT(BgL_newzd2spzd2_8331);} } } } } } } break;case ((long)21) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_identz00_8333;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3296z00_8334;
BgL_arg3296z00_8334 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_identz00_8333 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3296z00_8334); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3292z00_8335; obj_t BgL_arg3293z00_8336;
BgL_arg3292z00_8335 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 312 */
 obj_t BgL_arg3294z00_8337;
{ /* Llib/bibtex.scm 312 */
 obj_t BgL_arg3295z00_8338;
{ /* Llib/bibtex.scm 312 */
 obj_t BgL_pairz00_8339;
BgL_pairz00_8339 = 
CDR(
((obj_t)BgL_identz00_8333)); 
BgL_arg3295z00_8338 = 
CAR(BgL_pairz00_8339); } 
BgL_arg3294z00_8337 = 
MAKE_YOUNG_PAIR(BgL_arg3295z00_8338, BNIL); } 
BgL_arg3293z00_8336 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BgL_arg3294z00_8337); } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8340;
BgL_newzd2catzd2_8340 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8341;
BgL_statez00_8341 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3292z00_8335); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8342;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8343;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8344;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8345;
BgL_kz00_8345 = 
(long)CINT(BgL_statez00_8341); 
BgL_arg3353z00_8344 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8345); } 
BgL_arg3352z00_8343 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8340, BgL_arg3353z00_8344); } 
BgL_newzd2statezd2_8342 = 
CDR(
((obj_t)BgL_arg3352z00_8343)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8346;
BgL_newzd2spzd2_8346 = 
(BgL_arg3292z00_8335+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8346,BgL_newzd2statezd2_8342); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8347;
BgL_arg3351z00_8347 = 
(BgL_newzd2spzd2_8346-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8347,BgL_arg3293z00_8336); } 
return 
BINT(BgL_newzd2spzd2_8346);} } } } } } } break;case ((long)22) : 

{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3297z00_8348; obj_t BgL_arg3298z00_8349;
BgL_arg3297z00_8348 = 
(
(long)CINT(BgL___spz00_8026)-((long)0)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3298z00_8349 = BNIL; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8350;
BgL_newzd2catzd2_8350 = 
CNST_TABLE_REF(((long)12)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8351;
BgL_statez00_8351 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3297z00_8348); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8352;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8353;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8354;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8355;
BgL_kz00_8355 = 
(long)CINT(BgL_statez00_8351); 
BgL_arg3353z00_8354 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8355); } 
BgL_arg3352z00_8353 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8350, BgL_arg3353z00_8354); } 
BgL_newzd2statezd2_8352 = 
CDR(
((obj_t)BgL_arg3352z00_8353)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8356;
BgL_newzd2spzd2_8356 = 
(BgL_arg3297z00_8348+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8356,BgL_newzd2statezd2_8352); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8357;
BgL_arg3351z00_8357 = 
(BgL_newzd2spzd2_8356-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8357,BgL_arg3298z00_8349); } 
return 
BINT(BgL_newzd2spzd2_8356);} } } } } } } break;case ((long)23) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2blockza2z70_8358; obj_t BgL_bibtexzd2entryzd2valuezd2blockzd2_8359;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3301z00_8360;
BgL_arg3301z00_8360 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuezd2blockza2z70_8358 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3301z00_8360); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3302z00_8361;
BgL_arg3302z00_8361 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_bibtexzd2entryzd2valuezd2blockzd2_8359 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3302z00_8361); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3299z00_8362; obj_t BgL_arg3300z00_8363;
BgL_arg3299z00_8362 = 
(
(long)CINT(BgL___spz00_8026)-((long)4)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3300z00_8363 = 
BGl_appendzd221010zd2zz__text_bibtexz00(BgL_bibtexzd2entryzd2valuezd2blockza2z70_8358, BgL_bibtexzd2entryzd2valuezd2blockzd2_8359); } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8364;
BgL_newzd2catzd2_8364 = 
CNST_TABLE_REF(((long)12)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8365;
BgL_statez00_8365 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3299z00_8362); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8366;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8367;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8368;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8369;
BgL_kz00_8369 = 
(long)CINT(BgL_statez00_8365); 
BgL_arg3353z00_8368 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8369); } 
BgL_arg3352z00_8367 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8364, BgL_arg3353z00_8368); } 
BgL_newzd2statezd2_8366 = 
CDR(
((obj_t)BgL_arg3352z00_8367)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8370;
BgL_newzd2spzd2_8370 = 
(BgL_arg3299z00_8362+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8370,BgL_newzd2statezd2_8366); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8371;
BgL_arg3351z00_8371 = 
(BgL_newzd2spzd2_8370-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8371,BgL_arg3300z00_8363); } 
return 
BINT(BgL_newzd2spzd2_8370);} } } } } } } break;case ((long)24) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_bibtexzd2entryzd2valuezd2blockza2z70_8372;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3306z00_8373;
BgL_arg3306z00_8373 = 
(
(long)CINT(BgL___spz00_8026)-((long)3)); 
BgL_bibtexzd2entryzd2valuezd2blockza2z70_8372 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3306z00_8373); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3303z00_8374; obj_t BgL_arg3304z00_8375;
BgL_arg3303z00_8374 = 
(
(long)CINT(BgL___spz00_8026)-((long)6)); 
{ /* Llib/bibtex.scm 238 */

BgL_arg3304z00_8375 = BgL_bibtexzd2entryzd2valuezd2blockza2z70_8372; } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8376;
BgL_newzd2catzd2_8376 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8377;
BgL_statez00_8377 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3303z00_8374); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8378;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8379;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8380;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8381;
BgL_kz00_8381 = 
(long)CINT(BgL_statez00_8377); 
BgL_arg3353z00_8380 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8381); } 
BgL_arg3352z00_8379 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8376, BgL_arg3353z00_8380); } 
BgL_newzd2statezd2_8378 = 
CDR(
((obj_t)BgL_arg3352z00_8379)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8382;
BgL_newzd2spzd2_8382 = 
(BgL_arg3303z00_8374+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8382,BgL_newzd2statezd2_8378); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8383;
BgL_arg3351z00_8383 = 
(BgL_newzd2spzd2_8382-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8383,BgL_arg3304z00_8375); } 
return 
BINT(BgL_newzd2spzd2_8382);} } } } } } } break;case ((long)25) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3308z00_8384; obj_t BgL_arg3309z00_8385;
BgL_arg3308z00_8384 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 326 */
 obj_t BgL_list3310z00_8386;
BgL_list3310z00_8386 = 
MAKE_YOUNG_PAIR(BGl_string4077z00zz__text_bibtexz00, BNIL); 
BgL_arg3309z00_8385 = BgL_list3310z00_8386; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8387;
BgL_newzd2catzd2_8387 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8388;
BgL_statez00_8388 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3308z00_8384); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8389;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8390;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8391;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8392;
BgL_kz00_8392 = 
(long)CINT(BgL_statez00_8388); 
BgL_arg3353z00_8391 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8392); } 
BgL_arg3352z00_8390 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8387, BgL_arg3353z00_8391); } 
BgL_newzd2statezd2_8389 = 
CDR(
((obj_t)BgL_arg3352z00_8390)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8393;
BgL_newzd2spzd2_8393 = 
(BgL_arg3308z00_8384+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8393,BgL_newzd2statezd2_8389); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8394;
BgL_arg3351z00_8394 = 
(BgL_newzd2spzd2_8393-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8394,BgL_arg3309z00_8385); } 
return 
BINT(BgL_newzd2spzd2_8393);} } } } } } break;case ((long)26) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3312z00_8395; obj_t BgL_arg3313z00_8396;
BgL_arg3312z00_8395 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 328 */
 obj_t BgL_list3314z00_8397;
BgL_list3314z00_8397 = 
MAKE_YOUNG_PAIR(BGl_string4078z00zz__text_bibtexz00, BNIL); 
BgL_arg3313z00_8396 = BgL_list3314z00_8397; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8398;
BgL_newzd2catzd2_8398 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8399;
BgL_statez00_8399 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3312z00_8395); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8400;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8401;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8402;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8403;
BgL_kz00_8403 = 
(long)CINT(BgL_statez00_8399); 
BgL_arg3353z00_8402 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8403); } 
BgL_arg3352z00_8401 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8398, BgL_arg3353z00_8402); } 
BgL_newzd2statezd2_8400 = 
CDR(
((obj_t)BgL_arg3352z00_8401)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8404;
BgL_newzd2spzd2_8404 = 
(BgL_arg3312z00_8395+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8404,BgL_newzd2statezd2_8400); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8405;
BgL_arg3351z00_8405 = 
(BgL_newzd2spzd2_8404-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8405,BgL_arg3313z00_8396); } 
return 
BINT(BgL_newzd2spzd2_8404);} } } } } } break;case ((long)27) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_identz00_8406;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3320z00_8407;
BgL_arg3320z00_8407 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_identz00_8406 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3320z00_8407); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3316z00_8408; obj_t BgL_arg3317z00_8409;
BgL_arg3316z00_8408 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 330 */
 obj_t BgL_arg3318z00_8410;
{ /* Llib/bibtex.scm 330 */
 obj_t BgL_pairz00_8411;
BgL_pairz00_8411 = 
CDR(
((obj_t)BgL_identz00_8406)); 
BgL_arg3318z00_8410 = 
CAR(BgL_pairz00_8411); } 
{ /* Llib/bibtex.scm 330 */
 obj_t BgL_list3319z00_8412;
BgL_list3319z00_8412 = 
MAKE_YOUNG_PAIR(BgL_arg3318z00_8410, BNIL); 
BgL_arg3317z00_8409 = BgL_list3319z00_8412; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8413;
BgL_newzd2catzd2_8413 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8414;
BgL_statez00_8414 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3316z00_8408); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8415;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8416;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8417;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8418;
BgL_kz00_8418 = 
(long)CINT(BgL_statez00_8414); 
BgL_arg3353z00_8417 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8418); } 
BgL_arg3352z00_8416 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8413, BgL_arg3353z00_8417); } 
BgL_newzd2statezd2_8415 = 
CDR(
((obj_t)BgL_arg3352z00_8416)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8419;
BgL_newzd2spzd2_8419 = 
(BgL_arg3316z00_8408+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8419,BgL_newzd2statezd2_8415); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8420;
BgL_arg3351z00_8420 = 
(BgL_newzd2spzd2_8419-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8420,BgL_arg3317z00_8409); } 
return 
BINT(BgL_newzd2spzd2_8419);} } } } } } } break;case ((long)28) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3321z00_8421; obj_t BgL_arg3322z00_8422;
BgL_arg3321z00_8421 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 332 */
 obj_t BgL_list3323z00_8423;
BgL_list3323z00_8423 = 
MAKE_YOUNG_PAIR(BGl_string4079z00zz__text_bibtexz00, BNIL); 
BgL_arg3322z00_8422 = BgL_list3323z00_8423; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8424;
BgL_newzd2catzd2_8424 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8425;
BgL_statez00_8425 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3321z00_8421); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8426;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8427;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8428;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8429;
BgL_kz00_8429 = 
(long)CINT(BgL_statez00_8425); 
BgL_arg3353z00_8428 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8429); } 
BgL_arg3352z00_8427 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8424, BgL_arg3353z00_8428); } 
BgL_newzd2statezd2_8426 = 
CDR(
((obj_t)BgL_arg3352z00_8427)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8430;
BgL_newzd2spzd2_8430 = 
(BgL_arg3321z00_8421+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8430,BgL_newzd2statezd2_8426); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8431;
BgL_arg3351z00_8431 = 
(BgL_newzd2spzd2_8430-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8431,BgL_arg3322z00_8422); } 
return 
BINT(BgL_newzd2spzd2_8430);} } } } } } break;case ((long)29) : 

{ /* Llib/bibtex.scm 238 */
 long BgL_arg3325z00_8432; obj_t BgL_arg3326z00_8433;
BgL_arg3325z00_8432 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 334 */
 obj_t BgL_list3327z00_8434;
BgL_list3327z00_8434 = 
MAKE_YOUNG_PAIR(BGl_string4080z00zz__text_bibtexz00, BNIL); 
BgL_arg3326z00_8433 = BgL_list3327z00_8434; } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8435;
BgL_newzd2catzd2_8435 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8436;
BgL_statez00_8436 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3325z00_8432); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8437;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8438;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8439;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8440;
BgL_kz00_8440 = 
(long)CINT(BgL_statez00_8436); 
BgL_arg3353z00_8439 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8440); } 
BgL_arg3352z00_8438 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8435, BgL_arg3353z00_8439); } 
BgL_newzd2statezd2_8437 = 
CDR(
((obj_t)BgL_arg3352z00_8438)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8441;
BgL_newzd2spzd2_8441 = 
(BgL_arg3325z00_8432+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8441,BgL_newzd2statezd2_8437); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8442;
BgL_arg3351z00_8442 = 
(BgL_newzd2spzd2_8441-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8442,BgL_arg3326z00_8433); } 
return 
BINT(BgL_newzd2spzd2_8441);} } } } } } break;case ((long)30) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_charz00_8443;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3333z00_8444;
BgL_arg3333z00_8444 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_charz00_8443 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3333z00_8444); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3329z00_8445; obj_t BgL_arg3330z00_8446;
BgL_arg3329z00_8445 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 336 */
 obj_t BgL_arg3331z00_8447;
{ /* Llib/bibtex.scm 336 */
 obj_t BgL_pairz00_8448;
BgL_pairz00_8448 = 
CDR(
((obj_t)BgL_charz00_8443)); 
BgL_arg3331z00_8447 = 
CAR(BgL_pairz00_8448); } 
{ /* Llib/bibtex.scm 336 */
 obj_t BgL_list3332z00_8449;
BgL_list3332z00_8449 = 
MAKE_YOUNG_PAIR(BgL_arg3331z00_8447, BNIL); 
BgL_arg3330z00_8446 = BgL_list3332z00_8449; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8450;
BgL_newzd2catzd2_8450 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8451;
BgL_statez00_8451 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3329z00_8445); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8452;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8453;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8454;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8455;
BgL_kz00_8455 = 
(long)CINT(BgL_statez00_8451); 
BgL_arg3353z00_8454 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8455); } 
BgL_arg3352z00_8453 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8450, BgL_arg3353z00_8454); } 
BgL_newzd2statezd2_8452 = 
CDR(
((obj_t)BgL_arg3352z00_8453)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8456;
BgL_newzd2spzd2_8456 = 
(BgL_arg3329z00_8445+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8456,BgL_newzd2statezd2_8452); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8457;
BgL_arg3351z00_8457 = 
(BgL_newzd2spzd2_8456-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8457,BgL_arg3330z00_8446); } 
return 
BINT(BgL_newzd2spzd2_8456);} } } } } } } break;case ((long)31) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_specialz00_8458;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3338z00_8459;
BgL_arg3338z00_8459 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_specialz00_8458 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3338z00_8459); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3334z00_8460; obj_t BgL_arg3335z00_8461;
BgL_arg3334z00_8460 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 338 */
 obj_t BgL_arg3336z00_8462;
{ /* Llib/bibtex.scm 338 */
 obj_t BgL_pairz00_8463;
BgL_pairz00_8463 = 
CDR(
((obj_t)BgL_specialz00_8458)); 
BgL_arg3336z00_8462 = 
CAR(BgL_pairz00_8463); } 
{ /* Llib/bibtex.scm 338 */
 obj_t BgL_list3337z00_8464;
BgL_list3337z00_8464 = 
MAKE_YOUNG_PAIR(BgL_arg3336z00_8462, BNIL); 
BgL_arg3335z00_8461 = BgL_list3337z00_8464; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8465;
BgL_newzd2catzd2_8465 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8466;
BgL_statez00_8466 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3334z00_8460); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8467;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8468;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8469;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8470;
BgL_kz00_8470 = 
(long)CINT(BgL_statez00_8466); 
BgL_arg3353z00_8469 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8470); } 
BgL_arg3352z00_8468 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8465, BgL_arg3353z00_8469); } 
BgL_newzd2statezd2_8467 = 
CDR(
((obj_t)BgL_arg3352z00_8468)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8471;
BgL_newzd2spzd2_8471 = 
(BgL_arg3334z00_8460+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8471,BgL_newzd2statezd2_8467); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8472;
BgL_arg3351z00_8472 = 
(BgL_newzd2spzd2_8471-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8472,BgL_arg3335z00_8461); } 
return 
BINT(BgL_newzd2spzd2_8471);} } } } } } } break;case ((long)32) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_numberz00_8473;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3343z00_8474;
BgL_arg3343z00_8474 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_numberz00_8473 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3343z00_8474); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3339z00_8475; obj_t BgL_arg3340z00_8476;
BgL_arg3339z00_8475 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 340 */
 obj_t BgL_arg3341z00_8477;
{ /* Llib/bibtex.scm 340 */
 obj_t BgL_pairz00_8478;
BgL_pairz00_8478 = 
CDR(
((obj_t)BgL_numberz00_8473)); 
BgL_arg3341z00_8477 = 
CAR(BgL_pairz00_8478); } 
{ /* Llib/bibtex.scm 340 */
 obj_t BgL_list3342z00_8479;
BgL_list3342z00_8479 = 
MAKE_YOUNG_PAIR(BgL_arg3341z00_8477, BNIL); 
BgL_arg3340z00_8476 = BgL_list3342z00_8479; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8480;
BgL_newzd2catzd2_8480 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8481;
BgL_statez00_8481 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3339z00_8475); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8482;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8483;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8484;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8485;
BgL_kz00_8485 = 
(long)CINT(BgL_statez00_8481); 
BgL_arg3353z00_8484 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8485); } 
BgL_arg3352z00_8483 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8480, BgL_arg3353z00_8484); } 
BgL_newzd2statezd2_8482 = 
CDR(
((obj_t)BgL_arg3352z00_8483)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8486;
BgL_newzd2spzd2_8486 = 
(BgL_arg3339z00_8475+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8486,BgL_newzd2statezd2_8482); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8487;
BgL_arg3351z00_8487 = 
(BgL_newzd2spzd2_8486-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8487,BgL_arg3340z00_8476); } 
return 
BINT(BgL_newzd2spzd2_8486);} } } } } } } break;case ((long)33) : 

{ /* Llib/bibtex.scm 238 */
 obj_t BgL_stringz00_8488;
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3349z00_8489;
BgL_arg3349z00_8489 = 
(
(long)CINT(BgL___spz00_8026)-((long)1)); 
BgL_stringz00_8488 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3349z00_8489); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3344z00_8490; obj_t BgL_arg3345z00_8491;
BgL_arg3344z00_8490 = 
(
(long)CINT(BgL___spz00_8026)-((long)2)); 
{ /* Llib/bibtex.scm 238 */

{ /* Llib/bibtex.scm 342 */
 obj_t BgL_arg3346z00_8492;
{ /* Llib/bibtex.scm 342 */
 obj_t BgL_arg3348z00_8493;
{ /* Llib/bibtex.scm 342 */
 obj_t BgL_pairz00_8494;
BgL_pairz00_8494 = 
CDR(
((obj_t)BgL_stringz00_8488)); 
BgL_arg3348z00_8493 = 
CAR(BgL_pairz00_8494); } 
BgL_arg3346z00_8492 = 
string_append_3(BGl_string4081z00zz__text_bibtexz00, BgL_arg3348z00_8493, BGl_string4081z00zz__text_bibtexz00); } 
{ /* Llib/bibtex.scm 342 */
 obj_t BgL_list3347z00_8495;
BgL_list3347z00_8495 = 
MAKE_YOUNG_PAIR(BgL_arg3346z00_8492, BNIL); 
BgL_arg3345z00_8491 = BgL_list3347z00_8495; } } } 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2catzd2_8496;
BgL_newzd2catzd2_8496 = 
CNST_TABLE_REF(((long)13)); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_statez00_8497;
BgL_statez00_8497 = 
VECTOR_REF(
((obj_t)BgL___stackz00_8025),BgL_arg3344z00_8490); 
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_newzd2statezd2_8498;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3352z00_8499;
{ /* Llib/bibtex.scm 238 */
 obj_t BgL_arg3353z00_8500;
{ /* Llib/bibtex.scm 238 */
 long BgL_kz00_8501;
BgL_kz00_8501 = 
(long)CINT(BgL_statez00_8497); 
BgL_arg3353z00_8500 = 
VECTOR_REF(
((obj_t)BgL___gotozd2tablezd2_8023),BgL_kz00_8501); } 
BgL_arg3352z00_8499 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_newzd2catzd2_8496, BgL_arg3353z00_8500); } 
BgL_newzd2statezd2_8498 = 
CDR(
((obj_t)BgL_arg3352z00_8499)); } 
{ /* Llib/bibtex.scm 238 */
 long BgL_newzd2spzd2_8502;
BgL_newzd2spzd2_8502 = 
(BgL_arg3344z00_8490+((long)2)); 
{ /* Llib/bibtex.scm 238 */

VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_newzd2spzd2_8502,BgL_newzd2statezd2_8498); 
{ /* Llib/bibtex.scm 238 */
 long BgL_arg3351z00_8503;
BgL_arg3351z00_8503 = 
(BgL_newzd2spzd2_8502-((long)1)); 
VECTOR_SET(
((obj_t)BgL___stackz00_8025),BgL_arg3351z00_8503,BgL_arg3345z00_8491); } 
return 
BINT(BgL_newzd2spzd2_8502);} } } } } } } break;
default: 
return BUNSPEC;} }  else 
{ /* Llib/bibtex.scm 238 */
return BUNSPEC;} } } 

}



/* &<@anonymous:1313> */
obj_t BGl_z62zc3z04anonymousza31313ze3ze5zz__text_bibtexz00(obj_t BgL_envz00_8027, obj_t BgL_iportz00_8028)
{
{ /* Llib/bibtex.scm 103 */
{ 
 obj_t BgL_iportz00_9669; long BgL_lastzd2matchzd2_9670; long BgL_forwardz00_9671; long BgL_bufposz00_9672; obj_t BgL_iportz00_9661; long BgL_lastzd2matchzd2_9662; long BgL_forwardz00_9663; long BgL_bufposz00_9664; obj_t BgL_iportz00_9653; long BgL_lastzd2matchzd2_9654; long BgL_forwardz00_9655; long BgL_bufposz00_9656; obj_t BgL_iportz00_9644; long BgL_lastzd2matchzd2_9645; long BgL_forwardz00_9646; long BgL_bufposz00_9647; obj_t BgL_iportz00_9636; long BgL_lastzd2matchzd2_9637; long BgL_forwardz00_9638; long BgL_bufposz00_9639; obj_t BgL_iportz00_9629; long BgL_lastzd2matchzd2_9630; long BgL_forwardz00_9631; long BgL_bufposz00_9632; obj_t BgL_iportz00_9620; long BgL_lastzd2matchzd2_9621; long BgL_forwardz00_9622; long BgL_bufposz00_9623; obj_t BgL_iportz00_9613; long BgL_lastzd2matchzd2_9614; long BgL_forwardz00_9615; long BgL_bufposz00_9616; obj_t BgL_iportz00_9604; long BgL_lastzd2matchzd2_9605; long BgL_forwardz00_9606; long BgL_bufposz00_9607; obj_t BgL_iportz00_9595; long BgL_lastzd2matchzd2_9596; long BgL_forwardz00_9597; long BgL_bufposz00_9598; obj_t BgL_iportz00_9586; long BgL_lastzd2matchzd2_9587; long BgL_forwardz00_9588; long BgL_bufposz00_9589; obj_t BgL_iportz00_9579; long BgL_lastzd2matchzd2_9580; long BgL_forwardz00_9581; long BgL_bufposz00_9582; obj_t BgL_iportz00_9570; long BgL_lastzd2matchzd2_9571; long BgL_forwardz00_9572; long BgL_bufposz00_9573; obj_t BgL_iportz00_9563; long BgL_lastzd2matchzd2_9564; long BgL_forwardz00_9565; long BgL_bufposz00_9566; obj_t BgL_iportz00_9554; long BgL_lastzd2matchzd2_9555; long BgL_forwardz00_9556; long BgL_bufposz00_9557; obj_t BgL_iportz00_9545; long BgL_lastzd2matchzd2_9546; long BgL_forwardz00_9547; long BgL_bufposz00_9548; obj_t BgL_iportz00_9536; long BgL_lastzd2matchzd2_9537; long BgL_forwardz00_9538; long BgL_bufposz00_9539; obj_t BgL_iportz00_9527; long BgL_lastzd2matchzd2_9528; long BgL_forwardz00_9529; long BgL_bufposz00_9530; obj_t BgL_iportz00_9512; long BgL_lastzd2matchzd2_9513; long BgL_forwardz00_9514; long BgL_bufposz00_9515; obj_t BgL_iportz00_9505; long BgL_lastzd2matchzd2_9506; long BgL_forwardz00_9507; long BgL_bufposz00_9508; obj_t BgL_iportz00_9496; long BgL_lastzd2matchzd2_9497; long BgL_forwardz00_9498; long BgL_bufposz00_9499; obj_t BgL_iportz00_9487; long BgL_lastzd2matchzd2_9488; long BgL_forwardz00_9489; long BgL_bufposz00_9490; obj_t BgL_iportz00_9478; long BgL_lastzd2matchzd2_9479; long BgL_forwardz00_9480; long BgL_bufposz00_9481; obj_t BgL_iportz00_9469; long BgL_lastzd2matchzd2_9470; long BgL_forwardz00_9471; long BgL_bufposz00_9472; obj_t BgL_iportz00_9462; long BgL_lastzd2matchzd2_9463; long BgL_forwardz00_9464; long BgL_bufposz00_9465; obj_t BgL_iportz00_9453; long BgL_lastzd2matchzd2_9454; long BgL_forwardz00_9455; long BgL_bufposz00_9456; obj_t BgL_iportz00_9444; long BgL_lastzd2matchzd2_9445; long BgL_forwardz00_9446; long BgL_bufposz00_9447; obj_t BgL_iportz00_9436; long BgL_lastzd2matchzd2_9437; long BgL_forwardz00_9438; long BgL_bufposz00_9439; obj_t BgL_iportz00_9429; long BgL_lastzd2matchzd2_9430; long BgL_forwardz00_9431; long BgL_bufposz00_9432; obj_t BgL_iportz00_9422; long BgL_lastzd2matchzd2_9423; long BgL_forwardz00_9424; long BgL_bufposz00_9425; obj_t BgL_iportz00_9415; long BgL_lastzd2matchzd2_9416; long BgL_forwardz00_9417; long BgL_bufposz00_9418; obj_t BgL_iportz00_9406; long BgL_lastzd2matchzd2_9407; long BgL_forwardz00_9408; long BgL_bufposz00_9409; obj_t BgL_iportz00_9397; long BgL_lastzd2matchzd2_9398; long BgL_forwardz00_9399; long BgL_bufposz00_9400; obj_t BgL_iportz00_9388; long BgL_lastzd2matchzd2_9389; long BgL_forwardz00_9390; long BgL_bufposz00_9391; obj_t BgL_iportz00_9380; long BgL_lastzd2matchzd2_9381; long BgL_forwardz00_9382; long BgL_bufposz00_9383; obj_t BgL_iportz00_9373; long BgL_lastzd2matchzd2_9374; long BgL_forwardz00_9375; long BgL_bufposz00_9376; obj_t BgL_iportz00_9364; long BgL_lastzd2matchzd2_9365; long BgL_forwardz00_9366; long BgL_bufposz00_9367; obj_t BgL_iportz00_9357; long BgL_lastzd2matchzd2_9358; long BgL_forwardz00_9359; long BgL_bufposz00_9360; obj_t BgL_iportz00_9348; long BgL_lastzd2matchzd2_9349; long BgL_forwardz00_9350; long BgL_bufposz00_9351; obj_t BgL_iportz00_9338; long BgL_lastzd2matchzd2_9339; long BgL_forwardz00_9340; long BgL_bufposz00_9341; obj_t BgL_iportz00_9329; long BgL_lastzd2matchzd2_9330; long BgL_forwardz00_9331; long BgL_bufposz00_9332; obj_t BgL_iportz00_9321; long BgL_lastzd2matchzd2_9322; long BgL_forwardz00_9323; long BgL_bufposz00_9324; obj_t BgL_iportz00_9312; long BgL_lastzd2matchzd2_9313; long BgL_forwardz00_9314; long BgL_bufposz00_9315; obj_t BgL_iportz00_9303; long BgL_lastzd2matchzd2_9304; long BgL_forwardz00_9305; long BgL_bufposz00_9306; obj_t BgL_iportz00_9294; long BgL_lastzd2matchzd2_9295; long BgL_forwardz00_9296; long BgL_bufposz00_9297; obj_t BgL_iportz00_9285; long BgL_lastzd2matchzd2_9286; long BgL_forwardz00_9287; long BgL_bufposz00_9288; obj_t BgL_iportz00_9276; long BgL_lastzd2matchzd2_9277; long BgL_forwardz00_9278; long BgL_bufposz00_9279; obj_t BgL_iportz00_9269; long BgL_lastzd2matchzd2_9270; long BgL_forwardz00_9271; long BgL_bufposz00_9272; obj_t BgL_iportz00_9262; long BgL_lastzd2matchzd2_9263; long BgL_forwardz00_9264; long BgL_bufposz00_9265; obj_t BgL_iportz00_9254; long BgL_lastzd2matchzd2_9255; long BgL_forwardz00_9256; long BgL_bufposz00_9257; obj_t BgL_iportz00_9245; long BgL_lastzd2matchzd2_9246; long BgL_forwardz00_9247; long BgL_bufposz00_9248; obj_t BgL_iportz00_9226; long BgL_lastzd2matchzd2_9227; long BgL_forwardz00_9228; long BgL_bufposz00_9229; obj_t BgL_iportz00_9217; long BgL_lastzd2matchzd2_9218; long BgL_forwardz00_9219; long BgL_bufposz00_9220; obj_t BgL_iportz00_9208; long BgL_lastzd2matchzd2_9209; long BgL_forwardz00_9210; long BgL_bufposz00_9211; obj_t BgL_iportz00_9199; long BgL_lastzd2matchzd2_9200; long BgL_forwardz00_9201; long BgL_bufposz00_9202; obj_t BgL_iportz00_9192; long BgL_lastzd2matchzd2_9193; long BgL_forwardz00_9194; long BgL_bufposz00_9195; obj_t BgL_iportz00_9185; long BgL_lastzd2matchzd2_9186; long BgL_forwardz00_9187; long BgL_bufposz00_9188; obj_t BgL_iportz00_9176; long BgL_lastzd2matchzd2_9177; long BgL_forwardz00_9178; long BgL_bufposz00_9179; obj_t BgL_iportz00_9169; long BgL_lastzd2matchzd2_9170; long BgL_forwardz00_9171; long BgL_bufposz00_9172; obj_t BgL_iportz00_9160; long BgL_lastzd2matchzd2_9161; long BgL_forwardz00_9162; long BgL_bufposz00_9163; obj_t BgL_iportz00_9151; long BgL_lastzd2matchzd2_9152; long BgL_forwardz00_9153; long BgL_bufposz00_9154; obj_t BgL_iportz00_9144; long BgL_lastzd2matchzd2_9145; long BgL_forwardz00_9146; long BgL_bufposz00_9147; obj_t BgL_iportz00_9135; long BgL_lastzd2matchzd2_9136; long BgL_forwardz00_9137; long BgL_bufposz00_9138; obj_t BgL_iportz00_9126; long BgL_lastzd2matchzd2_9127; long BgL_forwardz00_9128; long BgL_bufposz00_9129; obj_t BgL_iportz00_9119; long BgL_lastzd2matchzd2_9120; long BgL_forwardz00_9121; long BgL_bufposz00_9122; obj_t BgL_iportz00_9110; long BgL_lastzd2matchzd2_9111; long BgL_forwardz00_9112; long BgL_bufposz00_9113; obj_t BgL_iportz00_9095; long BgL_lastzd2matchzd2_9096; long BgL_forwardz00_9097; long BgL_bufposz00_9098; obj_t BgL_iportz00_9088; long BgL_lastzd2matchzd2_9089; long BgL_forwardz00_9090; long BgL_bufposz00_9091; obj_t BgL_iportz00_9081; long BgL_lastzd2matchzd2_9082; long BgL_forwardz00_9083; long BgL_bufposz00_9084; obj_t BgL_iportz00_9074; long BgL_lastzd2matchzd2_9075; long BgL_forwardz00_9076; long BgL_bufposz00_9077; obj_t BgL_iportz00_9065; long BgL_lastzd2matchzd2_9066; long BgL_forwardz00_9067; long BgL_bufposz00_9068; obj_t BgL_iportz00_9056; long BgL_lastzd2matchzd2_9057; long BgL_forwardz00_9058; long BgL_bufposz00_9059; obj_t BgL_iportz00_9049; long BgL_lastzd2matchzd2_9050; long BgL_forwardz00_9051; long BgL_bufposz00_9052; obj_t BgL_iportz00_9042; long BgL_lastzd2matchzd2_9043; long BgL_forwardz00_9044; long BgL_bufposz00_9045; obj_t BgL_iportz00_9033; long BgL_lastzd2matchzd2_9034; long BgL_forwardz00_9035; long BgL_bufposz00_9036; obj_t BgL_iportz00_9024; long BgL_lastzd2matchzd2_9025; long BgL_forwardz00_9026; long BgL_bufposz00_9027; obj_t BgL_iportz00_9015; long BgL_lastzd2matchzd2_9016; long BgL_forwardz00_9017; long BgL_bufposz00_9018; obj_t BgL_iportz00_9006; long BgL_lastzd2matchzd2_9007; long BgL_forwardz00_9008; long BgL_bufposz00_9009; obj_t BgL_iportz00_8997; long BgL_lastzd2matchzd2_8998; long BgL_forwardz00_8999; long BgL_bufposz00_9000; obj_t BgL_iportz00_8981; long BgL_lastzd2matchzd2_8982; long BgL_forwardz00_8983; long BgL_bufposz00_8984; obj_t BgL_iportz00_8973; long BgL_lastzd2matchzd2_8974; long BgL_forwardz00_8975; long BgL_bufposz00_8976; obj_t BgL_iportz00_8964; long BgL_lastzd2matchzd2_8965; long BgL_forwardz00_8966; long BgL_bufposz00_8967; obj_t BgL_iportz00_8957; long BgL_lastzd2matchzd2_8958; long BgL_forwardz00_8959; long BgL_bufposz00_8960; obj_t BgL_iportz00_8950; long BgL_lastzd2matchzd2_8951; long BgL_forwardz00_8952; long BgL_bufposz00_8953; obj_t BgL_iportz00_8941; long BgL_lastzd2matchzd2_8942; long BgL_forwardz00_8943; long BgL_bufposz00_8944; obj_t BgL_iportz00_8933; long BgL_lastzd2matchzd2_8934; long BgL_forwardz00_8935; long BgL_bufposz00_8936; obj_t BgL_iportz00_8925; long BgL_lastzd2matchzd2_8926; long BgL_forwardz00_8927; long BgL_bufposz00_8928; obj_t BgL_iportz00_8918; long BgL_lastzd2matchzd2_8919; long BgL_forwardz00_8920; long BgL_bufposz00_8921; obj_t BgL_iportz00_8909; long BgL_lastzd2matchzd2_8910; long BgL_forwardz00_8911; long BgL_bufposz00_8912; obj_t BgL_iportz00_8901; long BgL_lastzd2matchzd2_8902; long BgL_forwardz00_8903; long BgL_bufposz00_8904; obj_t BgL_iportz00_8893; long BgL_lastzd2matchzd2_8894; long BgL_forwardz00_8895; long BgL_bufposz00_8896; obj_t BgL_iportz00_8885; long BgL_lastzd2matchzd2_8886; long BgL_forwardz00_8887; long BgL_bufposz00_8888; obj_t BgL_iportz00_8877; long BgL_lastzd2matchzd2_8878; long BgL_forwardz00_8879; long BgL_bufposz00_8880; obj_t BgL_iportz00_8869; long BgL_lastzd2matchzd2_8870; long BgL_forwardz00_8871; long BgL_bufposz00_8872; obj_t BgL_iportz00_8862; long BgL_lastzd2matchzd2_8863; long BgL_forwardz00_8864; long BgL_bufposz00_8865; obj_t BgL_iportz00_8853; long BgL_lastzd2matchzd2_8854; long BgL_forwardz00_8855; long BgL_bufposz00_8856; obj_t BgL_iportz00_8846; long BgL_lastzd2matchzd2_8847; long BgL_forwardz00_8848; long BgL_bufposz00_8849; obj_t BgL_iportz00_8838; long BgL_lastzd2matchzd2_8839; long BgL_forwardz00_8840; long BgL_bufposz00_8841; obj_t BgL_iportz00_8830; long BgL_lastzd2matchzd2_8831; long BgL_forwardz00_8832; long BgL_bufposz00_8833; obj_t BgL_iportz00_8823; long BgL_lastzd2matchzd2_8824; long BgL_forwardz00_8825; long BgL_bufposz00_8826; obj_t BgL_iportz00_8814; long BgL_lastzd2matchzd2_8815; long BgL_forwardz00_8816; long BgL_bufposz00_8817; obj_t BgL_iportz00_8795; long BgL_lastzd2matchzd2_8796; long BgL_forwardz00_8797; long BgL_bufposz00_8798; obj_t BgL_iportz00_8786; long BgL_lastzd2matchzd2_8787; long BgL_forwardz00_8788; long BgL_bufposz00_8789; obj_t BgL_iportz00_8777; long BgL_lastzd2matchzd2_8778; long BgL_forwardz00_8779; long BgL_bufposz00_8780; obj_t BgL_iportz00_8768; long BgL_lastzd2matchzd2_8769; long BgL_forwardz00_8770; long BgL_bufposz00_8771; obj_t BgL_iportz00_8759; long BgL_lastzd2matchzd2_8760; long BgL_forwardz00_8761; long BgL_bufposz00_8762; obj_t BgL_iportz00_8750; long BgL_lastzd2matchzd2_8751; long BgL_forwardz00_8752; long BgL_bufposz00_8753; obj_t BgL_iportz00_8743; long BgL_lastzd2matchzd2_8744; long BgL_forwardz00_8745; long BgL_bufposz00_8746; obj_t BgL_iportz00_8734; long BgL_lastzd2matchzd2_8735; long BgL_forwardz00_8736; long BgL_bufposz00_8737; obj_t BgL_iportz00_8727; long BgL_lastzd2matchzd2_8728; long BgL_forwardz00_8729; long BgL_bufposz00_8730; obj_t BgL_iportz00_8718; long BgL_lastzd2matchzd2_8719; long BgL_forwardz00_8720; long BgL_bufposz00_8721; obj_t BgL_iportz00_8709; long BgL_lastzd2matchzd2_8710; long BgL_forwardz00_8711; long BgL_bufposz00_8712; obj_t BgL_iportz00_8702; long BgL_lastzd2matchzd2_8703; long BgL_forwardz00_8704; long BgL_bufposz00_8705; obj_t BgL_iportz00_8690; long BgL_lastzd2matchzd2_8691; long BgL_forwardz00_8692; long BgL_bufposz00_8693; obj_t BgL_iportz00_8683; long BgL_lastzd2matchzd2_8684; long BgL_forwardz00_8685; long BgL_bufposz00_8686; obj_t BgL_iportz00_8674; long BgL_lastzd2matchzd2_8675; long BgL_forwardz00_8676; long BgL_bufposz00_8677; obj_t BgL_iportz00_8667; long BgL_lastzd2matchzd2_8668; long BgL_forwardz00_8669; long BgL_bufposz00_8670; obj_t BgL_iportz00_8660; long BgL_lastzd2matchzd2_8661; long BgL_forwardz00_8662; long BgL_bufposz00_8663; obj_t BgL_iportz00_8651; long BgL_lastzd2matchzd2_8652; long BgL_forwardz00_8653; long BgL_bufposz00_8654; obj_t BgL_iportz00_8642; long BgL_lastzd2matchzd2_8643; long BgL_forwardz00_8644; long BgL_bufposz00_8645; obj_t BgL_iportz00_8635; long BgL_lastzd2matchzd2_8636; long BgL_forwardz00_8637; long BgL_bufposz00_8638; obj_t BgL_iportz00_8628; long BgL_lastzd2matchzd2_8629; long BgL_forwardz00_8630; long BgL_bufposz00_8631;
BgL_ignorez00_8627:
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10817;
BgL_tmpz00_10817 = 
((obj_t)BgL_iportz00_8028); 
RGC_START_MATCH(BgL_tmpz00_10817); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_matchz00_9679;
{ /* Llib/bibtex.scm 103 */
 long BgL_arg3178z00_9680; long BgL_arg3179z00_9681;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10820;
BgL_tmpz00_10820 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3178z00_9680 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10820); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10823;
BgL_tmpz00_10823 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3179z00_9681 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10823); } 
BgL_iportz00_9095 = BgL_iportz00_8028; 
BgL_lastzd2matchzd2_9096 = ((long)42); 
BgL_forwardz00_9097 = BgL_arg3178z00_9680; 
BgL_bufposz00_9098 = BgL_arg3179z00_9681; 
BgL_statezd20zd21029z00_8559:
if(
(BgL_forwardz00_9097==BgL_bufposz00_9098))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9095)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2268z00_9099; long BgL_arg2269z00_9100;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10831;
BgL_tmpz00_10831 = 
((obj_t)BgL_iportz00_9095); 
BgL_arg2268z00_9099 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10831); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10834;
BgL_tmpz00_10834 = 
((obj_t)BgL_iportz00_9095); 
BgL_arg2269z00_9100 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10834); } 
{ 
 long BgL_bufposz00_10838; long BgL_forwardz00_10837;
BgL_forwardz00_10837 = BgL_arg2268z00_9099; 
BgL_bufposz00_10838 = BgL_arg2269z00_9100; 
BgL_bufposz00_9098 = BgL_bufposz00_10838; 
BgL_forwardz00_9097 = BgL_forwardz00_10837; 
goto BgL_statezd20zd21029z00_8559;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9096; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9101;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10839;
BgL_tmpz00_10839 = 
((obj_t)BgL_iportz00_9095); 
BgL_curz00_9101 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10839, BgL_forwardz00_9097); } 
{ /* Llib/bibtex.scm 103 */

switch( 
(long)(BgL_curz00_9101)) { case ((long)125) : 

{ /* Llib/bibtex.scm 103 */
 long BgL_arg2271z00_9102;
BgL_arg2271z00_9102 = 
(((long)1)+BgL_forwardz00_9097); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9103;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10843;
BgL_tmpz00_10843 = 
((obj_t)BgL_iportz00_9095); 
RGC_STOP_MATCH(BgL_tmpz00_10843, BgL_arg2271z00_9102); } 
BgL_newzd2matchzd2_9103 = ((long)5); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9103; } } break;case ((long)123) : 

BgL_iportz00_9380 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_9381 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_9382 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_9383 = BgL_bufposz00_9098; 
BgL_statezd212zd21041z00_8591:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9384;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10846;
BgL_tmpz00_10846 = 
((obj_t)BgL_iportz00_9380); 
RGC_STOP_MATCH(BgL_tmpz00_10846, BgL_forwardz00_9382); } 
BgL_newzd2matchzd2_9384 = ((long)4); 
if(
(BgL_forwardz00_9382==BgL_bufposz00_9383))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9380)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2546z00_9385; long BgL_arg2547z00_9386;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10854;
BgL_tmpz00_10854 = 
((obj_t)BgL_iportz00_9380); 
BgL_arg2546z00_9385 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10854); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10857;
BgL_tmpz00_10857 = 
((obj_t)BgL_iportz00_9380); 
BgL_arg2547z00_9386 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10857); } 
{ 
 long BgL_bufposz00_10861; long BgL_forwardz00_10860;
BgL_forwardz00_10860 = BgL_arg2546z00_9385; 
BgL_bufposz00_10861 = BgL_arg2547z00_9386; 
BgL_bufposz00_9383 = BgL_bufposz00_10861; 
BgL_forwardz00_9382 = BgL_forwardz00_10860; 
goto BgL_statezd212zd21041z00_8591;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9384; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9387;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10862;
BgL_tmpz00_10862 = 
((obj_t)BgL_iportz00_9380); 
BgL_curz00_9387 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10862, BgL_forwardz00_9382); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9387)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8683 = BgL_iportz00_9380; 
BgL_lastzd2matchzd2_8684 = BgL_newzd2matchzd2_9384; 
BgL_forwardz00_8685 = 
(((long)1)+BgL_forwardz00_9382); 
BgL_bufposz00_8686 = BgL_bufposz00_9383; 
BgL_statezd215zd21044z00_8511:
if(
(BgL_forwardz00_8685==BgL_bufposz00_8686))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8683)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1656z00_8687; long BgL_arg1664z00_8688;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10873;
BgL_tmpz00_10873 = 
((obj_t)BgL_iportz00_8683); 
BgL_arg1656z00_8687 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10873); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10876;
BgL_tmpz00_10876 = 
((obj_t)BgL_iportz00_8683); 
BgL_arg1664z00_8688 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10876); } 
{ 
 long BgL_bufposz00_10880; long BgL_forwardz00_10879;
BgL_forwardz00_10879 = BgL_arg1656z00_8687; 
BgL_bufposz00_10880 = BgL_arg1664z00_8688; 
BgL_bufposz00_8686 = BgL_bufposz00_10880; 
BgL_forwardz00_8685 = BgL_forwardz00_10879; 
goto BgL_statezd215zd21044z00_8511;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8684; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8689;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10881;
BgL_tmpz00_10881 = 
((obj_t)BgL_iportz00_8683); 
BgL_curz00_8689 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10881, BgL_forwardz00_8685); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8689)==((long)126)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9262 = BgL_iportz00_8683; 
BgL_lastzd2matchzd2_9263 = BgL_lastzd2matchzd2_8684; 
BgL_forwardz00_9264 = 
(((long)1)+BgL_forwardz00_8685); 
BgL_bufposz00_9265 = BgL_bufposz00_8686; 
BgL_statezd222zd21051z00_8577:
if(
(BgL_forwardz00_9264==BgL_bufposz00_9265))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9262)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2430z00_9266; long BgL_arg2431z00_9267;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10892;
BgL_tmpz00_10892 = 
((obj_t)BgL_iportz00_9262); 
BgL_arg2430z00_9266 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10892); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10895;
BgL_tmpz00_10895 = 
((obj_t)BgL_iportz00_9262); 
BgL_arg2431z00_9267 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10895); } 
{ 
 long BgL_bufposz00_10899; long BgL_forwardz00_10898;
BgL_forwardz00_10898 = BgL_arg2430z00_9266; 
BgL_bufposz00_10899 = BgL_arg2431z00_9267; 
BgL_bufposz00_9265 = BgL_bufposz00_10899; 
BgL_forwardz00_9264 = BgL_forwardz00_10898; 
goto BgL_statezd222zd21051z00_8577;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9263; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9268;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10900;
BgL_tmpz00_10900 = 
((obj_t)BgL_iportz00_9262); 
BgL_curz00_9268 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10900, BgL_forwardz00_9264); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9268)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9429 = BgL_iportz00_9262; 
BgL_lastzd2matchzd2_9430 = BgL_lastzd2matchzd2_9263; 
BgL_forwardz00_9431 = 
(((long)1)+BgL_forwardz00_9264); 
BgL_bufposz00_9432 = BgL_bufposz00_9265; 
BgL_statezd223zd21052z00_8597:
if(
(BgL_forwardz00_9431==BgL_bufposz00_9432))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9429)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2592z00_9433; long BgL_arg2593z00_9434;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10911;
BgL_tmpz00_10911 = 
((obj_t)BgL_iportz00_9429); 
BgL_arg2592z00_9433 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10911); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10914;
BgL_tmpz00_10914 = 
((obj_t)BgL_iportz00_9429); 
BgL_arg2593z00_9434 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10914); } 
{ 
 long BgL_bufposz00_10918; long BgL_forwardz00_10917;
BgL_forwardz00_10917 = BgL_arg2592z00_9433; 
BgL_bufposz00_10918 = BgL_arg2593z00_9434; 
BgL_bufposz00_9432 = BgL_bufposz00_10918; 
BgL_forwardz00_9431 = BgL_forwardz00_10917; 
goto BgL_statezd223zd21052z00_8597;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9430; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9435;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10919;
BgL_tmpz00_10919 = 
((obj_t)BgL_iportz00_9429); 
BgL_curz00_9435 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10919, BgL_forwardz00_9431); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9435)==((long)110)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9373 = BgL_iportz00_9429; 
BgL_lastzd2matchzd2_9374 = BgL_lastzd2matchzd2_9430; 
BgL_forwardz00_9375 = 
(((long)1)+BgL_forwardz00_9431); 
BgL_bufposz00_9376 = BgL_bufposz00_9432; 
BgL_statezd225zd21054z00_8590:
if(
(BgL_forwardz00_9375==BgL_bufposz00_9376))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9373)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2539z00_9377; long BgL_arg2540z00_9378;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10930;
BgL_tmpz00_10930 = 
((obj_t)BgL_iportz00_9373); 
BgL_arg2539z00_9377 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10930); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10933;
BgL_tmpz00_10933 = 
((obj_t)BgL_iportz00_9373); 
BgL_arg2540z00_9378 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10933); } 
{ 
 long BgL_bufposz00_10937; long BgL_forwardz00_10936;
BgL_forwardz00_10936 = BgL_arg2539z00_9377; 
BgL_bufposz00_10937 = BgL_arg2540z00_9378; 
BgL_bufposz00_9376 = BgL_bufposz00_10937; 
BgL_forwardz00_9375 = BgL_forwardz00_10936; 
goto BgL_statezd225zd21054z00_8590;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9374; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9379;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10938;
BgL_tmpz00_10938 = 
((obj_t)BgL_iportz00_9373); 
BgL_curz00_9379 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10938, BgL_forwardz00_9375); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9379)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9015 = BgL_iportz00_9373; 
BgL_lastzd2matchzd2_9016 = BgL_lastzd2matchzd2_9374; 
BgL_forwardz00_9017 = 
(((long)1)+BgL_forwardz00_9375); 
BgL_bufposz00_9018 = BgL_bufposz00_9376; 
BgL_statezd226zd21055z00_8549:
if(
(BgL_forwardz00_9017==BgL_bufposz00_9018))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9015)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2167z00_9019; long BgL_arg2168z00_9020;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10949;
BgL_tmpz00_10949 = 
((obj_t)BgL_iportz00_9015); 
BgL_arg2167z00_9019 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10949); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10952;
BgL_tmpz00_10952 = 
((obj_t)BgL_iportz00_9015); 
BgL_arg2168z00_9020 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10952); } 
{ 
 long BgL_bufposz00_10956; long BgL_forwardz00_10955;
BgL_forwardz00_10955 = BgL_arg2167z00_9019; 
BgL_bufposz00_10956 = BgL_arg2168z00_9020; 
BgL_bufposz00_9018 = BgL_bufposz00_10956; 
BgL_forwardz00_9017 = BgL_forwardz00_10955; 
goto BgL_statezd226zd21055z00_8549;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9016; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9021;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10957;
BgL_tmpz00_10957 = 
((obj_t)BgL_iportz00_9015); 
BgL_curz00_9021 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10957, BgL_forwardz00_9017); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9021)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2170z00_9022;
BgL_arg2170z00_9022 = 
(((long)1)+BgL_forwardz00_9017); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9023;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10964;
BgL_tmpz00_10964 = 
((obj_t)BgL_iportz00_9015); 
RGC_STOP_MATCH(BgL_tmpz00_10964, BgL_arg2170z00_9022); } 
BgL_newzd2matchzd2_9023 = ((long)13); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9023; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9016; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9374; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9435)==((long)78)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9269 = BgL_iportz00_9429; 
BgL_lastzd2matchzd2_9270 = BgL_lastzd2matchzd2_9430; 
BgL_forwardz00_9271 = 
(((long)1)+BgL_forwardz00_9431); 
BgL_bufposz00_9272 = BgL_bufposz00_9432; 
BgL_statezd224zd21053z00_8578:
if(
(BgL_forwardz00_9271==BgL_bufposz00_9272))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9269)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2437z00_9273; long BgL_arg2438z00_9274;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10977;
BgL_tmpz00_10977 = 
((obj_t)BgL_iportz00_9269); 
BgL_arg2437z00_9273 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10977); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10980;
BgL_tmpz00_10980 = 
((obj_t)BgL_iportz00_9269); 
BgL_arg2438z00_9274 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10980); } 
{ 
 long BgL_bufposz00_10984; long BgL_forwardz00_10983;
BgL_forwardz00_10983 = BgL_arg2437z00_9273; 
BgL_bufposz00_10984 = BgL_arg2438z00_9274; 
BgL_bufposz00_9272 = BgL_bufposz00_10984; 
BgL_forwardz00_9271 = BgL_forwardz00_10983; 
goto BgL_statezd224zd21053z00_8578;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9270; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9275;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10985;
BgL_tmpz00_10985 = 
((obj_t)BgL_iportz00_9269); 
BgL_curz00_9275 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_10985, BgL_forwardz00_9271); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9275)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9276 = BgL_iportz00_9269; 
BgL_lastzd2matchzd2_9277 = BgL_lastzd2matchzd2_9270; 
BgL_forwardz00_9278 = 
(((long)1)+BgL_forwardz00_9271); 
BgL_bufposz00_9279 = BgL_bufposz00_9272; 
BgL_statezd228zd21057z00_8579:
if(
(BgL_forwardz00_9278==BgL_bufposz00_9279))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9276)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2444z00_9280; long BgL_arg2445z00_9281;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10996;
BgL_tmpz00_10996 = 
((obj_t)BgL_iportz00_9276); 
BgL_arg2444z00_9280 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_10996); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_10999;
BgL_tmpz00_10999 = 
((obj_t)BgL_iportz00_9276); 
BgL_arg2445z00_9281 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_10999); } 
{ 
 long BgL_bufposz00_11003; long BgL_forwardz00_11002;
BgL_forwardz00_11002 = BgL_arg2444z00_9280; 
BgL_bufposz00_11003 = BgL_arg2445z00_9281; 
BgL_bufposz00_9279 = BgL_bufposz00_11003; 
BgL_forwardz00_9278 = BgL_forwardz00_11002; 
goto BgL_statezd228zd21057z00_8579;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9277; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9282;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11004;
BgL_tmpz00_11004 = 
((obj_t)BgL_iportz00_9276); 
BgL_curz00_9282 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11004, BgL_forwardz00_9278); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9282)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2447z00_9283;
BgL_arg2447z00_9283 = 
(((long)1)+BgL_forwardz00_9278); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9284;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11011;
BgL_tmpz00_11011 = 
((obj_t)BgL_iportz00_9276); 
RGC_STOP_MATCH(BgL_tmpz00_11011, BgL_arg2447z00_9283); } 
BgL_newzd2matchzd2_9284 = ((long)14); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9284; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9277; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9270; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9430; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9263; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8689)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8909 = BgL_iportz00_8683; 
BgL_lastzd2matchzd2_8910 = BgL_lastzd2matchzd2_8684; 
BgL_forwardz00_8911 = 
(((long)1)+BgL_forwardz00_8685); 
BgL_bufposz00_8912 = BgL_bufposz00_8686; 
BgL_statezd221zd21050z00_8537:
if(
(BgL_forwardz00_8911==BgL_bufposz00_8912))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8909)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2035z00_8913; long BgL_arg2036z00_8914;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11026;
BgL_tmpz00_11026 = 
((obj_t)BgL_iportz00_8909); 
BgL_arg2035z00_8913 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11026); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11029;
BgL_tmpz00_11029 = 
((obj_t)BgL_iportz00_8909); 
BgL_arg2036z00_8914 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11029); } 
{ 
 long BgL_bufposz00_11033; long BgL_forwardz00_11032;
BgL_forwardz00_11032 = BgL_arg2035z00_8913; 
BgL_bufposz00_11033 = BgL_arg2036z00_8914; 
BgL_bufposz00_8912 = BgL_bufposz00_11033; 
BgL_forwardz00_8911 = BgL_forwardz00_11032; 
goto BgL_statezd221zd21050z00_8537;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8910; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8915;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11034;
BgL_tmpz00_11034 = 
((obj_t)BgL_iportz00_8909); 
BgL_curz00_8915 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11034, BgL_forwardz00_8911); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8915)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2038z00_8916;
BgL_arg2038z00_8916 = 
(((long)1)+BgL_forwardz00_8911); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8917;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11041;
BgL_tmpz00_11041 = 
((obj_t)BgL_iportz00_8909); 
RGC_STOP_MATCH(BgL_tmpz00_11041, BgL_arg2038z00_8916); } 
BgL_newzd2matchzd2_8917 = ((long)11); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8917; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8910; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8689)==((long)96)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9505 = BgL_iportz00_8683; 
BgL_lastzd2matchzd2_9506 = BgL_lastzd2matchzd2_8684; 
BgL_forwardz00_9507 = 
(((long)1)+BgL_forwardz00_8685); 
BgL_bufposz00_9508 = BgL_bufposz00_8686; 
BgL_statezd220zd21049z00_8606:
if(
(BgL_forwardz00_9507==BgL_bufposz00_9508))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9505)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2660z00_9509; long BgL_arg2661z00_9510;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11053;
BgL_tmpz00_11053 = 
((obj_t)BgL_iportz00_9505); 
BgL_arg2660z00_9509 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11053); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11056;
BgL_tmpz00_11056 = 
((obj_t)BgL_iportz00_9505); 
BgL_arg2661z00_9510 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11056); } 
{ 
 long BgL_bufposz00_11060; long BgL_forwardz00_11059;
BgL_forwardz00_11059 = BgL_arg2660z00_9509; 
BgL_bufposz00_11060 = BgL_arg2661z00_9510; 
BgL_bufposz00_9508 = BgL_bufposz00_11060; 
BgL_forwardz00_9507 = BgL_forwardz00_11059; 
goto BgL_statezd220zd21049z00_8606;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9506; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9511;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11061;
BgL_tmpz00_11061 = 
((obj_t)BgL_iportz00_9505); 
BgL_curz00_9511 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11061, BgL_forwardz00_9507); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9511)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8846 = BgL_iportz00_9505; 
BgL_lastzd2matchzd2_8847 = BgL_lastzd2matchzd2_9506; 
BgL_forwardz00_8848 = 
(((long)1)+BgL_forwardz00_9507); 
BgL_bufposz00_8849 = BgL_bufposz00_9508; 
BgL_statezd237zd21066z00_8529:
if(
(BgL_forwardz00_8848==BgL_bufposz00_8849))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8846)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1955z00_8850; long BgL_arg1956z00_8851;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11072;
BgL_tmpz00_11072 = 
((obj_t)BgL_iportz00_8846); 
BgL_arg1955z00_8850 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11072); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11075;
BgL_tmpz00_11075 = 
((obj_t)BgL_iportz00_8846); 
BgL_arg1956z00_8851 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11075); } 
{ 
 long BgL_bufposz00_11079; long BgL_forwardz00_11078;
BgL_forwardz00_11078 = BgL_arg1955z00_8850; 
BgL_bufposz00_11079 = BgL_arg1956z00_8851; 
BgL_bufposz00_8849 = BgL_bufposz00_11079; 
BgL_forwardz00_8848 = BgL_forwardz00_11078; 
goto BgL_statezd237zd21066z00_8529;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8847; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8852;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11080;
BgL_tmpz00_11080 = 
((obj_t)BgL_iportz00_8846); 
BgL_curz00_8852 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11080, BgL_forwardz00_8848); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8852)==((long)101)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9563 = BgL_iportz00_8846; 
BgL_lastzd2matchzd2_9564 = BgL_lastzd2matchzd2_8847; 
BgL_forwardz00_9565 = 
(((long)1)+BgL_forwardz00_8848); 
BgL_bufposz00_9566 = BgL_bufposz00_8849; 
BgL_statezd239zd21068z00_8612:
if(
(BgL_forwardz00_9565==BgL_bufposz00_9566))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9563)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2726z00_9567; long BgL_arg2727z00_9568;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11091;
BgL_tmpz00_11091 = 
((obj_t)BgL_iportz00_9563); 
BgL_arg2726z00_9567 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11091); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11094;
BgL_tmpz00_11094 = 
((obj_t)BgL_iportz00_9563); 
BgL_arg2727z00_9568 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11094); } 
{ 
 long BgL_bufposz00_11098; long BgL_forwardz00_11097;
BgL_forwardz00_11097 = BgL_arg2726z00_9567; 
BgL_bufposz00_11098 = BgL_arg2727z00_9568; 
BgL_bufposz00_9566 = BgL_bufposz00_11098; 
BgL_forwardz00_9565 = BgL_forwardz00_11097; 
goto BgL_statezd239zd21068z00_8612;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9564; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9569;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11099;
BgL_tmpz00_11099 = 
((obj_t)BgL_iportz00_9563); 
BgL_curz00_9569 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11099, BgL_forwardz00_9565); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9569)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8768 = BgL_iportz00_9563; 
BgL_lastzd2matchzd2_8769 = BgL_lastzd2matchzd2_9564; 
BgL_forwardz00_8770 = 
(((long)1)+BgL_forwardz00_9565); 
BgL_bufposz00_8771 = BgL_bufposz00_9566; 
BgL_statezd240zd21069z00_8521:
if(
(BgL_forwardz00_8770==BgL_bufposz00_8771))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8768)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1861z00_8772; long BgL_arg1863z00_8773;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11110;
BgL_tmpz00_11110 = 
((obj_t)BgL_iportz00_8768); 
BgL_arg1861z00_8772 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11110); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11113;
BgL_tmpz00_11113 = 
((obj_t)BgL_iportz00_8768); 
BgL_arg1863z00_8773 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11113); } 
{ 
 long BgL_bufposz00_11117; long BgL_forwardz00_11116;
BgL_forwardz00_11116 = BgL_arg1861z00_8772; 
BgL_bufposz00_11117 = BgL_arg1863z00_8773; 
BgL_bufposz00_8771 = BgL_bufposz00_11117; 
BgL_forwardz00_8770 = BgL_forwardz00_11116; 
goto BgL_statezd240zd21069z00_8521;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8769; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8774;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11118;
BgL_tmpz00_11118 = 
((obj_t)BgL_iportz00_8768); 
BgL_curz00_8774 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11118, BgL_forwardz00_8770); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8774)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1865z00_8775;
BgL_arg1865z00_8775 = 
(((long)1)+BgL_forwardz00_8770); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8776;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11125;
BgL_tmpz00_11125 = 
((obj_t)BgL_iportz00_8768); 
RGC_STOP_MATCH(BgL_tmpz00_11125, BgL_arg1865z00_8775); } 
BgL_newzd2matchzd2_8776 = ((long)9); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8776; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8769; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9564; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8852)==((long)69)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9422 = BgL_iportz00_8846; 
BgL_lastzd2matchzd2_9423 = BgL_lastzd2matchzd2_8847; 
BgL_forwardz00_9424 = 
(((long)1)+BgL_forwardz00_8848); 
BgL_bufposz00_9425 = BgL_bufposz00_8849; 
BgL_statezd238zd21067z00_8596:
if(
(BgL_forwardz00_9424==BgL_bufposz00_9425))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9422)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2584z00_9426; long BgL_arg2585z00_9427;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11138;
BgL_tmpz00_11138 = 
((obj_t)BgL_iportz00_9422); 
BgL_arg2584z00_9426 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11138); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11141;
BgL_tmpz00_11141 = 
((obj_t)BgL_iportz00_9422); 
BgL_arg2585z00_9427 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11141); } 
{ 
 long BgL_bufposz00_11145; long BgL_forwardz00_11144;
BgL_forwardz00_11144 = BgL_arg2584z00_9426; 
BgL_bufposz00_11145 = BgL_arg2585z00_9427; 
BgL_bufposz00_9425 = BgL_bufposz00_11145; 
BgL_forwardz00_9424 = BgL_forwardz00_11144; 
goto BgL_statezd238zd21067z00_8596;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9423; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9428;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11146;
BgL_tmpz00_11146 = 
((obj_t)BgL_iportz00_9422); 
BgL_curz00_9428 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11146, BgL_forwardz00_9424); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9428)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9024 = BgL_iportz00_9422; 
BgL_lastzd2matchzd2_9025 = BgL_lastzd2matchzd2_9423; 
BgL_forwardz00_9026 = 
(((long)1)+BgL_forwardz00_9424); 
BgL_bufposz00_9027 = BgL_bufposz00_9425; 
BgL_statezd242zd21071z00_8550:
if(
(BgL_forwardz00_9026==BgL_bufposz00_9027))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9024)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2174z00_9028; long BgL_arg2175z00_9029;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11157;
BgL_tmpz00_11157 = 
((obj_t)BgL_iportz00_9024); 
BgL_arg2174z00_9028 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11157); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11160;
BgL_tmpz00_11160 = 
((obj_t)BgL_iportz00_9024); 
BgL_arg2175z00_9029 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11160); } 
{ 
 long BgL_bufposz00_11164; long BgL_forwardz00_11163;
BgL_forwardz00_11163 = BgL_arg2174z00_9028; 
BgL_bufposz00_11164 = BgL_arg2175z00_9029; 
BgL_bufposz00_9027 = BgL_bufposz00_11164; 
BgL_forwardz00_9026 = BgL_forwardz00_11163; 
goto BgL_statezd242zd21071z00_8550;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9025; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9030;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11165;
BgL_tmpz00_11165 = 
((obj_t)BgL_iportz00_9024); 
BgL_curz00_9030 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11165, BgL_forwardz00_9026); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9030)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2177z00_9031;
BgL_arg2177z00_9031 = 
(((long)1)+BgL_forwardz00_9026); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9032;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11172;
BgL_tmpz00_11172 = 
((obj_t)BgL_iportz00_9024); 
RGC_STOP_MATCH(BgL_tmpz00_11172, BgL_arg2177z00_9031); } 
BgL_newzd2matchzd2_9032 = ((long)10); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9032; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9025; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9423; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8847; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9511)==((long)117)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9135 = BgL_iportz00_9505; 
BgL_lastzd2matchzd2_9136 = BgL_lastzd2matchzd2_9506; 
BgL_forwardz00_9137 = 
(((long)1)+BgL_forwardz00_9507); 
BgL_bufposz00_9138 = BgL_bufposz00_9508; 
BgL_statezd236zd21065z00_8563:
if(
(BgL_forwardz00_9137==BgL_bufposz00_9138))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9135)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2309z00_9139; long BgL_arg2310z00_9140;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11186;
BgL_tmpz00_11186 = 
((obj_t)BgL_iportz00_9135); 
BgL_arg2309z00_9139 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11186); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11189;
BgL_tmpz00_11189 = 
((obj_t)BgL_iportz00_9135); 
BgL_arg2310z00_9140 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11189); } 
{ 
 long BgL_bufposz00_11193; long BgL_forwardz00_11192;
BgL_forwardz00_11192 = BgL_arg2309z00_9139; 
BgL_bufposz00_11193 = BgL_arg2310z00_9140; 
BgL_bufposz00_9138 = BgL_bufposz00_11193; 
BgL_forwardz00_9137 = BgL_forwardz00_11192; 
goto BgL_statezd236zd21065z00_8563;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9136; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9141;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11194;
BgL_tmpz00_11194 = 
((obj_t)BgL_iportz00_9135); 
BgL_curz00_9141 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11194, BgL_forwardz00_9137); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9141)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2312z00_9142;
BgL_arg2312z00_9142 = 
(((long)1)+BgL_forwardz00_9137); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9143;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11201;
BgL_tmpz00_11201 = 
((obj_t)BgL_iportz00_9135); 
RGC_STOP_MATCH(BgL_tmpz00_11201, BgL_arg2312z00_9142); } 
BgL_newzd2matchzd2_9143 = ((long)35); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9143; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9136; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9511)==((long)101)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9604 = BgL_iportz00_9505; 
BgL_lastzd2matchzd2_9605 = BgL_lastzd2matchzd2_9506; 
BgL_forwardz00_9606 = 
(((long)1)+BgL_forwardz00_9507); 
BgL_bufposz00_9607 = BgL_bufposz00_9508; 
BgL_statezd235zd21064z00_8617:
if(
(BgL_forwardz00_9606==BgL_bufposz00_9607))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9604)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2770z00_9608; long BgL_arg2771z00_9609;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11213;
BgL_tmpz00_11213 = 
((obj_t)BgL_iportz00_9604); 
BgL_arg2770z00_9608 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11213); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11216;
BgL_tmpz00_11216 = 
((obj_t)BgL_iportz00_9604); 
BgL_arg2771z00_9609 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11216); } 
{ 
 long BgL_bufposz00_11220; long BgL_forwardz00_11219;
BgL_forwardz00_11219 = BgL_arg2770z00_9608; 
BgL_bufposz00_11220 = BgL_arg2771z00_9609; 
BgL_bufposz00_9607 = BgL_bufposz00_11220; 
BgL_forwardz00_9606 = BgL_forwardz00_11219; 
goto BgL_statezd235zd21064z00_8617;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9605; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9610;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11221;
BgL_tmpz00_11221 = 
((obj_t)BgL_iportz00_9604); 
BgL_curz00_9610 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11221, BgL_forwardz00_9606); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9610)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2773z00_9611;
BgL_arg2773z00_9611 = 
(((long)1)+BgL_forwardz00_9606); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9612;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11228;
BgL_tmpz00_11228 = 
((obj_t)BgL_iportz00_9604); 
RGC_STOP_MATCH(BgL_tmpz00_11228, BgL_arg2773z00_9611); } 
BgL_newzd2matchzd2_9612 = ((long)19); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9612; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9605; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9511)==((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9056 = BgL_iportz00_9505; 
BgL_lastzd2matchzd2_9057 = BgL_lastzd2matchzd2_9506; 
BgL_forwardz00_9058 = 
(((long)1)+BgL_forwardz00_9507); 
BgL_bufposz00_9059 = BgL_bufposz00_9508; 
BgL_statezd234zd21063z00_8554:
if(
(BgL_forwardz00_9058==BgL_bufposz00_9059))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9056)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2221z00_9060; long BgL_arg2222z00_9061;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11240;
BgL_tmpz00_11240 = 
((obj_t)BgL_iportz00_9056); 
BgL_arg2221z00_9060 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11240); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11243;
BgL_tmpz00_11243 = 
((obj_t)BgL_iportz00_9056); 
BgL_arg2222z00_9061 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11243); } 
{ 
 long BgL_bufposz00_11247; long BgL_forwardz00_11246;
BgL_forwardz00_11246 = BgL_arg2221z00_9060; 
BgL_bufposz00_11247 = BgL_arg2222z00_9061; 
BgL_bufposz00_9059 = BgL_bufposz00_11247; 
BgL_forwardz00_9058 = BgL_forwardz00_11246; 
goto BgL_statezd234zd21063z00_8554;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9057; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9062;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11248;
BgL_tmpz00_11248 = 
((obj_t)BgL_iportz00_9056); 
BgL_curz00_9062 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11248, BgL_forwardz00_9058); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9062)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2224z00_9063;
BgL_arg2224z00_9063 = 
(((long)1)+BgL_forwardz00_9058); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9064;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11255;
BgL_tmpz00_11255 = 
((obj_t)BgL_iportz00_9056); 
RGC_STOP_MATCH(BgL_tmpz00_11255, BgL_arg2224z00_9063); } 
BgL_newzd2matchzd2_9064 = ((long)23); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9064; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9057; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9511)==((long)85)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9033 = BgL_iportz00_9505; 
BgL_lastzd2matchzd2_9034 = BgL_lastzd2matchzd2_9506; 
BgL_forwardz00_9035 = 
(((long)1)+BgL_forwardz00_9507); 
BgL_bufposz00_9036 = BgL_bufposz00_9508; 
BgL_statezd233zd21062z00_8551:
if(
(BgL_forwardz00_9035==BgL_bufposz00_9036))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9033)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2181z00_9037; long BgL_arg2182z00_9038;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11267;
BgL_tmpz00_11267 = 
((obj_t)BgL_iportz00_9033); 
BgL_arg2181z00_9037 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11267); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11270;
BgL_tmpz00_11270 = 
((obj_t)BgL_iportz00_9033); 
BgL_arg2182z00_9038 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11270); } 
{ 
 long BgL_bufposz00_11274; long BgL_forwardz00_11273;
BgL_forwardz00_11273 = BgL_arg2181z00_9037; 
BgL_bufposz00_11274 = BgL_arg2182z00_9038; 
BgL_bufposz00_9036 = BgL_bufposz00_11274; 
BgL_forwardz00_9035 = BgL_forwardz00_11273; 
goto BgL_statezd233zd21062z00_8551;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9034; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9039;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11275;
BgL_tmpz00_11275 = 
((obj_t)BgL_iportz00_9033); 
BgL_curz00_9039 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11275, BgL_forwardz00_9035); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9039)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2184z00_9040;
BgL_arg2184z00_9040 = 
(((long)1)+BgL_forwardz00_9035); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9041;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11282;
BgL_tmpz00_11282 = 
((obj_t)BgL_iportz00_9033); 
RGC_STOP_MATCH(BgL_tmpz00_11282, BgL_arg2184z00_9040); } 
BgL_newzd2matchzd2_9041 = ((long)36); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9041; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9034; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9511)==((long)69)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8941 = BgL_iportz00_9505; 
BgL_lastzd2matchzd2_8942 = BgL_lastzd2matchzd2_9506; 
BgL_forwardz00_8943 = 
(((long)1)+BgL_forwardz00_9507); 
BgL_bufposz00_8944 = BgL_bufposz00_9508; 
BgL_statezd232zd21061z00_8541:
if(
(BgL_forwardz00_8943==BgL_bufposz00_8944))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8941)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2083z00_8945; long BgL_arg2084z00_8946;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11294;
BgL_tmpz00_11294 = 
((obj_t)BgL_iportz00_8941); 
BgL_arg2083z00_8945 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11294); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11297;
BgL_tmpz00_11297 = 
((obj_t)BgL_iportz00_8941); 
BgL_arg2084z00_8946 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11297); } 
{ 
 long BgL_bufposz00_11301; long BgL_forwardz00_11300;
BgL_forwardz00_11300 = BgL_arg2083z00_8945; 
BgL_bufposz00_11301 = BgL_arg2084z00_8946; 
BgL_bufposz00_8944 = BgL_bufposz00_11301; 
BgL_forwardz00_8943 = BgL_forwardz00_11300; 
goto BgL_statezd232zd21061z00_8541;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8942; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8947;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11302;
BgL_tmpz00_11302 = 
((obj_t)BgL_iportz00_8941); 
BgL_curz00_8947 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11302, BgL_forwardz00_8943); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8947)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2086z00_8948;
BgL_arg2086z00_8948 = 
(((long)1)+BgL_forwardz00_8943); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8949;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11309;
BgL_tmpz00_11309 = 
((obj_t)BgL_iportz00_8941); 
RGC_STOP_MATCH(BgL_tmpz00_11309, BgL_arg2086z00_8948); } 
BgL_newzd2matchzd2_8949 = ((long)20); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8949; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8942; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9511)==((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8642 = BgL_iportz00_9505; 
BgL_lastzd2matchzd2_8643 = BgL_lastzd2matchzd2_9506; 
BgL_forwardz00_8644 = 
(((long)1)+BgL_forwardz00_9507); 
BgL_bufposz00_8645 = BgL_bufposz00_9508; 
BgL_statezd231zd21060z00_8506:
if(
(BgL_forwardz00_8644==BgL_bufposz00_8645))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8642)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1358z00_8646; long BgL_arg1360z00_8647;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11321;
BgL_tmpz00_11321 = 
((obj_t)BgL_iportz00_8642); 
BgL_arg1358z00_8646 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11321); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11324;
BgL_tmpz00_11324 = 
((obj_t)BgL_iportz00_8642); 
BgL_arg1360z00_8647 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11324); } 
{ 
 long BgL_bufposz00_11328; long BgL_forwardz00_11327;
BgL_forwardz00_11327 = BgL_arg1358z00_8646; 
BgL_bufposz00_11328 = BgL_arg1360z00_8647; 
BgL_bufposz00_8645 = BgL_bufposz00_11328; 
BgL_forwardz00_8644 = BgL_forwardz00_11327; 
goto BgL_statezd231zd21060z00_8506;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8643; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8648;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11329;
BgL_tmpz00_11329 = 
((obj_t)BgL_iportz00_8642); 
BgL_curz00_8648 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11329, BgL_forwardz00_8644); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8648)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1371z00_8649;
BgL_arg1371z00_8649 = 
(((long)1)+BgL_forwardz00_8644); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8650;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11336;
BgL_tmpz00_11336 = 
((obj_t)BgL_iportz00_8642); 
RGC_STOP_MATCH(BgL_tmpz00_11336, BgL_arg1371z00_8649); } 
BgL_newzd2matchzd2_8650 = ((long)25); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8650; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8643; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9506; } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8689)==((long)94)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9042 = BgL_iportz00_8683; 
BgL_lastzd2matchzd2_9043 = BgL_lastzd2matchzd2_8684; 
BgL_forwardz00_9044 = 
(((long)1)+BgL_forwardz00_8685); 
BgL_bufposz00_9045 = BgL_bufposz00_8686; 
BgL_statezd219zd21048z00_8552:
if(
(BgL_forwardz00_9044==BgL_bufposz00_9045))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9042)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2188z00_9046; long BgL_arg2189z00_9047;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11349;
BgL_tmpz00_11349 = 
((obj_t)BgL_iportz00_9042); 
BgL_arg2188z00_9046 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11349); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11352;
BgL_tmpz00_11352 = 
((obj_t)BgL_iportz00_9042); 
BgL_arg2189z00_9047 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11352); } 
{ 
 long BgL_bufposz00_11356; long BgL_forwardz00_11355;
BgL_forwardz00_11355 = BgL_arg2188z00_9046; 
BgL_bufposz00_11356 = BgL_arg2189z00_9047; 
BgL_bufposz00_9045 = BgL_bufposz00_11356; 
BgL_forwardz00_9044 = BgL_forwardz00_11355; 
goto BgL_statezd219zd21048z00_8552;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9043; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9048;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11357;
BgL_tmpz00_11357 = 
((obj_t)BgL_iportz00_9042); 
BgL_curz00_9048 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11357, BgL_forwardz00_9044); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9048)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8957 = BgL_iportz00_9042; 
BgL_lastzd2matchzd2_8958 = BgL_lastzd2matchzd2_9043; 
BgL_forwardz00_8959 = 
(((long)1)+BgL_forwardz00_9044); 
BgL_bufposz00_8960 = BgL_bufposz00_9045; 
BgL_statezd255zd21084z00_8543:
if(
(BgL_forwardz00_8959==BgL_bufposz00_8960))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8957)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2107z00_8961; long BgL_arg2108z00_8962;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11368;
BgL_tmpz00_11368 = 
((obj_t)BgL_iportz00_8957); 
BgL_arg2107z00_8961 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11368); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11371;
BgL_tmpz00_11371 = 
((obj_t)BgL_iportz00_8957); 
BgL_arg2108z00_8962 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11371); } 
{ 
 long BgL_bufposz00_11375; long BgL_forwardz00_11374;
BgL_forwardz00_11374 = BgL_arg2107z00_8961; 
BgL_bufposz00_11375 = BgL_arg2108z00_8962; 
BgL_bufposz00_8960 = BgL_bufposz00_11375; 
BgL_forwardz00_8959 = BgL_forwardz00_11374; 
goto BgL_statezd255zd21084z00_8543;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8958; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8963;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11376;
BgL_tmpz00_11376 = 
((obj_t)BgL_iportz00_8957); 
BgL_curz00_8963 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11376, BgL_forwardz00_8959); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8963)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8667 = BgL_iportz00_8957; 
BgL_lastzd2matchzd2_8668 = BgL_lastzd2matchzd2_8958; 
BgL_forwardz00_8669 = 
(((long)1)+BgL_forwardz00_8959); 
BgL_bufposz00_8670 = BgL_bufposz00_8960; 
BgL_statezd259zd21088z00_8509:
if(
(BgL_forwardz00_8669==BgL_bufposz00_8670))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8667)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1614z00_8671; long BgL_arg1615z00_8672;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11387;
BgL_tmpz00_11387 = 
((obj_t)BgL_iportz00_8667); 
BgL_arg1614z00_8671 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11387); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11390;
BgL_tmpz00_11390 = 
((obj_t)BgL_iportz00_8667); 
BgL_arg1615z00_8672 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11390); } 
{ 
 long BgL_bufposz00_11394; long BgL_forwardz00_11393;
BgL_forwardz00_11393 = BgL_arg1614z00_8671; 
BgL_bufposz00_11394 = BgL_arg1615z00_8672; 
BgL_bufposz00_8670 = BgL_bufposz00_11394; 
BgL_forwardz00_8669 = BgL_forwardz00_11393; 
goto BgL_statezd259zd21088z00_8509;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8668; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8673;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11395;
BgL_tmpz00_11395 = 
((obj_t)BgL_iportz00_8667); 
BgL_curz00_8673 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11395, BgL_forwardz00_8669); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8673)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9126 = BgL_iportz00_8667; 
BgL_lastzd2matchzd2_9127 = BgL_lastzd2matchzd2_8668; 
BgL_forwardz00_9128 = 
(((long)1)+BgL_forwardz00_8669); 
BgL_bufposz00_9129 = BgL_bufposz00_8670; 
BgL_statezd260zd21089z00_8562:
if(
(BgL_forwardz00_9128==BgL_bufposz00_9129))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9126)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2302z00_9130; long BgL_arg2303z00_9131;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11406;
BgL_tmpz00_11406 = 
((obj_t)BgL_iportz00_9126); 
BgL_arg2302z00_9130 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11406); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11409;
BgL_tmpz00_11409 = 
((obj_t)BgL_iportz00_9126); 
BgL_arg2303z00_9131 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11409); } 
{ 
 long BgL_bufposz00_11413; long BgL_forwardz00_11412;
BgL_forwardz00_11412 = BgL_arg2302z00_9130; 
BgL_bufposz00_11413 = BgL_arg2303z00_9131; 
BgL_bufposz00_9129 = BgL_bufposz00_11413; 
BgL_forwardz00_9128 = BgL_forwardz00_11412; 
goto BgL_statezd260zd21089z00_8562;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9127; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9132;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11414;
BgL_tmpz00_11414 = 
((obj_t)BgL_iportz00_9126); 
BgL_curz00_9132 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11414, BgL_forwardz00_9128); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9132)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2305z00_9133;
BgL_arg2305z00_9133 = 
(((long)1)+BgL_forwardz00_9128); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9134;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11421;
BgL_tmpz00_11421 = 
((obj_t)BgL_iportz00_9126); 
RGC_STOP_MATCH(BgL_tmpz00_11421, BgL_arg2305z00_9133); } 
BgL_newzd2matchzd2_9134 = ((long)15); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9134; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9127; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8668; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8963)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9192 = BgL_iportz00_8957; 
BgL_lastzd2matchzd2_9193 = BgL_lastzd2matchzd2_8958; 
BgL_forwardz00_9194 = 
(((long)1)+BgL_forwardz00_8959); 
BgL_bufposz00_9195 = BgL_bufposz00_8960; 
BgL_statezd258zd21087z00_8570:
if(
(BgL_forwardz00_9194==BgL_bufposz00_9195))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9192)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2367z00_9196; long BgL_arg2368z00_9197;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11434;
BgL_tmpz00_11434 = 
((obj_t)BgL_iportz00_9192); 
BgL_arg2367z00_9196 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11434); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11437;
BgL_tmpz00_11437 = 
((obj_t)BgL_iportz00_9192); 
BgL_arg2368z00_9197 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11437); } 
{ 
 long BgL_bufposz00_11441; long BgL_forwardz00_11440;
BgL_forwardz00_11440 = BgL_arg2367z00_9196; 
BgL_bufposz00_11441 = BgL_arg2368z00_9197; 
BgL_bufposz00_9195 = BgL_bufposz00_11441; 
BgL_forwardz00_9194 = BgL_forwardz00_11440; 
goto BgL_statezd258zd21087z00_8570;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9193; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9198;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11442;
BgL_tmpz00_11442 = 
((obj_t)BgL_iportz00_9192); 
BgL_curz00_9198 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11442, BgL_forwardz00_9194); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9198)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8734 = BgL_iportz00_9192; 
BgL_lastzd2matchzd2_8735 = BgL_lastzd2matchzd2_9193; 
BgL_forwardz00_8736 = 
(((long)1)+BgL_forwardz00_9194); 
BgL_bufposz00_8737 = BgL_bufposz00_9195; 
BgL_statezd262zd21091z00_8517:
if(
(BgL_forwardz00_8736==BgL_bufposz00_8737))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8734)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1832z00_8738; long BgL_arg1833z00_8739;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11453;
BgL_tmpz00_11453 = 
((obj_t)BgL_iportz00_8734); 
BgL_arg1832z00_8738 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11453); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11456;
BgL_tmpz00_11456 = 
((obj_t)BgL_iportz00_8734); 
BgL_arg1833z00_8739 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11456); } 
{ 
 long BgL_bufposz00_11460; long BgL_forwardz00_11459;
BgL_forwardz00_11459 = BgL_arg1832z00_8738; 
BgL_bufposz00_11460 = BgL_arg1833z00_8739; 
BgL_bufposz00_8737 = BgL_bufposz00_11460; 
BgL_forwardz00_8736 = BgL_forwardz00_11459; 
goto BgL_statezd262zd21091z00_8517;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8735; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8740;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11461;
BgL_tmpz00_11461 = 
((obj_t)BgL_iportz00_8734); 
BgL_curz00_8740 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11461, BgL_forwardz00_8736); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8740)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1835z00_8741;
BgL_arg1835z00_8741 = 
(((long)1)+BgL_forwardz00_8736); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8742;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11468;
BgL_tmpz00_11468 = 
((obj_t)BgL_iportz00_8734); 
RGC_STOP_MATCH(BgL_tmpz00_11468, BgL_arg1835z00_8741); } 
BgL_newzd2matchzd2_8742 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8742; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8735; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9193; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8963)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8743 = BgL_iportz00_8957; 
BgL_lastzd2matchzd2_8744 = BgL_lastzd2matchzd2_8958; 
BgL_forwardz00_8745 = 
(((long)1)+BgL_forwardz00_8959); 
BgL_bufposz00_8746 = BgL_bufposz00_8960; 
BgL_statezd257zd21086z00_8518:
if(
(BgL_forwardz00_8745==BgL_bufposz00_8746))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8743)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1839z00_8747; long BgL_arg1840z00_8748;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11481;
BgL_tmpz00_11481 = 
((obj_t)BgL_iportz00_8743); 
BgL_arg1839z00_8747 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11481); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11484;
BgL_tmpz00_11484 = 
((obj_t)BgL_iportz00_8743); 
BgL_arg1840z00_8748 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11484); } 
{ 
 long BgL_bufposz00_11488; long BgL_forwardz00_11487;
BgL_forwardz00_11487 = BgL_arg1839z00_8747; 
BgL_bufposz00_11488 = BgL_arg1840z00_8748; 
BgL_bufposz00_8746 = BgL_bufposz00_11488; 
BgL_forwardz00_8745 = BgL_forwardz00_11487; 
goto BgL_statezd257zd21086z00_8518;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8744; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8749;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11489;
BgL_tmpz00_11489 = 
((obj_t)BgL_iportz00_8743); 
BgL_curz00_8749 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11489, BgL_forwardz00_8745); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8749)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8750 = BgL_iportz00_8743; 
BgL_lastzd2matchzd2_8751 = BgL_lastzd2matchzd2_8744; 
BgL_forwardz00_8752 = 
(((long)1)+BgL_forwardz00_8745); 
BgL_bufposz00_8753 = BgL_bufposz00_8746; 
BgL_statezd264zd21093z00_8519:
if(
(BgL_forwardz00_8752==BgL_bufposz00_8753))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8750)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1846z00_8754; long BgL_arg1847z00_8755;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11500;
BgL_tmpz00_11500 = 
((obj_t)BgL_iportz00_8750); 
BgL_arg1846z00_8754 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11500); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11503;
BgL_tmpz00_11503 = 
((obj_t)BgL_iportz00_8750); 
BgL_arg1847z00_8755 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11503); } 
{ 
 long BgL_bufposz00_11507; long BgL_forwardz00_11506;
BgL_forwardz00_11506 = BgL_arg1846z00_8754; 
BgL_bufposz00_11507 = BgL_arg1847z00_8755; 
BgL_bufposz00_8753 = BgL_bufposz00_11507; 
BgL_forwardz00_8752 = BgL_forwardz00_11506; 
goto BgL_statezd264zd21093z00_8519;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8751; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8756;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11508;
BgL_tmpz00_11508 = 
((obj_t)BgL_iportz00_8750); 
BgL_curz00_8756 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11508, BgL_forwardz00_8752); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8756)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1849z00_8757;
BgL_arg1849z00_8757 = 
(((long)1)+BgL_forwardz00_8752); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8758;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11515;
BgL_tmpz00_11515 = 
((obj_t)BgL_iportz00_8750); 
RGC_STOP_MATCH(BgL_tmpz00_11515, BgL_arg1849z00_8757); } 
BgL_newzd2matchzd2_8758 = ((long)16); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8758; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8751; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8744; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8963)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9144 = BgL_iportz00_8957; 
BgL_lastzd2matchzd2_9145 = BgL_lastzd2matchzd2_8958; 
BgL_forwardz00_9146 = 
(((long)1)+BgL_forwardz00_8959); 
BgL_bufposz00_9147 = BgL_bufposz00_8960; 
BgL_statezd256zd21085z00_8564:
if(
(BgL_forwardz00_9146==BgL_bufposz00_9147))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9144)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2318z00_9148; long BgL_arg2319z00_9149;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11528;
BgL_tmpz00_11528 = 
((obj_t)BgL_iportz00_9144); 
BgL_arg2318z00_9148 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11528); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11531;
BgL_tmpz00_11531 = 
((obj_t)BgL_iportz00_9144); 
BgL_arg2319z00_9149 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11531); } 
{ 
 long BgL_bufposz00_11535; long BgL_forwardz00_11534;
BgL_forwardz00_11534 = BgL_arg2318z00_9148; 
BgL_bufposz00_11535 = BgL_arg2319z00_9149; 
BgL_bufposz00_9147 = BgL_bufposz00_11535; 
BgL_forwardz00_9146 = BgL_forwardz00_11534; 
goto BgL_statezd256zd21085z00_8564;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9145; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9150;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11536;
BgL_tmpz00_11536 = 
((obj_t)BgL_iportz00_9144); 
BgL_curz00_9150 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11536, BgL_forwardz00_9146); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9150)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9151 = BgL_iportz00_9144; 
BgL_lastzd2matchzd2_9152 = BgL_lastzd2matchzd2_9145; 
BgL_forwardz00_9153 = 
(((long)1)+BgL_forwardz00_9146); 
BgL_bufposz00_9154 = BgL_bufposz00_9147; 
BgL_statezd266zd21095z00_8565:
if(
(BgL_forwardz00_9153==BgL_bufposz00_9154))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9151)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2325z00_9155; long BgL_arg2326z00_9156;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11547;
BgL_tmpz00_11547 = 
((obj_t)BgL_iportz00_9151); 
BgL_arg2325z00_9155 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11547); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11550;
BgL_tmpz00_11550 = 
((obj_t)BgL_iportz00_9151); 
BgL_arg2326z00_9156 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11550); } 
{ 
 long BgL_bufposz00_11554; long BgL_forwardz00_11553;
BgL_forwardz00_11553 = BgL_arg2325z00_9155; 
BgL_bufposz00_11554 = BgL_arg2326z00_9156; 
BgL_bufposz00_9154 = BgL_bufposz00_11554; 
BgL_forwardz00_9153 = BgL_forwardz00_11553; 
goto BgL_statezd266zd21095z00_8565;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9152; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9157;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11555;
BgL_tmpz00_11555 = 
((obj_t)BgL_iportz00_9151); 
BgL_curz00_9157 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11555, BgL_forwardz00_9153); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9157)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2328z00_9158;
BgL_arg2328z00_9158 = 
(((long)1)+BgL_forwardz00_9153); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9159;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11562;
BgL_tmpz00_11562 = 
((obj_t)BgL_iportz00_9151); 
RGC_STOP_MATCH(BgL_tmpz00_11562, BgL_arg2328z00_9158); } 
BgL_newzd2matchzd2_9159 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9159; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9152; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9145; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8958; } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9048)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9294 = BgL_iportz00_9042; 
BgL_lastzd2matchzd2_9295 = BgL_lastzd2matchzd2_9043; 
BgL_forwardz00_9296 = 
(((long)1)+BgL_forwardz00_9044); 
BgL_bufposz00_9297 = BgL_bufposz00_9045; 
BgL_statezd254zd21083z00_8581:
if(
(BgL_forwardz00_9296==BgL_bufposz00_9297))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9294)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2460z00_9298; long BgL_arg2461z00_9299;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11576;
BgL_tmpz00_11576 = 
((obj_t)BgL_iportz00_9294); 
BgL_arg2460z00_9298 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11576); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11579;
BgL_tmpz00_11579 = 
((obj_t)BgL_iportz00_9294); 
BgL_arg2461z00_9299 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11579); } 
{ 
 long BgL_bufposz00_11583; long BgL_forwardz00_11582;
BgL_forwardz00_11582 = BgL_arg2460z00_9298; 
BgL_bufposz00_11583 = BgL_arg2461z00_9299; 
BgL_bufposz00_9297 = BgL_bufposz00_11583; 
BgL_forwardz00_9296 = BgL_forwardz00_11582; 
goto BgL_statezd254zd21083z00_8581;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9295; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9300;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11584;
BgL_tmpz00_11584 = 
((obj_t)BgL_iportz00_9294); 
BgL_curz00_9300 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11584, BgL_forwardz00_9296); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9300)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2463z00_9301;
BgL_arg2463z00_9301 = 
(((long)1)+BgL_forwardz00_9296); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9302;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11591;
BgL_tmpz00_11591 = 
((obj_t)BgL_iportz00_9294); 
RGC_STOP_MATCH(BgL_tmpz00_11591, BgL_arg2463z00_9301); } 
BgL_newzd2matchzd2_9302 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9302; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9295; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9048)==((long)101)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9554 = BgL_iportz00_9042; 
BgL_lastzd2matchzd2_9555 = BgL_lastzd2matchzd2_9043; 
BgL_forwardz00_9556 = 
(((long)1)+BgL_forwardz00_9044); 
BgL_bufposz00_9557 = BgL_bufposz00_9045; 
BgL_statezd253zd21082z00_8611:
if(
(BgL_forwardz00_9556==BgL_bufposz00_9557))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9554)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2718z00_9558; long BgL_arg2719z00_9559;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11603;
BgL_tmpz00_11603 = 
((obj_t)BgL_iportz00_9554); 
BgL_arg2718z00_9558 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11603); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11606;
BgL_tmpz00_11606 = 
((obj_t)BgL_iportz00_9554); 
BgL_arg2719z00_9559 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11606); } 
{ 
 long BgL_bufposz00_11610; long BgL_forwardz00_11609;
BgL_forwardz00_11609 = BgL_arg2718z00_9558; 
BgL_bufposz00_11610 = BgL_arg2719z00_9559; 
BgL_bufposz00_9557 = BgL_bufposz00_11610; 
BgL_forwardz00_9556 = BgL_forwardz00_11609; 
goto BgL_statezd253zd21082z00_8611;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9555; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9560;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11611;
BgL_tmpz00_11611 = 
((obj_t)BgL_iportz00_9554); 
BgL_curz00_9560 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11611, BgL_forwardz00_9556); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9560)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2721z00_9561;
BgL_arg2721z00_9561 = 
(((long)1)+BgL_forwardz00_9556); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9562;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11618;
BgL_tmpz00_11618 = 
((obj_t)BgL_iportz00_9554); 
RGC_STOP_MATCH(BgL_tmpz00_11618, BgL_arg2721z00_9561); } 
BgL_newzd2matchzd2_9562 = ((long)21); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9562; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9555; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9048)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9074 = BgL_iportz00_9042; 
BgL_lastzd2matchzd2_9075 = BgL_lastzd2matchzd2_9043; 
BgL_forwardz00_9076 = 
(((long)1)+BgL_forwardz00_9044); 
BgL_bufposz00_9077 = BgL_bufposz00_9045; 
BgL_statezd252zd21081z00_8556:
if(
(BgL_forwardz00_9076==BgL_bufposz00_9077))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9074)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2235z00_9078; long BgL_arg2236z00_9079;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11630;
BgL_tmpz00_11630 = 
((obj_t)BgL_iportz00_9074); 
BgL_arg2235z00_9078 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11630); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11633;
BgL_tmpz00_11633 = 
((obj_t)BgL_iportz00_9074); 
BgL_arg2236z00_9079 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11633); } 
{ 
 long BgL_bufposz00_11637; long BgL_forwardz00_11636;
BgL_forwardz00_11636 = BgL_arg2235z00_9078; 
BgL_bufposz00_11637 = BgL_arg2236z00_9079; 
BgL_bufposz00_9077 = BgL_bufposz00_11637; 
BgL_forwardz00_9076 = BgL_forwardz00_11636; 
goto BgL_statezd252zd21081z00_8556;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9075; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9080;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11638;
BgL_tmpz00_11638 = 
((obj_t)BgL_iportz00_9074); 
BgL_curz00_9080 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11638, BgL_forwardz00_9076); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9080)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9527 = BgL_iportz00_9074; 
BgL_lastzd2matchzd2_9528 = BgL_lastzd2matchzd2_9075; 
BgL_forwardz00_9529 = 
(((long)1)+BgL_forwardz00_9076); 
BgL_bufposz00_9530 = BgL_bufposz00_9077; 
BgL_statezd270zd21099z00_8608:
if(
(BgL_forwardz00_9529==BgL_bufposz00_9530))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9527)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2696z00_9531; long BgL_arg2697z00_9532;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11649;
BgL_tmpz00_11649 = 
((obj_t)BgL_iportz00_9527); 
BgL_arg2696z00_9531 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11649); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11652;
BgL_tmpz00_11652 = 
((obj_t)BgL_iportz00_9527); 
BgL_arg2697z00_9532 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11652); } 
{ 
 long BgL_bufposz00_11656; long BgL_forwardz00_11655;
BgL_forwardz00_11655 = BgL_arg2696z00_9531; 
BgL_bufposz00_11656 = BgL_arg2697z00_9532; 
BgL_bufposz00_9530 = BgL_bufposz00_11656; 
BgL_forwardz00_9529 = BgL_forwardz00_11655; 
goto BgL_statezd270zd21099z00_8608;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9528; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9533;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11657;
BgL_tmpz00_11657 = 
((obj_t)BgL_iportz00_9527); 
BgL_curz00_9533 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11657, BgL_forwardz00_9529); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9533)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2699z00_9534;
BgL_arg2699z00_9534 = 
(((long)1)+BgL_forwardz00_9529); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9535;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11664;
BgL_tmpz00_11664 = 
((obj_t)BgL_iportz00_9527); 
RGC_STOP_MATCH(BgL_tmpz00_11664, BgL_arg2699z00_9534); } 
BgL_newzd2matchzd2_9535 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9535; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9528; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9080)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9303 = BgL_iportz00_9074; 
BgL_lastzd2matchzd2_9304 = BgL_lastzd2matchzd2_9075; 
BgL_forwardz00_9305 = 
(((long)1)+BgL_forwardz00_9076); 
BgL_bufposz00_9306 = BgL_bufposz00_9077; 
BgL_statezd269zd21098z00_8582:
if(
(BgL_forwardz00_9305==BgL_bufposz00_9306))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9303)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2468z00_9307; long BgL_arg2469z00_9308;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11676;
BgL_tmpz00_11676 = 
((obj_t)BgL_iportz00_9303); 
BgL_arg2468z00_9307 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11676); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11679;
BgL_tmpz00_11679 = 
((obj_t)BgL_iportz00_9303); 
BgL_arg2469z00_9308 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11679); } 
{ 
 long BgL_bufposz00_11683; long BgL_forwardz00_11682;
BgL_forwardz00_11682 = BgL_arg2468z00_9307; 
BgL_bufposz00_11683 = BgL_arg2469z00_9308; 
BgL_bufposz00_9306 = BgL_bufposz00_11683; 
BgL_forwardz00_9305 = BgL_forwardz00_11682; 
goto BgL_statezd269zd21098z00_8582;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9304; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9309;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11684;
BgL_tmpz00_11684 = 
((obj_t)BgL_iportz00_9303); 
BgL_curz00_9309 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11684, BgL_forwardz00_9305); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9309)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2471z00_9310;
BgL_arg2471z00_9310 = 
(((long)1)+BgL_forwardz00_9305); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9311;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11691;
BgL_tmpz00_11691 = 
((obj_t)BgL_iportz00_9303); 
RGC_STOP_MATCH(BgL_tmpz00_11691, BgL_arg2471z00_9310); } 
BgL_newzd2matchzd2_9311 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9311; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9304; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9075; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9048)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9199 = BgL_iportz00_9042; 
BgL_lastzd2matchzd2_9200 = BgL_lastzd2matchzd2_9043; 
BgL_forwardz00_9201 = 
(((long)1)+BgL_forwardz00_9044); 
BgL_bufposz00_9202 = BgL_bufposz00_9045; 
BgL_statezd251zd21080z00_8571:
if(
(BgL_forwardz00_9201==BgL_bufposz00_9202))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9199)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2374z00_9203; long BgL_arg2375z00_9204;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11704;
BgL_tmpz00_11704 = 
((obj_t)BgL_iportz00_9199); 
BgL_arg2374z00_9203 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11704); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11707;
BgL_tmpz00_11707 = 
((obj_t)BgL_iportz00_9199); 
BgL_arg2375z00_9204 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11707); } 
{ 
 long BgL_bufposz00_11711; long BgL_forwardz00_11710;
BgL_forwardz00_11710 = BgL_arg2374z00_9203; 
BgL_bufposz00_11711 = BgL_arg2375z00_9204; 
BgL_bufposz00_9202 = BgL_bufposz00_11711; 
BgL_forwardz00_9201 = BgL_forwardz00_11710; 
goto BgL_statezd251zd21080z00_8571;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9200; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9205;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11712;
BgL_tmpz00_11712 = 
((obj_t)BgL_iportz00_9199); 
BgL_curz00_9205 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11712, BgL_forwardz00_9201); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9205)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2377z00_9206;
BgL_arg2377z00_9206 = 
(((long)1)+BgL_forwardz00_9201); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9207;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11719;
BgL_tmpz00_11719 = 
((obj_t)BgL_iportz00_9199); 
RGC_STOP_MATCH(BgL_tmpz00_11719, BgL_arg2377z00_9206); } 
BgL_newzd2matchzd2_9207 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9207; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9200; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9048)==((long)69)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9545 = BgL_iportz00_9042; 
BgL_lastzd2matchzd2_9546 = BgL_lastzd2matchzd2_9043; 
BgL_forwardz00_9547 = 
(((long)1)+BgL_forwardz00_9044); 
BgL_bufposz00_9548 = BgL_bufposz00_9045; 
BgL_statezd250zd21079z00_8610:
if(
(BgL_forwardz00_9547==BgL_bufposz00_9548))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9545)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2711z00_9549; long BgL_arg2712z00_9550;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11731;
BgL_tmpz00_11731 = 
((obj_t)BgL_iportz00_9545); 
BgL_arg2711z00_9549 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11731); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11734;
BgL_tmpz00_11734 = 
((obj_t)BgL_iportz00_9545); 
BgL_arg2712z00_9550 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11734); } 
{ 
 long BgL_bufposz00_11738; long BgL_forwardz00_11737;
BgL_forwardz00_11737 = BgL_arg2711z00_9549; 
BgL_bufposz00_11738 = BgL_arg2712z00_9550; 
BgL_bufposz00_9548 = BgL_bufposz00_11738; 
BgL_forwardz00_9547 = BgL_forwardz00_11737; 
goto BgL_statezd250zd21079z00_8610;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9546; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9551;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11739;
BgL_tmpz00_11739 = 
((obj_t)BgL_iportz00_9545); 
BgL_curz00_9551 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11739, BgL_forwardz00_9547); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9551)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2714z00_9552;
BgL_arg2714z00_9552 = 
(((long)1)+BgL_forwardz00_9547); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9553;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11746;
BgL_tmpz00_11746 = 
((obj_t)BgL_iportz00_9545); 
RGC_STOP_MATCH(BgL_tmpz00_11746, BgL_arg2714z00_9552); } 
BgL_newzd2matchzd2_9553 = ((long)22); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9553; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9546; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9043; } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8689)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9397 = BgL_iportz00_8683; 
BgL_lastzd2matchzd2_9398 = BgL_lastzd2matchzd2_8684; 
BgL_forwardz00_9399 = 
(((long)1)+BgL_forwardz00_8685); 
BgL_bufposz00_9400 = BgL_bufposz00_8686; 
BgL_statezd218zd21047z00_8593:
if(
(BgL_forwardz00_9399==BgL_bufposz00_9400))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9397)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2560z00_9401; long BgL_arg2561z00_9402;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11759;
BgL_tmpz00_11759 = 
((obj_t)BgL_iportz00_9397); 
BgL_arg2560z00_9401 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11759); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11762;
BgL_tmpz00_11762 = 
((obj_t)BgL_iportz00_9397); 
BgL_arg2561z00_9402 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11762); } 
{ 
 long BgL_bufposz00_11766; long BgL_forwardz00_11765;
BgL_forwardz00_11765 = BgL_arg2560z00_9401; 
BgL_bufposz00_11766 = BgL_arg2561z00_9402; 
BgL_bufposz00_9400 = BgL_bufposz00_11766; 
BgL_forwardz00_9399 = BgL_forwardz00_11765; 
goto BgL_statezd218zd21047z00_8593;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9398; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9403;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11767;
BgL_tmpz00_11767 = 
((obj_t)BgL_iportz00_9397); 
BgL_curz00_9403 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11767, BgL_forwardz00_9399); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9403)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2563z00_9404;
BgL_arg2563z00_9404 = 
(((long)1)+BgL_forwardz00_9399); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9405;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11774;
BgL_tmpz00_11774 = 
((obj_t)BgL_iportz00_9397); 
RGC_STOP_MATCH(BgL_tmpz00_11774, BgL_arg2563z00_9404); } 
BgL_newzd2matchzd2_9405 = ((long)12); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9405; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9398; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8689)==((long)39)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8660 = BgL_iportz00_8683; 
BgL_lastzd2matchzd2_8661 = BgL_lastzd2matchzd2_8684; 
BgL_forwardz00_8662 = 
(((long)1)+BgL_forwardz00_8685); 
BgL_bufposz00_8663 = BgL_bufposz00_8686; 
BgL_statezd217zd21046z00_8508:
if(
(BgL_forwardz00_8662==BgL_bufposz00_8663))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8660)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1534z00_8664; long BgL_arg1538z00_8665;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11786;
BgL_tmpz00_11786 = 
((obj_t)BgL_iportz00_8660); 
BgL_arg1534z00_8664 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11786); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11789;
BgL_tmpz00_11789 = 
((obj_t)BgL_iportz00_8660); 
BgL_arg1538z00_8665 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11789); } 
{ 
 long BgL_bufposz00_11793; long BgL_forwardz00_11792;
BgL_forwardz00_11792 = BgL_arg1534z00_8664; 
BgL_bufposz00_11793 = BgL_arg1538z00_8665; 
BgL_bufposz00_8663 = BgL_bufposz00_11793; 
BgL_forwardz00_8662 = BgL_forwardz00_11792; 
goto BgL_statezd217zd21046z00_8508;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8661; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8666;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11794;
BgL_tmpz00_11794 = 
((obj_t)BgL_iportz00_8660); 
BgL_curz00_8666 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11794, BgL_forwardz00_8662); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8666)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9579 = BgL_iportz00_8660; 
BgL_lastzd2matchzd2_9580 = BgL_lastzd2matchzd2_8661; 
BgL_forwardz00_9581 = 
(((long)1)+BgL_forwardz00_8662); 
BgL_bufposz00_9582 = BgL_bufposz00_8663; 
BgL_statezd280zd21109z00_8614:
if(
(BgL_forwardz00_9581==BgL_bufposz00_9582))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9579)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2740z00_9583; long BgL_arg2741z00_9584;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11805;
BgL_tmpz00_11805 = 
((obj_t)BgL_iportz00_9579); 
BgL_arg2740z00_9583 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11805); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11808;
BgL_tmpz00_11808 = 
((obj_t)BgL_iportz00_9579); 
BgL_arg2741z00_9584 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11808); } 
{ 
 long BgL_bufposz00_11812; long BgL_forwardz00_11811;
BgL_forwardz00_11811 = BgL_arg2740z00_9583; 
BgL_bufposz00_11812 = BgL_arg2741z00_9584; 
BgL_bufposz00_9582 = BgL_bufposz00_11812; 
BgL_forwardz00_9581 = BgL_forwardz00_11811; 
goto BgL_statezd280zd21109z00_8614;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9580; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9585;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11813;
BgL_tmpz00_11813 = 
((obj_t)BgL_iportz00_9579); 
BgL_curz00_9585 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11813, BgL_forwardz00_9581); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9585)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9357 = BgL_iportz00_9579; 
BgL_lastzd2matchzd2_9358 = BgL_lastzd2matchzd2_9580; 
BgL_forwardz00_9359 = 
(((long)1)+BgL_forwardz00_9581); 
BgL_bufposz00_9360 = BgL_bufposz00_9582; 
BgL_statezd282zd21111z00_8588:
if(
(BgL_forwardz00_9359==BgL_bufposz00_9360))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9357)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2524z00_9361; long BgL_arg2525z00_9362;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11824;
BgL_tmpz00_11824 = 
((obj_t)BgL_iportz00_9357); 
BgL_arg2524z00_9361 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11824); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11827;
BgL_tmpz00_11827 = 
((obj_t)BgL_iportz00_9357); 
BgL_arg2525z00_9362 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11827); } 
{ 
 long BgL_bufposz00_11831; long BgL_forwardz00_11830;
BgL_forwardz00_11830 = BgL_arg2524z00_9361; 
BgL_bufposz00_11831 = BgL_arg2525z00_9362; 
BgL_bufposz00_9360 = BgL_bufposz00_11831; 
BgL_forwardz00_9359 = BgL_forwardz00_11830; 
goto BgL_statezd282zd21111z00_8588;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9358; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9363;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11832;
BgL_tmpz00_11832 = 
((obj_t)BgL_iportz00_9357); 
BgL_curz00_9363 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11832, BgL_forwardz00_9359); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9363)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9364 = BgL_iportz00_9357; 
BgL_lastzd2matchzd2_9365 = BgL_lastzd2matchzd2_9358; 
BgL_forwardz00_9366 = 
(((long)1)+BgL_forwardz00_9359); 
BgL_bufposz00_9367 = BgL_bufposz00_9360; 
BgL_statezd283zd21112z00_8589:
if(
(BgL_forwardz00_9366==BgL_bufposz00_9367))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9364)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2531z00_9368; long BgL_arg2532z00_9369;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11843;
BgL_tmpz00_11843 = 
((obj_t)BgL_iportz00_9364); 
BgL_arg2531z00_9368 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11843); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11846;
BgL_tmpz00_11846 = 
((obj_t)BgL_iportz00_9364); 
BgL_arg2532z00_9369 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11846); } 
{ 
 long BgL_bufposz00_11850; long BgL_forwardz00_11849;
BgL_forwardz00_11849 = BgL_arg2531z00_9368; 
BgL_bufposz00_11850 = BgL_arg2532z00_9369; 
BgL_bufposz00_9367 = BgL_bufposz00_11850; 
BgL_forwardz00_9366 = BgL_forwardz00_11849; 
goto BgL_statezd283zd21112z00_8589;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9365; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9370;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11851;
BgL_tmpz00_11851 = 
((obj_t)BgL_iportz00_9364); 
BgL_curz00_9370 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11851, BgL_forwardz00_9366); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9370)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2534z00_9371;
BgL_arg2534z00_9371 = 
(((long)1)+BgL_forwardz00_9366); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9372;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11858;
BgL_tmpz00_11858 = 
((obj_t)BgL_iportz00_9364); 
RGC_STOP_MATCH(BgL_tmpz00_11858, BgL_arg2534z00_9371); } 
BgL_newzd2matchzd2_9372 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9372; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9365; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9358; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9585)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8862 = BgL_iportz00_9579; 
BgL_lastzd2matchzd2_8863 = BgL_lastzd2matchzd2_9580; 
BgL_forwardz00_8864 = 
(((long)1)+BgL_forwardz00_9581); 
BgL_bufposz00_8865 = BgL_bufposz00_9582; 
BgL_statezd281zd21110z00_8531:
if(
(BgL_forwardz00_8864==BgL_bufposz00_8865))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8862)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1971z00_8866; long BgL_arg1972z00_8867;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11871;
BgL_tmpz00_11871 = 
((obj_t)BgL_iportz00_8862); 
BgL_arg1971z00_8866 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11871); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11874;
BgL_tmpz00_11874 = 
((obj_t)BgL_iportz00_8862); 
BgL_arg1972z00_8867 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11874); } 
{ 
 long BgL_bufposz00_11878; long BgL_forwardz00_11877;
BgL_forwardz00_11877 = BgL_arg1971z00_8866; 
BgL_bufposz00_11878 = BgL_arg1972z00_8867; 
BgL_bufposz00_8865 = BgL_bufposz00_11878; 
BgL_forwardz00_8864 = BgL_forwardz00_11877; 
goto BgL_statezd281zd21110z00_8531;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8863; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8868;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11879;
BgL_tmpz00_11879 = 
((obj_t)BgL_iportz00_8862); 
BgL_curz00_8868 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11879, BgL_forwardz00_8864); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8868)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9444 = BgL_iportz00_8862; 
BgL_lastzd2matchzd2_9445 = BgL_lastzd2matchzd2_8863; 
BgL_forwardz00_9446 = 
(((long)1)+BgL_forwardz00_8864); 
BgL_bufposz00_9447 = BgL_bufposz00_8865; 
BgL_statezd285zd21114z00_8599:
if(
(BgL_forwardz00_9446==BgL_bufposz00_9447))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9444)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2610z00_9448; long BgL_arg2611z00_9449;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11890;
BgL_tmpz00_11890 = 
((obj_t)BgL_iportz00_9444); 
BgL_arg2610z00_9448 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11890); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11893;
BgL_tmpz00_11893 = 
((obj_t)BgL_iportz00_9444); 
BgL_arg2611z00_9449 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11893); } 
{ 
 long BgL_bufposz00_11897; long BgL_forwardz00_11896;
BgL_forwardz00_11896 = BgL_arg2610z00_9448; 
BgL_bufposz00_11897 = BgL_arg2611z00_9449; 
BgL_bufposz00_9447 = BgL_bufposz00_11897; 
BgL_forwardz00_9446 = BgL_forwardz00_11896; 
goto BgL_statezd285zd21114z00_8599;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9445; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9450;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11898;
BgL_tmpz00_11898 = 
((obj_t)BgL_iportz00_9444); 
BgL_curz00_9450 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11898, BgL_forwardz00_9446); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9450)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2613z00_9451;
BgL_arg2613z00_9451 = 
(((long)1)+BgL_forwardz00_9446); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9452;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11905;
BgL_tmpz00_11905 = 
((obj_t)BgL_iportz00_9444); 
RGC_STOP_MATCH(BgL_tmpz00_11905, BgL_arg2613z00_9451); } 
BgL_newzd2matchzd2_9452 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9452; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9445; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8863; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9580; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8666)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9348 = BgL_iportz00_8660; 
BgL_lastzd2matchzd2_9349 = BgL_lastzd2matchzd2_8661; 
BgL_forwardz00_9350 = 
(((long)1)+BgL_forwardz00_8662); 
BgL_bufposz00_9351 = BgL_bufposz00_8663; 
BgL_statezd279zd21108z00_8587:
if(
(BgL_forwardz00_9350==BgL_bufposz00_9351))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9348)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2517z00_9352; long BgL_arg2518z00_9353;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11919;
BgL_tmpz00_11919 = 
((obj_t)BgL_iportz00_9348); 
BgL_arg2517z00_9352 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11919); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11922;
BgL_tmpz00_11922 = 
((obj_t)BgL_iportz00_9348); 
BgL_arg2518z00_9353 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11922); } 
{ 
 long BgL_bufposz00_11926; long BgL_forwardz00_11925;
BgL_forwardz00_11925 = BgL_arg2517z00_9352; 
BgL_bufposz00_11926 = BgL_arg2518z00_9353; 
BgL_bufposz00_9351 = BgL_bufposz00_11926; 
BgL_forwardz00_9350 = BgL_forwardz00_11925; 
goto BgL_statezd279zd21108z00_8587;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9349; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9354;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11927;
BgL_tmpz00_11927 = 
((obj_t)BgL_iportz00_9348); 
BgL_curz00_9354 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11927, BgL_forwardz00_9350); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9354)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2520z00_9355;
BgL_arg2520z00_9355 = 
(((long)1)+BgL_forwardz00_9350); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9356;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11934;
BgL_tmpz00_11934 = 
((obj_t)BgL_iportz00_9348); 
RGC_STOP_MATCH(BgL_tmpz00_11934, BgL_arg2520z00_9355); } 
BgL_newzd2matchzd2_9356 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9356; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9349; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8666)==((long)101)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9570 = BgL_iportz00_8660; 
BgL_lastzd2matchzd2_9571 = BgL_lastzd2matchzd2_8661; 
BgL_forwardz00_9572 = 
(((long)1)+BgL_forwardz00_8662); 
BgL_bufposz00_9573 = BgL_bufposz00_8663; 
BgL_statezd278zd21107z00_8613:
if(
(BgL_forwardz00_9572==BgL_bufposz00_9573))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9570)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2733z00_9574; long BgL_arg2734z00_9575;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11946;
BgL_tmpz00_11946 = 
((obj_t)BgL_iportz00_9570); 
BgL_arg2733z00_9574 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11946); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11949;
BgL_tmpz00_11949 = 
((obj_t)BgL_iportz00_9570); 
BgL_arg2734z00_9575 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11949); } 
{ 
 long BgL_bufposz00_11953; long BgL_forwardz00_11952;
BgL_forwardz00_11952 = BgL_arg2733z00_9574; 
BgL_bufposz00_11953 = BgL_arg2734z00_9575; 
BgL_bufposz00_9573 = BgL_bufposz00_11953; 
BgL_forwardz00_9572 = BgL_forwardz00_11952; 
goto BgL_statezd278zd21107z00_8613;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9571; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9576;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11954;
BgL_tmpz00_11954 = 
((obj_t)BgL_iportz00_9570); 
BgL_curz00_9576 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11954, BgL_forwardz00_9572); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9576)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2736z00_9577;
BgL_arg2736z00_9577 = 
(((long)1)+BgL_forwardz00_9572); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9578;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11961;
BgL_tmpz00_11961 = 
((obj_t)BgL_iportz00_9570); 
RGC_STOP_MATCH(BgL_tmpz00_11961, BgL_arg2736z00_9577); } 
BgL_newzd2matchzd2_9578 = ((long)9); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9578; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9571; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8666)==((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8651 = BgL_iportz00_8660; 
BgL_lastzd2matchzd2_8652 = BgL_lastzd2matchzd2_8661; 
BgL_forwardz00_8653 = 
(((long)1)+BgL_forwardz00_8662); 
BgL_bufposz00_8654 = BgL_bufposz00_8663; 
BgL_statezd277zd21106z00_8507:
if(
(BgL_forwardz00_8653==BgL_bufposz00_8654))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8651)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1408z00_8655; long BgL_arg1409z00_8656;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11973;
BgL_tmpz00_11973 = 
((obj_t)BgL_iportz00_8651); 
BgL_arg1408z00_8655 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_11973); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11976;
BgL_tmpz00_11976 = 
((obj_t)BgL_iportz00_8651); 
BgL_arg1409z00_8656 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_11976); } 
{ 
 long BgL_bufposz00_11980; long BgL_forwardz00_11979;
BgL_forwardz00_11979 = BgL_arg1408z00_8655; 
BgL_bufposz00_11980 = BgL_arg1409z00_8656; 
BgL_bufposz00_8654 = BgL_bufposz00_11980; 
BgL_forwardz00_8653 = BgL_forwardz00_11979; 
goto BgL_statezd277zd21106z00_8507;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8652; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8657;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11981;
BgL_tmpz00_11981 = 
((obj_t)BgL_iportz00_8651); 
BgL_curz00_8657 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_11981, BgL_forwardz00_8653); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8657)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1449z00_8658;
BgL_arg1449z00_8658 = 
(((long)1)+BgL_forwardz00_8653); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8659;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_11988;
BgL_tmpz00_11988 = 
((obj_t)BgL_iportz00_8651); 
RGC_STOP_MATCH(BgL_tmpz00_11988, BgL_arg1449z00_8658); } 
BgL_newzd2matchzd2_8659 = ((long)24); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8659; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8652; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8666)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8727 = BgL_iportz00_8660; 
BgL_lastzd2matchzd2_8728 = BgL_lastzd2matchzd2_8661; 
BgL_forwardz00_8729 = 
(((long)1)+BgL_forwardz00_8662); 
BgL_bufposz00_8730 = BgL_bufposz00_8663; 
BgL_statezd276zd21105z00_8516:
if(
(BgL_forwardz00_8729==BgL_bufposz00_8730))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8727)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1823z00_8731; long BgL_arg1824z00_8732;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12000;
BgL_tmpz00_12000 = 
((obj_t)BgL_iportz00_8727); 
BgL_arg1823z00_8731 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12000); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12003;
BgL_tmpz00_12003 = 
((obj_t)BgL_iportz00_8727); 
BgL_arg1824z00_8732 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12003); } 
{ 
 long BgL_bufposz00_12007; long BgL_forwardz00_12006;
BgL_forwardz00_12006 = BgL_arg1823z00_8731; 
BgL_bufposz00_12007 = BgL_arg1824z00_8732; 
BgL_bufposz00_8730 = BgL_bufposz00_12007; 
BgL_forwardz00_8729 = BgL_forwardz00_12006; 
goto BgL_statezd276zd21105z00_8516;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8728; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8733;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12008;
BgL_tmpz00_12008 = 
((obj_t)BgL_iportz00_8727); 
BgL_curz00_8733 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12008, BgL_forwardz00_8729); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8733)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9669 = BgL_iportz00_8727; 
BgL_lastzd2matchzd2_9670 = BgL_lastzd2matchzd2_8728; 
BgL_forwardz00_9671 = 
(((long)1)+BgL_forwardz00_8729); 
BgL_bufposz00_9672 = BgL_bufposz00_8730; 
BgL_statezd289zd21118z00_8625:
if(
(BgL_forwardz00_9671==BgL_bufposz00_9672))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9669)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2843z00_9673; long BgL_arg2844z00_9674;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12019;
BgL_tmpz00_12019 = 
((obj_t)BgL_iportz00_9669); 
BgL_arg2843z00_9673 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12019); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12022;
BgL_tmpz00_12022 = 
((obj_t)BgL_iportz00_9669); 
BgL_arg2844z00_9674 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12022); } 
{ 
 long BgL_bufposz00_12026; long BgL_forwardz00_12025;
BgL_forwardz00_12025 = BgL_arg2843z00_9673; 
BgL_bufposz00_12026 = BgL_arg2844z00_9674; 
BgL_bufposz00_9672 = BgL_bufposz00_12026; 
BgL_forwardz00_9671 = BgL_forwardz00_12025; 
goto BgL_statezd289zd21118z00_8625;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9670; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9675;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12027;
BgL_tmpz00_12027 = 
((obj_t)BgL_iportz00_9669); 
BgL_curz00_9675 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12027, BgL_forwardz00_9671); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9675)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2846z00_9676;
BgL_arg2846z00_9676 = 
(((long)1)+BgL_forwardz00_9671); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9677;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12034;
BgL_tmpz00_12034 = 
((obj_t)BgL_iportz00_9669); 
RGC_STOP_MATCH(BgL_tmpz00_12034, BgL_arg2846z00_9676); } 
BgL_newzd2matchzd2_9677 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9677; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9670; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8733)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8786 = BgL_iportz00_8727; 
BgL_lastzd2matchzd2_8787 = BgL_lastzd2matchzd2_8728; 
BgL_forwardz00_8788 = 
(((long)1)+BgL_forwardz00_8729); 
BgL_bufposz00_8789 = BgL_bufposz00_8730; 
BgL_statezd288zd21117z00_8523:
if(
(BgL_forwardz00_8788==BgL_bufposz00_8789))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8786)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1880z00_8790; long BgL_arg1881z00_8791;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12046;
BgL_tmpz00_12046 = 
((obj_t)BgL_iportz00_8786); 
BgL_arg1880z00_8790 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12046); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12049;
BgL_tmpz00_12049 = 
((obj_t)BgL_iportz00_8786); 
BgL_arg1881z00_8791 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12049); } 
{ 
 long BgL_bufposz00_12053; long BgL_forwardz00_12052;
BgL_forwardz00_12052 = BgL_arg1880z00_8790; 
BgL_bufposz00_12053 = BgL_arg1881z00_8791; 
BgL_bufposz00_8789 = BgL_bufposz00_12053; 
BgL_forwardz00_8788 = BgL_forwardz00_12052; 
goto BgL_statezd288zd21117z00_8523;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8787; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8792;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12054;
BgL_tmpz00_12054 = 
((obj_t)BgL_iportz00_8786); 
BgL_curz00_8792 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12054, BgL_forwardz00_8788); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8792)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1883z00_8793;
BgL_arg1883z00_8793 = 
(((long)1)+BgL_forwardz00_8788); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8794;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12061;
BgL_tmpz00_12061 = 
((obj_t)BgL_iportz00_8786); 
RGC_STOP_MATCH(BgL_tmpz00_12061, BgL_arg1883z00_8793); } 
BgL_newzd2matchzd2_8794 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8794; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8787; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8728; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8666)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8853 = BgL_iportz00_8660; 
BgL_lastzd2matchzd2_8854 = BgL_lastzd2matchzd2_8661; 
BgL_forwardz00_8855 = 
(((long)1)+BgL_forwardz00_8662); 
BgL_bufposz00_8856 = BgL_bufposz00_8663; 
BgL_statezd275zd21104z00_8530:
if(
(BgL_forwardz00_8855==BgL_bufposz00_8856))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8853)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1964z00_8857; long BgL_arg1965z00_8858;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12074;
BgL_tmpz00_12074 = 
((obj_t)BgL_iportz00_8853); 
BgL_arg1964z00_8857 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12074); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12077;
BgL_tmpz00_12077 = 
((obj_t)BgL_iportz00_8853); 
BgL_arg1965z00_8858 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12077); } 
{ 
 long BgL_bufposz00_12081; long BgL_forwardz00_12080;
BgL_forwardz00_12080 = BgL_arg1964z00_8857; 
BgL_bufposz00_12081 = BgL_arg1965z00_8858; 
BgL_bufposz00_8856 = BgL_bufposz00_12081; 
BgL_forwardz00_8855 = BgL_forwardz00_12080; 
goto BgL_statezd275zd21104z00_8530;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8854; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8859;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12082;
BgL_tmpz00_12082 = 
((obj_t)BgL_iportz00_8853); 
BgL_curz00_8859 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12082, BgL_forwardz00_8855); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8859)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1967z00_8860;
BgL_arg1967z00_8860 = 
(((long)1)+BgL_forwardz00_8855); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8861;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12089;
BgL_tmpz00_12089 = 
((obj_t)BgL_iportz00_8853); 
RGC_STOP_MATCH(BgL_tmpz00_12089, BgL_arg1967z00_8860); } 
BgL_newzd2matchzd2_8861 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8861; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8854; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8666)==((long)69)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9406 = BgL_iportz00_8660; 
BgL_lastzd2matchzd2_9407 = BgL_lastzd2matchzd2_8661; 
BgL_forwardz00_9408 = 
(((long)1)+BgL_forwardz00_8662); 
BgL_bufposz00_9409 = BgL_bufposz00_8663; 
BgL_statezd274zd21103z00_8594:
if(
(BgL_forwardz00_9408==BgL_bufposz00_9409))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9406)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2568z00_9410; long BgL_arg2569z00_9411;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12101;
BgL_tmpz00_12101 = 
((obj_t)BgL_iportz00_9406); 
BgL_arg2568z00_9410 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12101); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12104;
BgL_tmpz00_12104 = 
((obj_t)BgL_iportz00_9406); 
BgL_arg2569z00_9411 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12104); } 
{ 
 long BgL_bufposz00_12108; long BgL_forwardz00_12107;
BgL_forwardz00_12107 = BgL_arg2568z00_9410; 
BgL_bufposz00_12108 = BgL_arg2569z00_9411; 
BgL_bufposz00_9409 = BgL_bufposz00_12108; 
BgL_forwardz00_9408 = BgL_forwardz00_12107; 
goto BgL_statezd274zd21103z00_8594;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9407; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9412;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12109;
BgL_tmpz00_12109 = 
((obj_t)BgL_iportz00_9406); 
BgL_curz00_9412 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12109, BgL_forwardz00_9408); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9412)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2571z00_9413;
BgL_arg2571z00_9413 = 
(((long)1)+BgL_forwardz00_9408); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9414;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12116;
BgL_tmpz00_12116 = 
((obj_t)BgL_iportz00_9406); 
RGC_STOP_MATCH(BgL_tmpz00_12116, BgL_arg2571z00_9413); } 
BgL_newzd2matchzd2_9414 = ((long)10); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9414; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9407; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8666)==((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9388 = BgL_iportz00_8660; 
BgL_lastzd2matchzd2_9389 = BgL_lastzd2matchzd2_8661; 
BgL_forwardz00_9390 = 
(((long)1)+BgL_forwardz00_8662); 
BgL_bufposz00_9391 = BgL_bufposz00_8663; 
BgL_statezd273zd21102z00_8592:
if(
(BgL_forwardz00_9390==BgL_bufposz00_9391))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9388)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2553z00_9392; long BgL_arg2554z00_9393;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12128;
BgL_tmpz00_12128 = 
((obj_t)BgL_iportz00_9388); 
BgL_arg2553z00_9392 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12128); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12131;
BgL_tmpz00_12131 = 
((obj_t)BgL_iportz00_9388); 
BgL_arg2554z00_9393 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12131); } 
{ 
 long BgL_bufposz00_12135; long BgL_forwardz00_12134;
BgL_forwardz00_12134 = BgL_arg2553z00_9392; 
BgL_bufposz00_12135 = BgL_arg2554z00_9393; 
BgL_bufposz00_9391 = BgL_bufposz00_12135; 
BgL_forwardz00_9390 = BgL_forwardz00_12134; 
goto BgL_statezd273zd21102z00_8592;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9389; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9394;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12136;
BgL_tmpz00_12136 = 
((obj_t)BgL_iportz00_9388); 
BgL_curz00_9394 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12136, BgL_forwardz00_9390); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9394)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2556z00_9395;
BgL_arg2556z00_9395 = 
(((long)1)+BgL_forwardz00_9390); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9396;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12143;
BgL_tmpz00_12143 = 
((obj_t)BgL_iportz00_9388); 
RGC_STOP_MATCH(BgL_tmpz00_12143, BgL_arg2556z00_9395); } 
BgL_newzd2matchzd2_9396 = ((long)26); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9396; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9389; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8661; } } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8689)==((long)34)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8950 = BgL_iportz00_8683; 
BgL_lastzd2matchzd2_8951 = BgL_lastzd2matchzd2_8684; 
BgL_forwardz00_8952 = 
(((long)1)+BgL_forwardz00_8685); 
BgL_bufposz00_8953 = BgL_bufposz00_8686; 
BgL_statezd216zd21045z00_8542:
if(
(BgL_forwardz00_8952==BgL_bufposz00_8953))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8950)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2090z00_8954; long BgL_arg2091z00_8955;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12156;
BgL_tmpz00_12156 = 
((obj_t)BgL_iportz00_8950); 
BgL_arg2090z00_8954 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12156); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12159;
BgL_tmpz00_12159 = 
((obj_t)BgL_iportz00_8950); 
BgL_arg2091z00_8955 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12159); } 
{ 
 long BgL_bufposz00_12163; long BgL_forwardz00_12162;
BgL_forwardz00_12162 = BgL_arg2090z00_8954; 
BgL_bufposz00_12163 = BgL_arg2091z00_8955; 
BgL_bufposz00_8953 = BgL_bufposz00_12163; 
BgL_forwardz00_8952 = BgL_forwardz00_12162; 
goto BgL_statezd216zd21045z00_8542;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8951; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8956;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12164;
BgL_tmpz00_12164 = 
((obj_t)BgL_iportz00_8950); 
BgL_curz00_8956 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12164, BgL_forwardz00_8952); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8956)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9169 = BgL_iportz00_8950; 
BgL_lastzd2matchzd2_9170 = BgL_lastzd2matchzd2_8951; 
BgL_forwardz00_9171 = 
(((long)1)+BgL_forwardz00_8952); 
BgL_bufposz00_9172 = BgL_bufposz00_8953; 
BgL_statezd296zd21125z00_8567:
if(
(BgL_forwardz00_9171==BgL_bufposz00_9172))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9169)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2339z00_9173; long BgL_arg2340z00_9174;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12175;
BgL_tmpz00_12175 = 
((obj_t)BgL_iportz00_9169); 
BgL_arg2339z00_9173 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12175); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12178;
BgL_tmpz00_12178 = 
((obj_t)BgL_iportz00_9169); 
BgL_arg2340z00_9174 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12178); } 
{ 
 long BgL_bufposz00_12182; long BgL_forwardz00_12181;
BgL_forwardz00_12181 = BgL_arg2339z00_9173; 
BgL_bufposz00_12182 = BgL_arg2340z00_9174; 
BgL_bufposz00_9172 = BgL_bufposz00_12182; 
BgL_forwardz00_9171 = BgL_forwardz00_12181; 
goto BgL_statezd296zd21125z00_8567;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9170; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9175;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12183;
BgL_tmpz00_12183 = 
((obj_t)BgL_iportz00_9169); 
BgL_curz00_9175 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12183, BgL_forwardz00_9171); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9175)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8635 = BgL_iportz00_9169; 
BgL_lastzd2matchzd2_8636 = BgL_lastzd2matchzd2_9170; 
BgL_forwardz00_8637 = 
(((long)1)+BgL_forwardz00_9171); 
BgL_bufposz00_8638 = BgL_bufposz00_9172; 
BgL_statezd2100zd21129z00_8505:
if(
(BgL_forwardz00_8637==BgL_bufposz00_8638))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8635)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1349z00_8639; long BgL_arg1351z00_8640;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12194;
BgL_tmpz00_12194 = 
((obj_t)BgL_iportz00_8635); 
BgL_arg1349z00_8639 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12194); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12197;
BgL_tmpz00_12197 = 
((obj_t)BgL_iportz00_8635); 
BgL_arg1351z00_8640 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12197); } 
{ 
 long BgL_bufposz00_12201; long BgL_forwardz00_12200;
BgL_forwardz00_12200 = BgL_arg1349z00_8639; 
BgL_bufposz00_12201 = BgL_arg1351z00_8640; 
BgL_bufposz00_8638 = BgL_bufposz00_12201; 
BgL_forwardz00_8637 = BgL_forwardz00_12200; 
goto BgL_statezd2100zd21129z00_8505;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8636; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8641;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12202;
BgL_tmpz00_12202 = 
((obj_t)BgL_iportz00_8635); 
BgL_curz00_8641 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12202, BgL_forwardz00_8637); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8641)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9620 = BgL_iportz00_8635; 
BgL_lastzd2matchzd2_9621 = BgL_lastzd2matchzd2_8636; 
BgL_forwardz00_9622 = 
(((long)1)+BgL_forwardz00_8637); 
BgL_bufposz00_9623 = BgL_bufposz00_8638; 
BgL_statezd2101zd21130z00_8619:
if(
(BgL_forwardz00_9622==BgL_bufposz00_9623))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9620)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2787z00_9624; long BgL_arg2788z00_9625;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12213;
BgL_tmpz00_12213 = 
((obj_t)BgL_iportz00_9620); 
BgL_arg2787z00_9624 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12213); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12216;
BgL_tmpz00_12216 = 
((obj_t)BgL_iportz00_9620); 
BgL_arg2788z00_9625 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12216); } 
{ 
 long BgL_bufposz00_12220; long BgL_forwardz00_12219;
BgL_forwardz00_12219 = BgL_arg2787z00_9624; 
BgL_bufposz00_12220 = BgL_arg2788z00_9625; 
BgL_bufposz00_9623 = BgL_bufposz00_12220; 
BgL_forwardz00_9622 = BgL_forwardz00_12219; 
goto BgL_statezd2101zd21130z00_8619;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9621; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9626;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12221;
BgL_tmpz00_12221 = 
((obj_t)BgL_iportz00_9620); 
BgL_curz00_9626 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12221, BgL_forwardz00_9622); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9626)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2790z00_9627;
BgL_arg2790z00_9627 = 
(((long)1)+BgL_forwardz00_9622); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9628;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12228;
BgL_tmpz00_12228 = 
((obj_t)BgL_iportz00_9620); 
RGC_STOP_MATCH(BgL_tmpz00_12228, BgL_arg2790z00_9627); } 
BgL_newzd2matchzd2_9628 = ((long)17); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9628; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9621; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8636; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9175)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9462 = BgL_iportz00_9169; 
BgL_lastzd2matchzd2_9463 = BgL_lastzd2matchzd2_9170; 
BgL_forwardz00_9464 = 
(((long)1)+BgL_forwardz00_9171); 
BgL_bufposz00_9465 = BgL_bufposz00_9172; 
BgL_statezd299zd21128z00_8601:
if(
(BgL_forwardz00_9464==BgL_bufposz00_9465))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9462)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2625z00_9466; long BgL_arg2626z00_9467;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12241;
BgL_tmpz00_12241 = 
((obj_t)BgL_iportz00_9462); 
BgL_arg2625z00_9466 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12241); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12244;
BgL_tmpz00_12244 = 
((obj_t)BgL_iportz00_9462); 
BgL_arg2626z00_9467 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12244); } 
{ 
 long BgL_bufposz00_12248; long BgL_forwardz00_12247;
BgL_forwardz00_12247 = BgL_arg2625z00_9466; 
BgL_bufposz00_12248 = BgL_arg2626z00_9467; 
BgL_bufposz00_9465 = BgL_bufposz00_12248; 
BgL_forwardz00_9464 = BgL_forwardz00_12247; 
goto BgL_statezd299zd21128z00_8601;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9463; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9468;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12249;
BgL_tmpz00_12249 = 
((obj_t)BgL_iportz00_9462); 
BgL_curz00_9468 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12249, BgL_forwardz00_9464); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9468)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9469 = BgL_iportz00_9462; 
BgL_lastzd2matchzd2_9470 = BgL_lastzd2matchzd2_9463; 
BgL_forwardz00_9471 = 
(((long)1)+BgL_forwardz00_9464); 
BgL_bufposz00_9472 = BgL_bufposz00_9465; 
BgL_statezd2103zd21132z00_8602:
if(
(BgL_forwardz00_9471==BgL_bufposz00_9472))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9469)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2632z00_9473; long BgL_arg2633z00_9474;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12260;
BgL_tmpz00_12260 = 
((obj_t)BgL_iportz00_9469); 
BgL_arg2632z00_9473 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12260); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12263;
BgL_tmpz00_12263 = 
((obj_t)BgL_iportz00_9469); 
BgL_arg2633z00_9474 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12263); } 
{ 
 long BgL_bufposz00_12267; long BgL_forwardz00_12266;
BgL_forwardz00_12266 = BgL_arg2632z00_9473; 
BgL_bufposz00_12267 = BgL_arg2633z00_9474; 
BgL_bufposz00_9472 = BgL_bufposz00_12267; 
BgL_forwardz00_9471 = BgL_forwardz00_12266; 
goto BgL_statezd2103zd21132z00_8602;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9470; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9475;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12268;
BgL_tmpz00_12268 = 
((obj_t)BgL_iportz00_9469); 
BgL_curz00_9475 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12268, BgL_forwardz00_9471); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9475)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2635z00_9476;
BgL_arg2635z00_9476 = 
(((long)1)+BgL_forwardz00_9471); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9477;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12275;
BgL_tmpz00_12275 = 
((obj_t)BgL_iportz00_9469); 
RGC_STOP_MATCH(BgL_tmpz00_12275, BgL_arg2635z00_9476); } 
BgL_newzd2matchzd2_9477 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9477; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9470; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9463; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9175)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8702 = BgL_iportz00_9169; 
BgL_lastzd2matchzd2_8703 = BgL_lastzd2matchzd2_9170; 
BgL_forwardz00_8704 = 
(((long)1)+BgL_forwardz00_9171); 
BgL_bufposz00_8705 = BgL_bufposz00_9172; 
BgL_statezd298zd21127z00_8513:
if(
(BgL_forwardz00_8704==BgL_bufposz00_8705))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8702)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1788z00_8706; long BgL_arg1790z00_8707;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12288;
BgL_tmpz00_12288 = 
((obj_t)BgL_iportz00_8702); 
BgL_arg1788z00_8706 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12288); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12291;
BgL_tmpz00_12291 = 
((obj_t)BgL_iportz00_8702); 
BgL_arg1790z00_8707 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12291); } 
{ 
 long BgL_bufposz00_12295; long BgL_forwardz00_12294;
BgL_forwardz00_12294 = BgL_arg1788z00_8706; 
BgL_bufposz00_12295 = BgL_arg1790z00_8707; 
BgL_bufposz00_8705 = BgL_bufposz00_12295; 
BgL_forwardz00_8704 = BgL_forwardz00_12294; 
goto BgL_statezd298zd21127z00_8513;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8703; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8708;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12296;
BgL_tmpz00_12296 = 
((obj_t)BgL_iportz00_8702); 
BgL_curz00_8708 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12296, BgL_forwardz00_8704); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8708)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8709 = BgL_iportz00_8702; 
BgL_lastzd2matchzd2_8710 = BgL_lastzd2matchzd2_8703; 
BgL_forwardz00_8711 = 
(((long)1)+BgL_forwardz00_8704); 
BgL_bufposz00_8712 = BgL_bufposz00_8705; 
BgL_statezd2105zd21134z00_8514:
if(
(BgL_forwardz00_8711==BgL_bufposz00_8712))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8709)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1804z00_8713; long BgL_arg1805z00_8714;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12307;
BgL_tmpz00_12307 = 
((obj_t)BgL_iportz00_8709); 
BgL_arg1804z00_8713 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12307); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12310;
BgL_tmpz00_12310 = 
((obj_t)BgL_iportz00_8709); 
BgL_arg1805z00_8714 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12310); } 
{ 
 long BgL_bufposz00_12314; long BgL_forwardz00_12313;
BgL_forwardz00_12313 = BgL_arg1804z00_8713; 
BgL_bufposz00_12314 = BgL_arg1805z00_8714; 
BgL_bufposz00_8712 = BgL_bufposz00_12314; 
BgL_forwardz00_8711 = BgL_forwardz00_12313; 
goto BgL_statezd2105zd21134z00_8514;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8710; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8715;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12315;
BgL_tmpz00_12315 = 
((obj_t)BgL_iportz00_8709); 
BgL_curz00_8715 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12315, BgL_forwardz00_8711); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8715)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1812z00_8716;
BgL_arg1812z00_8716 = 
(((long)1)+BgL_forwardz00_8711); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8717;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12322;
BgL_tmpz00_12322 = 
((obj_t)BgL_iportz00_8709); 
RGC_STOP_MATCH(BgL_tmpz00_12322, BgL_arg1812z00_8716); } 
BgL_newzd2matchzd2_8717 = ((long)18); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8717; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8710; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8703; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9175)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9119 = BgL_iportz00_9169; 
BgL_lastzd2matchzd2_9120 = BgL_lastzd2matchzd2_9170; 
BgL_forwardz00_9121 = 
(((long)1)+BgL_forwardz00_9171); 
BgL_bufposz00_9122 = BgL_bufposz00_9172; 
BgL_statezd297zd21126z00_8561:
if(
(BgL_forwardz00_9121==BgL_bufposz00_9122))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9119)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2295z00_9123; long BgL_arg2296z00_9124;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12335;
BgL_tmpz00_12335 = 
((obj_t)BgL_iportz00_9119); 
BgL_arg2295z00_9123 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12335); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12338;
BgL_tmpz00_12338 = 
((obj_t)BgL_iportz00_9119); 
BgL_arg2296z00_9124 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12338); } 
{ 
 long BgL_bufposz00_12342; long BgL_forwardz00_12341;
BgL_forwardz00_12341 = BgL_arg2295z00_9123; 
BgL_bufposz00_12342 = BgL_arg2296z00_9124; 
BgL_bufposz00_9122 = BgL_bufposz00_12342; 
BgL_forwardz00_9121 = BgL_forwardz00_12341; 
goto BgL_statezd297zd21126z00_8561;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9120; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9125;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12343;
BgL_tmpz00_12343 = 
((obj_t)BgL_iportz00_9119); 
BgL_curz00_9125 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12343, BgL_forwardz00_9121); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9125)==((long)125)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9176 = BgL_iportz00_9119; 
BgL_lastzd2matchzd2_9177 = BgL_lastzd2matchzd2_9120; 
BgL_forwardz00_9178 = 
(((long)1)+BgL_forwardz00_9121); 
BgL_bufposz00_9179 = BgL_bufposz00_9122; 
BgL_statezd2107zd21136z00_8568:
if(
(BgL_forwardz00_9178==BgL_bufposz00_9179))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9176)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2352z00_9180; long BgL_arg2353z00_9181;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12354;
BgL_tmpz00_12354 = 
((obj_t)BgL_iportz00_9176); 
BgL_arg2352z00_9180 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12354); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12357;
BgL_tmpz00_12357 = 
((obj_t)BgL_iportz00_9176); 
BgL_arg2353z00_9181 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12357); } 
{ 
 long BgL_bufposz00_12361; long BgL_forwardz00_12360;
BgL_forwardz00_12360 = BgL_arg2352z00_9180; 
BgL_bufposz00_12361 = BgL_arg2353z00_9181; 
BgL_bufposz00_9179 = BgL_bufposz00_12361; 
BgL_forwardz00_9178 = BgL_forwardz00_12360; 
goto BgL_statezd2107zd21136z00_8568;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9177; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9182;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12362;
BgL_tmpz00_12362 = 
((obj_t)BgL_iportz00_9176); 
BgL_curz00_9182 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12362, BgL_forwardz00_9178); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9182)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2355z00_9183;
BgL_arg2355z00_9183 = 
(((long)1)+BgL_forwardz00_9178); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9184;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12369;
BgL_tmpz00_12369 = 
((obj_t)BgL_iportz00_9176); 
RGC_STOP_MATCH(BgL_tmpz00_12369, BgL_arg2355z00_9183); } 
BgL_newzd2matchzd2_9184 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9184; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9177; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9120; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9170; } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8956)==((long)117)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8718 = BgL_iportz00_8950; 
BgL_lastzd2matchzd2_8719 = BgL_lastzd2matchzd2_8951; 
BgL_forwardz00_8720 = 
(((long)1)+BgL_forwardz00_8952); 
BgL_bufposz00_8721 = BgL_bufposz00_8953; 
BgL_statezd295zd21124z00_8515:
if(
(BgL_forwardz00_8720==BgL_bufposz00_8721))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8718)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1816z00_8722; long BgL_arg1817z00_8723;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12383;
BgL_tmpz00_12383 = 
((obj_t)BgL_iportz00_8718); 
BgL_arg1816z00_8722 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12383); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12386;
BgL_tmpz00_12386 = 
((obj_t)BgL_iportz00_8718); 
BgL_arg1817z00_8723 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12386); } 
{ 
 long BgL_bufposz00_12390; long BgL_forwardz00_12389;
BgL_forwardz00_12389 = BgL_arg1816z00_8722; 
BgL_bufposz00_12390 = BgL_arg1817z00_8723; 
BgL_bufposz00_8721 = BgL_bufposz00_12390; 
BgL_forwardz00_8720 = BgL_forwardz00_12389; 
goto BgL_statezd295zd21124z00_8515;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8719; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8724;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12391;
BgL_tmpz00_12391 = 
((obj_t)BgL_iportz00_8718); 
BgL_curz00_8724 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12391, BgL_forwardz00_8720); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8724)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1819z00_8725;
BgL_arg1819z00_8725 = 
(((long)1)+BgL_forwardz00_8720); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8726;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12398;
BgL_tmpz00_12398 = 
((obj_t)BgL_iportz00_8718); 
RGC_STOP_MATCH(BgL_tmpz00_12398, BgL_arg1819z00_8725); } 
BgL_newzd2matchzd2_8726 = ((long)33); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8726; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8719; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8956)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8674 = BgL_iportz00_8950; 
BgL_lastzd2matchzd2_8675 = BgL_lastzd2matchzd2_8951; 
BgL_forwardz00_8676 = 
(((long)1)+BgL_forwardz00_8952); 
BgL_bufposz00_8677 = BgL_bufposz00_8953; 
BgL_statezd294zd21123z00_8510:
if(
(BgL_forwardz00_8676==BgL_bufposz00_8677))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8674)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1639z00_8678; long BgL_arg1644z00_8679;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12410;
BgL_tmpz00_12410 = 
((obj_t)BgL_iportz00_8674); 
BgL_arg1639z00_8678 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12410); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12413;
BgL_tmpz00_12413 = 
((obj_t)BgL_iportz00_8674); 
BgL_arg1644z00_8679 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12413); } 
{ 
 long BgL_bufposz00_12417; long BgL_forwardz00_12416;
BgL_forwardz00_12416 = BgL_arg1639z00_8678; 
BgL_bufposz00_12417 = BgL_arg1644z00_8679; 
BgL_bufposz00_8677 = BgL_bufposz00_12417; 
BgL_forwardz00_8676 = BgL_forwardz00_12416; 
goto BgL_statezd294zd21123z00_8510;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8675; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8680;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12418;
BgL_tmpz00_12418 = 
((obj_t)BgL_iportz00_8674); 
BgL_curz00_8680 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12418, BgL_forwardz00_8676); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8680)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1647z00_8681;
BgL_arg1647z00_8681 = 
(((long)1)+BgL_forwardz00_8676); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8682;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12425;
BgL_tmpz00_12425 = 
((obj_t)BgL_iportz00_8674); 
RGC_STOP_MATCH(BgL_tmpz00_12425, BgL_arg1647z00_8681); } 
BgL_newzd2matchzd2_8682 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8682; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8675; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8956)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8823 = BgL_iportz00_8950; 
BgL_lastzd2matchzd2_8824 = BgL_lastzd2matchzd2_8951; 
BgL_forwardz00_8825 = 
(((long)1)+BgL_forwardz00_8952); 
BgL_bufposz00_8826 = BgL_bufposz00_8953; 
BgL_statezd293zd21122z00_8526:
if(
(BgL_forwardz00_8825==BgL_bufposz00_8826))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8823)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1914z00_8827; long BgL_arg1915z00_8828;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12437;
BgL_tmpz00_12437 = 
((obj_t)BgL_iportz00_8823); 
BgL_arg1914z00_8827 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12437); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12440;
BgL_tmpz00_12440 = 
((obj_t)BgL_iportz00_8823); 
BgL_arg1915z00_8828 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12440); } 
{ 
 long BgL_bufposz00_12444; long BgL_forwardz00_12443;
BgL_forwardz00_12443 = BgL_arg1914z00_8827; 
BgL_bufposz00_12444 = BgL_arg1915z00_8828; 
BgL_bufposz00_8826 = BgL_bufposz00_12444; 
BgL_forwardz00_8825 = BgL_forwardz00_12443; 
goto BgL_statezd293zd21122z00_8526;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8824; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8829;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12445;
BgL_tmpz00_12445 = 
((obj_t)BgL_iportz00_8823); 
BgL_curz00_8829 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12445, BgL_forwardz00_8825); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8829)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9478 = BgL_iportz00_8823; 
BgL_lastzd2matchzd2_9479 = BgL_lastzd2matchzd2_8824; 
BgL_forwardz00_9480 = 
(((long)1)+BgL_forwardz00_8825); 
BgL_bufposz00_9481 = BgL_bufposz00_8826; 
BgL_statezd2111zd21140z00_8603:
if(
(BgL_forwardz00_9480==BgL_bufposz00_9481))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9478)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2639z00_9482; long BgL_arg2640z00_9483;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12456;
BgL_tmpz00_12456 = 
((obj_t)BgL_iportz00_9478); 
BgL_arg2639z00_9482 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12456); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12459;
BgL_tmpz00_12459 = 
((obj_t)BgL_iportz00_9478); 
BgL_arg2640z00_9483 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12459); } 
{ 
 long BgL_bufposz00_12463; long BgL_forwardz00_12462;
BgL_forwardz00_12462 = BgL_arg2639z00_9482; 
BgL_bufposz00_12463 = BgL_arg2640z00_9483; 
BgL_bufposz00_9481 = BgL_bufposz00_12463; 
BgL_forwardz00_9480 = BgL_forwardz00_12462; 
goto BgL_statezd2111zd21140z00_8603;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9479; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9484;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12464;
BgL_tmpz00_12464 = 
((obj_t)BgL_iportz00_9478); 
BgL_curz00_9484 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12464, BgL_forwardz00_9480); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9484)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2642z00_9485;
BgL_arg2642z00_9485 = 
(((long)1)+BgL_forwardz00_9480); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9486;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12471;
BgL_tmpz00_12471 = 
((obj_t)BgL_iportz00_9478); 
RGC_STOP_MATCH(BgL_tmpz00_12471, BgL_arg2642z00_9485); } 
BgL_newzd2matchzd2_9486 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9486; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9479; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8829)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8997 = BgL_iportz00_8823; 
BgL_lastzd2matchzd2_8998 = BgL_lastzd2matchzd2_8824; 
BgL_forwardz00_8999 = 
(((long)1)+BgL_forwardz00_8825); 
BgL_bufposz00_9000 = BgL_bufposz00_8826; 
BgL_statezd2110zd21139z00_8547:
if(
(BgL_forwardz00_8999==BgL_bufposz00_9000))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8997)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2153z00_9001; long BgL_arg2154z00_9002;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12483;
BgL_tmpz00_12483 = 
((obj_t)BgL_iportz00_8997); 
BgL_arg2153z00_9001 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12483); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12486;
BgL_tmpz00_12486 = 
((obj_t)BgL_iportz00_8997); 
BgL_arg2154z00_9002 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12486); } 
{ 
 long BgL_bufposz00_12490; long BgL_forwardz00_12489;
BgL_forwardz00_12489 = BgL_arg2153z00_9001; 
BgL_bufposz00_12490 = BgL_arg2154z00_9002; 
BgL_bufposz00_9000 = BgL_bufposz00_12490; 
BgL_forwardz00_8999 = BgL_forwardz00_12489; 
goto BgL_statezd2110zd21139z00_8547;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8998; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9003;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12491;
BgL_tmpz00_12491 = 
((obj_t)BgL_iportz00_8997); 
BgL_curz00_9003 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12491, BgL_forwardz00_8999); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9003)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2156z00_9004;
BgL_arg2156z00_9004 = 
(((long)1)+BgL_forwardz00_8999); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9005;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12498;
BgL_tmpz00_12498 = 
((obj_t)BgL_iportz00_8997); 
RGC_STOP_MATCH(BgL_tmpz00_12498, BgL_arg2156z00_9004); } 
BgL_newzd2matchzd2_9005 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9005; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8998; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8824; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8956)==((long)85)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9208 = BgL_iportz00_8950; 
BgL_lastzd2matchzd2_9209 = BgL_lastzd2matchzd2_8951; 
BgL_forwardz00_9210 = 
(((long)1)+BgL_forwardz00_8952); 
BgL_bufposz00_9211 = BgL_bufposz00_8953; 
BgL_statezd292zd21121z00_8572:
if(
(BgL_forwardz00_9210==BgL_bufposz00_9211))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9208)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2383z00_9212; long BgL_arg2384z00_9213;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12511;
BgL_tmpz00_12511 = 
((obj_t)BgL_iportz00_9208); 
BgL_arg2383z00_9212 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12511); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12514;
BgL_tmpz00_12514 = 
((obj_t)BgL_iportz00_9208); 
BgL_arg2384z00_9213 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12514); } 
{ 
 long BgL_bufposz00_12518; long BgL_forwardz00_12517;
BgL_forwardz00_12517 = BgL_arg2383z00_9212; 
BgL_bufposz00_12518 = BgL_arg2384z00_9213; 
BgL_bufposz00_9211 = BgL_bufposz00_12518; 
BgL_forwardz00_9210 = BgL_forwardz00_12517; 
goto BgL_statezd292zd21121z00_8572;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9209; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9214;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12519;
BgL_tmpz00_12519 = 
((obj_t)BgL_iportz00_9208); 
BgL_curz00_9214 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12519, BgL_forwardz00_9210); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9214)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2386z00_9215;
BgL_arg2386z00_9215 = 
(((long)1)+BgL_forwardz00_9210); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9216;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12526;
BgL_tmpz00_12526 = 
((obj_t)BgL_iportz00_9208); 
RGC_STOP_MATCH(BgL_tmpz00_12526, BgL_arg2386z00_9215); } 
BgL_newzd2matchzd2_9216 = ((long)34); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9216; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9209; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8956)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9644 = BgL_iportz00_8950; 
BgL_lastzd2matchzd2_9645 = BgL_lastzd2matchzd2_8951; 
BgL_forwardz00_9646 = 
(((long)1)+BgL_forwardz00_8952); 
BgL_bufposz00_9647 = BgL_bufposz00_8953; 
BgL_statezd291zd21120z00_8622:
if(
(BgL_forwardz00_9646==BgL_bufposz00_9647))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9644)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2817z00_9648; long BgL_arg2818z00_9649;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12538;
BgL_tmpz00_12538 = 
((obj_t)BgL_iportz00_9644); 
BgL_arg2817z00_9648 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12538); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12541;
BgL_tmpz00_12541 = 
((obj_t)BgL_iportz00_9644); 
BgL_arg2818z00_9649 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12541); } 
{ 
 long BgL_bufposz00_12545; long BgL_forwardz00_12544;
BgL_forwardz00_12544 = BgL_arg2817z00_9648; 
BgL_bufposz00_12545 = BgL_arg2818z00_9649; 
BgL_bufposz00_9647 = BgL_bufposz00_12545; 
BgL_forwardz00_9646 = BgL_forwardz00_12544; 
goto BgL_statezd291zd21120z00_8622;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9645; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9650;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12546;
BgL_tmpz00_12546 = 
((obj_t)BgL_iportz00_9644); 
BgL_curz00_9650 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12546, BgL_forwardz00_9646); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9650)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2820z00_9651;
BgL_arg2820z00_9651 = 
(((long)1)+BgL_forwardz00_9646); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9652;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12553;
BgL_tmpz00_12553 = 
((obj_t)BgL_iportz00_9644); 
RGC_STOP_MATCH(BgL_tmpz00_12553, BgL_arg2820z00_9651); } 
BgL_newzd2matchzd2_9652 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9652; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9645; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8951; } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8684; } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9384; } } } } break;case ((long)92) : 

BgL_iportz00_8690 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_8691 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_8692 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_8693 = BgL_bufposz00_9098; 
BgL_statezd211zd21040z00_8512:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8694;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12560;
BgL_tmpz00_12560 = 
((obj_t)BgL_iportz00_8690); 
RGC_STOP_MATCH(BgL_tmpz00_12560, BgL_forwardz00_8692); } 
BgL_newzd2matchzd2_8694 = ((long)42); 
if(
(BgL_forwardz00_8692==BgL_bufposz00_8693))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8690)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1713z00_8695; long BgL_arg1718z00_8696;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12568;
BgL_tmpz00_12568 = 
((obj_t)BgL_iportz00_8690); 
BgL_arg1713z00_8695 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12568); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12571;
BgL_tmpz00_12571 = 
((obj_t)BgL_iportz00_8690); 
BgL_arg1718z00_8696 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12571); } 
{ 
 long BgL_bufposz00_12575; long BgL_forwardz00_12574;
BgL_forwardz00_12574 = BgL_arg1713z00_8695; 
BgL_bufposz00_12575 = BgL_arg1718z00_8696; 
BgL_bufposz00_8693 = BgL_bufposz00_12575; 
BgL_forwardz00_8692 = BgL_forwardz00_12574; 
goto BgL_statezd211zd21040z00_8512;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8694; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8697;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12576;
BgL_tmpz00_12576 = 
((obj_t)BgL_iportz00_8690); 
BgL_curz00_8697 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12576, BgL_forwardz00_8692); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8697)==((long)126)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9185 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_9186 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_9187 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_9188 = BgL_bufposz00_8693; 
BgL_statezd2123zd21152z00_8569:
if(
(BgL_forwardz00_9187==BgL_bufposz00_9188))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9185)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2359z00_9189; long BgL_arg2360z00_9190;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12587;
BgL_tmpz00_12587 = 
((obj_t)BgL_iportz00_9185); 
BgL_arg2359z00_9189 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12587); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12590;
BgL_tmpz00_12590 = 
((obj_t)BgL_iportz00_9185); 
BgL_arg2360z00_9190 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12590); } 
{ 
 long BgL_bufposz00_12594; long BgL_forwardz00_12593;
BgL_forwardz00_12593 = BgL_arg2359z00_9189; 
BgL_bufposz00_12594 = BgL_arg2360z00_9190; 
BgL_bufposz00_9188 = BgL_bufposz00_12594; 
BgL_forwardz00_9187 = BgL_forwardz00_12593; 
goto BgL_statezd2123zd21152z00_8569;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9186; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9191;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12595;
BgL_tmpz00_12595 = 
((obj_t)BgL_iportz00_9185); 
BgL_curz00_9191 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12595, BgL_forwardz00_9187); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9191)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9415 = BgL_iportz00_9185; 
BgL_lastzd2matchzd2_9416 = BgL_lastzd2matchzd2_9186; 
BgL_forwardz00_9417 = 
(((long)1)+BgL_forwardz00_9187); 
BgL_bufposz00_9418 = BgL_bufposz00_9188; 
BgL_statezd2124zd21153z00_8595:
if(
(BgL_forwardz00_9417==BgL_bufposz00_9418))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9415)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2575z00_9419; long BgL_arg2576z00_9420;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12606;
BgL_tmpz00_12606 = 
((obj_t)BgL_iportz00_9415); 
BgL_arg2575z00_9419 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12606); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12609;
BgL_tmpz00_12609 = 
((obj_t)BgL_iportz00_9415); 
BgL_arg2576z00_9420 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12609); } 
{ 
 long BgL_bufposz00_12613; long BgL_forwardz00_12612;
BgL_forwardz00_12612 = BgL_arg2575z00_9419; 
BgL_bufposz00_12613 = BgL_arg2576z00_9420; 
BgL_bufposz00_9418 = BgL_bufposz00_12613; 
BgL_forwardz00_9417 = BgL_forwardz00_12612; 
goto BgL_statezd2124zd21153z00_8595;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9416; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9421;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12614;
BgL_tmpz00_12614 = 
((obj_t)BgL_iportz00_9415); 
BgL_curz00_9421 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12614, BgL_forwardz00_9417); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9421)==((long)110)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9065 = BgL_iportz00_9415; 
BgL_lastzd2matchzd2_9066 = BgL_lastzd2matchzd2_9416; 
BgL_forwardz00_9067 = 
(((long)1)+BgL_forwardz00_9417); 
BgL_bufposz00_9068 = BgL_bufposz00_9418; 
BgL_statezd2126zd21155z00_8555:
if(
(BgL_forwardz00_9067==BgL_bufposz00_9068))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9065)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2228z00_9069; long BgL_arg2229z00_9070;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12625;
BgL_tmpz00_12625 = 
((obj_t)BgL_iportz00_9065); 
BgL_arg2228z00_9069 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12625); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12628;
BgL_tmpz00_12628 = 
((obj_t)BgL_iportz00_9065); 
BgL_arg2229z00_9070 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12628); } 
{ 
 long BgL_bufposz00_12632; long BgL_forwardz00_12631;
BgL_forwardz00_12631 = BgL_arg2228z00_9069; 
BgL_bufposz00_12632 = BgL_arg2229z00_9070; 
BgL_bufposz00_9068 = BgL_bufposz00_12632; 
BgL_forwardz00_9067 = BgL_forwardz00_12631; 
goto BgL_statezd2126zd21155z00_8555;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9066; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9071;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12633;
BgL_tmpz00_12633 = 
((obj_t)BgL_iportz00_9065); 
BgL_curz00_9071 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12633, BgL_forwardz00_9067); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9071)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2231z00_9072;
BgL_arg2231z00_9072 = 
(((long)1)+BgL_forwardz00_9067); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9073;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12640;
BgL_tmpz00_12640 = 
((obj_t)BgL_iportz00_9065); 
RGC_STOP_MATCH(BgL_tmpz00_12640, BgL_arg2231z00_9072); } 
BgL_newzd2matchzd2_9073 = ((long)13); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9073; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9066; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9421)==((long)78)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9285 = BgL_iportz00_9415; 
BgL_lastzd2matchzd2_9286 = BgL_lastzd2matchzd2_9416; 
BgL_forwardz00_9287 = 
(((long)1)+BgL_forwardz00_9417); 
BgL_bufposz00_9288 = BgL_bufposz00_9418; 
BgL_statezd2125zd21154z00_8580:
if(
(BgL_forwardz00_9287==BgL_bufposz00_9288))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9285)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2453z00_9289; long BgL_arg2454z00_9290;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12652;
BgL_tmpz00_12652 = 
((obj_t)BgL_iportz00_9285); 
BgL_arg2453z00_9289 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12652); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12655;
BgL_tmpz00_12655 = 
((obj_t)BgL_iportz00_9285); 
BgL_arg2454z00_9290 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12655); } 
{ 
 long BgL_bufposz00_12659; long BgL_forwardz00_12658;
BgL_forwardz00_12658 = BgL_arg2453z00_9289; 
BgL_bufposz00_12659 = BgL_arg2454z00_9290; 
BgL_bufposz00_9288 = BgL_bufposz00_12659; 
BgL_forwardz00_9287 = BgL_forwardz00_12658; 
goto BgL_statezd2125zd21154z00_8580;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9286; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9291;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12660;
BgL_tmpz00_12660 = 
((obj_t)BgL_iportz00_9285); 
BgL_curz00_9291 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12660, BgL_forwardz00_9287); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9291)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2456z00_9292;
BgL_arg2456z00_9292 = 
(((long)1)+BgL_forwardz00_9287); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9293;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12667;
BgL_tmpz00_12667 = 
((obj_t)BgL_iportz00_9285); 
RGC_STOP_MATCH(BgL_tmpz00_12667, BgL_arg2456z00_9292); } 
BgL_newzd2matchzd2_9293 = ((long)14); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9293; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9286; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9416; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9186; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8893 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_8894 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_8895 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_8896 = BgL_bufposz00_8693; 
BgL_statezd2122zd21151z00_8535:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8897;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12676;
BgL_tmpz00_12676 = 
((obj_t)BgL_iportz00_8893); 
RGC_STOP_MATCH(BgL_tmpz00_12676, BgL_forwardz00_8895); } 
BgL_newzd2matchzd2_8897 = ((long)11); 
if(
(BgL_forwardz00_8895==BgL_bufposz00_8896))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8893)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2012z00_8898; long BgL_arg2013z00_8899;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12684;
BgL_tmpz00_12684 = 
((obj_t)BgL_iportz00_8893); 
BgL_arg2012z00_8898 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12684); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12687;
BgL_tmpz00_12687 = 
((obj_t)BgL_iportz00_8893); 
BgL_arg2013z00_8899 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12687); } 
{ 
 long BgL_bufposz00_12691; long BgL_forwardz00_12690;
BgL_forwardz00_12690 = BgL_arg2012z00_8898; 
BgL_bufposz00_12691 = BgL_arg2013z00_8899; 
BgL_bufposz00_8896 = BgL_bufposz00_12691; 
BgL_forwardz00_8895 = BgL_forwardz00_12690; 
goto BgL_statezd2122zd21151z00_8535;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8897; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8900;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12692;
BgL_tmpz00_12692 = 
((obj_t)BgL_iportz00_8893); 
BgL_curz00_8900 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12692, BgL_forwardz00_8895); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4479z00_12695;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4480z00_12696;
if(
(
(long)(BgL_curz00_8900)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4480z00_12696 = 
(
(long)(BgL_curz00_8900)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4480z00_12696 = ((bool_t)0)
; } 
if(BgL_test4480z00_12696)
{ /* Llib/bibtex.scm 103 */
BgL_test4479z00_12695 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4482z00_12702;
if(
(
(long)(BgL_curz00_8900)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4482z00_12702 = 
(
(long)(BgL_curz00_8900)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4482z00_12702 = ((bool_t)0)
; } 
if(BgL_test4482z00_12702)
{ /* Llib/bibtex.scm 103 */
BgL_test4479z00_12695 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8900)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4479z00_12695 = 
(
(long)(BgL_curz00_8900)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4479z00_12695 = ((bool_t)0)
; } } } } 
if(BgL_test4479z00_12695)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9661 = BgL_iportz00_8893; 
BgL_lastzd2matchzd2_9662 = BgL_newzd2matchzd2_8897; 
BgL_forwardz00_9663 = 
(((long)1)+BgL_forwardz00_8895); 
BgL_bufposz00_9664 = BgL_bufposz00_8896; 
BgL_statezd2114zd21143z00_8624:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9665;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12713;
BgL_tmpz00_12713 = 
((obj_t)BgL_iportz00_9661); 
RGC_STOP_MATCH(BgL_tmpz00_12713, BgL_forwardz00_9663); } 
BgL_newzd2matchzd2_9665 = ((long)37); 
if(
(BgL_forwardz00_9663==BgL_bufposz00_9664))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9661)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2832z00_9666; long BgL_arg2833z00_9667;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12721;
BgL_tmpz00_12721 = 
((obj_t)BgL_iportz00_9661); 
BgL_arg2832z00_9666 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12721); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12724;
BgL_tmpz00_12724 = 
((obj_t)BgL_iportz00_9661); 
BgL_arg2833z00_9667 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12724); } 
{ 
 long BgL_bufposz00_12728; long BgL_forwardz00_12727;
BgL_forwardz00_12727 = BgL_arg2832z00_9666; 
BgL_bufposz00_12728 = BgL_arg2833z00_9667; 
BgL_bufposz00_9664 = BgL_bufposz00_12728; 
BgL_forwardz00_9663 = BgL_forwardz00_12727; 
goto BgL_statezd2114zd21143z00_8624;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9665; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9668;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12729;
BgL_tmpz00_12729 = 
((obj_t)BgL_iportz00_9661); 
BgL_curz00_9668 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12729, BgL_forwardz00_9663); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4487z00_12732;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4488z00_12733;
if(
(
(long)(BgL_curz00_9668)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4488z00_12733 = 
(
(long)(BgL_curz00_9668)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4488z00_12733 = ((bool_t)0)
; } 
if(BgL_test4488z00_12733)
{ /* Llib/bibtex.scm 103 */
BgL_test4487z00_12732 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4490z00_12739;
if(
(
(long)(BgL_curz00_9668)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4490z00_12739 = 
(
(long)(BgL_curz00_9668)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4490z00_12739 = ((bool_t)0)
; } 
if(BgL_test4490z00_12739)
{ /* Llib/bibtex.scm 103 */
BgL_test4487z00_12732 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9668)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4487z00_12732 = 
(
(long)(BgL_curz00_9668)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4487z00_12732 = ((bool_t)0)
; } } } } 
if(BgL_test4487z00_12732)
{ 
 long BgL_forwardz00_12751; long BgL_lastzd2matchzd2_12750;
BgL_lastzd2matchzd2_12750 = BgL_newzd2matchzd2_9665; 
BgL_forwardz00_12751 = 
(((long)1)+BgL_forwardz00_9663); 
BgL_forwardz00_9663 = BgL_forwardz00_12751; 
BgL_lastzd2matchzd2_9662 = BgL_lastzd2matchzd2_12750; 
goto BgL_statezd2114zd21143z00_8624;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9665; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8897; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)96)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9226 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_9227 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_9228 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_9229 = BgL_bufposz00_8693; 
BgL_statezd2121zd21150z00_8574:
if(
(BgL_forwardz00_9228==BgL_bufposz00_9229))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9226)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2399z00_9230; long BgL_arg2400z00_9231;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12763;
BgL_tmpz00_12763 = 
((obj_t)BgL_iportz00_9226); 
BgL_arg2399z00_9230 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12763); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12766;
BgL_tmpz00_12766 = 
((obj_t)BgL_iportz00_9226); 
BgL_arg2400z00_9231 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12766); } 
{ 
 long BgL_bufposz00_12770; long BgL_forwardz00_12769;
BgL_forwardz00_12769 = BgL_arg2399z00_9230; 
BgL_bufposz00_12770 = BgL_arg2400z00_9231; 
BgL_bufposz00_9229 = BgL_bufposz00_12770; 
BgL_forwardz00_9228 = BgL_forwardz00_12769; 
goto BgL_statezd2121zd21150z00_8574;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9227; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9232;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12771;
BgL_tmpz00_12771 = 
((obj_t)BgL_iportz00_9226); 
BgL_curz00_9232 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12771, BgL_forwardz00_9228); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9232)==((long)117)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2402z00_9233;
BgL_arg2402z00_9233 = 
(((long)1)+BgL_forwardz00_9228); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9234;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12778;
BgL_tmpz00_12778 = 
((obj_t)BgL_iportz00_9226); 
RGC_STOP_MATCH(BgL_tmpz00_12778, BgL_arg2402z00_9233); } 
BgL_newzd2matchzd2_9234 = ((long)35); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9234; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9232)==((long)101)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2404z00_9235;
BgL_arg2404z00_9235 = 
(((long)1)+BgL_forwardz00_9228); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9236;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12785;
BgL_tmpz00_12785 = 
((obj_t)BgL_iportz00_9226); 
RGC_STOP_MATCH(BgL_tmpz00_12785, BgL_arg2404z00_9235); } 
BgL_newzd2matchzd2_9236 = ((long)19); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9236; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9232)==((long)97)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2406z00_9237;
BgL_arg2406z00_9237 = 
(((long)1)+BgL_forwardz00_9228); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9238;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12792;
BgL_tmpz00_12792 = 
((obj_t)BgL_iportz00_9226); 
RGC_STOP_MATCH(BgL_tmpz00_12792, BgL_arg2406z00_9237); } 
BgL_newzd2matchzd2_9238 = ((long)23); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9238; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9232)==((long)85)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2408z00_9239;
BgL_arg2408z00_9239 = 
(((long)1)+BgL_forwardz00_9228); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9240;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12799;
BgL_tmpz00_12799 = 
((obj_t)BgL_iportz00_9226); 
RGC_STOP_MATCH(BgL_tmpz00_12799, BgL_arg2408z00_9239); } 
BgL_newzd2matchzd2_9240 = ((long)36); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9240; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9232)==((long)69)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2410z00_9241;
BgL_arg2410z00_9241 = 
(((long)1)+BgL_forwardz00_9228); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9242;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12806;
BgL_tmpz00_12806 = 
((obj_t)BgL_iportz00_9226); 
RGC_STOP_MATCH(BgL_tmpz00_12806, BgL_arg2410z00_9241); } 
BgL_newzd2matchzd2_9242 = ((long)20); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9242; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9232)==((long)65)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2412z00_9243;
BgL_arg2412z00_9243 = 
(((long)1)+BgL_forwardz00_9228); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9244;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12813;
BgL_tmpz00_12813 = 
((obj_t)BgL_iportz00_9226); 
RGC_STOP_MATCH(BgL_tmpz00_12813, BgL_arg2412z00_9243); } 
BgL_newzd2matchzd2_9244 = ((long)25); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9244; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9227; } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8869 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_8870 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_8871 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_8872 = BgL_bufposz00_8693; 
BgL_statezd2120zd21149z00_8532:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8873;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12820;
BgL_tmpz00_12820 = 
((obj_t)BgL_iportz00_8869); 
RGC_STOP_MATCH(BgL_tmpz00_12820, BgL_forwardz00_8871); } 
BgL_newzd2matchzd2_8873 = ((long)7); 
if(
(BgL_forwardz00_8871==BgL_bufposz00_8872))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8869)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1978z00_8874; long BgL_arg1979z00_8875;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12828;
BgL_tmpz00_12828 = 
((obj_t)BgL_iportz00_8869); 
BgL_arg1978z00_8874 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12828); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12831;
BgL_tmpz00_12831 = 
((obj_t)BgL_iportz00_8869); 
BgL_arg1979z00_8875 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12831); } 
{ 
 long BgL_bufposz00_12835; long BgL_forwardz00_12834;
BgL_forwardz00_12834 = BgL_arg1978z00_8874; 
BgL_bufposz00_12835 = BgL_arg1979z00_8875; 
BgL_bufposz00_8872 = BgL_bufposz00_12835; 
BgL_forwardz00_8871 = BgL_forwardz00_12834; 
goto BgL_statezd2120zd21149z00_8532;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8873; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8876;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12836;
BgL_tmpz00_12836 = 
((obj_t)BgL_iportz00_8869); 
BgL_curz00_8876 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12836, BgL_forwardz00_8871); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4505z00_12839;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4506z00_12840;
if(
(
(long)(BgL_curz00_8876)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4506z00_12840 = 
(
(long)(BgL_curz00_8876)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4506z00_12840 = ((bool_t)0)
; } 
if(BgL_test4506z00_12840)
{ /* Llib/bibtex.scm 103 */
BgL_test4505z00_12839 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4508z00_12846;
if(
(
(long)(BgL_curz00_8876)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4508z00_12846 = 
(
(long)(BgL_curz00_8876)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4508z00_12846 = ((bool_t)0)
; } 
if(BgL_test4508z00_12846)
{ /* Llib/bibtex.scm 103 */
BgL_test4505z00_12839 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8876)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4505z00_12839 = 
(
(long)(BgL_curz00_8876)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4505z00_12839 = ((bool_t)0)
; } } } } 
if(BgL_test4505z00_12839)
{ 
 long BgL_bufposz00_12861; long BgL_forwardz00_12859; long BgL_lastzd2matchzd2_12858; obj_t BgL_iportz00_12857;
BgL_iportz00_12857 = BgL_iportz00_8869; 
BgL_lastzd2matchzd2_12858 = BgL_newzd2matchzd2_8873; 
BgL_forwardz00_12859 = 
(((long)1)+BgL_forwardz00_8871); 
BgL_bufposz00_12861 = BgL_bufposz00_8872; 
BgL_bufposz00_9664 = BgL_bufposz00_12861; 
BgL_forwardz00_9663 = BgL_forwardz00_12859; 
BgL_lastzd2matchzd2_9662 = BgL_lastzd2matchzd2_12858; 
BgL_iportz00_9661 = BgL_iportz00_12857; 
goto BgL_statezd2114zd21143z00_8624;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8873; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)94)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9512 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_9513 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_9514 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_9515 = BgL_bufposz00_8693; 
BgL_statezd2119zd21148z00_8607:
if(
(BgL_forwardz00_9514==BgL_bufposz00_9515))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9512)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2681z00_9516; long BgL_arg2682z00_9517;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12871;
BgL_tmpz00_12871 = 
((obj_t)BgL_iportz00_9512); 
BgL_arg2681z00_9516 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12871); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12874;
BgL_tmpz00_12874 = 
((obj_t)BgL_iportz00_9512); 
BgL_arg2682z00_9517 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12874); } 
{ 
 long BgL_bufposz00_12878; long BgL_forwardz00_12877;
BgL_forwardz00_12877 = BgL_arg2681z00_9516; 
BgL_bufposz00_12878 = BgL_arg2682z00_9517; 
BgL_bufposz00_9515 = BgL_bufposz00_12878; 
BgL_forwardz00_9514 = BgL_forwardz00_12877; 
goto BgL_statezd2119zd21148z00_8607;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9513; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9518;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12879;
BgL_tmpz00_12879 = 
((obj_t)BgL_iportz00_9512); 
BgL_curz00_9518 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12879, BgL_forwardz00_9514); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9518)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9088 = BgL_iportz00_9512; 
BgL_lastzd2matchzd2_9089 = BgL_lastzd2matchzd2_9513; 
BgL_forwardz00_9090 = 
(((long)1)+BgL_forwardz00_9514); 
BgL_bufposz00_9091 = BgL_bufposz00_9515; 
BgL_statezd2127zd21156z00_8558:
if(
(BgL_forwardz00_9090==BgL_bufposz00_9091))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9088)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2253z00_9092; long BgL_arg2254z00_9093;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12890;
BgL_tmpz00_12890 = 
((obj_t)BgL_iportz00_9088); 
BgL_arg2253z00_9092 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12890); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12893;
BgL_tmpz00_12893 = 
((obj_t)BgL_iportz00_9088); 
BgL_arg2254z00_9093 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12893); } 
{ 
 long BgL_bufposz00_12897; long BgL_forwardz00_12896;
BgL_forwardz00_12896 = BgL_arg2253z00_9092; 
BgL_bufposz00_12897 = BgL_arg2254z00_9093; 
BgL_bufposz00_9091 = BgL_bufposz00_12897; 
BgL_forwardz00_9090 = BgL_forwardz00_12896; 
goto BgL_statezd2127zd21156z00_8558;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9089; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9094;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12898;
BgL_tmpz00_12898 = 
((obj_t)BgL_iportz00_9088); 
BgL_curz00_9094 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12898, BgL_forwardz00_9090); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9094)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9110 = BgL_iportz00_9088; 
BgL_lastzd2matchzd2_9111 = BgL_lastzd2matchzd2_9089; 
BgL_forwardz00_9112 = 
(((long)1)+BgL_forwardz00_9090); 
BgL_bufposz00_9113 = BgL_bufposz00_9091; 
BgL_statezd2132zd21161z00_8560:
if(
(BgL_forwardz00_9112==BgL_bufposz00_9113))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9110)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2287z00_9114; long BgL_arg2288z00_9115;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12909;
BgL_tmpz00_12909 = 
((obj_t)BgL_iportz00_9110); 
BgL_arg2287z00_9114 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12909); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12912;
BgL_tmpz00_12912 = 
((obj_t)BgL_iportz00_9110); 
BgL_arg2288z00_9115 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12912); } 
{ 
 long BgL_bufposz00_12916; long BgL_forwardz00_12915;
BgL_forwardz00_12915 = BgL_arg2287z00_9114; 
BgL_bufposz00_12916 = BgL_arg2288z00_9115; 
BgL_bufposz00_9113 = BgL_bufposz00_12916; 
BgL_forwardz00_9112 = BgL_forwardz00_12915; 
goto BgL_statezd2132zd21161z00_8560;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9111; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9116;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12917;
BgL_tmpz00_12917 = 
((obj_t)BgL_iportz00_9110); 
BgL_curz00_9116 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12917, BgL_forwardz00_9112); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9116)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2290z00_9117;
BgL_arg2290z00_9117 = 
(((long)1)+BgL_forwardz00_9112); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9118;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12924;
BgL_tmpz00_12924 = 
((obj_t)BgL_iportz00_9110); 
RGC_STOP_MATCH(BgL_tmpz00_12924, BgL_arg2290z00_9117); } 
BgL_newzd2matchzd2_9118 = ((long)15); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9118; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9111; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9094)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9536 = BgL_iportz00_9088; 
BgL_lastzd2matchzd2_9537 = BgL_lastzd2matchzd2_9089; 
BgL_forwardz00_9538 = 
(((long)1)+BgL_forwardz00_9090); 
BgL_bufposz00_9539 = BgL_bufposz00_9091; 
BgL_statezd2131zd21160z00_8609:
if(
(BgL_forwardz00_9538==BgL_bufposz00_9539))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9536)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2703z00_9540; long BgL_arg2704z00_9541;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12936;
BgL_tmpz00_12936 = 
((obj_t)BgL_iportz00_9536); 
BgL_arg2703z00_9540 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12936); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12939;
BgL_tmpz00_12939 = 
((obj_t)BgL_iportz00_9536); 
BgL_arg2704z00_9541 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12939); } 
{ 
 long BgL_bufposz00_12943; long BgL_forwardz00_12942;
BgL_forwardz00_12942 = BgL_arg2703z00_9540; 
BgL_bufposz00_12943 = BgL_arg2704z00_9541; 
BgL_bufposz00_9539 = BgL_bufposz00_12943; 
BgL_forwardz00_9538 = BgL_forwardz00_12942; 
goto BgL_statezd2131zd21160z00_8609;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9537; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9542;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12944;
BgL_tmpz00_12944 = 
((obj_t)BgL_iportz00_9536); 
BgL_curz00_9542 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12944, BgL_forwardz00_9538); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9542)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2706z00_9543;
BgL_arg2706z00_9543 = 
(((long)1)+BgL_forwardz00_9538); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9544;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12951;
BgL_tmpz00_12951 = 
((obj_t)BgL_iportz00_9536); 
RGC_STOP_MATCH(BgL_tmpz00_12951, BgL_arg2706z00_9543); } 
BgL_newzd2matchzd2_9544 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9544; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9537; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9094)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9081 = BgL_iportz00_9088; 
BgL_lastzd2matchzd2_9082 = BgL_lastzd2matchzd2_9089; 
BgL_forwardz00_9083 = 
(((long)1)+BgL_forwardz00_9090); 
BgL_bufposz00_9084 = BgL_bufposz00_9091; 
BgL_statezd2130zd21159z00_8557:
if(
(BgL_forwardz00_9083==BgL_bufposz00_9084))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9081)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2244z00_9085; long BgL_arg2245z00_9086;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12963;
BgL_tmpz00_12963 = 
((obj_t)BgL_iportz00_9081); 
BgL_arg2244z00_9085 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12963); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12966;
BgL_tmpz00_12966 = 
((obj_t)BgL_iportz00_9081); 
BgL_arg2245z00_9086 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12966); } 
{ 
 long BgL_bufposz00_12970; long BgL_forwardz00_12969;
BgL_forwardz00_12969 = BgL_arg2244z00_9085; 
BgL_bufposz00_12970 = BgL_arg2245z00_9086; 
BgL_bufposz00_9084 = BgL_bufposz00_12970; 
BgL_forwardz00_9083 = BgL_forwardz00_12969; 
goto BgL_statezd2130zd21159z00_8557;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9082; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9087;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12971;
BgL_tmpz00_12971 = 
((obj_t)BgL_iportz00_9081); 
BgL_curz00_9087 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12971, BgL_forwardz00_9083); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9087)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8777 = BgL_iportz00_9081; 
BgL_lastzd2matchzd2_8778 = BgL_lastzd2matchzd2_9082; 
BgL_forwardz00_8779 = 
(((long)1)+BgL_forwardz00_9083); 
BgL_bufposz00_8780 = BgL_bufposz00_9084; 
BgL_statezd2134zd21163z00_8522:
if(
(BgL_forwardz00_8779==BgL_bufposz00_8780))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8777)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1873z00_8781; long BgL_arg1874z00_8782;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12982;
BgL_tmpz00_12982 = 
((obj_t)BgL_iportz00_8777); 
BgL_arg1873z00_8781 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_12982); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12985;
BgL_tmpz00_12985 = 
((obj_t)BgL_iportz00_8777); 
BgL_arg1874z00_8782 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_12985); } 
{ 
 long BgL_bufposz00_12989; long BgL_forwardz00_12988;
BgL_forwardz00_12988 = BgL_arg1873z00_8781; 
BgL_bufposz00_12989 = BgL_arg1874z00_8782; 
BgL_bufposz00_8780 = BgL_bufposz00_12989; 
BgL_forwardz00_8779 = BgL_forwardz00_12988; 
goto BgL_statezd2134zd21163z00_8522;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8778; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8783;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12990;
BgL_tmpz00_12990 = 
((obj_t)BgL_iportz00_8777); 
BgL_curz00_8783 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_12990, BgL_forwardz00_8779); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8783)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1876z00_8784;
BgL_arg1876z00_8784 = 
(((long)1)+BgL_forwardz00_8779); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8785;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_12997;
BgL_tmpz00_12997 = 
((obj_t)BgL_iportz00_8777); 
RGC_STOP_MATCH(BgL_tmpz00_12997, BgL_arg1876z00_8784); } 
BgL_newzd2matchzd2_8785 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8785; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8778; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9087)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9312 = BgL_iportz00_9081; 
BgL_lastzd2matchzd2_9313 = BgL_lastzd2matchzd2_9082; 
BgL_forwardz00_9314 = 
(((long)1)+BgL_forwardz00_9083); 
BgL_bufposz00_9315 = BgL_bufposz00_9084; 
BgL_statezd2133zd21162z00_8583:
if(
(BgL_forwardz00_9314==BgL_bufposz00_9315))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9312)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2475z00_9316; long BgL_arg2476z00_9317;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13009;
BgL_tmpz00_13009 = 
((obj_t)BgL_iportz00_9312); 
BgL_arg2475z00_9316 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13009); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13012;
BgL_tmpz00_13012 = 
((obj_t)BgL_iportz00_9312); 
BgL_arg2476z00_9317 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13012); } 
{ 
 long BgL_bufposz00_13016; long BgL_forwardz00_13015;
BgL_forwardz00_13015 = BgL_arg2475z00_9316; 
BgL_bufposz00_13016 = BgL_arg2476z00_9317; 
BgL_bufposz00_9315 = BgL_bufposz00_13016; 
BgL_forwardz00_9314 = BgL_forwardz00_13015; 
goto BgL_statezd2133zd21162z00_8583;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9313; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9318;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13017;
BgL_tmpz00_13017 = 
((obj_t)BgL_iportz00_9312); 
BgL_curz00_9318 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13017, BgL_forwardz00_9314); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9318)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2478z00_9319;
BgL_arg2478z00_9319 = 
(((long)1)+BgL_forwardz00_9314); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9320;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13024;
BgL_tmpz00_13024 = 
((obj_t)BgL_iportz00_9312); 
RGC_STOP_MATCH(BgL_tmpz00_13024, BgL_arg2478z00_9319); } 
BgL_newzd2matchzd2_9320 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9320; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9313; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9082; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9094)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9586 = BgL_iportz00_9088; 
BgL_lastzd2matchzd2_9587 = BgL_lastzd2matchzd2_9089; 
BgL_forwardz00_9588 = 
(((long)1)+BgL_forwardz00_9090); 
BgL_bufposz00_9589 = BgL_bufposz00_9091; 
BgL_statezd2129zd21158z00_8615:
if(
(BgL_forwardz00_9588==BgL_bufposz00_9589))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9586)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2750z00_9590; long BgL_arg2751z00_9591;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13037;
BgL_tmpz00_13037 = 
((obj_t)BgL_iportz00_9586); 
BgL_arg2750z00_9590 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13037); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13040;
BgL_tmpz00_13040 = 
((obj_t)BgL_iportz00_9586); 
BgL_arg2751z00_9591 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13040); } 
{ 
 long BgL_bufposz00_13044; long BgL_forwardz00_13043;
BgL_forwardz00_13043 = BgL_arg2750z00_9590; 
BgL_bufposz00_13044 = BgL_arg2751z00_9591; 
BgL_bufposz00_9589 = BgL_bufposz00_13044; 
BgL_forwardz00_9588 = BgL_forwardz00_13043; 
goto BgL_statezd2129zd21158z00_8615;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9587; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9592;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13045;
BgL_tmpz00_13045 = 
((obj_t)BgL_iportz00_9586); 
BgL_curz00_9592 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13045, BgL_forwardz00_9588); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9592)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2753z00_9593;
BgL_arg2753z00_9593 = 
(((long)1)+BgL_forwardz00_9588); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9594;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13052;
BgL_tmpz00_13052 = 
((obj_t)BgL_iportz00_9586); 
RGC_STOP_MATCH(BgL_tmpz00_13052, BgL_arg2753z00_9593); } 
BgL_newzd2matchzd2_9594 = ((long)16); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9594; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9587; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9094)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9217 = BgL_iportz00_9088; 
BgL_lastzd2matchzd2_9218 = BgL_lastzd2matchzd2_9089; 
BgL_forwardz00_9219 = 
(((long)1)+BgL_forwardz00_9090); 
BgL_bufposz00_9220 = BgL_bufposz00_9091; 
BgL_statezd2128zd21157z00_8573:
if(
(BgL_forwardz00_9219==BgL_bufposz00_9220))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9217)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2391z00_9221; long BgL_arg2392z00_9222;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13064;
BgL_tmpz00_13064 = 
((obj_t)BgL_iportz00_9217); 
BgL_arg2391z00_9221 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13064); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13067;
BgL_tmpz00_13067 = 
((obj_t)BgL_iportz00_9217); 
BgL_arg2392z00_9222 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13067); } 
{ 
 long BgL_bufposz00_13071; long BgL_forwardz00_13070;
BgL_forwardz00_13070 = BgL_arg2391z00_9221; 
BgL_bufposz00_13071 = BgL_arg2392z00_9222; 
BgL_bufposz00_9220 = BgL_bufposz00_13071; 
BgL_forwardz00_9219 = BgL_forwardz00_13070; 
goto BgL_statezd2128zd21157z00_8573;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9218; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9223;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13072;
BgL_tmpz00_13072 = 
((obj_t)BgL_iportz00_9217); 
BgL_curz00_9223 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13072, BgL_forwardz00_9219); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9223)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2394z00_9224;
BgL_arg2394z00_9224 = 
(((long)1)+BgL_forwardz00_9219); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9225;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13079;
BgL_tmpz00_13079 = 
((obj_t)BgL_iportz00_9217); 
RGC_STOP_MATCH(BgL_tmpz00_13079, BgL_arg2394z00_9224); } 
BgL_newzd2matchzd2_9225 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9225; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9218; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9089; } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9518)==((long)105)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2686z00_9519;
BgL_arg2686z00_9519 = 
(((long)1)+BgL_forwardz00_9514); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9520;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13088;
BgL_tmpz00_13088 = 
((obj_t)BgL_iportz00_9512); 
RGC_STOP_MATCH(BgL_tmpz00_13088, BgL_arg2686z00_9519); } 
BgL_newzd2matchzd2_9520 = ((long)29); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9520; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9518)==((long)101)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2688z00_9521;
BgL_arg2688z00_9521 = 
(((long)1)+BgL_forwardz00_9514); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9522;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13095;
BgL_tmpz00_13095 = 
((obj_t)BgL_iportz00_9512); 
RGC_STOP_MATCH(BgL_tmpz00_13095, BgL_arg2688z00_9521); } 
BgL_newzd2matchzd2_9522 = ((long)21); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9522; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9518)==((long)73)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2690z00_9523;
BgL_arg2690z00_9523 = 
(((long)1)+BgL_forwardz00_9514); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9524;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13102;
BgL_tmpz00_13102 = 
((obj_t)BgL_iportz00_9512); 
RGC_STOP_MATCH(BgL_tmpz00_13102, BgL_arg2690z00_9523); } 
BgL_newzd2matchzd2_9524 = ((long)30); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9524; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9518)==((long)69)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2692z00_9525;
BgL_arg2692z00_9525 = 
(((long)1)+BgL_forwardz00_9514); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9526;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13109;
BgL_tmpz00_13109 = 
((obj_t)BgL_iportz00_9512); 
RGC_STOP_MATCH(BgL_tmpz00_13109, BgL_arg2692z00_9525); } 
BgL_newzd2matchzd2_9526 = ((long)22); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9526; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9513; } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)92)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1736z00_8698;
BgL_arg1736z00_8698 = 
(((long)1)+BgL_forwardz00_8692); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8699;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13117;
BgL_tmpz00_13117 = 
((obj_t)BgL_iportz00_8690); 
RGC_STOP_MATCH(BgL_tmpz00_13117, BgL_arg1736z00_8698); } 
BgL_newzd2matchzd2_8699 = ((long)7); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8699; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8885 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_8886 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_8887 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_8888 = BgL_bufposz00_8693; 
BgL_statezd2117zd21146z00_8534:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8889;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13123;
BgL_tmpz00_13123 = 
((obj_t)BgL_iportz00_8885); 
RGC_STOP_MATCH(BgL_tmpz00_13123, BgL_forwardz00_8887); } 
BgL_newzd2matchzd2_8889 = ((long)12); 
if(
(BgL_forwardz00_8887==BgL_bufposz00_8888))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8885)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2001z00_8890; long BgL_arg2002z00_8891;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13131;
BgL_tmpz00_13131 = 
((obj_t)BgL_iportz00_8885); 
BgL_arg2001z00_8890 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13131); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13134;
BgL_tmpz00_13134 = 
((obj_t)BgL_iportz00_8885); 
BgL_arg2002z00_8891 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13134); } 
{ 
 long BgL_bufposz00_13138; long BgL_forwardz00_13137;
BgL_forwardz00_13137 = BgL_arg2001z00_8890; 
BgL_bufposz00_13138 = BgL_arg2002z00_8891; 
BgL_bufposz00_8888 = BgL_bufposz00_13138; 
BgL_forwardz00_8887 = BgL_forwardz00_13137; 
goto BgL_statezd2117zd21146z00_8534;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8889; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8892;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13139;
BgL_tmpz00_13139 = 
((obj_t)BgL_iportz00_8885); 
BgL_curz00_8892 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13139, BgL_forwardz00_8887); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4552z00_13142;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4553z00_13143;
if(
(
(long)(BgL_curz00_8892)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4553z00_13143 = 
(
(long)(BgL_curz00_8892)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4553z00_13143 = ((bool_t)0)
; } 
if(BgL_test4553z00_13143)
{ /* Llib/bibtex.scm 103 */
BgL_test4552z00_13142 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4555z00_13149;
if(
(
(long)(BgL_curz00_8892)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4555z00_13149 = 
(
(long)(BgL_curz00_8892)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4555z00_13149 = ((bool_t)0)
; } 
if(BgL_test4555z00_13149)
{ /* Llib/bibtex.scm 103 */
BgL_test4552z00_13142 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8892)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4552z00_13142 = 
(
(long)(BgL_curz00_8892)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4552z00_13142 = ((bool_t)0)
; } } } } 
if(BgL_test4552z00_13142)
{ 
 long BgL_bufposz00_13164; long BgL_forwardz00_13162; long BgL_lastzd2matchzd2_13161; obj_t BgL_iportz00_13160;
BgL_iportz00_13160 = BgL_iportz00_8885; 
BgL_lastzd2matchzd2_13161 = BgL_newzd2matchzd2_8889; 
BgL_forwardz00_13162 = 
(((long)1)+BgL_forwardz00_8887); 
BgL_bufposz00_13164 = BgL_bufposz00_8888; 
BgL_bufposz00_9664 = BgL_bufposz00_13164; 
BgL_forwardz00_9663 = BgL_forwardz00_13162; 
BgL_lastzd2matchzd2_9662 = BgL_lastzd2matchzd2_13161; 
BgL_iportz00_9661 = BgL_iportz00_13160; 
goto BgL_statezd2114zd21143z00_8624;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8889; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)45)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1747z00_8700;
BgL_arg1747z00_8700 = 
(((long)1)+BgL_forwardz00_8692); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8701;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13170;
BgL_tmpz00_13170 = 
((obj_t)BgL_iportz00_8690); 
RGC_STOP_MATCH(BgL_tmpz00_13170, BgL_arg1747z00_8700); } 
BgL_newzd2matchzd2_8701 = ((long)8); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8701; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)39)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8795 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_8796 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_8797 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_8798 = BgL_bufposz00_8693; 
BgL_statezd2115zd21144z00_8524:
if(
(BgL_forwardz00_8797==BgL_bufposz00_8798))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8795)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1887z00_8799; long BgL_arg1888z00_8800;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13181;
BgL_tmpz00_13181 = 
((obj_t)BgL_iportz00_8795); 
BgL_arg1887z00_8799 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13181); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13184;
BgL_tmpz00_13184 = 
((obj_t)BgL_iportz00_8795); 
BgL_arg1888z00_8800 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13184); } 
{ 
 long BgL_bufposz00_13188; long BgL_forwardz00_13187;
BgL_forwardz00_13187 = BgL_arg1887z00_8799; 
BgL_bufposz00_13188 = BgL_arg1888z00_8800; 
BgL_bufposz00_8798 = BgL_bufposz00_13188; 
BgL_forwardz00_8797 = BgL_forwardz00_13187; 
goto BgL_statezd2115zd21144z00_8524;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8796; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8801;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13189;
BgL_tmpz00_13189 = 
((obj_t)BgL_iportz00_8795); 
BgL_curz00_8801 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13189, BgL_forwardz00_8797); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8801)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8628 = BgL_iportz00_8795; 
BgL_lastzd2matchzd2_8629 = BgL_lastzd2matchzd2_8796; 
BgL_forwardz00_8630 = 
(((long)1)+BgL_forwardz00_8797); 
BgL_bufposz00_8631 = BgL_bufposz00_8798; 
BgL_statezd2135zd21164z00_8504:
if(
(BgL_forwardz00_8630==BgL_bufposz00_8631))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8628)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1331z00_8632; long BgL_arg1332z00_8633;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13200;
BgL_tmpz00_13200 = 
((obj_t)BgL_iportz00_8628); 
BgL_arg1331z00_8632 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13200); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13203;
BgL_tmpz00_13203 = 
((obj_t)BgL_iportz00_8628); 
BgL_arg1332z00_8633 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13203); } 
{ 
 long BgL_bufposz00_13207; long BgL_forwardz00_13206;
BgL_forwardz00_13206 = BgL_arg1331z00_8632; 
BgL_bufposz00_13207 = BgL_arg1332z00_8633; 
BgL_bufposz00_8631 = BgL_bufposz00_13207; 
BgL_forwardz00_8630 = BgL_forwardz00_13206; 
goto BgL_statezd2135zd21164z00_8504;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8629; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8634;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13208;
BgL_tmpz00_13208 = 
((obj_t)BgL_iportz00_8628); 
BgL_curz00_8634 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13208, BgL_forwardz00_8630); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8634)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9496 = BgL_iportz00_8628; 
BgL_lastzd2matchzd2_9497 = BgL_lastzd2matchzd2_8629; 
BgL_forwardz00_9498 = 
(((long)1)+BgL_forwardz00_8630); 
BgL_bufposz00_9499 = BgL_bufposz00_8631; 
BgL_statezd2138zd21167z00_8605:
if(
(BgL_forwardz00_9498==BgL_bufposz00_9499))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9496)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2653z00_9500; long BgL_arg2654z00_9501;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13219;
BgL_tmpz00_13219 = 
((obj_t)BgL_iportz00_9496); 
BgL_arg2653z00_9500 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13219); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13222;
BgL_tmpz00_13222 = 
((obj_t)BgL_iportz00_9496); 
BgL_arg2654z00_9501 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13222); } 
{ 
 long BgL_bufposz00_13226; long BgL_forwardz00_13225;
BgL_forwardz00_13225 = BgL_arg2653z00_9500; 
BgL_bufposz00_13226 = BgL_arg2654z00_9501; 
BgL_bufposz00_9499 = BgL_bufposz00_13226; 
BgL_forwardz00_9498 = BgL_forwardz00_13225; 
goto BgL_statezd2138zd21167z00_8605;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9497; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9502;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13227;
BgL_tmpz00_13227 = 
((obj_t)BgL_iportz00_9496); 
BgL_curz00_9502 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13227, BgL_forwardz00_9498); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9502)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2656z00_9503;
BgL_arg2656z00_9503 = 
(((long)1)+BgL_forwardz00_9498); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9504;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13234;
BgL_tmpz00_13234 = 
((obj_t)BgL_iportz00_9496); 
RGC_STOP_MATCH(BgL_tmpz00_13234, BgL_arg2656z00_9503); } 
BgL_newzd2matchzd2_9504 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9504; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9497; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8634)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9613 = BgL_iportz00_8628; 
BgL_lastzd2matchzd2_9614 = BgL_lastzd2matchzd2_8629; 
BgL_forwardz00_9615 = 
(((long)1)+BgL_forwardz00_8630); 
BgL_bufposz00_9616 = BgL_bufposz00_8631; 
BgL_statezd2137zd21166z00_8618:
if(
(BgL_forwardz00_9615==BgL_bufposz00_9616))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9613)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2778z00_9617; long BgL_arg2779z00_9618;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13246;
BgL_tmpz00_13246 = 
((obj_t)BgL_iportz00_9613); 
BgL_arg2778z00_9617 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13246); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13249;
BgL_tmpz00_13249 = 
((obj_t)BgL_iportz00_9613); 
BgL_arg2779z00_9618 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13249); } 
{ 
 long BgL_bufposz00_13253; long BgL_forwardz00_13252;
BgL_forwardz00_13252 = BgL_arg2778z00_9617; 
BgL_bufposz00_13253 = BgL_arg2779z00_9618; 
BgL_bufposz00_9616 = BgL_bufposz00_13253; 
BgL_forwardz00_9615 = BgL_forwardz00_13252; 
goto BgL_statezd2137zd21166z00_8618;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9614; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9619;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13254;
BgL_tmpz00_13254 = 
((obj_t)BgL_iportz00_9613); 
BgL_curz00_9619 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13254, BgL_forwardz00_9615); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9619)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9160 = BgL_iportz00_9613; 
BgL_lastzd2matchzd2_9161 = BgL_lastzd2matchzd2_9614; 
BgL_forwardz00_9162 = 
(((long)1)+BgL_forwardz00_9615); 
BgL_bufposz00_9163 = BgL_bufposz00_9616; 
BgL_statezd2140zd21169z00_8566:
if(
(BgL_forwardz00_9162==BgL_bufposz00_9163))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9160)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2332z00_9164; long BgL_arg2333z00_9165;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13265;
BgL_tmpz00_13265 = 
((obj_t)BgL_iportz00_9160); 
BgL_arg2332z00_9164 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13265); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13268;
BgL_tmpz00_13268 = 
((obj_t)BgL_iportz00_9160); 
BgL_arg2333z00_9165 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13268); } 
{ 
 long BgL_bufposz00_13272; long BgL_forwardz00_13271;
BgL_forwardz00_13271 = BgL_arg2332z00_9164; 
BgL_bufposz00_13272 = BgL_arg2333z00_9165; 
BgL_bufposz00_9163 = BgL_bufposz00_13272; 
BgL_forwardz00_9162 = BgL_forwardz00_13271; 
goto BgL_statezd2140zd21169z00_8566;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9161; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9166;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13273;
BgL_tmpz00_13273 = 
((obj_t)BgL_iportz00_9160); 
BgL_curz00_9166 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13273, BgL_forwardz00_9162); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9166)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2335z00_9167;
BgL_arg2335z00_9167 = 
(((long)1)+BgL_forwardz00_9162); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9168;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13280;
BgL_tmpz00_13280 = 
((obj_t)BgL_iportz00_9160); 
RGC_STOP_MATCH(BgL_tmpz00_13280, BgL_arg2335z00_9167); } 
BgL_newzd2matchzd2_9168 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9168; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9161; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9619)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8964 = BgL_iportz00_9613; 
BgL_lastzd2matchzd2_8965 = BgL_lastzd2matchzd2_9614; 
BgL_forwardz00_8966 = 
(((long)1)+BgL_forwardz00_9615); 
BgL_bufposz00_8967 = BgL_bufposz00_9616; 
BgL_statezd2139zd21168z00_8544:
if(
(BgL_forwardz00_8966==BgL_bufposz00_8967))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8964)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2121z00_8968; long BgL_arg2122z00_8969;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13292;
BgL_tmpz00_13292 = 
((obj_t)BgL_iportz00_8964); 
BgL_arg2121z00_8968 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13292); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13295;
BgL_tmpz00_13295 = 
((obj_t)BgL_iportz00_8964); 
BgL_arg2122z00_8969 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13295); } 
{ 
 long BgL_bufposz00_13299; long BgL_forwardz00_13298;
BgL_forwardz00_13298 = BgL_arg2121z00_8968; 
BgL_bufposz00_13299 = BgL_arg2122z00_8969; 
BgL_bufposz00_8967 = BgL_bufposz00_13299; 
BgL_forwardz00_8966 = BgL_forwardz00_13298; 
goto BgL_statezd2139zd21168z00_8544;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8965; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8970;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13300;
BgL_tmpz00_13300 = 
((obj_t)BgL_iportz00_8964); 
BgL_curz00_8970 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13300, BgL_forwardz00_8966); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8970)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2124z00_8971;
BgL_arg2124z00_8971 = 
(((long)1)+BgL_forwardz00_8966); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8972;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13307;
BgL_tmpz00_13307 = 
((obj_t)BgL_iportz00_8964); 
RGC_STOP_MATCH(BgL_tmpz00_13307, BgL_arg2124z00_8971); } 
BgL_newzd2matchzd2_8972 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8972; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8965; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9614; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8634)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9453 = BgL_iportz00_8628; 
BgL_lastzd2matchzd2_9454 = BgL_lastzd2matchzd2_8629; 
BgL_forwardz00_9455 = 
(((long)1)+BgL_forwardz00_8630); 
BgL_bufposz00_9456 = BgL_bufposz00_8631; 
BgL_statezd2136zd21165z00_8600:
if(
(BgL_forwardz00_9455==BgL_bufposz00_9456))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9453)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2617z00_9457; long BgL_arg2618z00_9458;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13320;
BgL_tmpz00_13320 = 
((obj_t)BgL_iportz00_9453); 
BgL_arg2617z00_9457 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13320); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13323;
BgL_tmpz00_13323 = 
((obj_t)BgL_iportz00_9453); 
BgL_arg2618z00_9458 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13323); } 
{ 
 long BgL_bufposz00_13327; long BgL_forwardz00_13326;
BgL_forwardz00_13326 = BgL_arg2617z00_9457; 
BgL_bufposz00_13327 = BgL_arg2618z00_9458; 
BgL_bufposz00_9456 = BgL_bufposz00_13327; 
BgL_forwardz00_9455 = BgL_forwardz00_13326; 
goto BgL_statezd2136zd21165z00_8600;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9454; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9459;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13328;
BgL_tmpz00_13328 = 
((obj_t)BgL_iportz00_9453); 
BgL_curz00_9459 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13328, BgL_forwardz00_9455); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9459)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2620z00_9460;
BgL_arg2620z00_9460 = 
(((long)1)+BgL_forwardz00_9455); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9461;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13335;
BgL_tmpz00_13335 = 
((obj_t)BgL_iportz00_9453); 
RGC_STOP_MATCH(BgL_tmpz00_13335, BgL_arg2620z00_9460); } 
BgL_newzd2matchzd2_9461 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9461; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9454; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8629; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8801)==((long)105)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1892z00_8802;
BgL_arg1892z00_8802 = 
(((long)1)+BgL_forwardz00_8797); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8803;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13344;
BgL_tmpz00_13344 = 
((obj_t)BgL_iportz00_8795); 
RGC_STOP_MATCH(BgL_tmpz00_13344, BgL_arg1892z00_8802); } 
BgL_newzd2matchzd2_8803 = ((long)31); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8803; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8801)==((long)101)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1894z00_8804;
BgL_arg1894z00_8804 = 
(((long)1)+BgL_forwardz00_8797); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8805;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13351;
BgL_tmpz00_13351 = 
((obj_t)BgL_iportz00_8795); 
RGC_STOP_MATCH(BgL_tmpz00_13351, BgL_arg1894z00_8804); } 
BgL_newzd2matchzd2_8805 = ((long)9); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8805; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8801)==((long)97)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1896z00_8806;
BgL_arg1896z00_8806 = 
(((long)1)+BgL_forwardz00_8797); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8807;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13358;
BgL_tmpz00_13358 = 
((obj_t)BgL_iportz00_8795); 
RGC_STOP_MATCH(BgL_tmpz00_13358, BgL_arg1896z00_8806); } 
BgL_newzd2matchzd2_8807 = ((long)24); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8807; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8801)==((long)73)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1898z00_8808;
BgL_arg1898z00_8808 = 
(((long)1)+BgL_forwardz00_8797); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8809;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13365;
BgL_tmpz00_13365 = 
((obj_t)BgL_iportz00_8795); 
RGC_STOP_MATCH(BgL_tmpz00_13365, BgL_arg1898z00_8808); } 
BgL_newzd2matchzd2_8809 = ((long)32); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8809; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8801)==((long)69)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1900z00_8810;
BgL_arg1900z00_8810 = 
(((long)1)+BgL_forwardz00_8797); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8811;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13372;
BgL_tmpz00_13372 = 
((obj_t)BgL_iportz00_8795); 
RGC_STOP_MATCH(BgL_tmpz00_13372, BgL_arg1900z00_8810); } 
BgL_newzd2matchzd2_8811 = ((long)10); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8811; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8801)==((long)65)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1902z00_8812;
BgL_arg1902z00_8812 = 
(((long)1)+BgL_forwardz00_8797); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8813;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13379;
BgL_tmpz00_13379 = 
((obj_t)BgL_iportz00_8795); 
RGC_STOP_MATCH(BgL_tmpz00_13379, BgL_arg1902z00_8812); } 
BgL_newzd2matchzd2_8813 = ((long)26); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8813; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8796; } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4590z00_13383;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4591z00_13384;
if(
(
(long)(BgL_curz00_8697)>=((long)35)))
{ /* Llib/bibtex.scm 103 */
BgL_test4591z00_13384 = 
(
(long)(BgL_curz00_8697)<((long)39))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4591z00_13384 = ((bool_t)0)
; } 
if(BgL_test4591z00_13384)
{ /* Llib/bibtex.scm 103 */
BgL_test4590z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4593z00_13390;
if(
(
(long)(BgL_curz00_8697)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4593z00_13390 = 
(
(long)(BgL_curz00_8697)<((long)79))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4593z00_13390 = ((bool_t)0)
; } 
if(BgL_test4593z00_13390)
{ /* Llib/bibtex.scm 103 */
BgL_test4590z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4595z00_13396;
if(
(
(long)(BgL_curz00_8697)>=((long)80)))
{ /* Llib/bibtex.scm 103 */
BgL_test4595z00_13396 = 
(
(long)(BgL_curz00_8697)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4595z00_13396 = ((bool_t)0)
; } 
if(BgL_test4595z00_13396)
{ /* Llib/bibtex.scm 103 */
BgL_test4590z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4597z00_13402;
if(
(
(long)(BgL_curz00_8697)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4597z00_13402 = 
(
(long)(BgL_curz00_8697)<((long)111))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4597z00_13402 = ((bool_t)0)
; } 
if(BgL_test4597z00_13402)
{ /* Llib/bibtex.scm 103 */
BgL_test4590z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4599z00_13408;
if(
(
(long)(BgL_curz00_8697)>=((long)112)))
{ /* Llib/bibtex.scm 103 */
BgL_test4599z00_13408 = 
(
(long)(BgL_curz00_8697)<((long)124))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4599z00_13408 = ((bool_t)0)
; } 
if(BgL_test4599z00_13408)
{ /* Llib/bibtex.scm 103 */
BgL_test4590z00_13383 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4590z00_13383 = 
(
(long)(BgL_curz00_8697)==((long)125))
; } } } } } } 
if(BgL_test4590z00_13383)
{ 
 long BgL_bufposz00_13420; long BgL_forwardz00_13418; long BgL_lastzd2matchzd2_13417; obj_t BgL_iportz00_13416;
BgL_iportz00_13416 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_13417 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_13418 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_13420 = BgL_bufposz00_8693; 
BgL_bufposz00_9664 = BgL_bufposz00_13420; 
BgL_forwardz00_9663 = BgL_forwardz00_13418; 
BgL_lastzd2matchzd2_9662 = BgL_lastzd2matchzd2_13417; 
BgL_iportz00_9661 = BgL_iportz00_13416; 
goto BgL_statezd2114zd21143z00_8624;}  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8697)==((long)34)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8981 = BgL_iportz00_8690; 
BgL_lastzd2matchzd2_8982 = BgL_newzd2matchzd2_8694; 
BgL_forwardz00_8983 = 
(((long)1)+BgL_forwardz00_8692); 
BgL_bufposz00_8984 = BgL_bufposz00_8693; 
BgL_statezd2113zd21142z00_8546:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8985;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13424;
BgL_tmpz00_13424 = 
((obj_t)BgL_iportz00_8981); 
RGC_STOP_MATCH(BgL_tmpz00_13424, BgL_forwardz00_8983); } 
BgL_newzd2matchzd2_8985 = ((long)7); 
if(
(BgL_forwardz00_8983==BgL_bufposz00_8984))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8981)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2137z00_8986; long BgL_arg2138z00_8987;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13432;
BgL_tmpz00_13432 = 
((obj_t)BgL_iportz00_8981); 
BgL_arg2137z00_8986 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13432); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13435;
BgL_tmpz00_13435 = 
((obj_t)BgL_iportz00_8981); 
BgL_arg2138z00_8987 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13435); } 
{ 
 long BgL_bufposz00_13439; long BgL_forwardz00_13438;
BgL_forwardz00_13438 = BgL_arg2137z00_8986; 
BgL_bufposz00_13439 = BgL_arg2138z00_8987; 
BgL_bufposz00_8984 = BgL_bufposz00_13439; 
BgL_forwardz00_8983 = BgL_forwardz00_13438; 
goto BgL_statezd2113zd21142z00_8546;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8985; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8988;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13440;
BgL_tmpz00_13440 = 
((obj_t)BgL_iportz00_8981); 
BgL_curz00_8988 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13440, BgL_forwardz00_8983); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8988)==((long)123)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9049 = BgL_iportz00_8981; 
BgL_lastzd2matchzd2_9050 = BgL_newzd2matchzd2_8985; 
BgL_forwardz00_9051 = 
(((long)1)+BgL_forwardz00_8983); 
BgL_bufposz00_9052 = BgL_bufposz00_8984; 
BgL_statezd2141zd21170z00_8553:
if(
(BgL_forwardz00_9051==BgL_bufposz00_9052))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9049)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2206z00_9053; long BgL_arg2207z00_9054;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13451;
BgL_tmpz00_13451 = 
((obj_t)BgL_iportz00_9049); 
BgL_arg2206z00_9053 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13451); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13454;
BgL_tmpz00_13454 = 
((obj_t)BgL_iportz00_9049); 
BgL_arg2207z00_9054 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13454); } 
{ 
 long BgL_bufposz00_13458; long BgL_forwardz00_13457;
BgL_forwardz00_13457 = BgL_arg2206z00_9053; 
BgL_bufposz00_13458 = BgL_arg2207z00_9054; 
BgL_bufposz00_9052 = BgL_bufposz00_13458; 
BgL_forwardz00_9051 = BgL_forwardz00_13457; 
goto BgL_statezd2141zd21170z00_8553;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9050; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9055;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13459;
BgL_tmpz00_13459 = 
((obj_t)BgL_iportz00_9049); 
BgL_curz00_9055 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13459, BgL_forwardz00_9051); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9055)==((long)111)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8759 = BgL_iportz00_9049; 
BgL_lastzd2matchzd2_8760 = BgL_lastzd2matchzd2_9050; 
BgL_forwardz00_8761 = 
(((long)1)+BgL_forwardz00_9051); 
BgL_bufposz00_8762 = BgL_bufposz00_9052; 
BgL_statezd2146zd21175z00_8520:
if(
(BgL_forwardz00_8761==BgL_bufposz00_8762))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8759)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1854z00_8763; long BgL_arg1855z00_8764;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13470;
BgL_tmpz00_13470 = 
((obj_t)BgL_iportz00_8759); 
BgL_arg1854z00_8763 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13470); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13473;
BgL_tmpz00_13473 = 
((obj_t)BgL_iportz00_8759); 
BgL_arg1855z00_8764 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13473); } 
{ 
 long BgL_bufposz00_13477; long BgL_forwardz00_13476;
BgL_forwardz00_13476 = BgL_arg1854z00_8763; 
BgL_bufposz00_13477 = BgL_arg1855z00_8764; 
BgL_bufposz00_8762 = BgL_bufposz00_13477; 
BgL_forwardz00_8761 = BgL_forwardz00_13476; 
goto BgL_statezd2146zd21175z00_8520;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8760; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8765;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13478;
BgL_tmpz00_13478 = 
((obj_t)BgL_iportz00_8759); 
BgL_curz00_8765 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13478, BgL_forwardz00_8761); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8765)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1857z00_8766;
BgL_arg1857z00_8766 = 
(((long)1)+BgL_forwardz00_8761); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8767;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13485;
BgL_tmpz00_13485 = 
((obj_t)BgL_iportz00_8759); 
RGC_STOP_MATCH(BgL_tmpz00_13485, BgL_arg1857z00_8766); } 
BgL_newzd2matchzd2_8767 = ((long)17); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8767; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8760; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9055)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9487 = BgL_iportz00_9049; 
BgL_lastzd2matchzd2_9488 = BgL_lastzd2matchzd2_9050; 
BgL_forwardz00_9489 = 
(((long)1)+BgL_forwardz00_9051); 
BgL_bufposz00_9490 = BgL_bufposz00_9052; 
BgL_statezd2145zd21174z00_8604:
if(
(BgL_forwardz00_9489==BgL_bufposz00_9490))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9487)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2646z00_9491; long BgL_arg2647z00_9492;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13497;
BgL_tmpz00_13497 = 
((obj_t)BgL_iportz00_9487); 
BgL_arg2646z00_9491 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13497); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13500;
BgL_tmpz00_13500 = 
((obj_t)BgL_iportz00_9487); 
BgL_arg2647z00_9492 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13500); } 
{ 
 long BgL_bufposz00_13504; long BgL_forwardz00_13503;
BgL_forwardz00_13503 = BgL_arg2646z00_9491; 
BgL_bufposz00_13504 = BgL_arg2647z00_9492; 
BgL_bufposz00_9490 = BgL_bufposz00_13504; 
BgL_forwardz00_9489 = BgL_forwardz00_13503; 
goto BgL_statezd2145zd21174z00_8604;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9488; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9493;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13505;
BgL_tmpz00_13505 = 
((obj_t)BgL_iportz00_9487); 
BgL_curz00_9493 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13505, BgL_forwardz00_9489); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9493)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2649z00_9494;
BgL_arg2649z00_9494 = 
(((long)1)+BgL_forwardz00_9489); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9495;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13512;
BgL_tmpz00_13512 = 
((obj_t)BgL_iportz00_9487); 
RGC_STOP_MATCH(BgL_tmpz00_13512, BgL_arg2649z00_9494); } 
BgL_newzd2matchzd2_9495 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9495; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9488; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9055)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8918 = BgL_iportz00_9049; 
BgL_lastzd2matchzd2_8919 = BgL_lastzd2matchzd2_9050; 
BgL_forwardz00_8920 = 
(((long)1)+BgL_forwardz00_9051); 
BgL_bufposz00_8921 = BgL_bufposz00_9052; 
BgL_statezd2144zd21173z00_8538:
if(
(BgL_forwardz00_8920==BgL_bufposz00_8921))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8918)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2043z00_8922; long BgL_arg2044z00_8923;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13524;
BgL_tmpz00_13524 = 
((obj_t)BgL_iportz00_8918); 
BgL_arg2043z00_8922 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13524); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13527;
BgL_tmpz00_13527 = 
((obj_t)BgL_iportz00_8918); 
BgL_arg2044z00_8923 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13527); } 
{ 
 long BgL_bufposz00_13531; long BgL_forwardz00_13530;
BgL_forwardz00_13530 = BgL_arg2043z00_8922; 
BgL_bufposz00_13531 = BgL_arg2044z00_8923; 
BgL_bufposz00_8921 = BgL_bufposz00_13531; 
BgL_forwardz00_8920 = BgL_forwardz00_13530; 
goto BgL_statezd2144zd21173z00_8538;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8919; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8924;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13532;
BgL_tmpz00_13532 = 
((obj_t)BgL_iportz00_8918); 
BgL_curz00_8924 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13532, BgL_forwardz00_8920); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8924)==((long)105)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9245 = BgL_iportz00_8918; 
BgL_lastzd2matchzd2_9246 = BgL_lastzd2matchzd2_8919; 
BgL_forwardz00_9247 = 
(((long)1)+BgL_forwardz00_8920); 
BgL_bufposz00_9248 = BgL_bufposz00_8921; 
BgL_statezd2148zd21177z00_8575:
if(
(BgL_forwardz00_9247==BgL_bufposz00_9248))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9245)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2416z00_9249; long BgL_arg2417z00_9250;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13543;
BgL_tmpz00_13543 = 
((obj_t)BgL_iportz00_9245); 
BgL_arg2416z00_9249 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13543); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13546;
BgL_tmpz00_13546 = 
((obj_t)BgL_iportz00_9245); 
BgL_arg2417z00_9250 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13546); } 
{ 
 long BgL_bufposz00_13550; long BgL_forwardz00_13549;
BgL_forwardz00_13549 = BgL_arg2416z00_9249; 
BgL_bufposz00_13550 = BgL_arg2417z00_9250; 
BgL_bufposz00_9248 = BgL_bufposz00_13550; 
BgL_forwardz00_9247 = BgL_forwardz00_13549; 
goto BgL_statezd2148zd21177z00_8575;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9246; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9251;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13551;
BgL_tmpz00_13551 = 
((obj_t)BgL_iportz00_9245); 
BgL_curz00_9251 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13551, BgL_forwardz00_9247); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9251)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2419z00_9252;
BgL_arg2419z00_9252 = 
(((long)1)+BgL_forwardz00_9247); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9253;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13558;
BgL_tmpz00_13558 = 
((obj_t)BgL_iportz00_9245); 
RGC_STOP_MATCH(BgL_tmpz00_13558, BgL_arg2419z00_9252); } 
BgL_newzd2matchzd2_9253 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9253; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9246; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8924)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9329 = BgL_iportz00_8918; 
BgL_lastzd2matchzd2_9330 = BgL_lastzd2matchzd2_8919; 
BgL_forwardz00_9331 = 
(((long)1)+BgL_forwardz00_8920); 
BgL_bufposz00_9332 = BgL_bufposz00_8921; 
BgL_statezd2147zd21176z00_8585:
if(
(BgL_forwardz00_9331==BgL_bufposz00_9332))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9329)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2498z00_9333; long BgL_arg2499z00_9334;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13570;
BgL_tmpz00_13570 = 
((obj_t)BgL_iportz00_9329); 
BgL_arg2498z00_9333 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13570); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13573;
BgL_tmpz00_13573 = 
((obj_t)BgL_iportz00_9329); 
BgL_arg2499z00_9334 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13573); } 
{ 
 long BgL_bufposz00_13577; long BgL_forwardz00_13576;
BgL_forwardz00_13576 = BgL_arg2498z00_9333; 
BgL_bufposz00_13577 = BgL_arg2499z00_9334; 
BgL_bufposz00_9332 = BgL_bufposz00_13577; 
BgL_forwardz00_9331 = BgL_forwardz00_13576; 
goto BgL_statezd2147zd21176z00_8585;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9330; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9335;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13578;
BgL_tmpz00_13578 = 
((obj_t)BgL_iportz00_9329); 
BgL_curz00_9335 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13578, BgL_forwardz00_9331); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9335)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2501z00_9336;
BgL_arg2501z00_9336 = 
(((long)1)+BgL_forwardz00_9331); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9337;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13585;
BgL_tmpz00_13585 = 
((obj_t)BgL_iportz00_9329); 
RGC_STOP_MATCH(BgL_tmpz00_13585, BgL_arg2501z00_9336); } 
BgL_newzd2matchzd2_9337 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9337; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9330; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8919; } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9055)==((long)79)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8814 = BgL_iportz00_9049; 
BgL_lastzd2matchzd2_8815 = BgL_lastzd2matchzd2_9050; 
BgL_forwardz00_8816 = 
(((long)1)+BgL_forwardz00_9051); 
BgL_bufposz00_8817 = BgL_bufposz00_9052; 
BgL_statezd2143zd21172z00_8525:
if(
(BgL_forwardz00_8816==BgL_bufposz00_8817))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8814)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1907z00_8818; long BgL_arg1908z00_8819;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13598;
BgL_tmpz00_13598 = 
((obj_t)BgL_iportz00_8814); 
BgL_arg1907z00_8818 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13598); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13601;
BgL_tmpz00_13601 = 
((obj_t)BgL_iportz00_8814); 
BgL_arg1908z00_8819 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13601); } 
{ 
 long BgL_bufposz00_13605; long BgL_forwardz00_13604;
BgL_forwardz00_13604 = BgL_arg1907z00_8818; 
BgL_bufposz00_13605 = BgL_arg1908z00_8819; 
BgL_bufposz00_8817 = BgL_bufposz00_13605; 
BgL_forwardz00_8816 = BgL_forwardz00_13604; 
goto BgL_statezd2143zd21172z00_8525;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8815; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8820;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13606;
BgL_tmpz00_13606 = 
((obj_t)BgL_iportz00_8814); 
BgL_curz00_8820 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13606, BgL_forwardz00_8816); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8820)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1910z00_8821;
BgL_arg1910z00_8821 = 
(((long)1)+BgL_forwardz00_8816); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8822;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13613;
BgL_tmpz00_13613 = 
((obj_t)BgL_iportz00_8814); 
RGC_STOP_MATCH(BgL_tmpz00_13613, BgL_arg1910z00_8821); } 
BgL_newzd2matchzd2_8822 = ((long)18); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8822; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_8815; } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9055)==((long)73)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9006 = BgL_iportz00_9049; 
BgL_lastzd2matchzd2_9007 = BgL_lastzd2matchzd2_9050; 
BgL_forwardz00_9008 = 
(((long)1)+BgL_forwardz00_9051); 
BgL_bufposz00_9009 = BgL_bufposz00_9052; 
BgL_statezd2142zd21171z00_8548:
if(
(BgL_forwardz00_9008==BgL_bufposz00_9009))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9006)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2160z00_9010; long BgL_arg2161z00_9011;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13625;
BgL_tmpz00_13625 = 
((obj_t)BgL_iportz00_9006); 
BgL_arg2160z00_9010 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13625); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13628;
BgL_tmpz00_13628 = 
((obj_t)BgL_iportz00_9006); 
BgL_arg2161z00_9011 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13628); } 
{ 
 long BgL_bufposz00_13632; long BgL_forwardz00_13631;
BgL_forwardz00_13631 = BgL_arg2160z00_9010; 
BgL_bufposz00_13632 = BgL_arg2161z00_9011; 
BgL_bufposz00_9009 = BgL_bufposz00_13632; 
BgL_forwardz00_9008 = BgL_forwardz00_13631; 
goto BgL_statezd2142zd21171z00_8548;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9007; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9012;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13633;
BgL_tmpz00_13633 = 
((obj_t)BgL_iportz00_9006); 
BgL_curz00_9012 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13633, BgL_forwardz00_9008); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9012)==((long)125)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2163z00_9013;
BgL_arg2163z00_9013 = 
(((long)1)+BgL_forwardz00_9008); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9014;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13640;
BgL_tmpz00_13640 = 
((obj_t)BgL_iportz00_9006); 
RGC_STOP_MATCH(BgL_tmpz00_13640, BgL_arg2163z00_9013); } 
BgL_newzd2matchzd2_9014 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9014; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9007; } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9050; } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8988)==((long)117)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2142z00_8989;
BgL_arg2142z00_8989 = 
(((long)1)+BgL_forwardz00_8983); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8990;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13649;
BgL_tmpz00_13649 = 
((obj_t)BgL_iportz00_8981); 
RGC_STOP_MATCH(BgL_tmpz00_13649, BgL_arg2142z00_8989); } 
BgL_newzd2matchzd2_8990 = ((long)33); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8990; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8988)==((long)105)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2144z00_8991;
BgL_arg2144z00_8991 = 
(((long)1)+BgL_forwardz00_8983); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8992;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13656;
BgL_tmpz00_13656 = 
((obj_t)BgL_iportz00_8981); 
RGC_STOP_MATCH(BgL_tmpz00_13656, BgL_arg2144z00_8991); } 
BgL_newzd2matchzd2_8992 = ((long)27); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8992; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8988)==((long)85)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2146z00_8993;
BgL_arg2146z00_8993 = 
(((long)1)+BgL_forwardz00_8983); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8994;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13663;
BgL_tmpz00_13663 = 
((obj_t)BgL_iportz00_8981); 
RGC_STOP_MATCH(BgL_tmpz00_13663, BgL_arg2146z00_8993); } 
BgL_newzd2matchzd2_8994 = ((long)34); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8994; } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8988)==((long)73)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2148z00_8995;
BgL_arg2148z00_8995 = 
(((long)1)+BgL_forwardz00_8983); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8996;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13670;
BgL_tmpz00_13670 = 
((obj_t)BgL_iportz00_8981); 
RGC_STOP_MATCH(BgL_tmpz00_13670, BgL_arg2148z00_8995); } 
BgL_newzd2matchzd2_8996 = ((long)28); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_8996; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8985; } } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8694; } } } } } } } } } } } } } } break;case ((long)64) : 

BgL_iportz00_8973 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_8974 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_8975 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_8976 = BgL_bufposz00_9098; 
BgL_statezd210zd21039z00_8545:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8977;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13675;
BgL_tmpz00_13675 = 
((obj_t)BgL_iportz00_8973); 
RGC_STOP_MATCH(BgL_tmpz00_13675, BgL_forwardz00_8975); } 
BgL_newzd2matchzd2_8977 = ((long)42); 
if(
(BgL_forwardz00_8975==BgL_bufposz00_8976))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8973)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2128z00_8978; long BgL_arg2129z00_8979;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13683;
BgL_tmpz00_13683 = 
((obj_t)BgL_iportz00_8973); 
BgL_arg2128z00_8978 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13683); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13686;
BgL_tmpz00_13686 = 
((obj_t)BgL_iportz00_8973); 
BgL_arg2129z00_8979 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13686); } 
{ 
 long BgL_bufposz00_13690; long BgL_forwardz00_13689;
BgL_forwardz00_13689 = BgL_arg2128z00_8978; 
BgL_bufposz00_13690 = BgL_arg2129z00_8979; 
BgL_bufposz00_8976 = BgL_bufposz00_13690; 
BgL_forwardz00_8975 = BgL_forwardz00_13689; 
goto BgL_statezd210zd21039z00_8545;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8977; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8980;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13691;
BgL_tmpz00_13691 = 
((obj_t)BgL_iportz00_8973); 
BgL_curz00_8980 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13691, BgL_forwardz00_8975); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4642z00_13694;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4643z00_13695;
if(
(
(long)(BgL_curz00_8980)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4643z00_13695 = 
(
(long)(BgL_curz00_8980)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4643z00_13695 = ((bool_t)0)
; } 
if(BgL_test4643z00_13695)
{ /* Llib/bibtex.scm 103 */
BgL_test4642z00_13694 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8980)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4642z00_13694 = 
(
(long)(BgL_curz00_8980)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4642z00_13694 = ((bool_t)0)
; } } } 
if(BgL_test4642z00_13694)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9436 = BgL_iportz00_8973; 
BgL_lastzd2matchzd2_9437 = BgL_newzd2matchzd2_8977; 
BgL_forwardz00_9438 = 
(((long)1)+BgL_forwardz00_8975); 
BgL_bufposz00_9439 = BgL_bufposz00_8976; 
BgL_statezd2149zd21178z00_8598:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9440;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13706;
BgL_tmpz00_13706 = 
((obj_t)BgL_iportz00_9436); 
RGC_STOP_MATCH(BgL_tmpz00_13706, BgL_forwardz00_9438); } 
BgL_newzd2matchzd2_9440 = ((long)39); 
if(
(BgL_forwardz00_9438==BgL_bufposz00_9439))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9436)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2601z00_9441; long BgL_arg2602z00_9442;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13714;
BgL_tmpz00_13714 = 
((obj_t)BgL_iportz00_9436); 
BgL_arg2601z00_9441 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13714); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13717;
BgL_tmpz00_13717 = 
((obj_t)BgL_iportz00_9436); 
BgL_arg2602z00_9442 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13717); } 
{ 
 long BgL_bufposz00_13721; long BgL_forwardz00_13720;
BgL_forwardz00_13720 = BgL_arg2601z00_9441; 
BgL_bufposz00_13721 = BgL_arg2602z00_9442; 
BgL_bufposz00_9439 = BgL_bufposz00_13721; 
BgL_forwardz00_9438 = BgL_forwardz00_13720; 
goto BgL_statezd2149zd21178z00_8598;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9440; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9443;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13722;
BgL_tmpz00_13722 = 
((obj_t)BgL_iportz00_9436); 
BgL_curz00_9443 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13722, BgL_forwardz00_9438); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4648z00_13725;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4649z00_13726;
if(
(
(long)(BgL_curz00_9443)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4649z00_13726 = 
(
(long)(BgL_curz00_9443)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4649z00_13726 = ((bool_t)0)
; } 
if(BgL_test4649z00_13726)
{ /* Llib/bibtex.scm 103 */
BgL_test4648z00_13725 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9443)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4648z00_13725 = 
(
(long)(BgL_curz00_9443)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4648z00_13725 = ((bool_t)0)
; } } } 
if(BgL_test4648z00_13725)
{ 
 long BgL_forwardz00_13738; long BgL_lastzd2matchzd2_13737;
BgL_lastzd2matchzd2_13737 = BgL_newzd2matchzd2_9440; 
BgL_forwardz00_13738 = 
(((long)1)+BgL_forwardz00_9438); 
BgL_forwardz00_9438 = BgL_forwardz00_13738; 
BgL_lastzd2matchzd2_9437 = BgL_lastzd2matchzd2_13737; 
goto BgL_statezd2149zd21178z00_8598;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9440; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8977; } } } } } break;case ((long)61) : 

{ /* Llib/bibtex.scm 103 */
 long BgL_arg2275z00_9104;
BgL_arg2275z00_9104 = 
(((long)1)+BgL_forwardz00_9097); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9105;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13743;
BgL_tmpz00_13743 = 
((obj_t)BgL_iportz00_9095); 
RGC_STOP_MATCH(BgL_tmpz00_13743, BgL_arg2275z00_9104); } 
BgL_newzd2matchzd2_9105 = ((long)2); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9105; } } break;case ((long)57) : 
case ((long)56) : 
case ((long)55) : 
case ((long)54) : 
case ((long)53) : 
case ((long)52) : 
case ((long)51) : 
case ((long)50) : 
case ((long)49) : 
case ((long)48) : 

BgL_iportz00_8838 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_8839 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_8840 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_8841 = BgL_bufposz00_9098; 
BgL_statezd28zd21037z00_8528:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8842;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13746;
BgL_tmpz00_13746 = 
((obj_t)BgL_iportz00_8838); 
RGC_STOP_MATCH(BgL_tmpz00_13746, BgL_forwardz00_8840); } 
BgL_newzd2matchzd2_8842 = ((long)40); 
if(
(BgL_forwardz00_8840==BgL_bufposz00_8841))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8838)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1934z00_8843; long BgL_arg1935z00_8844;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13754;
BgL_tmpz00_13754 = 
((obj_t)BgL_iportz00_8838); 
BgL_arg1934z00_8843 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13754); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13757;
BgL_tmpz00_13757 = 
((obj_t)BgL_iportz00_8838); 
BgL_arg1935z00_8844 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13757); } 
{ 
 long BgL_bufposz00_13761; long BgL_forwardz00_13760;
BgL_forwardz00_13760 = BgL_arg1934z00_8843; 
BgL_bufposz00_13761 = BgL_arg1935z00_8844; 
BgL_bufposz00_8841 = BgL_bufposz00_13761; 
BgL_forwardz00_8840 = BgL_forwardz00_13760; 
goto BgL_statezd28zd21037z00_8528;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8842; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8845;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13762;
BgL_tmpz00_13762 = 
((obj_t)BgL_iportz00_8838); 
BgL_curz00_8845 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13762, BgL_forwardz00_8840); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4654z00_13765;
if(
(
(long)(BgL_curz00_8845)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4654z00_13765 = 
(
(long)(BgL_curz00_8845)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4654z00_13765 = ((bool_t)0)
; } 
if(BgL_test4654z00_13765)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8925 = BgL_iportz00_8838; 
BgL_lastzd2matchzd2_8926 = BgL_newzd2matchzd2_8842; 
BgL_forwardz00_8927 = 
(((long)1)+BgL_forwardz00_8840); 
BgL_bufposz00_8928 = BgL_bufposz00_8841; 
BgL_statezd2151zd21180z00_8539:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8929;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13771;
BgL_tmpz00_13771 = 
((obj_t)BgL_iportz00_8925); 
RGC_STOP_MATCH(BgL_tmpz00_13771, BgL_forwardz00_8927); } 
BgL_newzd2matchzd2_8929 = ((long)40); 
if(
(BgL_forwardz00_8927==BgL_bufposz00_8928))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8925)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2052z00_8930; long BgL_arg2053z00_8931;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13779;
BgL_tmpz00_13779 = 
((obj_t)BgL_iportz00_8925); 
BgL_arg2052z00_8930 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13779); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13782;
BgL_tmpz00_13782 = 
((obj_t)BgL_iportz00_8925); 
BgL_arg2053z00_8931 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13782); } 
{ 
 long BgL_bufposz00_13786; long BgL_forwardz00_13785;
BgL_forwardz00_13785 = BgL_arg2052z00_8930; 
BgL_bufposz00_13786 = BgL_arg2053z00_8931; 
BgL_bufposz00_8928 = BgL_bufposz00_13786; 
BgL_forwardz00_8927 = BgL_forwardz00_13785; 
goto BgL_statezd2151zd21180z00_8539;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8929; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8932;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13787;
BgL_tmpz00_13787 = 
((obj_t)BgL_iportz00_8925); 
BgL_curz00_8932 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13787, BgL_forwardz00_8927); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4658z00_13790;
if(
(
(long)(BgL_curz00_8932)>=((long)48)))
{ /* Llib/bibtex.scm 103 */
BgL_test4658z00_13790 = 
(
(long)(BgL_curz00_8932)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4658z00_13790 = ((bool_t)0)
; } 
if(BgL_test4658z00_13790)
{ 
 long BgL_forwardz00_13797; long BgL_lastzd2matchzd2_13796;
BgL_lastzd2matchzd2_13796 = BgL_newzd2matchzd2_8929; 
BgL_forwardz00_13797 = 
(((long)1)+BgL_forwardz00_8927); 
BgL_forwardz00_8927 = BgL_forwardz00_13797; 
BgL_lastzd2matchzd2_8926 = BgL_lastzd2matchzd2_13796; 
goto BgL_statezd2151zd21180z00_8539;}  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4660z00_13799;
if(
(
(long)(BgL_curz00_8932)==((long)38)))
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4662z00_13803;
if(
(
(long)(BgL_curz00_8932)==((long)43)))
{ /* Llib/bibtex.scm 103 */
BgL_test4662z00_13803 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4662z00_13803 = 
(
(long)(BgL_curz00_8932)==((long)42))
; } 
if(BgL_test4662z00_13803)
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4664z00_13809;
if(
(
(long)(BgL_curz00_8932)==((long)47)))
{ /* Llib/bibtex.scm 103 */
BgL_test4664z00_13809 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8932)==((long)46)))
{ /* Llib/bibtex.scm 103 */
BgL_test4664z00_13809 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4664z00_13809 = 
(
(long)(BgL_curz00_8932)==((long)45))
; } } 
if(BgL_test4664z00_13809)
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8932)==((long)58)))
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8932)==((long)63)))
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4669z00_13824;
if(
(
(long)(BgL_curz00_8932)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4669z00_13824 = 
(
(long)(BgL_curz00_8932)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4669z00_13824 = ((bool_t)0)
; } 
if(BgL_test4669z00_13824)
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8932)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8932)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = 
(
(long)(BgL_curz00_8932)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4660z00_13799 = ((bool_t)0)
; } } } } } } } } 
if(BgL_test4660z00_13799)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9321 = BgL_iportz00_8925; 
BgL_lastzd2matchzd2_9322 = BgL_newzd2matchzd2_8929; 
BgL_forwardz00_9323 = 
(((long)1)+BgL_forwardz00_8927); 
BgL_bufposz00_9324 = BgL_bufposz00_8928; 
BgL_statezd2150zd21179z00_8584:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9325;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13838;
BgL_tmpz00_13838 = 
((obj_t)BgL_iportz00_9321); 
RGC_STOP_MATCH(BgL_tmpz00_13838, BgL_forwardz00_9323); } 
BgL_newzd2matchzd2_9325 = ((long)41); 
if(
(BgL_forwardz00_9323==BgL_bufposz00_9324))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9321)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2482z00_9326; long BgL_arg2483z00_9327;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13846;
BgL_tmpz00_13846 = 
((obj_t)BgL_iportz00_9321); 
BgL_arg2482z00_9326 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13846); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13849;
BgL_tmpz00_13849 = 
((obj_t)BgL_iportz00_9321); 
BgL_arg2483z00_9327 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13849); } 
{ 
 long BgL_bufposz00_13853; long BgL_forwardz00_13852;
BgL_forwardz00_13852 = BgL_arg2482z00_9326; 
BgL_bufposz00_13853 = BgL_arg2483z00_9327; 
BgL_bufposz00_9324 = BgL_bufposz00_13853; 
BgL_forwardz00_9323 = BgL_forwardz00_13852; 
goto BgL_statezd2150zd21179z00_8584;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9325; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9328;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13854;
BgL_tmpz00_13854 = 
((obj_t)BgL_iportz00_9321); 
BgL_curz00_9328 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13854, BgL_forwardz00_9323); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4675z00_13857;
if(
(
(long)(BgL_curz00_9328)==((long)38)))
{ /* Llib/bibtex.scm 103 */
BgL_test4675z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4677z00_13861;
if(
(
(long)(BgL_curz00_9328)==((long)43)))
{ /* Llib/bibtex.scm 103 */
BgL_test4677z00_13861 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4677z00_13861 = 
(
(long)(BgL_curz00_9328)==((long)42))
; } 
if(BgL_test4677z00_13861)
{ /* Llib/bibtex.scm 103 */
BgL_test4675z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4679z00_13867;
if(
(
(long)(BgL_curz00_9328)>=((long)45)))
{ /* Llib/bibtex.scm 103 */
BgL_test4679z00_13867 = 
(
(long)(BgL_curz00_9328)<((long)59))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4679z00_13867 = ((bool_t)0)
; } 
if(BgL_test4679z00_13867)
{ /* Llib/bibtex.scm 103 */
BgL_test4675z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9328)==((long)63)))
{ /* Llib/bibtex.scm 103 */
BgL_test4675z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4682z00_13876;
if(
(
(long)(BgL_curz00_9328)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13876 = 
(
(long)(BgL_curz00_9328)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4682z00_13876 = ((bool_t)0)
; } 
if(BgL_test4682z00_13876)
{ /* Llib/bibtex.scm 103 */
BgL_test4675z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9328)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_test4675z00_13857 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9328)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4675z00_13857 = 
(
(long)(BgL_curz00_9328)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4675z00_13857 = ((bool_t)0)
; } } } } } } } 
if(BgL_test4675z00_13857)
{ 
 long BgL_forwardz00_13891; long BgL_lastzd2matchzd2_13890;
BgL_lastzd2matchzd2_13890 = BgL_newzd2matchzd2_9325; 
BgL_forwardz00_13891 = 
(((long)1)+BgL_forwardz00_9323); 
BgL_forwardz00_9323 = BgL_forwardz00_13891; 
BgL_lastzd2matchzd2_9322 = BgL_lastzd2matchzd2_13890; 
goto BgL_statezd2150zd21179z00_8584;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9325; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8929; } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4686z00_13895;
if(
(
(long)(BgL_curz00_8845)==((long)38)))
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4688z00_13899;
if(
(
(long)(BgL_curz00_8845)==((long)43)))
{ /* Llib/bibtex.scm 103 */
BgL_test4688z00_13899 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4688z00_13899 = 
(
(long)(BgL_curz00_8845)==((long)42))
; } 
if(BgL_test4688z00_13899)
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4690z00_13905;
if(
(
(long)(BgL_curz00_8845)==((long)47)))
{ /* Llib/bibtex.scm 103 */
BgL_test4690z00_13905 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8845)==((long)46)))
{ /* Llib/bibtex.scm 103 */
BgL_test4690z00_13905 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4690z00_13905 = 
(
(long)(BgL_curz00_8845)==((long)45))
; } } 
if(BgL_test4690z00_13905)
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8845)==((long)58)))
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8845)==((long)63)))
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4695z00_13920;
if(
(
(long)(BgL_curz00_8845)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4695z00_13920 = 
(
(long)(BgL_curz00_8845)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4695z00_13920 = ((bool_t)0)
; } 
if(BgL_test4695z00_13920)
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8845)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8845)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = 
(
(long)(BgL_curz00_8845)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4686z00_13895 = ((bool_t)0)
; } } } } } } } } 
if(BgL_test4686z00_13895)
{ 
 long BgL_bufposz00_13938; long BgL_forwardz00_13936; long BgL_lastzd2matchzd2_13935; obj_t BgL_iportz00_13934;
BgL_iportz00_13934 = BgL_iportz00_8838; 
BgL_lastzd2matchzd2_13935 = BgL_newzd2matchzd2_8842; 
BgL_forwardz00_13936 = 
(((long)1)+BgL_forwardz00_8840); 
BgL_bufposz00_13938 = BgL_bufposz00_8841; 
BgL_bufposz00_9324 = BgL_bufposz00_13938; 
BgL_forwardz00_9323 = BgL_forwardz00_13936; 
BgL_lastzd2matchzd2_9322 = BgL_lastzd2matchzd2_13935; 
BgL_iportz00_9321 = BgL_iportz00_13934; 
goto BgL_statezd2150zd21179z00_8584;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8842; } } } } } } break;case ((long)44) : 

{ /* Llib/bibtex.scm 103 */
 long BgL_arg2277z00_9106;
BgL_arg2277z00_9106 = 
(((long)1)+BgL_forwardz00_9097); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9107;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13941;
BgL_tmpz00_13941 = 
((obj_t)BgL_iportz00_9095); 
RGC_STOP_MATCH(BgL_tmpz00_13941, BgL_arg2277z00_9106); } 
BgL_newzd2matchzd2_9107 = ((long)6); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9107; } } break;case ((long)122) : 
case ((long)121) : 
case ((long)120) : 
case ((long)119) : 
case ((long)118) : 
case ((long)117) : 
case ((long)116) : 
case ((long)115) : 
case ((long)114) : 
case ((long)113) : 
case ((long)112) : 
case ((long)111) : 
case ((long)110) : 
case ((long)109) : 
case ((long)108) : 
case ((long)107) : 
case ((long)106) : 
case ((long)105) : 
case ((long)104) : 
case ((long)103) : 
case ((long)102) : 
case ((long)101) : 
case ((long)100) : 
case ((long)99) : 
case ((long)98) : 
case ((long)97) : 
case ((long)95) : 
case ((long)90) : 
case ((long)89) : 
case ((long)88) : 
case ((long)87) : 
case ((long)86) : 
case ((long)85) : 
case ((long)84) : 
case ((long)83) : 
case ((long)82) : 
case ((long)81) : 
case ((long)80) : 
case ((long)79) : 
case ((long)78) : 
case ((long)77) : 
case ((long)76) : 
case ((long)75) : 
case ((long)74) : 
case ((long)73) : 
case ((long)72) : 
case ((long)71) : 
case ((long)70) : 
case ((long)69) : 
case ((long)68) : 
case ((long)67) : 
case ((long)66) : 
case ((long)65) : 
case ((long)63) : 
case ((long)58) : 
case ((long)47) : 
case ((long)46) : 
case ((long)45) : 
case ((long)43) : 
case ((long)42) : 
case ((long)38) : 

BgL_iportz00_9636 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_9637 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_9638 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_9639 = BgL_bufposz00_9098; 
BgL_statezd26zd21035z00_8621:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9640;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13944;
BgL_tmpz00_13944 = 
((obj_t)BgL_iportz00_9636); 
RGC_STOP_MATCH(BgL_tmpz00_13944, BgL_forwardz00_9638); } 
BgL_newzd2matchzd2_9640 = ((long)41); 
if(
(BgL_forwardz00_9638==BgL_bufposz00_9639))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9636)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2801z00_9641; long BgL_arg2802z00_9642;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13952;
BgL_tmpz00_13952 = 
((obj_t)BgL_iportz00_9636); 
BgL_arg2801z00_9641 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_13952); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13955;
BgL_tmpz00_13955 = 
((obj_t)BgL_iportz00_9636); 
BgL_arg2802z00_9642 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_13955); } 
{ 
 long BgL_bufposz00_13959; long BgL_forwardz00_13958;
BgL_forwardz00_13958 = BgL_arg2801z00_9641; 
BgL_bufposz00_13959 = BgL_arg2802z00_9642; 
BgL_bufposz00_9639 = BgL_bufposz00_13959; 
BgL_forwardz00_9638 = BgL_forwardz00_13958; 
goto BgL_statezd26zd21035z00_8621;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9640; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9643;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_13960;
BgL_tmpz00_13960 = 
((obj_t)BgL_iportz00_9636); 
BgL_curz00_9643 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_13960, BgL_forwardz00_9638); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4701z00_13963;
if(
(
(long)(BgL_curz00_9643)==((long)38)))
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4703z00_13967;
if(
(
(long)(BgL_curz00_9643)==((long)43)))
{ /* Llib/bibtex.scm 103 */
BgL_test4703z00_13967 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4703z00_13967 = 
(
(long)(BgL_curz00_9643)==((long)42))
; } 
if(BgL_test4703z00_13967)
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4705z00_13973;
if(
(
(long)(BgL_curz00_9643)>=((long)45)))
{ /* Llib/bibtex.scm 103 */
BgL_test4705z00_13973 = 
(
(long)(BgL_curz00_9643)<((long)59))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4705z00_13973 = ((bool_t)0)
; } 
if(BgL_test4705z00_13973)
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9643)==((long)63)))
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4708z00_13982;
if(
(
(long)(BgL_curz00_9643)>=((long)65)))
{ /* Llib/bibtex.scm 103 */
BgL_test4708z00_13982 = 
(
(long)(BgL_curz00_9643)<((long)91))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4708z00_13982 = ((bool_t)0)
; } 
if(BgL_test4708z00_13982)
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9643)==((long)95)))
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_13963 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9643)>=((long)97)))
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_13963 = 
(
(long)(BgL_curz00_9643)<((long)123))
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4701z00_13963 = ((bool_t)0)
; } } } } } } } 
if(BgL_test4701z00_13963)
{ 
 long BgL_bufposz00_14000; long BgL_forwardz00_13998; long BgL_lastzd2matchzd2_13997; obj_t BgL_iportz00_13996;
BgL_iportz00_13996 = BgL_iportz00_9636; 
BgL_lastzd2matchzd2_13997 = BgL_newzd2matchzd2_9640; 
BgL_forwardz00_13998 = 
(((long)1)+BgL_forwardz00_9638); 
BgL_bufposz00_14000 = BgL_bufposz00_9639; 
BgL_bufposz00_9324 = BgL_bufposz00_14000; 
BgL_forwardz00_9323 = BgL_forwardz00_13998; 
BgL_lastzd2matchzd2_9322 = BgL_lastzd2matchzd2_13997; 
BgL_iportz00_9321 = BgL_iportz00_13996; 
goto BgL_statezd2150zd21179z00_8584;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9640; } } } } } break;case ((long)37) : 

BgL_iportz00_9254 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_9255 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_9256 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_9257 = BgL_bufposz00_9098; 
BgL_statezd25zd21034z00_8576:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9258;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14002;
BgL_tmpz00_14002 = 
((obj_t)BgL_iportz00_9254); 
RGC_STOP_MATCH(BgL_tmpz00_14002, BgL_forwardz00_9256); } 
BgL_newzd2matchzd2_9258 = ((long)1); 
if(
(BgL_forwardz00_9256==BgL_bufposz00_9257))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9254)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2423z00_9259; long BgL_arg2424z00_9260;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14010;
BgL_tmpz00_14010 = 
((obj_t)BgL_iportz00_9254); 
BgL_arg2423z00_9259 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14010); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14013;
BgL_tmpz00_14013 = 
((obj_t)BgL_iportz00_9254); 
BgL_arg2424z00_9260 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14013); } 
{ 
 long BgL_bufposz00_14017; long BgL_forwardz00_14016;
BgL_forwardz00_14016 = BgL_arg2423z00_9259; 
BgL_bufposz00_14017 = BgL_arg2424z00_9260; 
BgL_bufposz00_9257 = BgL_bufposz00_14017; 
BgL_forwardz00_9256 = BgL_forwardz00_14016; 
goto BgL_statezd25zd21034z00_8576;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9258; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9261;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14018;
BgL_tmpz00_14018 = 
((obj_t)BgL_iportz00_9254); 
BgL_curz00_9261 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14018, BgL_forwardz00_9256); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9261)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9258; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9653 = BgL_iportz00_9254; 
BgL_lastzd2matchzd2_9654 = BgL_newzd2matchzd2_9258; 
BgL_forwardz00_9655 = 
(((long)1)+BgL_forwardz00_9256); 
BgL_bufposz00_9656 = BgL_bufposz00_9257; 
BgL_statezd2152zd21181z00_8623:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9657;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14024;
BgL_tmpz00_14024 = 
((obj_t)BgL_iportz00_9653); 
RGC_STOP_MATCH(BgL_tmpz00_14024, BgL_forwardz00_9655); } 
BgL_newzd2matchzd2_9657 = ((long)1); 
if(
(BgL_forwardz00_9655==BgL_bufposz00_9656))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9653)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2824z00_9658; long BgL_arg2825z00_9659;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14032;
BgL_tmpz00_14032 = 
((obj_t)BgL_iportz00_9653); 
BgL_arg2824z00_9658 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14032); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14035;
BgL_tmpz00_14035 = 
((obj_t)BgL_iportz00_9653); 
BgL_arg2825z00_9659 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14035); } 
{ 
 long BgL_bufposz00_14039; long BgL_forwardz00_14038;
BgL_forwardz00_14038 = BgL_arg2824z00_9658; 
BgL_bufposz00_14039 = BgL_arg2825z00_9659; 
BgL_bufposz00_9656 = BgL_bufposz00_14039; 
BgL_forwardz00_9655 = BgL_forwardz00_14038; 
goto BgL_statezd2152zd21181z00_8623;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9657; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9660;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14040;
BgL_tmpz00_14040 = 
((obj_t)BgL_iportz00_9653); 
BgL_curz00_9660 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14040, BgL_forwardz00_9655); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9660)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9657; }  else 
{ 
 long BgL_forwardz00_14047; long BgL_lastzd2matchzd2_14046;
BgL_lastzd2matchzd2_14046 = BgL_newzd2matchzd2_9657; 
BgL_forwardz00_14047 = 
(((long)1)+BgL_forwardz00_9655); 
BgL_forwardz00_9655 = BgL_forwardz00_14047; 
BgL_lastzd2matchzd2_9654 = BgL_lastzd2matchzd2_14046; 
goto BgL_statezd2152zd21181z00_8623;} } } } } } } } break;case ((long)35) : 

BgL_iportz00_8830 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_8831 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_8832 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_8833 = BgL_bufposz00_9098; 
BgL_statezd24zd21033z00_8527:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8834;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14051;
BgL_tmpz00_14051 = 
((obj_t)BgL_iportz00_8830); 
RGC_STOP_MATCH(BgL_tmpz00_14051, BgL_forwardz00_8832); } 
BgL_newzd2matchzd2_8834 = ((long)3); 
if(
(BgL_forwardz00_8832==BgL_bufposz00_8833))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8830)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1923z00_8835; long BgL_arg1924z00_8836;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14059;
BgL_tmpz00_14059 = 
((obj_t)BgL_iportz00_8830); 
BgL_arg1923z00_8835 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14059); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14062;
BgL_tmpz00_14062 = 
((obj_t)BgL_iportz00_8830); 
BgL_arg1924z00_8836 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14062); } 
{ 
 long BgL_bufposz00_14066; long BgL_forwardz00_14065;
BgL_forwardz00_14065 = BgL_arg1923z00_8835; 
BgL_bufposz00_14066 = BgL_arg1924z00_8836; 
BgL_bufposz00_8833 = BgL_bufposz00_14066; 
BgL_forwardz00_8832 = BgL_forwardz00_14065; 
goto BgL_statezd24zd21033z00_8527;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8834; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8837;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14067;
BgL_tmpz00_14067 = 
((obj_t)BgL_iportz00_8830); 
BgL_curz00_8837 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14067, BgL_forwardz00_8832); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4720z00_14070;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4721z00_14071;
if(
(
(long)(BgL_curz00_8837)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_test4721z00_14071 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4721z00_14071 = 
(
(long)(BgL_curz00_8837)==((long)9))
; } 
if(BgL_test4721z00_14071)
{ /* Llib/bibtex.scm 103 */
BgL_test4720z00_14070 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8837)==((long)13)))
{ /* Llib/bibtex.scm 103 */
BgL_test4720z00_14070 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4720z00_14070 = 
(
(long)(BgL_curz00_8837)==((long)32))
; } } } 
if(BgL_test4720z00_14070)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8933 = BgL_iportz00_8830; 
BgL_lastzd2matchzd2_8934 = BgL_newzd2matchzd2_8834; 
BgL_forwardz00_8935 = 
(((long)1)+BgL_forwardz00_8832); 
BgL_bufposz00_8936 = BgL_bufposz00_8833; 
BgL_statezd2153zd21182z00_8540:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8937;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14082;
BgL_tmpz00_14082 = 
((obj_t)BgL_iportz00_8933); 
RGC_STOP_MATCH(BgL_tmpz00_14082, BgL_forwardz00_8935); } 
BgL_newzd2matchzd2_8937 = ((long)3); 
if(
(BgL_forwardz00_8935==BgL_bufposz00_8936))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8933)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2073z00_8938; long BgL_arg2074z00_8939;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14090;
BgL_tmpz00_14090 = 
((obj_t)BgL_iportz00_8933); 
BgL_arg2073z00_8938 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14090); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14093;
BgL_tmpz00_14093 = 
((obj_t)BgL_iportz00_8933); 
BgL_arg2074z00_8939 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14093); } 
{ 
 long BgL_bufposz00_14097; long BgL_forwardz00_14096;
BgL_forwardz00_14096 = BgL_arg2073z00_8938; 
BgL_bufposz00_14097 = BgL_arg2074z00_8939; 
BgL_bufposz00_8936 = BgL_bufposz00_14097; 
BgL_forwardz00_8935 = BgL_forwardz00_14096; 
goto BgL_statezd2153zd21182z00_8540;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8937; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8940;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14098;
BgL_tmpz00_14098 = 
((obj_t)BgL_iportz00_8933); 
BgL_curz00_8940 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14098, BgL_forwardz00_8935); } 
{ /* Llib/bibtex.scm 103 */

{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4726z00_14101;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4727z00_14102;
if(
(
(long)(BgL_curz00_8940)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_test4727z00_14102 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4727z00_14102 = 
(
(long)(BgL_curz00_8940)==((long)9))
; } 
if(BgL_test4727z00_14102)
{ /* Llib/bibtex.scm 103 */
BgL_test4726z00_14101 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8940)==((long)13)))
{ /* Llib/bibtex.scm 103 */
BgL_test4726z00_14101 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4726z00_14101 = 
(
(long)(BgL_curz00_8940)==((long)32))
; } } } 
if(BgL_test4726z00_14101)
{ 
 long BgL_forwardz00_14114; long BgL_lastzd2matchzd2_14113;
BgL_lastzd2matchzd2_14113 = BgL_newzd2matchzd2_8937; 
BgL_forwardz00_14114 = 
(((long)1)+BgL_forwardz00_8935); 
BgL_forwardz00_8935 = BgL_forwardz00_14114; 
BgL_lastzd2matchzd2_8934 = BgL_lastzd2matchzd2_14113; 
goto BgL_statezd2153zd21182z00_8540;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8937; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8834; } } } } } break;case ((long)34) : 

BgL_iportz00_9338 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_9339 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_9340 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_9341 = BgL_bufposz00_9098; 
BgL_statezd23zd21032z00_8586:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9342;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14118;
BgL_tmpz00_14118 = 
((obj_t)BgL_iportz00_9338); 
RGC_STOP_MATCH(BgL_tmpz00_14118, BgL_forwardz00_9340); } 
BgL_newzd2matchzd2_9342 = ((long)42); 
if(
(BgL_forwardz00_9340==BgL_bufposz00_9341))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9338)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2505z00_9343; long BgL_arg2506z00_9344;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14126;
BgL_tmpz00_14126 = 
((obj_t)BgL_iportz00_9338); 
BgL_arg2505z00_9343 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14126); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14129;
BgL_tmpz00_14129 = 
((obj_t)BgL_iportz00_9338); 
BgL_arg2506z00_9344 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14129); } 
{ 
 long BgL_bufposz00_14133; long BgL_forwardz00_14132;
BgL_forwardz00_14132 = BgL_arg2505z00_9343; 
BgL_bufposz00_14133 = BgL_arg2506z00_9344; 
BgL_bufposz00_9341 = BgL_bufposz00_14133; 
BgL_forwardz00_9340 = BgL_forwardz00_14132; 
goto BgL_statezd23zd21032z00_8586;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9342; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9345;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14134;
BgL_tmpz00_14134 = 
((obj_t)BgL_iportz00_9338); 
BgL_curz00_9345 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14134, BgL_forwardz00_9340); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9345)==((long)92)))
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9629 = BgL_iportz00_9338; 
BgL_lastzd2matchzd2_9630 = BgL_newzd2matchzd2_9342; 
BgL_forwardz00_9631 = 
(((long)1)+BgL_forwardz00_9340); 
BgL_bufposz00_9632 = BgL_bufposz00_9341; 
BgL_statezd2156zd21185z00_8620:
if(
(BgL_forwardz00_9631==BgL_bufposz00_9632))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9629)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2794z00_9633; long BgL_arg2795z00_9634;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14145;
BgL_tmpz00_14145 = 
((obj_t)BgL_iportz00_9629); 
BgL_arg2794z00_9633 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14145); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14148;
BgL_tmpz00_14148 = 
((obj_t)BgL_iportz00_9629); 
BgL_arg2795z00_9634 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14148); } 
{ 
 long BgL_bufposz00_14152; long BgL_forwardz00_14151;
BgL_forwardz00_14151 = BgL_arg2794z00_9633; 
BgL_bufposz00_14152 = BgL_arg2795z00_9634; 
BgL_bufposz00_9632 = BgL_bufposz00_14152; 
BgL_forwardz00_9631 = BgL_forwardz00_14151; 
goto BgL_statezd2156zd21185z00_8620;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9630; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9635;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14153;
BgL_tmpz00_14153 = 
((obj_t)BgL_iportz00_9629); 
BgL_curz00_9635 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14153, BgL_forwardz00_9631); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9635)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9630; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_9595 = BgL_iportz00_9629; 
BgL_lastzd2matchzd2_9596 = BgL_lastzd2matchzd2_9630; 
BgL_forwardz00_9597 = 
(((long)1)+BgL_forwardz00_9631); 
BgL_bufposz00_9598 = BgL_bufposz00_9632; 
BgL_statezd2154zd21183z00_8616:
if(
(BgL_forwardz00_9597==BgL_bufposz00_9598))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_9595)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2758z00_9599; long BgL_arg2759z00_9600;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14164;
BgL_tmpz00_14164 = 
((obj_t)BgL_iportz00_9595); 
BgL_arg2758z00_9599 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14164); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14167;
BgL_tmpz00_14167 = 
((obj_t)BgL_iportz00_9595); 
BgL_arg2759z00_9600 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14167); } 
{ 
 long BgL_bufposz00_14171; long BgL_forwardz00_14170;
BgL_forwardz00_14170 = BgL_arg2758z00_9599; 
BgL_bufposz00_14171 = BgL_arg2759z00_9600; 
BgL_bufposz00_9598 = BgL_bufposz00_14171; 
BgL_forwardz00_9597 = BgL_forwardz00_14170; 
goto BgL_statezd2154zd21183z00_8616;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9596; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_9601;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14172;
BgL_tmpz00_14172 = 
((obj_t)BgL_iportz00_9595); 
BgL_curz00_9601 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14172, BgL_forwardz00_9597); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_9601)==((long)92)))
{ 
 long BgL_bufposz00_14182; long BgL_forwardz00_14180; long BgL_lastzd2matchzd2_14179; obj_t BgL_iportz00_14178;
BgL_iportz00_14178 = BgL_iportz00_9595; 
BgL_lastzd2matchzd2_14179 = BgL_lastzd2matchzd2_9596; 
BgL_forwardz00_14180 = 
(((long)1)+BgL_forwardz00_9597); 
BgL_bufposz00_14182 = BgL_bufposz00_9598; 
BgL_bufposz00_9632 = BgL_bufposz00_14182; 
BgL_forwardz00_9631 = BgL_forwardz00_14180; 
BgL_lastzd2matchzd2_9630 = BgL_lastzd2matchzd2_14179; 
BgL_iportz00_9629 = BgL_iportz00_14178; 
goto BgL_statezd2156zd21185z00_8620;}  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9601)==((long)34)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2763z00_9602;
BgL_arg2763z00_9602 = 
(((long)1)+BgL_forwardz00_9597); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9603;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14187;
BgL_tmpz00_14187 = 
((obj_t)BgL_iportz00_9595); 
RGC_STOP_MATCH(BgL_tmpz00_14187, BgL_arg2763z00_9602); } 
BgL_newzd2matchzd2_9603 = ((long)38); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9603; } }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4740z00_14190;
if(
(
(long)(BgL_curz00_9601)==((long)34)))
{ /* Llib/bibtex.scm 103 */
BgL_test4740z00_14190 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4740z00_14190 = 
(
(long)(BgL_curz00_9601)==((long)92))
; } 
if(BgL_test4740z00_14190)
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9596; }  else 
{ 
 long BgL_forwardz00_14196;
BgL_forwardz00_14196 = 
(((long)1)+BgL_forwardz00_9597); 
BgL_forwardz00_9597 = BgL_forwardz00_14196; 
goto BgL_statezd2154zd21183z00_8616;} } } } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_9345)==((long)34)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2510z00_9346;
BgL_arg2510z00_9346 = 
(((long)1)+BgL_forwardz00_9340); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9347;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14204;
BgL_tmpz00_14204 = 
((obj_t)BgL_iportz00_9338); 
RGC_STOP_MATCH(BgL_tmpz00_14204, BgL_arg2510z00_9346); } 
BgL_newzd2matchzd2_9347 = ((long)38); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9347; } }  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4743z00_14207;
if(
(
(long)(BgL_curz00_9345)==((long)34)))
{ /* Llib/bibtex.scm 103 */
BgL_test4743z00_14207 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4743z00_14207 = 
(
(long)(BgL_curz00_9345)==((long)92))
; } 
if(BgL_test4743z00_14207)
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_9342; }  else 
{ 
 long BgL_bufposz00_14217; long BgL_forwardz00_14215; long BgL_lastzd2matchzd2_14214; obj_t BgL_iportz00_14213;
BgL_iportz00_14213 = BgL_iportz00_9338; 
BgL_lastzd2matchzd2_14214 = BgL_newzd2matchzd2_9342; 
BgL_forwardz00_14215 = 
(((long)1)+BgL_forwardz00_9340); 
BgL_bufposz00_14217 = BgL_bufposz00_9341; 
BgL_bufposz00_9598 = BgL_bufposz00_14217; 
BgL_forwardz00_9597 = BgL_forwardz00_14215; 
BgL_lastzd2matchzd2_9596 = BgL_lastzd2matchzd2_14214; 
BgL_iportz00_9595 = BgL_iportz00_14213; 
goto BgL_statezd2154zd21183z00_8616;} } } } } } break;case ((long)32) : 
case ((long)13) : 
case ((long)10) : 
case ((long)9) : 

BgL_iportz00_8877 = BgL_iportz00_9095; 
BgL_lastzd2matchzd2_8878 = BgL_lastzd2matchzd2_9096; 
BgL_forwardz00_8879 = 
(((long)1)+BgL_forwardz00_9097); 
BgL_bufposz00_8880 = BgL_bufposz00_9098; 
BgL_statezd22zd21031z00_8533:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8881;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14219;
BgL_tmpz00_14219 = 
((obj_t)BgL_iportz00_8877); 
RGC_STOP_MATCH(BgL_tmpz00_14219, BgL_forwardz00_8879); } 
BgL_newzd2matchzd2_8881 = ((long)0); 
if(
(BgL_forwardz00_8879==BgL_bufposz00_8880))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8877)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg1989z00_8882; long BgL_arg1990z00_8883;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14227;
BgL_tmpz00_14227 = 
((obj_t)BgL_iportz00_8877); 
BgL_arg1989z00_8882 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14227); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14230;
BgL_tmpz00_14230 = 
((obj_t)BgL_iportz00_8877); 
BgL_arg1990z00_8883 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14230); } 
{ 
 long BgL_bufposz00_14234; long BgL_forwardz00_14233;
BgL_forwardz00_14233 = BgL_arg1989z00_8882; 
BgL_bufposz00_14234 = BgL_arg1990z00_8883; 
BgL_bufposz00_8880 = BgL_bufposz00_14234; 
BgL_forwardz00_8879 = BgL_forwardz00_14233; 
goto BgL_statezd22zd21031z00_8533;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8881; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8884;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14235;
BgL_tmpz00_14235 = 
((obj_t)BgL_iportz00_8877); 
BgL_curz00_8884 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14235, BgL_forwardz00_8879); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8884)==((long)35)))
{ 
 long BgL_bufposz00_14245; long BgL_forwardz00_14243; long BgL_lastzd2matchzd2_14242; obj_t BgL_iportz00_14241;
BgL_iportz00_14241 = BgL_iportz00_8877; 
BgL_lastzd2matchzd2_14242 = BgL_newzd2matchzd2_8881; 
BgL_forwardz00_14243 = 
(((long)1)+BgL_forwardz00_8879); 
BgL_bufposz00_14245 = BgL_bufposz00_8880; 
BgL_bufposz00_8936 = BgL_bufposz00_14245; 
BgL_forwardz00_8935 = BgL_forwardz00_14243; 
BgL_lastzd2matchzd2_8934 = BgL_lastzd2matchzd2_14242; 
BgL_iportz00_8933 = BgL_iportz00_14241; 
goto BgL_statezd2153zd21182z00_8540;}  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4748z00_14246;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4749z00_14247;
if(
(
(long)(BgL_curz00_8884)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_test4749z00_14247 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4749z00_14247 = 
(
(long)(BgL_curz00_8884)==((long)9))
; } 
if(BgL_test4749z00_14247)
{ /* Llib/bibtex.scm 103 */
BgL_test4748z00_14246 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8884)==((long)13)))
{ /* Llib/bibtex.scm 103 */
BgL_test4748z00_14246 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4748z00_14246 = 
(
(long)(BgL_curz00_8884)==((long)32))
; } } } 
if(BgL_test4748z00_14246)
{ /* Llib/bibtex.scm 103 */
BgL_iportz00_8901 = BgL_iportz00_8877; 
BgL_lastzd2matchzd2_8902 = BgL_newzd2matchzd2_8881; 
BgL_forwardz00_8903 = 
(((long)1)+BgL_forwardz00_8879); 
BgL_bufposz00_8904 = BgL_bufposz00_8880; 
BgL_statezd2157zd21186z00_8536:
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_8905;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14258;
BgL_tmpz00_14258 = 
((obj_t)BgL_iportz00_8901); 
RGC_STOP_MATCH(BgL_tmpz00_14258, BgL_forwardz00_8903); } 
BgL_newzd2matchzd2_8905 = ((long)0); 
if(
(BgL_forwardz00_8903==BgL_bufposz00_8904))
{ /* Llib/bibtex.scm 103 */
if(
rgc_fill_buffer(
((obj_t)BgL_iportz00_8901)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2023z00_8906; long BgL_arg2024z00_8907;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14266;
BgL_tmpz00_14266 = 
((obj_t)BgL_iportz00_8901); 
BgL_arg2023z00_8906 = 
RGC_BUFFER_FORWARD(BgL_tmpz00_14266); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14269;
BgL_tmpz00_14269 = 
((obj_t)BgL_iportz00_8901); 
BgL_arg2024z00_8907 = 
RGC_BUFFER_BUFPOS(BgL_tmpz00_14269); } 
{ 
 long BgL_bufposz00_14273; long BgL_forwardz00_14272;
BgL_forwardz00_14272 = BgL_arg2023z00_8906; 
BgL_bufposz00_14273 = BgL_arg2024z00_8907; 
BgL_bufposz00_8904 = BgL_bufposz00_14273; 
BgL_forwardz00_8903 = BgL_forwardz00_14272; 
goto BgL_statezd2157zd21186z00_8536;} }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8905; } }  else 
{ /* Llib/bibtex.scm 103 */
 int BgL_curz00_8908;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14274;
BgL_tmpz00_14274 = 
((obj_t)BgL_iportz00_8901); 
BgL_curz00_8908 = 
RGC_BUFFER_GET_CHAR(BgL_tmpz00_14274, BgL_forwardz00_8903); } 
{ /* Llib/bibtex.scm 103 */

if(
(
(long)(BgL_curz00_8908)==((long)35)))
{ 
 long BgL_bufposz00_14284; long BgL_forwardz00_14282; long BgL_lastzd2matchzd2_14281; obj_t BgL_iportz00_14280;
BgL_iportz00_14280 = BgL_iportz00_8901; 
BgL_lastzd2matchzd2_14281 = BgL_newzd2matchzd2_8905; 
BgL_forwardz00_14282 = 
(((long)1)+BgL_forwardz00_8903); 
BgL_bufposz00_14284 = BgL_bufposz00_8904; 
BgL_bufposz00_8936 = BgL_bufposz00_14284; 
BgL_forwardz00_8935 = BgL_forwardz00_14282; 
BgL_lastzd2matchzd2_8934 = BgL_lastzd2matchzd2_14281; 
BgL_iportz00_8933 = BgL_iportz00_14280; 
goto BgL_statezd2153zd21182z00_8540;}  else 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4755z00_14285;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4756z00_14286;
if(
(
(long)(BgL_curz00_8908)==((long)10)))
{ /* Llib/bibtex.scm 103 */
BgL_test4756z00_14286 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4756z00_14286 = 
(
(long)(BgL_curz00_8908)==((long)9))
; } 
if(BgL_test4756z00_14286)
{ /* Llib/bibtex.scm 103 */
BgL_test4755z00_14285 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_curz00_8908)==((long)13)))
{ /* Llib/bibtex.scm 103 */
BgL_test4755z00_14285 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4755z00_14285 = 
(
(long)(BgL_curz00_8908)==((long)32))
; } } } 
if(BgL_test4755z00_14285)
{ 
 long BgL_forwardz00_14298; long BgL_lastzd2matchzd2_14297;
BgL_lastzd2matchzd2_14297 = BgL_newzd2matchzd2_8905; 
BgL_forwardz00_14298 = 
(((long)1)+BgL_forwardz00_8903); 
BgL_forwardz00_8903 = BgL_forwardz00_14298; 
BgL_lastzd2matchzd2_8902 = BgL_lastzd2matchzd2_14297; 
goto BgL_statezd2157zd21186z00_8536;}  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8905; } } } } } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_matchz00_9679 = BgL_newzd2matchzd2_8881; } } } } } break;case ((long)255) : 
case ((long)254) : 
case ((long)253) : 
case ((long)252) : 
case ((long)251) : 
case ((long)250) : 
case ((long)249) : 
case ((long)248) : 
case ((long)247) : 
case ((long)246) : 
case ((long)245) : 
case ((long)244) : 
case ((long)243) : 
case ((long)242) : 
case ((long)241) : 
case ((long)240) : 
case ((long)239) : 
case ((long)238) : 
case ((long)237) : 
case ((long)236) : 
case ((long)235) : 
case ((long)234) : 
case ((long)233) : 
case ((long)232) : 
case ((long)231) : 
case ((long)230) : 
case ((long)229) : 
case ((long)228) : 
case ((long)227) : 
case ((long)226) : 
case ((long)225) : 
case ((long)224) : 
case ((long)223) : 
case ((long)222) : 
case ((long)221) : 
case ((long)220) : 
case ((long)219) : 
case ((long)218) : 
case ((long)217) : 
case ((long)216) : 
case ((long)215) : 
case ((long)214) : 
case ((long)213) : 
case ((long)212) : 
case ((long)211) : 
case ((long)210) : 
case ((long)209) : 
case ((long)208) : 
case ((long)207) : 
case ((long)206) : 
case ((long)205) : 
case ((long)204) : 
case ((long)203) : 
case ((long)202) : 
case ((long)201) : 
case ((long)200) : 
case ((long)199) : 
case ((long)198) : 
case ((long)197) : 
case ((long)196) : 
case ((long)195) : 
case ((long)194) : 
case ((long)193) : 
case ((long)192) : 
case ((long)191) : 
case ((long)190) : 
case ((long)189) : 
case ((long)188) : 
case ((long)187) : 
case ((long)186) : 
case ((long)185) : 
case ((long)184) : 
case ((long)183) : 
case ((long)182) : 
case ((long)181) : 
case ((long)180) : 
case ((long)179) : 
case ((long)178) : 
case ((long)177) : 
case ((long)176) : 
case ((long)175) : 
case ((long)174) : 
case ((long)173) : 
case ((long)172) : 
case ((long)171) : 
case ((long)170) : 
case ((long)169) : 
case ((long)168) : 
case ((long)167) : 
case ((long)166) : 
case ((long)165) : 
case ((long)164) : 
case ((long)163) : 
case ((long)162) : 
case ((long)161) : 
case ((long)160) : 
case ((long)159) : 
case ((long)158) : 
case ((long)157) : 
case ((long)156) : 
case ((long)155) : 
case ((long)154) : 
case ((long)153) : 
case ((long)152) : 
case ((long)151) : 
case ((long)150) : 
case ((long)149) : 
case ((long)148) : 
case ((long)147) : 
case ((long)146) : 
case ((long)145) : 
case ((long)144) : 
case ((long)143) : 
case ((long)142) : 
case ((long)141) : 
case ((long)140) : 
case ((long)139) : 
case ((long)138) : 
case ((long)137) : 
case ((long)136) : 
case ((long)135) : 
case ((long)134) : 
case ((long)133) : 
case ((long)132) : 
case ((long)131) : 
case ((long)130) : 
case ((long)129) : 
case ((long)128) : 
case ((long)127) : 
case ((long)126) : 
case ((long)124) : 
case ((long)96) : 
case ((long)94) : 
case ((long)93) : 
case ((long)91) : 
case ((long)62) : 
case ((long)60) : 
case ((long)59) : 
case ((long)41) : 
case ((long)40) : 
case ((long)39) : 
case ((long)36) : 
case ((long)33) : 
case ((long)31) : 
case ((long)30) : 
case ((long)29) : 
case ((long)28) : 
case ((long)27) : 
case ((long)26) : 
case ((long)25) : 
case ((long)24) : 
case ((long)23) : 
case ((long)22) : 
case ((long)21) : 
case ((long)20) : 
case ((long)19) : 
case ((long)18) : 
case ((long)17) : 
case ((long)16) : 
case ((long)15) : 
case ((long)14) : 
case ((long)12) : 
case ((long)11) : 
case ((long)8) : 
case ((long)7) : 
case ((long)6) : 
case ((long)5) : 
case ((long)4) : 
case ((long)3) : 
case ((long)2) : 
case ((long)1) : 
case ((long)0) : 

{ /* Llib/bibtex.scm 103 */
 long BgL_arg2283z00_9108;
BgL_arg2283z00_9108 = 
(((long)1)+BgL_forwardz00_9097); 
{ /* Llib/bibtex.scm 103 */
 long BgL_newzd2matchzd2_9109;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14303;
BgL_tmpz00_14303 = 
((obj_t)BgL_iportz00_9095); 
RGC_STOP_MATCH(BgL_tmpz00_14303, BgL_arg2283z00_9108); } 
BgL_newzd2matchzd2_9109 = ((long)42); 
BgL_matchz00_9679 = BgL_newzd2matchzd2_9109; } } break;
default: 
BgL_matchz00_9679 = BgL_lastzd2matchzd2_9096; } } } } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14308;
BgL_tmpz00_14308 = 
((obj_t)BgL_iportz00_8028); 
RGC_SET_FILEPOS(BgL_tmpz00_14308); } 
switch( BgL_matchz00_9679) { case ((long)42) : 

{ /* Llib/bibtex.scm 229 */
 obj_t BgL_cz00_9682;
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4759z00_14311;
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2927z00_9678;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14312;
BgL_tmpz00_14312 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2927z00_9678 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14312); } 
BgL_test4759z00_14311 = 
(BgL_arg2927z00_9678==((long)0)); } 
if(BgL_test4759z00_14311)
{ /* Llib/bibtex.scm 103 */
BgL_cz00_9682 = BEOF; }  else 
{ /* Llib/bibtex.scm 103 */
 unsigned char BgL_tmpz00_14316;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14317;
BgL_tmpz00_14317 = 
((obj_t)BgL_iportz00_8028); 
BgL_tmpz00_14316 = 
RGC_BUFFER_CHARACTER(BgL_tmpz00_14317); } 
BgL_cz00_9682 = 
BCHAR(BgL_tmpz00_14316); } } 
if(
EOF_OBJECTP(BgL_cz00_9682))
{ /* Llib/bibtex.scm 230 */
return BgL_cz00_9682;}  else 
{ /* Llib/bibtex.scm 232 */
 obj_t BgL_arg2936z00_9683;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9684; long BgL_arg3380z00_9685;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14323;
BgL_tmpz00_14323 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9684 = 
INPUT_PORT_NAME(BgL_tmpz00_14323); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14326;
BgL_tmpz00_14326 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9685 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14326); } 
BgL_arg2936z00_9683 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9684, 
BINT(BgL_arg3380z00_9685)); } 
{ /* Llib/bibtex.scm 232 */
 obj_t BgL_list2937z00_9686;
{ /* Llib/bibtex.scm 232 */
 obj_t BgL_arg2938z00_9687;
{ /* Llib/bibtex.scm 232 */
 obj_t BgL_arg2939z00_9688;
BgL_arg2939z00_9688 = 
MAKE_YOUNG_PAIR(BgL_cz00_9682, BNIL); 
BgL_arg2938z00_9687 = 
MAKE_YOUNG_PAIR(BgL_arg2936z00_9683, BgL_arg2939z00_9688); } 
BgL_list2937z00_9686 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg2938z00_9687); } 
return BgL_list2937z00_9686;} } } break;case ((long)41) : 

{ /* Llib/bibtex.scm 223 */
 obj_t BgL_sz00_9689;
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2853z00_9690;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14335;
BgL_tmpz00_14335 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2853z00_9690 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14335); } 
BgL_sz00_9689 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8028), ((long)0), BgL_arg2853z00_9690); } 
if(
bigloo_strcicmp(BgL_sz00_9689, BGl_string4082z00zz__text_bibtexz00))
{ /* Llib/bibtex.scm 225 */
 obj_t BgL_arg2942z00_9691; obj_t BgL_arg2943z00_9692;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9693; long BgL_arg3380z00_9694;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14342;
BgL_tmpz00_14342 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9693 = 
INPUT_PORT_NAME(BgL_tmpz00_14342); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14345;
BgL_tmpz00_14345 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9694 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14345); } 
BgL_arg2942z00_9691 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9693, 
BINT(BgL_arg3380z00_9694)); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2853z00_9695;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14350;
BgL_tmpz00_14350 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2853z00_9695 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14350); } 
BgL_arg2943z00_9692 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8028), ((long)0), BgL_arg2853z00_9695); } 
{ /* Llib/bibtex.scm 225 */
 obj_t BgL_list2944z00_9696;
{ /* Llib/bibtex.scm 225 */
 obj_t BgL_arg2945z00_9697;
{ /* Llib/bibtex.scm 225 */
 obj_t BgL_arg2946z00_9698;
BgL_arg2946z00_9698 = 
MAKE_YOUNG_PAIR(BgL_arg2943z00_9692, BNIL); 
BgL_arg2945z00_9697 = 
MAKE_YOUNG_PAIR(BgL_arg2942z00_9691, BgL_arg2946z00_9698); } 
BgL_list2944z00_9696 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)15)), BgL_arg2945z00_9697); } 
return BgL_list2944z00_9696;} }  else 
{ /* Llib/bibtex.scm 226 */
 obj_t BgL_arg2948z00_9699; obj_t BgL_arg2949z00_9700;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9701; long BgL_arg3380z00_9702;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14359;
BgL_tmpz00_14359 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9701 = 
INPUT_PORT_NAME(BgL_tmpz00_14359); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14362;
BgL_tmpz00_14362 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9702 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14362); } 
BgL_arg2948z00_9699 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9701, 
BINT(BgL_arg3380z00_9702)); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2853z00_9703;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14367;
BgL_tmpz00_14367 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2853z00_9703 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14367); } 
BgL_arg2949z00_9700 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8028), ((long)0), BgL_arg2853z00_9703); } 
{ /* Llib/bibtex.scm 226 */
 obj_t BgL_list2950z00_9704;
{ /* Llib/bibtex.scm 226 */
 obj_t BgL_arg2951z00_9705;
{ /* Llib/bibtex.scm 226 */
 obj_t BgL_arg2952z00_9706;
BgL_arg2952z00_9706 = 
MAKE_YOUNG_PAIR(BgL_arg2949z00_9700, BNIL); 
BgL_arg2951z00_9705 = 
MAKE_YOUNG_PAIR(BgL_arg2948z00_9699, BgL_arg2952z00_9706); } 
BgL_list2950z00_9704 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BgL_arg2951z00_9705); } 
return BgL_list2950z00_9704;} } } break;case ((long)40) : 

{ /* Llib/bibtex.scm 220 */
 obj_t BgL_arg2954z00_9707; obj_t BgL_arg2955z00_9708;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9709; long BgL_arg3380z00_9710;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14376;
BgL_tmpz00_14376 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9709 = 
INPUT_PORT_NAME(BgL_tmpz00_14376); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14379;
BgL_tmpz00_14379 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9710 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14379); } 
BgL_arg2954z00_9707 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9709, 
BINT(BgL_arg3380z00_9710)); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2853z00_9711;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14384;
BgL_tmpz00_14384 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2853z00_9711 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14384); } 
BgL_arg2955z00_9708 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8028), ((long)0), BgL_arg2853z00_9711); } 
{ /* Llib/bibtex.scm 220 */
 obj_t BgL_list2956z00_9712;
{ /* Llib/bibtex.scm 220 */
 obj_t BgL_arg2957z00_9713;
{ /* Llib/bibtex.scm 220 */
 obj_t BgL_arg2958z00_9714;
BgL_arg2958z00_9714 = 
MAKE_YOUNG_PAIR(BgL_arg2955z00_9708, BNIL); 
BgL_arg2957z00_9713 = 
MAKE_YOUNG_PAIR(BgL_arg2954z00_9707, BgL_arg2958z00_9714); } 
BgL_list2956z00_9712 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BgL_arg2957z00_9713); } 
return BgL_list2956z00_9712;} } break;case ((long)39) : 

{ /* Llib/bibtex.scm 211 */
 obj_t BgL_strz00_9715;
{ /* Llib/bibtex.scm 211 */
 obj_t BgL_arg2970z00_9716;
{ /* Llib/bibtex.scm 211 */
 long BgL_arg2971z00_9717;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14393;
BgL_tmpz00_14393 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2971z00_9717 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14393); } 
BgL_arg2970z00_9716 = 
BGl_thezd2substringze71z35zz__text_bibtexz00(BgL_iportz00_8028, 
(int)(((long)1)), 
(int)(BgL_arg2971z00_9717)); } 
BgL_strz00_9715 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_arg2970z00_9716); } 
{ /* Llib/bibtex.scm 211 */
 obj_t BgL_symz00_9718;
BgL_symz00_9718 = 
bstring_to_symbol(BgL_strz00_9715); 
{ /* Llib/bibtex.scm 212 */

if(
(BgL_symz00_9718==
CNST_TABLE_REF(((long)18))))
{ /* Llib/bibtex.scm 215 */
 obj_t BgL_arg2961z00_9719;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9720; long BgL_arg3380z00_9721;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14404;
BgL_tmpz00_14404 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9720 = 
INPUT_PORT_NAME(BgL_tmpz00_14404); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14407;
BgL_tmpz00_14407 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9721 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14407); } 
BgL_arg2961z00_9719 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9720, 
BINT(BgL_arg3380z00_9721)); } 
{ /* Llib/bibtex.scm 215 */
 obj_t BgL_list2962z00_9722;
{ /* Llib/bibtex.scm 215 */
 obj_t BgL_arg2963z00_9723;
BgL_arg2963z00_9723 = 
MAKE_YOUNG_PAIR(BgL_arg2961z00_9719, BNIL); 
BgL_list2962z00_9722 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BgL_arg2963z00_9723); } 
return BgL_list2962z00_9722;} }  else 
{ /* Llib/bibtex.scm 217 */
 obj_t BgL_arg2965z00_9724;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9725; long BgL_arg3380z00_9726;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14415;
BgL_tmpz00_14415 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9725 = 
INPUT_PORT_NAME(BgL_tmpz00_14415); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14418;
BgL_tmpz00_14418 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9726 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14418); } 
BgL_arg2965z00_9724 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9725, 
BINT(BgL_arg3380z00_9726)); } 
{ /* Llib/bibtex.scm 217 */
 obj_t BgL_list2966z00_9727;
{ /* Llib/bibtex.scm 217 */
 obj_t BgL_arg2967z00_9728;
{ /* Llib/bibtex.scm 217 */
 obj_t BgL_arg2968z00_9729;
BgL_arg2968z00_9729 = 
MAKE_YOUNG_PAIR(BgL_symz00_9718, BNIL); 
BgL_arg2967z00_9728 = 
MAKE_YOUNG_PAIR(BgL_arg2965z00_9724, BgL_arg2968z00_9729); } 
BgL_list2966z00_9727 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BgL_arg2967z00_9728); } 
return BgL_list2966z00_9727;} } } } } break;case ((long)38) : 

{ /* Llib/bibtex.scm 207 */
 obj_t BgL_arg2972z00_9730; obj_t BgL_arg2973z00_9731;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9732; long BgL_arg3380z00_9733;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14427;
BgL_tmpz00_14427 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9732 = 
INPUT_PORT_NAME(BgL_tmpz00_14427); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14430;
BgL_tmpz00_14430 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9733 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14430); } 
BgL_arg2972z00_9730 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9732, 
BINT(BgL_arg3380z00_9733)); } 
{ /* Llib/bibtex.scm 208 */
 long BgL_arg2978z00_9734;
{ /* Llib/bibtex.scm 208 */
 long BgL_arg2979z00_9735;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14435;
BgL_tmpz00_14435 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg2979z00_9735 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14435); } 
BgL_arg2978z00_9734 = 
(BgL_arg2979z00_9735-((long)1)); } 
BgL_arg2973z00_9731 = 
BGl_thezd2substringze71z35zz__text_bibtexz00(BgL_iportz00_8028, 
(int)(((long)1)), 
(int)(BgL_arg2978z00_9734)); } 
{ /* Llib/bibtex.scm 206 */
 obj_t BgL_list2974z00_9736;
{ /* Llib/bibtex.scm 206 */
 obj_t BgL_arg2975z00_9737;
{ /* Llib/bibtex.scm 206 */
 obj_t BgL_arg2976z00_9738;
BgL_arg2976z00_9738 = 
MAKE_YOUNG_PAIR(BgL_arg2973z00_9731, BNIL); 
BgL_arg2975z00_9737 = 
MAKE_YOUNG_PAIR(BgL_arg2972z00_9730, BgL_arg2976z00_9738); } 
BgL_list2974z00_9736 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg2975z00_9737); } 
return BgL_list2974z00_9736;} } break;case ((long)37) : 

{ /* Llib/bibtex.scm 190 */
 obj_t BgL_sz00_9739;
{ /* Llib/bibtex.scm 190 */
 long BgL_arg3007z00_9740;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14446;
BgL_tmpz00_14446 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3007z00_9740 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14446); } 
BgL_sz00_9739 = 
BGl_thezd2substringze71z35zz__text_bibtexz00(BgL_iportz00_8028, 
(int)(((long)1)), 
(int)(BgL_arg3007z00_9740)); } 
if(
CBOOL(
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_sz00_9739, 
CNST_TABLE_REF(((long)21)))))
{ /* Llib/bibtex.scm 193 */
 obj_t BgL_arg2981z00_9741;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9742; long BgL_arg3380z00_9743;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14456;
BgL_tmpz00_14456 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9742 = 
INPUT_PORT_NAME(BgL_tmpz00_14456); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14459;
BgL_tmpz00_14459 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9743 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14459); } 
BgL_arg2981z00_9741 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9742, 
BINT(BgL_arg3380z00_9743)); } 
{ /* Llib/bibtex.scm 193 */
 obj_t BgL_list2982z00_9744;
{ /* Llib/bibtex.scm 193 */
 obj_t BgL_arg2983z00_9745;
{ /* Llib/bibtex.scm 193 */
 obj_t BgL_arg2984z00_9746;
BgL_arg2984z00_9746 = 
MAKE_YOUNG_PAIR(BgL_sz00_9739, BNIL); 
BgL_arg2983z00_9745 = 
MAKE_YOUNG_PAIR(BgL_arg2981z00_9741, BgL_arg2984z00_9746); } 
BgL_list2982z00_9744 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BgL_arg2983z00_9745); } 
return BgL_list2982z00_9744;} }  else 
{ /* Llib/bibtex.scm 194 */
 bool_t BgL_test4764z00_14468;
if(
bigloo_strcmp_at(BgL_sz00_9739, BGl_string4083z00zz__text_bibtexz00, ((long)0)))
{ /* Llib/bibtex.scm 195 */
 obj_t BgL_patz00_9747;
BgL_patz00_9747 = BGl_pregexp1260z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 195 */
 long BgL_endz00_9748;
BgL_endz00_9748 = 
STRING_LENGTH(BgL_sz00_9739); 
{ /* Llib/bibtex.scm 195 */

BgL_test4764z00_14468 = 
CBOOL(
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_9747, BgL_sz00_9739, 
BINT(((long)0)), 
BINT(BgL_endz00_9748))); } } }  else 
{ /* Llib/bibtex.scm 194 */
BgL_test4764z00_14468 = ((bool_t)0)
; } 
if(BgL_test4764z00_14468)
{ /* Llib/bibtex.scm 197 */
 obj_t BgL_arg2988z00_9749; obj_t BgL_arg2989z00_9750;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9751; long BgL_arg3380z00_9752;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14476;
BgL_tmpz00_14476 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9751 = 
INPUT_PORT_NAME(BgL_tmpz00_14476); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14479;
BgL_tmpz00_14479 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9752 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14479); } 
BgL_arg2988z00_9749 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9751, 
BINT(BgL_arg3380z00_9752)); } 
BgL_arg2989z00_9750 = 
string_append(BGl_string4084z00zz__text_bibtexz00, BgL_sz00_9739); 
{ /* Llib/bibtex.scm 196 */
 obj_t BgL_list2990z00_9753;
{ /* Llib/bibtex.scm 196 */
 obj_t BgL_arg2991z00_9754;
{ /* Llib/bibtex.scm 196 */
 obj_t BgL_arg2992z00_9755;
BgL_arg2992z00_9755 = 
MAKE_YOUNG_PAIR(BgL_arg2989z00_9750, BNIL); 
BgL_arg2991z00_9754 = 
MAKE_YOUNG_PAIR(BgL_arg2988z00_9749, BgL_arg2992z00_9755); } 
BgL_list2990z00_9753 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)22)), BgL_arg2991z00_9754); } 
return BgL_list2990z00_9753;} }  else 
{ /* Llib/bibtex.scm 199 */
 bool_t BgL_test4766z00_14489;
if(
(
STRING_LENGTH(BgL_sz00_9739)==((long)1)))
{ /* Llib/bibtex.scm 199 */
BgL_test4766z00_14489 = 
CBOOL(
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(
BCHAR(
STRING_REF(BgL_sz00_9739, ((long)0))), 
CNST_TABLE_REF(((long)23))))
; }  else 
{ /* Llib/bibtex.scm 199 */
BgL_test4766z00_14489 = ((bool_t)0)
; } 
if(BgL_test4766z00_14489)
{ /* Llib/bibtex.scm 201 */
 obj_t BgL_arg2999z00_9756; unsigned char BgL_arg3000z00_9757;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9758; long BgL_arg3380z00_9759;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14498;
BgL_tmpz00_14498 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9758 = 
INPUT_PORT_NAME(BgL_tmpz00_14498); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14501;
BgL_tmpz00_14501 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9759 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14501); } 
BgL_arg2999z00_9756 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9758, 
BINT(BgL_arg3380z00_9759)); } 
BgL_arg3000z00_9757 = 
STRING_REF(BgL_sz00_9739, ((long)0)); 
{ /* Llib/bibtex.scm 201 */
 obj_t BgL_list3001z00_9760;
{ /* Llib/bibtex.scm 201 */
 obj_t BgL_arg3002z00_9761;
{ /* Llib/bibtex.scm 201 */
 obj_t BgL_arg3003z00_9762;
BgL_arg3003z00_9762 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg3000z00_9757), BNIL); 
BgL_arg3002z00_9761 = 
MAKE_YOUNG_PAIR(BgL_arg2999z00_9756, BgL_arg3003z00_9762); } 
BgL_list3001z00_9760 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3002z00_9761); } 
return BgL_list3001z00_9760;} }  else 
{ /* Llib/bibtex.scm 199 */
goto BgL_ignorez00_8627;} } } } break;case ((long)36) : 

{ /* Llib/bibtex.scm 187 */
 obj_t BgL_arg3008z00_9763;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9764; long BgL_arg3380z00_9765;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14512;
BgL_tmpz00_14512 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9764 = 
INPUT_PORT_NAME(BgL_tmpz00_14512); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14515;
BgL_tmpz00_14515 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9765 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14515); } 
BgL_arg3008z00_9763 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9764, 
BINT(BgL_arg3380z00_9765)); } 
{ /* Llib/bibtex.scm 187 */
 obj_t BgL_list3009z00_9766;
{ /* Llib/bibtex.scm 187 */
 obj_t BgL_arg3010z00_9767;
{ /* Llib/bibtex.scm 187 */
 obj_t BgL_arg3011z00_9768;
BgL_arg3011z00_9768 = 
MAKE_YOUNG_PAIR(BGl_string4085z00zz__text_bibtexz00, BNIL); 
BgL_arg3010z00_9767 = 
MAKE_YOUNG_PAIR(BgL_arg3008z00_9763, BgL_arg3011z00_9768); } 
BgL_list3009z00_9766 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3010z00_9767); } 
return BgL_list3009z00_9766;} } break;case ((long)35) : 

{ /* Llib/bibtex.scm 185 */
 obj_t BgL_arg3013z00_9769;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9770; long BgL_arg3380z00_9771;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14524;
BgL_tmpz00_14524 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9770 = 
INPUT_PORT_NAME(BgL_tmpz00_14524); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14527;
BgL_tmpz00_14527 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9771 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14527); } 
BgL_arg3013z00_9769 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9770, 
BINT(BgL_arg3380z00_9771)); } 
{ /* Llib/bibtex.scm 185 */
 obj_t BgL_list3014z00_9772;
{ /* Llib/bibtex.scm 185 */
 obj_t BgL_arg3015z00_9773;
{ /* Llib/bibtex.scm 185 */
 obj_t BgL_arg3016z00_9774;
BgL_arg3016z00_9774 = 
MAKE_YOUNG_PAIR(BGl_string4086z00zz__text_bibtexz00, BNIL); 
BgL_arg3015z00_9773 = 
MAKE_YOUNG_PAIR(BgL_arg3013z00_9769, BgL_arg3016z00_9774); } 
BgL_list3014z00_9772 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3015z00_9773); } 
return BgL_list3014z00_9772;} } break;case ((long)34) : 

{ /* Llib/bibtex.scm 183 */
 obj_t BgL_arg3018z00_9775;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9776; long BgL_arg3380z00_9777;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14536;
BgL_tmpz00_14536 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9776 = 
INPUT_PORT_NAME(BgL_tmpz00_14536); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14539;
BgL_tmpz00_14539 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9777 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14539); } 
BgL_arg3018z00_9775 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9776, 
BINT(BgL_arg3380z00_9777)); } 
{ /* Llib/bibtex.scm 183 */
 obj_t BgL_list3019z00_9778;
{ /* Llib/bibtex.scm 183 */
 obj_t BgL_arg3020z00_9779;
{ /* Llib/bibtex.scm 183 */
 obj_t BgL_arg3021z00_9780;
BgL_arg3021z00_9780 = 
MAKE_YOUNG_PAIR(BGl_string4087z00zz__text_bibtexz00, BNIL); 
BgL_arg3020z00_9779 = 
MAKE_YOUNG_PAIR(BgL_arg3018z00_9775, BgL_arg3021z00_9780); } 
BgL_list3019z00_9778 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3020z00_9779); } 
return BgL_list3019z00_9778;} } break;case ((long)33) : 

{ /* Llib/bibtex.scm 181 */
 obj_t BgL_arg3023z00_9781;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9782; long BgL_arg3380z00_9783;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14548;
BgL_tmpz00_14548 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9782 = 
INPUT_PORT_NAME(BgL_tmpz00_14548); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14551;
BgL_tmpz00_14551 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9783 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14551); } 
BgL_arg3023z00_9781 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9782, 
BINT(BgL_arg3380z00_9783)); } 
{ /* Llib/bibtex.scm 181 */
 obj_t BgL_list3024z00_9784;
{ /* Llib/bibtex.scm 181 */
 obj_t BgL_arg3025z00_9785;
{ /* Llib/bibtex.scm 181 */
 obj_t BgL_arg3026z00_9786;
BgL_arg3026z00_9786 = 
MAKE_YOUNG_PAIR(BGl_string4088z00zz__text_bibtexz00, BNIL); 
BgL_arg3025z00_9785 = 
MAKE_YOUNG_PAIR(BgL_arg3023z00_9781, BgL_arg3026z00_9786); } 
BgL_list3024z00_9784 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3025z00_9785); } 
return BgL_list3024z00_9784;} } break;case ((long)32) : 

{ /* Llib/bibtex.scm 179 */
 obj_t BgL_arg3028z00_9787;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9788; long BgL_arg3380z00_9789;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14560;
BgL_tmpz00_14560 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9788 = 
INPUT_PORT_NAME(BgL_tmpz00_14560); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14563;
BgL_tmpz00_14563 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9789 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14563); } 
BgL_arg3028z00_9787 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9788, 
BINT(BgL_arg3380z00_9789)); } 
{ /* Llib/bibtex.scm 179 */
 obj_t BgL_list3029z00_9790;
{ /* Llib/bibtex.scm 179 */
 obj_t BgL_arg3030z00_9791;
{ /* Llib/bibtex.scm 179 */
 obj_t BgL_arg3031z00_9792;
BgL_arg3031z00_9792 = 
MAKE_YOUNG_PAIR(BGl_string4089z00zz__text_bibtexz00, BNIL); 
BgL_arg3030z00_9791 = 
MAKE_YOUNG_PAIR(BgL_arg3028z00_9787, BgL_arg3031z00_9792); } 
BgL_list3029z00_9790 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3030z00_9791); } 
return BgL_list3029z00_9790;} } break;case ((long)31) : 

{ /* Llib/bibtex.scm 177 */
 obj_t BgL_arg3033z00_9793;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9794; long BgL_arg3380z00_9795;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14572;
BgL_tmpz00_14572 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9794 = 
INPUT_PORT_NAME(BgL_tmpz00_14572); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14575;
BgL_tmpz00_14575 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9795 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14575); } 
BgL_arg3033z00_9793 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9794, 
BINT(BgL_arg3380z00_9795)); } 
{ /* Llib/bibtex.scm 177 */
 obj_t BgL_list3034z00_9796;
{ /* Llib/bibtex.scm 177 */
 obj_t BgL_arg3035z00_9797;
{ /* Llib/bibtex.scm 177 */
 obj_t BgL_arg3036z00_9798;
BgL_arg3036z00_9798 = 
MAKE_YOUNG_PAIR(BGl_string4090z00zz__text_bibtexz00, BNIL); 
BgL_arg3035z00_9797 = 
MAKE_YOUNG_PAIR(BgL_arg3033z00_9793, BgL_arg3036z00_9798); } 
BgL_list3034z00_9796 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3035z00_9797); } 
return BgL_list3034z00_9796;} } break;case ((long)30) : 

{ /* Llib/bibtex.scm 175 */
 obj_t BgL_arg3038z00_9799;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9800; long BgL_arg3380z00_9801;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14584;
BgL_tmpz00_14584 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9800 = 
INPUT_PORT_NAME(BgL_tmpz00_14584); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14587;
BgL_tmpz00_14587 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9801 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14587); } 
BgL_arg3038z00_9799 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9800, 
BINT(BgL_arg3380z00_9801)); } 
{ /* Llib/bibtex.scm 175 */
 obj_t BgL_list3039z00_9802;
{ /* Llib/bibtex.scm 175 */
 obj_t BgL_arg3040z00_9803;
{ /* Llib/bibtex.scm 175 */
 obj_t BgL_arg3041z00_9804;
BgL_arg3041z00_9804 = 
MAKE_YOUNG_PAIR(BGl_string4091z00zz__text_bibtexz00, BNIL); 
BgL_arg3040z00_9803 = 
MAKE_YOUNG_PAIR(BgL_arg3038z00_9799, BgL_arg3041z00_9804); } 
BgL_list3039z00_9802 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3040z00_9803); } 
return BgL_list3039z00_9802;} } break;case ((long)29) : 

{ /* Llib/bibtex.scm 173 */
 obj_t BgL_arg3043z00_9805;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9806; long BgL_arg3380z00_9807;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14596;
BgL_tmpz00_14596 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9806 = 
INPUT_PORT_NAME(BgL_tmpz00_14596); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14599;
BgL_tmpz00_14599 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9807 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14599); } 
BgL_arg3043z00_9805 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9806, 
BINT(BgL_arg3380z00_9807)); } 
{ /* Llib/bibtex.scm 173 */
 obj_t BgL_list3044z00_9808;
{ /* Llib/bibtex.scm 173 */
 obj_t BgL_arg3045z00_9809;
{ /* Llib/bibtex.scm 173 */
 obj_t BgL_arg3046z00_9810;
BgL_arg3046z00_9810 = 
MAKE_YOUNG_PAIR(BGl_string4092z00zz__text_bibtexz00, BNIL); 
BgL_arg3045z00_9809 = 
MAKE_YOUNG_PAIR(BgL_arg3043z00_9805, BgL_arg3046z00_9810); } 
BgL_list3044z00_9808 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3045z00_9809); } 
return BgL_list3044z00_9808;} } break;case ((long)28) : 

{ /* Llib/bibtex.scm 171 */
 obj_t BgL_arg3048z00_9811;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9812; long BgL_arg3380z00_9813;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14608;
BgL_tmpz00_14608 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9812 = 
INPUT_PORT_NAME(BgL_tmpz00_14608); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14611;
BgL_tmpz00_14611 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9813 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14611); } 
BgL_arg3048z00_9811 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9812, 
BINT(BgL_arg3380z00_9813)); } 
{ /* Llib/bibtex.scm 171 */
 obj_t BgL_list3049z00_9814;
{ /* Llib/bibtex.scm 171 */
 obj_t BgL_arg3050z00_9815;
{ /* Llib/bibtex.scm 171 */
 obj_t BgL_arg3051z00_9816;
BgL_arg3051z00_9816 = 
MAKE_YOUNG_PAIR(BGl_string4093z00zz__text_bibtexz00, BNIL); 
BgL_arg3050z00_9815 = 
MAKE_YOUNG_PAIR(BgL_arg3048z00_9811, BgL_arg3051z00_9816); } 
BgL_list3049z00_9814 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3050z00_9815); } 
return BgL_list3049z00_9814;} } break;case ((long)27) : 

{ /* Llib/bibtex.scm 169 */
 obj_t BgL_arg3053z00_9817;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9818; long BgL_arg3380z00_9819;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14620;
BgL_tmpz00_14620 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9818 = 
INPUT_PORT_NAME(BgL_tmpz00_14620); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14623;
BgL_tmpz00_14623 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9819 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14623); } 
BgL_arg3053z00_9817 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9818, 
BINT(BgL_arg3380z00_9819)); } 
{ /* Llib/bibtex.scm 169 */
 obj_t BgL_list3054z00_9820;
{ /* Llib/bibtex.scm 169 */
 obj_t BgL_arg3055z00_9821;
{ /* Llib/bibtex.scm 169 */
 obj_t BgL_arg3056z00_9822;
BgL_arg3056z00_9822 = 
MAKE_YOUNG_PAIR(BGl_string4094z00zz__text_bibtexz00, BNIL); 
BgL_arg3055z00_9821 = 
MAKE_YOUNG_PAIR(BgL_arg3053z00_9817, BgL_arg3056z00_9822); } 
BgL_list3054z00_9820 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3055z00_9821); } 
return BgL_list3054z00_9820;} } break;case ((long)26) : 

{ /* Llib/bibtex.scm 167 */
 obj_t BgL_arg3058z00_9823;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9824; long BgL_arg3380z00_9825;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14632;
BgL_tmpz00_14632 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9824 = 
INPUT_PORT_NAME(BgL_tmpz00_14632); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14635;
BgL_tmpz00_14635 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9825 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14635); } 
BgL_arg3058z00_9823 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9824, 
BINT(BgL_arg3380z00_9825)); } 
{ /* Llib/bibtex.scm 167 */
 obj_t BgL_list3059z00_9826;
{ /* Llib/bibtex.scm 167 */
 obj_t BgL_arg3060z00_9827;
{ /* Llib/bibtex.scm 167 */
 obj_t BgL_arg3061z00_9828;
BgL_arg3061z00_9828 = 
MAKE_YOUNG_PAIR(BGl_string4095z00zz__text_bibtexz00, BNIL); 
BgL_arg3060z00_9827 = 
MAKE_YOUNG_PAIR(BgL_arg3058z00_9823, BgL_arg3061z00_9828); } 
BgL_list3059z00_9826 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3060z00_9827); } 
return BgL_list3059z00_9826;} } break;case ((long)25) : 

{ /* Llib/bibtex.scm 165 */
 obj_t BgL_arg3063z00_9829;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9830; long BgL_arg3380z00_9831;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14644;
BgL_tmpz00_14644 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9830 = 
INPUT_PORT_NAME(BgL_tmpz00_14644); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14647;
BgL_tmpz00_14647 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9831 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14647); } 
BgL_arg3063z00_9829 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9830, 
BINT(BgL_arg3380z00_9831)); } 
{ /* Llib/bibtex.scm 165 */
 obj_t BgL_list3064z00_9832;
{ /* Llib/bibtex.scm 165 */
 obj_t BgL_arg3065z00_9833;
{ /* Llib/bibtex.scm 165 */
 obj_t BgL_arg3066z00_9834;
BgL_arg3066z00_9834 = 
MAKE_YOUNG_PAIR(BGl_string4096z00zz__text_bibtexz00, BNIL); 
BgL_arg3065z00_9833 = 
MAKE_YOUNG_PAIR(BgL_arg3063z00_9829, BgL_arg3066z00_9834); } 
BgL_list3064z00_9832 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3065z00_9833); } 
return BgL_list3064z00_9832;} } break;case ((long)24) : 

{ /* Llib/bibtex.scm 163 */
 obj_t BgL_arg3068z00_9835;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9836; long BgL_arg3380z00_9837;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14656;
BgL_tmpz00_14656 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9836 = 
INPUT_PORT_NAME(BgL_tmpz00_14656); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14659;
BgL_tmpz00_14659 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9837 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14659); } 
BgL_arg3068z00_9835 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9836, 
BINT(BgL_arg3380z00_9837)); } 
{ /* Llib/bibtex.scm 163 */
 obj_t BgL_list3069z00_9838;
{ /* Llib/bibtex.scm 163 */
 obj_t BgL_arg3070z00_9839;
{ /* Llib/bibtex.scm 163 */
 obj_t BgL_arg3071z00_9840;
BgL_arg3071z00_9840 = 
MAKE_YOUNG_PAIR(BGl_string4097z00zz__text_bibtexz00, BNIL); 
BgL_arg3070z00_9839 = 
MAKE_YOUNG_PAIR(BgL_arg3068z00_9835, BgL_arg3071z00_9840); } 
BgL_list3069z00_9838 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3070z00_9839); } 
return BgL_list3069z00_9838;} } break;case ((long)23) : 

{ /* Llib/bibtex.scm 161 */
 obj_t BgL_arg3073z00_9841;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9842; long BgL_arg3380z00_9843;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14668;
BgL_tmpz00_14668 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9842 = 
INPUT_PORT_NAME(BgL_tmpz00_14668); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14671;
BgL_tmpz00_14671 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9843 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14671); } 
BgL_arg3073z00_9841 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9842, 
BINT(BgL_arg3380z00_9843)); } 
{ /* Llib/bibtex.scm 161 */
 obj_t BgL_list3074z00_9844;
{ /* Llib/bibtex.scm 161 */
 obj_t BgL_arg3075z00_9845;
{ /* Llib/bibtex.scm 161 */
 obj_t BgL_arg3076z00_9846;
BgL_arg3076z00_9846 = 
MAKE_YOUNG_PAIR(BGl_string4098z00zz__text_bibtexz00, BNIL); 
BgL_arg3075z00_9845 = 
MAKE_YOUNG_PAIR(BgL_arg3073z00_9841, BgL_arg3076z00_9846); } 
BgL_list3074z00_9844 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3075z00_9845); } 
return BgL_list3074z00_9844;} } break;case ((long)22) : 

{ /* Llib/bibtex.scm 159 */
 obj_t BgL_arg3078z00_9847;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9848; long BgL_arg3380z00_9849;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14680;
BgL_tmpz00_14680 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9848 = 
INPUT_PORT_NAME(BgL_tmpz00_14680); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14683;
BgL_tmpz00_14683 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9849 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14683); } 
BgL_arg3078z00_9847 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9848, 
BINT(BgL_arg3380z00_9849)); } 
{ /* Llib/bibtex.scm 159 */
 obj_t BgL_list3079z00_9850;
{ /* Llib/bibtex.scm 159 */
 obj_t BgL_arg3080z00_9851;
{ /* Llib/bibtex.scm 159 */
 obj_t BgL_arg3081z00_9852;
BgL_arg3081z00_9852 = 
MAKE_YOUNG_PAIR(BGl_string4099z00zz__text_bibtexz00, BNIL); 
BgL_arg3080z00_9851 = 
MAKE_YOUNG_PAIR(BgL_arg3078z00_9847, BgL_arg3081z00_9852); } 
BgL_list3079z00_9850 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3080z00_9851); } 
return BgL_list3079z00_9850;} } break;case ((long)21) : 

{ /* Llib/bibtex.scm 157 */
 obj_t BgL_arg3083z00_9853;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9854; long BgL_arg3380z00_9855;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14692;
BgL_tmpz00_14692 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9854 = 
INPUT_PORT_NAME(BgL_tmpz00_14692); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14695;
BgL_tmpz00_14695 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9855 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14695); } 
BgL_arg3083z00_9853 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9854, 
BINT(BgL_arg3380z00_9855)); } 
{ /* Llib/bibtex.scm 157 */
 obj_t BgL_list3084z00_9856;
{ /* Llib/bibtex.scm 157 */
 obj_t BgL_arg3085z00_9857;
{ /* Llib/bibtex.scm 157 */
 obj_t BgL_arg3086z00_9858;
BgL_arg3086z00_9858 = 
MAKE_YOUNG_PAIR(BGl_string4100z00zz__text_bibtexz00, BNIL); 
BgL_arg3085z00_9857 = 
MAKE_YOUNG_PAIR(BgL_arg3083z00_9853, BgL_arg3086z00_9858); } 
BgL_list3084z00_9856 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3085z00_9857); } 
return BgL_list3084z00_9856;} } break;case ((long)20) : 

{ /* Llib/bibtex.scm 155 */
 obj_t BgL_arg3088z00_9859;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9860; long BgL_arg3380z00_9861;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14704;
BgL_tmpz00_14704 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9860 = 
INPUT_PORT_NAME(BgL_tmpz00_14704); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14707;
BgL_tmpz00_14707 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9861 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14707); } 
BgL_arg3088z00_9859 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9860, 
BINT(BgL_arg3380z00_9861)); } 
{ /* Llib/bibtex.scm 155 */
 obj_t BgL_list3089z00_9862;
{ /* Llib/bibtex.scm 155 */
 obj_t BgL_arg3090z00_9863;
{ /* Llib/bibtex.scm 155 */
 obj_t BgL_arg3091z00_9864;
BgL_arg3091z00_9864 = 
MAKE_YOUNG_PAIR(BGl_string4101z00zz__text_bibtexz00, BNIL); 
BgL_arg3090z00_9863 = 
MAKE_YOUNG_PAIR(BgL_arg3088z00_9859, BgL_arg3091z00_9864); } 
BgL_list3089z00_9862 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3090z00_9863); } 
return BgL_list3089z00_9862;} } break;case ((long)19) : 

{ /* Llib/bibtex.scm 153 */
 obj_t BgL_arg3093z00_9865;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9866; long BgL_arg3380z00_9867;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14716;
BgL_tmpz00_14716 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9866 = 
INPUT_PORT_NAME(BgL_tmpz00_14716); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14719;
BgL_tmpz00_14719 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9867 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14719); } 
BgL_arg3093z00_9865 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9866, 
BINT(BgL_arg3380z00_9867)); } 
{ /* Llib/bibtex.scm 153 */
 obj_t BgL_list3094z00_9868;
{ /* Llib/bibtex.scm 153 */
 obj_t BgL_arg3095z00_9869;
{ /* Llib/bibtex.scm 153 */
 obj_t BgL_arg3096z00_9870;
BgL_arg3096z00_9870 = 
MAKE_YOUNG_PAIR(BGl_string4102z00zz__text_bibtexz00, BNIL); 
BgL_arg3095z00_9869 = 
MAKE_YOUNG_PAIR(BgL_arg3093z00_9865, BgL_arg3096z00_9870); } 
BgL_list3094z00_9868 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3095z00_9869); } 
return BgL_list3094z00_9868;} } break;case ((long)18) : 

{ /* Llib/bibtex.scm 151 */
 obj_t BgL_arg3098z00_9871;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9872; long BgL_arg3380z00_9873;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14728;
BgL_tmpz00_14728 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9872 = 
INPUT_PORT_NAME(BgL_tmpz00_14728); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14731;
BgL_tmpz00_14731 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9873 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14731); } 
BgL_arg3098z00_9871 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9872, 
BINT(BgL_arg3380z00_9873)); } 
{ /* Llib/bibtex.scm 151 */
 obj_t BgL_list3099z00_9874;
{ /* Llib/bibtex.scm 151 */
 obj_t BgL_arg3100z00_9875;
{ /* Llib/bibtex.scm 151 */
 obj_t BgL_arg3101z00_9876;
BgL_arg3101z00_9876 = 
MAKE_YOUNG_PAIR(BGl_string4103z00zz__text_bibtexz00, BNIL); 
BgL_arg3100z00_9875 = 
MAKE_YOUNG_PAIR(BgL_arg3098z00_9871, BgL_arg3101z00_9876); } 
BgL_list3099z00_9874 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3100z00_9875); } 
return BgL_list3099z00_9874;} } break;case ((long)17) : 

{ /* Llib/bibtex.scm 149 */
 obj_t BgL_arg3103z00_9877;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9878; long BgL_arg3380z00_9879;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14740;
BgL_tmpz00_14740 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9878 = 
INPUT_PORT_NAME(BgL_tmpz00_14740); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14743;
BgL_tmpz00_14743 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9879 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14743); } 
BgL_arg3103z00_9877 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9878, 
BINT(BgL_arg3380z00_9879)); } 
{ /* Llib/bibtex.scm 149 */
 obj_t BgL_list3104z00_9880;
{ /* Llib/bibtex.scm 149 */
 obj_t BgL_arg3105z00_9881;
{ /* Llib/bibtex.scm 149 */
 obj_t BgL_arg3106z00_9882;
BgL_arg3106z00_9882 = 
MAKE_YOUNG_PAIR(BGl_string4104z00zz__text_bibtexz00, BNIL); 
BgL_arg3105z00_9881 = 
MAKE_YOUNG_PAIR(BgL_arg3103z00_9877, BgL_arg3106z00_9882); } 
BgL_list3104z00_9880 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3105z00_9881); } 
return BgL_list3104z00_9880;} } break;case ((long)16) : 

{ /* Llib/bibtex.scm 147 */
 obj_t BgL_arg3108z00_9883;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9884; long BgL_arg3380z00_9885;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14752;
BgL_tmpz00_14752 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9884 = 
INPUT_PORT_NAME(BgL_tmpz00_14752); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14755;
BgL_tmpz00_14755 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9885 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14755); } 
BgL_arg3108z00_9883 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9884, 
BINT(BgL_arg3380z00_9885)); } 
{ /* Llib/bibtex.scm 147 */
 obj_t BgL_list3109z00_9886;
{ /* Llib/bibtex.scm 147 */
 obj_t BgL_arg3110z00_9887;
{ /* Llib/bibtex.scm 147 */
 obj_t BgL_arg3111z00_9888;
BgL_arg3111z00_9888 = 
MAKE_YOUNG_PAIR(BGl_string4105z00zz__text_bibtexz00, BNIL); 
BgL_arg3110z00_9887 = 
MAKE_YOUNG_PAIR(BgL_arg3108z00_9883, BgL_arg3111z00_9888); } 
BgL_list3109z00_9886 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3110z00_9887); } 
return BgL_list3109z00_9886;} } break;case ((long)15) : 

{ /* Llib/bibtex.scm 145 */
 obj_t BgL_arg3113z00_9889;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9890; long BgL_arg3380z00_9891;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14764;
BgL_tmpz00_14764 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9890 = 
INPUT_PORT_NAME(BgL_tmpz00_14764); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14767;
BgL_tmpz00_14767 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9891 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14767); } 
BgL_arg3113z00_9889 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9890, 
BINT(BgL_arg3380z00_9891)); } 
{ /* Llib/bibtex.scm 145 */
 obj_t BgL_list3114z00_9892;
{ /* Llib/bibtex.scm 145 */
 obj_t BgL_arg3115z00_9893;
{ /* Llib/bibtex.scm 145 */
 obj_t BgL_arg3116z00_9894;
BgL_arg3116z00_9894 = 
MAKE_YOUNG_PAIR(BGl_string4106z00zz__text_bibtexz00, BNIL); 
BgL_arg3115z00_9893 = 
MAKE_YOUNG_PAIR(BgL_arg3113z00_9889, BgL_arg3116z00_9894); } 
BgL_list3114z00_9892 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3115z00_9893); } 
return BgL_list3114z00_9892;} } break;case ((long)14) : 

{ /* Llib/bibtex.scm 143 */
 obj_t BgL_arg3118z00_9895;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9896; long BgL_arg3380z00_9897;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14776;
BgL_tmpz00_14776 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9896 = 
INPUT_PORT_NAME(BgL_tmpz00_14776); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14779;
BgL_tmpz00_14779 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9897 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14779); } 
BgL_arg3118z00_9895 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9896, 
BINT(BgL_arg3380z00_9897)); } 
{ /* Llib/bibtex.scm 143 */
 obj_t BgL_list3119z00_9898;
{ /* Llib/bibtex.scm 143 */
 obj_t BgL_arg3120z00_9899;
{ /* Llib/bibtex.scm 143 */
 obj_t BgL_arg3121z00_9900;
BgL_arg3121z00_9900 = 
MAKE_YOUNG_PAIR(BGl_string4107z00zz__text_bibtexz00, BNIL); 
BgL_arg3120z00_9899 = 
MAKE_YOUNG_PAIR(BgL_arg3118z00_9895, BgL_arg3121z00_9900); } 
BgL_list3119z00_9898 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3120z00_9899); } 
return BgL_list3119z00_9898;} } break;case ((long)13) : 

{ /* Llib/bibtex.scm 141 */
 obj_t BgL_arg3123z00_9901;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9902; long BgL_arg3380z00_9903;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14788;
BgL_tmpz00_14788 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9902 = 
INPUT_PORT_NAME(BgL_tmpz00_14788); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14791;
BgL_tmpz00_14791 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9903 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14791); } 
BgL_arg3123z00_9901 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9902, 
BINT(BgL_arg3380z00_9903)); } 
{ /* Llib/bibtex.scm 141 */
 obj_t BgL_list3124z00_9904;
{ /* Llib/bibtex.scm 141 */
 obj_t BgL_arg3125z00_9905;
{ /* Llib/bibtex.scm 141 */
 obj_t BgL_arg3126z00_9906;
BgL_arg3126z00_9906 = 
MAKE_YOUNG_PAIR(BGl_string4108z00zz__text_bibtexz00, BNIL); 
BgL_arg3125z00_9905 = 
MAKE_YOUNG_PAIR(BgL_arg3123z00_9901, BgL_arg3126z00_9906); } 
BgL_list3124z00_9904 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3125z00_9905); } 
return BgL_list3124z00_9904;} } break;case ((long)12) : 

{ /* Llib/bibtex.scm 139 */
 obj_t BgL_arg3128z00_9907;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9908; long BgL_arg3380z00_9909;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14800;
BgL_tmpz00_14800 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9908 = 
INPUT_PORT_NAME(BgL_tmpz00_14800); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14803;
BgL_tmpz00_14803 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9909 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14803); } 
BgL_arg3128z00_9907 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9908, 
BINT(BgL_arg3380z00_9909)); } 
{ /* Llib/bibtex.scm 139 */
 obj_t BgL_list3129z00_9910;
{ /* Llib/bibtex.scm 139 */
 obj_t BgL_arg3130z00_9911;
{ /* Llib/bibtex.scm 139 */
 obj_t BgL_arg3131z00_9912;
BgL_arg3131z00_9912 = 
MAKE_YOUNG_PAIR(BGl_string4109z00zz__text_bibtexz00, BNIL); 
BgL_arg3130z00_9911 = 
MAKE_YOUNG_PAIR(BgL_arg3128z00_9907, BgL_arg3131z00_9912); } 
BgL_list3129z00_9910 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3130z00_9911); } 
return BgL_list3129z00_9910;} } break;case ((long)11) : 

{ /* Llib/bibtex.scm 137 */
 obj_t BgL_arg3133z00_9913;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9914; long BgL_arg3380z00_9915;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14812;
BgL_tmpz00_14812 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9914 = 
INPUT_PORT_NAME(BgL_tmpz00_14812); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14815;
BgL_tmpz00_14815 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9915 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14815); } 
BgL_arg3133z00_9913 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9914, 
BINT(BgL_arg3380z00_9915)); } 
{ /* Llib/bibtex.scm 137 */
 obj_t BgL_list3134z00_9916;
{ /* Llib/bibtex.scm 137 */
 obj_t BgL_arg3135z00_9917;
{ /* Llib/bibtex.scm 137 */
 obj_t BgL_arg3136z00_9918;
BgL_arg3136z00_9918 = 
MAKE_YOUNG_PAIR(BGl_string4110z00zz__text_bibtexz00, BNIL); 
BgL_arg3135z00_9917 = 
MAKE_YOUNG_PAIR(BgL_arg3133z00_9913, BgL_arg3136z00_9918); } 
BgL_list3134z00_9916 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3135z00_9917); } 
return BgL_list3134z00_9916;} } break;case ((long)10) : 

{ /* Llib/bibtex.scm 135 */
 obj_t BgL_arg3138z00_9919;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9920; long BgL_arg3380z00_9921;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14824;
BgL_tmpz00_14824 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9920 = 
INPUT_PORT_NAME(BgL_tmpz00_14824); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14827;
BgL_tmpz00_14827 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9921 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14827); } 
BgL_arg3138z00_9919 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9920, 
BINT(BgL_arg3380z00_9921)); } 
{ /* Llib/bibtex.scm 135 */
 obj_t BgL_list3139z00_9922;
{ /* Llib/bibtex.scm 135 */
 obj_t BgL_arg3140z00_9923;
{ /* Llib/bibtex.scm 135 */
 obj_t BgL_arg3141z00_9924;
BgL_arg3141z00_9924 = 
MAKE_YOUNG_PAIR(BGl_string4111z00zz__text_bibtexz00, BNIL); 
BgL_arg3140z00_9923 = 
MAKE_YOUNG_PAIR(BgL_arg3138z00_9919, BgL_arg3141z00_9924); } 
BgL_list3139z00_9922 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3140z00_9923); } 
return BgL_list3139z00_9922;} } break;case ((long)9) : 

{ /* Llib/bibtex.scm 133 */
 obj_t BgL_arg3143z00_9925;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9926; long BgL_arg3380z00_9927;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14836;
BgL_tmpz00_14836 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9926 = 
INPUT_PORT_NAME(BgL_tmpz00_14836); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14839;
BgL_tmpz00_14839 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9927 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14839); } 
BgL_arg3143z00_9925 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9926, 
BINT(BgL_arg3380z00_9927)); } 
{ /* Llib/bibtex.scm 133 */
 obj_t BgL_list3144z00_9928;
{ /* Llib/bibtex.scm 133 */
 obj_t BgL_arg3145z00_9929;
{ /* Llib/bibtex.scm 133 */
 obj_t BgL_arg3146z00_9930;
BgL_arg3146z00_9930 = 
MAKE_YOUNG_PAIR(BGl_string4112z00zz__text_bibtexz00, BNIL); 
BgL_arg3145z00_9929 = 
MAKE_YOUNG_PAIR(BgL_arg3143z00_9925, BgL_arg3146z00_9930); } 
BgL_list3144z00_9928 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3145z00_9929); } 
return BgL_list3144z00_9928;} } break;case ((long)8) : 

goto BgL_ignorez00_8627;break;case ((long)7) : 

{ /* Llib/bibtex.scm 127 */
 obj_t BgL_arg3148z00_9931; unsigned char BgL_arg3149z00_9932;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9933; long BgL_arg3380z00_9934;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14848;
BgL_tmpz00_14848 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9933 = 
INPUT_PORT_NAME(BgL_tmpz00_14848); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14851;
BgL_tmpz00_14851 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9934 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14851); } 
BgL_arg3148z00_9931 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9933, 
BINT(BgL_arg3380z00_9934)); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14856;
BgL_tmpz00_14856 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3149z00_9932 = 
RGC_BUFFER_CHARACTER(BgL_tmpz00_14856); } 
{ /* Llib/bibtex.scm 127 */
 obj_t BgL_list3150z00_9935;
{ /* Llib/bibtex.scm 127 */
 obj_t BgL_arg3151z00_9936;
{ /* Llib/bibtex.scm 127 */
 obj_t BgL_arg3152z00_9937;
BgL_arg3152z00_9937 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg3149z00_9932), BNIL); 
BgL_arg3151z00_9936 = 
MAKE_YOUNG_PAIR(BgL_arg3148z00_9931, BgL_arg3152z00_9937); } 
BgL_list3150z00_9935 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg3151z00_9936); } 
return BgL_list3150z00_9935;} } break;case ((long)6) : 

{ /* Llib/bibtex.scm 124 */
 obj_t BgL_arg3154z00_9938;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9939; long BgL_arg3380z00_9940;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14864;
BgL_tmpz00_14864 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9939 = 
INPUT_PORT_NAME(BgL_tmpz00_14864); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14867;
BgL_tmpz00_14867 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9940 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14867); } 
BgL_arg3154z00_9938 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9939, 
BINT(BgL_arg3380z00_9940)); } 
{ /* Llib/bibtex.scm 124 */
 obj_t BgL_list3155z00_9941;
{ /* Llib/bibtex.scm 124 */
 obj_t BgL_arg3156z00_9942;
BgL_arg3156z00_9942 = 
MAKE_YOUNG_PAIR(BgL_arg3154z00_9938, BNIL); 
BgL_list3155z00_9941 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)24)), BgL_arg3156z00_9942); } 
return BgL_list3155z00_9941;} } break;case ((long)5) : 

{ /* Llib/bibtex.scm 121 */
 obj_t BgL_arg3158z00_9943;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9944; long BgL_arg3380z00_9945;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14875;
BgL_tmpz00_14875 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9944 = 
INPUT_PORT_NAME(BgL_tmpz00_14875); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14878;
BgL_tmpz00_14878 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9945 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14878); } 
BgL_arg3158z00_9943 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9944, 
BINT(BgL_arg3380z00_9945)); } 
{ /* Llib/bibtex.scm 121 */
 obj_t BgL_list3159z00_9946;
{ /* Llib/bibtex.scm 121 */
 obj_t BgL_arg3160z00_9947;
BgL_arg3160z00_9947 = 
MAKE_YOUNG_PAIR(BgL_arg3158z00_9943, BNIL); 
BgL_list3159z00_9946 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)25)), BgL_arg3160z00_9947); } 
return BgL_list3159z00_9946;} } break;case ((long)4) : 

{ /* Llib/bibtex.scm 118 */
 obj_t BgL_arg3162z00_9948;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9949; long BgL_arg3380z00_9950;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14886;
BgL_tmpz00_14886 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9949 = 
INPUT_PORT_NAME(BgL_tmpz00_14886); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14889;
BgL_tmpz00_14889 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9950 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14889); } 
BgL_arg3162z00_9948 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9949, 
BINT(BgL_arg3380z00_9950)); } 
{ /* Llib/bibtex.scm 118 */
 obj_t BgL_list3163z00_9951;
{ /* Llib/bibtex.scm 118 */
 obj_t BgL_arg3164z00_9952;
BgL_arg3164z00_9952 = 
MAKE_YOUNG_PAIR(BgL_arg3162z00_9948, BNIL); 
BgL_list3163z00_9951 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)26)), BgL_arg3164z00_9952); } 
return BgL_list3163z00_9951;} } break;case ((long)3) : 

{ /* Llib/bibtex.scm 115 */
 obj_t BgL_arg3166z00_9953;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9954; long BgL_arg3380z00_9955;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14897;
BgL_tmpz00_14897 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9954 = 
INPUT_PORT_NAME(BgL_tmpz00_14897); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14900;
BgL_tmpz00_14900 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9955 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14900); } 
BgL_arg3166z00_9953 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9954, 
BINT(BgL_arg3380z00_9955)); } 
{ /* Llib/bibtex.scm 115 */
 obj_t BgL_list3167z00_9956;
{ /* Llib/bibtex.scm 115 */
 obj_t BgL_arg3168z00_9957;
BgL_arg3168z00_9957 = 
MAKE_YOUNG_PAIR(BgL_arg3166z00_9953, BNIL); 
BgL_list3167z00_9956 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BgL_arg3168z00_9957); } 
return BgL_list3167z00_9956;} } break;case ((long)2) : 

{ /* Llib/bibtex.scm 112 */
 obj_t BgL_arg3170z00_9958;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9959; long BgL_arg3380z00_9960;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14908;
BgL_tmpz00_14908 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9959 = 
INPUT_PORT_NAME(BgL_tmpz00_14908); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14911;
BgL_tmpz00_14911 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9960 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14911); } 
BgL_arg3170z00_9958 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9959, 
BINT(BgL_arg3380z00_9960)); } 
{ /* Llib/bibtex.scm 112 */
 obj_t BgL_list3171z00_9961;
{ /* Llib/bibtex.scm 112 */
 obj_t BgL_arg3172z00_9962;
BgL_arg3172z00_9962 = 
MAKE_YOUNG_PAIR(BgL_arg3170z00_9958, BNIL); 
BgL_list3171z00_9961 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)28)), BgL_arg3172z00_9962); } 
return BgL_list3171z00_9961;} } break;case ((long)1) : 

goto BgL_ignorez00_8627;break;case ((long)0) : 

{ /* Llib/bibtex.scm 106 */
 obj_t BgL_arg3174z00_9963;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_arg3379z00_9964; long BgL_arg3380z00_9965;
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14919;
BgL_tmpz00_14919 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3379z00_9964 = 
INPUT_PORT_NAME(BgL_tmpz00_14919); } 
{ /* Llib/bibtex.scm 97 */
 obj_t BgL_tmpz00_14922;
BgL_tmpz00_14922 = 
((obj_t)BgL_iportz00_8028); 
BgL_arg3380z00_9965 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_14922); } 
BgL_arg3174z00_9963 = 
MAKE_YOUNG_PAIR(BgL_arg3379z00_9964, 
BINT(BgL_arg3380z00_9965)); } 
{ /* Llib/bibtex.scm 106 */
 obj_t BgL_list3175z00_9966;
{ /* Llib/bibtex.scm 106 */
 obj_t BgL_arg3176z00_9967;
BgL_arg3176z00_9967 = 
MAKE_YOUNG_PAIR(BgL_arg3174z00_9963, BNIL); 
BgL_list3175z00_9966 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)29)), BgL_arg3176z00_9967); } 
return BgL_list3175z00_9966;} } break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string4113z00zz__text_bibtexz00, BGl_string4114z00zz__text_bibtexz00, 
BINT(BgL_matchz00_9679));} } } } 

}



/* the-substring~1 */
obj_t BGl_thezd2substringze71z35zz__text_bibtexz00(obj_t BgL_iportz00_8053, int BgL_minz00_2341, int BgL_maxz00_2342)
{
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_maxz00_2342)<
(long)(BgL_minz00_2341)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2856z00_2345;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14937;
BgL_tmpz00_14937 = 
((obj_t)BgL_iportz00_8053); 
BgL_arg2856z00_2345 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14937); } 
{ /* Llib/bibtex.scm 103 */
 long BgL_za72za7_6191;
BgL_za72za7_6191 = 
(long)(BgL_maxz00_2342); 
BgL_maxz00_2342 = 
(int)(
(BgL_arg2856z00_2345+BgL_za72za7_6191)); } }  else 
{ /* Llib/bibtex.scm 103 */BFALSE; } 
{ /* Llib/bibtex.scm 103 */
 bool_t BgL_test4769z00_14943;
if(
(
(long)(BgL_minz00_2341)>=((long)0)))
{ /* Llib/bibtex.scm 103 */
if(
(
(long)(BgL_maxz00_2342)>=
(long)(BgL_minz00_2341)))
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2865z00_2356;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14951;
BgL_tmpz00_14951 = 
((obj_t)BgL_iportz00_8053); 
BgL_arg2865z00_2356 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14951); } 
BgL_test4769z00_14943 = 
(
(long)(BgL_maxz00_2342)<=BgL_arg2865z00_2356); }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4769z00_14943 = ((bool_t)0)
; } }  else 
{ /* Llib/bibtex.scm 103 */
BgL_test4769z00_14943 = ((bool_t)0)
; } 
if(BgL_test4769z00_14943)
{ /* Llib/bibtex.scm 103 */
 long BgL_startz00_6199; long BgL_stopz00_6200;
BgL_startz00_6199 = 
(long)(BgL_minz00_2341); 
BgL_stopz00_6200 = 
(long)(BgL_maxz00_2342); 
return 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8053), BgL_startz00_6199, BgL_stopz00_6200);}  else 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_arg2861z00_2350; obj_t BgL_arg2862z00_2351;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_arg2863z00_2352;
{ /* Llib/bibtex.scm 103 */
 long BgL_arg2853z00_6201;
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_tmpz00_14960;
BgL_tmpz00_14960 = 
((obj_t)BgL_iportz00_8053); 
BgL_arg2853z00_6201 = 
RGC_BUFFER_MATCH_LENGTH(BgL_tmpz00_14960); } 
BgL_arg2863z00_2352 = 
rgc_buffer_substring(
((obj_t)BgL_iportz00_8053), ((long)0), BgL_arg2853z00_6201); } 
{ /* Llib/bibtex.scm 103 */
 obj_t BgL_list2864z00_2353;
BgL_list2864z00_2353 = 
MAKE_YOUNG_PAIR(BgL_arg2863z00_2352, BNIL); 
BgL_arg2861z00_2350 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4115z00zz__text_bibtexz00, BgL_list2864z00_2353); } } 
BgL_arg2862z00_2351 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_2341), 
BINT(BgL_maxz00_2342)); 
return 
BGl_errorz00zz__errorz00(BGl_string4116z00zz__text_bibtexz00, BgL_arg2861z00_2350, BgL_arg2862z00_2351);} } } 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__text_bibtexz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_3163;
BgL_headz00_3163 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_3164; obj_t BgL_tailz00_3165;
BgL_prevz00_3164 = BgL_headz00_3163; 
BgL_tailz00_3165 = BgL_l1z00_1; 
BgL_loopz00_3166:
if(
PAIRP(BgL_tailz00_3165))
{ 
 obj_t BgL_newzd2prevzd2_3168;
BgL_newzd2prevzd2_3168 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_3165), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_3164, BgL_newzd2prevzd2_3168); 
{ 
 obj_t BgL_tailz00_14978; obj_t BgL_prevz00_14977;
BgL_prevz00_14977 = BgL_newzd2prevzd2_3168; 
BgL_tailz00_14978 = 
CDR(BgL_tailz00_3165); 
BgL_tailz00_3165 = BgL_tailz00_14978; 
BgL_prevz00_3164 = BgL_prevz00_14977; 
goto BgL_loopz00_3166;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_3163);} } } 

}



/* bibtex */
BGL_EXPORTED_DEF obj_t BGl_bibtexz00zz__text_bibtexz00(obj_t BgL_objz00_3)
{
{ /* Llib/bibtex.scm 26 */
if(
INPUT_PORTP(BgL_objz00_3))
{ /* Llib/bibtex.scm 28 */
return 
BGl_parsezd2bibtexzd2zz__text_bibtexz00(BgL_objz00_3);}  else 
{ /* Llib/bibtex.scm 28 */
if(
STRINGP(BgL_objz00_3))
{ /* Llib/bibtex.scm 30 */
return 
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_objz00_3, BGl_bibtexzd2portzd2envz00zz__text_bibtexz00);}  else 
{ /* Llib/bibtex.scm 30 */
return 
BGl_errorz00zz__errorz00(BGl_string4117z00zz__text_bibtexz00, BGl_string4118z00zz__text_bibtexz00, BgL_objz00_3);} } } 

}



/* &bibtex */
obj_t BGl_z62bibtexz62zz__text_bibtexz00(obj_t BgL_envz00_8029, obj_t BgL_objz00_8030)
{
{ /* Llib/bibtex.scm 26 */
return 
BGl_bibtexz00zz__text_bibtexz00(BgL_objz00_8030);} 

}



/* bibtex-port */
BGL_EXPORTED_DEF obj_t BGl_bibtexzd2portzd2zz__text_bibtexz00(obj_t BgL_portz00_4)
{
{ /* Llib/bibtex.scm 38 */
return 
BGl_parsezd2bibtexzd2zz__text_bibtexz00(BgL_portz00_4);} 

}



/* &bibtex-port */
obj_t BGl_z62bibtexzd2portzb0zz__text_bibtexz00(obj_t BgL_envz00_8031, obj_t BgL_portz00_8032)
{
{ /* Llib/bibtex.scm 38 */
{ /* Llib/bibtex.scm 39 */
 obj_t BgL_res4133z00_9969;
{ /* Llib/bibtex.scm 39 */
 obj_t BgL_portz00_9968;
if(
INPUT_PORTP(BgL_portz00_8032))
{ /* Llib/bibtex.scm 39 */
BgL_portz00_9968 = BgL_portz00_8032; }  else 
{ 
 obj_t BgL_auxz00_14992;
BgL_auxz00_14992 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4119z00zz__text_bibtexz00, 
BINT(((long)1904)), BGl_string4120z00zz__text_bibtexz00, BGl_string4121z00zz__text_bibtexz00, BgL_portz00_8032); 
FAILURE(BgL_auxz00_14992,BFALSE,BFALSE);} 
BgL_res4133z00_9969 = 
BGl_parsezd2bibtexzd2zz__text_bibtexz00(BgL_portz00_9968); } 
return BgL_res4133z00_9969;} } 

}



/* bibtex-file */
BGL_EXPORTED_DEF obj_t BGl_bibtexzd2filezd2zz__text_bibtexz00(obj_t BgL_filez00_5)
{
{ /* Llib/bibtex.scm 44 */
return 
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_5, BGl_bibtexzd2portzd2envz00zz__text_bibtexz00);} 

}



/* &bibtex-file */
obj_t BGl_z62bibtexzd2filezb0zz__text_bibtexz00(obj_t BgL_envz00_8033, obj_t BgL_filez00_8034)
{
{ /* Llib/bibtex.scm 44 */
{ /* Llib/bibtex.scm 45 */
 obj_t BgL_auxz00_14998;
if(
STRINGP(BgL_filez00_8034))
{ /* Llib/bibtex.scm 45 */
BgL_auxz00_14998 = BgL_filez00_8034
; }  else 
{ 
 obj_t BgL_auxz00_15001;
BgL_auxz00_15001 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4119z00zz__text_bibtexz00, 
BINT(((long)2187)), BGl_string4122z00zz__text_bibtexz00, BGl_string4123z00zz__text_bibtexz00, BgL_filez00_8034); 
FAILURE(BgL_auxz00_15001,BFALSE,BFALSE);} 
return 
BGl_bibtexzd2filezd2zz__text_bibtexz00(BgL_auxz00_14998);} } 

}



/* bibtex-string */
BGL_EXPORTED_DEF obj_t BGl_bibtexzd2stringzd2zz__text_bibtexz00(obj_t BgL_strz00_6)
{
{ /* Llib/bibtex.scm 50 */
return 
BGl_callzd2withzd2inputzd2stringzd2zz__r4_ports_6_10_1z00(BgL_strz00_6, BGl_bibtexzd2portzd2envz00zz__text_bibtexz00);} 

}



/* &bibtex-string */
obj_t BGl_z62bibtexzd2stringzb0zz__text_bibtexz00(obj_t BgL_envz00_8035, obj_t BgL_strz00_8036)
{
{ /* Llib/bibtex.scm 50 */
{ /* Llib/bibtex.scm 51 */
 obj_t BgL_auxz00_15007;
if(
STRINGP(BgL_strz00_8036))
{ /* Llib/bibtex.scm 51 */
BgL_auxz00_15007 = BgL_strz00_8036
; }  else 
{ 
 obj_t BgL_auxz00_15010;
BgL_auxz00_15010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4119z00zz__text_bibtexz00, 
BINT(((long)2491)), BGl_string4124z00zz__text_bibtexz00, BGl_string4123z00zz__text_bibtexz00, BgL_strz00_8036); 
FAILURE(BgL_auxz00_15010,BFALSE,BFALSE);} 
return 
BGl_bibtexzd2stringzd2zz__text_bibtexz00(BgL_auxz00_15007);} } 

}



/* make-bibtex-hashtable */
obj_t BGl_makezd2bibtexzd2hashtablez00zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 61 */
{ /* Llib/bibtex.scm 62 */
 obj_t BgL_tablez00_3173;
BgL_tablez00_3173 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ /* Llib/bibtex.scm 63 */
 obj_t BgL_g1259z00_3174;
BgL_g1259z00_3174 = 
CNST_TABLE_REF(((long)30)); 
{ 
 obj_t BgL_l1257z00_3176;
BgL_l1257z00_3176 = BgL_g1259z00_3174; 
BgL_zc3z04anonymousza33359ze3z87_3177:
if(
PAIRP(BgL_l1257z00_3176))
{ /* Llib/bibtex.scm 67 */
{ /* Llib/bibtex.scm 64 */
 obj_t BgL_kz00_3179;
BgL_kz00_3179 = 
CAR(BgL_l1257z00_3176); 
{ /* Llib/bibtex.scm 64 */
 obj_t BgL_cpz00_3180;
BgL_cpz00_3180 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(BgL_kz00_3179); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_tablez00_3173, BgL_kz00_3179, BgL_cpz00_3180); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_tablez00_3173, BgL_cpz00_3180, BgL_cpz00_3180); } } 
{ 
 obj_t BgL_l1257z00_15023;
BgL_l1257z00_15023 = 
CDR(BgL_l1257z00_3176); 
BgL_l1257z00_3176 = BgL_l1257z00_15023; 
goto BgL_zc3z04anonymousza33359ze3z87_3177;} }  else 
{ /* Llib/bibtex.scm 67 */((bool_t)1); } } } 
return BgL_tablez00_3173;} } 

}



/* parse-bibtex */
obj_t BGl_parsezd2bibtexzd2zz__text_bibtexz00(obj_t BgL_portz00_7)
{
{ /* Llib/bibtex.scm 74 */
if(
BGl_hashtablezf3zf3zz__hashz00(BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00))
{ /* Llib/bibtex.scm 75 */BFALSE; }  else 
{ /* Llib/bibtex.scm 75 */
BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00 = 
BGl_makezd2bibtexzd2hashtablez00zz__text_bibtexz00(); } 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_env1019z00_3186;
BgL_env1019z00_3186 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_3202;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_cell1014z00_3187;
BgL_cell1014z00_3187 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_val1018z00_3188;
BgL_val1018z00_3188 = 
BGl_zc3z04exitza33366ze3ze70z60zz__text_bibtexz00(BgL_portz00_7, BgL_cell1014z00_3187, BgL_env1019z00_3186); 
if(
(BgL_val1018z00_3188==BgL_cell1014z00_3187))
{ /* Llib/bibtex.scm 77 */
{ /* Llib/bibtex.scm 77 */
 int BgL_tmpz00_15033;
BgL_tmpz00_15033 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_15033); } 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg3365z00_3190;
BgL_arg3365z00_3190 = 
CELL_REF(
((obj_t)BgL_val1018z00_3188)); 
BgL_ez00_3202 = BgL_arg3365z00_3190; 
{ /* Llib/bibtex.scm 79 */
 bool_t BgL_test4781z00_15038;
{ /* Llib/bibtex.scm 79 */
 obj_t BgL_classz00_7433;
BgL_classz00_7433 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_3202))
{ /* Llib/bibtex.scm 79 */
 BgL_objectz00_bglt BgL_arg1789z00_7435;
BgL_arg1789z00_7435 = 
(BgL_objectz00_bglt)(BgL_ez00_3202); 
{ /* Llib/bibtex.scm 79 */
 bool_t BgL_arg1786z00_7438; bool_t BgL_arg1787z00_7439;
{ /* Llib/bibtex.scm 79 */
 long BgL_idxz00_7442;
BgL_idxz00_7442 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1789z00_7435); 
BgL_arg1786z00_7438 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_7442+((long)5)))==BgL_classz00_7433); } 
{ /* Llib/bibtex.scm 79 */
 bool_t BgL_res4053z00_7464;
{ /* Llib/bibtex.scm 79 */
 obj_t BgL_oclassz00_7450;
{ /* Llib/bibtex.scm 79 */
 long BgL_arg1796z00_7456;
{ /* Llib/bibtex.scm 79 */
 long BgL_arg1797z00_7457;
BgL_arg1797z00_7457 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1789z00_7435); 
BgL_arg1796z00_7456 = 
(BgL_arg1797z00_7457-OBJECT_TYPE); } 
BgL_oclassz00_7450 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1796z00_7456); } 
{ /* Llib/bibtex.scm 79 */
 bool_t BgL__ortest_1111z00_7451;
BgL__ortest_1111z00_7451 = 
(BgL_classz00_7433==BgL_oclassz00_7450); 
if(BgL__ortest_1111z00_7451)
{ /* Llib/bibtex.scm 79 */
BgL_res4053z00_7464 = BgL__ortest_1111z00_7451; }  else 
{ /* Llib/bibtex.scm 79 */
 long BgL_odepthz00_7452;
BgL_odepthz00_7452 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7450); 
if(
(((long)5)<BgL_odepthz00_7452))
{ /* Llib/bibtex.scm 79 */
 obj_t BgL_arg1785z00_7454;
BgL_arg1785z00_7454 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7450, ((long)5)); 
BgL_res4053z00_7464 = 
(BgL_arg1785z00_7454==BgL_classz00_7433); }  else 
{ /* Llib/bibtex.scm 79 */
BgL_res4053z00_7464 = ((bool_t)0); } } } } 
BgL_arg1787z00_7439 = BgL_res4053z00_7464; } 
BgL_test4781z00_15038 = 
BGL_ISA_C_BACKEND(BgL_arg1786z00_7438, BgL_arg1787z00_7439); } }  else 
{ /* Llib/bibtex.scm 79 */
BgL_test4781z00_15038 = ((bool_t)0)
; } } 
if(BgL_test4781z00_15038)
{ /* Llib/bibtex.scm 81 */
 obj_t BgL_ezd2103zd2_3212;
BgL_ezd2103zd2_3212 = 
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_3202)))->BgL_objz00); 
if(
PAIRP(BgL_ezd2103zd2_3212))
{ /* Llib/bibtex.scm 81 */
 obj_t BgL_cdrzd2113zd2_3214;
BgL_cdrzd2113zd2_3214 = 
CDR(BgL_ezd2103zd2_3212); 
if(
PAIRP(BgL_cdrzd2113zd2_3214))
{ /* Llib/bibtex.scm 81 */
 obj_t BgL_carzd2118zd2_3216;
BgL_carzd2118zd2_3216 = 
CAR(BgL_cdrzd2113zd2_3214); 
if(
PAIRP(BgL_carzd2118zd2_3216))
{ /* Llib/bibtex.scm 81 */
 obj_t BgL_arg3374z00_3218; obj_t BgL_arg3375z00_3219; obj_t BgL_arg3376z00_3220;
BgL_arg3374z00_3218 = 
CAR(BgL_ezd2103zd2_3212); 
BgL_arg3375z00_3219 = 
CAR(BgL_carzd2118zd2_3216); 
BgL_arg3376z00_3220 = 
CDR(BgL_carzd2118zd2_3216); 
{ /* Llib/bibtex.scm 83 */
 obj_t BgL_arg3378z00_7472;
BgL_arg3378z00_7472 = 
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_3202)))->BgL_procz00); 
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_arg3378z00_7472, BGl_string4125z00zz__text_bibtexz00, BgL_arg3374z00_3218, BgL_arg3375z00_3219, BgL_arg3376z00_3220);} }  else 
{ /* Llib/bibtex.scm 81 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_3202);} }  else 
{ /* Llib/bibtex.scm 81 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_3202);} }  else 
{ /* Llib/bibtex.scm 81 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_3202);} }  else 
{ /* Llib/bibtex.scm 79 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_3202);} } } }  else 
{ /* Llib/bibtex.scm 77 */
return BgL_val1018z00_3188;} } } } } } 

}



/* <@exit:3366>~0 */
obj_t BGl_zc3z04exitza33366ze3ze70z60zz__text_bibtexz00(obj_t BgL_portz00_8052, obj_t BgL_cell1014z00_8051, obj_t BgL_env1019z00_8050)
{
{ /* Llib/bibtex.scm 77 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1024z00_3192;
if( SET_EXIT(BgL_an_exit1024z00_3192 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1024z00_3192 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1019z00_8050, BgL_an_exit1024z00_3192, ((long)1)); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_escape1015z00_3193;
BgL_escape1015z00_3193 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1019z00_8050); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_res1027z00_3194;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_ohs1011z00_3195;
BgL_ohs1011z00_3195 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1019z00_8050); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_hds1012z00_3196;
BgL_hds1012z00_3196 = 
MAKE_STACK_PAIR(BgL_escape1015z00_3193, BgL_cell1014z00_8051); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1019z00_8050, BgL_hds1012z00_3196); BUNSPEC; 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_exitd1021z00_3197;
BgL_exitd1021z00_3197 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1019z00_8050); 
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_tmp1023z00_3198;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg3368z00_3201;
BgL_arg3368z00_3201 = 
BGL_EXITD_PROTECT(BgL_exitd1021z00_3197); 
BgL_tmp1023z00_3198 = 
MAKE_YOUNG_PAIR(BgL_ohs1011z00_3195, BgL_arg3368z00_3201); } 
{ /* Llib/bibtex.scm 77 */

BGL_EXITD_PROTECT_SET(BgL_exitd1021z00_3197, BgL_tmp1023z00_3198); BUNSPEC; 
{ /* Llib/bibtex.scm 91 */
 obj_t BgL_tmp1022z00_3199;
BgL_tmp1022z00_3199 = 
BGl_readzf2lalrpzf2zz__r4_input_6_10_2z00(BGl_bibtexzd2parserzd2zz__text_bibtexz00, BGl_bibtexzd2lexerzd2zz__text_bibtexz00, BgL_portz00_8052, BNIL); 
{ /* Llib/bibtex.scm 77 */
 bool_t BgL_test4788z00_15089;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg1808z00_7474;
BgL_arg1808z00_7474 = 
BGL_EXITD_PROTECT(BgL_exitd1021z00_3197); 
BgL_test4788z00_15089 = 
PAIRP(BgL_arg1808z00_7474); } 
if(BgL_test4788z00_15089)
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg1806z00_7475;
{ /* Llib/bibtex.scm 77 */
 obj_t BgL_arg1807z00_7476;
BgL_arg1807z00_7476 = 
BGL_EXITD_PROTECT(BgL_exitd1021z00_3197); 
BgL_arg1806z00_7475 = 
CDR(
((obj_t)BgL_arg1807z00_7476)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1021z00_3197, BgL_arg1806z00_7475); BUNSPEC; }  else 
{ /* Llib/bibtex.scm 77 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1019z00_8050, BgL_ohs1011z00_3195); BUNSPEC; 
BgL_res1027z00_3194 = BgL_tmp1022z00_3199; } } } } } } 
POP_ENV_EXIT(BgL_env1019z00_8050); 
return BgL_res1027z00_3194;} } 
}} 

}



/* bibtex-parse-authors */
BGL_EXPORTED_DEF obj_t BGl_bibtexzd2parsezd2authorsz00zz__text_bibtexz00(obj_t BgL_valz00_9)
{
{ /* Llib/bibtex.scm 347 */
{ /* Llib/bibtex.scm 359 */
 long BgL_stopz00_3227;
BgL_stopz00_3227 = 
(
STRING_LENGTH(BgL_valz00_9)-((long)7)); 
if(
bigloo_strcmp_at(BgL_valz00_9, BGl_string4126z00zz__text_bibtexz00, BgL_stopz00_3227))
{ /* Llib/bibtex.scm 361 */
 obj_t BgL_asz00_3229;
{ /* Llib/bibtex.scm 361 */
 obj_t BgL_arg3394z00_3250;
BgL_arg3394z00_3250 = 
c_substring(BgL_valz00_9, ((long)0), BgL_stopz00_3227); 
BgL_asz00_3229 = 
BGl_pregexpzd2splitzd2zz__regexpz00(BGl_pregexp1264z00zz__text_bibtexz00, BgL_arg3394z00_3250); } 
if(
NULLP(BgL_asz00_3229))
{ /* Llib/bibtex.scm 362 */
return BNIL;}  else 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_arg3383z00_3231; obj_t BgL_arg3384z00_3232;
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_head1267z00_3235;
BgL_head1267z00_3235 = 
MAKE_YOUNG_PAIR(
BGl_parsezd2authorze70z35zz__text_bibtexz00(
CAR(BgL_asz00_3229)), BNIL); 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_g1270z00_3236;
BgL_g1270z00_3236 = 
CDR(BgL_asz00_3229); 
{ 
 obj_t BgL_l1265z00_3238; obj_t BgL_tail1268z00_3239;
BgL_l1265z00_3238 = BgL_g1270z00_3236; 
BgL_tail1268z00_3239 = BgL_head1267z00_3235; 
BgL_zc3z04anonymousza33386ze3z87_3240:
if(
NULLP(BgL_l1265z00_3238))
{ /* Llib/bibtex.scm 363 */
BgL_arg3383z00_3231 = BgL_head1267z00_3235; }  else 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_newtail1269z00_3242;
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_arg3389z00_3244;
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_arg3390z00_3245;
BgL_arg3390z00_3245 = 
CAR(
((obj_t)BgL_l1265z00_3238)); 
BgL_arg3389z00_3244 = 
BGl_parsezd2authorze70z35zz__text_bibtexz00(BgL_arg3390z00_3245); } 
BgL_newtail1269z00_3242 = 
MAKE_YOUNG_PAIR(BgL_arg3389z00_3244, BNIL); } 
SET_CDR(BgL_tail1268z00_3239, BgL_newtail1269z00_3242); 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_arg3388z00_3243;
BgL_arg3388z00_3243 = 
CDR(
((obj_t)BgL_l1265z00_3238)); 
{ 
 obj_t BgL_tail1268z00_15120; obj_t BgL_l1265z00_15119;
BgL_l1265z00_15119 = BgL_arg3388z00_3243; 
BgL_tail1268z00_15120 = BgL_newtail1269z00_3242; 
BgL_tail1268z00_3239 = BgL_tail1268z00_15120; 
BgL_l1265z00_3238 = BgL_l1265z00_15119; 
goto BgL_zc3z04anonymousza33386ze3z87_3240;} } } } } } 
{ /* Llib/bibtex.scm 363 */
 obj_t BgL_list3393z00_3249;
BgL_list3393z00_3249 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BNIL); 
BgL_arg3384z00_3232 = BgL_list3393z00_3249; } 
return 
BGl_appendzd221010zd2zz__text_bibtexz00(BgL_arg3383z00_3231, BgL_arg3384z00_3232);} }  else 
{ /* Llib/bibtex.scm 365 */
 obj_t BgL_asz00_3251;
BgL_asz00_3251 = 
BGl_pregexpzd2splitzd2zz__regexpz00(BGl_pregexp1271z00zz__text_bibtexz00, BgL_valz00_9); 
if(
NULLP(BgL_asz00_3251))
{ /* Llib/bibtex.scm 366 */
return BNIL;}  else 
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_head1274z00_3255;
BgL_head1274z00_3255 = 
MAKE_YOUNG_PAIR(
BGl_parsezd2authorze70z35zz__text_bibtexz00(
CAR(BgL_asz00_3251)), BNIL); 
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_g1277z00_3256;
BgL_g1277z00_3256 = 
CDR(BgL_asz00_3251); 
{ 
 obj_t BgL_l1272z00_3258; obj_t BgL_tail1275z00_3259;
BgL_l1272z00_3258 = BgL_g1277z00_3256; 
BgL_tail1275z00_3259 = BgL_head1274z00_3255; 
BgL_zc3z04anonymousza33397ze3z87_3260:
if(
NULLP(BgL_l1272z00_3258))
{ /* Llib/bibtex.scm 367 */
return BgL_head1274z00_3255;}  else 
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_newtail1276z00_3262;
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_arg3400z00_3264;
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_arg3401z00_3265;
BgL_arg3401z00_3265 = 
CAR(
((obj_t)BgL_l1272z00_3258)); 
BgL_arg3400z00_3264 = 
BGl_parsezd2authorze70z35zz__text_bibtexz00(BgL_arg3401z00_3265); } 
BgL_newtail1276z00_3262 = 
MAKE_YOUNG_PAIR(BgL_arg3400z00_3264, BNIL); } 
SET_CDR(BgL_tail1275z00_3259, BgL_newtail1276z00_3262); 
{ /* Llib/bibtex.scm 367 */
 obj_t BgL_arg3399z00_3263;
BgL_arg3399z00_3263 = 
CDR(
((obj_t)BgL_l1272z00_3258)); 
{ 
 obj_t BgL_tail1275z00_15141; obj_t BgL_l1272z00_15140;
BgL_l1272z00_15140 = BgL_arg3399z00_3263; 
BgL_tail1275z00_15141 = BgL_newtail1276z00_3262; 
BgL_tail1275z00_3259 = BgL_tail1275z00_15141; 
BgL_l1272z00_3258 = BgL_l1272z00_15140; 
goto BgL_zc3z04anonymousza33397ze3z87_3260;} } } } } } } } } 

}



/* parse-author~0 */
obj_t BGl_parsezd2authorze70z35zz__text_bibtexz00(obj_t BgL_authz00_3270)
{
{ /* Llib/bibtex.scm 358 */
{ /* Llib/bibtex.scm 349 */
 obj_t BgL_mz00_3272;
{ /* Llib/bibtex.scm 349 */
 obj_t BgL_patz00_3301;
BgL_patz00_3301 = BGl_pregexp1261z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 349 */
 long BgL_endz00_3304;
BgL_endz00_3304 = 
STRING_LENGTH(
((obj_t)BgL_authz00_3270)); 
{ /* Llib/bibtex.scm 349 */

BgL_mz00_3272 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_3301, BgL_authz00_3270, 
BINT(((long)0)), 
BINT(BgL_endz00_3304)); } } } 
if(
CBOOL(BgL_mz00_3272))
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_arg3406z00_3273; obj_t BgL_arg3407z00_3274;
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_arg3410z00_3277;
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_pairz00_7489;
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_pairz00_7488;
BgL_pairz00_7488 = 
CDR(
((obj_t)BgL_mz00_3272)); 
BgL_pairz00_7489 = 
CDR(BgL_pairz00_7488); } 
BgL_arg3410z00_3277 = 
CAR(BgL_pairz00_7489); } 
BgL_arg3406z00_3273 = 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_arg3410z00_3277); } 
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_pairz00_7493;
BgL_pairz00_7493 = 
CDR(
((obj_t)BgL_mz00_3272)); 
BgL_arg3407z00_3274 = 
CAR(BgL_pairz00_7493); } 
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_list3408z00_3275;
{ /* Llib/bibtex.scm 351 */
 obj_t BgL_arg3409z00_3276;
BgL_arg3409z00_3276 = 
MAKE_YOUNG_PAIR(BgL_arg3407z00_3274, BNIL); 
BgL_list3408z00_3275 = 
MAKE_YOUNG_PAIR(BgL_arg3406z00_3273, BgL_arg3409z00_3276); } 
return BgL_list3408z00_3275;} }  else 
{ /* Llib/bibtex.scm 352 */
 obj_t BgL_mz00_3278;
{ /* Llib/bibtex.scm 352 */
 obj_t BgL_patz00_3297;
BgL_patz00_3297 = BGl_pregexp1262z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 352 */
 long BgL_endz00_3300;
BgL_endz00_3300 = 
STRING_LENGTH(
((obj_t)BgL_authz00_3270)); 
{ /* Llib/bibtex.scm 352 */

BgL_mz00_3278 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_3297, BgL_authz00_3270, 
BINT(((long)0)), 
BINT(BgL_endz00_3300)); } } } 
if(
CBOOL(BgL_mz00_3278))
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_arg3411z00_3279; obj_t BgL_arg3412z00_3280;
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_arg3415z00_3283;
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_pairz00_7499;
BgL_pairz00_7499 = 
CDR(
((obj_t)BgL_mz00_3278)); 
BgL_arg3415z00_3283 = 
CAR(BgL_pairz00_7499); } 
BgL_arg3411z00_3279 = 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_arg3415z00_3283); } 
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_pairz00_7505;
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_pairz00_7504;
BgL_pairz00_7504 = 
CDR(
((obj_t)BgL_mz00_3278)); 
BgL_pairz00_7505 = 
CDR(BgL_pairz00_7504); } 
BgL_arg3412z00_3280 = 
CAR(BgL_pairz00_7505); } 
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_list3413z00_3281;
{ /* Llib/bibtex.scm 354 */
 obj_t BgL_arg3414z00_3282;
BgL_arg3414z00_3282 = 
MAKE_YOUNG_PAIR(BgL_arg3412z00_3280, BNIL); 
BgL_list3413z00_3281 = 
MAKE_YOUNG_PAIR(BgL_arg3411z00_3279, BgL_arg3414z00_3282); } 
return BgL_list3413z00_3281;} }  else 
{ /* Llib/bibtex.scm 355 */
 obj_t BgL_mz00_3284;
{ /* Llib/bibtex.scm 355 */
 obj_t BgL_patz00_3293;
BgL_patz00_3293 = BGl_pregexp1263z00zz__text_bibtexz00; 
{ /* Llib/bibtex.scm 355 */
 long BgL_endz00_3296;
BgL_endz00_3296 = 
STRING_LENGTH(
((obj_t)BgL_authz00_3270)); 
{ /* Llib/bibtex.scm 355 */

BgL_mz00_3284 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_3293, BgL_authz00_3270, 
BINT(((long)0)), 
BINT(BgL_endz00_3296)); } } } 
if(
CBOOL(BgL_mz00_3284))
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_arg3416z00_3285; obj_t BgL_arg3417z00_3286;
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_arg3420z00_3289;
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_pairz00_7513;
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_pairz00_7512;
BgL_pairz00_7512 = 
CDR(
((obj_t)BgL_mz00_3284)); 
BgL_pairz00_7513 = 
CDR(BgL_pairz00_7512); } 
BgL_arg3420z00_3289 = 
CAR(BgL_pairz00_7513); } 
BgL_arg3416z00_3285 = 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_arg3420z00_3289); } 
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_pairz00_7517;
BgL_pairz00_7517 = 
CDR(
((obj_t)BgL_mz00_3284)); 
BgL_arg3417z00_3286 = 
CAR(BgL_pairz00_7517); } 
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_list3418z00_3287;
{ /* Llib/bibtex.scm 357 */
 obj_t BgL_arg3419z00_3288;
BgL_arg3419z00_3288 = 
MAKE_YOUNG_PAIR(BgL_arg3417z00_3286, BNIL); 
BgL_list3418z00_3287 = 
MAKE_YOUNG_PAIR(BgL_arg3416z00_3285, BgL_arg3419z00_3288); } 
return BgL_list3418z00_3287;} }  else 
{ /* Llib/bibtex.scm 358 */
 obj_t BgL_arg3421z00_3290;
BgL_arg3421z00_3290 = 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_authz00_3270); 
{ /* Llib/bibtex.scm 358 */
 obj_t BgL_list3422z00_3291;
{ /* Llib/bibtex.scm 358 */
 obj_t BgL_arg3423z00_3292;
BgL_arg3423z00_3292 = 
MAKE_YOUNG_PAIR(BGl_string4127z00zz__text_bibtexz00, BNIL); 
BgL_list3422z00_3291 = 
MAKE_YOUNG_PAIR(BgL_arg3421z00_3290, BgL_arg3423z00_3292); } 
return BgL_list3422z00_3291;} } } } } } 

}



/* &bibtex-parse-authors */
obj_t BGl_z62bibtexzd2parsezd2authorsz62zz__text_bibtexz00(obj_t BgL_envz00_8037, obj_t BgL_valz00_8038)
{
{ /* Llib/bibtex.scm 347 */
{ /* Llib/bibtex.scm 349 */
 obj_t BgL_auxz00_15196;
if(
STRINGP(BgL_valz00_8038))
{ /* Llib/bibtex.scm 349 */
BgL_auxz00_15196 = BgL_valz00_8038
; }  else 
{ 
 obj_t BgL_auxz00_15199;
BgL_auxz00_15199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4119z00zz__text_bibtexz00, 
BINT(((long)12986)), BGl_string4128z00zz__text_bibtexz00, BGl_string4123z00zz__text_bibtexz00, BgL_valz00_8038); 
FAILURE(BgL_auxz00_15199,BFALSE,BFALSE);} 
return 
BGl_bibtexzd2parsezd2authorsz00zz__text_bibtexz00(BgL_auxz00_15196);} } 

}



/* bibtex-string-def! */
obj_t BGl_bibtexzd2stringzd2defz12z12zz__text_bibtexz00(obj_t BgL_identz00_10, obj_t BgL_valuez00_11)
{
{ /* Llib/bibtex.scm 373 */
{ /* Llib/bibtex.scm 384 */
 obj_t BgL_arg3424z00_3307;
BgL_arg3424z00_3307 = 
BGl_zd2ze3stringze70zd6zz__text_bibtexz00(BgL_valuez00_11); 
return 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00, BgL_identz00_10, BgL_arg3424z00_3307);} } 

}



/* ->string~0 */
obj_t BGl_zd2ze3stringze70zd6zz__text_bibtexz00(obj_t BgL_valuez00_3308)
{
{ /* Llib/bibtex.scm 383 */
if(
STRINGP(BgL_valuez00_3308))
{ /* Llib/bibtex.scm 375 */
return BgL_valuez00_3308;}  else 
{ 

if(
PAIRP(BgL_valuez00_3308))
{ /* Llib/bibtex.scm 377 */
 obj_t BgL_carzd2134zd2_3318;
BgL_carzd2134zd2_3318 = 
CAR(BgL_valuez00_3308); 
if(
STRINGP(BgL_carzd2134zd2_3318))
{ /* Llib/bibtex.scm 377 */
if(
NULLP(
CDR(BgL_valuez00_3308)))
{ /* Llib/bibtex.scm 377 */
return BgL_carzd2134zd2_3318;}  else 
{ /* Llib/bibtex.scm 377 */
BgL_tagzd2129zd2_3315:
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_runner3444z00_3346;
if(
NULLP(BgL_valuez00_3308))
{ /* Llib/bibtex.scm 383 */
BgL_runner3444z00_3346 = BNIL; }  else 
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_head1280z00_3332;
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3442z00_3344;
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3443z00_3345;
BgL_arg3443z00_3345 = 
CAR(
((obj_t)BgL_valuez00_3308)); 
BgL_arg3442z00_3344 = 
BGl_zd2ze3stringze70zd6zz__text_bibtexz00(BgL_arg3443z00_3345); } 
BgL_head1280z00_3332 = 
MAKE_YOUNG_PAIR(BgL_arg3442z00_3344, BNIL); } 
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_g1283z00_3333;
BgL_g1283z00_3333 = 
CDR(
((obj_t)BgL_valuez00_3308)); 
{ 
 obj_t BgL_l1278z00_3335; obj_t BgL_tail1281z00_3336;
BgL_l1278z00_3335 = BgL_g1283z00_3333; 
BgL_tail1281z00_3336 = BgL_head1280z00_3332; 
BgL_zc3z04anonymousza33437ze3z87_3337:
if(
NULLP(BgL_l1278z00_3335))
{ /* Llib/bibtex.scm 383 */
BgL_runner3444z00_3346 = BgL_head1280z00_3332; }  else 
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_newtail1282z00_3339;
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3440z00_3341;
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3441z00_3342;
BgL_arg3441z00_3342 = 
CAR(
((obj_t)BgL_l1278z00_3335)); 
BgL_arg3440z00_3341 = 
BGl_zd2ze3stringze70zd6zz__text_bibtexz00(BgL_arg3441z00_3342); } 
BgL_newtail1282z00_3339 = 
MAKE_YOUNG_PAIR(BgL_arg3440z00_3341, BNIL); } 
SET_CDR(BgL_tail1281z00_3336, BgL_newtail1282z00_3339); 
{ /* Llib/bibtex.scm 383 */
 obj_t BgL_arg3439z00_3340;
BgL_arg3439z00_3340 = 
CDR(
((obj_t)BgL_l1278z00_3335)); 
{ 
 obj_t BgL_tail1281z00_15234; obj_t BgL_l1278z00_15233;
BgL_l1278z00_15233 = BgL_arg3439z00_3340; 
BgL_tail1281z00_15234 = BgL_newtail1282z00_3339; 
BgL_tail1281z00_3336 = BgL_tail1281z00_15234; 
BgL_l1278z00_3335 = BgL_l1278z00_15233; 
goto BgL_zc3z04anonymousza33437ze3z87_3337;} } } } } } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_runner3444z00_3346);} } }  else 
{ /* Llib/bibtex.scm 377 */
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_carzd2134zd2_3318))
{ /* Llib/bibtex.scm 377 */
if(
NULLP(
CDR(BgL_valuez00_3308)))
{ /* Llib/bibtex.scm 381 */

return 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_carzd2134zd2_3318, 
BINT(((long)10)));}  else 
{ /* Llib/bibtex.scm 377 */
goto BgL_tagzd2129zd2_3315;} }  else 
{ /* Llib/bibtex.scm 377 */
goto BgL_tagzd2129zd2_3315;} } }  else 
{ /* Llib/bibtex.scm 377 */
goto BgL_tagzd2129zd2_3315;} } } 

}



/* parse-entry-value */
obj_t BGl_parsezd2entryzd2valuez00zz__text_bibtexz00(obj_t BgL_valz00_12)
{
{ /* Llib/bibtex.scm 389 */
{ /* Llib/bibtex.scm 390 */
 obj_t BgL_g1204z00_3348;
BgL_g1204z00_3348 = 
bgl_reverse(BgL_valz00_12); 
{ 
 obj_t BgL_valz00_3350; obj_t BgL_resz00_3351;
BgL_valz00_3350 = BgL_g1204z00_3348; 
BgL_resz00_3351 = BGl_string4127z00zz__text_bibtexz00; 
BgL_zc3z04anonymousza33445ze3z87_3352:
if(
NULLP(BgL_valz00_3350))
{ /* Llib/bibtex.scm 393 */
return 
BGl_untexifyz00zz__text_bibtexz00(BgL_resz00_3351);}  else 
{ /* Llib/bibtex.scm 395 */
 bool_t BgL_test4807z00_15247;
{ /* Llib/bibtex.scm 395 */
 obj_t BgL_tmpz00_15248;
BgL_tmpz00_15248 = 
CAR(
((obj_t)BgL_valz00_3350)); 
BgL_test4807z00_15247 = 
CHARP(BgL_tmpz00_15248); } 
if(BgL_test4807z00_15247)
{ /* Llib/bibtex.scm 396 */
 obj_t BgL_arg3449z00_3356; obj_t BgL_arg3450z00_3357;
BgL_arg3449z00_3356 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ /* Llib/bibtex.scm 396 */
 obj_t BgL_arg3451z00_3358;
{ /* Llib/bibtex.scm 396 */
 obj_t BgL_arg3452z00_3359;
BgL_arg3452z00_3359 = 
CAR(
((obj_t)BgL_valz00_3350)); 
{ /* Llib/bibtex.scm 396 */
 obj_t BgL_list3453z00_3360;
BgL_list3453z00_3360 = 
MAKE_YOUNG_PAIR(BgL_arg3452z00_3359, BNIL); 
BgL_arg3451z00_3358 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list3453z00_3360); } } 
BgL_arg3450z00_3357 = 
string_append(BgL_arg3451z00_3358, BgL_resz00_3351); } 
{ 
 obj_t BgL_resz00_15260; obj_t BgL_valz00_15259;
BgL_valz00_15259 = BgL_arg3449z00_3356; 
BgL_resz00_15260 = BgL_arg3450z00_3357; 
BgL_resz00_3351 = BgL_resz00_15260; 
BgL_valz00_3350 = BgL_valz00_15259; 
goto BgL_zc3z04anonymousza33445ze3z87_3352;} }  else 
{ /* Llib/bibtex.scm 397 */
 bool_t BgL_test4808z00_15261;
{ /* Llib/bibtex.scm 397 */
 obj_t BgL_tmpz00_15262;
BgL_tmpz00_15262 = 
CAR(
((obj_t)BgL_valz00_3350)); 
BgL_test4808z00_15261 = 
STRINGP(BgL_tmpz00_15262); } 
if(BgL_test4808z00_15261)
{ /* Llib/bibtex.scm 398 */
 obj_t BgL_arg3456z00_3363; obj_t BgL_arg3457z00_3364;
BgL_arg3456z00_3363 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ /* Llib/bibtex.scm 398 */
 obj_t BgL_arg3458z00_3365;
BgL_arg3458z00_3365 = 
CAR(
((obj_t)BgL_valz00_3350)); 
BgL_arg3457z00_3364 = 
string_append(BgL_arg3458z00_3365, BgL_resz00_3351); } 
{ 
 obj_t BgL_resz00_15272; obj_t BgL_valz00_15271;
BgL_valz00_15271 = BgL_arg3456z00_3363; 
BgL_resz00_15272 = BgL_arg3457z00_3364; 
BgL_resz00_3351 = BgL_resz00_15272; 
BgL_valz00_3350 = BgL_valz00_15271; 
goto BgL_zc3z04anonymousza33445ze3z87_3352;} }  else 
{ 
 obj_t BgL_refz00_3366;
{ /* Llib/bibtex.scm 400 */
 obj_t BgL_ezd2154zd2_3369;
BgL_ezd2154zd2_3369 = 
CAR(
((obj_t)BgL_valz00_3350)); 
if(
PAIRP(BgL_ezd2154zd2_3369))
{ /* Llib/bibtex.scm 400 */
 obj_t BgL_cdrzd2158zd2_3371;
BgL_cdrzd2158zd2_3371 = 
CDR(BgL_ezd2154zd2_3369); 
if(
(
CAR(BgL_ezd2154zd2_3369)==
CNST_TABLE_REF(((long)11))))
{ /* Llib/bibtex.scm 400 */
if(
PAIRP(BgL_cdrzd2158zd2_3371))
{ /* Llib/bibtex.scm 400 */
if(
NULLP(
CDR(BgL_cdrzd2158zd2_3371)))
{ /* Llib/bibtex.scm 400 */
BgL_refz00_3366 = 
CAR(BgL_cdrzd2158zd2_3371); 
{ /* Llib/bibtex.scm 402 */
 obj_t BgL_hz00_3380;
BgL_hz00_3380 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2bibtexzd2stringzd2tableza2z00zz__text_bibtexz00, BgL_refz00_3366); 
{ /* Llib/bibtex.scm 403 */
 obj_t BgL_arg3468z00_3381; obj_t BgL_arg3469z00_3382;
BgL_arg3468z00_3381 = 
CDR(
((obj_t)BgL_valz00_3350)); 
if(
STRINGP(BgL_hz00_3380))
{ /* Llib/bibtex.scm 404 */
BgL_arg3469z00_3382 = 
string_append(BgL_hz00_3380, BgL_resz00_3351); }  else 
{ /* Llib/bibtex.scm 404 */
BgL_arg3469z00_3382 = BgL_resz00_3351; } 
{ 
 obj_t BgL_resz00_15294; obj_t BgL_valz00_15293;
BgL_valz00_15293 = BgL_arg3468z00_3381; 
BgL_resz00_15294 = BgL_arg3469z00_3382; 
BgL_resz00_3351 = BgL_resz00_15294; 
BgL_valz00_3350 = BgL_valz00_15293; 
goto BgL_zc3z04anonymousza33445ze3z87_3352;} } } }  else 
{ /* Llib/bibtex.scm 408 */
 obj_t BgL_arg3471z00_7562;
BgL_arg3471z00_7562 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ 
 obj_t BgL_valz00_15298;
BgL_valz00_15298 = BgL_arg3471z00_7562; 
BgL_valz00_3350 = BgL_valz00_15298; 
goto BgL_zc3z04anonymousza33445ze3z87_3352;} } }  else 
{ /* Llib/bibtex.scm 408 */
 obj_t BgL_arg3471z00_7564;
BgL_arg3471z00_7564 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ 
 obj_t BgL_valz00_15301;
BgL_valz00_15301 = BgL_arg3471z00_7564; 
BgL_valz00_3350 = BgL_valz00_15301; 
goto BgL_zc3z04anonymousza33445ze3z87_3352;} } }  else 
{ /* Llib/bibtex.scm 408 */
 obj_t BgL_arg3471z00_7566;
BgL_arg3471z00_7566 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ 
 obj_t BgL_valz00_15304;
BgL_valz00_15304 = BgL_arg3471z00_7566; 
BgL_valz00_3350 = BgL_valz00_15304; 
goto BgL_zc3z04anonymousza33445ze3z87_3352;} } }  else 
{ /* Llib/bibtex.scm 408 */
 obj_t BgL_arg3471z00_7568;
BgL_arg3471z00_7568 = 
CDR(
((obj_t)BgL_valz00_3350)); 
{ 
 obj_t BgL_valz00_15307;
BgL_valz00_15307 = BgL_arg3471z00_7568; 
BgL_valz00_3350 = BgL_valz00_15307; 
goto BgL_zc3z04anonymousza33445ze3z87_3352;} } } } } } } } } 

}



/* make-bibtex-entry */
obj_t BGl_makezd2bibtexzd2entryz00zz__text_bibtexz00(obj_t BgL_kindz00_13, obj_t BgL_identz00_14, obj_t BgL_valuez00_15)
{
{ /* Llib/bibtex.scm 413 */
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_fieldsz00_3388;
if(
NULLP(BgL_valuez00_15))
{ /* Llib/bibtex.scm 414 */
BgL_fieldsz00_3388 = BNIL; }  else 
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_head1286z00_3393;
BgL_head1286z00_3393 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1284z00_3395; obj_t BgL_tail1287z00_3396;
BgL_l1284z00_3395 = BgL_valuez00_15; 
BgL_tail1287z00_3396 = BgL_head1286z00_3393; 
BgL_zc3z04anonymousza33477ze3z87_3397:
if(
NULLP(BgL_l1284z00_3395))
{ /* Llib/bibtex.scm 414 */
BgL_fieldsz00_3388 = 
CDR(BgL_head1286z00_3393); }  else 
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_newtail1288z00_3399;
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_arg3480z00_3401;
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_linez00_3402;
BgL_linez00_3402 = 
CAR(
((obj_t)BgL_l1284z00_3395)); 
{ /* Llib/bibtex.scm 415 */
 obj_t BgL_keyz00_3403; obj_t BgL_valz00_3404;
BgL_keyz00_3403 = 
CAR(
((obj_t)BgL_linez00_3402)); 
{ /* Llib/bibtex.scm 416 */
 obj_t BgL_arg3483z00_3407;
BgL_arg3483z00_3407 = 
CDR(
((obj_t)BgL_linez00_3402)); 
BgL_valz00_3404 = 
BGl_parsezd2entryzd2valuez00zz__text_bibtexz00(BgL_arg3483z00_3407); } 
{ /* Llib/bibtex.scm 418 */
 obj_t BgL_arg3481z00_3405;
if(
(BgL_keyz00_3403==
CNST_TABLE_REF(((long)32))))
{ /* Llib/bibtex.scm 418 */
BgL_arg3481z00_3405 = 
BGl_bibtexzd2parsezd2authorsz00zz__text_bibtexz00(BgL_valz00_3404); }  else 
{ /* Llib/bibtex.scm 418 */
BgL_arg3481z00_3405 = BgL_valz00_3404; } 
BgL_arg3480z00_3401 = 
MAKE_YOUNG_PAIR(BgL_keyz00_3403, BgL_arg3481z00_3405); } } } 
BgL_newtail1288z00_3399 = 
MAKE_YOUNG_PAIR(BgL_arg3480z00_3401, BNIL); } 
SET_CDR(BgL_tail1287z00_3396, BgL_newtail1288z00_3399); 
{ /* Llib/bibtex.scm 414 */
 obj_t BgL_arg3479z00_3400;
BgL_arg3479z00_3400 = 
CDR(
((obj_t)BgL_l1284z00_3395)); 
{ 
 obj_t BgL_tail1287z00_15331; obj_t BgL_l1284z00_15330;
BgL_l1284z00_15330 = BgL_arg3479z00_3400; 
BgL_tail1287z00_15331 = BgL_newtail1288z00_3399; 
BgL_tail1287z00_3396 = BgL_tail1287z00_15331; 
BgL_l1284z00_3395 = BgL_l1284z00_15330; 
goto BgL_zc3z04anonymousza33477ze3z87_3397;} } } } } 
{ /* Llib/bibtex.scm 422 */
 obj_t BgL_arg3474z00_3389;
BgL_arg3474z00_3389 = 
MAKE_YOUNG_PAIR(BgL_kindz00_13, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_3388, BNIL)); 
return 
MAKE_YOUNG_PAIR(BgL_identz00_14, BgL_arg3474z00_3389);} } } 

}



/* untexify */
obj_t BGl_untexifyz00zz__text_bibtexz00(obj_t BgL_valz00_16)
{
{ /* Llib/bibtex.scm 427 */
{ 
 obj_t BgL_strz00_3772;
if(
STRINGP(BgL_valz00_16))
{ /* Llib/bibtex.scm 470 */
BgL_strz00_3772 = BgL_valz00_16; 
{ /* Llib/bibtex.scm 442 */
 obj_t BgL_sz00_3774;
BgL_sz00_3774 = 
BGl_pregexpzd2replaceza2z70zz__regexpz00(BGl_pregexp1291z00zz__text_bibtexz00, BgL_strz00_3772, BGl_string4129z00zz__text_bibtexz00); 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_port1222z00_3775;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg3948z00_4378;
BgL_arg3948z00_4378 = 
BGl_pregexpzd2replaceza2z70zz__regexpz00(BGl_pregexp1292z00zz__text_bibtexz00, BgL_sz00_3774, BGl_string4127z00zz__text_bibtexz00); 
{ /* Llib/bibtex.scm 443 */
 long BgL_endz00_4381;
BgL_endz00_4381 = 
STRING_LENGTH(BgL_arg3948z00_4378); 
{ /* Llib/bibtex.scm 443 */

BgL_port1222z00_3775 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_arg3948z00_4378, 
BINT(((long)0)), 
BINT(BgL_endz00_4381)); } } } 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_exitd1223z00_3776;
BgL_exitd1223z00_3776 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_zc3z04anonymousza33947ze3z87_8039;
BgL_zc3z04anonymousza33947ze3z87_8039 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33947ze3ze5zz__text_bibtexz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33947ze3z87_8039, 
(int)(((long)0)), BgL_port1222z00_3775); 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1809z00_7696;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1811z00_7697;
BgL_arg1811z00_7697 = 
BGL_EXITD_PROTECT(BgL_exitd1223z00_3776); 
BgL_arg1809z00_7696 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33947ze3z87_8039, BgL_arg1811z00_7697); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1223z00_3776, BgL_arg1809z00_7696); BUNSPEC; } 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_tmp1225z00_3778;
BgL_tmp1225z00_3778 = 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_port1222z00_3775); 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4818z00_15353;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1808z00_8010;
BgL_arg1808z00_8010 = 
BGL_EXITD_PROTECT(BgL_exitd1223z00_3776); 
BgL_test4818z00_15353 = 
PAIRP(BgL_arg1808z00_8010); } 
if(BgL_test4818z00_15353)
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1806z00_8011;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg1807z00_8012;
BgL_arg1807z00_8012 = 
BGL_EXITD_PROTECT(BgL_exitd1223z00_3776); 
BgL_arg1806z00_8011 = 
CDR(
((obj_t)BgL_arg1807z00_8012)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1223z00_3776, BgL_arg1806z00_8011); BUNSPEC; }  else 
{ /* Llib/bibtex.scm 443 */BFALSE; } } 
bgl_close_input_port(BgL_port1222z00_3775); 
return BgL_tmp1225z00_3778;} } } } } }  else 
{ /* Llib/bibtex.scm 470 */
if(
NULLP(BgL_valz00_16))
{ /* Llib/bibtex.scm 472 */
return BNIL;}  else 
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_head1301z00_3414;
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3491z00_3426;
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3492z00_3427;
BgL_arg3492z00_3427 = 
CAR(
((obj_t)BgL_valz00_16)); 
BgL_arg3491z00_3426 = 
BGl_untexifyz00zz__text_bibtexz00(BgL_arg3492z00_3427); } 
BgL_head1301z00_3414 = 
MAKE_YOUNG_PAIR(BgL_arg3491z00_3426, BNIL); } 
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_g1304z00_3415;
BgL_g1304z00_3415 = 
CDR(
((obj_t)BgL_valz00_16)); 
{ 
 obj_t BgL_l1299z00_3417; obj_t BgL_tail1302z00_3418;
BgL_l1299z00_3417 = BgL_g1304z00_3415; 
BgL_tail1302z00_3418 = BgL_head1301z00_3414; 
BgL_zc3z04anonymousza33486ze3z87_3419:
if(
NULLP(BgL_l1299z00_3417))
{ /* Llib/bibtex.scm 472 */
return BgL_head1301z00_3414;}  else 
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_newtail1303z00_3421;
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3489z00_3423;
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3490z00_3424;
BgL_arg3490z00_3424 = 
CAR(
((obj_t)BgL_l1299z00_3417)); 
BgL_arg3489z00_3423 = 
BGl_untexifyz00zz__text_bibtexz00(BgL_arg3490z00_3424); } 
BgL_newtail1303z00_3421 = 
MAKE_YOUNG_PAIR(BgL_arg3489z00_3423, BNIL); } 
SET_CDR(BgL_tail1302z00_3418, BgL_newtail1303z00_3421); 
{ /* Llib/bibtex.scm 472 */
 obj_t BgL_arg3488z00_3422;
BgL_arg3488z00_3422 = 
CDR(
((obj_t)BgL_l1299z00_3417)); 
{ 
 obj_t BgL_tail1302z00_15379; obj_t BgL_l1299z00_15378;
BgL_l1299z00_15378 = BgL_arg3488z00_3422; 
BgL_tail1302z00_15379 = BgL_newtail1303z00_3421; 
BgL_tail1302z00_3418 = BgL_tail1302z00_15379; 
BgL_l1299z00_3417 = BgL_l1299z00_15378; 
goto BgL_zc3z04anonymousza33486ze3z87_3419;} } } } } } } } } 

}



/* ignore~0 */
obj_t BGl_ignoreze70ze7zz__text_bibtexz00(obj_t BgL_iportz00_8047)
{
{ /* Llib/bibtex.scm 430 */
BGl_ignoreze70ze7zz__text_bibtexz00:
{ 
 obj_t BgL_iportz00_3470; long BgL_lastzd2matchzd2_3471; long BgL_forwardz00_3472; long BgL_bufposz00_3473; obj_t BgL_iportz00_3488; long BgL_lastzd2matchzd2_3489; long BgL_forwardz00_3490; long BgL_bufposz00_3491; obj_t BgL_iportz00_3503; long BgL_lastzd2matchzd2_3504; long BgL_forwardz00_3505; long BgL_bufposz00_3506; obj_t BgL_iportz00_3525; long BgL_lastzd2matchzd2_3526; long BgL_forwardz00_3527; long BgL_bufposz00_3528; obj_t BgL_iportz00_3540; long BgL_lastzd2matchzd2_3541; long BgL_forwardz00_3542; long BgL_bufposz00_3543; obj_t BgL_iportz00_3558; long BgL_lastzd2matchzd2_3559; long BgL_forwardz00_3560; long BgL_bufposz00_3561; obj_t BgL_iportz00_3580; long BgL_lastzd2matchzd2_3581; long BgL_forwardz00_3582; long BgL_bufposz00_3583;
RGC_START_MATCH(BgL_iportz00_8047); 
{ /* Llib/bibtex.scm 430 */
 long BgL_matchz00_3721;
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3652z00_3731; long BgL_arg3653z00_3732;
BgL_arg3652z00_3731 = 
RGC_BUFFER_FORWARD(BgL_iportz00_8047); 
BgL_arg3653z00_3732 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_8047); 
BgL_iportz00_3503 = BgL_iportz00_8047; 
BgL_lastzd2matchzd2_3504 = ((long)3); 
BgL_forwardz00_3505 = BgL_arg3652z00_3731; 
BgL_bufposz00_3506 = BgL_arg3653z00_3732; 
BgL_zc3z04anonymousza33511ze3z87_3507:
if(
(BgL_forwardz00_3505==BgL_bufposz00_3506))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3503))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3514z00_3510; long BgL_arg3515z00_3511;
BgL_arg3514z00_3510 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3503); 
BgL_arg3515z00_3511 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3503); 
{ 
 long BgL_bufposz00_15390; long BgL_forwardz00_15389;
BgL_forwardz00_15389 = BgL_arg3514z00_3510; 
BgL_bufposz00_15390 = BgL_arg3515z00_3511; 
BgL_bufposz00_3506 = BgL_bufposz00_15390; 
BgL_forwardz00_3505 = BgL_forwardz00_15389; 
goto BgL_zc3z04anonymousza33511ze3z87_3507;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_lastzd2matchzd2_3504; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3512;
BgL_curz00_3512 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3503, BgL_forwardz00_3505); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4823z00_15392;
if(
(
(long)(BgL_curz00_3512)==((long)95)))
{ /* Llib/bibtex.scm 430 */
BgL_test4823z00_15392 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4823z00_15392 = 
(
(long)(BgL_curz00_3512)==((long)94))
; } 
if(BgL_test4823z00_15392)
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3488 = BgL_iportz00_3503; 
BgL_lastzd2matchzd2_3489 = BgL_lastzd2matchzd2_3504; 
BgL_forwardz00_3490 = 
(((long)1)+BgL_forwardz00_3505); 
BgL_bufposz00_3491 = BgL_bufposz00_3506; 
BgL_zc3z04anonymousza33503ze3z87_3492:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3493;
RGC_STOP_MATCH(BgL_iportz00_3488, BgL_forwardz00_3490); 
BgL_newzd2matchzd2_3493 = ((long)1); 
if(
(BgL_forwardz00_3490==BgL_bufposz00_3491))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3488))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3506z00_3496; long BgL_arg3507z00_3497;
BgL_arg3506z00_3496 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3488); 
BgL_arg3507z00_3497 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3488); 
{ 
 long BgL_bufposz00_15406; long BgL_forwardz00_15405;
BgL_forwardz00_15405 = BgL_arg3506z00_3496; 
BgL_bufposz00_15406 = BgL_arg3507z00_3497; 
BgL_bufposz00_3491 = BgL_bufposz00_15406; 
BgL_forwardz00_3490 = BgL_forwardz00_15405; 
goto BgL_zc3z04anonymousza33503ze3z87_3492;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3493; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3498;
BgL_curz00_3498 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3488, BgL_forwardz00_3490); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4827z00_15408;
if(
(
(long)(BgL_curz00_3498)==((long)95)))
{ /* Llib/bibtex.scm 430 */
BgL_test4827z00_15408 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4827z00_15408 = 
(
(long)(BgL_curz00_3498)==((long)94))
; } 
if(BgL_test4827z00_15408)
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3525 = BgL_iportz00_3488; 
BgL_lastzd2matchzd2_3526 = BgL_newzd2matchzd2_3493; 
BgL_forwardz00_3527 = 
(((long)1)+BgL_forwardz00_3490); 
BgL_bufposz00_3528 = BgL_bufposz00_3491; 
BgL_zc3z04anonymousza33524ze3z87_3529:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3530;
RGC_STOP_MATCH(BgL_iportz00_3525, BgL_forwardz00_3527); 
BgL_newzd2matchzd2_3530 = ((long)1); 
if(
(BgL_forwardz00_3527==BgL_bufposz00_3528))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3525))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3527z00_3533; long BgL_arg3528z00_3534;
BgL_arg3527z00_3533 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3525); 
BgL_arg3528z00_3534 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3525); 
{ 
 long BgL_bufposz00_15422; long BgL_forwardz00_15421;
BgL_forwardz00_15421 = BgL_arg3527z00_3533; 
BgL_bufposz00_15422 = BgL_arg3528z00_3534; 
BgL_bufposz00_3528 = BgL_bufposz00_15422; 
BgL_forwardz00_3527 = BgL_forwardz00_15421; 
goto BgL_zc3z04anonymousza33524ze3z87_3529;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3530; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3535;
BgL_curz00_3535 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3525, BgL_forwardz00_3527); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4831z00_15424;
if(
(
(long)(BgL_curz00_3535)==((long)95)))
{ /* Llib/bibtex.scm 430 */
BgL_test4831z00_15424 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4831z00_15424 = 
(
(long)(BgL_curz00_3535)==((long)94))
; } 
if(BgL_test4831z00_15424)
{ 
 long BgL_forwardz00_15431; long BgL_lastzd2matchzd2_15430;
BgL_lastzd2matchzd2_15430 = BgL_newzd2matchzd2_3530; 
BgL_forwardz00_15431 = 
(((long)1)+BgL_forwardz00_3527); 
BgL_forwardz00_3527 = BgL_forwardz00_15431; 
BgL_lastzd2matchzd2_3526 = BgL_lastzd2matchzd2_15430; 
goto BgL_zc3z04anonymousza33524ze3z87_3529;}  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3530; } } } } } }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3493; } } } } } }  else 
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4833z00_15435;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4834z00_15436;
if(
(
(long)(BgL_curz00_3512)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4834z00_15436 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4834z00_15436 = 
(
(long)(BgL_curz00_3512)==((long)9))
; } 
if(BgL_test4834z00_15436)
{ /* Llib/bibtex.scm 430 */
BgL_test4833z00_15435 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4833z00_15435 = 
(
(long)(BgL_curz00_3512)==((long)32))
; } } 
if(BgL_test4833z00_15435)
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3540 = BgL_iportz00_3503; 
BgL_lastzd2matchzd2_3541 = BgL_lastzd2matchzd2_3504; 
BgL_forwardz00_3542 = 
(((long)1)+BgL_forwardz00_3505); 
BgL_bufposz00_3543 = BgL_bufposz00_3506; 
BgL_zc3z04anonymousza33532ze3z87_3544:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3545;
RGC_STOP_MATCH(BgL_iportz00_3540, BgL_forwardz00_3542); 
BgL_newzd2matchzd2_3545 = ((long)2); 
if(
(BgL_forwardz00_3542==BgL_bufposz00_3543))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3540))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3535z00_3548; long BgL_arg3536z00_3549;
BgL_arg3535z00_3548 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3540); 
BgL_arg3536z00_3549 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3540); 
{ 
 long BgL_bufposz00_15452; long BgL_forwardz00_15451;
BgL_forwardz00_15451 = BgL_arg3535z00_3548; 
BgL_bufposz00_15452 = BgL_arg3536z00_3549; 
BgL_bufposz00_3543 = BgL_bufposz00_15452; 
BgL_forwardz00_3542 = BgL_forwardz00_15451; 
goto BgL_zc3z04anonymousza33532ze3z87_3544;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3545; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3550;
BgL_curz00_3550 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3540, BgL_forwardz00_3542); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4838z00_15454;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4839z00_15455;
if(
(
(long)(BgL_curz00_3550)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4839z00_15455 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4839z00_15455 = 
(
(long)(BgL_curz00_3550)==((long)9))
; } 
if(BgL_test4839z00_15455)
{ /* Llib/bibtex.scm 430 */
BgL_test4838z00_15454 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4838z00_15454 = 
(
(long)(BgL_curz00_3550)==((long)32))
; } } 
if(BgL_test4838z00_15454)
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3470 = BgL_iportz00_3540; 
BgL_lastzd2matchzd2_3471 = BgL_newzd2matchzd2_3545; 
BgL_forwardz00_3472 = 
(((long)1)+BgL_forwardz00_3542); 
BgL_bufposz00_3473 = BgL_bufposz00_3543; 
BgL_zc3z04anonymousza33494ze3z87_3474:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3475;
RGC_STOP_MATCH(BgL_iportz00_3470, BgL_forwardz00_3472); 
BgL_newzd2matchzd2_3475 = ((long)2); 
if(
(BgL_forwardz00_3472==BgL_bufposz00_3473))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3470))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3497z00_3478; long BgL_arg3498z00_3479;
BgL_arg3497z00_3478 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3470); 
BgL_arg3498z00_3479 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3470); 
{ 
 long BgL_bufposz00_15471; long BgL_forwardz00_15470;
BgL_forwardz00_15470 = BgL_arg3497z00_3478; 
BgL_bufposz00_15471 = BgL_arg3498z00_3479; 
BgL_bufposz00_3473 = BgL_bufposz00_15471; 
BgL_forwardz00_3472 = BgL_forwardz00_15470; 
goto BgL_zc3z04anonymousza33494ze3z87_3474;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3475; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3480;
BgL_curz00_3480 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3470, BgL_forwardz00_3472); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4843z00_15473;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4844z00_15474;
if(
(
(long)(BgL_curz00_3480)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4844z00_15474 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4844z00_15474 = 
(
(long)(BgL_curz00_3480)==((long)9))
; } 
if(BgL_test4844z00_15474)
{ /* Llib/bibtex.scm 430 */
BgL_test4843z00_15473 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4843z00_15473 = 
(
(long)(BgL_curz00_3480)==((long)32))
; } } 
if(BgL_test4843z00_15473)
{ 
 long BgL_forwardz00_15483; long BgL_lastzd2matchzd2_15482;
BgL_lastzd2matchzd2_15482 = BgL_newzd2matchzd2_3475; 
BgL_forwardz00_15483 = 
(((long)1)+BgL_forwardz00_3472); 
BgL_forwardz00_3472 = BgL_forwardz00_15483; 
BgL_lastzd2matchzd2_3471 = BgL_lastzd2matchzd2_15482; 
goto BgL_zc3z04anonymousza33494ze3z87_3474;}  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3475; } } } } } }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3545; } } } } } }  else 
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3580 = BgL_iportz00_3503; 
BgL_lastzd2matchzd2_3581 = BgL_lastzd2matchzd2_3504; 
BgL_forwardz00_3582 = 
(((long)1)+BgL_forwardz00_3505); 
BgL_bufposz00_3583 = BgL_bufposz00_3506; 
BgL_zc3z04anonymousza33551ze3z87_3584:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3585;
RGC_STOP_MATCH(BgL_iportz00_3580, BgL_forwardz00_3582); 
BgL_newzd2matchzd2_3585 = ((long)0); 
if(
(BgL_forwardz00_3582==BgL_bufposz00_3583))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3580))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3554z00_3588; long BgL_arg3555z00_3589;
BgL_arg3554z00_3588 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3580); 
BgL_arg3555z00_3589 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3580); 
{ 
 long BgL_bufposz00_15495; long BgL_forwardz00_15494;
BgL_forwardz00_15494 = BgL_arg3554z00_3588; 
BgL_bufposz00_15495 = BgL_arg3555z00_3589; 
BgL_bufposz00_3583 = BgL_bufposz00_15495; 
BgL_forwardz00_3582 = BgL_forwardz00_15494; 
goto BgL_zc3z04anonymousza33551ze3z87_3584;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3585; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3590;
BgL_curz00_3590 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3580, BgL_forwardz00_3582); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4848z00_15497;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4849z00_15498;
if(
(
(long)(BgL_curz00_3590)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4849z00_15498 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4849z00_15498 = 
(
(long)(BgL_curz00_3590)==((long)9))
; } 
if(BgL_test4849z00_15498)
{ /* Llib/bibtex.scm 430 */
BgL_test4848z00_15497 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
if(
(
(long)(BgL_curz00_3590)==((long)32)))
{ /* Llib/bibtex.scm 430 */
BgL_test4848z00_15497 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
 bool_t BgL__ortest_1219z00_3600;
BgL__ortest_1219z00_3600 = 
(
(long)(BgL_curz00_3590)==((long)95)); 
if(BgL__ortest_1219z00_3600)
{ /* Llib/bibtex.scm 430 */
BgL_test4848z00_15497 = BgL__ortest_1219z00_3600
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4848z00_15497 = 
(
(long)(BgL_curz00_3590)==((long)94))
; } } } } 
if(BgL_test4848z00_15497)
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3585; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_iportz00_3558 = BgL_iportz00_3580; 
BgL_lastzd2matchzd2_3559 = BgL_newzd2matchzd2_3585; 
BgL_forwardz00_3560 = 
(((long)1)+BgL_forwardz00_3582); 
BgL_bufposz00_3561 = BgL_bufposz00_3583; 
BgL_zc3z04anonymousza33541ze3z87_3562:
{ /* Llib/bibtex.scm 430 */
 long BgL_newzd2matchzd2_3563;
RGC_STOP_MATCH(BgL_iportz00_3558, BgL_forwardz00_3560); 
BgL_newzd2matchzd2_3563 = ((long)0); 
if(
(BgL_forwardz00_3560==BgL_bufposz00_3561))
{ /* Llib/bibtex.scm 430 */
if(
rgc_fill_buffer(BgL_iportz00_3558))
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3544z00_3566; long BgL_arg3545z00_3567;
BgL_arg3544z00_3566 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3558); 
BgL_arg3545z00_3567 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3558); 
{ 
 long BgL_bufposz00_15520; long BgL_forwardz00_15519;
BgL_forwardz00_15519 = BgL_arg3544z00_3566; 
BgL_bufposz00_15520 = BgL_arg3545z00_3567; 
BgL_bufposz00_3561 = BgL_bufposz00_15520; 
BgL_forwardz00_3560 = BgL_forwardz00_15519; 
goto BgL_zc3z04anonymousza33541ze3z87_3562;} }  else 
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3563; } }  else 
{ /* Llib/bibtex.scm 430 */
 int BgL_curz00_3568;
BgL_curz00_3568 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3558, BgL_forwardz00_3560); 
{ /* Llib/bibtex.scm 430 */

{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4855z00_15522;
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4856z00_15523;
if(
(
(long)(BgL_curz00_3568)==((long)10)))
{ /* Llib/bibtex.scm 430 */
BgL_test4856z00_15523 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4856z00_15523 = 
(
(long)(BgL_curz00_3568)==((long)9))
; } 
if(BgL_test4856z00_15523)
{ /* Llib/bibtex.scm 430 */
BgL_test4855z00_15522 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
if(
(
(long)(BgL_curz00_3568)==((long)32)))
{ /* Llib/bibtex.scm 430 */
BgL_test4855z00_15522 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 430 */
 bool_t BgL__ortest_1218z00_3578;
BgL__ortest_1218z00_3578 = 
(
(long)(BgL_curz00_3568)==((long)95)); 
if(BgL__ortest_1218z00_3578)
{ /* Llib/bibtex.scm 430 */
BgL_test4855z00_15522 = BgL__ortest_1218z00_3578
; }  else 
{ /* Llib/bibtex.scm 430 */
BgL_test4855z00_15522 = 
(
(long)(BgL_curz00_3568)==((long)94))
; } } } } 
if(BgL_test4855z00_15522)
{ /* Llib/bibtex.scm 430 */
BgL_matchz00_3721 = BgL_newzd2matchzd2_3563; }  else 
{ 
 long BgL_forwardz00_15538; long BgL_lastzd2matchzd2_15537;
BgL_lastzd2matchzd2_15537 = BgL_newzd2matchzd2_3563; 
BgL_forwardz00_15538 = 
(((long)1)+BgL_forwardz00_3560); 
BgL_forwardz00_3560 = BgL_forwardz00_15538; 
BgL_lastzd2matchzd2_3559 = BgL_lastzd2matchzd2_15537; 
goto BgL_zc3z04anonymousza33541ze3z87_3562;} } } } } } } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_8047); 
{ 

{ /* Llib/bibtex.scm 430 */
 obj_t BgL_aux1290z00_3726;
BgL_aux1290z00_3726 = 
BINT(BgL_matchz00_3721); 
switch( 
(long)CINT(BgL_aux1290z00_3726)) { case ((long)3) : 

return BGl_string4127z00zz__text_bibtexz00;break;case ((long)2) : 

return 
string_append(BGl_string4079z00zz__text_bibtexz00, 
BGl_ignoreze70ze7zz__text_bibtexz00(BgL_iportz00_8047));break;case ((long)1) : 

{ 

goto BGl_ignoreze70ze7zz__text_bibtexz00;} break;case ((long)0) : 

{ /* Llib/bibtex.scm 432 */
 obj_t BgL_sz00_3729;
{ /* Llib/bibtex.scm 430 */
 long BgL_arg3567z00_7684;
BgL_arg3567z00_7684 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8047); 
BgL_sz00_3729 = 
rgc_buffer_substring(BgL_iportz00_8047, ((long)0), BgL_arg3567z00_7684); } 
return 
string_append(BgL_sz00_3729, 
BGl_ignoreze70ze7zz__text_bibtexz00(BgL_iportz00_8047));} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string4113z00zz__text_bibtexz00, BGl_string4114z00zz__text_bibtexz00, 
BINT(BgL_matchz00_3721));} } } } } } 

}



/* the-substring~0 */
obj_t BGl_thezd2substringze70z35zz__text_bibtexz00(obj_t BgL_iportz00_8048, int BgL_minz00_4197, int BgL_maxz00_4198)
{
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_maxz00_4198)<
(long)(BgL_minz00_4197)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3852z00_4201;
BgL_arg3852z00_4201 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8048); 
{ /* Llib/bibtex.scm 443 */
 long BgL_za72za7_7982;
BgL_za72za7_7982 = 
(long)(BgL_maxz00_4198); 
BgL_maxz00_4198 = 
(int)(
(BgL_arg3852z00_4201+BgL_za72za7_7982)); } }  else 
{ /* Llib/bibtex.scm 443 */BFALSE; } 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4861z00_15562;
if(
(
(long)(BgL_minz00_4197)>=((long)0)))
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_maxz00_4198)>=
(long)(BgL_minz00_4197)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3861z00_4212;
BgL_arg3861z00_4212 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8048); 
BgL_test4861z00_15562 = 
(
(long)(BgL_maxz00_4198)<=BgL_arg3861z00_4212); }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4861z00_15562 = ((bool_t)0)
; } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4861z00_15562 = ((bool_t)0)
; } 
if(BgL_test4861z00_15562)
{ /* Llib/bibtex.scm 443 */
return 
rgc_buffer_substring(BgL_iportz00_8048, 
(long)(BgL_minz00_4197), 
(long)(BgL_maxz00_4198));}  else 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg3857z00_4206; obj_t BgL_arg3858z00_4207;
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_arg3859z00_4208;
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3849z00_7992;
BgL_arg3849z00_7992 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8048); 
BgL_arg3859z00_4208 = 
rgc_buffer_substring(BgL_iportz00_8048, ((long)0), BgL_arg3849z00_7992); } 
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_list3860z00_4209;
BgL_list3860z00_4209 = 
MAKE_YOUNG_PAIR(BgL_arg3859z00_4208, BNIL); 
BgL_arg3857z00_4206 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4115z00zz__text_bibtexz00, BgL_list3860z00_4209); } } 
BgL_arg3858z00_4207 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_4197), 
BINT(BgL_maxz00_4198)); 
return 
BGl_errorz00zz__errorz00(BGl_string4116z00zz__text_bibtexz00, BgL_arg3857z00_4206, BgL_arg3858z00_4207);} } } 

}



/* ignore~1 */
obj_t BGl_ignoreze71ze7zz__text_bibtexz00(obj_t BgL_iportz00_8049)
{
{ /* Llib/bibtex.scm 443 */
BGl_ignoreze71ze7zz__text_bibtexz00:
{ 
 obj_t BgL_strz00_3428; obj_t BgL_iportz00_3829; long BgL_lastzd2matchzd2_3830; long BgL_forwardz00_3831; long BgL_bufposz00_3832; obj_t BgL_iportz00_3852; long BgL_lastzd2matchzd2_3853; long BgL_forwardz00_3854; long BgL_bufposz00_3855; obj_t BgL_iportz00_3867; long BgL_lastzd2matchzd2_3868; long BgL_forwardz00_3869; long BgL_bufposz00_3870; obj_t BgL_iportz00_3883; long BgL_lastzd2matchzd2_3884; long BgL_forwardz00_3885; long BgL_bufposz00_3886; obj_t BgL_iportz00_3913; long BgL_lastzd2matchzd2_3914; long BgL_forwardz00_3915; long BgL_bufposz00_3916; obj_t BgL_iportz00_3933; long BgL_lastzd2matchzd2_3934; long BgL_forwardz00_3935; long BgL_bufposz00_3936; obj_t BgL_iportz00_3950; long BgL_lastzd2matchzd2_3951; long BgL_forwardz00_3952; long BgL_bufposz00_3953; obj_t BgL_iportz00_3966; long BgL_lastzd2matchzd2_3967; long BgL_forwardz00_3968; long BgL_bufposz00_3969; obj_t BgL_iportz00_3991; long BgL_lastzd2matchzd2_3992; long BgL_forwardz00_3993; long BgL_bufposz00_3994; obj_t BgL_iportz00_4005; long BgL_lastzd2matchzd2_4006; long BgL_forwardz00_4007; long BgL_bufposz00_4008; obj_t BgL_iportz00_4035; long BgL_lastzd2matchzd2_4036; long BgL_forwardz00_4037; long BgL_bufposz00_4038; obj_t BgL_iportz00_4051; long BgL_lastzd2matchzd2_4052; long BgL_forwardz00_4053; long BgL_bufposz00_4054; obj_t BgL_iportz00_4064; long BgL_lastzd2matchzd2_4065; long BgL_forwardz00_4066; long BgL_bufposz00_4067; obj_t BgL_iportz00_4084; long BgL_lastzd2matchzd2_4085; long BgL_forwardz00_4086; long BgL_bufposz00_4087; obj_t BgL_iportz00_4098; long BgL_lastzd2matchzd2_4099; long BgL_forwardz00_4100; long BgL_bufposz00_4101; obj_t BgL_iportz00_4112; long BgL_lastzd2matchzd2_4113; long BgL_forwardz00_4114; long BgL_bufposz00_4115; obj_t BgL_iportz00_4129; long BgL_lastzd2matchzd2_4130; long BgL_forwardz00_4131; long BgL_bufposz00_4132; obj_t BgL_iportz00_4141; long BgL_lastzd2matchzd2_4142; long BgL_forwardz00_4143; long BgL_bufposz00_4144; obj_t BgL_iportz00_4161; long BgL_lastzd2matchzd2_4162; long BgL_forwardz00_4163; long BgL_bufposz00_4164;
RGC_START_MATCH(BgL_iportz00_8049); 
{ /* Llib/bibtex.scm 443 */
 long BgL_matchz00_4304;
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3945z00_4326; long BgL_arg3946z00_4327;
BgL_arg3945z00_4326 = 
RGC_BUFFER_FORWARD(BgL_iportz00_8049); 
BgL_arg3946z00_4327 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_8049); 
BgL_iportz00_4161 = BgL_iportz00_8049; 
BgL_lastzd2matchzd2_4162 = ((long)5); 
BgL_forwardz00_4163 = BgL_arg3945z00_4326; 
BgL_bufposz00_4164 = BgL_arg3946z00_4327; 
BgL_zc3z04anonymousza33828ze3z87_4165:
if(
(BgL_forwardz00_4163==BgL_bufposz00_4164))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4161))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3831z00_4168; long BgL_arg3832z00_4169;
BgL_arg3831z00_4168 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4161); 
BgL_arg3832z00_4169 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4161); 
{ 
 long BgL_bufposz00_15594; long BgL_forwardz00_15593;
BgL_forwardz00_15593 = BgL_arg3831z00_4168; 
BgL_bufposz00_15594 = BgL_arg3832z00_4169; 
BgL_bufposz00_4164 = BgL_bufposz00_15594; 
BgL_forwardz00_4163 = BgL_forwardz00_15593; 
goto BgL_zc3z04anonymousza33828ze3z87_4165;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4162; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4170;
BgL_curz00_4170 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4161, BgL_forwardz00_4163); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4170)==((long)92)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3991 = BgL_iportz00_4161; 
BgL_lastzd2matchzd2_3992 = BgL_lastzd2matchzd2_4162; 
BgL_forwardz00_3993 = 
(((long)1)+BgL_forwardz00_4163); 
BgL_bufposz00_3994 = BgL_bufposz00_4164; 
BgL_zc3z04anonymousza33738ze3z87_3995:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3996;
RGC_STOP_MATCH(BgL_iportz00_3991, BgL_forwardz00_3993); 
BgL_newzd2matchzd2_3996 = ((long)5); 
if(
(BgL_forwardz00_3993==BgL_bufposz00_3994))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3991))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3741z00_3999; long BgL_arg3742z00_4000;
BgL_arg3741z00_3999 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3991); 
BgL_arg3742z00_4000 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3991); 
{ 
 long BgL_bufposz00_15607; long BgL_forwardz00_15606;
BgL_forwardz00_15606 = BgL_arg3741z00_3999; 
BgL_bufposz00_15607 = BgL_arg3742z00_4000; 
BgL_bufposz00_3994 = BgL_bufposz00_15607; 
BgL_forwardz00_3993 = BgL_forwardz00_15606; 
goto BgL_zc3z04anonymousza33738ze3z87_3995;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3996; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4001;
BgL_curz00_4001 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3991, BgL_forwardz00_3993); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4001)==((long)99)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3867 = BgL_iportz00_3991; 
BgL_lastzd2matchzd2_3868 = BgL_newzd2matchzd2_3996; 
BgL_forwardz00_3869 = 
(((long)1)+BgL_forwardz00_3993); 
BgL_bufposz00_3870 = BgL_bufposz00_3994; 
BgL_zc3z04anonymousza33675ze3z87_3871:
if(
(BgL_forwardz00_3869==BgL_bufposz00_3870))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3867))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3678z00_3874; long BgL_arg3679z00_3875;
BgL_arg3678z00_3874 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3867); 
BgL_arg3679z00_3875 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3867); 
{ 
 long BgL_bufposz00_15619; long BgL_forwardz00_15618;
BgL_forwardz00_15618 = BgL_arg3678z00_3874; 
BgL_bufposz00_15619 = BgL_arg3679z00_3875; 
BgL_bufposz00_3870 = BgL_bufposz00_15619; 
BgL_forwardz00_3869 = BgL_forwardz00_15618; 
goto BgL_zc3z04anonymousza33675ze3z87_3871;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3868; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3876;
BgL_curz00_3876 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3867, BgL_forwardz00_3869); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3876)==((long)104)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3950 = BgL_iportz00_3867; 
BgL_lastzd2matchzd2_3951 = BgL_lastzd2matchzd2_3868; 
BgL_forwardz00_3952 = 
(((long)1)+BgL_forwardz00_3869); 
BgL_bufposz00_3953 = BgL_bufposz00_3870; 
BgL_zc3z04anonymousza33717ze3z87_3954:
if(
(BgL_forwardz00_3952==BgL_bufposz00_3953))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3950))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3720z00_3957; long BgL_arg3721z00_3958;
BgL_arg3720z00_3957 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3950); 
BgL_arg3721z00_3958 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3950); 
{ 
 long BgL_bufposz00_15631; long BgL_forwardz00_15630;
BgL_forwardz00_15630 = BgL_arg3720z00_3957; 
BgL_bufposz00_15631 = BgL_arg3721z00_3958; 
BgL_bufposz00_3953 = BgL_bufposz00_15631; 
BgL_forwardz00_3952 = BgL_forwardz00_15630; 
goto BgL_zc3z04anonymousza33717ze3z87_3954;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3951; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3959;
BgL_curz00_3959 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3950, BgL_forwardz00_3952); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3959)==((long)97)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4035 = BgL_iportz00_3950; 
BgL_lastzd2matchzd2_4036 = BgL_lastzd2matchzd2_3951; 
BgL_forwardz00_4037 = 
(((long)1)+BgL_forwardz00_3952); 
BgL_bufposz00_4038 = BgL_bufposz00_3953; 
BgL_zc3z04anonymousza33757ze3z87_4039:
if(
(BgL_forwardz00_4037==BgL_bufposz00_4038))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4035))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3760z00_4042; long BgL_arg3761z00_4043;
BgL_arg3760z00_4042 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4035); 
BgL_arg3761z00_4043 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4035); 
{ 
 long BgL_bufposz00_15643; long BgL_forwardz00_15642;
BgL_forwardz00_15642 = BgL_arg3760z00_4042; 
BgL_bufposz00_15643 = BgL_arg3761z00_4043; 
BgL_bufposz00_4038 = BgL_bufposz00_15643; 
BgL_forwardz00_4037 = BgL_forwardz00_15642; 
goto BgL_zc3z04anonymousza33757ze3z87_4039;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4036; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4044;
BgL_curz00_4044 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4035, BgL_forwardz00_4037); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4044)==((long)114)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3913 = BgL_iportz00_4035; 
BgL_lastzd2matchzd2_3914 = BgL_lastzd2matchzd2_4036; 
BgL_forwardz00_3915 = 
(((long)1)+BgL_forwardz00_4037); 
BgL_bufposz00_3916 = BgL_bufposz00_4038; 
BgL_zc3z04anonymousza33696ze3z87_3917:
if(
(BgL_forwardz00_3915==BgL_bufposz00_3916))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3913))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3699z00_3920; long BgL_arg3700z00_3921;
BgL_arg3699z00_3920 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3913); 
BgL_arg3700z00_3921 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3913); 
{ 
 long BgL_bufposz00_15655; long BgL_forwardz00_15654;
BgL_forwardz00_15654 = BgL_arg3699z00_3920; 
BgL_bufposz00_15655 = BgL_arg3700z00_3921; 
BgL_bufposz00_3916 = BgL_bufposz00_15655; 
BgL_forwardz00_3915 = BgL_forwardz00_15654; 
goto BgL_zc3z04anonymousza33696ze3z87_3917;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3914; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3922;
BgL_curz00_3922 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3913, BgL_forwardz00_3915); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4881z00_15657;
if(
(
(long)(BgL_curz00_3922)>=((long)48)))
{ /* Llib/bibtex.scm 443 */
BgL_test4881z00_15657 = 
(
(long)(BgL_curz00_3922)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4881z00_15657 = ((bool_t)0)
; } 
if(BgL_test4881z00_15657)
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3852 = BgL_iportz00_3913; 
BgL_lastzd2matchzd2_3853 = BgL_lastzd2matchzd2_3914; 
BgL_forwardz00_3854 = 
(((long)1)+BgL_forwardz00_3915); 
BgL_bufposz00_3855 = BgL_bufposz00_3916; 
BgL_zc3z04anonymousza33667ze3z87_3856:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3857;
RGC_STOP_MATCH(BgL_iportz00_3852, BgL_forwardz00_3854); 
BgL_newzd2matchzd2_3857 = ((long)2); 
if(
(BgL_forwardz00_3854==BgL_bufposz00_3855))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3852))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3670z00_3860; long BgL_arg3671z00_3861;
BgL_arg3670z00_3860 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3852); 
BgL_arg3671z00_3861 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3852); 
{ 
 long BgL_bufposz00_15671; long BgL_forwardz00_15670;
BgL_forwardz00_15670 = BgL_arg3670z00_3860; 
BgL_bufposz00_15671 = BgL_arg3671z00_3861; 
BgL_bufposz00_3855 = BgL_bufposz00_15671; 
BgL_forwardz00_3854 = BgL_forwardz00_15670; 
goto BgL_zc3z04anonymousza33667ze3z87_3856;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3857; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3862;
BgL_curz00_3862 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3852, BgL_forwardz00_3854); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4885z00_15673;
if(
(
(long)(BgL_curz00_3862)>=((long)48)))
{ /* Llib/bibtex.scm 443 */
BgL_test4885z00_15673 = 
(
(long)(BgL_curz00_3862)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4885z00_15673 = ((bool_t)0)
; } 
if(BgL_test4885z00_15673)
{ 
 long BgL_forwardz00_15680; long BgL_lastzd2matchzd2_15679;
BgL_lastzd2matchzd2_15679 = BgL_newzd2matchzd2_3857; 
BgL_forwardz00_15680 = 
(((long)1)+BgL_forwardz00_3854); 
BgL_forwardz00_3854 = BgL_forwardz00_15680; 
BgL_lastzd2matchzd2_3853 = BgL_lastzd2matchzd2_15679; 
goto BgL_zc3z04anonymousza33667ze3z87_3856;}  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3857; } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4887z00_15683;
if(
(
(long)(BgL_curz00_3922)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4887z00_15683 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_3922)>=((long)48)))
{ /* Llib/bibtex.scm 443 */
BgL_test4887z00_15683 = 
(
(long)(BgL_curz00_3922)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4887z00_15683 = ((bool_t)0)
; } } 
if(BgL_test4887z00_15683)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3914; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3966 = BgL_iportz00_3913; 
BgL_lastzd2matchzd2_3967 = BgL_lastzd2matchzd2_3914; 
BgL_forwardz00_3968 = 
(((long)1)+BgL_forwardz00_3915); 
BgL_bufposz00_3969 = BgL_bufposz00_3916; 
BgL_zc3z04anonymousza33727ze3z87_3970:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3971;
RGC_STOP_MATCH(BgL_iportz00_3966, BgL_forwardz00_3968); 
BgL_newzd2matchzd2_3971 = ((long)1); 
if(
(BgL_forwardz00_3968==BgL_bufposz00_3969))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3966))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3730z00_3974; long BgL_arg3731z00_3975;
BgL_arg3730z00_3974 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3966); 
BgL_arg3731z00_3975 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3966); 
{ 
 long BgL_bufposz00_15700; long BgL_forwardz00_15699;
BgL_forwardz00_15699 = BgL_arg3730z00_3974; 
BgL_bufposz00_15700 = BgL_arg3731z00_3975; 
BgL_bufposz00_3969 = BgL_bufposz00_15700; 
BgL_forwardz00_3968 = BgL_forwardz00_15699; 
goto BgL_zc3z04anonymousza33727ze3z87_3970;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3971; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3976;
BgL_curz00_3976 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3966, BgL_forwardz00_3968); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3976)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3733z00_3978;
BgL_arg3733z00_3978 = 
(((long)1)+BgL_forwardz00_3968); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7811;
RGC_STOP_MATCH(BgL_iportz00_3966, BgL_arg3733z00_3978); 
BgL_newzd2matchzd2_7811 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7811; } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4893z00_15707;
if(
(
(long)(BgL_curz00_3976)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4893z00_15707 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_3976)>=((long)48)))
{ /* Llib/bibtex.scm 443 */
BgL_test4893z00_15707 = 
(
(long)(BgL_curz00_3976)<((long)58))
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4893z00_15707 = ((bool_t)0)
; } } 
if(BgL_test4893z00_15707)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3971; }  else 
{ 
 long BgL_forwardz00_15717; long BgL_lastzd2matchzd2_15716;
BgL_lastzd2matchzd2_15716 = BgL_newzd2matchzd2_3971; 
BgL_forwardz00_15717 = 
(((long)1)+BgL_forwardz00_3968); 
BgL_forwardz00_3968 = BgL_forwardz00_15717; 
BgL_lastzd2matchzd2_3967 = BgL_lastzd2matchzd2_15716; 
goto BgL_zc3z04anonymousza33727ze3z87_3970;} } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4896z00_15721;
if(
(
(long)(BgL_curz00_4044)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4896z00_15721 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4896z00_15721 = 
(
(long)(BgL_curz00_4044)==((long)114))
; } 
if(BgL_test4896z00_15721)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4036; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3933 = BgL_iportz00_4035; 
BgL_lastzd2matchzd2_3934 = BgL_lastzd2matchzd2_4036; 
BgL_forwardz00_3935 = 
(((long)1)+BgL_forwardz00_4037); 
BgL_bufposz00_3936 = BgL_bufposz00_4038; 
BgL_zc3z04anonymousza33707ze3z87_3937:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3938;
RGC_STOP_MATCH(BgL_iportz00_3933, BgL_forwardz00_3935); 
BgL_newzd2matchzd2_3938 = ((long)1); 
if(
(BgL_forwardz00_3935==BgL_bufposz00_3936))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3933))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3710z00_3941; long BgL_arg3711z00_3942;
BgL_arg3710z00_3941 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3933); 
BgL_arg3711z00_3942 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3933); 
{ 
 long BgL_bufposz00_15735; long BgL_forwardz00_15734;
BgL_forwardz00_15734 = BgL_arg3710z00_3941; 
BgL_bufposz00_15735 = BgL_arg3711z00_3942; 
BgL_bufposz00_3936 = BgL_bufposz00_15735; 
BgL_forwardz00_3935 = BgL_forwardz00_15734; 
goto BgL_zc3z04anonymousza33707ze3z87_3937;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3938; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3943;
BgL_curz00_3943 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3933, BgL_forwardz00_3935); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3943)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3713z00_3945;
BgL_arg3713z00_3945 = 
(((long)1)+BgL_forwardz00_3935); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7782;
RGC_STOP_MATCH(BgL_iportz00_3933, BgL_arg3713z00_3945); 
BgL_newzd2matchzd2_7782 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7782; } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4901z00_15742;
if(
(
(long)(BgL_curz00_3943)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4901z00_15742 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4901z00_15742 = 
(
(long)(BgL_curz00_3943)==((long)114))
; } 
if(BgL_test4901z00_15742)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3938; }  else 
{ 
 long BgL_forwardz00_15749; long BgL_lastzd2matchzd2_15748;
BgL_lastzd2matchzd2_15748 = BgL_newzd2matchzd2_3938; 
BgL_forwardz00_15749 = 
(((long)1)+BgL_forwardz00_3935); 
BgL_forwardz00_3935 = BgL_forwardz00_15749; 
BgL_lastzd2matchzd2_3934 = BgL_lastzd2matchzd2_15748; 
goto BgL_zc3z04anonymousza33707ze3z87_3937;} } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4903z00_15753;
if(
(
(long)(BgL_curz00_3959)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4903z00_15753 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4903z00_15753 = 
(
(long)(BgL_curz00_3959)==((long)97))
; } 
if(BgL_test4903z00_15753)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3951; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3829 = BgL_iportz00_3950; 
BgL_lastzd2matchzd2_3830 = BgL_lastzd2matchzd2_3951; 
BgL_forwardz00_3831 = 
(((long)1)+BgL_forwardz00_3952); 
BgL_bufposz00_3832 = BgL_bufposz00_3953; 
BgL_zc3z04anonymousza33656ze3z87_3833:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3834;
RGC_STOP_MATCH(BgL_iportz00_3829, BgL_forwardz00_3831); 
BgL_newzd2matchzd2_3834 = ((long)1); 
if(
(BgL_forwardz00_3831==BgL_bufposz00_3832))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3829))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3659z00_3837; long BgL_arg3660z00_3838;
BgL_arg3659z00_3837 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3829); 
BgL_arg3660z00_3838 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3829); 
{ 
 long BgL_bufposz00_15767; long BgL_forwardz00_15766;
BgL_forwardz00_15766 = BgL_arg3659z00_3837; 
BgL_bufposz00_15767 = BgL_arg3660z00_3838; 
BgL_bufposz00_3832 = BgL_bufposz00_15767; 
BgL_forwardz00_3831 = BgL_forwardz00_15766; 
goto BgL_zc3z04anonymousza33656ze3z87_3833;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3834; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3839;
BgL_curz00_3839 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3829, BgL_forwardz00_3831); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_3839)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3662z00_3841;
BgL_arg3662z00_3841 = 
(((long)1)+BgL_forwardz00_3831); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7709;
RGC_STOP_MATCH(BgL_iportz00_3829, BgL_arg3662z00_3841); 
BgL_newzd2matchzd2_7709 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7709; } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4908z00_15774;
if(
(
(long)(BgL_curz00_3839)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4908z00_15774 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4908z00_15774 = 
(
(long)(BgL_curz00_3839)==((long)97))
; } 
if(BgL_test4908z00_15774)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3834; }  else 
{ 
 long BgL_forwardz00_15781; long BgL_lastzd2matchzd2_15780;
BgL_lastzd2matchzd2_15780 = BgL_newzd2matchzd2_3834; 
BgL_forwardz00_15781 = 
(((long)1)+BgL_forwardz00_3831); 
BgL_forwardz00_3831 = BgL_forwardz00_15781; 
BgL_lastzd2matchzd2_3830 = BgL_lastzd2matchzd2_15780; 
goto BgL_zc3z04anonymousza33656ze3z87_3833;} } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4910z00_15785;
if(
(
(long)(BgL_curz00_3876)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4910z00_15785 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4910z00_15785 = 
(
(long)(BgL_curz00_3876)==((long)104))
; } 
if(BgL_test4910z00_15785)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_3868; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4112 = BgL_iportz00_3867; 
BgL_lastzd2matchzd2_4113 = BgL_lastzd2matchzd2_3868; 
BgL_forwardz00_4114 = 
(((long)1)+BgL_forwardz00_3869); 
BgL_bufposz00_4115 = BgL_bufposz00_3870; 
BgL_zc3z04anonymousza33801ze3z87_4116:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4117;
RGC_STOP_MATCH(BgL_iportz00_4112, BgL_forwardz00_4114); 
BgL_newzd2matchzd2_4117 = ((long)1); 
if(
(BgL_forwardz00_4114==BgL_bufposz00_4115))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4112))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3804z00_4120; long BgL_arg3805z00_4121;
BgL_arg3804z00_4120 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4112); 
BgL_arg3805z00_4121 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4112); 
{ 
 long BgL_bufposz00_15799; long BgL_forwardz00_15798;
BgL_forwardz00_15798 = BgL_arg3804z00_4120; 
BgL_bufposz00_15799 = BgL_arg3805z00_4121; 
BgL_bufposz00_4115 = BgL_bufposz00_15799; 
BgL_forwardz00_4114 = BgL_forwardz00_15798; 
goto BgL_zc3z04anonymousza33801ze3z87_4116;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4117; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4122;
BgL_curz00_4122 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4112, BgL_forwardz00_4114); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4122)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3807z00_4124;
BgL_arg3807z00_4124 = 
(((long)1)+BgL_forwardz00_4114); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7928;
RGC_STOP_MATCH(BgL_iportz00_4112, BgL_arg3807z00_4124); 
BgL_newzd2matchzd2_7928 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7928; } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4915z00_15806;
if(
(
(long)(BgL_curz00_4122)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4915z00_15806 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4915z00_15806 = 
(
(long)(BgL_curz00_4122)==((long)104))
; } 
if(BgL_test4915z00_15806)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4117; }  else 
{ 
 long BgL_forwardz00_15813; long BgL_lastzd2matchzd2_15812;
BgL_lastzd2matchzd2_15812 = BgL_newzd2matchzd2_4117; 
BgL_forwardz00_15813 = 
(((long)1)+BgL_forwardz00_4114); 
BgL_forwardz00_4114 = BgL_forwardz00_15813; 
BgL_lastzd2matchzd2_4113 = BgL_lastzd2matchzd2_15812; 
goto BgL_zc3z04anonymousza33801ze3z87_4116;} } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4129 = BgL_iportz00_3991; 
BgL_lastzd2matchzd2_4130 = BgL_newzd2matchzd2_3996; 
BgL_forwardz00_4131 = 
(((long)1)+BgL_forwardz00_3993); 
BgL_bufposz00_4132 = BgL_bufposz00_3994; 
BgL_zc3z04anonymousza33811ze3z87_4133:
if(
(BgL_forwardz00_4131==BgL_bufposz00_4132))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4129))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3814z00_4136; long BgL_arg3815z00_4137;
BgL_arg3814z00_4136 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4129); 
BgL_arg3815z00_4137 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4129); 
{ 
 long BgL_bufposz00_15824; long BgL_forwardz00_15823;
BgL_forwardz00_15823 = BgL_arg3814z00_4136; 
BgL_bufposz00_15824 = BgL_arg3815z00_4137; 
BgL_bufposz00_4132 = BgL_bufposz00_15824; 
BgL_forwardz00_4131 = BgL_forwardz00_15823; 
goto BgL_zc3z04anonymousza33811ze3z87_4133;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4130; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4138;
BgL_curz00_4138 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4129, BgL_forwardz00_4131); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4138)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4130; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4098 = BgL_iportz00_4129; 
BgL_lastzd2matchzd2_4099 = BgL_lastzd2matchzd2_4130; 
BgL_forwardz00_4100 = 
(((long)1)+BgL_forwardz00_4131); 
BgL_bufposz00_4101 = BgL_bufposz00_4132; 
BgL_zc3z04anonymousza33793ze3z87_4102:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4103;
RGC_STOP_MATCH(BgL_iportz00_4098, BgL_forwardz00_4100); 
BgL_newzd2matchzd2_4103 = ((long)1); 
if(
(BgL_forwardz00_4100==BgL_bufposz00_4101))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4098))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3796z00_4106; long BgL_arg3797z00_4107;
BgL_arg3796z00_4106 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4098); 
BgL_arg3797z00_4107 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4098); 
{ 
 long BgL_bufposz00_15837; long BgL_forwardz00_15836;
BgL_forwardz00_15836 = BgL_arg3796z00_4106; 
BgL_bufposz00_15837 = BgL_arg3797z00_4107; 
BgL_bufposz00_4101 = BgL_bufposz00_15837; 
BgL_forwardz00_4100 = BgL_forwardz00_15836; 
goto BgL_zc3z04anonymousza33793ze3z87_4102;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4103; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4108;
BgL_curz00_4108 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4098, BgL_forwardz00_4100); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4108)==((long)32)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3799z00_4110;
BgL_arg3799z00_4110 = 
(((long)1)+BgL_forwardz00_4100); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7913;
RGC_STOP_MATCH(BgL_iportz00_4098, BgL_arg3799z00_4110); 
BgL_newzd2matchzd2_7913 = ((long)1); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7913; } }  else 
{ 
 long BgL_forwardz00_15845; long BgL_lastzd2matchzd2_15844;
BgL_lastzd2matchzd2_15844 = BgL_newzd2matchzd2_4103; 
BgL_forwardz00_15845 = 
(((long)1)+BgL_forwardz00_4100); 
BgL_forwardz00_4100 = BgL_forwardz00_15845; 
BgL_lastzd2matchzd2_4099 = BgL_lastzd2matchzd2_15844; 
goto BgL_zc3z04anonymousza33793ze3z87_4102;} } } } } } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_4170)==((long)36)))
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4084 = BgL_iportz00_4161; 
BgL_lastzd2matchzd2_4085 = BgL_lastzd2matchzd2_4162; 
BgL_forwardz00_4086 = 
(((long)1)+BgL_forwardz00_4163); 
BgL_bufposz00_4087 = BgL_bufposz00_4164; 
BgL_zc3z04anonymousza33785ze3z87_4088:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4089;
RGC_STOP_MATCH(BgL_iportz00_4084, BgL_forwardz00_4086); 
BgL_newzd2matchzd2_4089 = ((long)5); 
if(
(BgL_forwardz00_4086==BgL_bufposz00_4087))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4084))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3788z00_4092; long BgL_arg3789z00_4093;
BgL_arg3788z00_4092 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4084); 
BgL_arg3789z00_4093 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4084); 
{ 
 long BgL_bufposz00_15861; long BgL_forwardz00_15860;
BgL_forwardz00_15860 = BgL_arg3788z00_4092; 
BgL_bufposz00_15861 = BgL_arg3789z00_4093; 
BgL_bufposz00_4087 = BgL_bufposz00_15861; 
BgL_forwardz00_4086 = BgL_forwardz00_15860; 
goto BgL_zc3z04anonymousza33785ze3z87_4088;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4089; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4094;
BgL_curz00_4094 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4084, BgL_forwardz00_4086); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4094)==((long)36)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3791z00_4096;
BgL_arg3791z00_4096 = 
(((long)1)+BgL_forwardz00_4086); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7898;
RGC_STOP_MATCH(BgL_iportz00_4084, BgL_arg3791z00_4096); 
BgL_newzd2matchzd2_7898 = ((long)3); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7898; } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4051 = BgL_iportz00_4084; 
BgL_lastzd2matchzd2_4052 = BgL_newzd2matchzd2_4089; 
BgL_forwardz00_4053 = 
(((long)1)+BgL_forwardz00_4086); 
BgL_bufposz00_4054 = BgL_bufposz00_4087; 
BgL_zc3z04anonymousza33767ze3z87_4055:
if(
(BgL_forwardz00_4053==BgL_bufposz00_4054))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4051))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3770z00_4058; long BgL_arg3771z00_4059;
BgL_arg3770z00_4058 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4051); 
BgL_arg3771z00_4059 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4051); 
{ 
 long BgL_bufposz00_15875; long BgL_forwardz00_15874;
BgL_forwardz00_15874 = BgL_arg3770z00_4058; 
BgL_bufposz00_15875 = BgL_arg3771z00_4059; 
BgL_bufposz00_4054 = BgL_bufposz00_15875; 
BgL_forwardz00_4053 = BgL_forwardz00_15874; 
goto BgL_zc3z04anonymousza33767ze3z87_4055;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_lastzd2matchzd2_4052; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4060;
BgL_curz00_4060 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4051, BgL_forwardz00_4053); 
{ /* Llib/bibtex.scm 443 */

if(
(
(long)(BgL_curz00_4060)==((long)36)))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3773z00_4062;
BgL_arg3773z00_4062 = 
(((long)1)+BgL_forwardz00_4053); 
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_7869;
RGC_STOP_MATCH(BgL_iportz00_4051, BgL_arg3773z00_4062); 
BgL_newzd2matchzd2_7869 = ((long)3); 
BgL_matchz00_4304 = BgL_newzd2matchzd2_7869; } }  else 
{ 
 long BgL_forwardz00_15882;
BgL_forwardz00_15882 = 
(((long)1)+BgL_forwardz00_4053); 
BgL_forwardz00_4053 = BgL_forwardz00_15882; 
goto BgL_zc3z04anonymousza33767ze3z87_4055;} } } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4930z00_15886;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4931z00_15887;
if(
(
(long)(BgL_curz00_4170)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4931z00_15887 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4931z00_15887 = 
(
(long)(BgL_curz00_4170)==((long)9))
; } 
if(BgL_test4931z00_15887)
{ /* Llib/bibtex.scm 443 */
BgL_test4930z00_15886 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_4170)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4930z00_15886 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4930z00_15886 = 
(
(long)(BgL_curz00_4170)==((long)126))
; } } } 
if(BgL_test4930z00_15886)
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4064 = BgL_iportz00_4161; 
BgL_lastzd2matchzd2_4065 = BgL_lastzd2matchzd2_4162; 
BgL_forwardz00_4066 = 
(((long)1)+BgL_forwardz00_4163); 
BgL_bufposz00_4067 = BgL_bufposz00_4164; 
BgL_zc3z04anonymousza33775ze3z87_4068:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4069;
RGC_STOP_MATCH(BgL_iportz00_4064, BgL_forwardz00_4066); 
BgL_newzd2matchzd2_4069 = ((long)4); 
if(
(BgL_forwardz00_4066==BgL_bufposz00_4067))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4064))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3778z00_4072; long BgL_arg3779z00_4073;
BgL_arg3778z00_4072 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4064); 
BgL_arg3779z00_4073 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4064); 
{ 
 long BgL_bufposz00_15906; long BgL_forwardz00_15905;
BgL_forwardz00_15905 = BgL_arg3778z00_4072; 
BgL_bufposz00_15906 = BgL_arg3779z00_4073; 
BgL_bufposz00_4067 = BgL_bufposz00_15906; 
BgL_forwardz00_4066 = BgL_forwardz00_15905; 
goto BgL_zc3z04anonymousza33775ze3z87_4068;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4069; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4074;
BgL_curz00_4074 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4064, BgL_forwardz00_4066); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4936z00_15908;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4937z00_15909;
if(
(
(long)(BgL_curz00_4074)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4937z00_15909 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4937z00_15909 = 
(
(long)(BgL_curz00_4074)==((long)9))
; } 
if(BgL_test4937z00_15909)
{ /* Llib/bibtex.scm 443 */
BgL_test4936z00_15908 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_4074)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4936z00_15908 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4936z00_15908 = 
(
(long)(BgL_curz00_4074)==((long)126))
; } } } 
if(BgL_test4936z00_15908)
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4141 = BgL_iportz00_4064; 
BgL_lastzd2matchzd2_4142 = BgL_newzd2matchzd2_4069; 
BgL_forwardz00_4143 = 
(((long)1)+BgL_forwardz00_4066); 
BgL_bufposz00_4144 = BgL_bufposz00_4067; 
BgL_zc3z04anonymousza33818ze3z87_4145:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4146;
RGC_STOP_MATCH(BgL_iportz00_4141, BgL_forwardz00_4143); 
BgL_newzd2matchzd2_4146 = ((long)4); 
if(
(BgL_forwardz00_4143==BgL_bufposz00_4144))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4141))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3821z00_4149; long BgL_arg3822z00_4150;
BgL_arg3821z00_4149 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4141); 
BgL_arg3822z00_4150 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4141); 
{ 
 long BgL_bufposz00_15928; long BgL_forwardz00_15927;
BgL_forwardz00_15927 = BgL_arg3821z00_4149; 
BgL_bufposz00_15928 = BgL_arg3822z00_4150; 
BgL_bufposz00_4144 = BgL_bufposz00_15928; 
BgL_forwardz00_4143 = BgL_forwardz00_15927; 
goto BgL_zc3z04anonymousza33818ze3z87_4145;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4146; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4151;
BgL_curz00_4151 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4141, BgL_forwardz00_4143); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4942z00_15930;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4943z00_15931;
if(
(
(long)(BgL_curz00_4151)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4943z00_15931 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4943z00_15931 = 
(
(long)(BgL_curz00_4151)==((long)9))
; } 
if(BgL_test4943z00_15931)
{ /* Llib/bibtex.scm 443 */
BgL_test4942z00_15930 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
if(
(
(long)(BgL_curz00_4151)==((long)32)))
{ /* Llib/bibtex.scm 443 */
BgL_test4942z00_15930 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4942z00_15930 = 
(
(long)(BgL_curz00_4151)==((long)126))
; } } } 
if(BgL_test4942z00_15930)
{ 
 long BgL_forwardz00_15943; long BgL_lastzd2matchzd2_15942;
BgL_lastzd2matchzd2_15942 = BgL_newzd2matchzd2_4146; 
BgL_forwardz00_15943 = 
(((long)1)+BgL_forwardz00_4143); 
BgL_forwardz00_4143 = BgL_forwardz00_15943; 
BgL_lastzd2matchzd2_4142 = BgL_lastzd2matchzd2_15942; 
goto BgL_zc3z04anonymousza33818ze3z87_4145;}  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4146; } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4069; } } } } } }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_3883 = BgL_iportz00_4161; 
BgL_lastzd2matchzd2_3884 = BgL_lastzd2matchzd2_4162; 
BgL_forwardz00_3885 = 
(((long)1)+BgL_forwardz00_4163); 
BgL_bufposz00_3886 = BgL_bufposz00_4164; 
BgL_zc3z04anonymousza33685ze3z87_3887:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_3888;
RGC_STOP_MATCH(BgL_iportz00_3883, BgL_forwardz00_3885); 
BgL_newzd2matchzd2_3888 = ((long)0); 
if(
(BgL_forwardz00_3885==BgL_bufposz00_3886))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_3883))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3688z00_3891; long BgL_arg3689z00_3892;
BgL_arg3688z00_3891 = 
RGC_BUFFER_FORWARD(BgL_iportz00_3883); 
BgL_arg3689z00_3892 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_3883); 
{ 
 long BgL_bufposz00_15955; long BgL_forwardz00_15954;
BgL_forwardz00_15954 = BgL_arg3688z00_3891; 
BgL_bufposz00_15955 = BgL_arg3689z00_3892; 
BgL_bufposz00_3886 = BgL_bufposz00_15955; 
BgL_forwardz00_3885 = BgL_forwardz00_15954; 
goto BgL_zc3z04anonymousza33685ze3z87_3887;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3888; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_3893;
BgL_curz00_3893 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_3883, BgL_forwardz00_3885); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4948z00_15957;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4949z00_15958;
if(
(
(long)(BgL_curz00_3893)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4949z00_15958 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4949z00_15958 = 
(
(long)(BgL_curz00_3893)==((long)9))
; } 
if(BgL_test4949z00_15958)
{ /* Llib/bibtex.scm 443 */
BgL_test4948z00_15957 = ((bool_t)1)
; }  else 
{ 

switch( 
(long)CINT(
BINT(BgL_curz00_3893))) { case ((long)32) : 

BgL_test4948z00_15957 = ((bool_t)1); break;case ((long)36) : 

BgL_test4948z00_15957 = ((bool_t)1); break;case ((long)92) : 

BgL_test4948z00_15957 = ((bool_t)1); break;
default: 
BgL_test4948z00_15957 = 
(
(long)(BgL_curz00_3893)==((long)126)); } } } 
if(BgL_test4948z00_15957)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_3888; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_iportz00_4005 = BgL_iportz00_3883; 
BgL_lastzd2matchzd2_4006 = BgL_newzd2matchzd2_3888; 
BgL_forwardz00_4007 = 
(((long)1)+BgL_forwardz00_3885); 
BgL_bufposz00_4008 = BgL_bufposz00_3886; 
BgL_zc3z04anonymousza33746ze3z87_4009:
{ /* Llib/bibtex.scm 443 */
 long BgL_newzd2matchzd2_4010;
RGC_STOP_MATCH(BgL_iportz00_4005, BgL_forwardz00_4007); 
BgL_newzd2matchzd2_4010 = ((long)0); 
if(
(BgL_forwardz00_4007==BgL_bufposz00_4008))
{ /* Llib/bibtex.scm 443 */
if(
rgc_fill_buffer(BgL_iportz00_4005))
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3749z00_4013; long BgL_arg3750z00_4014;
BgL_arg3749z00_4013 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4005); 
BgL_arg3750z00_4014 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4005); 
{ 
 long BgL_bufposz00_15977; long BgL_forwardz00_15976;
BgL_forwardz00_15976 = BgL_arg3749z00_4013; 
BgL_bufposz00_15977 = BgL_arg3750z00_4014; 
BgL_bufposz00_4008 = BgL_bufposz00_15977; 
BgL_forwardz00_4007 = BgL_forwardz00_15976; 
goto BgL_zc3z04anonymousza33746ze3z87_4009;} }  else 
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4010; } }  else 
{ /* Llib/bibtex.scm 443 */
 int BgL_curz00_4015;
BgL_curz00_4015 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4005, BgL_forwardz00_4007); 
{ /* Llib/bibtex.scm 443 */

{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4953z00_15979;
{ /* Llib/bibtex.scm 443 */
 bool_t BgL_test4954z00_15980;
if(
(
(long)(BgL_curz00_4015)==((long)10)))
{ /* Llib/bibtex.scm 443 */
BgL_test4954z00_15980 = ((bool_t)1)
; }  else 
{ /* Llib/bibtex.scm 443 */
BgL_test4954z00_15980 = 
(
(long)(BgL_curz00_4015)==((long)9))
; } 
if(BgL_test4954z00_15980)
{ /* Llib/bibtex.scm 443 */
BgL_test4953z00_15979 = ((bool_t)1)
; }  else 
{ 

switch( 
(long)CINT(
BINT(BgL_curz00_4015))) { case ((long)32) : 

BgL_test4953z00_15979 = ((bool_t)1); break;case ((long)36) : 

BgL_test4953z00_15979 = ((bool_t)1); break;case ((long)92) : 

BgL_test4953z00_15979 = ((bool_t)1); break;
default: 
BgL_test4953z00_15979 = 
(
(long)(BgL_curz00_4015)==((long)126)); } } } 
if(BgL_test4953z00_15979)
{ /* Llib/bibtex.scm 443 */
BgL_matchz00_4304 = BgL_newzd2matchzd2_4010; }  else 
{ 
 long BgL_forwardz00_15992; long BgL_lastzd2matchzd2_15991;
BgL_lastzd2matchzd2_15991 = BgL_newzd2matchzd2_4010; 
BgL_forwardz00_15992 = 
(((long)1)+BgL_forwardz00_4007); 
BgL_forwardz00_4007 = BgL_forwardz00_15992; 
BgL_lastzd2matchzd2_4006 = BgL_lastzd2matchzd2_15991; 
goto BgL_zc3z04anonymousza33746ze3z87_4009;} } } } } } } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_8049); 
{ 

{ /* Llib/bibtex.scm 443 */
 obj_t BgL_aux1298z00_4309;
BgL_aux1298z00_4309 = 
BINT(BgL_matchz00_4304); 
switch( 
(long)CINT(BgL_aux1298z00_4309)) { case ((long)5) : 

return BGl_string4127z00zz__text_bibtexz00;break;case ((long)4) : 

return 
string_append(BGl_string4079z00zz__text_bibtexz00, 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_iportz00_8049));break;case ((long)3) : 

{ /* Llib/bibtex.scm 463 */
 obj_t BgL_sz00_4312;
{ /* Llib/bibtex.scm 463 */
 long BgL_arg3935z00_4315;
{ /* Llib/bibtex.scm 463 */
 long BgL_arg3936z00_4316;
BgL_arg3936z00_4316 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8049); 
BgL_arg3935z00_4315 = 
(BgL_arg3936z00_4316-((long)1)); } 
BgL_sz00_4312 = 
BGl_thezd2substringze70z35zz__text_bibtexz00(BgL_iportz00_8049, 
(int)(((long)1)), 
(int)(BgL_arg3935z00_4315)); } 
{ /* Llib/bibtex.scm 464 */
 obj_t BgL_tmpz00_16005;
BgL_strz00_3428 = BgL_sz00_4312; 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_port1205z00_3430;
{ /* Llib/bibtex.scm 430 */
 long BgL_endz00_3771;
BgL_endz00_3771 = 
STRING_LENGTH(BgL_strz00_3428); 
{ /* Llib/bibtex.scm 430 */

BgL_port1205z00_3430 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_strz00_3428, 
BINT(((long)0)), 
BINT(BgL_endz00_3771)); } } 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_exitd1206z00_3431;
BgL_exitd1206z00_3431 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_zc3z04anonymousza33654ze3z87_8040;
BgL_zc3z04anonymousza33654ze3z87_8040 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33654ze3ze5zz__text_bibtexz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33654ze3z87_8040, 
(int)(((long)0)), BgL_port1205z00_3430); 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1809z00_7578;
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1811z00_7579;
BgL_arg1811z00_7579 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_3431); 
BgL_arg1809z00_7578 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33654ze3z87_8040, BgL_arg1811z00_7579); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1206z00_3431, BgL_arg1809z00_7578); BUNSPEC; } 
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_tmp1208z00_3433;
BgL_tmp1208z00_3433 = 
BGl_ignoreze70ze7zz__text_bibtexz00(BgL_port1205z00_3430); 
{ /* Llib/bibtex.scm 430 */
 bool_t BgL_test4956z00_16020;
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1808z00_7689;
BgL_arg1808z00_7689 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_3431); 
BgL_test4956z00_16020 = 
PAIRP(BgL_arg1808z00_7689); } 
if(BgL_test4956z00_16020)
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1806z00_7690;
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_arg1807z00_7691;
BgL_arg1807z00_7691 = 
BGL_EXITD_PROTECT(BgL_exitd1206z00_3431); 
BgL_arg1806z00_7690 = 
CDR(
((obj_t)BgL_arg1807z00_7691)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1206z00_3431, BgL_arg1806z00_7690); BUNSPEC; }  else 
{ /* Llib/bibtex.scm 430 */BFALSE; } } 
bgl_close_input_port(BgL_port1205z00_3430); 
BgL_tmpz00_16005 = BgL_tmp1208z00_3433; } } } } 
return 
string_append(BgL_tmpz00_16005, 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_iportz00_8049));} } break;case ((long)2) : 

{ /* Llib/bibtex.scm 460 */
 obj_t BgL_arg3937z00_4317; obj_t BgL_arg3938z00_4318;
{ /* Llib/bibtex.scm 460 */
 unsigned char BgL_arg3939z00_4319;
{ /* Llib/bibtex.scm 460 */
 long BgL_arg3941z00_4321;
{ /* Llib/bibtex.scm 460 */
 obj_t BgL_arg3942z00_4322;
{ /* Llib/bibtex.scm 460 */
 long BgL_arg3943z00_4323;
BgL_arg3943z00_4323 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8049); 
BgL_arg3942z00_4322 = 
BGl_thezd2substringze70z35zz__text_bibtexz00(BgL_iportz00_8049, 
(int)(((long)5)), 
(int)(BgL_arg3943z00_4323)); } 
{ /* Llib/bibtex.scm 459 */
 char * BgL_tmpz00_16034;
BgL_tmpz00_16034 = 
BSTRING_TO_STRING(BgL_arg3942z00_4322); 
BgL_arg3941z00_4321 = 
BGL_STRTOL(BgL_tmpz00_16034, ((long)0), ((long)10)); } } 
BgL_arg3939z00_4319 = 
(BgL_arg3941z00_4321); } 
{ /* Llib/bibtex.scm 457 */
 obj_t BgL_list3940z00_4320;
BgL_list3940z00_4320 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg3939z00_4319), BNIL); 
BgL_arg3937z00_4317 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list3940z00_4320); } } 
BgL_arg3938z00_4318 = 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_iportz00_8049); 
return 
string_append(BgL_arg3937z00_4317, BgL_arg3938z00_4318);} break;case ((long)1) : 

{ 

goto BGl_ignoreze71ze7zz__text_bibtexz00;} break;case ((long)0) : 

{ /* Llib/bibtex.scm 445 */
 obj_t BgL_sz00_4324;
{ /* Llib/bibtex.scm 443 */
 long BgL_arg3849z00_8005;
BgL_arg3849z00_8005 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_8049); 
BgL_sz00_4324 = 
rgc_buffer_substring(BgL_iportz00_8049, ((long)0), BgL_arg3849z00_8005); } 
return 
string_append(BgL_sz00_4324, 
BGl_ignoreze71ze7zz__text_bibtexz00(BgL_iportz00_8049));} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string4113z00zz__text_bibtexz00, BGl_string4114z00zz__text_bibtexz00, 
BINT(BgL_matchz00_4304));} } } } } } 

}



/* &<@anonymous:3947> */
obj_t BGl_z62zc3z04anonymousza33947ze3ze5zz__text_bibtexz00(obj_t BgL_envz00_8041)
{
{ /* Llib/bibtex.scm 443 */
{ /* Llib/bibtex.scm 443 */
 obj_t BgL_port1222z00_8042;
BgL_port1222z00_8042 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_8041, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_port1222z00_8042);} } 

}



/* &<@anonymous:3654> */
obj_t BGl_z62zc3z04anonymousza33654ze3ze5zz__text_bibtexz00(obj_t BgL_envz00_8043)
{
{ /* Llib/bibtex.scm 430 */
{ /* Llib/bibtex.scm 430 */
 obj_t BgL_port1205z00_8044;
BgL_port1205z00_8044 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_8043, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_port1205z00_8044);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__text_bibtexz00()
{
{ /* Llib/bibtex.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
