/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_symbol4340z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4342z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4344z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4346z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_symbol4348z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32761ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32753ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33636ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32745ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33709ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_symbol4350z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol4352z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4435z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4354z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4356z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_trap1399zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol4358z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33483ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4360z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4443z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4362z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4364z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4366z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4368z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_symbol4370z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_symbol4372z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4454z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33001ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4374z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4456z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4376z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4458z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4378z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_prog21419zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33493ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_zc3z04exitza33112ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_symbol4460z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4380z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4382z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4384z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4386z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
static obj_t BGl_symbol4388z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32757ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32749ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_symbol4390z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4392z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4394z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4396z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_symbol4398z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32693ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33594ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
static obj_t BGl_z62compzd2ev_or1415zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33111ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32123ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32955ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32793ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31894ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32785ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62compzd2ev_var1401zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33686ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62run4301z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_goto1437zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4221z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4303z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4223z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4305z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_z62run4225z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62compzd2ev_let1421zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4227z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33122ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4229z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32893ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4231z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4233z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4235z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4237z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4239z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32789ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4241z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4243z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4245z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4247z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4249z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_reset_profilez00zz__evaluate_compz00();
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1405zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4251z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4253z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4255z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33222ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4257z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4259z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32896ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_synchroniza7e1433z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4261z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4263z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33150ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4265z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32502ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4267z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4269z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1435zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62run4271z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4273z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4275z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4277z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run4279z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza33125ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4281z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4283z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_app1439zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4285z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4287z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4300z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4289z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4220z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62main4302z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4222z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4304z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4224z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4226z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62main4228z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4291z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4293z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33161ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4295z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33315ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33307ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62run4297z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32408ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33129ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32319ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4299z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4230z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4232z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4234z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4236z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62main4238z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33251ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32247ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4240z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4242z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4244z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4246z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4248z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32701ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug();
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33155ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4250z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62main4252z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4254z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setlocal1403zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_and1417zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4256z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4258z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_z62compzd2ev_bindzd2exit1427z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33415ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_get_profilez00zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4260z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62main4262z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4264z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
static obj_t BGl_z62main4266z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4268z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza33424ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31804ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33238ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4270z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4272z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4274z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4276z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4278z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33085ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32097ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4280z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4282z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_abs1441zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4284z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4286z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4288z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letrec1425zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_withzd2handler1431z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32713ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32705ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33337ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32284ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4290z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4292z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4294z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4296z62zz__evaluate_compz00(obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_z62main4298z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1413zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32358ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33622ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33290ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33436ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33509ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32456ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21423z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33380ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33372ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32805ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33348ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62compzd2ev_litt1411zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62comp1396z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33462ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32725ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32717ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33519ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33276ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33268ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol4310z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4312z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4314z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_defglobal1409zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza33730ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33560ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_unwindzd2prote1429z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4400z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4320z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4402z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4404z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_setglobal1407zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4328z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t);
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4330z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4332z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4335z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4338z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33570ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t *__cnst;


extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za74464z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_4465z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
DEFINE_STRING( BGl_string4311z00zz__evaluate_compz00, BgL_bgl_string4311za700za7za7_4466za7, "all", 3 );
DEFINE_STRING( BGl_string4313z00zz__evaluate_compz00, BgL_bgl_string4313za700za7za7_4467za7, "label-tag", 9 );
DEFINE_STRING( BGl_string4315z00zz__evaluate_compz00, BgL_bgl_string4315za700za7za7_4468za7, "bounce", 6 );
DEFINE_STRING( BGl_string4316z00zz__evaluate_compz00, BgL_bgl_string4316za700za7za7_4469za7, "non non non", 11 );
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string4317z00zz__evaluate_compz00, BgL_bgl_string4317za700za7za7_4470za7, " in ", 4 );
DEFINE_STRING( BGl_string4318z00zz__evaluate_compz00, BgL_bgl_string4318za700za7za7_4471za7, "eval", 4 );
DEFINE_STRING( BGl_string4319z00zz__evaluate_compz00, BgL_bgl_string4319za700za7za7_4472za7, "internal error: not found", 25 );
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string4401z00zz__evaluate_compz00, BgL_bgl_string4401za700za7za7_4473za7, "pair", 4 );
DEFINE_STRING( BGl_string4321z00zz__evaluate_compz00, BgL_bgl_string4321za700za7za7_4474za7, "at", 2 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4403z00zz__evaluate_compz00, BgL_bgl_string4403za700za7za7_4475za7, "cdr", 3 );
DEFINE_STRING( BGl_string4322z00zz__evaluate_compz00, BgL_bgl_string4322za700za7za7_4476za7, "", 0 );
DEFINE_STRING( BGl_string4323z00zz__evaluate_compz00, BgL_bgl_string4323za700za7za7_4477za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Eval/evaluate_comp.scm", 66 );
DEFINE_STRING( BGl_string4405z00zz__evaluate_compz00, BgL_bgl_string4405za700za7za7_4478za7, "cadr", 4 );
DEFINE_STRING( BGl_string4324z00zz__evaluate_compz00, BgL_bgl_string4324za700za7za7_4479za7, "&compile", 8 );
DEFINE_STRING( BGl_string4325z00zz__evaluate_compz00, BgL_bgl_string4325za700za7za7_4480za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string4407z00zz__evaluate_compz00, BgL_bgl_string4407za700za7za7_4481za7, "comp1396", 8 );
DEFINE_STRING( BGl_string4326z00zz__evaluate_compz00, BgL_bgl_string4326za700za7za7_4482za7, "expecting ~a, got ~a", 20 );
DEFINE_STRING( BGl_string4408z00zz__evaluate_compz00, BgL_bgl_string4408za700za7za7_4483za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string4327z00zz__evaluate_compz00, BgL_bgl_string4327za700za7za7_4484za7, "wrong number of argument", 24 );
DEFINE_STRING( BGl_string4409z00zz__evaluate_compz00, BgL_bgl_string4409za700za7za7_4485za7, "&comp", 5 );
DEFINE_STRING( BGl_string4329z00zz__evaluate_compz00, BgL_bgl_string4329za700za7za7_4486za7, "mcell", 5 );
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4411z00zz__evaluate_compz00, BgL_bgl_string4411za700za7za7_4487za7, "comp", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4406z00zz__evaluate_compz00, BgL_bgl_za762comp1396za762za7za74488z00, BGl_z62comp1396z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4331z00zz__evaluate_compz00, BgL_bgl_string4331za700za7za7_4489za7, "internal", 8 );
DEFINE_STRING( BGl_string4333z00zz__evaluate_compz00, BgL_bgl_string4333za700za7za7_4490za7, "impossible", 10 );
DEFINE_STRING( BGl_string4334z00zz__evaluate_compz00, BgL_bgl_string4334za700za7za7_4491za7, "procedure", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza74492za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string4336z00zz__evaluate_compz00, BgL_bgl_string4336za700za7za7_4493za7, "user", 4 );
DEFINE_STRING( BGl_string4337z00zz__evaluate_compz00, BgL_bgl_string4337za700za7za7_4494za7, "invalid byte code", 17 );
DEFINE_STRING( BGl_string4339z00zz__evaluate_compz00, BgL_bgl_string4339za700za7za7_4495za7, "+", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4410z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra4496z00, BGl_z62compzd2ev_trap1399zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4412z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var4497z00, BGl_z62compzd2ev_var1401zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4413z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set4498z00, BGl_z62compzd2ev_setlocal1403zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4414z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo4499z00, BGl_z62compzd2ev_global1405zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4415z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set4500z00, BGl_z62compzd2ev_setglobal1407zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4416z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def4501z00, BGl_z62compzd2ev_defglobal1409zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4341z00zz__evaluate_compz00, BgL_bgl_string4341za700za7za7_4502za7, "number", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4417z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit4503z00, BGl_z62compzd2ev_litt1411zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4418z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if14504z00, BGl_z62compzd2ev_if1413zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4343z00zz__evaluate_compz00, BgL_bgl_string4343za700za7za7_4505za7, "-", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4419z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or14506z00, BGl_z62compzd2ev_or1415zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4345z00zz__evaluate_compz00, BgL_bgl_string4345za700za7za7_4507za7, "*", 1 );
DEFINE_STRING( BGl_string4347z00zz__evaluate_compz00, BgL_bgl_string4347za700za7za7_4508za7, "/", 1 );
DEFINE_STRING( BGl_string4349z00zz__evaluate_compz00, BgL_bgl_string4349za700za7za7_4509za7, "<", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4420z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and4510z00, BGl_z62compzd2ev_and1417zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4421z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro4511z00, BGl_z62compzd2ev_prog21419zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4422z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4512z00, BGl_z62compzd2ev_let1421zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4423z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4513z00, BGl_z62compzd2ev_letza21423z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4424z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4514z00, BGl_z62compzd2ev_letrec1425zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4425z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin4515z00, BGl_z62compzd2ev_bindzd2exit1427z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4426z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw4516z00, BGl_z62compzd2ev_unwindzd2prote1429z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4351z00zz__evaluate_compz00, BgL_bgl_string4351za700za7za7_4517za7, ">", 1 );
DEFINE_STRING( BGl_string4433z00zz__evaluate_compz00, BgL_bgl_string4433za700za7za7_4518za7, "internal error", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4427z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit4519z00, BGl_z62compzd2ev_withzd2handler1431z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4434z00zz__evaluate_compz00, BgL_bgl_string4434za700za7za7_4520za7, "must be dead code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4428z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn4521z00, BGl_z62compzd2ev_synchroniza7e1433z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4353z00zz__evaluate_compz00, BgL_bgl_string4353za700za7za7_4522za7, "<=", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4429z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab4523z00, BGl_z62compzd2ev_labels1435zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4436z00zz__evaluate_compz00, BgL_bgl_string4436za700za7za7_4524za7, "notyet", 6 );
DEFINE_STRING( BGl_string4355z00zz__evaluate_compz00, BgL_bgl_string4355za700za7za7_4525za7, ">=", 2 );
DEFINE_STRING( BGl_string4437z00zz__evaluate_compz00, BgL_bgl_string4437za700za7za7_4526za7, "synchronize", 11 );
DEFINE_STRING( BGl_string4438z00zz__evaluate_compz00, BgL_bgl_string4438za700za7za7_4527za7, "mutex", 5 );
DEFINE_STRING( BGl_string4357z00zz__evaluate_compz00, BgL_bgl_string4357za700za7za7_4528za7, "=", 1 );
DEFINE_STRING( BGl_string4439z00zz__evaluate_compz00, BgL_bgl_string4439za700za7za7_4529za7, "set!", 4 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_STRING( BGl_string4359z00zz__evaluate_compz00, BgL_bgl_string4359za700za7za7_4530za7, "+fx", 3 );
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4430z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got4531z00, BGl_z62compzd2ev_goto1437zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4431z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app4532z00, BGl_z62compzd2ev_app1439zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4432z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs4533z00, BGl_z62compzd2ev_abs1441zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4440z00zz__evaluate_compz00, BgL_bgl_string4440za700za7za7_4534za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string4441z00zz__evaluate_compz00, BgL_bgl_string4441za700za7za7_4535za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string4442z00zz__evaluate_compz00, BgL_bgl_string4442za700za7za7_4536za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string4361z00zz__evaluate_compz00, BgL_bgl_string4361za700za7za7_4537za7, "fixnum", 6 );
DEFINE_STRING( BGl_string4444z00zz__evaluate_compz00, BgL_bgl_string4444za700za7za7_4538za7, "@", 1 );
DEFINE_STRING( BGl_string4363z00zz__evaluate_compz00, BgL_bgl_string4363za700za7za7_4539za7, "-fx", 3 );
DEFINE_STRING( BGl_string4445z00zz__evaluate_compz00, BgL_bgl_string4445za700za7za7_4540za7, "Uninitialized variable", 22 );
DEFINE_STRING( BGl_string4365z00zz__evaluate_compz00, BgL_bgl_string4365za700za7za7_4541za7, "*fx", 3 );
DEFINE_STRING( BGl_string4367z00zz__evaluate_compz00, BgL_bgl_string4367za700za7za7_4542za7, "/fx", 3 );
DEFINE_STRING( BGl_string4369z00zz__evaluate_compz00, BgL_bgl_string4369za700za7za7_4543za7, "<fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4446z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4544za7, BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4371z00zz__evaluate_compz00, BgL_bgl_string4371za700za7za7_4545za7, ">fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4447z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4546za7, BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4448z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4547za7, BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4373z00zz__evaluate_compz00, BgL_bgl_string4373za700za7za7_4548za7, "<=fx", 4 );
DEFINE_STRING( BGl_string4455z00zz__evaluate_compz00, BgL_bgl_string4455za700za7za7_4549za7, "get_sp", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4449z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4550za7, BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4375z00zz__evaluate_compz00, BgL_bgl_string4375za700za7za7_4551za7, ">=fx", 4 );
DEFINE_STRING( BGl_string4457z00zz__evaluate_compz00, BgL_bgl_string4457za700za7za7_4552za7, "reset_profile", 13 );
DEFINE_STRING( BGl_string4377z00zz__evaluate_compz00, BgL_bgl_string4377za700za7za7_4553za7, "=fx", 3 );
DEFINE_STRING( BGl_string4459z00zz__evaluate_compz00, BgL_bgl_string4459za700za7za7_4554za7, "get_profile", 11 );
DEFINE_STRING( BGl_string4379z00zz__evaluate_compz00, BgL_bgl_string4379za700za7za7_4555za7, "+fl", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4450z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4556za7, BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4451z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4557za7, BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4452z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4558za7, BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4453z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4559za7, BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4461z00zz__evaluate_compz00, BgL_bgl_string4461za700za7za7_4560za7, "reset_stack", 11 );
DEFINE_STRING( BGl_string4462z00zz__evaluate_compz00, BgL_bgl_string4462za700za7za7_4561za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string4381z00zz__evaluate_compz00, BgL_bgl_string4381za700za7za7_4562za7, "flonum", 6 );
DEFINE_STRING( BGl_string4463z00zz__evaluate_compz00, BgL_bgl_string4463za700za7za7_4563za7, "__evaluate_comp", 15 );
DEFINE_STRING( BGl_string4383z00zz__evaluate_compz00, BgL_bgl_string4383za700za7za7_4564za7, "-fl", 3 );
DEFINE_STRING( BGl_string4385z00zz__evaluate_compz00, BgL_bgl_string4385za700za7za7_4565za7, "*fl", 3 );
DEFINE_STRING( BGl_string4387z00zz__evaluate_compz00, BgL_bgl_string4387za700za7za7_4566za7, "/fl", 3 );
DEFINE_STRING( BGl_string4389z00zz__evaluate_compz00, BgL_bgl_string4389za700za7za7_4567za7, "<fl", 3 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4391z00zz__evaluate_compz00, BgL_bgl_string4391za700za7za7_4568za7, ">fl", 3 );
DEFINE_STRING( BGl_string4393z00zz__evaluate_compz00, BgL_bgl_string4393za700za7za7_4569za7, "<=fl", 4 );
DEFINE_STRING( BGl_string4395z00zz__evaluate_compz00, BgL_bgl_string4395za700za7za7_4570za7, ">=fl", 4 );
DEFINE_STRING( BGl_string4397z00zz__evaluate_compz00, BgL_bgl_string4397za700za7za7_4571za7, "=fl", 3 );
DEFINE_STRING( BGl_string4399z00zz__evaluate_compz00, BgL_bgl_string4399za700za7za7_4572za7, "car", 3 );
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev4573z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol4340z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4342z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4344z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4346z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4348z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4350z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4352z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4435z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4354z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4356z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4358z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4360z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4443z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4362z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4364z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4366z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4368z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4370z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4372z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4454z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4374z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4456z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4376z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4458z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4378z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4460z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4380z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4382z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4384z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4386z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4388z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4390z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4392z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4394z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4396z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4398z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4310z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4312z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4314z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4400z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4320z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4402z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4404z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4328z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4330z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4332z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4335z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4338z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17544) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18918) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19526) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 20027) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20362) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20432) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20677) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20840) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 21077) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21237) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23383) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23648) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1804>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31804ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1828>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1851>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31851ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1873>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1894>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31894ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1916>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1939>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1941>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1945>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1959>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31959ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1975>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1989>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31989ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2005>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32005ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2007>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2011>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2030>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2051>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2070>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32070ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2091>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2093>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2097>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32097ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2123>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32123ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2151>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2177>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2206>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2208>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2212>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32212ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2247>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32247ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2284>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32284ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2319>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32319ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2356>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2358>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32358ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2362>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32362ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2408>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32408ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2456>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32456ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2502>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32502ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28599) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29243) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-arity-binop~0\" \"Eval/evaluate_comp.scm\" 29486) \"BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30935) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31767) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31784) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2693>\" \"Eval/evaluate_comp.scm\" 32048) \"BGl_z62zc3z04anonymousza32693ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32975) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2697>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2701>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32701ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2705>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32705ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2709>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2713>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32713ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2717>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32717ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2721>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2725>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32725ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2729>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2733>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2737>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2741>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2745>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32745ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2749>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32749ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2753>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32753ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2757>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32757ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2761>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32761ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2765>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2769>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2773>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2777>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2781>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2785>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32785ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2789>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32789ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2793>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32793ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2797>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2801>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2805>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32805ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2807>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2810>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2813>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2816>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33552) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33608) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34622) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34708) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 39035) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 39291) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39561) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1396\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1396z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1441\" \"Eval/evaluate_comp.scm\" 38561) \"BGl_z62compzd2ev_abs1441zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3611>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3622>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33622ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4220\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4220z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4221\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4221z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3636>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33636ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4222\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4222z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4223\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4223z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3648>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4224\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4224z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4225\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4225z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3560>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33560ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4226\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4226z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4227\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4227z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3570>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33570ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4228\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4228z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4229\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4229z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3583>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4230\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4230z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4231\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4231z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3594>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33594ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4232\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4232z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4233\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4233z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3509>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33509ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4234\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4234z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4235\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4235z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3519>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33519ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4236\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4236z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4237\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4237z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3532>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4238\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4238z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4239\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4239z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3543>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4240\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4240z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4241\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4241z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3462>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33462ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4242\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4242z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4243\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4243z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3471>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4244\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4244z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4245\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4245z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3483>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33483ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4246\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4246z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4247\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4247z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3493>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33493ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4248\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4248z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4249\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4249z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3415>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33415ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4250\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4250z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4251\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4251z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3424>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33424ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4252\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4252z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4253\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4253z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3436>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33436ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4254\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4254z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4255\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4255z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3446>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4256\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4256z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4257\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4257z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3372>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33372ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4258\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4258z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4259\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4259z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3380>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33380ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4260\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4260z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4261\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4261z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3391>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4262\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4262z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4263\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4263z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3400>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4264\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4264z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4265\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4265z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3329>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4266\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4266z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4267\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4267z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3337>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33337ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4268\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4268z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4269\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4269z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3348>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33348ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4270\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4270z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4271\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4271z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3357>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4272\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4272z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4273\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4273z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3290>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33290ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4274\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4274z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4275\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4275z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3297>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4276\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4276z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4277\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4277z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3307>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33307ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4278\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4278z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4279\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4279z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3315>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33315ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4280\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4280z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4281\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4281z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3251>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33251ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4282\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4282z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4283\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4283z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3258>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4284\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4284z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4285\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4285z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3268>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33268ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4286\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4286z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4287\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4287z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3276>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33276ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4288\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4288z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4289\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4289z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3216>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4290\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4290z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4291\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4291z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3222>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33222ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4292\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4292z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4293\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4293z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3231>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4294\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4294z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4295\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4295z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3238>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33238ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4296\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4296z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4297\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4297z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3666>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4298\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4298z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4299\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4299z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3686>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33686ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4300\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4300z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4301\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4301z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3709>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33709ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4302\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4302z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4303\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4303z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3730>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33730ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4304\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4304z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4305\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4305z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1439\" \"Eval/evaluate_comp.scm\" 34176) \"BGl_z62compzd2ev_app1439zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1437\" \"Eval/evaluate_comp.scm\" 17884) \"BGl_z62compzd2ev_goto1437zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3155>\" \"Eval/evaluate_comp.scm\" 18509) \"BGl_z62zc3z04anonymousza33155ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3161>\" \"Eval/evaluate_comp.scm\" 18790) \"BGl_z62zc3z04anonymousza33161ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1435\" \"Eval/evaluate_comp.scm\" 16809) \"BGl_z62compzd2ev_labels1435zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3150>\" \"Eval/evaluate_comp.scm\" 17482) \"BGl_z62zc3z04anonymousza33150ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1433\" \"Eval/evaluate_comp.scm\" 16182) \"BGl_z62compzd2ev_synchroniza7e1433z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3129>\" \"Eval/evaluate_comp.scm\" 16392) \"BGl_z62zc3z04anonymousza33129ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1431\" \"Eval/evaluate_comp.scm\" 15840) \"BGl_z62compzd2ev_withzd2handler1431z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3122>\" \"Eval/evaluate_comp.scm\" 16005) \"BGl_z62zc3z04anonymousza33122ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3125>~0\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_zc3z04exitza33125ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1429\" \"Eval/evaluate_comp.scm\" 15532) \"BGl_z62compzd2ev_unwindzd2prote1429z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3118>\" \"Eval/evaluate_comp.scm\" 15683) \"BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3119>\" \"Eval/evaluate_comp.scm\" 15752) \"BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1427\" \"Eval/evaluate_comp.scm\" 15077) \"BGl_z62compzd2ev_bindzd2exit1427z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3111>\" \"Eval/evaluate_comp.scm\" 15316) \"BGl_z62zc3z04anonymousza33111ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3112>~0\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_zc3z04exitza33112ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1425\" \"Eval/evaluate_comp.scm\" 14024) \"BGl_z62compzd2ev_letrec1425zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3072>\" \"Eval/evaluate_comp.scm\" 14306) \"BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3085>\" \"Eval/evaluate_comp.scm\" 14662) \"BGl_z62zc3z04anonymousza33085ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1423\" \"Eval/evaluate_comp.scm\" 13529) \"BGl_z62compzd2ev_letza21423z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3051>\" \"Eval/evaluate_comp.scm\" 13764) \"BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1421\" \"Eval/evaluate_comp.scm\" 12849) \"BGl_z62compzd2ev_let1421zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3030>\" \"Eval/evaluate_comp.scm\" 13176) \"BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21419\" \"Eval/evaluate_comp.scm\" 12655) \"BGl_z62compzd2ev_prog21419zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3027>\" \"Eval/evaluate_comp.scm\" 12785) \"BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1417\" \"Eval/evaluate_comp.scm\" 12369) \"BGl_z62compzd2ev_and1417zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3017>\" \"Eval/evaluate_comp.scm\" 12500) \"BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1415\" \"Eval/evaluate_comp.scm\" 12111) \"BGl_z62compzd2ev_or1415zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3007>\" \"Eval/evaluate_comp.scm\" 12240) \"BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1413\" \"Eval/evaluate_comp.scm\" 11907) \"BGl_z62compzd2ev_if1413zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3002>\" \"Eval/evaluate_comp.scm\" 12044) \"BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1411\" \"Eval/evaluate_comp.scm\" 11788) \"BGl_z62compzd2ev_litt1411zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3001>\" \"Eval/evaluate_comp.scm\" 11867) \"BGl_z62zc3z04anonymousza33001ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1409\" \"Eval/evaluate_comp.scm\" 10831) \"BGl_z62compzd2ev_defglobal1409zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2975>\" \"Eval/evaluate_comp.scm\" 10957) \"BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1407\" \"Eval/evaluate_comp.scm\" 9970) \"BGl_z62compzd2ev_setglobal1407zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2950>\" \"Eval/evaluate_comp.scm\" 10180) \"BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2955>\" \"Eval/evaluate_comp.scm\" 10353) \"BGl_z62zc3z04anonymousza32955ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2966>\" \"Eval/evaluate_comp.scm\" 10613) \"BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1405\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1405zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2910>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2912>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2923>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1403\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1403zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2899>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2903>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1401\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1401zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2887>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2890>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2881>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2884>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2875>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2878>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2869>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2872>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2893>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32893ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2896>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32896ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1399\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1399zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2860>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_15964, char * BgL_fromz00_15965)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol4310z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4311z00zz__evaluate_compz00); 
BGl_symbol4312z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4313z00zz__evaluate_compz00); 
BGl_symbol4314z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4315z00zz__evaluate_compz00); 
BGl_symbol4320z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4321z00zz__evaluate_compz00); 
BGl_symbol4328z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4329z00zz__evaluate_compz00); 
BGl_symbol4330z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4331z00zz__evaluate_compz00); 
BGl_symbol4332z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4333z00zz__evaluate_compz00); 
BGl_symbol4335z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4336z00zz__evaluate_compz00); 
BGl_symbol4338z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4339z00zz__evaluate_compz00); 
BGl_symbol4340z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4341z00zz__evaluate_compz00); 
BGl_symbol4342z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4343z00zz__evaluate_compz00); 
BGl_symbol4344z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4345z00zz__evaluate_compz00); 
BGl_symbol4346z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4347z00zz__evaluate_compz00); 
BGl_symbol4348z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4349z00zz__evaluate_compz00); 
BGl_symbol4350z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4351z00zz__evaluate_compz00); 
BGl_symbol4352z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4353z00zz__evaluate_compz00); 
BGl_symbol4354z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4355z00zz__evaluate_compz00); 
BGl_symbol4356z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4357z00zz__evaluate_compz00); 
BGl_symbol4358z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4359z00zz__evaluate_compz00); 
BGl_symbol4360z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4361z00zz__evaluate_compz00); 
BGl_symbol4362z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4363z00zz__evaluate_compz00); 
BGl_symbol4364z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4365z00zz__evaluate_compz00); 
BGl_symbol4366z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4367z00zz__evaluate_compz00); 
BGl_symbol4368z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4369z00zz__evaluate_compz00); 
BGl_symbol4370z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4371z00zz__evaluate_compz00); 
BGl_symbol4372z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4373z00zz__evaluate_compz00); 
BGl_symbol4374z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4375z00zz__evaluate_compz00); 
BGl_symbol4376z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4377z00zz__evaluate_compz00); 
BGl_symbol4378z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4379z00zz__evaluate_compz00); 
BGl_symbol4380z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4381z00zz__evaluate_compz00); 
BGl_symbol4382z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4383z00zz__evaluate_compz00); 
BGl_symbol4384z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4385z00zz__evaluate_compz00); 
BGl_symbol4386z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4387z00zz__evaluate_compz00); 
BGl_symbol4388z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4389z00zz__evaluate_compz00); 
BGl_symbol4390z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4391z00zz__evaluate_compz00); 
BGl_symbol4392z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4393z00zz__evaluate_compz00); 
BGl_symbol4394z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4395z00zz__evaluate_compz00); 
BGl_symbol4396z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4397z00zz__evaluate_compz00); 
BGl_symbol4398z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4399z00zz__evaluate_compz00); 
BGl_symbol4400z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4401z00zz__evaluate_compz00); 
BGl_symbol4402z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4403z00zz__evaluate_compz00); 
BGl_symbol4404z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4405z00zz__evaluate_compz00); 
BGl_symbol4435z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4436z00zz__evaluate_compz00); 
BGl_symbol4443z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4444z00zz__evaluate_compz00); 
BGl_symbol4454z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4455z00zz__evaluate_compz00); 
BGl_symbol4456z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4457z00zz__evaluate_compz00); 
BGl_symbol4458z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4459z00zz__evaluate_compz00); 
return ( 
BGl_symbol4460z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4461z00zz__evaluate_compz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
 BGL_LONGLONG_T BgL_arg1508z00_1396;
BgL_arg1508z00_1396 = 
LONG_TO_LLONG(((long)0)); 
{ /* Eval/evaluate_comp.scm 114 */
 obj_t BgL_list1509z00_1397;
{ /* Eval/evaluate_comp.scm 114 */
 obj_t BgL_arg1510z00_1398;
BgL_arg1510z00_1398 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1508z00_1396), BNIL); 
BgL_list1509z00_1397 = 
MAKE_YOUNG_PAIR(BGl_symbol4310z00zz__evaluate_compz00, BgL_arg1510z00_1398); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1509z00_1397; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol4312z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol4314z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_1399;
BgL_headz00_1399 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_1400; obj_t BgL_tailz00_1401;
BgL_prevz00_1400 = BgL_headz00_1399; 
BgL_tailz00_1401 = BgL_l1z00_1; 
BgL_loopz00_1402:
if(
PAIRP(BgL_tailz00_1401))
{ 
 obj_t BgL_newzd2prevzd2_1404;
BgL_newzd2prevzd2_1404 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1401), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1400, BgL_newzd2prevzd2_1404); 
{ 
 obj_t BgL_tailz00_16041; obj_t BgL_prevz00_16040;
BgL_prevz00_16040 = BgL_newzd2prevzd2_1404; 
BgL_tailz00_16041 = 
CDR(BgL_tailz00_1401); 
BgL_tailz00_1401 = BgL_tailz00_16041; 
BgL_prevz00_1400 = BgL_prevz00_16040; 
goto BgL_loopz00_1402;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1399);} } } 

}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
 BGL_LONGLONG_T BgL_arg1533z00_1427;
BgL_arg1533z00_1427 = 
LONG_TO_LLONG(((long)0)); 
{ /* Eval/evaluate_comp.scm 133 */
 obj_t BgL_list1534z00_1428;
{ /* Eval/evaluate_comp.scm 133 */
 obj_t BgL_arg1535z00_1429;
BgL_arg1535z00_1429 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1533z00_1427), BNIL); 
BgL_list1534z00_1428 = 
MAKE_YOUNG_PAIR(BGl_symbol4310z00zz__evaluate_compz00, BgL_arg1535z00_1429); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1534z00_1428, BUNSPEC) ;} } } 

}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1438)
{
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1438))
{ /* Ieee/fixnum.scm 985 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1438), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1438))
{ /* Eval/evaluate_comp.scm 139 */
 obj_t BgL_arg3904z00_6504;
BgL_arg3904z00_6504 = 
SYMBOL_TO_STRING(BgL_vz00_1438); 
return 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3904z00_6504);}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1438))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1438;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string4316z00zz__evaluate_compz00;} } } } 

}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_10933, obj_t BgL_t1z00_10934, obj_t BgL_t2z00_10935)
{
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
 bool_t BgL_tmpz00_16058;
{ /* Eval/evaluate_comp.scm 142 */
 obj_t BgL_v1z00_12914; obj_t BgL_v2z00_12915;
BgL_v1z00_12914 = 
CAR(
((obj_t)BgL_t1z00_10934)); 
BgL_v2z00_12915 = 
CAR(
((obj_t)BgL_t2z00_10935)); 
{ /* Eval/evaluate_comp.scm 143 */
 bool_t BgL_test4579z00_16063;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_12914))
{ /* Eval/evaluate_comp.scm 143 */
BgL_test4579z00_16063 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_12915)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_test4579z00_16063 = ((bool_t)0)
; } 
if(BgL_test4579z00_16063)
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_16058 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_12914, BgL_v2z00_12915)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_16058 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_12914), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_12915))
; } } } 
return 
BBOOL(BgL_tmpz00_16058);} } 

}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 

}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1447)
{
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_arg1546z00_1449; obj_t BgL_arg1549z00_1450;
BgL_arg1546z00_1449 = 
CDR(
((obj_t)BgL_tz00_1447)); 
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_arg1550z00_1451;
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_pairz00_6513;
BgL_pairz00_6513 = 
CDR(
((obj_t)BgL_tz00_1447)); 
BgL_arg1550z00_1451 = 
CDR(BgL_pairz00_6513); } 
BgL_arg1549z00_1450 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1550z00_1451); } 
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_tmpz00_16079;
BgL_tmpz00_16079 = 
((obj_t)BgL_arg1546z00_1449); 
SET_CDR(BgL_tmpz00_16079, BgL_arg1549z00_1450); } } 
{ /* Eval/evaluate_comp.scm 150 */
 obj_t BgL_g1298z00_1452;
{ /* Eval/evaluate_comp.scm 150 */
 obj_t BgL_pairz00_6518;
BgL_pairz00_6518 = 
CDR(
((obj_t)BgL_tz00_1447)); 
BgL_g1298z00_1452 = 
CDR(BgL_pairz00_6518); } 
{ 
 obj_t BgL_l1296z00_1454;
BgL_l1296z00_1454 = BgL_g1298z00_1452; 
BgL_zc3z04anonymousza31551ze3z87_1455:
if(
PAIRP(BgL_l1296z00_1454))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1296z00_1454)); 
{ 
 obj_t BgL_l1296z00_16089;
BgL_l1296z00_16089 = 
CDR(BgL_l1296z00_1454); 
BgL_l1296z00_1454 = BgL_l1296z00_16089; 
goto BgL_zc3z04anonymousza31551ze3z87_1455;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 

}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{
{ /* Eval/evaluate_comp.scm 156 */
{ 
 obj_t BgL_lz00_1462; long BgL_nz00_1463;
BgL_lz00_1462 = BgL_lz00_7; 
BgL_nz00_1463 = ((long)0); 
BgL_zc3z04anonymousza31554ze3z87_1464:
if(
NULLP(BgL_lz00_1462))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1462))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1463);}  else 
{ 
 long BgL_nz00_16101; obj_t BgL_lz00_16098;
BgL_lz00_16098 = 
CDR(
((obj_t)BgL_lz00_1462)); 
BgL_nz00_16101 = 
(BgL_nz00_1463+((long)1)); 
BgL_nz00_1463 = BgL_nz00_16101; 
BgL_lz00_1462 = BgL_lz00_16098; 
goto BgL_zc3z04anonymousza31554ze3z87_1464;} } } } 

}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL__ortest_1077z00_1472;
BgL__ortest_1077z00_1472 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1077z00_1472))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1077z00_1472;}  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1563z00_1473;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1564z00_1474;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1564z00_1474 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_head1301z00_1480;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1575z00_1492;
BgL_arg1575z00_1492 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
BgL_head1301z00_1480 = 
MAKE_YOUNG_PAIR(BgL_arg1575z00_1492, BNIL); } 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_g1304z00_1481;
BgL_g1304z00_1481 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
 obj_t BgL_l1299z00_1483; obj_t BgL_tail1302z00_1484;
BgL_l1299z00_1483 = BgL_g1304z00_1481; 
BgL_tail1302z00_1484 = BgL_head1301z00_1480; 
BgL_zc3z04anonymousza31570ze3z87_1485:
if(
NULLP(BgL_l1299z00_1483))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1564z00_1474 = BgL_head1301z00_1480; }  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_newtail1303z00_1487;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1573z00_1489;
BgL_arg1573z00_1489 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1299z00_1483))); 
BgL_newtail1303z00_1487 = 
MAKE_YOUNG_PAIR(BgL_arg1573z00_1489, BNIL); } 
SET_CDR(BgL_tail1302z00_1484, BgL_newtail1303z00_1487); 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1572z00_1488;
BgL_arg1572z00_1488 = 
CDR(
((obj_t)BgL_l1299z00_1483)); 
{ 
 obj_t BgL_tail1302z00_16124; obj_t BgL_l1299z00_16123;
BgL_l1299z00_16123 = BgL_arg1572z00_1488; 
BgL_tail1302z00_16124 = BgL_newtail1303z00_1487; 
BgL_tail1302z00_1484 = BgL_tail1302z00_16124; 
BgL_l1299z00_1483 = BgL_l1299z00_16123; 
goto BgL_zc3z04anonymousza31570ze3z87_1485;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_list1565z00_1475;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1566z00_1476;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1568z00_1477;
BgL_arg1568z00_1477 = 
MAKE_YOUNG_PAIR(BgL_arg1564z00_1474, BNIL); 
BgL_arg1566z00_1476 = 
MAKE_YOUNG_PAIR(BGl_string4317z00zz__evaluate_compz00, BgL_arg1568z00_1477); } 
BgL_list1565z00_1475 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1566z00_1476); } 
BgL_arg1563z00_1473 = BgL_list1565z00_1475; } } 
return 
BGl_errorz00zz__errorz00(BGl_string4318z00zz__evaluate_compz00, BGl_string4319z00zz__evaluate_compz00, BgL_arg1563z00_1473);} } } 

}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{
{ /* Eval/evaluate_comp.scm 188 */
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL_test4587z00_16129;
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_classz00_6530;
BgL_classz00_6530 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_16))
{ /* Eval/evaluate_comp.scm 189 */
 BgL_objectz00_bglt BgL_arg4048z00_6532;
BgL_arg4048z00_6532 = 
(BgL_objectz00_bglt)(BgL_vz00_16); 
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL_arg4045z00_6535; bool_t BgL_arg4046z00_6536;
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_idxz00_6539;
BgL_idxz00_6539 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_6532); 
BgL_arg4045z00_6535 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_6539+((long)2)))==BgL_classz00_6530); } 
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL_res4074z00_6561;
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_oclassz00_6547;
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_arg4055z00_6553;
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_arg4056z00_6554;
BgL_arg4056z00_6554 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_6532); 
BgL_arg4055z00_6553 = 
(BgL_arg4056z00_6554-OBJECT_TYPE); } 
BgL_oclassz00_6547 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_6553); } 
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL__ortest_1293z00_6548;
BgL__ortest_1293z00_6548 = 
(BgL_classz00_6530==BgL_oclassz00_6547); 
if(BgL__ortest_1293z00_6548)
{ /* Eval/evaluate_comp.scm 189 */
BgL_res4074z00_6561 = BgL__ortest_1293z00_6548; }  else 
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_odepthz00_6549;
BgL_odepthz00_6549 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6547); 
if(
(((long)2)<BgL_odepthz00_6549))
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_arg4044z00_6551;
BgL_arg4044z00_6551 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6547, ((long)2)); 
BgL_res4074z00_6561 = 
(BgL_arg4044z00_6551==BgL_classz00_6530); }  else 
{ /* Eval/evaluate_comp.scm 189 */
BgL_res4074z00_6561 = ((bool_t)0); } } } } 
BgL_arg4046z00_6536 = BgL_res4074z00_6561; } 
BgL_test4587z00_16129 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_6535, BgL_arg4046z00_6536); } }  else 
{ /* Eval/evaluate_comp.scm 189 */
BgL_test4587z00_16129 = ((bool_t)0)
; } } 
if(BgL_test4587z00_16129)
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } } 

}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{
{ /* Eval/evaluate_comp.scm 193 */
{ 
 obj_t BgL_fnamez00_1513; obj_t BgL_locz00_1514;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
 obj_t BgL_cdrzd2194zd2_1519;
BgL_cdrzd2194zd2_1519 = 
CDR(BgL_locz00_20); 
if(
(
CAR(BgL_locz00_20)==BGl_symbol4320z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1519))
{ /* Eval/evaluate_comp.scm 194 */
 obj_t BgL_cdrzd2198zd2_1523;
BgL_cdrzd2198zd2_1523 = 
CDR(BgL_cdrzd2194zd2_1519); 
if(
PAIRP(BgL_cdrzd2198zd2_1523))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1523)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1513 = 
CAR(BgL_cdrzd2194zd2_1519); 
BgL_locz00_1514 = 
CAR(BgL_cdrzd2198zd2_1523); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1513, BgL_locz00_1514);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1516:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1516;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1516;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1516;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1516;} } } 

}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
 obj_t BgL_stkz00_1541;
BgL_stkz00_1541 = 
make_vector(((long)8192), BGl_string4322z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1541,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1541;} } 

}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
 obj_t BgL_sz00_1542;
{ /* Eval/evaluate_comp.scm 212 */
 obj_t BgL_tmpz00_16171;
BgL_tmpz00_16171 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1542 = 
BGL_ENV_EVSTATE(BgL_tmpz00_16171); } 
if(
VECTORP(BgL_sz00_1542))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1542;}  else 
{ /* Eval/evaluate_comp.scm 214 */
 obj_t BgL_statez00_1544;
BgL_statez00_1544 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
 obj_t BgL_tmpz00_16177;
BgL_tmpz00_16177 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_16177, BgL_statez00_1544); } 
return BgL_statez00_1544;} } } 

}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_10936)
{
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 

}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 

}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_10937, obj_t BgL_ez00_10938)
{
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
 BgL_ev_exprz00_bglt BgL_auxz00_16182;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10938, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_16182 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10938)
; }  else 
{ 
 obj_t BgL_auxz00_16186;
BgL_auxz00_16186 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4323z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string4324z00zz__evaluate_compz00, BGl_string4325z00zz__evaluate_compz00, BgL_ez00_10938); 
FAILURE(BgL_auxz00_16186,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_16182);} } 

}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{
{ /* Eval/evaluate_comp.scm 332 */
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL_test4598z00_16191;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_classz00_6573;
BgL_classz00_6573 = BGl_ev_globalz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 333 */
 BgL_objectz00_bglt BgL_arg4048z00_6575;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_tmpz00_16192;
BgL_tmpz00_16192 = 
((obj_t)BgL_ez00_43); 
BgL_arg4048z00_6575 = 
(BgL_objectz00_bglt)(BgL_tmpz00_16192); } 
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL_arg4045z00_6578; bool_t BgL_arg4046z00_6579;
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_idxz00_6582;
BgL_idxz00_6582 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_6575); 
BgL_arg4045z00_6578 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_6582+((long)2)))==BgL_classz00_6573); } 
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL_res4075z00_6604;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_oclassz00_6590;
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_arg4055z00_6596;
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_arg4056z00_6597;
BgL_arg4056z00_6597 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_6575); 
BgL_arg4055z00_6596 = 
(BgL_arg4056z00_6597-OBJECT_TYPE); } 
BgL_oclassz00_6590 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_6596); } 
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL__ortest_1293z00_6591;
BgL__ortest_1293z00_6591 = 
(BgL_classz00_6573==BgL_oclassz00_6590); 
if(BgL__ortest_1293z00_6591)
{ /* Eval/evaluate_comp.scm 333 */
BgL_res4075z00_6604 = BgL__ortest_1293z00_6591; }  else 
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_odepthz00_6592;
BgL_odepthz00_6592 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6590); 
if(
(((long)2)<BgL_odepthz00_6592))
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_arg4044z00_6594;
BgL_arg4044z00_6594 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6590, ((long)2)); 
BgL_res4075z00_6604 = 
(BgL_arg4044z00_6594==BgL_classz00_6573); }  else 
{ /* Eval/evaluate_comp.scm 333 */
BgL_res4075z00_6604 = ((bool_t)0); } } } } 
BgL_arg4046z00_6579 = BgL_res4075z00_6604; } 
BgL_test4598z00_16191 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_6578, BgL_arg4046z00_6579); } } } 
if(BgL_test4598z00_16191)
{ /* Eval/evaluate_comp.scm 335 */
 obj_t BgL_gz00_1600;
{ /* Eval/evaluate_comp.scm 335 */
 obj_t BgL_arg1657z00_1601; obj_t BgL_arg1659z00_1602;
BgL_arg1657z00_1601 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1659z00_1602 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1600 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1657z00_1601, BgL_arg1659z00_1602); } 
if(
CBOOL(BgL_gz00_1600))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1600),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } } 

}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{
{ /* Eval/evaluate_comp.scm 593 */
{ 
 obj_t BgL_fz00_1612;
BgL_fz00_1612 = BgL_fz00_78; 
BgL_zc3z04anonymousza31668ze3z87_1613:
{ /* Eval/evaluate_comp.scm 597 */
 obj_t BgL_rz00_1614;
BgL_rz00_1614 = 
PROCEDURE_ENTRY(BgL_fz00_1612)(BgL_fz00_1612, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 599 */
 bool_t BgL_test4604z00_16223;
if(
PROCEDUREP(BgL_rz00_1614))
{ /* Eval/evaluate_comp.scm 599 */
 obj_t BgL_arg1672z00_1619;
BgL_arg1672z00_1619 = 
PROCEDURE_ATTR(BgL_rz00_1614); 
if(
STRUCTP(BgL_arg1672z00_1619))
{ /* Eval/evaluate_comp.scm 569 */
BgL_test4604z00_16223 = 
(
STRUCT_KEY(BgL_arg1672z00_1619)==BGl_symbol4312z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 569 */
BgL_test4604z00_16223 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 599 */
BgL_test4604z00_16223 = ((bool_t)0)
; } 
if(BgL_test4604z00_16223)
{ 
 obj_t BgL_fz00_16231;
BgL_fz00_16231 = BgL_rz00_1614; 
BgL_fz00_1612 = BgL_fz00_16231; 
goto BgL_zc3z04anonymousza31668ze3z87_1613;}  else 
{ /* Eval/evaluate_comp.scm 599 */
return BgL_rz00_1614;} } } } } 

}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{
{ /* Eval/evaluate_comp.scm 623 */
{ 
 obj_t BgL_lz00_1622; obj_t BgL_bsz00_1623; long BgL_spz00_1624;
BgL_lz00_1622 = BgL_argsz00_83; 
BgL_bsz00_1623 = BgL_boxesz00_84; 
BgL_spz00_1624 = BgL_spz00_85; 
BgL_zc3z04anonymousza31673ze3z87_1625:
if(
NULLP(BgL_lz00_1622))
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1623))
{ /* Eval/evaluate_comp.scm 626 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 629 */
 obj_t BgL_arg1677z00_1628;
{ /* Eval/evaluate_comp.scm 629 */
 long BgL_arg1680z00_1629; long BgL_arg1683z00_1630;
BgL_arg1680z00_1629 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1683z00_1630 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 628 */
 obj_t BgL_list1684z00_1631;
{ /* Eval/evaluate_comp.scm 628 */
 obj_t BgL_arg1685z00_1632;
BgL_arg1685z00_1632 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1683z00_1630), BNIL); 
BgL_list1684z00_1631 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1680z00_1629), BgL_arg1685z00_1632); } 
BgL_arg1677z00_1628 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4326z00zz__evaluate_compz00, BgL_list1684z00_1631); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string4318z00zz__evaluate_compz00, BGl_string4327z00zz__evaluate_compz00, BgL_arg1677z00_1628);} }  else 
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1623))
{ /* Eval/evaluate_comp.scm 633 */
 obj_t BgL_arg1687z00_1634;
{ /* Eval/evaluate_comp.scm 633 */
 long BgL_arg1688z00_1635; long BgL_arg1689z00_1636;
BgL_arg1688z00_1635 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1689z00_1636 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 632 */
 obj_t BgL_list1690z00_1637;
{ /* Eval/evaluate_comp.scm 632 */
 obj_t BgL_arg1691z00_1638;
BgL_arg1691z00_1638 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1689z00_1636), BNIL); 
BgL_list1690z00_1637 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1688z00_1635), BgL_arg1691z00_1638); } 
BgL_arg1687z00_1634 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4326z00zz__evaluate_compz00, BgL_list1690z00_1637); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string4318z00zz__evaluate_compz00, BGl_string4327z00zz__evaluate_compz00, BgL_arg1687z00_1634);}  else 
{ /* Eval/evaluate_comp.scm 630 */
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_arg1692z00_1639;
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_vz00_1640;
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_fun1694z00_1642;
BgL_fun1694z00_1642 = 
CAR(
((obj_t)BgL_lz00_1622)); 
BgL_vz00_1640 = 
PROCEDURE_ENTRY(BgL_fun1694z00_1642)(BgL_fun1694z00_1642, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1623))))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_6619;
BgL_newz00_6619 = 
create_struct(BGl_symbol4328z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_16266;
BgL_tmpz00_16266 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6619, BgL_tmpz00_16266, BgL_vz00_1640); } 
BgL_arg1692z00_1639 = BgL_newz00_6619; }  else 
{ /* Eval/evaluate_comp.scm 637 */
BgL_arg1692z00_1639 = BgL_vz00_1640; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1624,BgL_arg1692z00_1639); } 
{ /* Eval/evaluate_comp.scm 640 */
 obj_t BgL_arg1695z00_1643; obj_t BgL_arg1698z00_1644; long BgL_arg1700z00_1645;
BgL_arg1695z00_1643 = 
CDR(
((obj_t)BgL_lz00_1622)); 
BgL_arg1698z00_1644 = 
CDR(
((obj_t)BgL_bsz00_1623)); 
BgL_arg1700z00_1645 = 
(BgL_spz00_1624+((long)1)); 
{ 
 long BgL_spz00_16278; obj_t BgL_bsz00_16277; obj_t BgL_lz00_16276;
BgL_lz00_16276 = BgL_arg1695z00_1643; 
BgL_bsz00_16277 = BgL_arg1698z00_1644; 
BgL_spz00_16278 = BgL_arg1700z00_1645; 
BgL_spz00_1624 = BgL_spz00_16278; 
BgL_bsz00_1623 = BgL_bsz00_16277; 
BgL_lz00_1622 = BgL_lz00_16276; 
goto BgL_zc3z04anonymousza31673ze3z87_1625;} } } } } } 

}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{
{ /* Eval/evaluate_comp.scm 645 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 646 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 646 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 649 */
 obj_t BgL_arg1708z00_1651; obj_t BgL_arg1709z00_1652;
BgL_arg1708z00_1651 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1709z00_1652 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
 obj_t BgL_l2z00_16292; obj_t BgL_l1z00_16291;
BgL_l1z00_16291 = BgL_arg1708z00_1651; 
BgL_l2z00_16292 = BgL_arg1709z00_1652; 
BgL_l2z00_89 = BgL_l2z00_16292; 
BgL_l1z00_88 = BgL_l1z00_16291; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 647 */
return 
BGl_errorz00zz__errorz00(BGl_string4318z00zz__evaluate_compz00, BGl_symbol4330z00zz__evaluate_compz00, BGl_symbol4332z00zz__evaluate_compz00);} } } 

}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{
{ /* Eval/evaluate_comp.scm 669 */
{ /* Eval/evaluate_comp.scm 670 */
 obj_t BgL_savedzd2bpzd2_1663;
BgL_savedzd2bpzd2_1663 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
 obj_t BgL_fz00_1665;
BgL_fz00_1665 = BgL_fz00_93; 
BgL_zc3z04anonymousza31722ze3z87_1666:
{ /* Eval/evaluate_comp.scm 673 */
 obj_t BgL_rz00_1667;
BgL_rz00_1667 = 
PROCEDURE_ENTRY(BgL_fz00_1665)(BgL_fz00_1665, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 674 */
 bool_t BgL_test4613z00_16302;
if(
PROCEDUREP(BgL_rz00_1667))
{ /* Eval/evaluate_comp.scm 674 */
 obj_t BgL_arg1726z00_1672;
BgL_arg1726z00_1672 = 
PROCEDURE_ATTR(BgL_rz00_1667); 
if(
STRUCTP(BgL_arg1726z00_1672))
{ /* Eval/evaluate_comp.scm 654 */
BgL_test4613z00_16302 = 
(
STRUCT_KEY(BgL_arg1726z00_1672)==BGl_symbol4314z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 654 */
BgL_test4613z00_16302 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 674 */
BgL_test4613z00_16302 = ((bool_t)0)
; } 
if(BgL_test4613z00_16302)
{ 
 obj_t BgL_fz00_16310;
BgL_fz00_16310 = BgL_rz00_1667; 
BgL_fz00_1665 = BgL_fz00_16310; 
goto BgL_zc3z04anonymousza31722ze3z87_1666;}  else 
{ /* Eval/evaluate_comp.scm 674 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1663); 
return BgL_rz00_1667;} } } } } } 

}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{
{ /* Eval/evaluate_comp.scm 685 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 

}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{
{ /* Eval/evaluate_comp.scm 688 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 692 */
 obj_t BgL_arg1742z00_1690; obj_t BgL_arg1744z00_1691;
{ /* Eval/evaluate_comp.scm 692 */
 obj_t BgL_arg1745z00_1692;
BgL_arg1745z00_1692 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1742z00_1690 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1745z00_1692), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 693 */
 obj_t BgL_arg1747z00_1693; obj_t BgL_arg1748z00_1694;
BgL_arg1747z00_1693 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 693 */
 obj_t BgL_arg1749z00_1695;
BgL_arg1749z00_1695 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1748z00_1694 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1749z00_1695); } 
BgL_arg1744z00_1691 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1747z00_1693, BgL_arg1748z00_1694); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1742z00_1690, BgL_arg1744z00_1691);} } 

}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_12899, obj_t BgL_lz00_1697, long BgL_iz00_1698)
{
{ /* Eval/evaluate_comp.scm 696 */
if(
NULLP(BgL_lz00_1697))
{ /* Eval/evaluate_comp.scm 697 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 697 */
if(
(BgL_iz00_1698==((long)0)))
{ /* Eval/evaluate_comp.scm 698 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1697, BgL_stkz00_12899);}  else 
{ /* Eval/evaluate_comp.scm 699 */
 obj_t BgL_arg1753z00_1702; obj_t BgL_arg1754z00_1703;
{ /* Eval/evaluate_comp.scm 699 */
 obj_t BgL_arg1755z00_1704;
BgL_arg1755z00_1704 = 
CAR(
((obj_t)BgL_lz00_1697)); 
BgL_arg1753z00_1702 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1755z00_1704), BgL_stkz00_12899); } 
{ /* Eval/evaluate_comp.scm 700 */
 obj_t BgL_arg1756z00_1705; long BgL_arg1757z00_1706;
BgL_arg1756z00_1705 = 
CDR(
((obj_t)BgL_lz00_1697)); 
BgL_arg1757z00_1706 = 
(BgL_iz00_1698-((long)1)); 
BgL_arg1754z00_1703 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12899, BgL_arg1756z00_1705, BgL_arg1757z00_1706); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1753z00_1702, BgL_arg1754z00_1703);} } } 

}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{
{ /* Eval/evaluate_comp.scm 702 */
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_argsz00_1708;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1708 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_head1350z00_1713;
BgL_head1350z00_1713 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1348z00_1715; obj_t BgL_tail1351z00_1716;
BgL_l1348z00_1715 = BgL_argsz00_124; 
BgL_tail1351z00_1716 = BgL_head1350z00_1713; 
BgL_zc3z04anonymousza31760ze3z87_1717:
if(
NULLP(BgL_l1348z00_1715))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1708 = 
CDR(BgL_head1350z00_1713); }  else 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_newtail1352z00_1719;
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_arg1763z00_1721;
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_az00_1722;
BgL_az00_1722 = 
CAR(
((obj_t)BgL_l1348z00_1715)); 
BgL_arg1763z00_1721 = 
PROCEDURE_ENTRY(BgL_az00_1722)(BgL_az00_1722, BgL_sz00_122, BEOA); } 
BgL_newtail1352z00_1719 = 
MAKE_YOUNG_PAIR(BgL_arg1763z00_1721, BNIL); } 
SET_CDR(BgL_tail1351z00_1716, BgL_newtail1352z00_1719); 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_arg1762z00_1720;
BgL_arg1762z00_1720 = 
CDR(
((obj_t)BgL_l1348z00_1715)); 
{ 
 obj_t BgL_tail1351z00_16362; obj_t BgL_l1348z00_16361;
BgL_l1348z00_16361 = BgL_arg1762z00_1720; 
BgL_tail1351z00_16362 = BgL_newtail1352z00_1719; 
BgL_tail1351z00_1716 = BgL_tail1351z00_16362; 
BgL_l1348z00_1715 = BgL_l1348z00_16361; 
goto BgL_zc3z04anonymousza31760ze3z87_1717;} } } } } 
{ /* Eval/evaluate_comp.scm 705 */
 long BgL_arg1758z00_1709;
BgL_arg1758z00_1709 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1758z00_1709)); } 
{ /* Eval/evaluate_comp.scm 706 */
 obj_t BgL_za2za2resza2za2z00_1710;
BgL_za2za2resza2za2z00_1710 = 
apply(BgL_fz00_123, BgL_argsz00_1708); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1710;} } } 

}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{
{ /* Eval/evaluate_comp.scm 709 */
{ 
 obj_t BgL_lz00_1725; obj_t BgL_spz00_1726;
BgL_lz00_1725 = BgL_argsz00_128; 
BgL_spz00_1726 = BgL_spz00_129; 
BgL_zc3z04anonymousza31764ze3z87_1727:
if(
NULLP(BgL_lz00_1725))
{ /* Eval/evaluate_comp.scm 711 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 711 */
{ /* Eval/evaluate_comp.scm 712 */
 obj_t BgL_arg1766z00_1729;
{ /* Eval/evaluate_comp.scm 712 */
 obj_t BgL_fun1767z00_1730;
BgL_fun1767z00_1730 = 
CAR(
((obj_t)BgL_lz00_1725)); 
BgL_arg1766z00_1729 = 
PROCEDURE_ENTRY(BgL_fun1767z00_1730)(BgL_fun1767z00_1730, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 712 */
 long BgL_kz00_6681;
BgL_kz00_6681 = 
(long)CINT(BgL_spz00_1726); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6681,BgL_arg1766z00_1729); } } 
{ /* Eval/evaluate_comp.scm 713 */
 obj_t BgL_arg1768z00_1731; long BgL_arg1769z00_1732;
BgL_arg1768z00_1731 = 
CDR(
((obj_t)BgL_lz00_1725)); 
BgL_arg1769z00_1732 = 
(
(long)CINT(BgL_spz00_1726)+((long)1)); 
{ 
 obj_t BgL_spz00_16389; obj_t BgL_lz00_16388;
BgL_lz00_16388 = BgL_arg1768z00_1731; 
BgL_spz00_16389 = 
BINT(BgL_arg1769z00_1732); 
BgL_spz00_1726 = BgL_spz00_16389; 
BgL_lz00_1725 = BgL_lz00_16388; 
goto BgL_zc3z04anonymousza31764ze3z87_1727;} } } } } 

}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{
{ /* Eval/evaluate_comp.scm 715 */
{ /* Eval/evaluate_comp.scm 716 */
 long BgL_g1154z00_1734;
BgL_g1154z00_1734 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
 obj_t BgL_lz00_1736; obj_t BgL_spz00_1737; long BgL_nz00_1738;
BgL_lz00_1736 = BgL_argsz00_132; 
BgL_spz00_1737 = BgL_spz00_133; 
BgL_nz00_1738 = BgL_g1154z00_1734; 
BgL_zc3z04anonymousza31770ze3z87_1739:
if(
(BgL_nz00_1738==((long)0)))
{ 
 obj_t BgL_lz00_1743; obj_t BgL_rz00_1744;
BgL_lz00_1743 = BgL_lz00_1736; 
BgL_rz00_1744 = BNIL; 
BgL_zc3z04anonymousza31772ze3z87_1745:
if(
NULLP(BgL_lz00_1743))
{ /* Eval/evaluate_comp.scm 720 */
 obj_t BgL_arg1774z00_1747;
BgL_arg1774z00_1747 = 
bgl_reverse_bang(BgL_rz00_1744); 
{ /* Eval/evaluate_comp.scm 720 */
 long BgL_kz00_6687;
BgL_kz00_6687 = 
(long)CINT(BgL_spz00_1737); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6687,BgL_arg1774z00_1747);} }  else 
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_arg1775z00_1748; obj_t BgL_arg1776z00_1749;
BgL_arg1775z00_1748 = 
CDR(
((obj_t)BgL_lz00_1743)); 
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_arg1777z00_1750;
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_fun1778z00_1751;
BgL_fun1778z00_1751 = 
CAR(
((obj_t)BgL_lz00_1743)); 
BgL_arg1777z00_1750 = 
PROCEDURE_ENTRY(BgL_fun1778z00_1751)(BgL_fun1778z00_1751, BgL_sz00_131, BEOA); } 
BgL_arg1776z00_1749 = 
MAKE_YOUNG_PAIR(BgL_arg1777z00_1750, BgL_rz00_1744); } 
{ 
 obj_t BgL_rz00_16411; obj_t BgL_lz00_16410;
BgL_lz00_16410 = BgL_arg1775z00_1748; 
BgL_rz00_16411 = BgL_arg1776z00_1749; 
BgL_rz00_1744 = BgL_rz00_16411; 
BgL_lz00_1743 = BgL_lz00_16410; 
goto BgL_zc3z04anonymousza31772ze3z87_1745;} } }  else 
{ /* Eval/evaluate_comp.scm 717 */
{ /* Eval/evaluate_comp.scm 722 */
 obj_t BgL_arg1779z00_1753;
{ /* Eval/evaluate_comp.scm 722 */
 obj_t BgL_fun1780z00_1754;
BgL_fun1780z00_1754 = 
CAR(
((obj_t)BgL_lz00_1736)); 
BgL_arg1779z00_1753 = 
PROCEDURE_ENTRY(BgL_fun1780z00_1754)(BgL_fun1780z00_1754, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 722 */
 long BgL_kz00_6692;
BgL_kz00_6692 = 
(long)CINT(BgL_spz00_1737); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6692,BgL_arg1779z00_1753); } } 
{ /* Eval/evaluate_comp.scm 723 */
 obj_t BgL_arg1781z00_1755; long BgL_arg1782z00_1756; long BgL_arg1783z00_1757;
BgL_arg1781z00_1755 = 
CDR(
((obj_t)BgL_lz00_1736)); 
BgL_arg1782z00_1756 = 
(
(long)CINT(BgL_spz00_1737)+((long)1)); 
BgL_arg1783z00_1757 = 
(BgL_nz00_1738-((long)1)); 
{ 
 long BgL_nz00_16429; obj_t BgL_spz00_16427; obj_t BgL_lz00_16426;
BgL_lz00_16426 = BgL_arg1781z00_1755; 
BgL_spz00_16427 = 
BINT(BgL_arg1782z00_1756); 
BgL_nz00_16429 = BgL_arg1783z00_1757; 
BgL_nz00_1738 = BgL_nz00_16429; 
BgL_spz00_1737 = BgL_spz00_16427; 
BgL_lz00_1736 = BgL_lz00_16426; 
goto BgL_zc3z04anonymousza31770ze3z87_1739;} } } } } } 

}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{
{ /* Eval/evaluate_comp.scm 766 */
{ 
 obj_t BgL_lz00_1760; obj_t BgL_stkz00_1761;
BgL_lz00_1760 = BgL_argsz00_134; 
BgL_stkz00_1761 = BgL_stkz00_135; 
BgL_zc3z04anonymousza31784ze3z87_1762:
{ /* Eval/evaluate_comp.scm 770 */
 bool_t BgL_test4624z00_16430;
if(
NULLP(BgL_lz00_1760))
{ /* Eval/evaluate_comp.scm 770 */
BgL_test4624z00_16430 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 770 */
BgL_test4624z00_16430 = 
NULLP(BgL_stkz00_1761)
; } 
if(BgL_test4624z00_16430)
{ /* Eval/evaluate_comp.scm 770 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 772 */
 bool_t BgL_test4626z00_16434;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_g1355z00_1779;
BgL_g1355z00_1779 = 
CDR(
((obj_t)BgL_lz00_1760)); 
{ 
 obj_t BgL_l1353z00_1781;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_tmpz00_16437;
BgL_l1353z00_1781 = BgL_g1355z00_1779; 
BgL_zc3z04anonymousza31795ze3z87_1782:
if(
NULLP(BgL_l1353z00_1781))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_16437 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL__ortest_1356z00_1784;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_ez00_1786;
BgL_ez00_1786 = 
CAR(
((obj_t)BgL_l1353z00_1781)); 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_arg1797z00_1787; obj_t BgL_arg1798z00_1788;
BgL_arg1797z00_1787 = 
CAR(
((obj_t)BgL_stkz00_1761)); 
BgL_arg1798z00_1788 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1786), BNIL); 
BgL__ortest_1356z00_1784 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1797z00_1787, BgL_arg1798z00_1788); } } 
if(
CBOOL(BgL__ortest_1356z00_1784))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_16437 = BgL__ortest_1356z00_1784
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_arg1796z00_1785;
BgL_arg1796z00_1785 = 
CDR(
((obj_t)BgL_l1353z00_1781)); 
{ 
 obj_t BgL_l1353z00_16451;
BgL_l1353z00_16451 = BgL_arg1796z00_1785; 
BgL_l1353z00_1781 = BgL_l1353z00_16451; 
goto BgL_zc3z04anonymousza31795ze3z87_1782;} } } 
BgL_test4626z00_16434 = 
CBOOL(BgL_tmpz00_16437); } } } 
if(BgL_test4626z00_16434)
{ /* Eval/evaluate_comp.scm 772 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 774 */
 obj_t BgL_arg1793z00_1777; obj_t BgL_arg1794z00_1778;
BgL_arg1793z00_1777 = 
CDR(
((obj_t)BgL_lz00_1760)); 
BgL_arg1794z00_1778 = 
CDR(
((obj_t)BgL_stkz00_1761)); 
{ 
 obj_t BgL_stkz00_16458; obj_t BgL_lz00_16457;
BgL_lz00_16457 = BgL_arg1793z00_1777; 
BgL_stkz00_16458 = BgL_arg1794z00_1778; 
BgL_stkz00_1761 = BgL_stkz00_16458; 
BgL_lz00_1760 = BgL_lz00_16457; 
goto BgL_zc3z04anonymousza31784ze3z87_1762;} } } } } } 

}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{
{ /* Eval/evaluate_comp.scm 776 */
{ /* Eval/evaluate_comp.scm 778 */
 long BgL_siza7eza7_1793; long BgL_nbargsz00_1794; obj_t BgL_fz00_1795; obj_t BgL_symbzd2funzd2_1796;
BgL_siza7eza7_1793 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1794 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1795 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1796 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 780 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4631z00_16472;
{ /* Eval/evaluate_comp.scm 787 */
 int BgL_arg1848z00_1875;
BgL_arg1848z00_1875 = 
bgl_debug(); 
BgL_test4631z00_16472 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1848z00_1875), 
BINT(((long)0))); } 
if(BgL_test4631z00_16472)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_argsz00_1802;
BgL_argsz00_1802 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_zc3z04anonymousza31804ze3z87_10939;
BgL_zc3z04anonymousza31804ze3z87_10939 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31804ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10939, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10939, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10939, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10939, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10939, 
(int)(((long)4)), BgL_argsz00_1802); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10939, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1793)); 
return BgL_zc3z04anonymousza31804ze3z87_10939;} }  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_argsz00_1840;
BgL_argsz00_1840 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_zc3z04anonymousza31828ze3z87_10940;
BgL_zc3z04anonymousza31828ze3z87_10940 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10940, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10940, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10940, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10940, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10940, 
(int)(((long)4)), BgL_argsz00_1840); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10940, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1793)); 
return BgL_zc3z04anonymousza31828ze3z87_10940;} } }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4632z00_16517;
{ /* Eval/evaluate_comp.scm 795 */
 int BgL_arg1890z00_1945;
BgL_arg1890z00_1945 = 
bgl_debug(); 
BgL_test4632z00_16517 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1890z00_1945), 
BINT(((long)0))); } 
if(BgL_test4632z00_16517)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_argsz00_1878;
BgL_argsz00_1878 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1793); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_zc3z04anonymousza31851ze3z87_10941;
BgL_zc3z04anonymousza31851ze3z87_10941 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31851ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10941, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10941, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10941, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10941, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10941, 
(int)(((long)4)), BgL_argsz00_1878); 
return BgL_zc3z04anonymousza31851ze3z87_10941;} }  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_argsz00_1913;
BgL_argsz00_1913 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1793); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_zc3z04anonymousza31873ze3z87_10942;
BgL_zc3z04anonymousza31873ze3z87_10942 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10942, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10942, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10942, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10942, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10942, 
(int)(((long)4)), BgL_argsz00_1913); 
return BgL_zc3z04anonymousza31873ze3z87_10942;} } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4633z00_16556;
{ /* Eval/evaluate_comp.scm 781 */
 int BgL_arg1933z00_2016;
BgL_arg1933z00_2016 = 
bgl_debug(); 
BgL_test4633z00_16556 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1933z00_2016), 
BINT(((long)0))); } 
if(BgL_test4633z00_16556)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_argsz00_1949;
BgL_argsz00_1949 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_zc3z04anonymousza31894ze3z87_10943;
BgL_zc3z04anonymousza31894ze3z87_10943 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31894ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10943, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10943, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10943, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10943, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10943, 
(int)(((long)4)), BgL_argsz00_1949); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10943, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1793)); 
return BgL_zc3z04anonymousza31894ze3z87_10943;} }  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_argsz00_1984;
BgL_argsz00_1984 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_zc3z04anonymousza31916ze3z87_10944;
BgL_zc3z04anonymousza31916ze3z87_10944 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10944, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10944, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10944, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10944, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10944, 
(int)(((long)4)), BgL_argsz00_1984); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10944, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1793)); 
return BgL_zc3z04anonymousza31916ze3z87_10944;} } } } } 

}



/* &<@anonymous:1804> */
obj_t BGl_z62zc3z04anonymousza31804ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10945, obj_t BgL_sz00_10952)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_10946; BgL_ev_appz00_bglt BgL_i1162z00_10947; obj_t BgL_symbzd2funzd2_10948; long BgL_nbargsz00_10949; obj_t BgL_argsz00_10950; long BgL_siza7eza7_10951;
BgL_fz00_10946 = 
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)0))); 
BgL_i1162z00_10947 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10948 = 
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)2))); 
BgL_nbargsz00_10949 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)3)))); 
BgL_argsz00_10950 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)4)))); 
BgL_siza7eza7_10951 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10945, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_bpz00_12920;
BgL_bpz00_12920 = 
VECTOR_REF(
((obj_t)BgL_sz00_10952),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_12921;
BgL_fz00_12921 = 
PROCEDURE_ENTRY(BgL_fz00_10946)(BgL_fz00_10946, BgL_sz00_10952, BEOA); 
if(
PROCEDUREP(BgL_fz00_12921))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10947))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_12921); } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ufz00_12922;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16627;
BgL_tmpz00_16627 = 
((obj_t)BgL_fz00_12921); 
BgL_ufz00_12922 = 
PROCEDURE_ATTR(BgL_tmpz00_16627); } 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4635z00_16630;
if(
STRUCTP(BgL_ufz00_12922))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4635z00_16630 = 
(
STRUCT_KEY(BgL_ufz00_12922)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4635z00_16630 = ((bool_t)0)
; } 
if(BgL_test4635z00_16630)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arityz00_12923; obj_t BgL_runz00_12924; obj_t BgL_sfz00_12925;
BgL_arityz00_12923 = 
STRUCT_REF(BgL_ufz00_12922, 
(int)(((long)0))); 
BgL_runz00_12924 = 
STRUCT_REF(BgL_ufz00_12922, 
(int)(((long)1))); 
BgL_sfz00_12925 = 
STRUCT_REF(BgL_ufz00_12922, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_spz00_12926;
BgL_spz00_12926 = 
(
(long)CINT(BgL_bpz00_12920)+BgL_siza7eza7_10951); 
if(
(
(long)CINT(BgL_arityz00_12923)==BgL_nbargsz00_10949))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10952, BgL_argsz00_10950, 
BINT(BgL_spz00_12926)); 
{ /* Eval/evaluate_comp.scm 791 */
 long BgL_arg1809z00_12927;
BgL_arg1809z00_12927 = 
(BgL_spz00_12926+BgL_nbargsz00_10949); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10952, 
(long)CINT(BgL_bpz00_12920), BgL_sz00_10952, 
BINT(BgL_spz00_12926), 
BINT(BgL_arg1809z00_12927)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4638z00_16653;
if(
(
(long)CINT(BgL_arityz00_12923)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4638z00_16653 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4638z00_16653 = 
(
(long)CINT(BgL_arityz00_12923)<
(((long)-1)-BgL_nbargsz00_10949))
; } 
if(BgL_test4638z00_16653)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10947))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12922, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10949), 
CINT(BgL_arityz00_12923)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12923, BgL_sz00_10952, BgL_argsz00_10950, 
BINT(BgL_spz00_12926)); 
{ /* Eval/evaluate_comp.scm 793 */
 long BgL_arg1816z00_12928;
BgL_arg1816z00_12928 = 
(BgL_spz00_12926+
(((long)0)-
(long)CINT(BgL_arityz00_12923))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10952, 
(long)CINT(BgL_bpz00_12920), BgL_sz00_10952, 
BINT(BgL_spz00_12926), 
BINT(BgL_arg1816z00_12928)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_z12denvz12_12929;
BgL_z12denvz12_12929 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16676;
BgL_tmpz00_16676 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10947))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12929, BgL_tmpz00_16676); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10952, BgL_bpz00_12920, BgL_sfz00_12925))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_12924;}  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_nsz00_12930;
BgL_nsz00_12930 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_arg1821z00_12931;
BgL_arg1821z00_12931 = 
(
(long)CINT(BgL_bpz00_12920)+BgL_nbargsz00_10949); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12930, ((long)2), BgL_sz00_10952, BgL_bpz00_12920, 
BINT(BgL_arg1821z00_12931)); } 
VECTOR_SET(BgL_nsz00_12930,((long)1),BgL_sz00_10952); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12929, BgL_nsz00_12930); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ez00_12932;
BgL_ez00_12932 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4065z00_12933;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4066z00_12934;
BgL_arg4066z00_12934 = 
BGL_EXITD_PROTECT(BgL_ez00_12932); 
BgL_arg4065z00_12933 = 
MAKE_YOUNG_PAIR(BgL_sz00_10952, BgL_arg4066z00_12934); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12932, BgL_arg4065z00_12933); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_____rz00_12935;
BgL_____rz00_12935 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12924, BgL_nsz00_12930, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4641z00_16694;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4064z00_12936;
BgL_arg4064z00_12936 = 
BGL_EXITD_PROTECT(BgL_ez00_12932); 
BgL_test4641z00_16694 = 
PAIRP(BgL_arg4064z00_12936); } 
if(BgL_test4641z00_16694)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4062z00_12937;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4063z00_12938;
BgL_arg4063z00_12938 = 
BGL_EXITD_PROTECT(BgL_ez00_12932); 
BgL_arg4062z00_12937 = 
CDR(
((obj_t)BgL_arg4063z00_12938)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12932, BgL_arg4062z00_12937); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 787 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12929, BgL_sz00_10952); 
return BgL_____rz00_12935;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12921, 
(int)(BgL_nbargsz00_10949)))
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_auxz00_16707; obj_t BgL_tmpz00_16705;
BgL_auxz00_16707 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10947))->BgL_locz00); 
BgL_tmpz00_16705 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16705, BgL_auxz00_16707); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10952, BgL_fz00_12921, BgL_argsz00_10950, BgL_bpz00_12920, 
BINT(BgL_siza7eza7_10951));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10947))->BgL_locz00), BgL_symbzd2funzd2_10948, 
(int)(BgL_nbargsz00_10949), 
PROCEDURE_ARITY(BgL_fz00_12921));} } } } } } } } 

}



/* &<@anonymous:1828> */
obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10953, obj_t BgL_sz00_10960)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_10954; BgL_ev_appz00_bglt BgL_i1162z00_10955; obj_t BgL_symbzd2funzd2_10956; long BgL_nbargsz00_10957; obj_t BgL_argsz00_10958; long BgL_siza7eza7_10959;
BgL_fz00_10954 = 
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)0))); 
BgL_i1162z00_10955 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10956 = 
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)2))); 
BgL_nbargsz00_10957 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)3)))); 
BgL_argsz00_10958 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)4)))); 
BgL_siza7eza7_10959 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_bpz00_12939;
BgL_bpz00_12939 = 
VECTOR_REF(
((obj_t)BgL_sz00_10960),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_12940;
BgL_fz00_12940 = 
PROCEDURE_ENTRY(BgL_fz00_10954)(BgL_fz00_10954, BgL_sz00_10960, BEOA); 
if(
PROCEDUREP(BgL_fz00_12940))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10955))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_12940); } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ufz00_12941;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16742;
BgL_tmpz00_16742 = 
((obj_t)BgL_fz00_12940); 
BgL_ufz00_12941 = 
PROCEDURE_ATTR(BgL_tmpz00_16742); } 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4644z00_16745;
if(
STRUCTP(BgL_ufz00_12941))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4644z00_16745 = 
(
STRUCT_KEY(BgL_ufz00_12941)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4644z00_16745 = ((bool_t)0)
; } 
if(BgL_test4644z00_16745)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arityz00_12942; obj_t BgL_runz00_12943; obj_t BgL_sfz00_12944;
BgL_arityz00_12942 = 
STRUCT_REF(BgL_ufz00_12941, 
(int)(((long)0))); 
BgL_runz00_12943 = 
STRUCT_REF(BgL_ufz00_12941, 
(int)(((long)1))); 
BgL_sfz00_12944 = 
STRUCT_REF(BgL_ufz00_12941, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_spz00_12945;
BgL_spz00_12945 = 
(
(long)CINT(BgL_bpz00_12939)+BgL_siza7eza7_10959); 
if(
(
(long)CINT(BgL_arityz00_12942)==BgL_nbargsz00_10957))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10960, BgL_argsz00_10958, 
BINT(BgL_spz00_12945)); 
{ /* Eval/evaluate_comp.scm 791 */
 long BgL_arg1833z00_12946;
BgL_arg1833z00_12946 = 
(BgL_spz00_12945+BgL_nbargsz00_10957); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10960, 
(long)CINT(BgL_bpz00_12939), BgL_sz00_10960, 
BINT(BgL_spz00_12945), 
BINT(BgL_arg1833z00_12946)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4647z00_16768;
if(
(
(long)CINT(BgL_arityz00_12942)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4647z00_16768 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4647z00_16768 = 
(
(long)CINT(BgL_arityz00_12942)<
(((long)-1)-BgL_nbargsz00_10957))
; } 
if(BgL_test4647z00_16768)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10955))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12941, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10957), 
CINT(BgL_arityz00_12942)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12942, BgL_sz00_10960, BgL_argsz00_10958, 
BINT(BgL_spz00_12945)); 
{ /* Eval/evaluate_comp.scm 793 */
 long BgL_arg1839z00_12947;
BgL_arg1839z00_12947 = 
(BgL_spz00_12945+
(((long)0)-
(long)CINT(BgL_arityz00_12942))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10960, 
(long)CINT(BgL_bpz00_12939), BgL_sz00_10960, 
BINT(BgL_spz00_12945), 
BINT(BgL_arg1839z00_12947)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_z12denvz12_12948;
BgL_z12denvz12_12948 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10960, BgL_bpz00_12939, BgL_sfz00_12944))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_12943;}  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_nsz00_12949;
BgL_nsz00_12949 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_arg1843z00_12950;
BgL_arg1843z00_12950 = 
(
(long)CINT(BgL_bpz00_12939)+BgL_nbargsz00_10957); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12949, ((long)2), BgL_sz00_10960, BgL_bpz00_12939, 
BINT(BgL_arg1843z00_12950)); } 
VECTOR_SET(BgL_nsz00_12949,((long)1),BgL_sz00_10960); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12948, BgL_nsz00_12949); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ez00_12951;
BgL_ez00_12951 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4065z00_12952;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4066z00_12953;
BgL_arg4066z00_12953 = 
BGL_EXITD_PROTECT(BgL_ez00_12951); 
BgL_arg4065z00_12952 = 
MAKE_YOUNG_PAIR(BgL_sz00_10960, BgL_arg4066z00_12953); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12951, BgL_arg4065z00_12952); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_____rz00_12954;
BgL_____rz00_12954 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12943, BgL_nsz00_12949, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4650z00_16806;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4064z00_12955;
BgL_arg4064z00_12955 = 
BGL_EXITD_PROTECT(BgL_ez00_12951); 
BgL_test4650z00_16806 = 
PAIRP(BgL_arg4064z00_12955); } 
if(BgL_test4650z00_16806)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4062z00_12956;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4063z00_12957;
BgL_arg4063z00_12957 = 
BGL_EXITD_PROTECT(BgL_ez00_12951); 
BgL_arg4062z00_12956 = 
CDR(
((obj_t)BgL_arg4063z00_12957)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12951, BgL_arg4062z00_12956); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 787 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12948, BgL_sz00_10960); 
return BgL_____rz00_12954;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12940, 
(int)(BgL_nbargsz00_10957)))
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10960, BgL_fz00_12940, BgL_argsz00_10958, BgL_bpz00_12939, 
BINT(BgL_siza7eza7_10959));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10955))->BgL_locz00), BgL_symbzd2funzd2_10956, 
(int)(BgL_nbargsz00_10957), 
PROCEDURE_ARITY(BgL_fz00_12940));} } } } } } } } 

}



/* &<@anonymous:1851> */
obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10961, obj_t BgL_sz00_10967)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_10962; BgL_ev_appz00_bglt BgL_i1162z00_10963; obj_t BgL_symbzd2funzd2_10964; long BgL_nbargsz00_10965; obj_t BgL_argsz00_10966;
BgL_fz00_10962 = 
PROCEDURE_REF(BgL_envz00_10961, 
(int)(((long)0))); 
BgL_i1162z00_10963 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10961, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10964 = 
PROCEDURE_REF(BgL_envz00_10961, 
(int)(((long)2))); 
BgL_nbargsz00_10965 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10961, 
(int)(((long)3)))); 
BgL_argsz00_10966 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10961, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_bpz00_12958;
BgL_bpz00_12958 = 
VECTOR_REF(
((obj_t)BgL_sz00_10967),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_12959;
BgL_fz00_12959 = 
PROCEDURE_ENTRY(BgL_fz00_10962)(BgL_fz00_10962, BgL_sz00_10967, BEOA); 
if(
PROCEDUREP(BgL_fz00_12959))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10963))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_12959); } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ufz00_12960;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16846;
BgL_tmpz00_16846 = 
((obj_t)BgL_fz00_12959); 
BgL_ufz00_12960 = 
PROCEDURE_ATTR(BgL_tmpz00_16846); } 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4653z00_16849;
if(
STRUCTP(BgL_ufz00_12960))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4653z00_16849 = 
(
STRUCT_KEY(BgL_ufz00_12960)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4653z00_16849 = ((bool_t)0)
; } 
if(BgL_test4653z00_16849)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arityz00_12961; obj_t BgL_runz00_12962; obj_t BgL_sfz00_12963;
BgL_arityz00_12961 = 
STRUCT_REF(BgL_ufz00_12960, 
(int)(((long)0))); 
BgL_runz00_12962 = 
STRUCT_REF(BgL_ufz00_12960, 
(int)(((long)1))); 
BgL_sfz00_12963 = 
STRUCT_REF(BgL_ufz00_12960, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12961)==BgL_nbargsz00_10965))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10967, BgL_argsz00_10966, BgL_bpz00_12958)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4656z00_16865;
if(
(
(long)CINT(BgL_arityz00_12961)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4656z00_16865 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4656z00_16865 = 
(
(long)CINT(BgL_arityz00_12961)<
(((long)-1)-BgL_nbargsz00_10965))
; } 
if(BgL_test4656z00_16865)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10963))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12960, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10965), 
CINT(BgL_arityz00_12961)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12961, BgL_sz00_10967, BgL_argsz00_10966, BgL_bpz00_12958); } } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_z12denvz12_12964;
BgL_z12denvz12_12964 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16880;
BgL_tmpz00_16880 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10963))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12964, BgL_tmpz00_16880); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10967, BgL_bpz00_12958, BgL_sfz00_12963))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_12962;}  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_nsz00_12965;
BgL_nsz00_12965 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
 long BgL_arg1865z00_12966;
BgL_arg1865z00_12966 = 
(
(long)CINT(BgL_bpz00_12958)+BgL_nbargsz00_10965); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12965, ((long)2), BgL_sz00_10967, BgL_bpz00_12958, 
BINT(BgL_arg1865z00_12966)); } 
VECTOR_SET(BgL_nsz00_12965,((long)1),BgL_sz00_10967); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12964, BgL_nsz00_12965); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ez00_12967;
BgL_ez00_12967 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4065z00_12968;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4066z00_12969;
BgL_arg4066z00_12969 = 
BGL_EXITD_PROTECT(BgL_ez00_12967); 
BgL_arg4065z00_12968 = 
MAKE_YOUNG_PAIR(BgL_sz00_10967, BgL_arg4066z00_12969); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12967, BgL_arg4065z00_12968); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_____rz00_12970;
BgL_____rz00_12970 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12962, BgL_nsz00_12965, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4659z00_16898;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4064z00_12971;
BgL_arg4064z00_12971 = 
BGL_EXITD_PROTECT(BgL_ez00_12967); 
BgL_test4659z00_16898 = 
PAIRP(BgL_arg4064z00_12971); } 
if(BgL_test4659z00_16898)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4062z00_12972;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4063z00_12973;
BgL_arg4063z00_12973 = 
BGL_EXITD_PROTECT(BgL_ez00_12967); 
BgL_arg4062z00_12972 = 
CDR(
((obj_t)BgL_arg4063z00_12973)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12967, BgL_arg4062z00_12972); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 795 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12964, BgL_sz00_10967); 
return BgL_____rz00_12970;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12959, 
(int)(BgL_nbargsz00_10965)))
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_auxz00_16911; obj_t BgL_tmpz00_16909;
BgL_auxz00_16911 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10963))->BgL_locz00); 
BgL_tmpz00_16909 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16909, BgL_auxz00_16911); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10967, BgL_fz00_12959, BgL_argsz00_10966, BgL_bpz00_12958, 
BINT(BgL_nbargsz00_10965));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10963))->BgL_locz00), BgL_symbzd2funzd2_10964, 
(int)(BgL_nbargsz00_10965), 
PROCEDURE_ARITY(BgL_fz00_12959));} } } } } } } } 

}



/* &<@anonymous:1873> */
obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10968, obj_t BgL_sz00_10974)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_10969; BgL_ev_appz00_bglt BgL_i1162z00_10970; obj_t BgL_symbzd2funzd2_10971; long BgL_nbargsz00_10972; obj_t BgL_argsz00_10973;
BgL_fz00_10969 = 
PROCEDURE_REF(BgL_envz00_10968, 
(int)(((long)0))); 
BgL_i1162z00_10970 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10968, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10971 = 
PROCEDURE_REF(BgL_envz00_10968, 
(int)(((long)2))); 
BgL_nbargsz00_10972 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10968, 
(int)(((long)3)))); 
BgL_argsz00_10973 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10968, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_bpz00_12974;
BgL_bpz00_12974 = 
VECTOR_REF(
((obj_t)BgL_sz00_10974),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_12975;
BgL_fz00_12975 = 
PROCEDURE_ENTRY(BgL_fz00_10969)(BgL_fz00_10969, BgL_sz00_10974, BEOA); 
if(
PROCEDUREP(BgL_fz00_12975))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10970))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_12975); } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ufz00_12976;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16943;
BgL_tmpz00_16943 = 
((obj_t)BgL_fz00_12975); 
BgL_ufz00_12976 = 
PROCEDURE_ATTR(BgL_tmpz00_16943); } 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4662z00_16946;
if(
STRUCTP(BgL_ufz00_12976))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4662z00_16946 = 
(
STRUCT_KEY(BgL_ufz00_12976)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4662z00_16946 = ((bool_t)0)
; } 
if(BgL_test4662z00_16946)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arityz00_12977; obj_t BgL_runz00_12978; obj_t BgL_sfz00_12979;
BgL_arityz00_12977 = 
STRUCT_REF(BgL_ufz00_12976, 
(int)(((long)0))); 
BgL_runz00_12978 = 
STRUCT_REF(BgL_ufz00_12976, 
(int)(((long)1))); 
BgL_sfz00_12979 = 
STRUCT_REF(BgL_ufz00_12976, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12977)==BgL_nbargsz00_10972))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10974, BgL_argsz00_10973, BgL_bpz00_12974)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4665z00_16962;
if(
(
(long)CINT(BgL_arityz00_12977)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4665z00_16962 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4665z00_16962 = 
(
(long)CINT(BgL_arityz00_12977)<
(((long)-1)-BgL_nbargsz00_10972))
; } 
if(BgL_test4665z00_16962)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10970))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12976, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10972), 
CINT(BgL_arityz00_12977)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12977, BgL_sz00_10974, BgL_argsz00_10973, BgL_bpz00_12974); } } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_z12denvz12_12980;
BgL_z12denvz12_12980 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10974, BgL_bpz00_12974, BgL_sfz00_12979))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_12978;}  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_nsz00_12981;
BgL_nsz00_12981 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
 long BgL_arg1885z00_12982;
BgL_arg1885z00_12982 = 
(
(long)CINT(BgL_bpz00_12974)+BgL_nbargsz00_10972); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12981, ((long)2), BgL_sz00_10974, BgL_bpz00_12974, 
BINT(BgL_arg1885z00_12982)); } 
VECTOR_SET(BgL_nsz00_12981,((long)1),BgL_sz00_10974); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12980, BgL_nsz00_12981); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ez00_12983;
BgL_ez00_12983 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4065z00_12984;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4066z00_12985;
BgL_arg4066z00_12985 = 
BGL_EXITD_PROTECT(BgL_ez00_12983); 
BgL_arg4065z00_12984 = 
MAKE_YOUNG_PAIR(BgL_sz00_10974, BgL_arg4066z00_12985); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12983, BgL_arg4065z00_12984); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_____rz00_12986;
BgL_____rz00_12986 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12978, BgL_nsz00_12981, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4668z00_16992;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4064z00_12987;
BgL_arg4064z00_12987 = 
BGL_EXITD_PROTECT(BgL_ez00_12983); 
BgL_test4668z00_16992 = 
PAIRP(BgL_arg4064z00_12987); } 
if(BgL_test4668z00_16992)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4062z00_12988;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4063z00_12989;
BgL_arg4063z00_12989 = 
BGL_EXITD_PROTECT(BgL_ez00_12983); 
BgL_arg4062z00_12988 = 
CDR(
((obj_t)BgL_arg4063z00_12989)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12983, BgL_arg4062z00_12988); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 795 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12980, BgL_sz00_10974); 
return BgL_____rz00_12986;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12975, 
(int)(BgL_nbargsz00_10972)))
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10974, BgL_fz00_12975, BgL_argsz00_10973, BgL_bpz00_12974, 
BINT(BgL_nbargsz00_10972));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10970))->BgL_locz00), BgL_symbzd2funzd2_10971, 
(int)(BgL_nbargsz00_10972), 
PROCEDURE_ARITY(BgL_fz00_12975));} } } } } } } } 

}



/* &<@anonymous:1894> */
obj_t BGl_z62zc3z04anonymousza31894ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10975, obj_t BgL_sz00_10982)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_10976; BgL_ev_appz00_bglt BgL_i1162z00_10977; obj_t BgL_symbzd2funzd2_10978; long BgL_nbargsz00_10979; obj_t BgL_argsz00_10980; long BgL_siza7eza7_10981;
BgL_fz00_10976 = 
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)0))); 
BgL_i1162z00_10977 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10978 = 
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)2))); 
BgL_nbargsz00_10979 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)3)))); 
BgL_argsz00_10980 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)4)))); 
BgL_siza7eza7_10981 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10975, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_bpz00_12990;
BgL_bpz00_12990 = 
VECTOR_REF(
((obj_t)BgL_sz00_10982),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_12991;
BgL_fz00_12991 = 
PROCEDURE_ENTRY(BgL_fz00_10976)(BgL_fz00_10976, BgL_sz00_10982, BEOA); 
if(
PROCEDUREP(BgL_fz00_12991))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10977))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_12991); } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ufz00_12992;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17035;
BgL_tmpz00_17035 = 
((obj_t)BgL_fz00_12991); 
BgL_ufz00_12992 = 
PROCEDURE_ATTR(BgL_tmpz00_17035); } 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4671z00_17038;
if(
STRUCTP(BgL_ufz00_12992))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4671z00_17038 = 
(
STRUCT_KEY(BgL_ufz00_12992)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4671z00_17038 = ((bool_t)0)
; } 
if(BgL_test4671z00_17038)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arityz00_12993; obj_t BgL_runz00_12994; obj_t BgL_sfz00_12995;
BgL_arityz00_12993 = 
STRUCT_REF(BgL_ufz00_12992, 
(int)(((long)0))); 
BgL_runz00_12994 = 
STRUCT_REF(BgL_ufz00_12992, 
(int)(((long)1))); 
BgL_sfz00_12995 = 
STRUCT_REF(BgL_ufz00_12992, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_spz00_12996;
BgL_spz00_12996 = 
(
(long)CINT(BgL_bpz00_12990)+BgL_siza7eza7_10981); 
if(
(
(long)CINT(BgL_arityz00_12993)==BgL_nbargsz00_10979))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10982, BgL_argsz00_10980, 
BINT(BgL_spz00_12996))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4674z00_17057;
if(
(
(long)CINT(BgL_arityz00_12993)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4674z00_17057 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4674z00_17057 = 
(
(long)CINT(BgL_arityz00_12993)<
(((long)-1)-BgL_nbargsz00_10979))
; } 
if(BgL_test4674z00_17057)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10977))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12992, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10979), 
CINT(BgL_arityz00_12993)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12993, BgL_sz00_10982, BgL_argsz00_10980, 
BINT(BgL_spz00_12996)); } } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_z12denvz12_12997;
BgL_z12denvz12_12997 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17073;
BgL_tmpz00_17073 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10977))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12997, BgL_tmpz00_17073); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10982, 
BINT(BgL_spz00_12996), BgL_sfz00_12995))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12994, BgL_sz00_10982, 
BINT(BgL_spz00_12996));}  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_nsz00_12998;
BgL_nsz00_12998 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_arg1909z00_12999;
BgL_arg1909z00_12999 = 
(BgL_spz00_12996+BgL_nbargsz00_10979); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12998, ((long)2), BgL_sz00_10982, 
BINT(BgL_spz00_12996), 
BINT(BgL_arg1909z00_12999)); } 
VECTOR_SET(BgL_nsz00_12998,((long)1),BgL_sz00_10982); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12997, BgL_nsz00_12998); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ez00_13000;
BgL_ez00_13000 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4065z00_13001;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4066z00_13002;
BgL_arg4066z00_13002 = 
BGL_EXITD_PROTECT(BgL_ez00_13000); 
BgL_arg4065z00_13001 = 
MAKE_YOUNG_PAIR(BgL_sz00_10982, BgL_arg4066z00_13002); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13000, BgL_arg4065z00_13001); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_____rz00_13003;
BgL_____rz00_13003 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12994, BgL_nsz00_12998, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4677z00_17094;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4064z00_13004;
BgL_arg4064z00_13004 = 
BGL_EXITD_PROTECT(BgL_ez00_13000); 
BgL_test4677z00_17094 = 
PAIRP(BgL_arg4064z00_13004); } 
if(BgL_test4677z00_17094)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4062z00_13005;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4063z00_13006;
BgL_arg4063z00_13006 = 
BGL_EXITD_PROTECT(BgL_ez00_13000); 
BgL_arg4062z00_13005 = 
CDR(
((obj_t)BgL_arg4063z00_13006)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13000, BgL_arg4062z00_13005); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 781 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12997, BgL_sz00_10982); 
return BgL_____rz00_13003;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12991, 
(int)(BgL_nbargsz00_10979)))
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_auxz00_17107; obj_t BgL_tmpz00_17105;
BgL_auxz00_17107 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10977))->BgL_locz00); 
BgL_tmpz00_17105 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17105, BgL_auxz00_17107); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10982, BgL_fz00_12991, BgL_argsz00_10980, BgL_bpz00_12990, 
BINT(BgL_siza7eza7_10981));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10977))->BgL_locz00), BgL_symbzd2funzd2_10978, 
(int)(BgL_nbargsz00_10979), 
PROCEDURE_ARITY(BgL_fz00_12991));} } } } } } } } 

}



/* &<@anonymous:1916> */
obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10983, obj_t BgL_sz00_10990)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_10984; BgL_ev_appz00_bglt BgL_i1162z00_10985; obj_t BgL_symbzd2funzd2_10986; long BgL_nbargsz00_10987; obj_t BgL_argsz00_10988; long BgL_siza7eza7_10989;
BgL_fz00_10984 = 
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)0))); 
BgL_i1162z00_10985 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10986 = 
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)2))); 
BgL_nbargsz00_10987 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)3)))); 
BgL_argsz00_10988 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)4)))); 
BgL_siza7eza7_10989 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_bpz00_13007;
BgL_bpz00_13007 = 
VECTOR_REF(
((obj_t)BgL_sz00_10990),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_13008;
BgL_fz00_13008 = 
PROCEDURE_ENTRY(BgL_fz00_10984)(BgL_fz00_10984, BgL_sz00_10990, BEOA); 
if(
PROCEDUREP(BgL_fz00_13008))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10985))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13008); } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ufz00_13009;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17142;
BgL_tmpz00_17142 = 
((obj_t)BgL_fz00_13008); 
BgL_ufz00_13009 = 
PROCEDURE_ATTR(BgL_tmpz00_17142); } 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4680z00_17145;
if(
STRUCTP(BgL_ufz00_13009))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4680z00_17145 = 
(
STRUCT_KEY(BgL_ufz00_13009)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4680z00_17145 = ((bool_t)0)
; } 
if(BgL_test4680z00_17145)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arityz00_13010; obj_t BgL_runz00_13011; obj_t BgL_sfz00_13012;
BgL_arityz00_13010 = 
STRUCT_REF(BgL_ufz00_13009, 
(int)(((long)0))); 
BgL_runz00_13011 = 
STRUCT_REF(BgL_ufz00_13009, 
(int)(((long)1))); 
BgL_sfz00_13012 = 
STRUCT_REF(BgL_ufz00_13009, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_spz00_13013;
BgL_spz00_13013 = 
(
(long)CINT(BgL_bpz00_13007)+BgL_siza7eza7_10989); 
if(
(
(long)CINT(BgL_arityz00_13010)==BgL_nbargsz00_10987))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10990, BgL_argsz00_10988, 
BINT(BgL_spz00_13013))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4683z00_17164;
if(
(
(long)CINT(BgL_arityz00_13010)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4683z00_17164 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4683z00_17164 = 
(
(long)CINT(BgL_arityz00_13010)<
(((long)-1)-BgL_nbargsz00_10987))
; } 
if(BgL_test4683z00_17164)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10985))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_13009, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10987), 
CINT(BgL_arityz00_13010)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_13010, BgL_sz00_10990, BgL_argsz00_10988, 
BINT(BgL_spz00_13013)); } } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_z12denvz12_13014;
BgL_z12denvz12_13014 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10990, 
BINT(BgL_spz00_13013), BgL_sfz00_13012))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13011, BgL_sz00_10990, 
BINT(BgL_spz00_13013));}  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_nsz00_13015;
BgL_nsz00_13015 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_arg1928z00_13016;
BgL_arg1928z00_13016 = 
(BgL_spz00_13013+BgL_nbargsz00_10987); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13015, ((long)2), BgL_sz00_10990, 
BINT(BgL_spz00_13013), 
BINT(BgL_arg1928z00_13016)); } 
VECTOR_SET(BgL_nsz00_13015,((long)1),BgL_sz00_10990); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13014, BgL_nsz00_13015); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ez00_13017;
BgL_ez00_13017 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4065z00_13018;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4066z00_13019;
BgL_arg4066z00_13019 = 
BGL_EXITD_PROTECT(BgL_ez00_13017); 
BgL_arg4065z00_13018 = 
MAKE_YOUNG_PAIR(BgL_sz00_10990, BgL_arg4066z00_13019); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13017, BgL_arg4065z00_13018); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_____rz00_13020;
BgL_____rz00_13020 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13011, BgL_nsz00_13015, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4686z00_17198;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4064z00_13021;
BgL_arg4064z00_13021 = 
BGL_EXITD_PROTECT(BgL_ez00_13017); 
BgL_test4686z00_17198 = 
PAIRP(BgL_arg4064z00_13021); } 
if(BgL_test4686z00_17198)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4062z00_13022;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4063z00_13023;
BgL_arg4063z00_13023 = 
BGL_EXITD_PROTECT(BgL_ez00_13017); 
BgL_arg4062z00_13022 = 
CDR(
((obj_t)BgL_arg4063z00_13023)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13017, BgL_arg4062z00_13022); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 781 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13014, BgL_sz00_10990); 
return BgL_____rz00_13020;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13008, 
(int)(BgL_nbargsz00_10987)))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10990, BgL_fz00_13008, BgL_argsz00_10988, BgL_bpz00_13007, 
BINT(BgL_siza7eza7_10989));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10985))->BgL_locz00), BgL_symbzd2funzd2_10986, 
(int)(BgL_nbargsz00_10987), 
PROCEDURE_ARITY(BgL_fz00_13008));} } } } } } } } 

}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2020;
BgL_cfunz00_2020 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_2020))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4689z00_17218;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg1942z00_2034;
BgL_arg1942z00_2034 = 
bgl_debug(); 
BgL_test4689z00_17218 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1942z00_2034), 
BINT(((long)0))); } 
if(BgL_test4689z00_17218)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31939ze3z87_10991;
BgL_zc3z04anonymousza31939ze3z87_10991 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_10991, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_10991, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_10991, 
(int)(((long)2)), BgL_cfunz00_2020); 
return BgL_zc3z04anonymousza31939ze3z87_10991;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31941ze3z87_10992;
BgL_zc3z04anonymousza31941ze3z87_10992 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31941ze3z87_10992, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31941ze3z87_10992, 
(int)(((long)1)), BgL_cfunz00_2020); 
return BgL_zc3z04anonymousza31941ze3z87_10992;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4691z00_17243;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg1972z00_2098;
BgL_arg1972z00_2098 = 
bgl_debug(); 
BgL_test4691z00_17243 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1972z00_2098), 
BINT(((long)0))); } 
if(BgL_test4691z00_17243)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31945ze3z87_10993;
BgL_zc3z04anonymousza31945ze3z87_10993 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_10993, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_10993, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_10993, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_10993, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31945ze3z87_10993;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31959ze3z87_10994;
BgL_zc3z04anonymousza31959ze3z87_10994 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31959ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_10994, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_10994, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_10994, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_10994, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31959ze3z87_10994;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4692z00_17272;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2002z00_2162;
BgL_arg2002z00_2162 = 
bgl_debug(); 
BgL_test4692z00_17272 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2002z00_2162), 
BINT(((long)0))); } 
if(BgL_test4692z00_17272)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31975ze3z87_10995;
BgL_zc3z04anonymousza31975ze3z87_10995 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31975ze3z87_10995, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31975ze3z87_10995, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31975ze3z87_10995, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31975ze3z87_10995, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31975ze3z87_10995;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31989ze3z87_10996;
BgL_zc3z04anonymousza31989ze3z87_10996 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31989ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31989ze3z87_10996, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31989ze3z87_10996, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31989ze3z87_10996, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31989ze3z87_10996, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31989ze3z87_10996;} } } } } 

}



/* &<@anonymous:1939> */
obj_t BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10997, obj_t BgL_sz00_11001)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_siza7eza7_10998; obj_t BgL_locz00_10999; obj_t BgL_cfunz00_11000;
BgL_siza7eza7_10998 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10997, 
(int)(((long)0)))); 
BgL_locz00_10999 = 
PROCEDURE_REF(BgL_envz00_10997, 
(int)(((long)1))); 
BgL_cfunz00_11000 = 
PROCEDURE_REF(BgL_envz00_10997, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13024;
BgL_bpz00_13024 = 
VECTOR_REF(
((obj_t)BgL_sz00_11001),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13025;
BgL_nbpz00_13025 = 
(
(long)CINT(BgL_bpz00_13024)+BgL_siza7eza7_10998); 
VECTOR_SET(
((obj_t)BgL_sz00_11001),((long)0),
BINT(BgL_nbpz00_13025)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17315;
BgL_tmpz00_17315 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17315, BgL_locz00_10999); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13026;
BgL_rz00_13026 = 
PROCEDURE_ENTRY(BgL_cfunz00_11000)(BgL_cfunz00_11000, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11001),((long)0),BgL_bpz00_13024); 
return BgL_rz00_13026;} } } } } } 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11002, obj_t BgL_sz00_11005)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_siza7eza7_11003; obj_t BgL_cfunz00_11004;
BgL_siza7eza7_11003 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)0)))); 
BgL_cfunz00_11004 = 
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13027;
BgL_bpz00_13027 = 
VECTOR_REF(
((obj_t)BgL_sz00_11005),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13028;
BgL_nbpz00_13028 = 
(
(long)CINT(BgL_bpz00_13027)+BgL_siza7eza7_11003); 
VECTOR_SET(
((obj_t)BgL_sz00_11005),((long)0),
BINT(BgL_nbpz00_13028)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13029;
BgL_rz00_13029 = 
PROCEDURE_ENTRY(BgL_cfunz00_11004)(BgL_cfunz00_11004, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11005),((long)0),BgL_bpz00_13027); 
return BgL_rz00_13029;} } } } } } 

}



/* &<@anonymous:1945> */
obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11006, obj_t BgL_sz00_11011)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11007; obj_t BgL_locz00_11008; obj_t BgL_symbzd2funzd2_11009; long BgL_siza7eza7_11010;
BgL_funz00_11007 = 
PROCEDURE_REF(BgL_envz00_11006, 
(int)(((long)0))); 
BgL_locz00_11008 = 
PROCEDURE_REF(BgL_envz00_11006, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11009 = 
PROCEDURE_REF(BgL_envz00_11006, 
(int)(((long)2))); 
BgL_siza7eza7_11010 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11006, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13030;
BgL_bpz00_13030 = 
VECTOR_REF(
((obj_t)BgL_sz00_11011),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13031;
BgL_fz00_13031 = 
PROCEDURE_ENTRY(BgL_funz00_11007)(BgL_funz00_11007, BgL_sz00_11011, BEOA); 
if(
PROCEDUREP(BgL_fz00_13031))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11008, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13031); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13032;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17358;
BgL_tmpz00_17358 = 
((obj_t)BgL_fz00_13031); 
BgL_ufz00_13032 = 
PROCEDURE_ATTR(BgL_tmpz00_17358); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4694z00_17361;
if(
STRUCTP(BgL_ufz00_13032))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4694z00_17361 = 
(
STRUCT_KEY(BgL_ufz00_13032)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4694z00_17361 = ((bool_t)0)
; } 
if(BgL_test4694z00_17361)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13033; obj_t BgL_runz00_13034; obj_t BgL_sfz00_13035;
BgL_arityz00_13033 = 
STRUCT_REF(BgL_ufz00_13032, 
(int)(((long)0))); 
BgL_runz00_13034 = 
STRUCT_REF(BgL_ufz00_13032, 
(int)(((long)1))); 
BgL_sfz00_13035 = 
STRUCT_REF(BgL_ufz00_13032, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13033)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13033))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13033)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1950z00_13038; obj_t BgL_arg1951z00_13039;
BgL_arg1950z00_13038 = 
(
(long)CINT(BgL_bpz00_13030)+((long)0)); 
BgL_arg1951z00_13039 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11011),BgL_arg1950z00_13038,BgL_arg1951z00_13039); } break;
default: 
BgL_case_else1178z00_13036:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1953z00_13037;
BgL_arg1953z00_13037 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13032), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11008, BgL_arg1953z00_13037, 
(int)(((long)0)), 
CINT(BgL_arityz00_13033)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1178z00_13036;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13040;
BgL_z12denvz12_13040 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13040, BgL_locz00_11008); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11011, BgL_bpz00_13030, BgL_sfz00_13035))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13034;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13041;
BgL_nsz00_13041 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1955z00_13042;
BgL_arg1955z00_13042 = 
(
(long)CINT(BgL_bpz00_13030)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13041, ((long)2), BgL_sz00_11011, BgL_bpz00_13030, 
BINT(BgL_arg1955z00_13042)); } 
VECTOR_SET(BgL_nsz00_13041,((long)1),BgL_sz00_11011); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13040, BgL_nsz00_13041); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13043;
BgL_ez00_13043 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13044;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13045;
BgL_arg4066z00_13045 = 
BGL_EXITD_PROTECT(BgL_ez00_13043); 
BgL_arg4065z00_13044 = 
MAKE_YOUNG_PAIR(BgL_sz00_11011, BgL_arg4066z00_13045); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13043, BgL_arg4065z00_13044); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13046;
BgL_____rz00_13046 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13034, BgL_nsz00_13041, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4699z00_17406;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13047;
BgL_arg4064z00_13047 = 
BGL_EXITD_PROTECT(BgL_ez00_13043); 
BgL_test4699z00_17406 = 
PAIRP(BgL_arg4064z00_13047); } 
if(BgL_test4699z00_17406)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13048;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13049;
BgL_arg4063z00_13049 = 
BGL_EXITD_PROTECT(BgL_ez00_13043); 
BgL_arg4062z00_13048 = 
CDR(
((obj_t)BgL_arg4063z00_13049)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13043, BgL_arg4062z00_13048); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13040, BgL_sz00_11011); 
return BgL_____rz00_13046;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13031, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13050;
BgL_nbpz00_13050 = 
(
(long)CINT(BgL_bpz00_13030)+BgL_siza7eza7_11010); 
VECTOR_SET(
((obj_t)BgL_sz00_11011),((long)0),
BINT(BgL_nbpz00_13050)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17422;
BgL_tmpz00_17422 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17422, BgL_locz00_11008); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13051;
BgL_rz00_13051 = 
PROCEDURE_ENTRY(BgL_fz00_13031)(BgL_fz00_13031, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11011),((long)0),BgL_bpz00_13030); 
return BgL_rz00_13051;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11008, BgL_symbzd2funzd2_11009, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13031));} } } } } } } } 

}



/* &<@anonymous:1959> */
obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11012, obj_t BgL_sz00_11017)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11013; obj_t BgL_locz00_11014; obj_t BgL_symbzd2funzd2_11015; long BgL_siza7eza7_11016;
BgL_funz00_11013 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)0))); 
BgL_locz00_11014 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11015 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)2))); 
BgL_siza7eza7_11016 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13052;
BgL_bpz00_13052 = 
VECTOR_REF(
((obj_t)BgL_sz00_11017),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13053;
BgL_fz00_13053 = 
PROCEDURE_ENTRY(BgL_funz00_11013)(BgL_funz00_11013, BgL_sz00_11017, BEOA); 
if(
PROCEDUREP(BgL_fz00_13053))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11014, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13053); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13054;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17451;
BgL_tmpz00_17451 = 
((obj_t)BgL_fz00_13053); 
BgL_ufz00_13054 = 
PROCEDURE_ATTR(BgL_tmpz00_17451); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4702z00_17454;
if(
STRUCTP(BgL_ufz00_13054))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4702z00_17454 = 
(
STRUCT_KEY(BgL_ufz00_13054)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4702z00_17454 = ((bool_t)0)
; } 
if(BgL_test4702z00_17454)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13055; obj_t BgL_runz00_13056; obj_t BgL_sfz00_13057;
BgL_arityz00_13055 = 
STRUCT_REF(BgL_ufz00_13054, 
(int)(((long)0))); 
BgL_runz00_13056 = 
STRUCT_REF(BgL_ufz00_13054, 
(int)(((long)1))); 
BgL_sfz00_13057 = 
STRUCT_REF(BgL_ufz00_13054, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13055)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13055))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13055)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1964z00_13060; obj_t BgL_arg1965z00_13061;
BgL_arg1964z00_13060 = 
(
(long)CINT(BgL_bpz00_13052)+((long)0)); 
BgL_arg1965z00_13061 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11017),BgL_arg1964z00_13060,BgL_arg1965z00_13061); } break;
default: 
BgL_case_else1180z00_13058:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1967z00_13059;
BgL_arg1967z00_13059 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13054), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11014, BgL_arg1967z00_13059, 
(int)(((long)0)), 
CINT(BgL_arityz00_13055)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1180z00_13058;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13062;
BgL_z12denvz12_13062 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11017, BgL_bpz00_13052, BgL_sfz00_13057))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13056;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13063;
BgL_nsz00_13063 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1969z00_13064;
BgL_arg1969z00_13064 = 
(
(long)CINT(BgL_bpz00_13052)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13063, ((long)2), BgL_sz00_11017, BgL_bpz00_13052, 
BINT(BgL_arg1969z00_13064)); } 
VECTOR_SET(BgL_nsz00_13063,((long)1),BgL_sz00_11017); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13062, BgL_nsz00_13063); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13065;
BgL_ez00_13065 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13066;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13067;
BgL_arg4066z00_13067 = 
BGL_EXITD_PROTECT(BgL_ez00_13065); 
BgL_arg4065z00_13066 = 
MAKE_YOUNG_PAIR(BgL_sz00_11017, BgL_arg4066z00_13067); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13065, BgL_arg4065z00_13066); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13068;
BgL_____rz00_13068 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13056, BgL_nsz00_13063, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4707z00_17498;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13069;
BgL_arg4064z00_13069 = 
BGL_EXITD_PROTECT(BgL_ez00_13065); 
BgL_test4707z00_17498 = 
PAIRP(BgL_arg4064z00_13069); } 
if(BgL_test4707z00_17498)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13070;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13071;
BgL_arg4063z00_13071 = 
BGL_EXITD_PROTECT(BgL_ez00_13065); 
BgL_arg4062z00_13070 = 
CDR(
((obj_t)BgL_arg4063z00_13071)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13065, BgL_arg4062z00_13070); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13062, BgL_sz00_11017); 
return BgL_____rz00_13068;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13053, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13072;
BgL_nbpz00_13072 = 
(
(long)CINT(BgL_bpz00_13052)+BgL_siza7eza7_11016); 
VECTOR_SET(
((obj_t)BgL_sz00_11017),((long)0),
BINT(BgL_nbpz00_13072)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13073;
BgL_rz00_13073 = 
PROCEDURE_ENTRY(BgL_fz00_13053)(BgL_fz00_13053, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11017),((long)0),BgL_bpz00_13052); 
return BgL_rz00_13073;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11014, BgL_symbzd2funzd2_11015, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13053));} } } } } } } } 

}



/* &<@anonymous:1975> */
obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11018, obj_t BgL_sz00_11023)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11019; obj_t BgL_locz00_11020; obj_t BgL_symbzd2funzd2_11021; long BgL_siza7eza7_11022;
BgL_funz00_11019 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)0))); 
BgL_locz00_11020 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11021 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)2))); 
BgL_siza7eza7_11022 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13074;
BgL_bpz00_13074 = 
VECTOR_REF(
((obj_t)BgL_sz00_11023),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13075;
BgL_fz00_13075 = 
PROCEDURE_ENTRY(BgL_funz00_11019)(BgL_funz00_11019, BgL_sz00_11023, BEOA); 
if(
PROCEDUREP(BgL_fz00_13075))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11020, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13075); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13076;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17540;
BgL_tmpz00_17540 = 
((obj_t)BgL_fz00_13075); 
BgL_ufz00_13076 = 
PROCEDURE_ATTR(BgL_tmpz00_17540); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4710z00_17543;
if(
STRUCTP(BgL_ufz00_13076))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4710z00_17543 = 
(
STRUCT_KEY(BgL_ufz00_13076)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4710z00_17543 = ((bool_t)0)
; } 
if(BgL_test4710z00_17543)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13077; obj_t BgL_runz00_13078; obj_t BgL_sfz00_13079;
BgL_arityz00_13077 = 
STRUCT_REF(BgL_ufz00_13076, 
(int)(((long)0))); 
BgL_runz00_13078 = 
STRUCT_REF(BgL_ufz00_13076, 
(int)(((long)1))); 
BgL_sfz00_13079 = 
STRUCT_REF(BgL_ufz00_13076, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13080;
BgL_spz00_13080 = 
(
(long)CINT(BgL_bpz00_13074)+BgL_siza7eza7_11022); 
if(
(
(long)CINT(BgL_arityz00_13077)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13077))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13077)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1980z00_13083; obj_t BgL_arg1981z00_13084;
BgL_arg1980z00_13083 = 
(BgL_spz00_13080+((long)0)); 
BgL_arg1981z00_13084 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11023),BgL_arg1980z00_13083,BgL_arg1981z00_13084); } break;
default: 
BgL_case_else1182z00_13081:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1983z00_13082;
BgL_arg1983z00_13082 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13076), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11020, BgL_arg1983z00_13082, 
(int)(((long)0)), 
CINT(BgL_arityz00_13077)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1182z00_13081;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13085;
BgL_z12denvz12_13085 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13085, BgL_locz00_11020); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11023, 
BINT(BgL_spz00_13080), BgL_sfz00_13079))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13078, BgL_sz00_11023, 
BINT(BgL_spz00_13080));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13086;
BgL_nsz00_13086 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1985z00_13087;
BgL_arg1985z00_13087 = 
(BgL_spz00_13080+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13086, ((long)2), BgL_sz00_11023, 
BINT(BgL_spz00_13080), 
BINT(BgL_arg1985z00_13087)); } 
VECTOR_SET(BgL_nsz00_13086,((long)1),BgL_sz00_11023); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13085, BgL_nsz00_13086); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13088;
BgL_ez00_13088 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13089;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13090;
BgL_arg4066z00_13090 = 
BGL_EXITD_PROTECT(BgL_ez00_13088); 
BgL_arg4065z00_13089 = 
MAKE_YOUNG_PAIR(BgL_sz00_11023, BgL_arg4066z00_13090); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13088, BgL_arg4065z00_13089); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13091;
BgL_____rz00_13091 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13078, BgL_nsz00_13086, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4715z00_17592;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13092;
BgL_arg4064z00_13092 = 
BGL_EXITD_PROTECT(BgL_ez00_13088); 
BgL_test4715z00_17592 = 
PAIRP(BgL_arg4064z00_13092); } 
if(BgL_test4715z00_17592)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13093;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13094;
BgL_arg4063z00_13094 = 
BGL_EXITD_PROTECT(BgL_ez00_13088); 
BgL_arg4062z00_13093 = 
CDR(
((obj_t)BgL_arg4063z00_13094)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13088, BgL_arg4062z00_13093); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13085, BgL_sz00_11023); 
return BgL_____rz00_13091;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13075, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13095;
BgL_nbpz00_13095 = 
(
(long)CINT(BgL_bpz00_13074)+BgL_siza7eza7_11022); 
VECTOR_SET(
((obj_t)BgL_sz00_11023),((long)0),
BINT(BgL_nbpz00_13095)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17608;
BgL_tmpz00_17608 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17608, BgL_locz00_11020); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13096;
BgL_rz00_13096 = 
PROCEDURE_ENTRY(BgL_fz00_13075)(BgL_fz00_13075, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11023),((long)0),BgL_bpz00_13074); 
return BgL_rz00_13096;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11020, BgL_symbzd2funzd2_11021, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13075));} } } } } } } } 

}



/* &<@anonymous:1989> */
obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11024, obj_t BgL_sz00_11029)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11025; obj_t BgL_locz00_11026; obj_t BgL_symbzd2funzd2_11027; long BgL_siza7eza7_11028;
BgL_funz00_11025 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)0))); 
BgL_locz00_11026 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11027 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)2))); 
BgL_siza7eza7_11028 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13097;
BgL_bpz00_13097 = 
VECTOR_REF(
((obj_t)BgL_sz00_11029),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13098;
BgL_fz00_13098 = 
PROCEDURE_ENTRY(BgL_funz00_11025)(BgL_funz00_11025, BgL_sz00_11029, BEOA); 
if(
PROCEDUREP(BgL_fz00_13098))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11026, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13098); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13099;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17637;
BgL_tmpz00_17637 = 
((obj_t)BgL_fz00_13098); 
BgL_ufz00_13099 = 
PROCEDURE_ATTR(BgL_tmpz00_17637); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4718z00_17640;
if(
STRUCTP(BgL_ufz00_13099))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4718z00_17640 = 
(
STRUCT_KEY(BgL_ufz00_13099)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4718z00_17640 = ((bool_t)0)
; } 
if(BgL_test4718z00_17640)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13100; obj_t BgL_runz00_13101; obj_t BgL_sfz00_13102;
BgL_arityz00_13100 = 
STRUCT_REF(BgL_ufz00_13099, 
(int)(((long)0))); 
BgL_runz00_13101 = 
STRUCT_REF(BgL_ufz00_13099, 
(int)(((long)1))); 
BgL_sfz00_13102 = 
STRUCT_REF(BgL_ufz00_13099, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13103;
BgL_spz00_13103 = 
(
(long)CINT(BgL_bpz00_13097)+BgL_siza7eza7_11028); 
if(
(
(long)CINT(BgL_arityz00_13100)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13100))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13100)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1994z00_13106; obj_t BgL_arg1995z00_13107;
BgL_arg1994z00_13106 = 
(BgL_spz00_13103+((long)0)); 
BgL_arg1995z00_13107 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11029),BgL_arg1994z00_13106,BgL_arg1995z00_13107); } break;
default: 
BgL_case_else1184z00_13104:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1997z00_13105;
BgL_arg1997z00_13105 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13099), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11026, BgL_arg1997z00_13105, 
(int)(((long)0)), 
CINT(BgL_arityz00_13100)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1184z00_13104;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13108;
BgL_z12denvz12_13108 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11029, 
BINT(BgL_spz00_13103), BgL_sfz00_13102))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13101, BgL_sz00_11029, 
BINT(BgL_spz00_13103));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13109;
BgL_nsz00_13109 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1999z00_13110;
BgL_arg1999z00_13110 = 
(BgL_spz00_13103+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13109, ((long)2), BgL_sz00_11029, 
BINT(BgL_spz00_13103), 
BINT(BgL_arg1999z00_13110)); } 
VECTOR_SET(BgL_nsz00_13109,((long)1),BgL_sz00_11029); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13108, BgL_nsz00_13109); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13111;
BgL_ez00_13111 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13112;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13113;
BgL_arg4066z00_13113 = 
BGL_EXITD_PROTECT(BgL_ez00_13111); 
BgL_arg4065z00_13112 = 
MAKE_YOUNG_PAIR(BgL_sz00_11029, BgL_arg4066z00_13113); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13111, BgL_arg4065z00_13112); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13114;
BgL_____rz00_13114 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13101, BgL_nsz00_13109, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4723z00_17688;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13115;
BgL_arg4064z00_13115 = 
BGL_EXITD_PROTECT(BgL_ez00_13111); 
BgL_test4723z00_17688 = 
PAIRP(BgL_arg4064z00_13115); } 
if(BgL_test4723z00_17688)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13116;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13117;
BgL_arg4063z00_13117 = 
BGL_EXITD_PROTECT(BgL_ez00_13111); 
BgL_arg4062z00_13116 = 
CDR(
((obj_t)BgL_arg4063z00_13117)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13111, BgL_arg4062z00_13116); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13108, BgL_sz00_11029); 
return BgL_____rz00_13114;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13098, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13118;
BgL_nbpz00_13118 = 
(
(long)CINT(BgL_bpz00_13097)+BgL_siza7eza7_11028); 
VECTOR_SET(
((obj_t)BgL_sz00_11029),((long)0),
BINT(BgL_nbpz00_13118)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13119;
BgL_rz00_13119 = 
PROCEDURE_ENTRY(BgL_fz00_13098)(BgL_fz00_13098, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11029),((long)0),BgL_bpz00_13097); 
return BgL_rz00_13119;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11026, BgL_symbzd2funzd2_11027, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13098));} } } } } } } } 

}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2163;
BgL_cfunz00_2163 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2163))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4726z00_17715;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2008z00_2179;
BgL_arg2008z00_2179 = 
bgl_debug(); 
BgL_test4726z00_17715 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2008z00_2179), 
BINT(((long)0))); } 
if(BgL_test4726z00_17715)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32005ze3z87_11030;
BgL_zc3z04anonymousza32005ze3z87_11030 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32005ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_11030, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_11030, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_11030, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_11030, 
(int)(((long)3)), BgL_cfunz00_2163); 
return BgL_zc3z04anonymousza32005ze3z87_11030;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32007ze3z87_11031;
BgL_zc3z04anonymousza32007ze3z87_11031 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32007ze3z87_11031, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32007ze3z87_11031, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32007ze3z87_11031, 
(int)(((long)2)), BgL_cfunz00_2163); 
return BgL_zc3z04anonymousza32007ze3z87_11031;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4728z00_17744;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2048z00_2255;
BgL_arg2048z00_2255 = 
bgl_debug(); 
BgL_test4728z00_17744 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2048z00_2255), 
BINT(((long)0))); } 
if(BgL_test4728z00_17744)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32011ze3z87_11032;
BgL_zc3z04anonymousza32011ze3z87_11032 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11032, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11032, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11032, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11032, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11032, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32011ze3z87_11032;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32030ze3z87_11033;
BgL_zc3z04anonymousza32030ze3z87_11033 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11033, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11033, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11033, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11033, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11033, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32030ze3z87_11033;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4729z00_17777;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2088z00_2331;
BgL_arg2088z00_2331 = 
bgl_debug(); 
BgL_test4729z00_17777 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2088z00_2331), 
BINT(((long)0))); } 
if(BgL_test4729z00_17777)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32051ze3z87_11034;
BgL_zc3z04anonymousza32051ze3z87_11034 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11034, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11034, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11034, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11034, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11034, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32051ze3z87_11034;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32070ze3z87_11035;
BgL_zc3z04anonymousza32070ze3z87_11035 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32070ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11035, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11035, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11035, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11035, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11035, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32070ze3z87_11035;} } } } } 

}



/* &<@anonymous:2005> */
obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11036, obj_t BgL_sz00_11041)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11037; long BgL_siza7eza7_11038; obj_t BgL_locz00_11039; obj_t BgL_cfunz00_11040;
BgL_a1z00_11037 = 
PROCEDURE_REF(BgL_envz00_11036, 
(int)(((long)0))); 
BgL_siza7eza7_11038 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11036, 
(int)(((long)1)))); 
BgL_locz00_11039 = 
PROCEDURE_REF(BgL_envz00_11036, 
(int)(((long)2))); 
BgL_cfunz00_11040 = 
PROCEDURE_REF(BgL_envz00_11036, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13120;
BgL_bpz00_13120 = 
VECTOR_REF(
((obj_t)BgL_sz00_11041),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13121;
BgL_a1z00_13121 = 
PROCEDURE_ENTRY(BgL_a1z00_11037)(BgL_a1z00_11037, BgL_sz00_11041, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13122;
BgL_nbpz00_13122 = 
(
(long)CINT(BgL_bpz00_13120)+BgL_siza7eza7_11038); 
VECTOR_SET(
((obj_t)BgL_sz00_11041),((long)0),
BINT(BgL_nbpz00_13122)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17830;
BgL_tmpz00_17830 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17830, BgL_locz00_11039); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13123;
BgL_rz00_13123 = 
PROCEDURE_ENTRY(BgL_cfunz00_11040)(BgL_cfunz00_11040, BgL_a1z00_13121, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11041),((long)0),BgL_bpz00_13120); 
return BgL_rz00_13123;} } } } } } 

}



/* &<@anonymous:2007> */
obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11042, obj_t BgL_sz00_11046)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11043; long BgL_siza7eza7_11044; obj_t BgL_cfunz00_11045;
BgL_a1z00_11043 = 
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)0))); 
BgL_siza7eza7_11044 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)1)))); 
BgL_cfunz00_11045 = 
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13124;
BgL_bpz00_13124 = 
VECTOR_REF(
((obj_t)BgL_sz00_11046),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13125;
BgL_a1z00_13125 = 
PROCEDURE_ENTRY(BgL_a1z00_11043)(BgL_a1z00_11043, BgL_sz00_11046, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13126;
BgL_nbpz00_13126 = 
(
(long)CINT(BgL_bpz00_13124)+BgL_siza7eza7_11044); 
VECTOR_SET(
((obj_t)BgL_sz00_11046),((long)0),
BINT(BgL_nbpz00_13126)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13127;
BgL_rz00_13127 = 
PROCEDURE_ENTRY(BgL_cfunz00_11045)(BgL_cfunz00_11045, BgL_a1z00_13125, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11046),((long)0),BgL_bpz00_13124); 
return BgL_rz00_13127;} } } } } } 

}



/* &<@anonymous:2011> */
obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11047, obj_t BgL_sz00_11053)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11048; obj_t BgL_a1z00_11049; obj_t BgL_locz00_11050; obj_t BgL_symbzd2funzd2_11051; long BgL_siza7eza7_11052;
BgL_funz00_11048 = 
PROCEDURE_REF(BgL_envz00_11047, 
(int)(((long)0))); 
BgL_a1z00_11049 = 
PROCEDURE_REF(BgL_envz00_11047, 
(int)(((long)1))); 
BgL_locz00_11050 = 
PROCEDURE_REF(BgL_envz00_11047, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11051 = 
PROCEDURE_REF(BgL_envz00_11047, 
(int)(((long)3))); 
BgL_siza7eza7_11052 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11047, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13128;
BgL_bpz00_13128 = 
VECTOR_REF(
((obj_t)BgL_sz00_11053),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13129; obj_t BgL_a1z00_13130;
BgL_fz00_13129 = 
PROCEDURE_ENTRY(BgL_funz00_11048)(BgL_funz00_11048, BgL_sz00_11053, BEOA); 
BgL_a1z00_13130 = 
PROCEDURE_ENTRY(BgL_a1z00_11049)(BgL_a1z00_11049, BgL_sz00_11053, BEOA); 
if(
PROCEDUREP(BgL_fz00_13129))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11050, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13129); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13131;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17887;
BgL_tmpz00_17887 = 
((obj_t)BgL_fz00_13129); 
BgL_ufz00_13131 = 
PROCEDURE_ATTR(BgL_tmpz00_17887); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4731z00_17890;
if(
STRUCTP(BgL_ufz00_13131))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4731z00_17890 = 
(
STRUCT_KEY(BgL_ufz00_13131)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4731z00_17890 = ((bool_t)0)
; } 
if(BgL_test4731z00_17890)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13132; obj_t BgL_runz00_13133; obj_t BgL_sfz00_13134;
BgL_arityz00_13132 = 
STRUCT_REF(BgL_ufz00_13131, 
(int)(((long)0))); 
BgL_runz00_13133 = 
STRUCT_REF(BgL_ufz00_13131, 
(int)(((long)1))); 
BgL_sfz00_13134 = 
STRUCT_REF(BgL_ufz00_13131, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13132)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2015z00_13135;
BgL_arg2015z00_13135 = 
(
(long)CINT(BgL_bpz00_13128)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11053),BgL_arg2015z00_13135,BgL_a1z00_13130); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13132))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13132)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2017z00_13138; obj_t BgL_arg2018z00_13139;
BgL_arg2017z00_13138 = 
(
(long)CINT(BgL_bpz00_13128)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2019z00_13140;
BgL_list2019z00_13140 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13130, BNIL); 
BgL_arg2018z00_13139 = BgL_list2019z00_13140; } 
VECTOR_SET(
((obj_t)BgL_sz00_11053),BgL_arg2017z00_13138,BgL_arg2018z00_13139); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2020z00_13141;
BgL_arg2020z00_13141 = 
(
(long)CINT(BgL_bpz00_13128)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11053),BgL_arg2020z00_13141,BgL_a1z00_13130); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2021z00_13142; obj_t BgL_arg2022z00_13143;
BgL_arg2021z00_13142 = 
(
(long)CINT(BgL_bpz00_13128)+((long)1)); 
BgL_arg2022z00_13143 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11053),BgL_arg2021z00_13142,BgL_arg2022z00_13143); } break;
default: 
BgL_case_else1186z00_13136:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2024z00_13137;
BgL_arg2024z00_13137 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13131), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11050, BgL_arg2024z00_13137, 
(int)(((long)1)), 
CINT(BgL_arityz00_13132)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1186z00_13136;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13144;
BgL_z12denvz12_13144 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13144, BgL_locz00_11050); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11053, BgL_bpz00_13128, BgL_sfz00_13134))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13133;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13145;
BgL_nsz00_13145 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2026z00_13146;
BgL_arg2026z00_13146 = 
(
(long)CINT(BgL_bpz00_13128)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13145, ((long)2), BgL_sz00_11053, BgL_bpz00_13128, 
BINT(BgL_arg2026z00_13146)); } 
VECTOR_SET(BgL_nsz00_13145,((long)1),BgL_sz00_11053); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13144, BgL_nsz00_13145); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13147;
BgL_ez00_13147 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13148;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13149;
BgL_arg4066z00_13149 = 
BGL_EXITD_PROTECT(BgL_ez00_13147); 
BgL_arg4065z00_13148 = 
MAKE_YOUNG_PAIR(BgL_sz00_11053, BgL_arg4066z00_13149); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13147, BgL_arg4065z00_13148); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13150;
BgL_____rz00_13150 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13133, BgL_nsz00_13145, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4736z00_17948;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13151;
BgL_arg4064z00_13151 = 
BGL_EXITD_PROTECT(BgL_ez00_13147); 
BgL_test4736z00_17948 = 
PAIRP(BgL_arg4064z00_13151); } 
if(BgL_test4736z00_17948)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13152;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13153;
BgL_arg4063z00_13153 = 
BGL_EXITD_PROTECT(BgL_ez00_13147); 
BgL_arg4062z00_13152 = 
CDR(
((obj_t)BgL_arg4063z00_13153)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13147, BgL_arg4062z00_13152); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13144, BgL_sz00_11053); 
return BgL_____rz00_13150;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13129, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13154;
BgL_nbpz00_13154 = 
(
(long)CINT(BgL_bpz00_13128)+BgL_siza7eza7_11052); 
VECTOR_SET(
((obj_t)BgL_sz00_11053),((long)0),
BINT(BgL_nbpz00_13154)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17964;
BgL_tmpz00_17964 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17964, BgL_locz00_11050); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13155;
BgL_rz00_13155 = 
PROCEDURE_ENTRY(BgL_fz00_13129)(BgL_fz00_13129, BgL_a1z00_13130, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11053),((long)0),BgL_bpz00_13128); 
return BgL_rz00_13155;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11050, BgL_symbzd2funzd2_11051, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13129));} } } } } } } } 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11054, obj_t BgL_sz00_11060)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11055; obj_t BgL_a1z00_11056; obj_t BgL_locz00_11057; obj_t BgL_symbzd2funzd2_11058; long BgL_siza7eza7_11059;
BgL_funz00_11055 = 
PROCEDURE_REF(BgL_envz00_11054, 
(int)(((long)0))); 
BgL_a1z00_11056 = 
PROCEDURE_REF(BgL_envz00_11054, 
(int)(((long)1))); 
BgL_locz00_11057 = 
PROCEDURE_REF(BgL_envz00_11054, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11058 = 
PROCEDURE_REF(BgL_envz00_11054, 
(int)(((long)3))); 
BgL_siza7eza7_11059 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11054, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13156;
BgL_bpz00_13156 = 
VECTOR_REF(
((obj_t)BgL_sz00_11060),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13157; obj_t BgL_a1z00_13158;
BgL_fz00_13157 = 
PROCEDURE_ENTRY(BgL_funz00_11055)(BgL_funz00_11055, BgL_sz00_11060, BEOA); 
BgL_a1z00_13158 = 
PROCEDURE_ENTRY(BgL_a1z00_11056)(BgL_a1z00_11056, BgL_sz00_11060, BEOA); 
if(
PROCEDUREP(BgL_fz00_13157))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11057, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13157); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13159;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18000;
BgL_tmpz00_18000 = 
((obj_t)BgL_fz00_13157); 
BgL_ufz00_13159 = 
PROCEDURE_ATTR(BgL_tmpz00_18000); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4739z00_18003;
if(
STRUCTP(BgL_ufz00_13159))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4739z00_18003 = 
(
STRUCT_KEY(BgL_ufz00_13159)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4739z00_18003 = ((bool_t)0)
; } 
if(BgL_test4739z00_18003)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13160; obj_t BgL_runz00_13161; obj_t BgL_sfz00_13162;
BgL_arityz00_13160 = 
STRUCT_REF(BgL_ufz00_13159, 
(int)(((long)0))); 
BgL_runz00_13161 = 
STRUCT_REF(BgL_ufz00_13159, 
(int)(((long)1))); 
BgL_sfz00_13162 = 
STRUCT_REF(BgL_ufz00_13159, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13160)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2034z00_13163;
BgL_arg2034z00_13163 = 
(
(long)CINT(BgL_bpz00_13156)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11060),BgL_arg2034z00_13163,BgL_a1z00_13158); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13160))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13160)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2036z00_13166; obj_t BgL_arg2037z00_13167;
BgL_arg2036z00_13166 = 
(
(long)CINT(BgL_bpz00_13156)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2038z00_13168;
BgL_list2038z00_13168 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13158, BNIL); 
BgL_arg2037z00_13167 = BgL_list2038z00_13168; } 
VECTOR_SET(
((obj_t)BgL_sz00_11060),BgL_arg2036z00_13166,BgL_arg2037z00_13167); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2039z00_13169;
BgL_arg2039z00_13169 = 
(
(long)CINT(BgL_bpz00_13156)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11060),BgL_arg2039z00_13169,BgL_a1z00_13158); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2040z00_13170; obj_t BgL_arg2041z00_13171;
BgL_arg2040z00_13170 = 
(
(long)CINT(BgL_bpz00_13156)+((long)1)); 
BgL_arg2041z00_13171 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11060),BgL_arg2040z00_13170,BgL_arg2041z00_13171); } break;
default: 
BgL_case_else1188z00_13164:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2043z00_13165;
BgL_arg2043z00_13165 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13159), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11057, BgL_arg2043z00_13165, 
(int)(((long)1)), 
CINT(BgL_arityz00_13160)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1188z00_13164;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13172;
BgL_z12denvz12_13172 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11060, BgL_bpz00_13156, BgL_sfz00_13162))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13161;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13173;
BgL_nsz00_13173 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2045z00_13174;
BgL_arg2045z00_13174 = 
(
(long)CINT(BgL_bpz00_13156)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13173, ((long)2), BgL_sz00_11060, BgL_bpz00_13156, 
BINT(BgL_arg2045z00_13174)); } 
VECTOR_SET(BgL_nsz00_13173,((long)1),BgL_sz00_11060); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13172, BgL_nsz00_13173); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13175;
BgL_ez00_13175 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13176;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13177;
BgL_arg4066z00_13177 = 
BGL_EXITD_PROTECT(BgL_ez00_13175); 
BgL_arg4065z00_13176 = 
MAKE_YOUNG_PAIR(BgL_sz00_11060, BgL_arg4066z00_13177); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13175, BgL_arg4065z00_13176); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13178;
BgL_____rz00_13178 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13161, BgL_nsz00_13173, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4744z00_18060;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13179;
BgL_arg4064z00_13179 = 
BGL_EXITD_PROTECT(BgL_ez00_13175); 
BgL_test4744z00_18060 = 
PAIRP(BgL_arg4064z00_13179); } 
if(BgL_test4744z00_18060)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13180;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13181;
BgL_arg4063z00_13181 = 
BGL_EXITD_PROTECT(BgL_ez00_13175); 
BgL_arg4062z00_13180 = 
CDR(
((obj_t)BgL_arg4063z00_13181)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13175, BgL_arg4062z00_13180); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13172, BgL_sz00_11060); 
return BgL_____rz00_13178;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13157, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13182;
BgL_nbpz00_13182 = 
(
(long)CINT(BgL_bpz00_13156)+BgL_siza7eza7_11059); 
VECTOR_SET(
((obj_t)BgL_sz00_11060),((long)0),
BINT(BgL_nbpz00_13182)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13183;
BgL_rz00_13183 = 
PROCEDURE_ENTRY(BgL_fz00_13157)(BgL_fz00_13157, BgL_a1z00_13158, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11060),((long)0),BgL_bpz00_13156); 
return BgL_rz00_13183;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11057, BgL_symbzd2funzd2_11058, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13157));} } } } } } } } 

}



/* &<@anonymous:2051> */
obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11061, obj_t BgL_sz00_11067)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11062; obj_t BgL_a1z00_11063; obj_t BgL_locz00_11064; obj_t BgL_symbzd2funzd2_11065; long BgL_siza7eza7_11066;
BgL_funz00_11062 = 
PROCEDURE_REF(BgL_envz00_11061, 
(int)(((long)0))); 
BgL_a1z00_11063 = 
PROCEDURE_REF(BgL_envz00_11061, 
(int)(((long)1))); 
BgL_locz00_11064 = 
PROCEDURE_REF(BgL_envz00_11061, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11065 = 
PROCEDURE_REF(BgL_envz00_11061, 
(int)(((long)3))); 
BgL_siza7eza7_11066 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11061, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13184;
BgL_bpz00_13184 = 
VECTOR_REF(
((obj_t)BgL_sz00_11067),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13185; obj_t BgL_a1z00_13186;
BgL_fz00_13185 = 
PROCEDURE_ENTRY(BgL_funz00_11062)(BgL_funz00_11062, BgL_sz00_11067, BEOA); 
BgL_a1z00_13186 = 
PROCEDURE_ENTRY(BgL_a1z00_11063)(BgL_a1z00_11063, BgL_sz00_11067, BEOA); 
if(
PROCEDUREP(BgL_fz00_13185))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11064, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13185); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13187;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18109;
BgL_tmpz00_18109 = 
((obj_t)BgL_fz00_13185); 
BgL_ufz00_13187 = 
PROCEDURE_ATTR(BgL_tmpz00_18109); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4747z00_18112;
if(
STRUCTP(BgL_ufz00_13187))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4747z00_18112 = 
(
STRUCT_KEY(BgL_ufz00_13187)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4747z00_18112 = ((bool_t)0)
; } 
if(BgL_test4747z00_18112)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13188; obj_t BgL_runz00_13189; obj_t BgL_sfz00_13190;
BgL_arityz00_13188 = 
STRUCT_REF(BgL_ufz00_13187, 
(int)(((long)0))); 
BgL_runz00_13189 = 
STRUCT_REF(BgL_ufz00_13187, 
(int)(((long)1))); 
BgL_sfz00_13190 = 
STRUCT_REF(BgL_ufz00_13187, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13191;
BgL_spz00_13191 = 
(
(long)CINT(BgL_bpz00_13184)+BgL_siza7eza7_11066); 
if(
(
(long)CINT(BgL_arityz00_13188)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2055z00_13192;
BgL_arg2055z00_13192 = 
(BgL_spz00_13191+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11067),BgL_arg2055z00_13192,BgL_a1z00_13186); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13188))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13188)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2057z00_13195; obj_t BgL_arg2058z00_13196;
BgL_arg2057z00_13195 = 
(BgL_spz00_13191+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2059z00_13197;
BgL_list2059z00_13197 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13186, BNIL); 
BgL_arg2058z00_13196 = BgL_list2059z00_13197; } 
VECTOR_SET(
((obj_t)BgL_sz00_11067),BgL_arg2057z00_13195,BgL_arg2058z00_13196); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2060z00_13198;
BgL_arg2060z00_13198 = 
(BgL_spz00_13191+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11067),BgL_arg2060z00_13198,BgL_a1z00_13186); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2061z00_13199; obj_t BgL_arg2062z00_13200;
BgL_arg2061z00_13199 = 
(BgL_spz00_13191+((long)1)); 
BgL_arg2062z00_13200 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11067),BgL_arg2061z00_13199,BgL_arg2062z00_13200); } break;
default: 
BgL_case_else1190z00_13193:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2064z00_13194;
BgL_arg2064z00_13194 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13187), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11064, BgL_arg2064z00_13194, 
(int)(((long)1)), 
CINT(BgL_arityz00_13188)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1190z00_13193;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13201;
BgL_z12denvz12_13201 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13201, BgL_locz00_11064); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11067, 
BINT(BgL_spz00_13191), BgL_sfz00_13190))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13189, BgL_sz00_11067, 
BINT(BgL_spz00_13191));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13202;
BgL_nsz00_13202 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2066z00_13203;
BgL_arg2066z00_13203 = 
(BgL_spz00_13191+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13202, ((long)2), BgL_sz00_11067, 
BINT(BgL_spz00_13191), 
BINT(BgL_arg2066z00_13203)); } 
VECTOR_SET(BgL_nsz00_13202,((long)1),BgL_sz00_11067); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13201, BgL_nsz00_13202); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13204;
BgL_ez00_13204 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13205;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13206;
BgL_arg4066z00_13206 = 
BGL_EXITD_PROTECT(BgL_ez00_13204); 
BgL_arg4065z00_13205 = 
MAKE_YOUNG_PAIR(BgL_sz00_11067, BgL_arg4066z00_13206); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13204, BgL_arg4065z00_13205); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13207;
BgL_____rz00_13207 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13189, BgL_nsz00_13202, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4752z00_18171;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13208;
BgL_arg4064z00_13208 = 
BGL_EXITD_PROTECT(BgL_ez00_13204); 
BgL_test4752z00_18171 = 
PAIRP(BgL_arg4064z00_13208); } 
if(BgL_test4752z00_18171)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13209;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13210;
BgL_arg4063z00_13210 = 
BGL_EXITD_PROTECT(BgL_ez00_13204); 
BgL_arg4062z00_13209 = 
CDR(
((obj_t)BgL_arg4063z00_13210)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13204, BgL_arg4062z00_13209); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13201, BgL_sz00_11067); 
return BgL_____rz00_13207;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13185, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13211;
BgL_nbpz00_13211 = 
(
(long)CINT(BgL_bpz00_13184)+BgL_siza7eza7_11066); 
VECTOR_SET(
((obj_t)BgL_sz00_11067),((long)0),
BINT(BgL_nbpz00_13211)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18187;
BgL_tmpz00_18187 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18187, BgL_locz00_11064); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13212;
BgL_rz00_13212 = 
PROCEDURE_ENTRY(BgL_fz00_13185)(BgL_fz00_13185, BgL_a1z00_13186, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11067),((long)0),BgL_bpz00_13184); 
return BgL_rz00_13212;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11064, BgL_symbzd2funzd2_11065, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13185));} } } } } } } } 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11068, obj_t BgL_sz00_11074)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11069; obj_t BgL_a1z00_11070; obj_t BgL_locz00_11071; obj_t BgL_symbzd2funzd2_11072; long BgL_siza7eza7_11073;
BgL_funz00_11069 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)0))); 
BgL_a1z00_11070 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)1))); 
BgL_locz00_11071 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11072 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)3))); 
BgL_siza7eza7_11073 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13213;
BgL_bpz00_13213 = 
VECTOR_REF(
((obj_t)BgL_sz00_11074),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13214; obj_t BgL_a1z00_13215;
BgL_fz00_13214 = 
PROCEDURE_ENTRY(BgL_funz00_11069)(BgL_funz00_11069, BgL_sz00_11074, BEOA); 
BgL_a1z00_13215 = 
PROCEDURE_ENTRY(BgL_a1z00_11070)(BgL_a1z00_11070, BgL_sz00_11074, BEOA); 
if(
PROCEDUREP(BgL_fz00_13214))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11071, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13214); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13216;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18223;
BgL_tmpz00_18223 = 
((obj_t)BgL_fz00_13214); 
BgL_ufz00_13216 = 
PROCEDURE_ATTR(BgL_tmpz00_18223); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4755z00_18226;
if(
STRUCTP(BgL_ufz00_13216))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4755z00_18226 = 
(
STRUCT_KEY(BgL_ufz00_13216)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4755z00_18226 = ((bool_t)0)
; } 
if(BgL_test4755z00_18226)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13217; obj_t BgL_runz00_13218; obj_t BgL_sfz00_13219;
BgL_arityz00_13217 = 
STRUCT_REF(BgL_ufz00_13216, 
(int)(((long)0))); 
BgL_runz00_13218 = 
STRUCT_REF(BgL_ufz00_13216, 
(int)(((long)1))); 
BgL_sfz00_13219 = 
STRUCT_REF(BgL_ufz00_13216, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13220;
BgL_spz00_13220 = 
(
(long)CINT(BgL_bpz00_13213)+BgL_siza7eza7_11073); 
if(
(
(long)CINT(BgL_arityz00_13217)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2074z00_13221;
BgL_arg2074z00_13221 = 
(BgL_spz00_13220+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11074),BgL_arg2074z00_13221,BgL_a1z00_13215); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13217))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13217)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2076z00_13224; obj_t BgL_arg2077z00_13225;
BgL_arg2076z00_13224 = 
(BgL_spz00_13220+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2078z00_13226;
BgL_list2078z00_13226 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13215, BNIL); 
BgL_arg2077z00_13225 = BgL_list2078z00_13226; } 
VECTOR_SET(
((obj_t)BgL_sz00_11074),BgL_arg2076z00_13224,BgL_arg2077z00_13225); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2079z00_13227;
BgL_arg2079z00_13227 = 
(BgL_spz00_13220+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11074),BgL_arg2079z00_13227,BgL_a1z00_13215); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2080z00_13228; obj_t BgL_arg2081z00_13229;
BgL_arg2080z00_13228 = 
(BgL_spz00_13220+((long)1)); 
BgL_arg2081z00_13229 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11074),BgL_arg2080z00_13228,BgL_arg2081z00_13229); } break;
default: 
BgL_case_else1192z00_13222:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2083z00_13223;
BgL_arg2083z00_13223 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13216), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11071, BgL_arg2083z00_13223, 
(int)(((long)1)), 
CINT(BgL_arityz00_13217)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1192z00_13222;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13230;
BgL_z12denvz12_13230 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11074, 
BINT(BgL_spz00_13220), BgL_sfz00_13219))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13218, BgL_sz00_11074, 
BINT(BgL_spz00_13220));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13231;
BgL_nsz00_13231 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2085z00_13232;
BgL_arg2085z00_13232 = 
(BgL_spz00_13220+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13231, ((long)2), BgL_sz00_11074, 
BINT(BgL_spz00_13220), 
BINT(BgL_arg2085z00_13232)); } 
VECTOR_SET(BgL_nsz00_13231,((long)1),BgL_sz00_11074); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13230, BgL_nsz00_13231); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13233;
BgL_ez00_13233 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13234;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13235;
BgL_arg4066z00_13235 = 
BGL_EXITD_PROTECT(BgL_ez00_13233); 
BgL_arg4065z00_13234 = 
MAKE_YOUNG_PAIR(BgL_sz00_11074, BgL_arg4066z00_13235); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13233, BgL_arg4065z00_13234); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13236;
BgL_____rz00_13236 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13218, BgL_nsz00_13231, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4760z00_18284;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13237;
BgL_arg4064z00_13237 = 
BGL_EXITD_PROTECT(BgL_ez00_13233); 
BgL_test4760z00_18284 = 
PAIRP(BgL_arg4064z00_13237); } 
if(BgL_test4760z00_18284)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13238;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13239;
BgL_arg4063z00_13239 = 
BGL_EXITD_PROTECT(BgL_ez00_13233); 
BgL_arg4062z00_13238 = 
CDR(
((obj_t)BgL_arg4063z00_13239)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13233, BgL_arg4062z00_13238); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13230, BgL_sz00_11074); 
return BgL_____rz00_13236;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13214, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13240;
BgL_nbpz00_13240 = 
(
(long)CINT(BgL_bpz00_13213)+BgL_siza7eza7_11073); 
VECTOR_SET(
((obj_t)BgL_sz00_11074),((long)0),
BINT(BgL_nbpz00_13240)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13241;
BgL_rz00_13241 = 
PROCEDURE_ENTRY(BgL_fz00_13214)(BgL_fz00_13214, BgL_a1z00_13215, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11074),((long)0),BgL_bpz00_13213); 
return BgL_rz00_13241;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11071, BgL_symbzd2funzd2_11072, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13214));} } } } } } } } 

}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2332;
BgL_cfunz00_2332 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2332))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4763z00_18312;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2094z00_2350;
BgL_arg2094z00_2350 = 
bgl_debug(); 
BgL_test4763z00_18312 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2094z00_2350), 
BINT(((long)0))); } 
if(BgL_test4763z00_18312)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32091ze3z87_11075;
BgL_zc3z04anonymousza32091ze3z87_11075 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11075, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11075, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11075, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11075, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11075, 
(int)(((long)4)), BgL_cfunz00_2332); 
return BgL_zc3z04anonymousza32091ze3z87_11075;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32093ze3z87_11076;
BgL_zc3z04anonymousza32093ze3z87_11076 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_11076, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_11076, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_11076, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_11076, 
(int)(((long)3)), BgL_cfunz00_2332); 
return BgL_zc3z04anonymousza32093ze3z87_11076;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4765z00_18345;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2148z00_2442;
BgL_arg2148z00_2442 = 
bgl_debug(); 
BgL_test4765z00_18345 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2148z00_2442), 
BINT(((long)0))); } 
if(BgL_test4765z00_18345)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32097ze3z87_11077;
BgL_zc3z04anonymousza32097ze3z87_11077 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32097ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11077, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11077, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11077, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11077, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11077, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11077, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32097ze3z87_11077;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32123ze3z87_11078;
BgL_zc3z04anonymousza32123ze3z87_11078 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32123ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11078, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11078, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11078, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11078, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11078, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11078, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32123ze3z87_11078;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4766z00_18382;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2203z00_2534;
BgL_arg2203z00_2534 = 
bgl_debug(); 
BgL_test4766z00_18382 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2203z00_2534), 
BINT(((long)0))); } 
if(BgL_test4766z00_18382)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32151ze3z87_11079;
BgL_zc3z04anonymousza32151ze3z87_11079 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11079, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11079, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11079, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11079, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11079, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11079, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32151ze3z87_11079;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32177ze3z87_11080;
BgL_zc3z04anonymousza32177ze3z87_11080 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11080, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11080, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11080, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11080, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11080, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11080, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32177ze3z87_11080;} } } } } 

}



/* &<@anonymous:2091> */
obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11081, obj_t BgL_sz00_11087)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11082; obj_t BgL_a2z00_11083; long BgL_siza7eza7_11084; obj_t BgL_locz00_11085; obj_t BgL_cfunz00_11086;
BgL_a1z00_11082 = 
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)0))); 
BgL_a2z00_11083 = 
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)1))); 
BgL_siza7eza7_11084 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)2)))); 
BgL_locz00_11085 = 
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)3))); 
BgL_cfunz00_11086 = 
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13242;
BgL_bpz00_13242 = 
VECTOR_REF(
((obj_t)BgL_sz00_11087),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13243; obj_t BgL_a2z00_13244;
BgL_a1z00_13243 = 
PROCEDURE_ENTRY(BgL_a1z00_11082)(BgL_a1z00_11082, BgL_sz00_11087, BEOA); 
BgL_a2z00_13244 = 
PROCEDURE_ENTRY(BgL_a2z00_11083)(BgL_a2z00_11083, BgL_sz00_11087, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13245;
BgL_nbpz00_13245 = 
(
(long)CINT(BgL_bpz00_13242)+BgL_siza7eza7_11084); 
VECTOR_SET(
((obj_t)BgL_sz00_11087),((long)0),
BINT(BgL_nbpz00_13245)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18445;
BgL_tmpz00_18445 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18445, BgL_locz00_11085); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13246;
BgL_rz00_13246 = 
PROCEDURE_ENTRY(BgL_cfunz00_11086)(BgL_cfunz00_11086, BgL_a1z00_13243, BgL_a2z00_13244, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11087),((long)0),BgL_bpz00_13242); 
return BgL_rz00_13246;} } } } } } 

}



/* &<@anonymous:2093> */
obj_t BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11088, obj_t BgL_sz00_11093)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11089; obj_t BgL_a2z00_11090; long BgL_siza7eza7_11091; obj_t BgL_cfunz00_11092;
BgL_a1z00_11089 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)0))); 
BgL_a2z00_11090 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)1))); 
BgL_siza7eza7_11091 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)2)))); 
BgL_cfunz00_11092 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13247;
BgL_bpz00_13247 = 
VECTOR_REF(
((obj_t)BgL_sz00_11093),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13248; obj_t BgL_a2z00_13249;
BgL_a1z00_13248 = 
PROCEDURE_ENTRY(BgL_a1z00_11089)(BgL_a1z00_11089, BgL_sz00_11093, BEOA); 
BgL_a2z00_13249 = 
PROCEDURE_ENTRY(BgL_a2z00_11090)(BgL_a2z00_11090, BgL_sz00_11093, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13250;
BgL_nbpz00_13250 = 
(
(long)CINT(BgL_bpz00_13247)+BgL_siza7eza7_11091); 
VECTOR_SET(
((obj_t)BgL_sz00_11093),((long)0),
BINT(BgL_nbpz00_13250)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13251;
BgL_rz00_13251 = 
PROCEDURE_ENTRY(BgL_cfunz00_11092)(BgL_cfunz00_11092, BgL_a1z00_13248, BgL_a2z00_13249, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11093),((long)0),BgL_bpz00_13247); 
return BgL_rz00_13251;} } } } } } 

}



/* &<@anonymous:2097> */
obj_t BGl_z62zc3z04anonymousza32097ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11094, obj_t BgL_sz00_11101)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11095; obj_t BgL_a1z00_11096; obj_t BgL_a2z00_11097; obj_t BgL_locz00_11098; obj_t BgL_symbzd2funzd2_11099; long BgL_siza7eza7_11100;
BgL_funz00_11095 = 
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)0))); 
BgL_a1z00_11096 = 
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)1))); 
BgL_a2z00_11097 = 
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)2))); 
BgL_locz00_11098 = 
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11099 = 
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)4))); 
BgL_siza7eza7_11100 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13252;
BgL_bpz00_13252 = 
VECTOR_REF(
((obj_t)BgL_sz00_11101),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13253; obj_t BgL_a1z00_13254; obj_t BgL_a2z00_13255;
BgL_fz00_13253 = 
PROCEDURE_ENTRY(BgL_funz00_11095)(BgL_funz00_11095, BgL_sz00_11101, BEOA); 
BgL_a1z00_13254 = 
PROCEDURE_ENTRY(BgL_a1z00_11096)(BgL_a1z00_11096, BgL_sz00_11101, BEOA); 
BgL_a2z00_13255 = 
PROCEDURE_ENTRY(BgL_a2z00_11097)(BgL_a2z00_11097, BgL_sz00_11101, BEOA); 
if(
PROCEDUREP(BgL_fz00_13253))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11098, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13253); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13256;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18516;
BgL_tmpz00_18516 = 
((obj_t)BgL_fz00_13253); 
BgL_ufz00_13256 = 
PROCEDURE_ATTR(BgL_tmpz00_18516); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4768z00_18519;
if(
STRUCTP(BgL_ufz00_13256))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4768z00_18519 = 
(
STRUCT_KEY(BgL_ufz00_13256)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4768z00_18519 = ((bool_t)0)
; } 
if(BgL_test4768z00_18519)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13257; obj_t BgL_runz00_13258; obj_t BgL_sfz00_13259;
BgL_arityz00_13257 = 
STRUCT_REF(BgL_ufz00_13256, 
(int)(((long)0))); 
BgL_runz00_13258 = 
STRUCT_REF(BgL_ufz00_13256, 
(int)(((long)1))); 
BgL_sfz00_13259 = 
STRUCT_REF(BgL_ufz00_13256, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13257)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2101z00_13260;
BgL_arg2101z00_13260 = 
(
(long)CINT(BgL_bpz00_13252)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2101z00_13260,BgL_a1z00_13254); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2102z00_13261;
BgL_arg2102z00_13261 = 
(
(long)CINT(BgL_bpz00_13252)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2102z00_13261,BgL_a2z00_13255); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13257))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13257)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2104z00_13264; obj_t BgL_arg2105z00_13265;
BgL_arg2104z00_13264 = 
(
(long)CINT(BgL_bpz00_13252)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2106z00_13266;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2107z00_13267;
BgL_arg2107z00_13267 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13255, BNIL); 
BgL_list2106z00_13266 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13254, BgL_arg2107z00_13267); } 
BgL_arg2105z00_13265 = BgL_list2106z00_13266; } 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2104z00_13264,BgL_arg2105z00_13265); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2108z00_13268;
BgL_arg2108z00_13268 = 
(
(long)CINT(BgL_bpz00_13252)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2108z00_13268,BgL_a1z00_13254); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2109z00_13269; obj_t BgL_arg2110z00_13270;
BgL_arg2109z00_13269 = 
(
(long)CINT(BgL_bpz00_13252)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2111z00_13271;
BgL_list2111z00_13271 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13255, BNIL); 
BgL_arg2110z00_13270 = BgL_list2111z00_13271; } 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2109z00_13269,BgL_arg2110z00_13270); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2112z00_13272;
BgL_arg2112z00_13272 = 
(
(long)CINT(BgL_bpz00_13252)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2112z00_13272,BgL_a1z00_13254); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2113z00_13273;
BgL_arg2113z00_13273 = 
(
(long)CINT(BgL_bpz00_13252)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2113z00_13273,BgL_a2z00_13255); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2114z00_13274; obj_t BgL_arg2115z00_13275;
BgL_arg2114z00_13274 = 
(
(long)CINT(BgL_bpz00_13252)+((long)2)); 
BgL_arg2115z00_13275 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2114z00_13274,BgL_arg2115z00_13275); } break;
default: 
BgL_case_else1194z00_13262:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2117z00_13263;
BgL_arg2117z00_13263 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13256), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11098, BgL_arg2117z00_13263, 
(int)(((long)2)), 
CINT(BgL_arityz00_13257)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1194z00_13262;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13276;
BgL_z12denvz12_13276 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13276, BgL_locz00_11098); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11101, BgL_bpz00_13252, BgL_sfz00_13259))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13258;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13277;
BgL_nsz00_13277 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2119z00_13278;
BgL_arg2119z00_13278 = 
(
(long)CINT(BgL_bpz00_13252)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13277, ((long)2), BgL_sz00_11101, BgL_bpz00_13252, 
BINT(BgL_arg2119z00_13278)); } 
VECTOR_SET(BgL_nsz00_13277,((long)1),BgL_sz00_11101); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13276, BgL_nsz00_13277); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13279;
BgL_ez00_13279 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13280;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13281;
BgL_arg4066z00_13281 = 
BGL_EXITD_PROTECT(BgL_ez00_13279); 
BgL_arg4065z00_13280 = 
MAKE_YOUNG_PAIR(BgL_sz00_11101, BgL_arg4066z00_13281); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13279, BgL_arg4065z00_13280); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13282;
BgL_____rz00_13282 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13258, BgL_nsz00_13277, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4773z00_18595;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13283;
BgL_arg4064z00_13283 = 
BGL_EXITD_PROTECT(BgL_ez00_13279); 
BgL_test4773z00_18595 = 
PAIRP(BgL_arg4064z00_13283); } 
if(BgL_test4773z00_18595)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13284;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13285;
BgL_arg4063z00_13285 = 
BGL_EXITD_PROTECT(BgL_ez00_13279); 
BgL_arg4062z00_13284 = 
CDR(
((obj_t)BgL_arg4063z00_13285)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13279, BgL_arg4062z00_13284); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13276, BgL_sz00_11101); 
return BgL_____rz00_13282;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13253, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13286;
BgL_nbpz00_13286 = 
(
(long)CINT(BgL_bpz00_13252)+BgL_siza7eza7_11100); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),((long)0),
BINT(BgL_nbpz00_13286)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18611;
BgL_tmpz00_18611 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18611, BgL_locz00_11098); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13287;
BgL_rz00_13287 = 
PROCEDURE_ENTRY(BgL_fz00_13253)(BgL_fz00_13253, BgL_a1z00_13254, BgL_a2z00_13255, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),((long)0),BgL_bpz00_13252); 
return BgL_rz00_13287;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11098, BgL_symbzd2funzd2_11099, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13253));} } } } } } } } 

}



/* &<@anonymous:2123> */
obj_t BGl_z62zc3z04anonymousza32123ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11102, obj_t BgL_sz00_11109)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11103; obj_t BgL_a1z00_11104; obj_t BgL_a2z00_11105; obj_t BgL_locz00_11106; obj_t BgL_symbzd2funzd2_11107; long BgL_siza7eza7_11108;
BgL_funz00_11103 = 
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)0))); 
BgL_a1z00_11104 = 
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)1))); 
BgL_a2z00_11105 = 
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)2))); 
BgL_locz00_11106 = 
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11107 = 
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)4))); 
BgL_siza7eza7_11108 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13288;
BgL_bpz00_13288 = 
VECTOR_REF(
((obj_t)BgL_sz00_11109),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13289; obj_t BgL_a1z00_13290; obj_t BgL_a2z00_13291;
BgL_fz00_13289 = 
PROCEDURE_ENTRY(BgL_funz00_11103)(BgL_funz00_11103, BgL_sz00_11109, BEOA); 
BgL_a1z00_13290 = 
PROCEDURE_ENTRY(BgL_a1z00_11104)(BgL_a1z00_11104, BgL_sz00_11109, BEOA); 
BgL_a2z00_13291 = 
PROCEDURE_ENTRY(BgL_a2z00_11105)(BgL_a2z00_11105, BgL_sz00_11109, BEOA); 
if(
PROCEDUREP(BgL_fz00_13289))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11106, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13289); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13292;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18654;
BgL_tmpz00_18654 = 
((obj_t)BgL_fz00_13289); 
BgL_ufz00_13292 = 
PROCEDURE_ATTR(BgL_tmpz00_18654); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4776z00_18657;
if(
STRUCTP(BgL_ufz00_13292))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4776z00_18657 = 
(
STRUCT_KEY(BgL_ufz00_13292)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4776z00_18657 = ((bool_t)0)
; } 
if(BgL_test4776z00_18657)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13293; obj_t BgL_runz00_13294; obj_t BgL_sfz00_13295;
BgL_arityz00_13293 = 
STRUCT_REF(BgL_ufz00_13292, 
(int)(((long)0))); 
BgL_runz00_13294 = 
STRUCT_REF(BgL_ufz00_13292, 
(int)(((long)1))); 
BgL_sfz00_13295 = 
STRUCT_REF(BgL_ufz00_13292, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13293)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2127z00_13296;
BgL_arg2127z00_13296 = 
(
(long)CINT(BgL_bpz00_13288)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11109),BgL_arg2127z00_13296,BgL_a1z00_13290); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2128z00_13297;
BgL_arg2128z00_13297 = 
(
(long)CINT(BgL_bpz00_13288)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11109),BgL_arg2128z00_13297,BgL_a2z00_13291); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13293))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13293)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2130z00_13300; obj_t BgL_arg2131z00_13301;
BgL_arg2130z00_13300 = 
(
(long)CINT(BgL_bpz00_13288)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2132z00_13302;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2133z00_13303;
BgL_arg2133z00_13303 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13291, BNIL); 
BgL_list2132z00_13302 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13290, BgL_arg2133z00_13303); } 
BgL_arg2131z00_13301 = BgL_list2132z00_13302; } 
VECTOR_SET(
((obj_t)BgL_sz00_11109),BgL_arg2130z00_13300,BgL_arg2131z00_13301); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2134z00_13304;
BgL_arg2134z00_13304 = 
(
(long)CINT(BgL_bpz00_13288)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11109),BgL_arg2134z00_13304,BgL_a1z00_13290); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2135z00_13305; obj_t BgL_arg2136z00_13306;
BgL_arg2135z00_13305 = 
(
(long)CINT(BgL_bpz00_13288)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2137z00_13307;
BgL_list2137z00_13307 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13291, BNIL); 
BgL_arg2136z00_13306 = BgL_list2137z00_13307; } 
VECTOR_SET(
((obj_t)BgL_sz00_11109),BgL_arg2135z00_13305,BgL_arg2136z00_13306); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2138z00_13308;
BgL_arg2138z00_13308 = 
(
(long)CINT(BgL_bpz00_13288)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11109),BgL_arg2138z00_13308,BgL_a1z00_13290); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2139z00_13309;
BgL_arg2139z00_13309 = 
(
(long)CINT(BgL_bpz00_13288)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11109),BgL_arg2139z00_13309,BgL_a2z00_13291); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2140z00_13310; obj_t BgL_arg2141z00_13311;
BgL_arg2140z00_13310 = 
(
(long)CINT(BgL_bpz00_13288)+((long)2)); 
BgL_arg2141z00_13311 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11109),BgL_arg2140z00_13310,BgL_arg2141z00_13311); } break;
default: 
BgL_case_else1196z00_13298:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2143z00_13299;
BgL_arg2143z00_13299 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13292), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11106, BgL_arg2143z00_13299, 
(int)(((long)2)), 
CINT(BgL_arityz00_13293)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1196z00_13298;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13312;
BgL_z12denvz12_13312 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11109, BgL_bpz00_13288, BgL_sfz00_13295))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13294;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13313;
BgL_nsz00_13313 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2145z00_13314;
BgL_arg2145z00_13314 = 
(
(long)CINT(BgL_bpz00_13288)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13313, ((long)2), BgL_sz00_11109, BgL_bpz00_13288, 
BINT(BgL_arg2145z00_13314)); } 
VECTOR_SET(BgL_nsz00_13313,((long)1),BgL_sz00_11109); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13312, BgL_nsz00_13313); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13315;
BgL_ez00_13315 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13316;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13317;
BgL_arg4066z00_13317 = 
BGL_EXITD_PROTECT(BgL_ez00_13315); 
BgL_arg4065z00_13316 = 
MAKE_YOUNG_PAIR(BgL_sz00_11109, BgL_arg4066z00_13317); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13315, BgL_arg4065z00_13316); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13318;
BgL_____rz00_13318 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13294, BgL_nsz00_13313, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4781z00_18732;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13319;
BgL_arg4064z00_13319 = 
BGL_EXITD_PROTECT(BgL_ez00_13315); 
BgL_test4781z00_18732 = 
PAIRP(BgL_arg4064z00_13319); } 
if(BgL_test4781z00_18732)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13320;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13321;
BgL_arg4063z00_13321 = 
BGL_EXITD_PROTECT(BgL_ez00_13315); 
BgL_arg4062z00_13320 = 
CDR(
((obj_t)BgL_arg4063z00_13321)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13315, BgL_arg4062z00_13320); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13312, BgL_sz00_11109); 
return BgL_____rz00_13318;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13289, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13322;
BgL_nbpz00_13322 = 
(
(long)CINT(BgL_bpz00_13288)+BgL_siza7eza7_11108); 
VECTOR_SET(
((obj_t)BgL_sz00_11109),((long)0),
BINT(BgL_nbpz00_13322)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13323;
BgL_rz00_13323 = 
PROCEDURE_ENTRY(BgL_fz00_13289)(BgL_fz00_13289, BgL_a1z00_13290, BgL_a2z00_13291, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11109),((long)0),BgL_bpz00_13288); 
return BgL_rz00_13323;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11106, BgL_symbzd2funzd2_11107, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13289));} } } } } } } } 

}



/* &<@anonymous:2151> */
obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11110, obj_t BgL_sz00_11117)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11111; obj_t BgL_a1z00_11112; obj_t BgL_a2z00_11113; obj_t BgL_locz00_11114; obj_t BgL_symbzd2funzd2_11115; long BgL_siza7eza7_11116;
BgL_funz00_11111 = 
PROCEDURE_REF(BgL_envz00_11110, 
(int)(((long)0))); 
BgL_a1z00_11112 = 
PROCEDURE_REF(BgL_envz00_11110, 
(int)(((long)1))); 
BgL_a2z00_11113 = 
PROCEDURE_REF(BgL_envz00_11110, 
(int)(((long)2))); 
BgL_locz00_11114 = 
PROCEDURE_REF(BgL_envz00_11110, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11115 = 
PROCEDURE_REF(BgL_envz00_11110, 
(int)(((long)4))); 
BgL_siza7eza7_11116 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11110, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13324;
BgL_bpz00_13324 = 
VECTOR_REF(
((obj_t)BgL_sz00_11117),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13325; obj_t BgL_a1z00_13326; obj_t BgL_a2z00_13327;
BgL_fz00_13325 = 
PROCEDURE_ENTRY(BgL_funz00_11111)(BgL_funz00_11111, BgL_sz00_11117, BEOA); 
BgL_a1z00_13326 = 
PROCEDURE_ENTRY(BgL_a1z00_11112)(BgL_a1z00_11112, BgL_sz00_11117, BEOA); 
BgL_a2z00_13327 = 
PROCEDURE_ENTRY(BgL_a2z00_11113)(BgL_a2z00_11113, BgL_sz00_11117, BEOA); 
if(
PROCEDUREP(BgL_fz00_13325))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11114, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13325); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13328;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18788;
BgL_tmpz00_18788 = 
((obj_t)BgL_fz00_13325); 
BgL_ufz00_13328 = 
PROCEDURE_ATTR(BgL_tmpz00_18788); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4784z00_18791;
if(
STRUCTP(BgL_ufz00_13328))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4784z00_18791 = 
(
STRUCT_KEY(BgL_ufz00_13328)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4784z00_18791 = ((bool_t)0)
; } 
if(BgL_test4784z00_18791)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13329; obj_t BgL_runz00_13330; obj_t BgL_sfz00_13331;
BgL_arityz00_13329 = 
STRUCT_REF(BgL_ufz00_13328, 
(int)(((long)0))); 
BgL_runz00_13330 = 
STRUCT_REF(BgL_ufz00_13328, 
(int)(((long)1))); 
BgL_sfz00_13331 = 
STRUCT_REF(BgL_ufz00_13328, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13332;
BgL_spz00_13332 = 
(
(long)CINT(BgL_bpz00_13324)+BgL_siza7eza7_11116); 
if(
(
(long)CINT(BgL_arityz00_13329)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2155z00_13333;
BgL_arg2155z00_13333 = 
(BgL_spz00_13332+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11117),BgL_arg2155z00_13333,BgL_a1z00_13326); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2156z00_13334;
BgL_arg2156z00_13334 = 
(BgL_spz00_13332+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11117),BgL_arg2156z00_13334,BgL_a2z00_13327); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13329))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13329)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2158z00_13337; obj_t BgL_arg2159z00_13338;
BgL_arg2158z00_13337 = 
(BgL_spz00_13332+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2160z00_13339;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2161z00_13340;
BgL_arg2161z00_13340 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13327, BNIL); 
BgL_list2160z00_13339 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13326, BgL_arg2161z00_13340); } 
BgL_arg2159z00_13338 = BgL_list2160z00_13339; } 
VECTOR_SET(
((obj_t)BgL_sz00_11117),BgL_arg2158z00_13337,BgL_arg2159z00_13338); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2162z00_13341;
BgL_arg2162z00_13341 = 
(BgL_spz00_13332+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11117),BgL_arg2162z00_13341,BgL_a1z00_13326); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2163z00_13342; obj_t BgL_arg2164z00_13343;
BgL_arg2163z00_13342 = 
(BgL_spz00_13332+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2165z00_13344;
BgL_list2165z00_13344 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13327, BNIL); 
BgL_arg2164z00_13343 = BgL_list2165z00_13344; } 
VECTOR_SET(
((obj_t)BgL_sz00_11117),BgL_arg2163z00_13342,BgL_arg2164z00_13343); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2166z00_13345;
BgL_arg2166z00_13345 = 
(BgL_spz00_13332+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11117),BgL_arg2166z00_13345,BgL_a1z00_13326); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2167z00_13346;
BgL_arg2167z00_13346 = 
(BgL_spz00_13332+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11117),BgL_arg2167z00_13346,BgL_a2z00_13327); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2168z00_13347; obj_t BgL_arg2169z00_13348;
BgL_arg2168z00_13347 = 
(BgL_spz00_13332+((long)2)); 
BgL_arg2169z00_13348 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11117),BgL_arg2168z00_13347,BgL_arg2169z00_13348); } break;
default: 
BgL_case_else1198z00_13335:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2171z00_13336;
BgL_arg2171z00_13336 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13328), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11114, BgL_arg2171z00_13336, 
(int)(((long)2)), 
CINT(BgL_arityz00_13329)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1198z00_13335;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13349;
BgL_z12denvz12_13349 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13349, BgL_locz00_11114); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11117, 
BINT(BgL_spz00_13332), BgL_sfz00_13331))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13330, BgL_sz00_11117, 
BINT(BgL_spz00_13332));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13350;
BgL_nsz00_13350 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2173z00_13351;
BgL_arg2173z00_13351 = 
(BgL_spz00_13332+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13350, ((long)2), BgL_sz00_11117, 
BINT(BgL_spz00_13332), 
BINT(BgL_arg2173z00_13351)); } 
VECTOR_SET(BgL_nsz00_13350,((long)1),BgL_sz00_11117); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13349, BgL_nsz00_13350); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13352;
BgL_ez00_13352 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13353;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13354;
BgL_arg4066z00_13354 = 
BGL_EXITD_PROTECT(BgL_ez00_13352); 
BgL_arg4065z00_13353 = 
MAKE_YOUNG_PAIR(BgL_sz00_11117, BgL_arg4066z00_13354); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13352, BgL_arg4065z00_13353); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13355;
BgL_____rz00_13355 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13330, BgL_nsz00_13350, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4789z00_18864;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13356;
BgL_arg4064z00_13356 = 
BGL_EXITD_PROTECT(BgL_ez00_13352); 
BgL_test4789z00_18864 = 
PAIRP(BgL_arg4064z00_13356); } 
if(BgL_test4789z00_18864)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13357;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13358;
BgL_arg4063z00_13358 = 
BGL_EXITD_PROTECT(BgL_ez00_13352); 
BgL_arg4062z00_13357 = 
CDR(
((obj_t)BgL_arg4063z00_13358)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13352, BgL_arg4062z00_13357); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13349, BgL_sz00_11117); 
return BgL_____rz00_13355;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13325, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13359;
BgL_nbpz00_13359 = 
(
(long)CINT(BgL_bpz00_13324)+BgL_siza7eza7_11116); 
VECTOR_SET(
((obj_t)BgL_sz00_11117),((long)0),
BINT(BgL_nbpz00_13359)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18880;
BgL_tmpz00_18880 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18880, BgL_locz00_11114); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13360;
BgL_rz00_13360 = 
PROCEDURE_ENTRY(BgL_fz00_13325)(BgL_fz00_13325, BgL_a1z00_13326, BgL_a2z00_13327, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11117),((long)0),BgL_bpz00_13324); 
return BgL_rz00_13360;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11114, BgL_symbzd2funzd2_11115, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13325));} } } } } } } } 

}



/* &<@anonymous:2177> */
obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11118, obj_t BgL_sz00_11125)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11119; obj_t BgL_a1z00_11120; obj_t BgL_a2z00_11121; obj_t BgL_locz00_11122; obj_t BgL_symbzd2funzd2_11123; long BgL_siza7eza7_11124;
BgL_funz00_11119 = 
PROCEDURE_REF(BgL_envz00_11118, 
(int)(((long)0))); 
BgL_a1z00_11120 = 
PROCEDURE_REF(BgL_envz00_11118, 
(int)(((long)1))); 
BgL_a2z00_11121 = 
PROCEDURE_REF(BgL_envz00_11118, 
(int)(((long)2))); 
BgL_locz00_11122 = 
PROCEDURE_REF(BgL_envz00_11118, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11123 = 
PROCEDURE_REF(BgL_envz00_11118, 
(int)(((long)4))); 
BgL_siza7eza7_11124 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11118, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13361;
BgL_bpz00_13361 = 
VECTOR_REF(
((obj_t)BgL_sz00_11125),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13362; obj_t BgL_a1z00_13363; obj_t BgL_a2z00_13364;
BgL_fz00_13362 = 
PROCEDURE_ENTRY(BgL_funz00_11119)(BgL_funz00_11119, BgL_sz00_11125, BEOA); 
BgL_a1z00_13363 = 
PROCEDURE_ENTRY(BgL_a1z00_11120)(BgL_a1z00_11120, BgL_sz00_11125, BEOA); 
BgL_a2z00_13364 = 
PROCEDURE_ENTRY(BgL_a2z00_11121)(BgL_a2z00_11121, BgL_sz00_11125, BEOA); 
if(
PROCEDUREP(BgL_fz00_13362))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11122, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13362); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13365;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18923;
BgL_tmpz00_18923 = 
((obj_t)BgL_fz00_13362); 
BgL_ufz00_13365 = 
PROCEDURE_ATTR(BgL_tmpz00_18923); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4792z00_18926;
if(
STRUCTP(BgL_ufz00_13365))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4792z00_18926 = 
(
STRUCT_KEY(BgL_ufz00_13365)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4792z00_18926 = ((bool_t)0)
; } 
if(BgL_test4792z00_18926)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13366; obj_t BgL_runz00_13367; obj_t BgL_sfz00_13368;
BgL_arityz00_13366 = 
STRUCT_REF(BgL_ufz00_13365, 
(int)(((long)0))); 
BgL_runz00_13367 = 
STRUCT_REF(BgL_ufz00_13365, 
(int)(((long)1))); 
BgL_sfz00_13368 = 
STRUCT_REF(BgL_ufz00_13365, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13369;
BgL_spz00_13369 = 
(
(long)CINT(BgL_bpz00_13361)+BgL_siza7eza7_11124); 
if(
(
(long)CINT(BgL_arityz00_13366)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2181z00_13370;
BgL_arg2181z00_13370 = 
(BgL_spz00_13369+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11125),BgL_arg2181z00_13370,BgL_a1z00_13363); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2182z00_13371;
BgL_arg2182z00_13371 = 
(BgL_spz00_13369+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11125),BgL_arg2182z00_13371,BgL_a2z00_13364); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13366))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13366)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2184z00_13374; obj_t BgL_arg2185z00_13375;
BgL_arg2184z00_13374 = 
(BgL_spz00_13369+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2186z00_13376;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2187z00_13377;
BgL_arg2187z00_13377 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13364, BNIL); 
BgL_list2186z00_13376 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13363, BgL_arg2187z00_13377); } 
BgL_arg2185z00_13375 = BgL_list2186z00_13376; } 
VECTOR_SET(
((obj_t)BgL_sz00_11125),BgL_arg2184z00_13374,BgL_arg2185z00_13375); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2188z00_13378;
BgL_arg2188z00_13378 = 
(BgL_spz00_13369+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11125),BgL_arg2188z00_13378,BgL_a1z00_13363); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2189z00_13379; obj_t BgL_arg2190z00_13380;
BgL_arg2189z00_13379 = 
(BgL_spz00_13369+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2191z00_13381;
BgL_list2191z00_13381 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13364, BNIL); 
BgL_arg2190z00_13380 = BgL_list2191z00_13381; } 
VECTOR_SET(
((obj_t)BgL_sz00_11125),BgL_arg2189z00_13379,BgL_arg2190z00_13380); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2192z00_13382;
BgL_arg2192z00_13382 = 
(BgL_spz00_13369+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11125),BgL_arg2192z00_13382,BgL_a1z00_13363); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2193z00_13383;
BgL_arg2193z00_13383 = 
(BgL_spz00_13369+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11125),BgL_arg2193z00_13383,BgL_a2z00_13364); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2194z00_13384; obj_t BgL_arg2196z00_13385;
BgL_arg2194z00_13384 = 
(BgL_spz00_13369+((long)2)); 
BgL_arg2196z00_13385 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11125),BgL_arg2194z00_13384,BgL_arg2196z00_13385); } break;
default: 
BgL_case_else1200z00_13372:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2198z00_13373;
BgL_arg2198z00_13373 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13365), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11122, BgL_arg2198z00_13373, 
(int)(((long)2)), 
CINT(BgL_arityz00_13366)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1200z00_13372;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13386;
BgL_z12denvz12_13386 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11125, 
BINT(BgL_spz00_13369), BgL_sfz00_13368))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13367, BgL_sz00_11125, 
BINT(BgL_spz00_13369));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13387;
BgL_nsz00_13387 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2200z00_13388;
BgL_arg2200z00_13388 = 
(BgL_spz00_13369+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13387, ((long)2), BgL_sz00_11125, 
BINT(BgL_spz00_13369), 
BINT(BgL_arg2200z00_13388)); } 
VECTOR_SET(BgL_nsz00_13387,((long)1),BgL_sz00_11125); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13386, BgL_nsz00_13387); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13389;
BgL_ez00_13389 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13390;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13391;
BgL_arg4066z00_13391 = 
BGL_EXITD_PROTECT(BgL_ez00_13389); 
BgL_arg4065z00_13390 = 
MAKE_YOUNG_PAIR(BgL_sz00_11125, BgL_arg4066z00_13391); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13389, BgL_arg4065z00_13390); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13392;
BgL_____rz00_13392 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13367, BgL_nsz00_13387, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4797z00_18998;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13393;
BgL_arg4064z00_13393 = 
BGL_EXITD_PROTECT(BgL_ez00_13389); 
BgL_test4797z00_18998 = 
PAIRP(BgL_arg4064z00_13393); } 
if(BgL_test4797z00_18998)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13394;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13395;
BgL_arg4063z00_13395 = 
BGL_EXITD_PROTECT(BgL_ez00_13389); 
BgL_arg4062z00_13394 = 
CDR(
((obj_t)BgL_arg4063z00_13395)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13389, BgL_arg4062z00_13394); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13386, BgL_sz00_11125); 
return BgL_____rz00_13392;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13362, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13396;
BgL_nbpz00_13396 = 
(
(long)CINT(BgL_bpz00_13361)+BgL_siza7eza7_11124); 
VECTOR_SET(
((obj_t)BgL_sz00_11125),((long)0),
BINT(BgL_nbpz00_13396)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13397;
BgL_rz00_13397 = 
PROCEDURE_ENTRY(BgL_fz00_13362)(BgL_fz00_13362, BgL_a1z00_13363, BgL_a2z00_13364, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11125),((long)0),BgL_bpz00_13361); 
return BgL_rz00_13397;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11122, BgL_symbzd2funzd2_11123, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13362));} } } } } } } } 

}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2535;
BgL_cfunz00_2535 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2535))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4800z00_19027;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2209z00_2555;
BgL_arg2209z00_2555 = 
bgl_debug(); 
BgL_test4800z00_19027 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2209z00_2555), 
BINT(((long)0))); } 
if(BgL_test4800z00_19027)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32206ze3z87_11126;
BgL_zc3z04anonymousza32206ze3z87_11126 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11126, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11126, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11126, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11126, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11126, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11126, 
(int)(((long)5)), BgL_cfunz00_2535); 
return BgL_zc3z04anonymousza32206ze3z87_11126;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32208ze3z87_11127;
BgL_zc3z04anonymousza32208ze3z87_11127 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11127, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11127, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11127, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11127, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11127, 
(int)(((long)4)), BgL_cfunz00_2535); 
return BgL_zc3z04anonymousza32208ze3z87_11127;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4802z00_19064;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2281z00_2667;
BgL_arg2281z00_2667 = 
bgl_debug(); 
BgL_test4802z00_19064 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2281z00_2667), 
BINT(((long)0))); } 
if(BgL_test4802z00_19064)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32212ze3z87_11128;
BgL_zc3z04anonymousza32212ze3z87_11128 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32212ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11128, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11128, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11128, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11128, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11128, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11128, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11128, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32212ze3z87_11128;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32247ze3z87_11129;
BgL_zc3z04anonymousza32247ze3z87_11129 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32247ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11129, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11129, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11129, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11129, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11129, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11129, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11129, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32247ze3z87_11129;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4803z00_19105;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2353z00_2779;
BgL_arg2353z00_2779 = 
bgl_debug(); 
BgL_test4803z00_19105 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2353z00_2779), 
BINT(((long)0))); } 
if(BgL_test4803z00_19105)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32284ze3z87_11130;
BgL_zc3z04anonymousza32284ze3z87_11130 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32284ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11130, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11130, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11130, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11130, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11130, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11130, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11130, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32284ze3z87_11130;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32319ze3z87_11131;
BgL_zc3z04anonymousza32319ze3z87_11131 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32319ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11131, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11131, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11131, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11131, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11131, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11131, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11131, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32319ze3z87_11131;} } } } } 

}



/* &<@anonymous:2206> */
obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11132, obj_t BgL_sz00_11139)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11133; obj_t BgL_a2z00_11134; obj_t BgL_a3z00_11135; long BgL_siza7eza7_11136; obj_t BgL_locz00_11137; obj_t BgL_cfunz00_11138;
BgL_a1z00_11133 = 
PROCEDURE_REF(BgL_envz00_11132, 
(int)(((long)0))); 
BgL_a2z00_11134 = 
PROCEDURE_REF(BgL_envz00_11132, 
(int)(((long)1))); 
BgL_a3z00_11135 = 
PROCEDURE_REF(BgL_envz00_11132, 
(int)(((long)2))); 
BgL_siza7eza7_11136 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11132, 
(int)(((long)3)))); 
BgL_locz00_11137 = 
PROCEDURE_REF(BgL_envz00_11132, 
(int)(((long)4))); 
BgL_cfunz00_11138 = 
PROCEDURE_REF(BgL_envz00_11132, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13398;
BgL_bpz00_13398 = 
VECTOR_REF(
((obj_t)BgL_sz00_11139),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13399; obj_t BgL_a2z00_13400; obj_t BgL_a3z00_13401;
BgL_a1z00_13399 = 
PROCEDURE_ENTRY(BgL_a1z00_11133)(BgL_a1z00_11133, BgL_sz00_11139, BEOA); 
BgL_a2z00_13400 = 
PROCEDURE_ENTRY(BgL_a2z00_11134)(BgL_a2z00_11134, BgL_sz00_11139, BEOA); 
BgL_a3z00_13401 = 
PROCEDURE_ENTRY(BgL_a3z00_11135)(BgL_a3z00_11135, BgL_sz00_11139, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13402;
BgL_nbpz00_13402 = 
(
(long)CINT(BgL_bpz00_13398)+BgL_siza7eza7_11136); 
VECTOR_SET(
((obj_t)BgL_sz00_11139),((long)0),
BINT(BgL_nbpz00_13402)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19178;
BgL_tmpz00_19178 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19178, BgL_locz00_11137); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13403;
BgL_rz00_13403 = 
PROCEDURE_ENTRY(BgL_cfunz00_11138)(BgL_cfunz00_11138, BgL_a1z00_13399, BgL_a2z00_13400, BgL_a3z00_13401, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11139),((long)0),BgL_bpz00_13398); 
return BgL_rz00_13403;} } } } } } 

}



/* &<@anonymous:2208> */
obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11140, obj_t BgL_sz00_11146)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11141; obj_t BgL_a2z00_11142; obj_t BgL_a3z00_11143; long BgL_siza7eza7_11144; obj_t BgL_cfunz00_11145;
BgL_a1z00_11141 = 
PROCEDURE_REF(BgL_envz00_11140, 
(int)(((long)0))); 
BgL_a2z00_11142 = 
PROCEDURE_REF(BgL_envz00_11140, 
(int)(((long)1))); 
BgL_a3z00_11143 = 
PROCEDURE_REF(BgL_envz00_11140, 
(int)(((long)2))); 
BgL_siza7eza7_11144 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11140, 
(int)(((long)3)))); 
BgL_cfunz00_11145 = 
PROCEDURE_REF(BgL_envz00_11140, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13404;
BgL_bpz00_13404 = 
VECTOR_REF(
((obj_t)BgL_sz00_11146),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13405; obj_t BgL_a2z00_13406; obj_t BgL_a3z00_13407;
BgL_a1z00_13405 = 
PROCEDURE_ENTRY(BgL_a1z00_11141)(BgL_a1z00_11141, BgL_sz00_11146, BEOA); 
BgL_a2z00_13406 = 
PROCEDURE_ENTRY(BgL_a2z00_11142)(BgL_a2z00_11142, BgL_sz00_11146, BEOA); 
BgL_a3z00_13407 = 
PROCEDURE_ENTRY(BgL_a3z00_11143)(BgL_a3z00_11143, BgL_sz00_11146, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13408;
BgL_nbpz00_13408 = 
(
(long)CINT(BgL_bpz00_13404)+BgL_siza7eza7_11144); 
VECTOR_SET(
((obj_t)BgL_sz00_11146),((long)0),
BINT(BgL_nbpz00_13408)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13409;
BgL_rz00_13409 = 
PROCEDURE_ENTRY(BgL_cfunz00_11145)(BgL_cfunz00_11145, BgL_a1z00_13405, BgL_a2z00_13406, BgL_a3z00_13407, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11146),((long)0),BgL_bpz00_13404); 
return BgL_rz00_13409;} } } } } } 

}



/* &<@anonymous:2212> */
obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11147, obj_t BgL_sz00_11155)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11148; obj_t BgL_a1z00_11149; obj_t BgL_a2z00_11150; obj_t BgL_a3z00_11151; obj_t BgL_locz00_11152; obj_t BgL_symbzd2funzd2_11153; long BgL_siza7eza7_11154;
BgL_funz00_11148 = 
PROCEDURE_REF(BgL_envz00_11147, 
(int)(((long)0))); 
BgL_a1z00_11149 = 
PROCEDURE_REF(BgL_envz00_11147, 
(int)(((long)1))); 
BgL_a2z00_11150 = 
PROCEDURE_REF(BgL_envz00_11147, 
(int)(((long)2))); 
BgL_a3z00_11151 = 
PROCEDURE_REF(BgL_envz00_11147, 
(int)(((long)3))); 
BgL_locz00_11152 = 
PROCEDURE_REF(BgL_envz00_11147, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11153 = 
PROCEDURE_REF(BgL_envz00_11147, 
(int)(((long)5))); 
BgL_siza7eza7_11154 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11147, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13410;
BgL_bpz00_13410 = 
VECTOR_REF(
((obj_t)BgL_sz00_11155),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13411; obj_t BgL_a1z00_13412; obj_t BgL_a2z00_13413; obj_t BgL_a3z00_13414;
BgL_fz00_13411 = 
PROCEDURE_ENTRY(BgL_funz00_11148)(BgL_funz00_11148, BgL_sz00_11155, BEOA); 
BgL_a1z00_13412 = 
PROCEDURE_ENTRY(BgL_a1z00_11149)(BgL_a1z00_11149, BgL_sz00_11155, BEOA); 
BgL_a2z00_13413 = 
PROCEDURE_ENTRY(BgL_a2z00_11150)(BgL_a2z00_11150, BgL_sz00_11155, BEOA); 
BgL_a3z00_13414 = 
PROCEDURE_ENTRY(BgL_a3z00_11151)(BgL_a3z00_11151, BgL_sz00_11155, BEOA); 
if(
PROCEDUREP(BgL_fz00_13411))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11152, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13411); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13415;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19263;
BgL_tmpz00_19263 = 
((obj_t)BgL_fz00_13411); 
BgL_ufz00_13415 = 
PROCEDURE_ATTR(BgL_tmpz00_19263); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4805z00_19266;
if(
STRUCTP(BgL_ufz00_13415))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4805z00_19266 = 
(
STRUCT_KEY(BgL_ufz00_13415)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4805z00_19266 = ((bool_t)0)
; } 
if(BgL_test4805z00_19266)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13416; obj_t BgL_runz00_13417; obj_t BgL_sfz00_13418;
BgL_arityz00_13416 = 
STRUCT_REF(BgL_ufz00_13415, 
(int)(((long)0))); 
BgL_runz00_13417 = 
STRUCT_REF(BgL_ufz00_13415, 
(int)(((long)1))); 
BgL_sfz00_13418 = 
STRUCT_REF(BgL_ufz00_13415, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13416)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2216z00_13419;
BgL_arg2216z00_13419 = 
(
(long)CINT(BgL_bpz00_13410)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2216z00_13419,BgL_a1z00_13412); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2217z00_13420;
BgL_arg2217z00_13420 = 
(
(long)CINT(BgL_bpz00_13410)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2217z00_13420,BgL_a2z00_13413); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2218z00_13421;
BgL_arg2218z00_13421 = 
(
(long)CINT(BgL_bpz00_13410)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2218z00_13421,BgL_a3z00_13414); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13416))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13416)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2220z00_13424; obj_t BgL_arg2221z00_13425;
BgL_arg2220z00_13424 = 
(
(long)CINT(BgL_bpz00_13410)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2222z00_13426;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2223z00_13427;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2224z00_13428;
BgL_arg2224z00_13428 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13414, BNIL); 
BgL_arg2223z00_13427 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13413, BgL_arg2224z00_13428); } 
BgL_list2222z00_13426 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13412, BgL_arg2223z00_13427); } 
BgL_arg2221z00_13425 = BgL_list2222z00_13426; } 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2220z00_13424,BgL_arg2221z00_13425); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2225z00_13429;
BgL_arg2225z00_13429 = 
(
(long)CINT(BgL_bpz00_13410)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2225z00_13429,BgL_a1z00_13412); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2226z00_13430; obj_t BgL_arg2227z00_13431;
BgL_arg2226z00_13430 = 
(
(long)CINT(BgL_bpz00_13410)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2228z00_13432;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2229z00_13433;
BgL_arg2229z00_13433 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13414, BNIL); 
BgL_list2228z00_13432 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13413, BgL_arg2229z00_13433); } 
BgL_arg2227z00_13431 = BgL_list2228z00_13432; } 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2226z00_13430,BgL_arg2227z00_13431); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2230z00_13434;
BgL_arg2230z00_13434 = 
(
(long)CINT(BgL_bpz00_13410)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2230z00_13434,BgL_a1z00_13412); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2231z00_13435;
BgL_arg2231z00_13435 = 
(
(long)CINT(BgL_bpz00_13410)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2231z00_13435,BgL_a2z00_13413); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2232z00_13436; obj_t BgL_arg2233z00_13437;
BgL_arg2232z00_13436 = 
(
(long)CINT(BgL_bpz00_13410)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2234z00_13438;
BgL_list2234z00_13438 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13414, BNIL); 
BgL_arg2233z00_13437 = BgL_list2234z00_13438; } 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2232z00_13436,BgL_arg2233z00_13437); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2235z00_13439;
BgL_arg2235z00_13439 = 
(
(long)CINT(BgL_bpz00_13410)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2235z00_13439,BgL_a1z00_13412); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2236z00_13440;
BgL_arg2236z00_13440 = 
(
(long)CINT(BgL_bpz00_13410)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2236z00_13440,BgL_a2z00_13413); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2237z00_13441;
BgL_arg2237z00_13441 = 
(
(long)CINT(BgL_bpz00_13410)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2237z00_13441,BgL_a3z00_13414); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2238z00_13442; obj_t BgL_arg2239z00_13443;
BgL_arg2238z00_13442 = 
(
(long)CINT(BgL_bpz00_13410)+((long)3)); 
BgL_arg2239z00_13443 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11155),BgL_arg2238z00_13442,BgL_arg2239z00_13443); } break;
default: 
BgL_case_else1202z00_13422:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2241z00_13423;
BgL_arg2241z00_13423 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13415), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11152, BgL_arg2241z00_13423, 
(int)(((long)3)), 
CINT(BgL_arityz00_13416)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1202z00_13422;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13444;
BgL_z12denvz12_13444 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13444, BgL_locz00_11152); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11155, BgL_bpz00_13410, BgL_sfz00_13418))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13417;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13445;
BgL_nsz00_13445 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2243z00_13446;
BgL_arg2243z00_13446 = 
(
(long)CINT(BgL_bpz00_13410)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13445, ((long)2), BgL_sz00_11155, BgL_bpz00_13410, 
BINT(BgL_arg2243z00_13446)); } 
VECTOR_SET(BgL_nsz00_13445,((long)1),BgL_sz00_11155); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13444, BgL_nsz00_13445); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13447;
BgL_ez00_13447 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13448;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13449;
BgL_arg4066z00_13449 = 
BGL_EXITD_PROTECT(BgL_ez00_13447); 
BgL_arg4065z00_13448 = 
MAKE_YOUNG_PAIR(BgL_sz00_11155, BgL_arg4066z00_13449); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13447, BgL_arg4065z00_13448); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13450;
BgL_____rz00_13450 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13417, BgL_nsz00_13445, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4810z00_19365;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13451;
BgL_arg4064z00_13451 = 
BGL_EXITD_PROTECT(BgL_ez00_13447); 
BgL_test4810z00_19365 = 
PAIRP(BgL_arg4064z00_13451); } 
if(BgL_test4810z00_19365)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13452;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13453;
BgL_arg4063z00_13453 = 
BGL_EXITD_PROTECT(BgL_ez00_13447); 
BgL_arg4062z00_13452 = 
CDR(
((obj_t)BgL_arg4063z00_13453)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13447, BgL_arg4062z00_13452); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13444, BgL_sz00_11155); 
return BgL_____rz00_13450;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13411, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13454;
BgL_nbpz00_13454 = 
(
(long)CINT(BgL_bpz00_13410)+BgL_siza7eza7_11154); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),((long)0),
BINT(BgL_nbpz00_13454)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19381;
BgL_tmpz00_19381 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19381, BgL_locz00_11152); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13455;
BgL_rz00_13455 = 
PROCEDURE_ENTRY(BgL_fz00_13411)(BgL_fz00_13411, BgL_a1z00_13412, BgL_a2z00_13413, BgL_a3z00_13414, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11155),((long)0),BgL_bpz00_13410); 
return BgL_rz00_13455;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11152, BgL_symbzd2funzd2_11153, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13411));} } } } } } } } 

}



/* &<@anonymous:2247> */
obj_t BGl_z62zc3z04anonymousza32247ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11156, obj_t BgL_sz00_11164)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11157; obj_t BgL_a1z00_11158; obj_t BgL_a2z00_11159; obj_t BgL_a3z00_11160; obj_t BgL_locz00_11161; obj_t BgL_symbzd2funzd2_11162; long BgL_siza7eza7_11163;
BgL_funz00_11157 = 
PROCEDURE_REF(BgL_envz00_11156, 
(int)(((long)0))); 
BgL_a1z00_11158 = 
PROCEDURE_REF(BgL_envz00_11156, 
(int)(((long)1))); 
BgL_a2z00_11159 = 
PROCEDURE_REF(BgL_envz00_11156, 
(int)(((long)2))); 
BgL_a3z00_11160 = 
PROCEDURE_REF(BgL_envz00_11156, 
(int)(((long)3))); 
BgL_locz00_11161 = 
PROCEDURE_REF(BgL_envz00_11156, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11162 = 
PROCEDURE_REF(BgL_envz00_11156, 
(int)(((long)5))); 
BgL_siza7eza7_11163 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11156, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13456;
BgL_bpz00_13456 = 
VECTOR_REF(
((obj_t)BgL_sz00_11164),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13457; obj_t BgL_a1z00_13458; obj_t BgL_a2z00_13459; obj_t BgL_a3z00_13460;
BgL_fz00_13457 = 
PROCEDURE_ENTRY(BgL_funz00_11157)(BgL_funz00_11157, BgL_sz00_11164, BEOA); 
BgL_a1z00_13458 = 
PROCEDURE_ENTRY(BgL_a1z00_11158)(BgL_a1z00_11158, BgL_sz00_11164, BEOA); 
BgL_a2z00_13459 = 
PROCEDURE_ENTRY(BgL_a2z00_11159)(BgL_a2z00_11159, BgL_sz00_11164, BEOA); 
BgL_a3z00_13460 = 
PROCEDURE_ENTRY(BgL_a3z00_11160)(BgL_a3z00_11160, BgL_sz00_11164, BEOA); 
if(
PROCEDUREP(BgL_fz00_13457))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11161, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13457); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13461;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19431;
BgL_tmpz00_19431 = 
((obj_t)BgL_fz00_13457); 
BgL_ufz00_13461 = 
PROCEDURE_ATTR(BgL_tmpz00_19431); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4813z00_19434;
if(
STRUCTP(BgL_ufz00_13461))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4813z00_19434 = 
(
STRUCT_KEY(BgL_ufz00_13461)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4813z00_19434 = ((bool_t)0)
; } 
if(BgL_test4813z00_19434)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13462; obj_t BgL_runz00_13463; obj_t BgL_sfz00_13464;
BgL_arityz00_13462 = 
STRUCT_REF(BgL_ufz00_13461, 
(int)(((long)0))); 
BgL_runz00_13463 = 
STRUCT_REF(BgL_ufz00_13461, 
(int)(((long)1))); 
BgL_sfz00_13464 = 
STRUCT_REF(BgL_ufz00_13461, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13462)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2251z00_13465;
BgL_arg2251z00_13465 = 
(
(long)CINT(BgL_bpz00_13456)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2251z00_13465,BgL_a1z00_13458); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2252z00_13466;
BgL_arg2252z00_13466 = 
(
(long)CINT(BgL_bpz00_13456)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2252z00_13466,BgL_a2z00_13459); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2253z00_13467;
BgL_arg2253z00_13467 = 
(
(long)CINT(BgL_bpz00_13456)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2253z00_13467,BgL_a3z00_13460); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13462))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13462)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2255z00_13470; obj_t BgL_arg2256z00_13471;
BgL_arg2255z00_13470 = 
(
(long)CINT(BgL_bpz00_13456)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2257z00_13472;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2258z00_13473;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2259z00_13474;
BgL_arg2259z00_13474 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13460, BNIL); 
BgL_arg2258z00_13473 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13459, BgL_arg2259z00_13474); } 
BgL_list2257z00_13472 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13458, BgL_arg2258z00_13473); } 
BgL_arg2256z00_13471 = BgL_list2257z00_13472; } 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2255z00_13470,BgL_arg2256z00_13471); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2260z00_13475;
BgL_arg2260z00_13475 = 
(
(long)CINT(BgL_bpz00_13456)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2260z00_13475,BgL_a1z00_13458); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2261z00_13476; obj_t BgL_arg2262z00_13477;
BgL_arg2261z00_13476 = 
(
(long)CINT(BgL_bpz00_13456)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2263z00_13478;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2264z00_13479;
BgL_arg2264z00_13479 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13460, BNIL); 
BgL_list2263z00_13478 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13459, BgL_arg2264z00_13479); } 
BgL_arg2262z00_13477 = BgL_list2263z00_13478; } 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2261z00_13476,BgL_arg2262z00_13477); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2265z00_13480;
BgL_arg2265z00_13480 = 
(
(long)CINT(BgL_bpz00_13456)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2265z00_13480,BgL_a1z00_13458); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2266z00_13481;
BgL_arg2266z00_13481 = 
(
(long)CINT(BgL_bpz00_13456)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2266z00_13481,BgL_a2z00_13459); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2267z00_13482; obj_t BgL_arg2268z00_13483;
BgL_arg2267z00_13482 = 
(
(long)CINT(BgL_bpz00_13456)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2269z00_13484;
BgL_list2269z00_13484 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13460, BNIL); 
BgL_arg2268z00_13483 = BgL_list2269z00_13484; } 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2267z00_13482,BgL_arg2268z00_13483); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2270z00_13485;
BgL_arg2270z00_13485 = 
(
(long)CINT(BgL_bpz00_13456)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2270z00_13485,BgL_a1z00_13458); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2271z00_13486;
BgL_arg2271z00_13486 = 
(
(long)CINT(BgL_bpz00_13456)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2271z00_13486,BgL_a2z00_13459); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2272z00_13487;
BgL_arg2272z00_13487 = 
(
(long)CINT(BgL_bpz00_13456)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2272z00_13487,BgL_a3z00_13460); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2273z00_13488; obj_t BgL_arg2274z00_13489;
BgL_arg2273z00_13488 = 
(
(long)CINT(BgL_bpz00_13456)+((long)3)); 
BgL_arg2274z00_13489 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11164),BgL_arg2273z00_13488,BgL_arg2274z00_13489); } break;
default: 
BgL_case_else1204z00_13468:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2276z00_13469;
BgL_arg2276z00_13469 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13461), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11161, BgL_arg2276z00_13469, 
(int)(((long)3)), 
CINT(BgL_arityz00_13462)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1204z00_13468;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13490;
BgL_z12denvz12_13490 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11164, BgL_bpz00_13456, BgL_sfz00_13464))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13463;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13491;
BgL_nsz00_13491 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2278z00_13492;
BgL_arg2278z00_13492 = 
(
(long)CINT(BgL_bpz00_13456)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13491, ((long)2), BgL_sz00_11164, BgL_bpz00_13456, 
BINT(BgL_arg2278z00_13492)); } 
VECTOR_SET(BgL_nsz00_13491,((long)1),BgL_sz00_11164); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13490, BgL_nsz00_13491); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13493;
BgL_ez00_13493 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13494;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13495;
BgL_arg4066z00_13495 = 
BGL_EXITD_PROTECT(BgL_ez00_13493); 
BgL_arg4065z00_13494 = 
MAKE_YOUNG_PAIR(BgL_sz00_11164, BgL_arg4066z00_13495); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13493, BgL_arg4065z00_13494); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13496;
BgL_____rz00_13496 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13463, BgL_nsz00_13491, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4818z00_19532;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13497;
BgL_arg4064z00_13497 = 
BGL_EXITD_PROTECT(BgL_ez00_13493); 
BgL_test4818z00_19532 = 
PAIRP(BgL_arg4064z00_13497); } 
if(BgL_test4818z00_19532)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13498;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13499;
BgL_arg4063z00_13499 = 
BGL_EXITD_PROTECT(BgL_ez00_13493); 
BgL_arg4062z00_13498 = 
CDR(
((obj_t)BgL_arg4063z00_13499)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13493, BgL_arg4062z00_13498); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13490, BgL_sz00_11164); 
return BgL_____rz00_13496;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13457, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13500;
BgL_nbpz00_13500 = 
(
(long)CINT(BgL_bpz00_13456)+BgL_siza7eza7_11163); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),((long)0),
BINT(BgL_nbpz00_13500)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13501;
BgL_rz00_13501 = 
PROCEDURE_ENTRY(BgL_fz00_13457)(BgL_fz00_13457, BgL_a1z00_13458, BgL_a2z00_13459, BgL_a3z00_13460, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11164),((long)0),BgL_bpz00_13456); 
return BgL_rz00_13501;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11161, BgL_symbzd2funzd2_11162, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13457));} } } } } } } } 

}



/* &<@anonymous:2284> */
obj_t BGl_z62zc3z04anonymousza32284ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11165, obj_t BgL_sz00_11173)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11166; obj_t BgL_a1z00_11167; obj_t BgL_a2z00_11168; obj_t BgL_a3z00_11169; obj_t BgL_locz00_11170; obj_t BgL_symbzd2funzd2_11171; long BgL_siza7eza7_11172;
BgL_funz00_11166 = 
PROCEDURE_REF(BgL_envz00_11165, 
(int)(((long)0))); 
BgL_a1z00_11167 = 
PROCEDURE_REF(BgL_envz00_11165, 
(int)(((long)1))); 
BgL_a2z00_11168 = 
PROCEDURE_REF(BgL_envz00_11165, 
(int)(((long)2))); 
BgL_a3z00_11169 = 
PROCEDURE_REF(BgL_envz00_11165, 
(int)(((long)3))); 
BgL_locz00_11170 = 
PROCEDURE_REF(BgL_envz00_11165, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11171 = 
PROCEDURE_REF(BgL_envz00_11165, 
(int)(((long)5))); 
BgL_siza7eza7_11172 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11165, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13502;
BgL_bpz00_13502 = 
VECTOR_REF(
((obj_t)BgL_sz00_11173),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13503; obj_t BgL_a1z00_13504; obj_t BgL_a2z00_13505; obj_t BgL_a3z00_13506;
BgL_fz00_13503 = 
PROCEDURE_ENTRY(BgL_funz00_11166)(BgL_funz00_11166, BgL_sz00_11173, BEOA); 
BgL_a1z00_13504 = 
PROCEDURE_ENTRY(BgL_a1z00_11167)(BgL_a1z00_11167, BgL_sz00_11173, BEOA); 
BgL_a2z00_13505 = 
PROCEDURE_ENTRY(BgL_a2z00_11168)(BgL_a2z00_11168, BgL_sz00_11173, BEOA); 
BgL_a3z00_13506 = 
PROCEDURE_ENTRY(BgL_a3z00_11169)(BgL_a3z00_11169, BgL_sz00_11173, BEOA); 
if(
PROCEDUREP(BgL_fz00_13503))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11170, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13503); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13507;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19595;
BgL_tmpz00_19595 = 
((obj_t)BgL_fz00_13503); 
BgL_ufz00_13507 = 
PROCEDURE_ATTR(BgL_tmpz00_19595); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4821z00_19598;
if(
STRUCTP(BgL_ufz00_13507))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4821z00_19598 = 
(
STRUCT_KEY(BgL_ufz00_13507)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4821z00_19598 = ((bool_t)0)
; } 
if(BgL_test4821z00_19598)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13508; obj_t BgL_runz00_13509; obj_t BgL_sfz00_13510;
BgL_arityz00_13508 = 
STRUCT_REF(BgL_ufz00_13507, 
(int)(((long)0))); 
BgL_runz00_13509 = 
STRUCT_REF(BgL_ufz00_13507, 
(int)(((long)1))); 
BgL_sfz00_13510 = 
STRUCT_REF(BgL_ufz00_13507, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13511;
BgL_spz00_13511 = 
(
(long)CINT(BgL_bpz00_13502)+BgL_siza7eza7_11172); 
if(
(
(long)CINT(BgL_arityz00_13508)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2288z00_13512;
BgL_arg2288z00_13512 = 
(BgL_spz00_13511+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2288z00_13512,BgL_a1z00_13504); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2289z00_13513;
BgL_arg2289z00_13513 = 
(BgL_spz00_13511+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2289z00_13513,BgL_a2z00_13505); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2290z00_13514;
BgL_arg2290z00_13514 = 
(BgL_spz00_13511+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2290z00_13514,BgL_a3z00_13506); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13508))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13508)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2292z00_13517; obj_t BgL_arg2293z00_13518;
BgL_arg2292z00_13517 = 
(BgL_spz00_13511+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2294z00_13519;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2295z00_13520;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2296z00_13521;
BgL_arg2296z00_13521 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13506, BNIL); 
BgL_arg2295z00_13520 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13505, BgL_arg2296z00_13521); } 
BgL_list2294z00_13519 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13504, BgL_arg2295z00_13520); } 
BgL_arg2293z00_13518 = BgL_list2294z00_13519; } 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2292z00_13517,BgL_arg2293z00_13518); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2297z00_13522;
BgL_arg2297z00_13522 = 
(BgL_spz00_13511+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2297z00_13522,BgL_a1z00_13504); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2298z00_13523; obj_t BgL_arg2299z00_13524;
BgL_arg2298z00_13523 = 
(BgL_spz00_13511+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2300z00_13525;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2301z00_13526;
BgL_arg2301z00_13526 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13506, BNIL); 
BgL_list2300z00_13525 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13505, BgL_arg2301z00_13526); } 
BgL_arg2299z00_13524 = BgL_list2300z00_13525; } 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2298z00_13523,BgL_arg2299z00_13524); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2302z00_13527;
BgL_arg2302z00_13527 = 
(BgL_spz00_13511+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2302z00_13527,BgL_a1z00_13504); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2303z00_13528;
BgL_arg2303z00_13528 = 
(BgL_spz00_13511+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2303z00_13528,BgL_a2z00_13505); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2304z00_13529; obj_t BgL_arg2305z00_13530;
BgL_arg2304z00_13529 = 
(BgL_spz00_13511+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2306z00_13531;
BgL_list2306z00_13531 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13506, BNIL); 
BgL_arg2305z00_13530 = BgL_list2306z00_13531; } 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2304z00_13529,BgL_arg2305z00_13530); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2307z00_13532;
BgL_arg2307z00_13532 = 
(BgL_spz00_13511+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2307z00_13532,BgL_a1z00_13504); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2308z00_13533;
BgL_arg2308z00_13533 = 
(BgL_spz00_13511+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2308z00_13533,BgL_a2z00_13505); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2309z00_13534;
BgL_arg2309z00_13534 = 
(BgL_spz00_13511+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2309z00_13534,BgL_a3z00_13506); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2310z00_13535; obj_t BgL_arg2311z00_13536;
BgL_arg2310z00_13535 = 
(BgL_spz00_13511+((long)3)); 
BgL_arg2311z00_13536 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11173),BgL_arg2310z00_13535,BgL_arg2311z00_13536); } break;
default: 
BgL_case_else1206z00_13515:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2313z00_13516;
BgL_arg2313z00_13516 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13507), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11170, BgL_arg2313z00_13516, 
(int)(((long)3)), 
CINT(BgL_arityz00_13508)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1206z00_13515;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13537;
BgL_z12denvz12_13537 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13537, BgL_locz00_11170); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11173, 
BINT(BgL_spz00_13511), BgL_sfz00_13510))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13509, BgL_sz00_11173, 
BINT(BgL_spz00_13511));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13538;
BgL_nsz00_13538 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2315z00_13539;
BgL_arg2315z00_13539 = 
(BgL_spz00_13511+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13538, ((long)2), BgL_sz00_11173, 
BINT(BgL_spz00_13511), 
BINT(BgL_arg2315z00_13539)); } 
VECTOR_SET(BgL_nsz00_13538,((long)1),BgL_sz00_11173); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13537, BgL_nsz00_13538); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13540;
BgL_ez00_13540 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13541;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13542;
BgL_arg4066z00_13542 = 
BGL_EXITD_PROTECT(BgL_ez00_13540); 
BgL_arg4065z00_13541 = 
MAKE_YOUNG_PAIR(BgL_sz00_11173, BgL_arg4066z00_13542); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13540, BgL_arg4065z00_13541); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13543;
BgL_____rz00_13543 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13509, BgL_nsz00_13538, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4826z00_19689;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13544;
BgL_arg4064z00_13544 = 
BGL_EXITD_PROTECT(BgL_ez00_13540); 
BgL_test4826z00_19689 = 
PAIRP(BgL_arg4064z00_13544); } 
if(BgL_test4826z00_19689)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13545;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13546;
BgL_arg4063z00_13546 = 
BGL_EXITD_PROTECT(BgL_ez00_13540); 
BgL_arg4062z00_13545 = 
CDR(
((obj_t)BgL_arg4063z00_13546)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13540, BgL_arg4062z00_13545); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13537, BgL_sz00_11173); 
return BgL_____rz00_13543;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13503, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13547;
BgL_nbpz00_13547 = 
(
(long)CINT(BgL_bpz00_13502)+BgL_siza7eza7_11172); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),((long)0),
BINT(BgL_nbpz00_13547)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19705;
BgL_tmpz00_19705 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19705, BgL_locz00_11170); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13548;
BgL_rz00_13548 = 
PROCEDURE_ENTRY(BgL_fz00_13503)(BgL_fz00_13503, BgL_a1z00_13504, BgL_a2z00_13505, BgL_a3z00_13506, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),((long)0),BgL_bpz00_13502); 
return BgL_rz00_13548;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11170, BgL_symbzd2funzd2_11171, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13503));} } } } } } } } 

}



/* &<@anonymous:2319> */
obj_t BGl_z62zc3z04anonymousza32319ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11174, obj_t BgL_sz00_11182)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11175; obj_t BgL_a1z00_11176; obj_t BgL_a2z00_11177; obj_t BgL_a3z00_11178; obj_t BgL_locz00_11179; obj_t BgL_symbzd2funzd2_11180; long BgL_siza7eza7_11181;
BgL_funz00_11175 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)0))); 
BgL_a1z00_11176 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)1))); 
BgL_a2z00_11177 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)2))); 
BgL_a3z00_11178 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)3))); 
BgL_locz00_11179 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11180 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)5))); 
BgL_siza7eza7_11181 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13549;
BgL_bpz00_13549 = 
VECTOR_REF(
((obj_t)BgL_sz00_11182),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13550; obj_t BgL_a1z00_13551; obj_t BgL_a2z00_13552; obj_t BgL_a3z00_13553;
BgL_fz00_13550 = 
PROCEDURE_ENTRY(BgL_funz00_11175)(BgL_funz00_11175, BgL_sz00_11182, BEOA); 
BgL_a1z00_13551 = 
PROCEDURE_ENTRY(BgL_a1z00_11176)(BgL_a1z00_11176, BgL_sz00_11182, BEOA); 
BgL_a2z00_13552 = 
PROCEDURE_ENTRY(BgL_a2z00_11177)(BgL_a2z00_11177, BgL_sz00_11182, BEOA); 
BgL_a3z00_13553 = 
PROCEDURE_ENTRY(BgL_a3z00_11178)(BgL_a3z00_11178, BgL_sz00_11182, BEOA); 
if(
PROCEDUREP(BgL_fz00_13550))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11179, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13550); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13554;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19755;
BgL_tmpz00_19755 = 
((obj_t)BgL_fz00_13550); 
BgL_ufz00_13554 = 
PROCEDURE_ATTR(BgL_tmpz00_19755); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4829z00_19758;
if(
STRUCTP(BgL_ufz00_13554))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4829z00_19758 = 
(
STRUCT_KEY(BgL_ufz00_13554)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4829z00_19758 = ((bool_t)0)
; } 
if(BgL_test4829z00_19758)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13555; obj_t BgL_runz00_13556; obj_t BgL_sfz00_13557;
BgL_arityz00_13555 = 
STRUCT_REF(BgL_ufz00_13554, 
(int)(((long)0))); 
BgL_runz00_13556 = 
STRUCT_REF(BgL_ufz00_13554, 
(int)(((long)1))); 
BgL_sfz00_13557 = 
STRUCT_REF(BgL_ufz00_13554, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13558;
BgL_spz00_13558 = 
(
(long)CINT(BgL_bpz00_13549)+BgL_siza7eza7_11181); 
if(
(
(long)CINT(BgL_arityz00_13555)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2323z00_13559;
BgL_arg2323z00_13559 = 
(BgL_spz00_13558+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2323z00_13559,BgL_a1z00_13551); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2324z00_13560;
BgL_arg2324z00_13560 = 
(BgL_spz00_13558+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2324z00_13560,BgL_a2z00_13552); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2325z00_13561;
BgL_arg2325z00_13561 = 
(BgL_spz00_13558+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2325z00_13561,BgL_a3z00_13553); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13555))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13555)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2327z00_13564; obj_t BgL_arg2328z00_13565;
BgL_arg2327z00_13564 = 
(BgL_spz00_13558+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2329z00_13566;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2330z00_13567;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2331z00_13568;
BgL_arg2331z00_13568 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13553, BNIL); 
BgL_arg2330z00_13567 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13552, BgL_arg2331z00_13568); } 
BgL_list2329z00_13566 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13551, BgL_arg2330z00_13567); } 
BgL_arg2328z00_13565 = BgL_list2329z00_13566; } 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2327z00_13564,BgL_arg2328z00_13565); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2332z00_13569;
BgL_arg2332z00_13569 = 
(BgL_spz00_13558+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2332z00_13569,BgL_a1z00_13551); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2333z00_13570; obj_t BgL_arg2334z00_13571;
BgL_arg2333z00_13570 = 
(BgL_spz00_13558+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2335z00_13572;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2336z00_13573;
BgL_arg2336z00_13573 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13553, BNIL); 
BgL_list2335z00_13572 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13552, BgL_arg2336z00_13573); } 
BgL_arg2334z00_13571 = BgL_list2335z00_13572; } 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2333z00_13570,BgL_arg2334z00_13571); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2337z00_13574;
BgL_arg2337z00_13574 = 
(BgL_spz00_13558+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2337z00_13574,BgL_a1z00_13551); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2338z00_13575;
BgL_arg2338z00_13575 = 
(BgL_spz00_13558+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2338z00_13575,BgL_a2z00_13552); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2339z00_13576; obj_t BgL_arg2340z00_13577;
BgL_arg2339z00_13576 = 
(BgL_spz00_13558+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2341z00_13578;
BgL_list2341z00_13578 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13553, BNIL); 
BgL_arg2340z00_13577 = BgL_list2341z00_13578; } 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2339z00_13576,BgL_arg2340z00_13577); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2342z00_13579;
BgL_arg2342z00_13579 = 
(BgL_spz00_13558+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2342z00_13579,BgL_a1z00_13551); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2343z00_13580;
BgL_arg2343z00_13580 = 
(BgL_spz00_13558+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2343z00_13580,BgL_a2z00_13552); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2344z00_13581;
BgL_arg2344z00_13581 = 
(BgL_spz00_13558+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2344z00_13581,BgL_a3z00_13553); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2345z00_13582; obj_t BgL_arg2346z00_13583;
BgL_arg2345z00_13582 = 
(BgL_spz00_13558+((long)3)); 
BgL_arg2346z00_13583 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2345z00_13582,BgL_arg2346z00_13583); } break;
default: 
BgL_case_else1208z00_13562:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2348z00_13563;
BgL_arg2348z00_13563 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13554), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11179, BgL_arg2348z00_13563, 
(int)(((long)3)), 
CINT(BgL_arityz00_13555)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1208z00_13562;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13584;
BgL_z12denvz12_13584 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11182, 
BINT(BgL_spz00_13558), BgL_sfz00_13557))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13556, BgL_sz00_11182, 
BINT(BgL_spz00_13558));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13585;
BgL_nsz00_13585 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2350z00_13586;
BgL_arg2350z00_13586 = 
(BgL_spz00_13558+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13585, ((long)2), BgL_sz00_11182, 
BINT(BgL_spz00_13558), 
BINT(BgL_arg2350z00_13586)); } 
VECTOR_SET(BgL_nsz00_13585,((long)1),BgL_sz00_11182); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13584, BgL_nsz00_13585); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13587;
BgL_ez00_13587 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13588;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13589;
BgL_arg4066z00_13589 = 
BGL_EXITD_PROTECT(BgL_ez00_13587); 
BgL_arg4065z00_13588 = 
MAKE_YOUNG_PAIR(BgL_sz00_11182, BgL_arg4066z00_13589); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13587, BgL_arg4065z00_13588); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13590;
BgL_____rz00_13590 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13556, BgL_nsz00_13585, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4834z00_19848;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13591;
BgL_arg4064z00_13591 = 
BGL_EXITD_PROTECT(BgL_ez00_13587); 
BgL_test4834z00_19848 = 
PAIRP(BgL_arg4064z00_13591); } 
if(BgL_test4834z00_19848)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13592;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13593;
BgL_arg4063z00_13593 = 
BGL_EXITD_PROTECT(BgL_ez00_13587); 
BgL_arg4062z00_13592 = 
CDR(
((obj_t)BgL_arg4063z00_13593)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13587, BgL_arg4062z00_13592); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13584, BgL_sz00_11182); 
return BgL_____rz00_13590;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13550, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13594;
BgL_nbpz00_13594 = 
(
(long)CINT(BgL_bpz00_13549)+BgL_siza7eza7_11181); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),((long)0),
BINT(BgL_nbpz00_13594)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13595;
BgL_rz00_13595 = 
PROCEDURE_ENTRY(BgL_fz00_13550)(BgL_fz00_13550, BgL_a1z00_13551, BgL_a2z00_13552, BgL_a3z00_13553, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),((long)0),BgL_bpz00_13549); 
return BgL_rz00_13595;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11179, BgL_symbzd2funzd2_11180, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13550));} } } } } } } } 

}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2780;
BgL_cfunz00_2780 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2780))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4837z00_19878;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2359z00_2802;
BgL_arg2359z00_2802 = 
bgl_debug(); 
BgL_test4837z00_19878 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2359z00_2802), 
BINT(((long)0))); } 
if(BgL_test4837z00_19878)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32356ze3z87_11183;
BgL_zc3z04anonymousza32356ze3z87_11183 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11183, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11183, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11183, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11183, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11183, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11183, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11183, 
(int)(((long)6)), BgL_cfunz00_2780); 
return BgL_zc3z04anonymousza32356ze3z87_11183;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32358ze3z87_11184;
BgL_zc3z04anonymousza32358ze3z87_11184 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32358ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11184, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11184, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11184, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11184, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11184, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11184, 
(int)(((long)5)), BgL_cfunz00_2780); 
return BgL_zc3z04anonymousza32358ze3z87_11184;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4839z00_19919;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2453z00_2938;
BgL_arg2453z00_2938 = 
bgl_debug(); 
BgL_test4839z00_19919 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2453z00_2938), 
BINT(((long)0))); } 
if(BgL_test4839z00_19919)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32362ze3z87_11185;
BgL_zc3z04anonymousza32362ze3z87_11185 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32362ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11185, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11185, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11185, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11185, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11185, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11185, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11185, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11185, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32362ze3z87_11185;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32408ze3z87_11186;
BgL_zc3z04anonymousza32408ze3z87_11186 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32408ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11186, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11186, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11186, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11186, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11186, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11186, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11186, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11186, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32408ze3z87_11186;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4840z00_19964;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2547z00_3074;
BgL_arg2547z00_3074 = 
bgl_debug(); 
BgL_test4840z00_19964 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2547z00_3074), 
BINT(((long)0))); } 
if(BgL_test4840z00_19964)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32456ze3z87_11187;
BgL_zc3z04anonymousza32456ze3z87_11187 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32456ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11187, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11187, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11187, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11187, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11187, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11187, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11187, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11187, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32456ze3z87_11187;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32502ze3z87_11188;
BgL_zc3z04anonymousza32502ze3z87_11188 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32502ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11188, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11188, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11188, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11188, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11188, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11188, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11188, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11188, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32502ze3z87_11188;} } } } } 

}



/* &<@anonymous:2356> */
obj_t BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11189, obj_t BgL_sz00_11197)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11190; obj_t BgL_a2z00_11191; obj_t BgL_a3z00_11192; obj_t BgL_a4z00_11193; long BgL_siza7eza7_11194; obj_t BgL_locz00_11195; obj_t BgL_cfunz00_11196;
BgL_a1z00_11190 = 
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)0))); 
BgL_a2z00_11191 = 
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)1))); 
BgL_a3z00_11192 = 
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)2))); 
BgL_a4z00_11193 = 
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)3))); 
BgL_siza7eza7_11194 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)4)))); 
BgL_locz00_11195 = 
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)5))); 
BgL_cfunz00_11196 = 
PROCEDURE_REF(BgL_envz00_11189, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13596;
BgL_bpz00_13596 = 
VECTOR_REF(
((obj_t)BgL_sz00_11197),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13597; obj_t BgL_a2z00_13598; obj_t BgL_a3z00_13599; obj_t BgL_a4z00_13600;
BgL_a1z00_13597 = 
PROCEDURE_ENTRY(BgL_a1z00_11190)(BgL_a1z00_11190, BgL_sz00_11197, BEOA); 
BgL_a2z00_13598 = 
PROCEDURE_ENTRY(BgL_a2z00_11191)(BgL_a2z00_11191, BgL_sz00_11197, BEOA); 
BgL_a3z00_13599 = 
PROCEDURE_ENTRY(BgL_a3z00_11192)(BgL_a3z00_11192, BgL_sz00_11197, BEOA); 
BgL_a4z00_13600 = 
PROCEDURE_ENTRY(BgL_a4z00_11193)(BgL_a4z00_11193, BgL_sz00_11197, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13601;
BgL_nbpz00_13601 = 
(
(long)CINT(BgL_bpz00_13596)+BgL_siza7eza7_11194); 
VECTOR_SET(
((obj_t)BgL_sz00_11197),((long)0),
BINT(BgL_nbpz00_13601)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20047;
BgL_tmpz00_20047 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20047, BgL_locz00_11195); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13602;
BgL_rz00_13602 = 
PROCEDURE_ENTRY(BgL_cfunz00_11196)(BgL_cfunz00_11196, BgL_a1z00_13597, BgL_a2z00_13598, BgL_a3z00_13599, BgL_a4z00_13600, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11197),((long)0),BgL_bpz00_13596); 
return BgL_rz00_13602;} } } } } } 

}



/* &<@anonymous:2358> */
obj_t BGl_z62zc3z04anonymousza32358ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11198, obj_t BgL_sz00_11205)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11199; obj_t BgL_a2z00_11200; obj_t BgL_a3z00_11201; obj_t BgL_a4z00_11202; long BgL_siza7eza7_11203; obj_t BgL_cfunz00_11204;
BgL_a1z00_11199 = 
PROCEDURE_REF(BgL_envz00_11198, 
(int)(((long)0))); 
BgL_a2z00_11200 = 
PROCEDURE_REF(BgL_envz00_11198, 
(int)(((long)1))); 
BgL_a3z00_11201 = 
PROCEDURE_REF(BgL_envz00_11198, 
(int)(((long)2))); 
BgL_a4z00_11202 = 
PROCEDURE_REF(BgL_envz00_11198, 
(int)(((long)3))); 
BgL_siza7eza7_11203 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11198, 
(int)(((long)4)))); 
BgL_cfunz00_11204 = 
PROCEDURE_REF(BgL_envz00_11198, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13603;
BgL_bpz00_13603 = 
VECTOR_REF(
((obj_t)BgL_sz00_11205),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13604; obj_t BgL_a2z00_13605; obj_t BgL_a3z00_13606; obj_t BgL_a4z00_13607;
BgL_a1z00_13604 = 
PROCEDURE_ENTRY(BgL_a1z00_11199)(BgL_a1z00_11199, BgL_sz00_11205, BEOA); 
BgL_a2z00_13605 = 
PROCEDURE_ENTRY(BgL_a2z00_11200)(BgL_a2z00_11200, BgL_sz00_11205, BEOA); 
BgL_a3z00_13606 = 
PROCEDURE_ENTRY(BgL_a3z00_11201)(BgL_a3z00_11201, BgL_sz00_11205, BEOA); 
BgL_a4z00_13607 = 
PROCEDURE_ENTRY(BgL_a4z00_11202)(BgL_a4z00_11202, BgL_sz00_11205, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13608;
BgL_nbpz00_13608 = 
(
(long)CINT(BgL_bpz00_13603)+BgL_siza7eza7_11203); 
VECTOR_SET(
((obj_t)BgL_sz00_11205),((long)0),
BINT(BgL_nbpz00_13608)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13609;
BgL_rz00_13609 = 
PROCEDURE_ENTRY(BgL_cfunz00_11204)(BgL_cfunz00_11204, BgL_a1z00_13604, BgL_a2z00_13605, BgL_a3z00_13606, BgL_a4z00_13607, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11205),((long)0),BgL_bpz00_13603); 
return BgL_rz00_13609;} } } } } } 

}



/* &<@anonymous:2362> */
obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11206, obj_t BgL_sz00_11215)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11207; obj_t BgL_a1z00_11208; obj_t BgL_a2z00_11209; obj_t BgL_a3z00_11210; obj_t BgL_a4z00_11211; obj_t BgL_locz00_11212; obj_t BgL_symbzd2funzd2_11213; long BgL_siza7eza7_11214;
BgL_funz00_11207 = 
PROCEDURE_REF(BgL_envz00_11206, 
(int)(((long)0))); 
BgL_a1z00_11208 = 
PROCEDURE_REF(BgL_envz00_11206, 
(int)(((long)1))); 
BgL_a2z00_11209 = 
PROCEDURE_REF(BgL_envz00_11206, 
(int)(((long)2))); 
BgL_a3z00_11210 = 
PROCEDURE_REF(BgL_envz00_11206, 
(int)(((long)3))); 
BgL_a4z00_11211 = 
PROCEDURE_REF(BgL_envz00_11206, 
(int)(((long)4))); 
BgL_locz00_11212 = 
PROCEDURE_REF(BgL_envz00_11206, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11213 = 
PROCEDURE_REF(BgL_envz00_11206, 
(int)(((long)6))); 
BgL_siza7eza7_11214 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11206, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13610;
BgL_bpz00_13610 = 
VECTOR_REF(
((obj_t)BgL_sz00_11215),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13611; obj_t BgL_a1z00_13612; obj_t BgL_a2z00_13613; obj_t BgL_a3z00_13614; obj_t BgL_a4z00_13615;
BgL_fz00_13611 = 
PROCEDURE_ENTRY(BgL_funz00_11207)(BgL_funz00_11207, BgL_sz00_11215, BEOA); 
BgL_a1z00_13612 = 
PROCEDURE_ENTRY(BgL_a1z00_11208)(BgL_a1z00_11208, BgL_sz00_11215, BEOA); 
BgL_a2z00_13613 = 
PROCEDURE_ENTRY(BgL_a2z00_11209)(BgL_a2z00_11209, BgL_sz00_11215, BEOA); 
BgL_a3z00_13614 = 
PROCEDURE_ENTRY(BgL_a3z00_11210)(BgL_a3z00_11210, BgL_sz00_11215, BEOA); 
BgL_a4z00_13615 = 
PROCEDURE_ENTRY(BgL_a4z00_11211)(BgL_a4z00_11211, BgL_sz00_11215, BEOA); 
if(
PROCEDUREP(BgL_fz00_13611))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11212, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13611); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13616;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20146;
BgL_tmpz00_20146 = 
((obj_t)BgL_fz00_13611); 
BgL_ufz00_13616 = 
PROCEDURE_ATTR(BgL_tmpz00_20146); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4842z00_20149;
if(
STRUCTP(BgL_ufz00_13616))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4842z00_20149 = 
(
STRUCT_KEY(BgL_ufz00_13616)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4842z00_20149 = ((bool_t)0)
; } 
if(BgL_test4842z00_20149)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13617; obj_t BgL_runz00_13618; obj_t BgL_sfz00_13619;
BgL_arityz00_13617 = 
STRUCT_REF(BgL_ufz00_13616, 
(int)(((long)0))); 
BgL_runz00_13618 = 
STRUCT_REF(BgL_ufz00_13616, 
(int)(((long)1))); 
BgL_sfz00_13619 = 
STRUCT_REF(BgL_ufz00_13616, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13617)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2366z00_13620;
BgL_arg2366z00_13620 = 
(
(long)CINT(BgL_bpz00_13610)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2366z00_13620,BgL_a1z00_13612); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2367z00_13621;
BgL_arg2367z00_13621 = 
(
(long)CINT(BgL_bpz00_13610)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2367z00_13621,BgL_a2z00_13613); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2368z00_13622;
BgL_arg2368z00_13622 = 
(
(long)CINT(BgL_bpz00_13610)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2368z00_13622,BgL_a3z00_13614); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2369z00_13623;
BgL_arg2369z00_13623 = 
(
(long)CINT(BgL_bpz00_13610)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2369z00_13623,BgL_a4z00_13615); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13617))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13617)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2371z00_13626; obj_t BgL_arg2372z00_13627;
BgL_arg2371z00_13626 = 
(
(long)CINT(BgL_bpz00_13610)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2373z00_13628;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2374z00_13629;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2375z00_13630;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2376z00_13631;
BgL_arg2376z00_13631 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13615, BNIL); 
BgL_arg2375z00_13630 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13614, BgL_arg2376z00_13631); } 
BgL_arg2374z00_13629 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13613, BgL_arg2375z00_13630); } 
BgL_list2373z00_13628 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13612, BgL_arg2374z00_13629); } 
BgL_arg2372z00_13627 = BgL_list2373z00_13628; } 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2371z00_13626,BgL_arg2372z00_13627); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2377z00_13632;
BgL_arg2377z00_13632 = 
(
(long)CINT(BgL_bpz00_13610)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2377z00_13632,BgL_a1z00_13612); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2378z00_13633; obj_t BgL_arg2379z00_13634;
BgL_arg2378z00_13633 = 
(
(long)CINT(BgL_bpz00_13610)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2380z00_13635;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2381z00_13636;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2382z00_13637;
BgL_arg2382z00_13637 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13615, BNIL); 
BgL_arg2381z00_13636 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13614, BgL_arg2382z00_13637); } 
BgL_list2380z00_13635 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13613, BgL_arg2381z00_13636); } 
BgL_arg2379z00_13634 = BgL_list2380z00_13635; } 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2378z00_13633,BgL_arg2379z00_13634); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2383z00_13638;
BgL_arg2383z00_13638 = 
(
(long)CINT(BgL_bpz00_13610)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2383z00_13638,BgL_a1z00_13612); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2384z00_13639;
BgL_arg2384z00_13639 = 
(
(long)CINT(BgL_bpz00_13610)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2384z00_13639,BgL_a2z00_13613); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2385z00_13640; obj_t BgL_arg2386z00_13641;
BgL_arg2385z00_13640 = 
(
(long)CINT(BgL_bpz00_13610)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2387z00_13642;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2388z00_13643;
BgL_arg2388z00_13643 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13615, BNIL); 
BgL_list2387z00_13642 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13614, BgL_arg2388z00_13643); } 
BgL_arg2386z00_13641 = BgL_list2387z00_13642; } 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2385z00_13640,BgL_arg2386z00_13641); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2389z00_13644;
BgL_arg2389z00_13644 = 
(
(long)CINT(BgL_bpz00_13610)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2389z00_13644,BgL_a1z00_13612); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2390z00_13645;
BgL_arg2390z00_13645 = 
(
(long)CINT(BgL_bpz00_13610)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2390z00_13645,BgL_a2z00_13613); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2391z00_13646;
BgL_arg2391z00_13646 = 
(
(long)CINT(BgL_bpz00_13610)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2391z00_13646,BgL_a3z00_13614); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2392z00_13647; obj_t BgL_arg2393z00_13648;
BgL_arg2392z00_13647 = 
(
(long)CINT(BgL_bpz00_13610)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2394z00_13649;
BgL_list2394z00_13649 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13615, BNIL); 
BgL_arg2393z00_13648 = BgL_list2394z00_13649; } 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2392z00_13647,BgL_arg2393z00_13648); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2395z00_13650;
BgL_arg2395z00_13650 = 
(
(long)CINT(BgL_bpz00_13610)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2395z00_13650,BgL_a1z00_13612); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2396z00_13651;
BgL_arg2396z00_13651 = 
(
(long)CINT(BgL_bpz00_13610)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2396z00_13651,BgL_a2z00_13613); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2397z00_13652;
BgL_arg2397z00_13652 = 
(
(long)CINT(BgL_bpz00_13610)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2397z00_13652,BgL_a3z00_13614); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2398z00_13653;
BgL_arg2398z00_13653 = 
(
(long)CINT(BgL_bpz00_13610)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2398z00_13653,BgL_a4z00_13615); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2399z00_13654; obj_t BgL_arg2400z00_13655;
BgL_arg2399z00_13654 = 
(
(long)CINT(BgL_bpz00_13610)+((long)4)); 
BgL_arg2400z00_13655 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11215),BgL_arg2399z00_13654,BgL_arg2400z00_13655); } break;
default: 
BgL_case_else1210z00_13624:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2402z00_13625;
BgL_arg2402z00_13625 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13616), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11212, BgL_arg2402z00_13625, 
(int)(((long)4)), 
CINT(BgL_arityz00_13617)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1210z00_13624;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13656;
BgL_z12denvz12_13656 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13656, BgL_locz00_11212); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11215, BgL_bpz00_13610, BgL_sfz00_13619))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13618;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13657;
BgL_nsz00_13657 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2404z00_13658;
BgL_arg2404z00_13658 = 
(
(long)CINT(BgL_bpz00_13610)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13657, ((long)2), BgL_sz00_11215, BgL_bpz00_13610, 
BINT(BgL_arg2404z00_13658)); } 
VECTOR_SET(BgL_nsz00_13657,((long)1),BgL_sz00_11215); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13656, BgL_nsz00_13657); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13659;
BgL_ez00_13659 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13660;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13661;
BgL_arg4066z00_13661 = 
BGL_EXITD_PROTECT(BgL_ez00_13659); 
BgL_arg4065z00_13660 = 
MAKE_YOUNG_PAIR(BgL_sz00_11215, BgL_arg4066z00_13661); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13659, BgL_arg4065z00_13660); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13662;
BgL_____rz00_13662 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13618, BgL_nsz00_13657, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4847z00_20276;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13663;
BgL_arg4064z00_13663 = 
BGL_EXITD_PROTECT(BgL_ez00_13659); 
BgL_test4847z00_20276 = 
PAIRP(BgL_arg4064z00_13663); } 
if(BgL_test4847z00_20276)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13664;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13665;
BgL_arg4063z00_13665 = 
BGL_EXITD_PROTECT(BgL_ez00_13659); 
BgL_arg4062z00_13664 = 
CDR(
((obj_t)BgL_arg4063z00_13665)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13659, BgL_arg4062z00_13664); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13656, BgL_sz00_11215); 
return BgL_____rz00_13662;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13611, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13666;
BgL_nbpz00_13666 = 
(
(long)CINT(BgL_bpz00_13610)+BgL_siza7eza7_11214); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),((long)0),
BINT(BgL_nbpz00_13666)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20292;
BgL_tmpz00_20292 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20292, BgL_locz00_11212); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13667;
BgL_rz00_13667 = 
PROCEDURE_ENTRY(BgL_fz00_13611)(BgL_fz00_13611, BgL_a1z00_13612, BgL_a2z00_13613, BgL_a3z00_13614, BgL_a4z00_13615, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11215),((long)0),BgL_bpz00_13610); 
return BgL_rz00_13667;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11212, BgL_symbzd2funzd2_11213, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13611));} } } } } } } } 

}



/* &<@anonymous:2408> */
obj_t BGl_z62zc3z04anonymousza32408ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11216, obj_t BgL_sz00_11225)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11217; obj_t BgL_a1z00_11218; obj_t BgL_a2z00_11219; obj_t BgL_a3z00_11220; obj_t BgL_a4z00_11221; obj_t BgL_locz00_11222; obj_t BgL_symbzd2funzd2_11223; long BgL_siza7eza7_11224;
BgL_funz00_11217 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)0))); 
BgL_a1z00_11218 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)1))); 
BgL_a2z00_11219 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)2))); 
BgL_a3z00_11220 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)3))); 
BgL_a4z00_11221 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)4))); 
BgL_locz00_11222 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11223 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)6))); 
BgL_siza7eza7_11224 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13668;
BgL_bpz00_13668 = 
VECTOR_REF(
((obj_t)BgL_sz00_11225),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13669; obj_t BgL_a1z00_13670; obj_t BgL_a2z00_13671; obj_t BgL_a3z00_13672; obj_t BgL_a4z00_13673;
BgL_fz00_13669 = 
PROCEDURE_ENTRY(BgL_funz00_11217)(BgL_funz00_11217, BgL_sz00_11225, BEOA); 
BgL_a1z00_13670 = 
PROCEDURE_ENTRY(BgL_a1z00_11218)(BgL_a1z00_11218, BgL_sz00_11225, BEOA); 
BgL_a2z00_13671 = 
PROCEDURE_ENTRY(BgL_a2z00_11219)(BgL_a2z00_11219, BgL_sz00_11225, BEOA); 
BgL_a3z00_13672 = 
PROCEDURE_ENTRY(BgL_a3z00_11220)(BgL_a3z00_11220, BgL_sz00_11225, BEOA); 
BgL_a4z00_13673 = 
PROCEDURE_ENTRY(BgL_a4z00_11221)(BgL_a4z00_11221, BgL_sz00_11225, BEOA); 
if(
PROCEDUREP(BgL_fz00_13669))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11222, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13669); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13674;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20349;
BgL_tmpz00_20349 = 
((obj_t)BgL_fz00_13669); 
BgL_ufz00_13674 = 
PROCEDURE_ATTR(BgL_tmpz00_20349); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4850z00_20352;
if(
STRUCTP(BgL_ufz00_13674))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4850z00_20352 = 
(
STRUCT_KEY(BgL_ufz00_13674)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4850z00_20352 = ((bool_t)0)
; } 
if(BgL_test4850z00_20352)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13675; obj_t BgL_runz00_13676; obj_t BgL_sfz00_13677;
BgL_arityz00_13675 = 
STRUCT_REF(BgL_ufz00_13674, 
(int)(((long)0))); 
BgL_runz00_13676 = 
STRUCT_REF(BgL_ufz00_13674, 
(int)(((long)1))); 
BgL_sfz00_13677 = 
STRUCT_REF(BgL_ufz00_13674, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13675)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2412z00_13678;
BgL_arg2412z00_13678 = 
(
(long)CINT(BgL_bpz00_13668)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2412z00_13678,BgL_a1z00_13670); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2413z00_13679;
BgL_arg2413z00_13679 = 
(
(long)CINT(BgL_bpz00_13668)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2413z00_13679,BgL_a2z00_13671); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2414z00_13680;
BgL_arg2414z00_13680 = 
(
(long)CINT(BgL_bpz00_13668)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2414z00_13680,BgL_a3z00_13672); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2415z00_13681;
BgL_arg2415z00_13681 = 
(
(long)CINT(BgL_bpz00_13668)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2415z00_13681,BgL_a4z00_13673); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13675))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13675)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2417z00_13684; obj_t BgL_arg2418z00_13685;
BgL_arg2417z00_13684 = 
(
(long)CINT(BgL_bpz00_13668)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2419z00_13686;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2420z00_13687;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2421z00_13688;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2422z00_13689;
BgL_arg2422z00_13689 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13673, BNIL); 
BgL_arg2421z00_13688 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13672, BgL_arg2422z00_13689); } 
BgL_arg2420z00_13687 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13671, BgL_arg2421z00_13688); } 
BgL_list2419z00_13686 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13670, BgL_arg2420z00_13687); } 
BgL_arg2418z00_13685 = BgL_list2419z00_13686; } 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2417z00_13684,BgL_arg2418z00_13685); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2423z00_13690;
BgL_arg2423z00_13690 = 
(
(long)CINT(BgL_bpz00_13668)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2423z00_13690,BgL_a1z00_13670); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2424z00_13691; obj_t BgL_arg2425z00_13692;
BgL_arg2424z00_13691 = 
(
(long)CINT(BgL_bpz00_13668)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2426z00_13693;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2427z00_13694;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2428z00_13695;
BgL_arg2428z00_13695 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13673, BNIL); 
BgL_arg2427z00_13694 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13672, BgL_arg2428z00_13695); } 
BgL_list2426z00_13693 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13671, BgL_arg2427z00_13694); } 
BgL_arg2425z00_13692 = BgL_list2426z00_13693; } 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2424z00_13691,BgL_arg2425z00_13692); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2429z00_13696;
BgL_arg2429z00_13696 = 
(
(long)CINT(BgL_bpz00_13668)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2429z00_13696,BgL_a1z00_13670); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2430z00_13697;
BgL_arg2430z00_13697 = 
(
(long)CINT(BgL_bpz00_13668)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2430z00_13697,BgL_a2z00_13671); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2431z00_13698; obj_t BgL_arg2432z00_13699;
BgL_arg2431z00_13698 = 
(
(long)CINT(BgL_bpz00_13668)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2433z00_13700;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2434z00_13701;
BgL_arg2434z00_13701 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13673, BNIL); 
BgL_list2433z00_13700 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13672, BgL_arg2434z00_13701); } 
BgL_arg2432z00_13699 = BgL_list2433z00_13700; } 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2431z00_13698,BgL_arg2432z00_13699); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2435z00_13702;
BgL_arg2435z00_13702 = 
(
(long)CINT(BgL_bpz00_13668)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2435z00_13702,BgL_a1z00_13670); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2436z00_13703;
BgL_arg2436z00_13703 = 
(
(long)CINT(BgL_bpz00_13668)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2436z00_13703,BgL_a2z00_13671); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2437z00_13704;
BgL_arg2437z00_13704 = 
(
(long)CINT(BgL_bpz00_13668)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2437z00_13704,BgL_a3z00_13672); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2438z00_13705; obj_t BgL_arg2439z00_13706;
BgL_arg2438z00_13705 = 
(
(long)CINT(BgL_bpz00_13668)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2440z00_13707;
BgL_list2440z00_13707 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13673, BNIL); 
BgL_arg2439z00_13706 = BgL_list2440z00_13707; } 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2438z00_13705,BgL_arg2439z00_13706); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2441z00_13708;
BgL_arg2441z00_13708 = 
(
(long)CINT(BgL_bpz00_13668)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2441z00_13708,BgL_a1z00_13670); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2442z00_13709;
BgL_arg2442z00_13709 = 
(
(long)CINT(BgL_bpz00_13668)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2442z00_13709,BgL_a2z00_13671); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2443z00_13710;
BgL_arg2443z00_13710 = 
(
(long)CINT(BgL_bpz00_13668)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2443z00_13710,BgL_a3z00_13672); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2444z00_13711;
BgL_arg2444z00_13711 = 
(
(long)CINT(BgL_bpz00_13668)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2444z00_13711,BgL_a4z00_13673); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2445z00_13712; obj_t BgL_arg2446z00_13713;
BgL_arg2445z00_13712 = 
(
(long)CINT(BgL_bpz00_13668)+((long)4)); 
BgL_arg2446z00_13713 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11225),BgL_arg2445z00_13712,BgL_arg2446z00_13713); } break;
default: 
BgL_case_else1212z00_13682:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2448z00_13683;
BgL_arg2448z00_13683 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13674), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11222, BgL_arg2448z00_13683, 
(int)(((long)4)), 
CINT(BgL_arityz00_13675)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1212z00_13682;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13714;
BgL_z12denvz12_13714 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11225, BgL_bpz00_13668, BgL_sfz00_13677))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13676;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13715;
BgL_nsz00_13715 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2450z00_13716;
BgL_arg2450z00_13716 = 
(
(long)CINT(BgL_bpz00_13668)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13715, ((long)2), BgL_sz00_11225, BgL_bpz00_13668, 
BINT(BgL_arg2450z00_13716)); } 
VECTOR_SET(BgL_nsz00_13715,((long)1),BgL_sz00_11225); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13714, BgL_nsz00_13715); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13717;
BgL_ez00_13717 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13718;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13719;
BgL_arg4066z00_13719 = 
BGL_EXITD_PROTECT(BgL_ez00_13717); 
BgL_arg4065z00_13718 = 
MAKE_YOUNG_PAIR(BgL_sz00_11225, BgL_arg4066z00_13719); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13717, BgL_arg4065z00_13718); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13720;
BgL_____rz00_13720 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13676, BgL_nsz00_13715, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4855z00_20478;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13721;
BgL_arg4064z00_13721 = 
BGL_EXITD_PROTECT(BgL_ez00_13717); 
BgL_test4855z00_20478 = 
PAIRP(BgL_arg4064z00_13721); } 
if(BgL_test4855z00_20478)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13722;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13723;
BgL_arg4063z00_13723 = 
BGL_EXITD_PROTECT(BgL_ez00_13717); 
BgL_arg4062z00_13722 = 
CDR(
((obj_t)BgL_arg4063z00_13723)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13717, BgL_arg4062z00_13722); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13714, BgL_sz00_11225); 
return BgL_____rz00_13720;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13669, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13724;
BgL_nbpz00_13724 = 
(
(long)CINT(BgL_bpz00_13668)+BgL_siza7eza7_11224); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),((long)0),
BINT(BgL_nbpz00_13724)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13725;
BgL_rz00_13725 = 
PROCEDURE_ENTRY(BgL_fz00_13669)(BgL_fz00_13669, BgL_a1z00_13670, BgL_a2z00_13671, BgL_a3z00_13672, BgL_a4z00_13673, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11225),((long)0),BgL_bpz00_13668); 
return BgL_rz00_13725;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11222, BgL_symbzd2funzd2_11223, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13669));} } } } } } } } 

}



/* &<@anonymous:2456> */
obj_t BGl_z62zc3z04anonymousza32456ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11226, obj_t BgL_sz00_11235)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11227; obj_t BgL_a1z00_11228; obj_t BgL_a2z00_11229; obj_t BgL_a3z00_11230; obj_t BgL_a4z00_11231; obj_t BgL_locz00_11232; obj_t BgL_symbzd2funzd2_11233; long BgL_siza7eza7_11234;
BgL_funz00_11227 = 
PROCEDURE_REF(BgL_envz00_11226, 
(int)(((long)0))); 
BgL_a1z00_11228 = 
PROCEDURE_REF(BgL_envz00_11226, 
(int)(((long)1))); 
BgL_a2z00_11229 = 
PROCEDURE_REF(BgL_envz00_11226, 
(int)(((long)2))); 
BgL_a3z00_11230 = 
PROCEDURE_REF(BgL_envz00_11226, 
(int)(((long)3))); 
BgL_a4z00_11231 = 
PROCEDURE_REF(BgL_envz00_11226, 
(int)(((long)4))); 
BgL_locz00_11232 = 
PROCEDURE_REF(BgL_envz00_11226, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11233 = 
PROCEDURE_REF(BgL_envz00_11226, 
(int)(((long)6))); 
BgL_siza7eza7_11234 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11226, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13726;
BgL_bpz00_13726 = 
VECTOR_REF(
((obj_t)BgL_sz00_11235),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13727; obj_t BgL_a1z00_13728; obj_t BgL_a2z00_13729; obj_t BgL_a3z00_13730; obj_t BgL_a4z00_13731;
BgL_fz00_13727 = 
PROCEDURE_ENTRY(BgL_funz00_11227)(BgL_funz00_11227, BgL_sz00_11235, BEOA); 
BgL_a1z00_13728 = 
PROCEDURE_ENTRY(BgL_a1z00_11228)(BgL_a1z00_11228, BgL_sz00_11235, BEOA); 
BgL_a2z00_13729 = 
PROCEDURE_ENTRY(BgL_a2z00_11229)(BgL_a2z00_11229, BgL_sz00_11235, BEOA); 
BgL_a3z00_13730 = 
PROCEDURE_ENTRY(BgL_a3z00_11230)(BgL_a3z00_11230, BgL_sz00_11235, BEOA); 
BgL_a4z00_13731 = 
PROCEDURE_ENTRY(BgL_a4z00_11231)(BgL_a4z00_11231, BgL_sz00_11235, BEOA); 
if(
PROCEDUREP(BgL_fz00_13727))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11232, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13727); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13732;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20548;
BgL_tmpz00_20548 = 
((obj_t)BgL_fz00_13727); 
BgL_ufz00_13732 = 
PROCEDURE_ATTR(BgL_tmpz00_20548); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4858z00_20551;
if(
STRUCTP(BgL_ufz00_13732))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4858z00_20551 = 
(
STRUCT_KEY(BgL_ufz00_13732)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4858z00_20551 = ((bool_t)0)
; } 
if(BgL_test4858z00_20551)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13733; obj_t BgL_runz00_13734; obj_t BgL_sfz00_13735;
BgL_arityz00_13733 = 
STRUCT_REF(BgL_ufz00_13732, 
(int)(((long)0))); 
BgL_runz00_13734 = 
STRUCT_REF(BgL_ufz00_13732, 
(int)(((long)1))); 
BgL_sfz00_13735 = 
STRUCT_REF(BgL_ufz00_13732, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13736;
BgL_spz00_13736 = 
(
(long)CINT(BgL_bpz00_13726)+BgL_siza7eza7_11234); 
if(
(
(long)CINT(BgL_arityz00_13733)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2460z00_13737;
BgL_arg2460z00_13737 = 
(BgL_spz00_13736+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2460z00_13737,BgL_a1z00_13728); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2461z00_13738;
BgL_arg2461z00_13738 = 
(BgL_spz00_13736+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2461z00_13738,BgL_a2z00_13729); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2462z00_13739;
BgL_arg2462z00_13739 = 
(BgL_spz00_13736+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2462z00_13739,BgL_a3z00_13730); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2463z00_13740;
BgL_arg2463z00_13740 = 
(BgL_spz00_13736+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2463z00_13740,BgL_a4z00_13731); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13733))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13733)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2465z00_13743; obj_t BgL_arg2466z00_13744;
BgL_arg2465z00_13743 = 
(BgL_spz00_13736+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2467z00_13745;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2468z00_13746;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2469z00_13747;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2470z00_13748;
BgL_arg2470z00_13748 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13731, BNIL); 
BgL_arg2469z00_13747 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13730, BgL_arg2470z00_13748); } 
BgL_arg2468z00_13746 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13729, BgL_arg2469z00_13747); } 
BgL_list2467z00_13745 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13728, BgL_arg2468z00_13746); } 
BgL_arg2466z00_13744 = BgL_list2467z00_13745; } 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2465z00_13743,BgL_arg2466z00_13744); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2471z00_13749;
BgL_arg2471z00_13749 = 
(BgL_spz00_13736+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2471z00_13749,BgL_a1z00_13728); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2472z00_13750; obj_t BgL_arg2473z00_13751;
BgL_arg2472z00_13750 = 
(BgL_spz00_13736+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2474z00_13752;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2475z00_13753;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2476z00_13754;
BgL_arg2476z00_13754 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13731, BNIL); 
BgL_arg2475z00_13753 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13730, BgL_arg2476z00_13754); } 
BgL_list2474z00_13752 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13729, BgL_arg2475z00_13753); } 
BgL_arg2473z00_13751 = BgL_list2474z00_13752; } 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2472z00_13750,BgL_arg2473z00_13751); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2477z00_13755;
BgL_arg2477z00_13755 = 
(BgL_spz00_13736+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2477z00_13755,BgL_a1z00_13728); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2478z00_13756;
BgL_arg2478z00_13756 = 
(BgL_spz00_13736+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2478z00_13756,BgL_a2z00_13729); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2479z00_13757; obj_t BgL_arg2480z00_13758;
BgL_arg2479z00_13757 = 
(BgL_spz00_13736+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2481z00_13759;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2482z00_13760;
BgL_arg2482z00_13760 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13731, BNIL); 
BgL_list2481z00_13759 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13730, BgL_arg2482z00_13760); } 
BgL_arg2480z00_13758 = BgL_list2481z00_13759; } 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2479z00_13757,BgL_arg2480z00_13758); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2483z00_13761;
BgL_arg2483z00_13761 = 
(BgL_spz00_13736+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2483z00_13761,BgL_a1z00_13728); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2484z00_13762;
BgL_arg2484z00_13762 = 
(BgL_spz00_13736+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2484z00_13762,BgL_a2z00_13729); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2485z00_13763;
BgL_arg2485z00_13763 = 
(BgL_spz00_13736+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2485z00_13763,BgL_a3z00_13730); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2486z00_13764; obj_t BgL_arg2487z00_13765;
BgL_arg2486z00_13764 = 
(BgL_spz00_13736+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2488z00_13766;
BgL_list2488z00_13766 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13731, BNIL); 
BgL_arg2487z00_13765 = BgL_list2488z00_13766; } 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2486z00_13764,BgL_arg2487z00_13765); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2489z00_13767;
BgL_arg2489z00_13767 = 
(BgL_spz00_13736+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2489z00_13767,BgL_a1z00_13728); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2490z00_13768;
BgL_arg2490z00_13768 = 
(BgL_spz00_13736+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2490z00_13768,BgL_a2z00_13729); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2491z00_13769;
BgL_arg2491z00_13769 = 
(BgL_spz00_13736+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2491z00_13769,BgL_a3z00_13730); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2492z00_13770;
BgL_arg2492z00_13770 = 
(BgL_spz00_13736+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2492z00_13770,BgL_a4z00_13731); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2493z00_13771; obj_t BgL_arg2494z00_13772;
BgL_arg2493z00_13771 = 
(BgL_spz00_13736+((long)4)); 
BgL_arg2494z00_13772 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11235),BgL_arg2493z00_13771,BgL_arg2494z00_13772); } break;
default: 
BgL_case_else1214z00_13741:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2496z00_13742;
BgL_arg2496z00_13742 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13732), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11232, BgL_arg2496z00_13742, 
(int)(((long)4)), 
CINT(BgL_arityz00_13733)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1214z00_13741;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13773;
BgL_z12denvz12_13773 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13773, BgL_locz00_11232); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11235, 
BINT(BgL_spz00_13736), BgL_sfz00_13735))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13734, BgL_sz00_11235, 
BINT(BgL_spz00_13736));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13774;
BgL_nsz00_13774 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2498z00_13775;
BgL_arg2498z00_13775 = 
(BgL_spz00_13736+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13774, ((long)2), BgL_sz00_11235, 
BINT(BgL_spz00_13736), 
BINT(BgL_arg2498z00_13775)); } 
VECTOR_SET(BgL_nsz00_13774,((long)1),BgL_sz00_11235); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13773, BgL_nsz00_13774); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13776;
BgL_ez00_13776 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13777;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13778;
BgL_arg4066z00_13778 = 
BGL_EXITD_PROTECT(BgL_ez00_13776); 
BgL_arg4065z00_13777 = 
MAKE_YOUNG_PAIR(BgL_sz00_11235, BgL_arg4066z00_13778); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13776, BgL_arg4065z00_13777); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13779;
BgL_____rz00_13779 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13734, BgL_nsz00_13774, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4863z00_20664;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13780;
BgL_arg4064z00_13780 = 
BGL_EXITD_PROTECT(BgL_ez00_13776); 
BgL_test4863z00_20664 = 
PAIRP(BgL_arg4064z00_13780); } 
if(BgL_test4863z00_20664)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13781;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13782;
BgL_arg4063z00_13782 = 
BGL_EXITD_PROTECT(BgL_ez00_13776); 
BgL_arg4062z00_13781 = 
CDR(
((obj_t)BgL_arg4063z00_13782)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13776, BgL_arg4062z00_13781); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13773, BgL_sz00_11235); 
return BgL_____rz00_13779;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13727, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13783;
BgL_nbpz00_13783 = 
(
(long)CINT(BgL_bpz00_13726)+BgL_siza7eza7_11234); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),((long)0),
BINT(BgL_nbpz00_13783)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20680;
BgL_tmpz00_20680 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20680, BgL_locz00_11232); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13784;
BgL_rz00_13784 = 
PROCEDURE_ENTRY(BgL_fz00_13727)(BgL_fz00_13727, BgL_a1z00_13728, BgL_a2z00_13729, BgL_a3z00_13730, BgL_a4z00_13731, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11235),((long)0),BgL_bpz00_13726); 
return BgL_rz00_13784;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11232, BgL_symbzd2funzd2_11233, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13727));} } } } } } } } 

}



/* &<@anonymous:2502> */
obj_t BGl_z62zc3z04anonymousza32502ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11236, obj_t BgL_sz00_11245)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11237; obj_t BgL_a1z00_11238; obj_t BgL_a2z00_11239; obj_t BgL_a3z00_11240; obj_t BgL_a4z00_11241; obj_t BgL_locz00_11242; obj_t BgL_symbzd2funzd2_11243; long BgL_siza7eza7_11244;
BgL_funz00_11237 = 
PROCEDURE_REF(BgL_envz00_11236, 
(int)(((long)0))); 
BgL_a1z00_11238 = 
PROCEDURE_REF(BgL_envz00_11236, 
(int)(((long)1))); 
BgL_a2z00_11239 = 
PROCEDURE_REF(BgL_envz00_11236, 
(int)(((long)2))); 
BgL_a3z00_11240 = 
PROCEDURE_REF(BgL_envz00_11236, 
(int)(((long)3))); 
BgL_a4z00_11241 = 
PROCEDURE_REF(BgL_envz00_11236, 
(int)(((long)4))); 
BgL_locz00_11242 = 
PROCEDURE_REF(BgL_envz00_11236, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11243 = 
PROCEDURE_REF(BgL_envz00_11236, 
(int)(((long)6))); 
BgL_siza7eza7_11244 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11236, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13785;
BgL_bpz00_13785 = 
VECTOR_REF(
((obj_t)BgL_sz00_11245),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13786; obj_t BgL_a1z00_13787; obj_t BgL_a2z00_13788; obj_t BgL_a3z00_13789; obj_t BgL_a4z00_13790;
BgL_fz00_13786 = 
PROCEDURE_ENTRY(BgL_funz00_11237)(BgL_funz00_11237, BgL_sz00_11245, BEOA); 
BgL_a1z00_13787 = 
PROCEDURE_ENTRY(BgL_a1z00_11238)(BgL_a1z00_11238, BgL_sz00_11245, BEOA); 
BgL_a2z00_13788 = 
PROCEDURE_ENTRY(BgL_a2z00_11239)(BgL_a2z00_11239, BgL_sz00_11245, BEOA); 
BgL_a3z00_13789 = 
PROCEDURE_ENTRY(BgL_a3z00_11240)(BgL_a3z00_11240, BgL_sz00_11245, BEOA); 
BgL_a4z00_13790 = 
PROCEDURE_ENTRY(BgL_a4z00_11241)(BgL_a4z00_11241, BgL_sz00_11245, BEOA); 
if(
PROCEDUREP(BgL_fz00_13786))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11242, BGl_string4318z00zz__evaluate_compz00, BGl_string4334z00zz__evaluate_compz00, BgL_fz00_13786); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13791;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20737;
BgL_tmpz00_20737 = 
((obj_t)BgL_fz00_13786); 
BgL_ufz00_13791 = 
PROCEDURE_ATTR(BgL_tmpz00_20737); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4866z00_20740;
if(
STRUCTP(BgL_ufz00_13791))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4866z00_20740 = 
(
STRUCT_KEY(BgL_ufz00_13791)==BGl_symbol4335z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4866z00_20740 = ((bool_t)0)
; } 
if(BgL_test4866z00_20740)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13792; obj_t BgL_runz00_13793; obj_t BgL_sfz00_13794;
BgL_arityz00_13792 = 
STRUCT_REF(BgL_ufz00_13791, 
(int)(((long)0))); 
BgL_runz00_13793 = 
STRUCT_REF(BgL_ufz00_13791, 
(int)(((long)1))); 
BgL_sfz00_13794 = 
STRUCT_REF(BgL_ufz00_13791, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13795;
BgL_spz00_13795 = 
(
(long)CINT(BgL_bpz00_13785)+BgL_siza7eza7_11244); 
if(
(
(long)CINT(BgL_arityz00_13792)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2506z00_13796;
BgL_arg2506z00_13796 = 
(BgL_spz00_13795+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2506z00_13796,BgL_a1z00_13787); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2507z00_13797;
BgL_arg2507z00_13797 = 
(BgL_spz00_13795+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2507z00_13797,BgL_a2z00_13788); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2508z00_13798;
BgL_arg2508z00_13798 = 
(BgL_spz00_13795+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2508z00_13798,BgL_a3z00_13789); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2509z00_13799;
BgL_arg2509z00_13799 = 
(BgL_spz00_13795+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2509z00_13799,BgL_a4z00_13790); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13792))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13792)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2511z00_13802; obj_t BgL_arg2512z00_13803;
BgL_arg2511z00_13802 = 
(BgL_spz00_13795+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2513z00_13804;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2514z00_13805;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2515z00_13806;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2516z00_13807;
BgL_arg2516z00_13807 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13790, BNIL); 
BgL_arg2515z00_13806 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13789, BgL_arg2516z00_13807); } 
BgL_arg2514z00_13805 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13788, BgL_arg2515z00_13806); } 
BgL_list2513z00_13804 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13787, BgL_arg2514z00_13805); } 
BgL_arg2512z00_13803 = BgL_list2513z00_13804; } 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2511z00_13802,BgL_arg2512z00_13803); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2517z00_13808;
BgL_arg2517z00_13808 = 
(BgL_spz00_13795+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2517z00_13808,BgL_a1z00_13787); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2518z00_13809; obj_t BgL_arg2519z00_13810;
BgL_arg2518z00_13809 = 
(BgL_spz00_13795+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2520z00_13811;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2521z00_13812;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2522z00_13813;
BgL_arg2522z00_13813 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13790, BNIL); 
BgL_arg2521z00_13812 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13789, BgL_arg2522z00_13813); } 
BgL_list2520z00_13811 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13788, BgL_arg2521z00_13812); } 
BgL_arg2519z00_13810 = BgL_list2520z00_13811; } 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2518z00_13809,BgL_arg2519z00_13810); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2523z00_13814;
BgL_arg2523z00_13814 = 
(BgL_spz00_13795+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2523z00_13814,BgL_a1z00_13787); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2524z00_13815;
BgL_arg2524z00_13815 = 
(BgL_spz00_13795+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2524z00_13815,BgL_a2z00_13788); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2525z00_13816; obj_t BgL_arg2526z00_13817;
BgL_arg2525z00_13816 = 
(BgL_spz00_13795+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2527z00_13818;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2528z00_13819;
BgL_arg2528z00_13819 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13790, BNIL); 
BgL_list2527z00_13818 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13789, BgL_arg2528z00_13819); } 
BgL_arg2526z00_13817 = BgL_list2527z00_13818; } 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2525z00_13816,BgL_arg2526z00_13817); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2529z00_13820;
BgL_arg2529z00_13820 = 
(BgL_spz00_13795+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2529z00_13820,BgL_a1z00_13787); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2530z00_13821;
BgL_arg2530z00_13821 = 
(BgL_spz00_13795+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2530z00_13821,BgL_a2z00_13788); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2531z00_13822;
BgL_arg2531z00_13822 = 
(BgL_spz00_13795+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2531z00_13822,BgL_a3z00_13789); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2532z00_13823; obj_t BgL_arg2533z00_13824;
BgL_arg2532z00_13823 = 
(BgL_spz00_13795+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2534z00_13825;
BgL_list2534z00_13825 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13790, BNIL); 
BgL_arg2533z00_13824 = BgL_list2534z00_13825; } 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2532z00_13823,BgL_arg2533z00_13824); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2535z00_13826;
BgL_arg2535z00_13826 = 
(BgL_spz00_13795+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2535z00_13826,BgL_a1z00_13787); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2536z00_13827;
BgL_arg2536z00_13827 = 
(BgL_spz00_13795+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2536z00_13827,BgL_a2z00_13788); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2537z00_13828;
BgL_arg2537z00_13828 = 
(BgL_spz00_13795+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2537z00_13828,BgL_a3z00_13789); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2538z00_13829;
BgL_arg2538z00_13829 = 
(BgL_spz00_13795+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2538z00_13829,BgL_a4z00_13790); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2539z00_13830; obj_t BgL_arg2540z00_13831;
BgL_arg2539z00_13830 = 
(BgL_spz00_13795+((long)4)); 
BgL_arg2540z00_13831 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11245),BgL_arg2539z00_13830,BgL_arg2540z00_13831); } break;
default: 
BgL_case_else1216z00_13800:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2542z00_13801;
BgL_arg2542z00_13801 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13791), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11242, BgL_arg2542z00_13801, 
(int)(((long)4)), 
CINT(BgL_arityz00_13792)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1216z00_13800;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13832;
BgL_z12denvz12_13832 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11245, 
BINT(BgL_spz00_13795), BgL_sfz00_13794))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13793, BgL_sz00_11245, 
BINT(BgL_spz00_13795));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13833;
BgL_nsz00_13833 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2544z00_13834;
BgL_arg2544z00_13834 = 
(BgL_spz00_13795+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13833, ((long)2), BgL_sz00_11245, 
BINT(BgL_spz00_13795), 
BINT(BgL_arg2544z00_13834)); } 
VECTOR_SET(BgL_nsz00_13833,((long)1),BgL_sz00_11245); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13832, BgL_nsz00_13833); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13835;
BgL_ez00_13835 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4065z00_13836;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4066z00_13837;
BgL_arg4066z00_13837 = 
BGL_EXITD_PROTECT(BgL_ez00_13835); 
BgL_arg4065z00_13836 = 
MAKE_YOUNG_PAIR(BgL_sz00_11245, BgL_arg4066z00_13837); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13835, BgL_arg4065z00_13836); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13838;
BgL_____rz00_13838 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13793, BgL_nsz00_13833, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4871z00_20852;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4064z00_13839;
BgL_arg4064z00_13839 = 
BGL_EXITD_PROTECT(BgL_ez00_13835); 
BgL_test4871z00_20852 = 
PAIRP(BgL_arg4064z00_13839); } 
if(BgL_test4871z00_20852)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4062z00_13840;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4063z00_13841;
BgL_arg4063z00_13841 = 
BGL_EXITD_PROTECT(BgL_ez00_13835); 
BgL_arg4062z00_13840 = 
CDR(
((obj_t)BgL_arg4063z00_13841)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13835, BgL_arg4062z00_13840); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13832, BgL_sz00_11245); 
return BgL_____rz00_13838;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13786, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13842;
BgL_nbpz00_13842 = 
(
(long)CINT(BgL_bpz00_13785)+BgL_siza7eza7_11244); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),((long)0),
BINT(BgL_nbpz00_13842)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13843;
BgL_rz00_13843 = 
PROCEDURE_ENTRY(BgL_fz00_13786)(BgL_fz00_13786, BgL_a1z00_13787, BgL_a2z00_13788, BgL_a3z00_13789, BgL_a4z00_13790, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11245),((long)0),BgL_bpz00_13785); 
return BgL_rz00_13843;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11242, BgL_symbzd2funzd2_11243, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13786));} } } } } } } } 

}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{
{ /* Eval/evaluate_comp.scm 899 */
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL_test4873z00_20880;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_classz00_8050;
BgL_classz00_8050 = BGl_ev_globalz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 901 */
 BgL_objectz00_bglt BgL_arg4048z00_8052;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_tmpz00_20881;
BgL_tmpz00_20881 = 
((obj_t)
((BgL_objectz00_bglt)BgL_funz00_183)); 
BgL_arg4048z00_8052 = 
(BgL_objectz00_bglt)(BgL_tmpz00_20881); } 
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL_arg4045z00_8055; bool_t BgL_arg4046z00_8056;
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_idxz00_8059;
BgL_idxz00_8059 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_8052); 
BgL_arg4045z00_8055 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8059+((long)2)))==BgL_classz00_8050); } 
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL_res4167z00_8081;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_oclassz00_8067;
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_arg4055z00_8073;
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_arg4056z00_8074;
BgL_arg4056z00_8074 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_8052); 
BgL_arg4055z00_8073 = 
(BgL_arg4056z00_8074-OBJECT_TYPE); } 
BgL_oclassz00_8067 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_8073); } 
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL__ortest_1293z00_8068;
BgL__ortest_1293z00_8068 = 
(BgL_classz00_8050==BgL_oclassz00_8067); 
if(BgL__ortest_1293z00_8068)
{ /* Eval/evaluate_comp.scm 901 */
BgL_res4167z00_8081 = BgL__ortest_1293z00_8068; }  else 
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_odepthz00_8069;
BgL_odepthz00_8069 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8067); 
if(
(((long)2)<BgL_odepthz00_8069))
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_arg4044z00_8071;
BgL_arg4044z00_8071 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8067, ((long)2)); 
BgL_res4167z00_8081 = 
(BgL_arg4044z00_8071==BgL_classz00_8050); }  else 
{ /* Eval/evaluate_comp.scm 901 */
BgL_res4167z00_8081 = ((bool_t)0); } } } } 
BgL_arg4046z00_8056 = BgL_res4167z00_8081; } 
BgL_test4873z00_20880 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_8055, BgL_arg4046z00_8056); } } } 
if(BgL_test4873z00_20880)
{ /* Eval/evaluate_comp.scm 903 */
 obj_t BgL_gz00_3077;
{ /* Eval/evaluate_comp.scm 903 */
 obj_t BgL_arg2554z00_3085; obj_t BgL_arg2555z00_3086;
BgL_arg2554z00_3085 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2555z00_3086 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3077 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2554z00_3085, BgL_arg2555z00_3086); } 
if(
CBOOL(BgL_gz00_3077))
{ /* Eval/evaluate_comp.scm 905 */
 bool_t BgL_test4877z00_20907;
{ /* Eval/evaluate_comp.scm 905 */
 int BgL_arg2553z00_3084;
{ /* Eval/evaluate_comp.scm 905 */
 int BgL_res4168z00_8084;
BgL_res4168z00_8084 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3077),((long)0))); 
BgL_arg2553z00_3084 = BgL_res4168z00_8084; } 
BgL_test4877z00_20907 = 
(
(long)(BgL_arg2553z00_3084)==((long)0)); } 
if(BgL_test4877z00_20907)
{ /* Eval/evaluate_comp.scm 906 */
 obj_t BgL_valz00_3080;
BgL_valz00_3080 = 
VECTOR_REF(
((obj_t)BgL_gz00_3077),((long)2)); 
{ /* Eval/evaluate_comp.scm 907 */
 bool_t BgL_test4878z00_20915;
if(
PROCEDUREP(BgL_valz00_3080))
{ /* Eval/evaluate_comp.scm 907 */
BgL_test4878z00_20915 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3080, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 907 */
BgL_test4878z00_20915 = ((bool_t)0)
; } 
if(BgL_test4878z00_20915)
{ /* Eval/evaluate_comp.scm 907 */
return BgL_valz00_3080;}  else 
{ /* Eval/evaluate_comp.scm 907 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 905 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 904 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_test4880z00_20920;
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_test4881z00_20921;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_classz00_8088;
BgL_classz00_8088 = BGl_ev_littz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 910 */
 BgL_objectz00_bglt BgL_arg4048z00_8090;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_tmpz00_20922;
BgL_tmpz00_20922 = 
((obj_t)
((BgL_objectz00_bglt)BgL_funz00_183)); 
BgL_arg4048z00_8090 = 
(BgL_objectz00_bglt)(BgL_tmpz00_20922); } 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_arg4045z00_8093; bool_t BgL_arg4046z00_8094;
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_idxz00_8097;
BgL_idxz00_8097 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_8090); 
BgL_arg4045z00_8093 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8097+((long)2)))==BgL_classz00_8088); } 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_res4169z00_8119;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_oclassz00_8105;
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_arg4055z00_8111;
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_arg4056z00_8112;
BgL_arg4056z00_8112 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_8090); 
BgL_arg4055z00_8111 = 
(BgL_arg4056z00_8112-OBJECT_TYPE); } 
BgL_oclassz00_8105 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_8111); } 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL__ortest_1293z00_8106;
BgL__ortest_1293z00_8106 = 
(BgL_classz00_8088==BgL_oclassz00_8105); 
if(BgL__ortest_1293z00_8106)
{ /* Eval/evaluate_comp.scm 910 */
BgL_res4169z00_8119 = BgL__ortest_1293z00_8106; }  else 
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_odepthz00_8107;
BgL_odepthz00_8107 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8105); 
if(
(((long)2)<BgL_odepthz00_8107))
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_arg4044z00_8109;
BgL_arg4044z00_8109 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8105, ((long)2)); 
BgL_res4169z00_8119 = 
(BgL_arg4044z00_8109==BgL_classz00_8088); }  else 
{ /* Eval/evaluate_comp.scm 910 */
BgL_res4169z00_8119 = ((bool_t)0); } } } } 
BgL_arg4046z00_8094 = BgL_res4169z00_8119; } 
BgL_test4881z00_20921 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_8093, BgL_arg4046z00_8094); } } } 
if(BgL_test4881z00_20921)
{ /* Eval/evaluate_comp.scm 911 */
 obj_t BgL_tmpz00_20941;
BgL_tmpz00_20941 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test4880z00_20920 = 
PROCEDUREP(BgL_tmpz00_20941); }  else 
{ /* Eval/evaluate_comp.scm 910 */
BgL_test4880z00_20920 = ((bool_t)0)
; } } 
if(BgL_test4880z00_20920)
{ /* Eval/evaluate_comp.scm 913 */
 bool_t BgL_test4884z00_20945;
{ /* Eval/evaluate_comp.scm 913 */
 obj_t BgL_arg2563z00_3096;
BgL_arg2563z00_3096 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test4884z00_20945 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2563z00_3096, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_test4884z00_20945)
{ /* Eval/evaluate_comp.scm 913 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 915 */
 int BgL_arg2561z00_3094;
{ /* Eval/evaluate_comp.scm 915 */
 obj_t BgL_arg2562z00_3095;
BgL_arg2562z00_3095 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2561z00_3094 = 
PROCEDURE_ARITY(BgL_arg2562z00_3095); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2561z00_3094);} }  else 
{ /* Eval/evaluate_comp.scm 910 */
return BFALSE;} } } } 

}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{
{ /* Eval/evaluate_comp.scm 918 */
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL_test4885z00_20957;
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_classz00_8125;
BgL_classz00_8125 = BGl_ev_littz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 925 */
 BgL_objectz00_bglt BgL_arg4048z00_8127;
BgL_arg4048z00_8127 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL_arg4045z00_8130; bool_t BgL_arg4046z00_8131;
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_idxz00_8134;
BgL_idxz00_8134 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_8127); 
BgL_arg4045z00_8130 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8134+((long)2)))==BgL_classz00_8125); } 
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL_res4170z00_8156;
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_oclassz00_8142;
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_arg4055z00_8148;
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_arg4056z00_8149;
BgL_arg4056z00_8149 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_8127); 
BgL_arg4055z00_8148 = 
(BgL_arg4056z00_8149-OBJECT_TYPE); } 
BgL_oclassz00_8142 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_8148); } 
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL__ortest_1293z00_8143;
BgL__ortest_1293z00_8143 = 
(BgL_classz00_8125==BgL_oclassz00_8142); 
if(BgL__ortest_1293z00_8143)
{ /* Eval/evaluate_comp.scm 925 */
BgL_res4170z00_8156 = BgL__ortest_1293z00_8143; }  else 
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_odepthz00_8144;
BgL_odepthz00_8144 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8142); 
if(
(((long)2)<BgL_odepthz00_8144))
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_arg4044z00_8146;
BgL_arg4044z00_8146 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8142, ((long)2)); 
BgL_res4170z00_8156 = 
(BgL_arg4044z00_8146==BgL_classz00_8125); }  else 
{ /* Eval/evaluate_comp.scm 925 */
BgL_res4170z00_8156 = ((bool_t)0); } } } } 
BgL_arg4046z00_8131 = BgL_res4170z00_8156; } 
BgL_test4885z00_20957 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_8130, BgL_arg4046z00_8131); } }  else 
{ /* Eval/evaluate_comp.scm 925 */
BgL_test4885z00_20957 = ((bool_t)0)
; } } 
if(BgL_test4885z00_20957)
{ /* Eval/evaluate_comp.scm 925 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 927 */
 obj_t BgL_v1357z00_3106;
BgL_v1357z00_3106 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1357z00_3106,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 927 */
 double BgL_arg2568z00_3107;
BgL_arg2568z00_3107 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1357z00_3106,((long)1),
DOUBLE_TO_REAL(BgL_arg2568z00_3107)); } 
return BgL_v1357z00_3106;}  else 
{ /* Eval/evaluate_comp.scm 928 */
 bool_t BgL_test4890z00_20989;
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_tmpz00_20990;
BgL_tmpz00_20990 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_test4890z00_20989 = 
REALP(BgL_tmpz00_20990); } 
if(BgL_test4890z00_20989)
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_v1358z00_3111;
BgL_v1358z00_3111 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1358z00_3111,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_arg2572z00_3112;
BgL_arg2572z00_3112 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1358z00_3111,((long)1),BgL_arg2572z00_3112); } 
return BgL_v1358z00_3111;}  else 
{ /* Eval/evaluate_comp.scm 929 */
 obj_t BgL_v1359z00_3113;
BgL_v1359z00_3113 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1359z00_3113,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 929 */
 obj_t BgL_arg2573z00_3114;
BgL_arg2573z00_3114 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1359z00_3113,((long)1),BgL_arg2573z00_3114); } 
return BgL_v1359z00_3113;} } }  else 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL_test4891z00_21006;
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_classz00_8164;
BgL_classz00_8164 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 930 */
 BgL_objectz00_bglt BgL_arg4048z00_8166;
BgL_arg4048z00_8166 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL_arg4045z00_8169; bool_t BgL_arg4046z00_8170;
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_idxz00_8173;
BgL_idxz00_8173 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_8166); 
BgL_arg4045z00_8169 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8173+((long)2)))==BgL_classz00_8164); } 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL_res4171z00_8195;
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_oclassz00_8181;
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_arg4055z00_8187;
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_arg4056z00_8188;
BgL_arg4056z00_8188 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_8166); 
BgL_arg4055z00_8187 = 
(BgL_arg4056z00_8188-OBJECT_TYPE); } 
BgL_oclassz00_8181 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_8187); } 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL__ortest_1293z00_8182;
BgL__ortest_1293z00_8182 = 
(BgL_classz00_8164==BgL_oclassz00_8181); 
if(BgL__ortest_1293z00_8182)
{ /* Eval/evaluate_comp.scm 930 */
BgL_res4171z00_8195 = BgL__ortest_1293z00_8182; }  else 
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_odepthz00_8183;
BgL_odepthz00_8183 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8181); 
if(
(((long)2)<BgL_odepthz00_8183))
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_arg4044z00_8185;
BgL_arg4044z00_8185 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8181, ((long)2)); 
BgL_res4171z00_8195 = 
(BgL_arg4044z00_8185==BgL_classz00_8164); }  else 
{ /* Eval/evaluate_comp.scm 930 */
BgL_res4171z00_8195 = ((bool_t)0); } } } } 
BgL_arg4046z00_8170 = BgL_res4171z00_8195; } 
BgL_test4891z00_21006 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_8169, BgL_arg4046z00_8170); } }  else 
{ /* Eval/evaluate_comp.scm 930 */
BgL_test4891z00_21006 = ((bool_t)0)
; } } 
if(BgL_test4891z00_21006)
{ /* Eval/evaluate_comp.scm 930 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 933 */
 obj_t BgL_v1360z00_3120;
BgL_v1360z00_3120 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1360z00_3120,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1360z00_3120,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1360z00_3120;}  else 
{ /* Eval/evaluate_comp.scm 934 */
 obj_t BgL_v1361z00_3122;
BgL_v1361z00_3122 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1361z00_3122,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1361z00_3122,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1361z00_3122;} }  else 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL_test4896z00_21039;
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_classz00_8200;
BgL_classz00_8200 = BGl_ev_globalz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 935 */
 BgL_objectz00_bglt BgL_arg4048z00_8202;
BgL_arg4048z00_8202 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL_arg4045z00_8205; bool_t BgL_arg4046z00_8206;
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_idxz00_8209;
BgL_idxz00_8209 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_8202); 
BgL_arg4045z00_8205 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8209+((long)2)))==BgL_classz00_8200); } 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL_res4172z00_8231;
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_oclassz00_8217;
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_arg4055z00_8223;
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_arg4056z00_8224;
BgL_arg4056z00_8224 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_8202); 
BgL_arg4055z00_8223 = 
(BgL_arg4056z00_8224-OBJECT_TYPE); } 
BgL_oclassz00_8217 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_8223); } 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL__ortest_1293z00_8218;
BgL__ortest_1293z00_8218 = 
(BgL_classz00_8200==BgL_oclassz00_8217); 
if(BgL__ortest_1293z00_8218)
{ /* Eval/evaluate_comp.scm 935 */
BgL_res4172z00_8231 = BgL__ortest_1293z00_8218; }  else 
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_odepthz00_8219;
BgL_odepthz00_8219 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8217); 
if(
(((long)2)<BgL_odepthz00_8219))
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_arg4044z00_8221;
BgL_arg4044z00_8221 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8217, ((long)2)); 
BgL_res4172z00_8231 = 
(BgL_arg4044z00_8221==BgL_classz00_8200); }  else 
{ /* Eval/evaluate_comp.scm 935 */
BgL_res4172z00_8231 = ((bool_t)0); } } } } 
BgL_arg4046z00_8206 = BgL_res4172z00_8231; } 
BgL_test4896z00_21039 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_8205, BgL_arg4046z00_8206); } }  else 
{ /* Eval/evaluate_comp.scm 935 */
BgL_test4896z00_21039 = ((bool_t)0)
; } } 
if(BgL_test4896z00_21039)
{ /* Eval/evaluate_comp.scm 937 */
 obj_t BgL_gz00_3126;
{ /* Eval/evaluate_comp.scm 937 */
 obj_t BgL_arg2585z00_3134; obj_t BgL_arg2586z00_3135;
BgL_arg2585z00_3134 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2586z00_3135 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3126 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2585z00_3134, BgL_arg2586z00_3135); } 
if(
CBOOL(BgL_gz00_3126))
{ /* Eval/evaluate_comp.scm 939 */
 bool_t BgL_test4901z00_21065;
{ /* Eval/evaluate_comp.scm 939 */
 int BgL_arg2583z00_3131;
{ /* Eval/evaluate_comp.scm 939 */
 int BgL_res4173z00_8234;
BgL_res4173z00_8234 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3126),((long)0))); 
BgL_arg2583z00_3131 = BgL_res4173z00_8234; } 
BgL_test4901z00_21065 = 
(
BINT(BgL_arg2583z00_3131)==
BINT(((long)1))); } 
if(BgL_test4901z00_21065)
{ /* Eval/evaluate_comp.scm 940 */
 obj_t BgL_v1362z00_3129;
BgL_v1362z00_3129 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1362z00_3129,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1362z00_3129,((long)1),BgL_gz00_3126); 
return BgL_v1362z00_3129;}  else 
{ /* Eval/evaluate_comp.scm 941 */
 obj_t BgL_v1363z00_3130;
BgL_v1363z00_3130 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1363z00_3130,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1363z00_3130,((long)1),BgL_gz00_3126); 
return BgL_v1363z00_3130;} }  else 
{ /* Eval/evaluate_comp.scm 942 */
 obj_t BgL_v1364z00_3132;
BgL_v1364z00_3132 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1364z00_3132,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 942 */
 obj_t BgL_arg2584z00_3133;
BgL_arg2584z00_3133 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1364z00_3132,((long)1),BgL_arg2584z00_3133); } 
return BgL_v1364z00_3132;} }  else 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL_test4902z00_21086;
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_classz00_8241;
BgL_classz00_8241 = BGl_ev_appz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 943 */
 BgL_objectz00_bglt BgL_arg4048z00_8243;
BgL_arg4048z00_8243 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL_arg4045z00_8246; bool_t BgL_arg4046z00_8247;
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_idxz00_8250;
BgL_idxz00_8250 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_8243); 
BgL_arg4045z00_8246 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8250+((long)2)))==BgL_classz00_8241); } 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL_res4174z00_8272;
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_oclassz00_8258;
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_arg4055z00_8264;
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_arg4056z00_8265;
BgL_arg4056z00_8265 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_8243); 
BgL_arg4055z00_8264 = 
(BgL_arg4056z00_8265-OBJECT_TYPE); } 
BgL_oclassz00_8258 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_8264); } 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL__ortest_1293z00_8259;
BgL__ortest_1293z00_8259 = 
(BgL_classz00_8241==BgL_oclassz00_8258); 
if(BgL__ortest_1293z00_8259)
{ /* Eval/evaluate_comp.scm 943 */
BgL_res4174z00_8272 = BgL__ortest_1293z00_8259; }  else 
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_odepthz00_8260;
BgL_odepthz00_8260 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8258); 
if(
(((long)2)<BgL_odepthz00_8260))
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_arg4044z00_8262;
BgL_arg4044z00_8262 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8258, ((long)2)); 
BgL_res4174z00_8272 = 
(BgL_arg4044z00_8262==BgL_classz00_8241); }  else 
{ /* Eval/evaluate_comp.scm 943 */
BgL_res4174z00_8272 = ((bool_t)0); } } } } 
BgL_arg4046z00_8247 = BgL_res4174z00_8272; } 
BgL_test4902z00_21086 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_8246, BgL_arg4046z00_8247); } }  else 
{ /* Eval/evaluate_comp.scm 943 */
BgL_test4902z00_21086 = ((bool_t)0)
; } } 
if(BgL_test4902z00_21086)
{ /* Eval/evaluate_comp.scm 945 */
 obj_t BgL_fvalz00_3138;
{ /* Eval/evaluate_comp.scm 945 */
 BgL_ev_exprz00_bglt BgL_arg2640z00_3198;
BgL_arg2640z00_3198 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3138 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2640z00_3198); } 
if(
(BgL_fvalz00_3138==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 947 */
{ /* Eval/evaluate_comp.scm 948 */
 obj_t BgL_arg2589z00_3140; BgL_ev_exprz00_bglt BgL_arg2590z00_3141; obj_t BgL_arg2591z00_3142;
BgL_arg2589z00_3140 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2590z00_3141 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2591z00_3142 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2589z00_3140, BgL_arg2590z00_3141, BgL_arg2591z00_3142); } 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_v1365z00_3143;
BgL_v1365z00_3143 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1365z00_3143,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2592z00_3144;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2593z00_3145;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_pairz00_8274;
BgL_pairz00_8274 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2593z00_3145 = 
CAR(BgL_pairz00_8274); } 
BgL_arg2592z00_3144 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2593z00_3145, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1365z00_3143,((long)1),BgL_arg2592z00_3144); } 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2595z00_3147;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2596z00_3148;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_pairz00_8276;
BgL_pairz00_8276 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2596z00_3148 = 
CAR(
CDR(BgL_pairz00_8276)); } 
BgL_arg2595z00_3147 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2596z00_3148, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1365z00_3143,((long)2),BgL_arg2595z00_3147); } 
return BgL_v1365z00_3143;} }  else 
{ /* Eval/evaluate_comp.scm 947 */
if(
(BgL_fvalz00_3138==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 950 */
{ /* Eval/evaluate_comp.scm 951 */
 obj_t BgL_arg2599z00_3151; BgL_ev_exprz00_bglt BgL_arg2600z00_3152; obj_t BgL_arg2601z00_3153;
BgL_arg2599z00_3151 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2600z00_3152 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2601z00_3153 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2599z00_3151, BgL_arg2600z00_3152, BgL_arg2601z00_3153); } 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_v1366z00_3154;
BgL_v1366z00_3154 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1366z00_3154,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2602z00_3155;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2603z00_3156;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_pairz00_8282;
BgL_pairz00_8282 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2603z00_3156 = 
CAR(BgL_pairz00_8282); } 
BgL_arg2602z00_3155 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2603z00_3156, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1366z00_3154,((long)1),BgL_arg2602z00_3155); } 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2605z00_3158;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2606z00_3159;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_pairz00_8284;
BgL_pairz00_8284 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2606z00_3159 = 
CAR(
CDR(BgL_pairz00_8284)); } 
BgL_arg2605z00_3158 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2606z00_3159, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1366z00_3154,((long)2),BgL_arg2605z00_3158); } 
return BgL_v1366z00_3154;} }  else 
{ /* Eval/evaluate_comp.scm 950 */
if(
(BgL_fvalz00_3138==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 953 */
{ /* Eval/evaluate_comp.scm 954 */
 obj_t BgL_arg2609z00_3162; BgL_ev_exprz00_bglt BgL_arg2610z00_3163; obj_t BgL_arg2611z00_3164;
BgL_arg2609z00_3162 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2610z00_3163 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2611z00_3164 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2609z00_3162, BgL_arg2610z00_3163, BgL_arg2611z00_3164); } 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_v1367z00_3165;
BgL_v1367z00_3165 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1367z00_3165,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2612z00_3166;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2613z00_3167;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_pairz00_8290;
BgL_pairz00_8290 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2613z00_3167 = 
CAR(BgL_pairz00_8290); } 
BgL_arg2612z00_3166 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2613z00_3167, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1367z00_3165,((long)1),BgL_arg2612z00_3166); } 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2615z00_3169;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2616z00_3170;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_pairz00_8292;
BgL_pairz00_8292 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2616z00_3170 = 
CAR(
CDR(BgL_pairz00_8292)); } 
BgL_arg2615z00_3169 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2616z00_3170, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1367z00_3165,((long)2),BgL_arg2615z00_3169); } 
return BgL_v1367z00_3165;} }  else 
{ /* Eval/evaluate_comp.scm 953 */
if(
(BgL_fvalz00_3138==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 956 */
{ /* Eval/evaluate_comp.scm 957 */
 obj_t BgL_arg2619z00_3173; BgL_ev_exprz00_bglt BgL_arg2620z00_3174; obj_t BgL_arg2621z00_3175;
BgL_arg2619z00_3173 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2620z00_3174 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2621z00_3175 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2619z00_3173, BgL_arg2620z00_3174, BgL_arg2621z00_3175); } 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_v1368z00_3176;
BgL_v1368z00_3176 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1368z00_3176,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2622z00_3177;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2623z00_3178;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_pairz00_8298;
BgL_pairz00_8298 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2623z00_3178 = 
CAR(BgL_pairz00_8298); } 
BgL_arg2622z00_3177 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2623z00_3178, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1368z00_3176,((long)1),BgL_arg2622z00_3177); } 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2625z00_3180;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2626z00_3181;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_pairz00_8300;
BgL_pairz00_8300 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2626z00_3181 = 
CAR(
CDR(BgL_pairz00_8300)); } 
BgL_arg2625z00_3180 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2626z00_3181, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1368z00_3176,((long)2),BgL_arg2625z00_3180); } 
return BgL_v1368z00_3176;} }  else 
{ /* Eval/evaluate_comp.scm 956 */
if(
(BgL_fvalz00_3138==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_v1369z00_3184;
BgL_v1369z00_3184 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1369z00_3184,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_arg2629z00_3185;
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_arg2630z00_3186;
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_pairz00_8306;
BgL_pairz00_8306 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2630z00_3186 = 
CAR(BgL_pairz00_8306); } 
BgL_arg2629z00_3185 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2630z00_3186), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1369z00_3184,((long)1),BgL_arg2629z00_3185); } 
return BgL_v1369z00_3184;}  else 
{ /* Eval/evaluate_comp.scm 959 */
if(
(BgL_fvalz00_3138==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_v1370z00_3189;
BgL_v1370z00_3189 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1370z00_3189,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2633z00_3190;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2634z00_3191;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_pairz00_8309;
BgL_pairz00_8309 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2634z00_3191 = 
CAR(BgL_pairz00_8309); } 
BgL_arg2633z00_3190 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2634z00_3191), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1370z00_3189,((long)1),BgL_arg2633z00_3190); } 
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2636z00_3193;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2637z00_3194;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_pairz00_8311;
BgL_pairz00_8311 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2637z00_3194 = 
CAR(
CDR(BgL_pairz00_8311)); } 
BgL_arg2636z00_3193 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2637z00_3194), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1370z00_3189,((long)2),BgL_arg2636z00_3193); } 
return BgL_v1370z00_3189;}  else 
{ /* Eval/evaluate_comp.scm 964 */
 obj_t BgL_v1371z00_3196;
BgL_v1371z00_3196 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1371z00_3196,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 964 */
 obj_t BgL_arg2639z00_3197;
BgL_arg2639z00_3197 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1371z00_3196,((long)1),BgL_arg2639z00_3197); } 
return BgL_v1371z00_3196;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 965 */
 obj_t BgL_v1372z00_3199;
BgL_v1372z00_3199 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1372z00_3199,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 965 */
 obj_t BgL_arg2641z00_3200;
BgL_arg2641z00_3200 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1372z00_3199,((long)1),BgL_arg2641z00_3200); } 
return BgL_v1372z00_3199;} } } } } } 

}



/* check-arity-binop~0 */
obj_t BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(obj_t BgL_locz00_3203, BgL_ev_exprz00_bglt BgL_funz00_3204, obj_t BgL_argsz00_3205)
{
{ /* Eval/evaluate_comp.scm 922 */
{ /* Eval/evaluate_comp.scm 921 */
 bool_t BgL_test4912z00_21241;
if(
PAIRP(BgL_argsz00_3205))
{ /* Eval/evaluate_comp.scm 921 */
 bool_t BgL_test4914z00_21244;
{ /* Eval/evaluate_comp.scm 921 */
 obj_t BgL_tmpz00_21245;
BgL_tmpz00_21245 = 
CDR(BgL_argsz00_3205); 
BgL_test4914z00_21244 = 
PAIRP(BgL_tmpz00_21245); } 
if(BgL_test4914z00_21244)
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4912z00_21241 = 
NULLP(
CDR(
CDR(BgL_argsz00_3205)))
; }  else 
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4912z00_21241 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4912z00_21241 = ((bool_t)0)
; } 
if(BgL_test4912z00_21241)
{ /* Eval/evaluate_comp.scm 921 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 922 */
 long BgL_arg2650z00_3213;
BgL_arg2650z00_3213 = 
bgl_list_length(BgL_argsz00_3205); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_3203, 
((obj_t)BgL_funz00_3204), 
(int)(((long)2)), 
(int)(BgL_arg2650z00_3213));} } } 

}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{
{ /* Eval/evaluate_comp.scm 967 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 

}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_12897, obj_t BgL_bcz00_3221)
{
{ /* Eval/evaluate_comp.scm 982 */
{ 

{ /* Eval/evaluate_comp.scm 969 */
 obj_t BgL_aux1226z00_3224;
BgL_aux1226z00_3224 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)0)); 
if(
INTEGERP(BgL_aux1226z00_3224))
{ /* Eval/evaluate_comp.scm 969 */
switch( 
(long)CINT(BgL_aux1226z00_3224)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 970 */
 obj_t BgL_fun2655z00_3226;
BgL_fun2655z00_3226 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
return 
PROCEDURE_ENTRY(BgL_fun2655z00_3226)(BgL_fun2655z00_3226, BgL_sz00_12897, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 972 */
 long BgL_arg2656z00_3227;
{ /* Eval/evaluate_comp.scm 972 */
 obj_t BgL_arg2657z00_3228; obj_t BgL_arg2658z00_3229;
BgL_arg2657z00_3228 = 
VECTOR_REF(
((obj_t)BgL_sz00_12897),((long)0)); 
BgL_arg2658z00_3229 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2656z00_3227 = 
(
(long)CINT(BgL_arg2657z00_3228)+
(long)CINT(BgL_arg2658z00_3229)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12897),BgL_arg2656z00_3227);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 973 */
 obj_t BgL_arg2659z00_3230;
{ /* Eval/evaluate_comp.scm 973 */
 long BgL_arg2660z00_3231;
{ /* Eval/evaluate_comp.scm 973 */
 obj_t BgL_arg2661z00_3232; obj_t BgL_arg2662z00_3233;
BgL_arg2661z00_3232 = 
VECTOR_REF(
((obj_t)BgL_sz00_12897),((long)0)); 
BgL_arg2662z00_3233 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2660z00_3231 = 
(
(long)CINT(BgL_arg2661z00_3232)+
(long)CINT(BgL_arg2662z00_3233)); } 
BgL_arg2659z00_3230 = 
VECTOR_REF(
((obj_t)BgL_sz00_12897),BgL_arg2660z00_3231); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2659z00_3230), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 974 */
 obj_t BgL_arg2663z00_3234;
{ /* Eval/evaluate_comp.scm 974 */
 obj_t BgL_arg2664z00_3235;
BgL_arg2664z00_3235 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2663z00_3234 = 
VECTOR_REF(
((obj_t)BgL_arg2664z00_3235),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2663z00_3234);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 975 */
 obj_t BgL_arg2665z00_3236;
BgL_arg2665z00_3236 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2665z00_3236),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2666z00_3237; obj_t BgL_arg2667z00_3238;
{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2668z00_3239;
BgL_arg2668z00_3239 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2666z00_3237 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12897, BgL_arg2668z00_3239); } 
{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2669z00_3240;
BgL_arg2669z00_3240 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2667z00_3238 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12897, BgL_arg2669z00_3240); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2666z00_3237)+
REAL_TO_DOUBLE(BgL_arg2667z00_3238)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2670z00_3241; obj_t BgL_arg2671z00_3242;
{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2672z00_3243;
BgL_arg2672z00_3243 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2670z00_3241 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12897, BgL_arg2672z00_3243); } 
{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2673z00_3244;
BgL_arg2673z00_3244 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2671z00_3242 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12897, BgL_arg2673z00_3244); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2670z00_3241)-
REAL_TO_DOUBLE(BgL_arg2671z00_3242)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2674z00_3245; obj_t BgL_arg2675z00_3246;
{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2676z00_3247;
BgL_arg2676z00_3247 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2674z00_3245 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12897, BgL_arg2676z00_3247); } 
{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2677z00_3248;
BgL_arg2677z00_3248 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2675z00_3246 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12897, BgL_arg2677z00_3248); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2674z00_3245)*
REAL_TO_DOUBLE(BgL_arg2675z00_3246)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2678z00_3249; obj_t BgL_arg2679z00_3250;
{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2680z00_3251;
BgL_arg2680z00_3251 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2678z00_3249 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12897, BgL_arg2680z00_3251); } 
{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2681z00_3252;
BgL_arg2681z00_3252 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2679z00_3250 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12897, BgL_arg2681z00_3252); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2678z00_3249)/
REAL_TO_DOUBLE(BgL_arg2679z00_3250)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 980 */
 obj_t BgL_arg2682z00_3253;
{ /* Eval/evaluate_comp.scm 980 */
 obj_t BgL_fun2683z00_3254;
BgL_fun2683z00_3254 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2682z00_3253 = 
PROCEDURE_ENTRY(BgL_fun2683z00_3254)(BgL_fun2683z00_3254, BgL_sz00_12897, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2682z00_3253)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_arg2684z00_3255; obj_t BgL_arg2685z00_3256;
{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_fun2686z00_3257;
BgL_fun2686z00_3257 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2684z00_3255 = 
PROCEDURE_ENTRY(BgL_fun2686z00_3257)(BgL_fun2686z00_3257, BgL_sz00_12897, BEOA); } 
{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_fun2687z00_3258;
BgL_fun2687z00_3258 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2685z00_3256 = 
PROCEDURE_ENTRY(BgL_fun2687z00_3258)(BgL_fun2687z00_3258, BgL_sz00_12897, BEOA); } 
{ /* Eval/evaluate_comp.scm 981 */
 double BgL_tmpz00_21361;
{ /* Eval/evaluate_comp.scm 981 */
 long BgL_tmpz00_21362;
BgL_tmpz00_21362 = 
(long)CINT(BgL_arg2685z00_3256); 
BgL_tmpz00_21361 = 
BGL_F64VREF(BgL_arg2684z00_3255, BgL_tmpz00_21362); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21361);} } break;
default: 
BgL_case_else1225z00_3223:
{ /* Eval/evaluate_comp.scm 982 */
 obj_t BgL_arg2688z00_3259;
BgL_arg2688z00_3259 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string4318z00zz__evaluate_compz00, BGl_string4337z00zz__evaluate_compz00, BgL_arg2688z00_3259);} } }  else 
{ /* Eval/evaluate_comp.scm 969 */
goto BgL_case_else1225z00_3223;} } } } 

}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{
{ /* Eval/evaluate_comp.scm 985 */
{ /* Eval/evaluate_comp.scm 987 */
 obj_t BgL_fvalz00_3262;
BgL_fvalz00_3262 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 988 */
 bool_t BgL_test4916z00_21373;
if(
(BgL_fvalz00_3262==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4916z00_21373 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
if(
(BgL_fvalz00_3262==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4916z00_21373 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
if(
(BgL_fvalz00_3262==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4916z00_21373 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4916z00_21373 = 
(BgL_fvalz00_3262==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_test4916z00_21373)
{ /* Eval/evaluate_comp.scm 989 */
 obj_t BgL_bcz00_3267;
BgL_bcz00_3267 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_zc3z04anonymousza32693ze3z87_11263;
BgL_zc3z04anonymousza32693ze3z87_11263 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32693ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32693ze3z87_11263, 
(int)(((long)0)), BgL_bcz00_3267); 
return BgL_zc3z04anonymousza32693ze3z87_11263;} }  else 
{ /* Eval/evaluate_comp.scm 988 */
return BFALSE;} } } } 

}



/* &<@anonymous:2693> */
obj_t BGl_z62zc3z04anonymousza32693ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11264, obj_t BgL_sz00_11266)
{
{ /* Eval/evaluate_comp.scm 990 */
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_bcz00_11265;
BgL_bcz00_11265 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11264, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 990 */
 double BgL_tmpz00_21391;
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_bpz00_13844;
BgL_bpz00_13844 = 
VECTOR_REF(
((obj_t)BgL_sz00_11266),((long)0)); 
BgL_tmpz00_21391 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_11265, BgL_sz00_11266); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21391);} } } 

}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{
{ /* Eval/evaluate_comp.scm 1019 */
{ /* Eval/evaluate_comp.scm 1020 */
 obj_t BgL_valz00_3275;
BgL_valz00_3275 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3275))
{ /* Eval/evaluate_comp.scm 1022 */
 long BgL_nz00_3276;
BgL_nz00_3276 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1023 */
 obj_t BgL__ortest_1232z00_3277;
if(
(BgL_nz00_3276==((long)1)))
{ /* Eval/evaluate_comp.scm 1024 */
 obj_t BgL_a1z00_3568;
BgL_a1z00_3568 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3275==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3570;
BgL_a1z00_3570 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3568), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32810ze3z87_11296;
BgL_zc3z04anonymousza32810ze3z87_11296 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32810ze3z87_11296, 
(int)(((long)0)), BgL_a1z00_3570); 
PROCEDURE_SET(BgL_zc3z04anonymousza32810ze3z87_11296, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1232z00_3277 = BgL_zc3z04anonymousza32810ze3z87_11296; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
if(
(BgL_valz00_3275==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3577;
BgL_a1z00_3577 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3568), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32813ze3z87_11297;
BgL_zc3z04anonymousza32813ze3z87_11297 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32813ze3z87_11297, 
(int)(((long)0)), BgL_a1z00_3577); 
PROCEDURE_SET(BgL_zc3z04anonymousza32813ze3z87_11297, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1232z00_3277 = BgL_zc3z04anonymousza32813ze3z87_11297; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
if(
(BgL_valz00_3275==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3584;
BgL_a1z00_3584 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3568), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32816ze3z87_11298;
BgL_zc3z04anonymousza32816ze3z87_11298 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32816ze3z87_11298, 
(int)(((long)0)), BgL_a1z00_3584); 
PROCEDURE_SET(BgL_zc3z04anonymousza32816ze3z87_11298, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1232z00_3277 = BgL_zc3z04anonymousza32816ze3z87_11298; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BgL__ortest_1232z00_3277 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1023 */
BgL__ortest_1232z00_3277 = BFALSE; } 
if(
CBOOL(BgL__ortest_1232z00_3277))
{ /* Eval/evaluate_comp.scm 1023 */
return BgL__ortest_1232z00_3277;}  else 
{ /* Eval/evaluate_comp.scm 1023 */
if(
(BgL_nz00_3276==((long)2)))
{ /* Eval/evaluate_comp.scm 1027 */
 obj_t BgL_a1z00_3279; obj_t BgL_a2z00_3280;
BgL_a1z00_3279 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1027 */
 obj_t BgL_pairz00_8380;
BgL_pairz00_8380 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3280 = 
CAR(BgL_pairz00_8380); } 
if(
(BgL_valz00_3275==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3282; obj_t BgL_a2z00_3283;
BgL_a1z00_3282 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3283 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32697ze3z87_11267;
BgL_zc3z04anonymousza32697ze3z87_11267 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11267, 
(int)(((long)0)), BgL_a1z00_3282); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11267, 
(int)(((long)1)), BgL_a2z00_3283); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11267, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32697ze3z87_11267;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3292; obj_t BgL_a2z00_3293;
BgL_a1z00_3292 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3293 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32701ze3z87_11268;
BgL_zc3z04anonymousza32701ze3z87_11268 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32701ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32701ze3z87_11268, 
(int)(((long)0)), BgL_a1z00_3292); 
PROCEDURE_SET(BgL_zc3z04anonymousza32701ze3z87_11268, 
(int)(((long)1)), BgL_a2z00_3293); 
PROCEDURE_SET(BgL_zc3z04anonymousza32701ze3z87_11268, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32701ze3z87_11268;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3302; obj_t BgL_a2z00_3303;
BgL_a1z00_3302 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3303 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32705ze3z87_11269;
BgL_zc3z04anonymousza32705ze3z87_11269 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32705ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32705ze3z87_11269, 
(int)(((long)0)), BgL_a1z00_3302); 
PROCEDURE_SET(BgL_zc3z04anonymousza32705ze3z87_11269, 
(int)(((long)1)), BgL_a2z00_3303); 
PROCEDURE_SET(BgL_zc3z04anonymousza32705ze3z87_11269, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32705ze3z87_11269;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3312; obj_t BgL_a2z00_3313;
BgL_a1z00_3312 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3313 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32709ze3z87_11270;
BgL_zc3z04anonymousza32709ze3z87_11270 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11270, 
(int)(((long)0)), BgL_a1z00_3312); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11270, 
(int)(((long)1)), BgL_a2z00_3313); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11270, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32709ze3z87_11270;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3322; obj_t BgL_a2z00_3323;
BgL_a1z00_3322 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3323 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32713ze3z87_11271;
BgL_zc3z04anonymousza32713ze3z87_11271 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32713ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32713ze3z87_11271, 
(int)(((long)0)), BgL_a1z00_3322); 
PROCEDURE_SET(BgL_zc3z04anonymousza32713ze3z87_11271, 
(int)(((long)1)), BgL_a2z00_3323); 
PROCEDURE_SET(BgL_zc3z04anonymousza32713ze3z87_11271, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32713ze3z87_11271;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3332; obj_t BgL_a2z00_3333;
BgL_a1z00_3332 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3333 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32717ze3z87_11272;
BgL_zc3z04anonymousza32717ze3z87_11272 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32717ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32717ze3z87_11272, 
(int)(((long)0)), BgL_a1z00_3332); 
PROCEDURE_SET(BgL_zc3z04anonymousza32717ze3z87_11272, 
(int)(((long)1)), BgL_a2z00_3333); 
PROCEDURE_SET(BgL_zc3z04anonymousza32717ze3z87_11272, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32717ze3z87_11272;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3342; obj_t BgL_a2z00_3343;
BgL_a1z00_3342 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3343 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32721ze3z87_11273;
BgL_zc3z04anonymousza32721ze3z87_11273 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11273, 
(int)(((long)0)), BgL_a1z00_3342); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11273, 
(int)(((long)1)), BgL_a2z00_3343); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11273, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32721ze3z87_11273;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3352; obj_t BgL_a2z00_3353;
BgL_a1z00_3352 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3353 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32725ze3z87_11274;
BgL_zc3z04anonymousza32725ze3z87_11274 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32725ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32725ze3z87_11274, 
(int)(((long)0)), BgL_a1z00_3352); 
PROCEDURE_SET(BgL_zc3z04anonymousza32725ze3z87_11274, 
(int)(((long)1)), BgL_a2z00_3353); 
PROCEDURE_SET(BgL_zc3z04anonymousza32725ze3z87_11274, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32725ze3z87_11274;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3362; obj_t BgL_a2z00_3363;
BgL_a1z00_3362 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3363 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32729ze3z87_11275;
BgL_zc3z04anonymousza32729ze3z87_11275 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32729ze3z87_11275, 
(int)(((long)0)), BgL_a1z00_3362); 
PROCEDURE_SET(BgL_zc3z04anonymousza32729ze3z87_11275, 
(int)(((long)1)), BgL_a2z00_3363); 
PROCEDURE_SET(BgL_zc3z04anonymousza32729ze3z87_11275, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32729ze3z87_11275;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3372; obj_t BgL_a2z00_3373;
BgL_a1z00_3372 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3373 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32733ze3z87_11276;
BgL_zc3z04anonymousza32733ze3z87_11276 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11276, 
(int)(((long)0)), BgL_a1z00_3372); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11276, 
(int)(((long)1)), BgL_a2z00_3373); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11276, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32733ze3z87_11276;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3382; obj_t BgL_a2z00_3383;
BgL_a1z00_3382 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3383 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32737ze3z87_11277;
BgL_zc3z04anonymousza32737ze3z87_11277 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32737ze3z87_11277, 
(int)(((long)0)), BgL_a1z00_3382); 
PROCEDURE_SET(BgL_zc3z04anonymousza32737ze3z87_11277, 
(int)(((long)1)), BgL_a2z00_3383); 
PROCEDURE_SET(BgL_zc3z04anonymousza32737ze3z87_11277, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32737ze3z87_11277;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3392; obj_t BgL_a2z00_3393;
BgL_a1z00_3392 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3393 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32741ze3z87_11278;
BgL_zc3z04anonymousza32741ze3z87_11278 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32741ze3z87_11278, 
(int)(((long)0)), BgL_a1z00_3392); 
PROCEDURE_SET(BgL_zc3z04anonymousza32741ze3z87_11278, 
(int)(((long)1)), BgL_a2z00_3393); 
PROCEDURE_SET(BgL_zc3z04anonymousza32741ze3z87_11278, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32741ze3z87_11278;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3402; obj_t BgL_a2z00_3403;
BgL_a1z00_3402 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3403 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32745ze3z87_11279;
BgL_zc3z04anonymousza32745ze3z87_11279 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32745ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32745ze3z87_11279, 
(int)(((long)0)), BgL_a1z00_3402); 
PROCEDURE_SET(BgL_zc3z04anonymousza32745ze3z87_11279, 
(int)(((long)1)), BgL_a2z00_3403); 
PROCEDURE_SET(BgL_zc3z04anonymousza32745ze3z87_11279, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32745ze3z87_11279;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3412; obj_t BgL_a2z00_3413;
BgL_a1z00_3412 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3413 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32749ze3z87_11280;
BgL_zc3z04anonymousza32749ze3z87_11280 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32749ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32749ze3z87_11280, 
(int)(((long)0)), BgL_a1z00_3412); 
PROCEDURE_SET(BgL_zc3z04anonymousza32749ze3z87_11280, 
(int)(((long)1)), BgL_a2z00_3413); 
PROCEDURE_SET(BgL_zc3z04anonymousza32749ze3z87_11280, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32749ze3z87_11280;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3422; obj_t BgL_a2z00_3423;
BgL_a1z00_3422 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3423 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32753ze3z87_11281;
BgL_zc3z04anonymousza32753ze3z87_11281 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32753ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32753ze3z87_11281, 
(int)(((long)0)), BgL_a1z00_3422); 
PROCEDURE_SET(BgL_zc3z04anonymousza32753ze3z87_11281, 
(int)(((long)1)), BgL_a2z00_3423); 
PROCEDURE_SET(BgL_zc3z04anonymousza32753ze3z87_11281, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32753ze3z87_11281;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3432; obj_t BgL_a2z00_3433;
BgL_a1z00_3432 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3433 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32757ze3z87_11282;
BgL_zc3z04anonymousza32757ze3z87_11282 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32757ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32757ze3z87_11282, 
(int)(((long)0)), BgL_a1z00_3432); 
PROCEDURE_SET(BgL_zc3z04anonymousza32757ze3z87_11282, 
(int)(((long)1)), BgL_a2z00_3433); 
PROCEDURE_SET(BgL_zc3z04anonymousza32757ze3z87_11282, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32757ze3z87_11282;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3442; obj_t BgL_a2z00_3443;
BgL_a1z00_3442 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3443 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32761ze3z87_11283;
BgL_zc3z04anonymousza32761ze3z87_11283 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32761ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32761ze3z87_11283, 
(int)(((long)0)), BgL_a1z00_3442); 
PROCEDURE_SET(BgL_zc3z04anonymousza32761ze3z87_11283, 
(int)(((long)1)), BgL_a2z00_3443); 
PROCEDURE_SET(BgL_zc3z04anonymousza32761ze3z87_11283, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32761ze3z87_11283;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3452; obj_t BgL_a2z00_3453;
BgL_a1z00_3452 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3453 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32765ze3z87_11284;
BgL_zc3z04anonymousza32765ze3z87_11284 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32765ze3z87_11284, 
(int)(((long)0)), BgL_a1z00_3452); 
PROCEDURE_SET(BgL_zc3z04anonymousza32765ze3z87_11284, 
(int)(((long)1)), BgL_a2z00_3453); 
PROCEDURE_SET(BgL_zc3z04anonymousza32765ze3z87_11284, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32765ze3z87_11284;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3462; obj_t BgL_a2z00_3463;
BgL_a1z00_3462 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3463 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32769ze3z87_11285;
BgL_zc3z04anonymousza32769ze3z87_11285 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32769ze3z87_11285, 
(int)(((long)0)), BgL_a1z00_3462); 
PROCEDURE_SET(BgL_zc3z04anonymousza32769ze3z87_11285, 
(int)(((long)1)), BgL_a2z00_3463); 
PROCEDURE_SET(BgL_zc3z04anonymousza32769ze3z87_11285, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32769ze3z87_11285;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3472; obj_t BgL_a2z00_3473;
BgL_a1z00_3472 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3473 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32773ze3z87_11286;
BgL_zc3z04anonymousza32773ze3z87_11286 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32773ze3z87_11286, 
(int)(((long)0)), BgL_a1z00_3472); 
PROCEDURE_SET(BgL_zc3z04anonymousza32773ze3z87_11286, 
(int)(((long)1)), BgL_a2z00_3473); 
PROCEDURE_SET(BgL_zc3z04anonymousza32773ze3z87_11286, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32773ze3z87_11286;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3482; obj_t BgL_a2z00_3483;
BgL_a1z00_3482 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3483 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32777ze3z87_11287;
BgL_zc3z04anonymousza32777ze3z87_11287 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32777ze3z87_11287, 
(int)(((long)0)), BgL_a1z00_3482); 
PROCEDURE_SET(BgL_zc3z04anonymousza32777ze3z87_11287, 
(int)(((long)1)), BgL_a2z00_3483); 
PROCEDURE_SET(BgL_zc3z04anonymousza32777ze3z87_11287, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32777ze3z87_11287;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3492; obj_t BgL_a2z00_3493;
BgL_a1z00_3492 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3493 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32781ze3z87_11288;
BgL_zc3z04anonymousza32781ze3z87_11288 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32781ze3z87_11288, 
(int)(((long)0)), BgL_a1z00_3492); 
PROCEDURE_SET(BgL_zc3z04anonymousza32781ze3z87_11288, 
(int)(((long)1)), BgL_a2z00_3493); 
PROCEDURE_SET(BgL_zc3z04anonymousza32781ze3z87_11288, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32781ze3z87_11288;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3502; obj_t BgL_a2z00_3503;
BgL_a1z00_3502 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3503 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32785ze3z87_11289;
BgL_zc3z04anonymousza32785ze3z87_11289 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32785ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32785ze3z87_11289, 
(int)(((long)0)), BgL_a1z00_3502); 
PROCEDURE_SET(BgL_zc3z04anonymousza32785ze3z87_11289, 
(int)(((long)1)), BgL_a2z00_3503); 
PROCEDURE_SET(BgL_zc3z04anonymousza32785ze3z87_11289, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32785ze3z87_11289;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3512; obj_t BgL_a2z00_3513;
BgL_a1z00_3512 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3513 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32789ze3z87_11290;
BgL_zc3z04anonymousza32789ze3z87_11290 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32789ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32789ze3z87_11290, 
(int)(((long)0)), BgL_a1z00_3512); 
PROCEDURE_SET(BgL_zc3z04anonymousza32789ze3z87_11290, 
(int)(((long)1)), BgL_a2z00_3513); 
PROCEDURE_SET(BgL_zc3z04anonymousza32789ze3z87_11290, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32789ze3z87_11290;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3522; obj_t BgL_a2z00_3523;
BgL_a1z00_3522 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3523 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32793ze3z87_11291;
BgL_zc3z04anonymousza32793ze3z87_11291 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32793ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32793ze3z87_11291, 
(int)(((long)0)), BgL_a1z00_3522); 
PROCEDURE_SET(BgL_zc3z04anonymousza32793ze3z87_11291, 
(int)(((long)1)), BgL_a2z00_3523); 
PROCEDURE_SET(BgL_zc3z04anonymousza32793ze3z87_11291, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32793ze3z87_11291;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3532; obj_t BgL_a2z00_3533;
BgL_a1z00_3532 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3533 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32797ze3z87_11292;
BgL_zc3z04anonymousza32797ze3z87_11292 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32797ze3z87_11292, 
(int)(((long)0)), BgL_a1z00_3532); 
PROCEDURE_SET(BgL_zc3z04anonymousza32797ze3z87_11292, 
(int)(((long)1)), BgL_a2z00_3533); 
PROCEDURE_SET(BgL_zc3z04anonymousza32797ze3z87_11292, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32797ze3z87_11292;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3542; obj_t BgL_a2z00_3543;
BgL_a1z00_3542 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3543 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32801ze3z87_11293;
BgL_zc3z04anonymousza32801ze3z87_11293 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32801ze3z87_11293, 
(int)(((long)0)), BgL_a1z00_3542); 
PROCEDURE_SET(BgL_zc3z04anonymousza32801ze3z87_11293, 
(int)(((long)1)), BgL_a2z00_3543); 
PROCEDURE_SET(BgL_zc3z04anonymousza32801ze3z87_11293, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32801ze3z87_11293;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3552; obj_t BgL_a2z00_3553;
BgL_a1z00_3552 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3553 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32805ze3z87_11294;
BgL_zc3z04anonymousza32805ze3z87_11294 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32805ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32805ze3z87_11294, 
(int)(((long)0)), BgL_a1z00_3552); 
PROCEDURE_SET(BgL_zc3z04anonymousza32805ze3z87_11294, 
(int)(((long)1)), BgL_a2z00_3553); 
return BgL_zc3z04anonymousza32805ze3z87_11294;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3560; obj_t BgL_a2z00_3561;
BgL_a1z00_3560 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3561 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32807ze3z87_11295;
BgL_zc3z04anonymousza32807ze3z87_11295 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32807ze3z87_11295, 
(int)(((long)0)), BgL_a1z00_3560); 
PROCEDURE_SET(BgL_zc3z04anonymousza32807ze3z87_11295, 
(int)(((long)1)), BgL_a2z00_3561); 
return BgL_zc3z04anonymousza32807ze3z87_11295;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1026 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1021 */
return BFALSE;} } } 

}



/* &<@anonymous:2697> */
obj_t BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11299, obj_t BgL_sz00_11303)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11300; obj_t BgL_a2z00_11301; obj_t BgL_locz00_11302;
BgL_a1z00_11300 = 
PROCEDURE_REF(BgL_envz00_11299, 
(int)(((long)0))); 
BgL_a2z00_11301 = 
PROCEDURE_REF(BgL_envz00_11299, 
(int)(((long)1))); 
BgL_locz00_11302 = 
PROCEDURE_REF(BgL_envz00_11299, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13845;
BgL_bpz00_13845 = 
VECTOR_REF(
((obj_t)BgL_sz00_11303),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13846; obj_t BgL_a2z00_13847;
BgL_a1z00_13846 = 
PROCEDURE_ENTRY(BgL_a1z00_11300)(BgL_a1z00_11300, BgL_sz00_11303, BEOA); 
BgL_a2z00_13847 = 
PROCEDURE_ENTRY(BgL_a2z00_11301)(BgL_a2z00_11301, BgL_sz00_11303, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13846))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4338z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13846, BgL_locz00_11302); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13847))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4338z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13847, BgL_locz00_11302); } 
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_13846, BgL_a2z00_13847);} } } } 

}



/* &<@anonymous:2701> */
obj_t BGl_z62zc3z04anonymousza32701ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11304, obj_t BgL_sz00_11308)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11305; obj_t BgL_a2z00_11306; obj_t BgL_locz00_11307;
BgL_a1z00_11305 = 
PROCEDURE_REF(BgL_envz00_11304, 
(int)(((long)0))); 
BgL_a2z00_11306 = 
PROCEDURE_REF(BgL_envz00_11304, 
(int)(((long)1))); 
BgL_locz00_11307 = 
PROCEDURE_REF(BgL_envz00_11304, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13848;
BgL_bpz00_13848 = 
VECTOR_REF(
((obj_t)BgL_sz00_11308),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13849; obj_t BgL_a2z00_13850;
BgL_a1z00_13849 = 
PROCEDURE_ENTRY(BgL_a1z00_11305)(BgL_a1z00_11305, BgL_sz00_11308, BEOA); 
BgL_a2z00_13850 = 
PROCEDURE_ENTRY(BgL_a2z00_11306)(BgL_a2z00_11306, BgL_sz00_11308, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13849))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4342z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13849, BgL_locz00_11307); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13850))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4342z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13850, BgL_locz00_11307); } 
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_13849, BgL_a2z00_13850);} } } } 

}



/* &<@anonymous:2705> */
obj_t BGl_z62zc3z04anonymousza32705ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11309, obj_t BgL_sz00_11313)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11310; obj_t BgL_a2z00_11311; obj_t BgL_locz00_11312;
BgL_a1z00_11310 = 
PROCEDURE_REF(BgL_envz00_11309, 
(int)(((long)0))); 
BgL_a2z00_11311 = 
PROCEDURE_REF(BgL_envz00_11309, 
(int)(((long)1))); 
BgL_locz00_11312 = 
PROCEDURE_REF(BgL_envz00_11309, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13851;
BgL_bpz00_13851 = 
VECTOR_REF(
((obj_t)BgL_sz00_11313),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13852; obj_t BgL_a2z00_13853;
BgL_a1z00_13852 = 
PROCEDURE_ENTRY(BgL_a1z00_11310)(BgL_a1z00_11310, BgL_sz00_11313, BEOA); 
BgL_a2z00_13853 = 
PROCEDURE_ENTRY(BgL_a2z00_11311)(BgL_a2z00_11311, BgL_sz00_11313, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13852))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4344z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13852, BgL_locz00_11312); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13853))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4344z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13853, BgL_locz00_11312); } 
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_13852, BgL_a2z00_13853);} } } } 

}



/* &<@anonymous:2709> */
obj_t BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11314, obj_t BgL_sz00_11318)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11315; obj_t BgL_a2z00_11316; obj_t BgL_locz00_11317;
BgL_a1z00_11315 = 
PROCEDURE_REF(BgL_envz00_11314, 
(int)(((long)0))); 
BgL_a2z00_11316 = 
PROCEDURE_REF(BgL_envz00_11314, 
(int)(((long)1))); 
BgL_locz00_11317 = 
PROCEDURE_REF(BgL_envz00_11314, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13854;
BgL_bpz00_13854 = 
VECTOR_REF(
((obj_t)BgL_sz00_11318),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13855; obj_t BgL_a2z00_13856;
BgL_a1z00_13855 = 
PROCEDURE_ENTRY(BgL_a1z00_11315)(BgL_a1z00_11315, BgL_sz00_11318, BEOA); 
BgL_a2z00_13856 = 
PROCEDURE_ENTRY(BgL_a2z00_11316)(BgL_a2z00_11316, BgL_sz00_11318, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13855))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4346z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13855, BgL_locz00_11317); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13856))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4346z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13856, BgL_locz00_11317); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_13855, BgL_a2z00_13856);} } } } 

}



/* &<@anonymous:2713> */
obj_t BGl_z62zc3z04anonymousza32713ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11319, obj_t BgL_sz00_11323)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11320; obj_t BgL_a2z00_11321; obj_t BgL_locz00_11322;
BgL_a1z00_11320 = 
PROCEDURE_REF(BgL_envz00_11319, 
(int)(((long)0))); 
BgL_a2z00_11321 = 
PROCEDURE_REF(BgL_envz00_11319, 
(int)(((long)1))); 
BgL_locz00_11322 = 
PROCEDURE_REF(BgL_envz00_11319, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_21975;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13857;
BgL_bpz00_13857 = 
VECTOR_REF(
((obj_t)BgL_sz00_11323),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13858; obj_t BgL_a2z00_13859;
BgL_a1z00_13858 = 
PROCEDURE_ENTRY(BgL_a1z00_11320)(BgL_a1z00_11320, BgL_sz00_11323, BEOA); 
BgL_a2z00_13859 = 
PROCEDURE_ENTRY(BgL_a2z00_11321)(BgL_a2z00_11321, BgL_sz00_11323, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13858))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4348z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13858, BgL_locz00_11322); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13859))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4348z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13859, BgL_locz00_11322); } 
BgL_tmpz00_21975 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_13858, BgL_a2z00_13859); } } 
return 
BBOOL(BgL_tmpz00_21975);} } } 

}



/* &<@anonymous:2717> */
obj_t BGl_z62zc3z04anonymousza32717ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11324, obj_t BgL_sz00_11328)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11325; obj_t BgL_a2z00_11326; obj_t BgL_locz00_11327;
BgL_a1z00_11325 = 
PROCEDURE_REF(BgL_envz00_11324, 
(int)(((long)0))); 
BgL_a2z00_11326 = 
PROCEDURE_REF(BgL_envz00_11324, 
(int)(((long)1))); 
BgL_locz00_11327 = 
PROCEDURE_REF(BgL_envz00_11324, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22000;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13860;
BgL_bpz00_13860 = 
VECTOR_REF(
((obj_t)BgL_sz00_11328),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13861; obj_t BgL_a2z00_13862;
BgL_a1z00_13861 = 
PROCEDURE_ENTRY(BgL_a1z00_11325)(BgL_a1z00_11325, BgL_sz00_11328, BEOA); 
BgL_a2z00_13862 = 
PROCEDURE_ENTRY(BgL_a2z00_11326)(BgL_a2z00_11326, BgL_sz00_11328, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13861))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4350z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13861, BgL_locz00_11327); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13862))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4350z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13862, BgL_locz00_11327); } 
BgL_tmpz00_22000 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_13861, BgL_a2z00_13862); } } 
return 
BBOOL(BgL_tmpz00_22000);} } } 

}



/* &<@anonymous:2721> */
obj_t BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11329, obj_t BgL_sz00_11333)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11330; obj_t BgL_a2z00_11331; obj_t BgL_locz00_11332;
BgL_a1z00_11330 = 
PROCEDURE_REF(BgL_envz00_11329, 
(int)(((long)0))); 
BgL_a2z00_11331 = 
PROCEDURE_REF(BgL_envz00_11329, 
(int)(((long)1))); 
BgL_locz00_11332 = 
PROCEDURE_REF(BgL_envz00_11329, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22025;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13863;
BgL_bpz00_13863 = 
VECTOR_REF(
((obj_t)BgL_sz00_11333),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13864; obj_t BgL_a2z00_13865;
BgL_a1z00_13864 = 
PROCEDURE_ENTRY(BgL_a1z00_11330)(BgL_a1z00_11330, BgL_sz00_11333, BEOA); 
BgL_a2z00_13865 = 
PROCEDURE_ENTRY(BgL_a2z00_11331)(BgL_a2z00_11331, BgL_sz00_11333, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13864))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4352z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13864, BgL_locz00_11332); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13865))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4352z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13865, BgL_locz00_11332); } 
BgL_tmpz00_22025 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_13864, BgL_a2z00_13865); } } 
return 
BBOOL(BgL_tmpz00_22025);} } } 

}



/* &<@anonymous:2725> */
obj_t BGl_z62zc3z04anonymousza32725ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11334, obj_t BgL_sz00_11338)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11335; obj_t BgL_a2z00_11336; obj_t BgL_locz00_11337;
BgL_a1z00_11335 = 
PROCEDURE_REF(BgL_envz00_11334, 
(int)(((long)0))); 
BgL_a2z00_11336 = 
PROCEDURE_REF(BgL_envz00_11334, 
(int)(((long)1))); 
BgL_locz00_11337 = 
PROCEDURE_REF(BgL_envz00_11334, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22050;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13866;
BgL_bpz00_13866 = 
VECTOR_REF(
((obj_t)BgL_sz00_11338),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13867; obj_t BgL_a2z00_13868;
BgL_a1z00_13867 = 
PROCEDURE_ENTRY(BgL_a1z00_11335)(BgL_a1z00_11335, BgL_sz00_11338, BEOA); 
BgL_a2z00_13868 = 
PROCEDURE_ENTRY(BgL_a2z00_11336)(BgL_a2z00_11336, BgL_sz00_11338, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13867))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4354z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13867, BgL_locz00_11337); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13868))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4354z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13868, BgL_locz00_11337); } 
BgL_tmpz00_22050 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_13867, BgL_a2z00_13868); } } 
return 
BBOOL(BgL_tmpz00_22050);} } } 

}



/* &<@anonymous:2729> */
obj_t BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11339, obj_t BgL_sz00_11343)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11340; obj_t BgL_a2z00_11341; obj_t BgL_locz00_11342;
BgL_a1z00_11340 = 
PROCEDURE_REF(BgL_envz00_11339, 
(int)(((long)0))); 
BgL_a2z00_11341 = 
PROCEDURE_REF(BgL_envz00_11339, 
(int)(((long)1))); 
BgL_locz00_11342 = 
PROCEDURE_REF(BgL_envz00_11339, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22075;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13869;
BgL_bpz00_13869 = 
VECTOR_REF(
((obj_t)BgL_sz00_11343),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13870; obj_t BgL_a2z00_13871;
BgL_a1z00_13870 = 
PROCEDURE_ENTRY(BgL_a1z00_11340)(BgL_a1z00_11340, BgL_sz00_11343, BEOA); 
BgL_a2z00_13871 = 
PROCEDURE_ENTRY(BgL_a2z00_11341)(BgL_a2z00_11341, BgL_sz00_11343, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13870))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4356z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a1z00_13870, BgL_locz00_11342); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13871))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4356z00zz__evaluate_compz00, BGl_symbol4340z00zz__evaluate_compz00, BgL_a2z00_13871, BgL_locz00_11342); } 
BgL_tmpz00_22075 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_13870, BgL_a2z00_13871); } } 
return 
BBOOL(BgL_tmpz00_22075);} } } 

}



/* &<@anonymous:2733> */
obj_t BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11344, obj_t BgL_sz00_11348)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11345; obj_t BgL_a2z00_11346; obj_t BgL_locz00_11347;
BgL_a1z00_11345 = 
PROCEDURE_REF(BgL_envz00_11344, 
(int)(((long)0))); 
BgL_a2z00_11346 = 
PROCEDURE_REF(BgL_envz00_11344, 
(int)(((long)1))); 
BgL_locz00_11347 = 
PROCEDURE_REF(BgL_envz00_11344, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22100;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13872;
BgL_bpz00_13872 = 
VECTOR_REF(
((obj_t)BgL_sz00_11348),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13873; obj_t BgL_a2z00_13874;
BgL_a1z00_13873 = 
PROCEDURE_ENTRY(BgL_a1z00_11345)(BgL_a1z00_11345, BgL_sz00_11348, BEOA); 
BgL_a2z00_13874 = 
PROCEDURE_ENTRY(BgL_a2z00_11346)(BgL_a2z00_11346, BgL_sz00_11348, BEOA); 
if(
INTEGERP(BgL_a1z00_13873))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4358z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13873, BgL_locz00_11347); } 
if(
INTEGERP(BgL_a2z00_13874))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4358z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13874, BgL_locz00_11347); } 
BgL_tmpz00_22100 = 
(
(long)CINT(BgL_a1z00_13873)+
(long)CINT(BgL_a2z00_13874)); } } 
return 
BINT(BgL_tmpz00_22100);} } } 

}



/* &<@anonymous:2737> */
obj_t BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11349, obj_t BgL_sz00_11353)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11350; obj_t BgL_a2z00_11351; obj_t BgL_locz00_11352;
BgL_a1z00_11350 = 
PROCEDURE_REF(BgL_envz00_11349, 
(int)(((long)0))); 
BgL_a2z00_11351 = 
PROCEDURE_REF(BgL_envz00_11349, 
(int)(((long)1))); 
BgL_locz00_11352 = 
PROCEDURE_REF(BgL_envz00_11349, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22127;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13875;
BgL_bpz00_13875 = 
VECTOR_REF(
((obj_t)BgL_sz00_11353),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13876; obj_t BgL_a2z00_13877;
BgL_a1z00_13876 = 
PROCEDURE_ENTRY(BgL_a1z00_11350)(BgL_a1z00_11350, BgL_sz00_11353, BEOA); 
BgL_a2z00_13877 = 
PROCEDURE_ENTRY(BgL_a2z00_11351)(BgL_a2z00_11351, BgL_sz00_11353, BEOA); 
if(
INTEGERP(BgL_a1z00_13876))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4362z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13876, BgL_locz00_11352); } 
if(
INTEGERP(BgL_a2z00_13877))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4362z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13877, BgL_locz00_11352); } 
BgL_tmpz00_22127 = 
(
(long)CINT(BgL_a1z00_13876)-
(long)CINT(BgL_a2z00_13877)); } } 
return 
BINT(BgL_tmpz00_22127);} } } 

}



/* &<@anonymous:2741> */
obj_t BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11354, obj_t BgL_sz00_11358)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11355; obj_t BgL_a2z00_11356; obj_t BgL_locz00_11357;
BgL_a1z00_11355 = 
PROCEDURE_REF(BgL_envz00_11354, 
(int)(((long)0))); 
BgL_a2z00_11356 = 
PROCEDURE_REF(BgL_envz00_11354, 
(int)(((long)1))); 
BgL_locz00_11357 = 
PROCEDURE_REF(BgL_envz00_11354, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22154;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13878;
BgL_bpz00_13878 = 
VECTOR_REF(
((obj_t)BgL_sz00_11358),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13879; obj_t BgL_a2z00_13880;
BgL_a1z00_13879 = 
PROCEDURE_ENTRY(BgL_a1z00_11355)(BgL_a1z00_11355, BgL_sz00_11358, BEOA); 
BgL_a2z00_13880 = 
PROCEDURE_ENTRY(BgL_a2z00_11356)(BgL_a2z00_11356, BgL_sz00_11358, BEOA); 
if(
INTEGERP(BgL_a1z00_13879))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4364z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13879, BgL_locz00_11357); } 
if(
INTEGERP(BgL_a2z00_13880))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4364z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13880, BgL_locz00_11357); } 
BgL_tmpz00_22154 = 
(
(long)CINT(BgL_a1z00_13879)*
(long)CINT(BgL_a2z00_13880)); } } 
return 
BINT(BgL_tmpz00_22154);} } } 

}



/* &<@anonymous:2745> */
obj_t BGl_z62zc3z04anonymousza32745ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11359, obj_t BgL_sz00_11363)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11360; obj_t BgL_a2z00_11361; obj_t BgL_locz00_11362;
BgL_a1z00_11360 = 
PROCEDURE_REF(BgL_envz00_11359, 
(int)(((long)0))); 
BgL_a2z00_11361 = 
PROCEDURE_REF(BgL_envz00_11359, 
(int)(((long)1))); 
BgL_locz00_11362 = 
PROCEDURE_REF(BgL_envz00_11359, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22181;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13881;
BgL_bpz00_13881 = 
VECTOR_REF(
((obj_t)BgL_sz00_11363),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13882; obj_t BgL_a2z00_13883;
BgL_a1z00_13882 = 
PROCEDURE_ENTRY(BgL_a1z00_11360)(BgL_a1z00_11360, BgL_sz00_11363, BEOA); 
BgL_a2z00_13883 = 
PROCEDURE_ENTRY(BgL_a2z00_11361)(BgL_a2z00_11361, BgL_sz00_11363, BEOA); 
if(
INTEGERP(BgL_a1z00_13882))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4366z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13882, BgL_locz00_11362); } 
if(
INTEGERP(BgL_a2z00_13883))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4366z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13883, BgL_locz00_11362); } 
BgL_tmpz00_22181 = 
(
(long)CINT(BgL_a1z00_13882)/
(long)CINT(BgL_a2z00_13883)); } } 
return 
BINT(BgL_tmpz00_22181);} } } 

}



/* &<@anonymous:2749> */
obj_t BGl_z62zc3z04anonymousza32749ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11364, obj_t BgL_sz00_11368)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11365; obj_t BgL_a2z00_11366; obj_t BgL_locz00_11367;
BgL_a1z00_11365 = 
PROCEDURE_REF(BgL_envz00_11364, 
(int)(((long)0))); 
BgL_a2z00_11366 = 
PROCEDURE_REF(BgL_envz00_11364, 
(int)(((long)1))); 
BgL_locz00_11367 = 
PROCEDURE_REF(BgL_envz00_11364, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22208;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13884;
BgL_bpz00_13884 = 
VECTOR_REF(
((obj_t)BgL_sz00_11368),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13885; obj_t BgL_a2z00_13886;
BgL_a1z00_13885 = 
PROCEDURE_ENTRY(BgL_a1z00_11365)(BgL_a1z00_11365, BgL_sz00_11368, BEOA); 
BgL_a2z00_13886 = 
PROCEDURE_ENTRY(BgL_a2z00_11366)(BgL_a2z00_11366, BgL_sz00_11368, BEOA); 
if(
INTEGERP(BgL_a1z00_13885))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4368z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13885, BgL_locz00_11367); } 
if(
INTEGERP(BgL_a2z00_13886))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4368z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13886, BgL_locz00_11367); } 
BgL_tmpz00_22208 = 
(
(long)CINT(BgL_a1z00_13885)<
(long)CINT(BgL_a2z00_13886)); } } 
return 
BBOOL(BgL_tmpz00_22208);} } } 

}



/* &<@anonymous:2753> */
obj_t BGl_z62zc3z04anonymousza32753ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11369, obj_t BgL_sz00_11373)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11370; obj_t BgL_a2z00_11371; obj_t BgL_locz00_11372;
BgL_a1z00_11370 = 
PROCEDURE_REF(BgL_envz00_11369, 
(int)(((long)0))); 
BgL_a2z00_11371 = 
PROCEDURE_REF(BgL_envz00_11369, 
(int)(((long)1))); 
BgL_locz00_11372 = 
PROCEDURE_REF(BgL_envz00_11369, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22235;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13887;
BgL_bpz00_13887 = 
VECTOR_REF(
((obj_t)BgL_sz00_11373),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13888; obj_t BgL_a2z00_13889;
BgL_a1z00_13888 = 
PROCEDURE_ENTRY(BgL_a1z00_11370)(BgL_a1z00_11370, BgL_sz00_11373, BEOA); 
BgL_a2z00_13889 = 
PROCEDURE_ENTRY(BgL_a2z00_11371)(BgL_a2z00_11371, BgL_sz00_11373, BEOA); 
if(
INTEGERP(BgL_a1z00_13888))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4370z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13888, BgL_locz00_11372); } 
if(
INTEGERP(BgL_a2z00_13889))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4370z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13889, BgL_locz00_11372); } 
BgL_tmpz00_22235 = 
(
(long)CINT(BgL_a1z00_13888)>
(long)CINT(BgL_a2z00_13889)); } } 
return 
BBOOL(BgL_tmpz00_22235);} } } 

}



/* &<@anonymous:2757> */
obj_t BGl_z62zc3z04anonymousza32757ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11374, obj_t BgL_sz00_11378)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11375; obj_t BgL_a2z00_11376; obj_t BgL_locz00_11377;
BgL_a1z00_11375 = 
PROCEDURE_REF(BgL_envz00_11374, 
(int)(((long)0))); 
BgL_a2z00_11376 = 
PROCEDURE_REF(BgL_envz00_11374, 
(int)(((long)1))); 
BgL_locz00_11377 = 
PROCEDURE_REF(BgL_envz00_11374, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22262;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13890;
BgL_bpz00_13890 = 
VECTOR_REF(
((obj_t)BgL_sz00_11378),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13891; obj_t BgL_a2z00_13892;
BgL_a1z00_13891 = 
PROCEDURE_ENTRY(BgL_a1z00_11375)(BgL_a1z00_11375, BgL_sz00_11378, BEOA); 
BgL_a2z00_13892 = 
PROCEDURE_ENTRY(BgL_a2z00_11376)(BgL_a2z00_11376, BgL_sz00_11378, BEOA); 
if(
INTEGERP(BgL_a1z00_13891))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4372z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13891, BgL_locz00_11377); } 
if(
INTEGERP(BgL_a2z00_13892))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4372z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13892, BgL_locz00_11377); } 
BgL_tmpz00_22262 = 
(
(long)CINT(BgL_a1z00_13891)<=
(long)CINT(BgL_a2z00_13892)); } } 
return 
BBOOL(BgL_tmpz00_22262);} } } 

}



/* &<@anonymous:2761> */
obj_t BGl_z62zc3z04anonymousza32761ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11379, obj_t BgL_sz00_11383)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11380; obj_t BgL_a2z00_11381; obj_t BgL_locz00_11382;
BgL_a1z00_11380 = 
PROCEDURE_REF(BgL_envz00_11379, 
(int)(((long)0))); 
BgL_a2z00_11381 = 
PROCEDURE_REF(BgL_envz00_11379, 
(int)(((long)1))); 
BgL_locz00_11382 = 
PROCEDURE_REF(BgL_envz00_11379, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22289;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13893;
BgL_bpz00_13893 = 
VECTOR_REF(
((obj_t)BgL_sz00_11383),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13894; obj_t BgL_a2z00_13895;
BgL_a1z00_13894 = 
PROCEDURE_ENTRY(BgL_a1z00_11380)(BgL_a1z00_11380, BgL_sz00_11383, BEOA); 
BgL_a2z00_13895 = 
PROCEDURE_ENTRY(BgL_a2z00_11381)(BgL_a2z00_11381, BgL_sz00_11383, BEOA); 
if(
INTEGERP(BgL_a1z00_13894))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4374z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13894, BgL_locz00_11382); } 
if(
INTEGERP(BgL_a2z00_13895))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4374z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13895, BgL_locz00_11382); } 
BgL_tmpz00_22289 = 
(
(long)CINT(BgL_a1z00_13894)>=
(long)CINT(BgL_a2z00_13895)); } } 
return 
BBOOL(BgL_tmpz00_22289);} } } 

}



/* &<@anonymous:2765> */
obj_t BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11384, obj_t BgL_sz00_11388)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11385; obj_t BgL_a2z00_11386; obj_t BgL_locz00_11387;
BgL_a1z00_11385 = 
PROCEDURE_REF(BgL_envz00_11384, 
(int)(((long)0))); 
BgL_a2z00_11386 = 
PROCEDURE_REF(BgL_envz00_11384, 
(int)(((long)1))); 
BgL_locz00_11387 = 
PROCEDURE_REF(BgL_envz00_11384, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22316;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13896;
BgL_bpz00_13896 = 
VECTOR_REF(
((obj_t)BgL_sz00_11388),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13897; obj_t BgL_a2z00_13898;
BgL_a1z00_13897 = 
PROCEDURE_ENTRY(BgL_a1z00_11385)(BgL_a1z00_11385, BgL_sz00_11388, BEOA); 
BgL_a2z00_13898 = 
PROCEDURE_ENTRY(BgL_a2z00_11386)(BgL_a2z00_11386, BgL_sz00_11388, BEOA); 
if(
INTEGERP(BgL_a1z00_13897))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4376z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a1z00_13897, BgL_locz00_11387); } 
if(
INTEGERP(BgL_a2z00_13898))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4376z00zz__evaluate_compz00, BGl_symbol4360z00zz__evaluate_compz00, BgL_a2z00_13898, BgL_locz00_11387); } 
BgL_tmpz00_22316 = 
(
(long)CINT(BgL_a1z00_13897)==
(long)CINT(BgL_a2z00_13898)); } } 
return 
BBOOL(BgL_tmpz00_22316);} } } 

}



/* &<@anonymous:2769> */
obj_t BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11389, obj_t BgL_sz00_11393)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11390; obj_t BgL_a2z00_11391; obj_t BgL_locz00_11392;
BgL_a1z00_11390 = 
PROCEDURE_REF(BgL_envz00_11389, 
(int)(((long)0))); 
BgL_a2z00_11391 = 
PROCEDURE_REF(BgL_envz00_11389, 
(int)(((long)1))); 
BgL_locz00_11392 = 
PROCEDURE_REF(BgL_envz00_11389, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22343;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13899;
BgL_bpz00_13899 = 
VECTOR_REF(
((obj_t)BgL_sz00_11393),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13900; obj_t BgL_a2z00_13901;
BgL_a1z00_13900 = 
PROCEDURE_ENTRY(BgL_a1z00_11390)(BgL_a1z00_11390, BgL_sz00_11393, BEOA); 
BgL_a2z00_13901 = 
PROCEDURE_ENTRY(BgL_a2z00_11391)(BgL_a2z00_11391, BgL_sz00_11393, BEOA); 
if(
REALP(BgL_a1z00_13900))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4378z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13900, BgL_locz00_11392); } 
if(
REALP(BgL_a2z00_13901))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4378z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13901, BgL_locz00_11392); } 
BgL_tmpz00_22343 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13900)+
REAL_TO_DOUBLE(BgL_a2z00_13901)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22343);} } } 

}



/* &<@anonymous:2773> */
obj_t BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11394, obj_t BgL_sz00_11398)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11395; obj_t BgL_a2z00_11396; obj_t BgL_locz00_11397;
BgL_a1z00_11395 = 
PROCEDURE_REF(BgL_envz00_11394, 
(int)(((long)0))); 
BgL_a2z00_11396 = 
PROCEDURE_REF(BgL_envz00_11394, 
(int)(((long)1))); 
BgL_locz00_11397 = 
PROCEDURE_REF(BgL_envz00_11394, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22370;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13902;
BgL_bpz00_13902 = 
VECTOR_REF(
((obj_t)BgL_sz00_11398),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13903; obj_t BgL_a2z00_13904;
BgL_a1z00_13903 = 
PROCEDURE_ENTRY(BgL_a1z00_11395)(BgL_a1z00_11395, BgL_sz00_11398, BEOA); 
BgL_a2z00_13904 = 
PROCEDURE_ENTRY(BgL_a2z00_11396)(BgL_a2z00_11396, BgL_sz00_11398, BEOA); 
if(
REALP(BgL_a1z00_13903))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4382z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13903, BgL_locz00_11397); } 
if(
REALP(BgL_a2z00_13904))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4382z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13904, BgL_locz00_11397); } 
BgL_tmpz00_22370 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13903)-
REAL_TO_DOUBLE(BgL_a2z00_13904)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22370);} } } 

}



/* &<@anonymous:2777> */
obj_t BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11399, obj_t BgL_sz00_11403)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11400; obj_t BgL_a2z00_11401; obj_t BgL_locz00_11402;
BgL_a1z00_11400 = 
PROCEDURE_REF(BgL_envz00_11399, 
(int)(((long)0))); 
BgL_a2z00_11401 = 
PROCEDURE_REF(BgL_envz00_11399, 
(int)(((long)1))); 
BgL_locz00_11402 = 
PROCEDURE_REF(BgL_envz00_11399, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22397;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13905;
BgL_bpz00_13905 = 
VECTOR_REF(
((obj_t)BgL_sz00_11403),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13906; obj_t BgL_a2z00_13907;
BgL_a1z00_13906 = 
PROCEDURE_ENTRY(BgL_a1z00_11400)(BgL_a1z00_11400, BgL_sz00_11403, BEOA); 
BgL_a2z00_13907 = 
PROCEDURE_ENTRY(BgL_a2z00_11401)(BgL_a2z00_11401, BgL_sz00_11403, BEOA); 
if(
REALP(BgL_a1z00_13906))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4384z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13906, BgL_locz00_11402); } 
if(
REALP(BgL_a2z00_13907))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4384z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13907, BgL_locz00_11402); } 
BgL_tmpz00_22397 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13906)*
REAL_TO_DOUBLE(BgL_a2z00_13907)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22397);} } } 

}



/* &<@anonymous:2781> */
obj_t BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11404, obj_t BgL_sz00_11408)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11405; obj_t BgL_a2z00_11406; obj_t BgL_locz00_11407;
BgL_a1z00_11405 = 
PROCEDURE_REF(BgL_envz00_11404, 
(int)(((long)0))); 
BgL_a2z00_11406 = 
PROCEDURE_REF(BgL_envz00_11404, 
(int)(((long)1))); 
BgL_locz00_11407 = 
PROCEDURE_REF(BgL_envz00_11404, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22424;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13908;
BgL_bpz00_13908 = 
VECTOR_REF(
((obj_t)BgL_sz00_11408),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13909; obj_t BgL_a2z00_13910;
BgL_a1z00_13909 = 
PROCEDURE_ENTRY(BgL_a1z00_11405)(BgL_a1z00_11405, BgL_sz00_11408, BEOA); 
BgL_a2z00_13910 = 
PROCEDURE_ENTRY(BgL_a2z00_11406)(BgL_a2z00_11406, BgL_sz00_11408, BEOA); 
if(
REALP(BgL_a1z00_13909))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4386z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13909, BgL_locz00_11407); } 
if(
REALP(BgL_a2z00_13910))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4386z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13910, BgL_locz00_11407); } 
BgL_tmpz00_22424 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13909)/
REAL_TO_DOUBLE(BgL_a2z00_13910)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22424);} } } 

}



/* &<@anonymous:2785> */
obj_t BGl_z62zc3z04anonymousza32785ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11409, obj_t BgL_sz00_11413)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11410; obj_t BgL_a2z00_11411; obj_t BgL_locz00_11412;
BgL_a1z00_11410 = 
PROCEDURE_REF(BgL_envz00_11409, 
(int)(((long)0))); 
BgL_a2z00_11411 = 
PROCEDURE_REF(BgL_envz00_11409, 
(int)(((long)1))); 
BgL_locz00_11412 = 
PROCEDURE_REF(BgL_envz00_11409, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22451;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13911;
BgL_bpz00_13911 = 
VECTOR_REF(
((obj_t)BgL_sz00_11413),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13912; obj_t BgL_a2z00_13913;
BgL_a1z00_13912 = 
PROCEDURE_ENTRY(BgL_a1z00_11410)(BgL_a1z00_11410, BgL_sz00_11413, BEOA); 
BgL_a2z00_13913 = 
PROCEDURE_ENTRY(BgL_a2z00_11411)(BgL_a2z00_11411, BgL_sz00_11413, BEOA); 
if(
REALP(BgL_a1z00_13912))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4388z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13912, BgL_locz00_11412); } 
if(
REALP(BgL_a2z00_13913))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4388z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13913, BgL_locz00_11412); } 
BgL_tmpz00_22451 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13912)<
REAL_TO_DOUBLE(BgL_a2z00_13913)); } } 
return 
BBOOL(BgL_tmpz00_22451);} } } 

}



/* &<@anonymous:2789> */
obj_t BGl_z62zc3z04anonymousza32789ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11414, obj_t BgL_sz00_11418)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11415; obj_t BgL_a2z00_11416; obj_t BgL_locz00_11417;
BgL_a1z00_11415 = 
PROCEDURE_REF(BgL_envz00_11414, 
(int)(((long)0))); 
BgL_a2z00_11416 = 
PROCEDURE_REF(BgL_envz00_11414, 
(int)(((long)1))); 
BgL_locz00_11417 = 
PROCEDURE_REF(BgL_envz00_11414, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22478;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13914;
BgL_bpz00_13914 = 
VECTOR_REF(
((obj_t)BgL_sz00_11418),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13915; obj_t BgL_a2z00_13916;
BgL_a1z00_13915 = 
PROCEDURE_ENTRY(BgL_a1z00_11415)(BgL_a1z00_11415, BgL_sz00_11418, BEOA); 
BgL_a2z00_13916 = 
PROCEDURE_ENTRY(BgL_a2z00_11416)(BgL_a2z00_11416, BgL_sz00_11418, BEOA); 
if(
REALP(BgL_a1z00_13915))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4390z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13915, BgL_locz00_11417); } 
if(
REALP(BgL_a2z00_13916))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4390z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13916, BgL_locz00_11417); } 
BgL_tmpz00_22478 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13915)>
REAL_TO_DOUBLE(BgL_a2z00_13916)); } } 
return 
BBOOL(BgL_tmpz00_22478);} } } 

}



/* &<@anonymous:2793> */
obj_t BGl_z62zc3z04anonymousza32793ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11419, obj_t BgL_sz00_11423)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11420; obj_t BgL_a2z00_11421; obj_t BgL_locz00_11422;
BgL_a1z00_11420 = 
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)0))); 
BgL_a2z00_11421 = 
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)1))); 
BgL_locz00_11422 = 
PROCEDURE_REF(BgL_envz00_11419, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22505;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13917;
BgL_bpz00_13917 = 
VECTOR_REF(
((obj_t)BgL_sz00_11423),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13918; obj_t BgL_a2z00_13919;
BgL_a1z00_13918 = 
PROCEDURE_ENTRY(BgL_a1z00_11420)(BgL_a1z00_11420, BgL_sz00_11423, BEOA); 
BgL_a2z00_13919 = 
PROCEDURE_ENTRY(BgL_a2z00_11421)(BgL_a2z00_11421, BgL_sz00_11423, BEOA); 
if(
REALP(BgL_a1z00_13918))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4392z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13918, BgL_locz00_11422); } 
if(
REALP(BgL_a2z00_13919))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4392z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13919, BgL_locz00_11422); } 
BgL_tmpz00_22505 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13918)<=
REAL_TO_DOUBLE(BgL_a2z00_13919)); } } 
return 
BBOOL(BgL_tmpz00_22505);} } } 

}



/* &<@anonymous:2797> */
obj_t BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11424, obj_t BgL_sz00_11428)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11425; obj_t BgL_a2z00_11426; obj_t BgL_locz00_11427;
BgL_a1z00_11425 = 
PROCEDURE_REF(BgL_envz00_11424, 
(int)(((long)0))); 
BgL_a2z00_11426 = 
PROCEDURE_REF(BgL_envz00_11424, 
(int)(((long)1))); 
BgL_locz00_11427 = 
PROCEDURE_REF(BgL_envz00_11424, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22532;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13920;
BgL_bpz00_13920 = 
VECTOR_REF(
((obj_t)BgL_sz00_11428),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13921; obj_t BgL_a2z00_13922;
BgL_a1z00_13921 = 
PROCEDURE_ENTRY(BgL_a1z00_11425)(BgL_a1z00_11425, BgL_sz00_11428, BEOA); 
BgL_a2z00_13922 = 
PROCEDURE_ENTRY(BgL_a2z00_11426)(BgL_a2z00_11426, BgL_sz00_11428, BEOA); 
if(
REALP(BgL_a1z00_13921))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4394z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13921, BgL_locz00_11427); } 
if(
REALP(BgL_a2z00_13922))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4394z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13922, BgL_locz00_11427); } 
BgL_tmpz00_22532 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13921)>=
REAL_TO_DOUBLE(BgL_a2z00_13922)); } } 
return 
BBOOL(BgL_tmpz00_22532);} } } 

}



/* &<@anonymous:2801> */
obj_t BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11429, obj_t BgL_sz00_11433)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11430; obj_t BgL_a2z00_11431; obj_t BgL_locz00_11432;
BgL_a1z00_11430 = 
PROCEDURE_REF(BgL_envz00_11429, 
(int)(((long)0))); 
BgL_a2z00_11431 = 
PROCEDURE_REF(BgL_envz00_11429, 
(int)(((long)1))); 
BgL_locz00_11432 = 
PROCEDURE_REF(BgL_envz00_11429, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22559;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13923;
BgL_bpz00_13923 = 
VECTOR_REF(
((obj_t)BgL_sz00_11433),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13924; obj_t BgL_a2z00_13925;
BgL_a1z00_13924 = 
PROCEDURE_ENTRY(BgL_a1z00_11430)(BgL_a1z00_11430, BgL_sz00_11433, BEOA); 
BgL_a2z00_13925 = 
PROCEDURE_ENTRY(BgL_a2z00_11431)(BgL_a2z00_11431, BgL_sz00_11433, BEOA); 
if(
REALP(BgL_a1z00_13924))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4396z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a1z00_13924, BgL_locz00_11432); } 
if(
REALP(BgL_a2z00_13925))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4396z00zz__evaluate_compz00, BGl_symbol4380z00zz__evaluate_compz00, BgL_a2z00_13925, BgL_locz00_11432); } 
BgL_tmpz00_22559 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13924)==
REAL_TO_DOUBLE(BgL_a2z00_13925)); } } 
return 
BBOOL(BgL_tmpz00_22559);} } } 

}



/* &<@anonymous:2805> */
obj_t BGl_z62zc3z04anonymousza32805ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11434, obj_t BgL_sz00_11437)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11435; obj_t BgL_a2z00_11436;
BgL_a1z00_11435 = 
PROCEDURE_REF(BgL_envz00_11434, 
(int)(((long)0))); 
BgL_a2z00_11436 = 
PROCEDURE_REF(BgL_envz00_11434, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22584;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13926;
BgL_bpz00_13926 = 
VECTOR_REF(
((obj_t)BgL_sz00_11437),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13927; obj_t BgL_a2z00_13928;
BgL_a1z00_13927 = 
PROCEDURE_ENTRY(BgL_a1z00_11435)(BgL_a1z00_11435, BgL_sz00_11437, BEOA); 
BgL_a2z00_13928 = 
PROCEDURE_ENTRY(BgL_a2z00_11436)(BgL_a2z00_11436, BgL_sz00_11437, BEOA); 
BgL_tmpz00_22584 = 
(BgL_a1z00_13927==BgL_a2z00_13928); } } 
return 
BBOOL(BgL_tmpz00_22584);} } } 

}



/* &<@anonymous:2807> */
obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11438, obj_t BgL_sz00_11441)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11439; obj_t BgL_a2z00_11440;
BgL_a1z00_11439 = 
PROCEDURE_REF(BgL_envz00_11438, 
(int)(((long)0))); 
BgL_a2z00_11440 = 
PROCEDURE_REF(BgL_envz00_11438, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13929;
BgL_bpz00_13929 = 
VECTOR_REF(
((obj_t)BgL_sz00_11441),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13930; obj_t BgL_a2z00_13931;
BgL_a1z00_13930 = 
PROCEDURE_ENTRY(BgL_a1z00_11439)(BgL_a1z00_11439, BgL_sz00_11441, BEOA); 
BgL_a2z00_13931 = 
PROCEDURE_ENTRY(BgL_a2z00_11440)(BgL_a2z00_11440, BgL_sz00_11441, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_13930, BgL_a2z00_13931);} } } } 

}



/* &<@anonymous:2810> */
obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11442, obj_t BgL_sz00_11445)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11443; obj_t BgL_locz00_11444;
BgL_a1z00_11443 = 
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)0))); 
BgL_locz00_11444 = 
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13932;
BgL_bpz00_13932 = 
VECTOR_REF(
((obj_t)BgL_sz00_11445),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13933;
BgL_a1z00_13933 = 
PROCEDURE_ENTRY(BgL_a1z00_11443)(BgL_a1z00_11443, BgL_sz00_11445, BEOA); 
if(
PAIRP(BgL_a1z00_13933))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4398z00zz__evaluate_compz00, BGl_symbol4400z00zz__evaluate_compz00, BgL_a1z00_13933, BgL_locz00_11444); } 
return 
CAR(
((obj_t)BgL_a1z00_13933));} } } } 

}



/* &<@anonymous:2813> */
obj_t BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11446, obj_t BgL_sz00_11449)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11447; obj_t BgL_locz00_11448;
BgL_a1z00_11447 = 
PROCEDURE_REF(BgL_envz00_11446, 
(int)(((long)0))); 
BgL_locz00_11448 = 
PROCEDURE_REF(BgL_envz00_11446, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13934;
BgL_bpz00_13934 = 
VECTOR_REF(
((obj_t)BgL_sz00_11449),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13935;
BgL_a1z00_13935 = 
PROCEDURE_ENTRY(BgL_a1z00_11447)(BgL_a1z00_11447, BgL_sz00_11449, BEOA); 
if(
PAIRP(BgL_a1z00_13935))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4402z00zz__evaluate_compz00, BGl_symbol4400z00zz__evaluate_compz00, BgL_a1z00_13935, BgL_locz00_11448); } 
return 
CDR(
((obj_t)BgL_a1z00_13935));} } } } 

}



/* &<@anonymous:2816> */
obj_t BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11450, obj_t BgL_sz00_11453)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11451; obj_t BgL_locz00_11452;
BgL_a1z00_11451 = 
PROCEDURE_REF(BgL_envz00_11450, 
(int)(((long)0))); 
BgL_locz00_11452 = 
PROCEDURE_REF(BgL_envz00_11450, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13936;
BgL_bpz00_13936 = 
VECTOR_REF(
((obj_t)BgL_sz00_11453),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13937;
BgL_a1z00_13937 = 
PROCEDURE_ENTRY(BgL_a1z00_11451)(BgL_a1z00_11451, BgL_sz00_11453, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_13937))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_arg2818z00_13938;
BgL_arg2818z00_13938 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_13937); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4404z00zz__evaluate_compz00, BGl_symbol4400z00zz__evaluate_compz00, BgL_arg2818z00_13938, BgL_locz00_11452); } 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_pairz00_13939;
BgL_pairz00_13939 = 
CDR(
((obj_t)BgL_a1z00_13937)); 
return 
CAR(BgL_pairz00_13939);} } } } } 

}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{
{ /* Eval/evaluate_comp.scm 1033 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1034 */
 obj_t BgL_tmpz00_22661;
BgL_tmpz00_22661 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_22661);}  else 
{ /* Eval/evaluate_comp.scm 1034 */
return ((bool_t)0);} } 

}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{
{ /* Eval/evaluate_comp.scm 1036 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1037 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1037 */
return BgL_vz00_198;} } 

}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{
{ /* Eval/evaluate_comp.scm 1065 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1066 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1066 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 

}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{
{ /* Eval/evaluate_comp.scm 1070 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1072 */
 long BgL_g1242z00_3596;
BgL_g1242z00_3596 = 
(((long)-1)-BgL_arityz00_206); 
{ 
 long BgL_rz00_3598; long BgL_spz00_3599; obj_t BgL_lz00_3600;
BgL_rz00_3598 = BgL_g1242z00_3596; 
BgL_spz00_3599 = BgL_spz00_205; 
BgL_lz00_3600 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32823ze3z87_3601:
if(
(BgL_rz00_3598==((long)0)))
{ /* Eval/evaluate_comp.scm 1074 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3599,BgL_lz00_3600);}  else 
{ /* Eval/evaluate_comp.scm 1074 */
if(
PAIRP(BgL_lz00_3600))
{ /* Eval/evaluate_comp.scm 1076 */
{ /* Eval/evaluate_comp.scm 1079 */
 obj_t BgL_arg2826z00_3604;
BgL_arg2826z00_3604 = 
CAR(BgL_lz00_3600); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3599,BgL_arg2826z00_3604); } 
{ 
 obj_t BgL_lz00_22690; long BgL_spz00_22688; long BgL_rz00_22686;
BgL_rz00_22686 = 
(BgL_rz00_3598-((long)1)); 
BgL_spz00_22688 = 
(BgL_spz00_3599+((long)1)); 
BgL_lz00_22690 = 
CDR(BgL_lz00_3600); 
BgL_lz00_3600 = BgL_lz00_22690; 
BgL_spz00_3599 = BgL_spz00_22688; 
BgL_rz00_3598 = BgL_rz00_22686; 
goto BgL_zc3z04anonymousza32823ze3z87_3601;} }  else 
{ /* Eval/evaluate_comp.scm 1077 */
 long BgL_arg2830z00_3608;
BgL_arg2830z00_3608 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2830z00_3608));} } } }  else 
{ 
 long BgL_rz00_3611; long BgL_spz00_3612; obj_t BgL_lz00_3613;
BgL_rz00_3611 = BgL_arityz00_206; 
BgL_spz00_3612 = BgL_spz00_205; 
BgL_lz00_3613 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32831ze3z87_3614:
if(
(BgL_rz00_3611==((long)0)))
{ /* Eval/evaluate_comp.scm 1083 */
if(
NULLP(BgL_lz00_3613))
{ /* Eval/evaluate_comp.scm 1084 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1085 */
 long BgL_arg2834z00_3617;
BgL_arg2834z00_3617 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2834z00_3617));} }  else 
{ /* Eval/evaluate_comp.scm 1083 */
if(
PAIRP(BgL_lz00_3613))
{ /* Eval/evaluate_comp.scm 1086 */
{ /* Eval/evaluate_comp.scm 1089 */
 obj_t BgL_arg2836z00_3619;
BgL_arg2836z00_3619 = 
CAR(BgL_lz00_3613); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3612,BgL_arg2836z00_3619); } 
{ 
 obj_t BgL_lz00_22713; long BgL_spz00_22711; long BgL_rz00_22709;
BgL_rz00_22709 = 
(BgL_rz00_3611-((long)1)); 
BgL_spz00_22711 = 
(BgL_spz00_3612+((long)1)); 
BgL_lz00_22713 = 
CDR(BgL_lz00_3613); 
BgL_lz00_3613 = BgL_lz00_22713; 
BgL_spz00_3612 = BgL_spz00_22711; 
BgL_rz00_3611 = BgL_rz00_22709; 
goto BgL_zc3z04anonymousza32831ze3z87_3614;} }  else 
{ /* Eval/evaluate_comp.scm 1087 */
 long BgL_arg2840z00_3623;
BgL_arg2840z00_3623 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2840z00_3623));} } } } 

}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{
{ /* Eval/evaluate_comp.scm 1184 */
{ 
 long BgL_iz00_3627;
BgL_iz00_3627 = ((long)0); 
BgL_zc3z04anonymousza32841ze3z87_3628:
{ /* Eval/evaluate_comp.scm 1187 */
 long BgL_spz00_3629;
{ /* Eval/evaluate_comp.scm 1187 */
 obj_t BgL_arg2845z00_3634;
BgL_arg2845z00_3634 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3627); 
BgL_spz00_3629 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2845z00_3634)); } 
{ /* Eval/evaluate_comp.scm 1188 */
 obj_t BgL_arg2842z00_3630;
{ /* Eval/evaluate_comp.scm 1188 */
 obj_t BgL_arg2843z00_3631;
BgL_arg2843z00_3631 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3629); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_8478;
BgL_newz00_8478 = 
create_struct(BGl_symbol4328z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_22728;
BgL_tmpz00_22728 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8478, BgL_tmpz00_22728, BgL_arg2843z00_3631); } 
BgL_arg2842z00_3630 = BgL_newz00_8478; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3629,BgL_arg2842z00_3630); } 
{ /* Eval/evaluate_comp.scm 1189 */
 long BgL_niz00_3632;
BgL_niz00_3632 = 
(BgL_iz00_3627+((long)1)); 
if(
(BgL_niz00_3632<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
 long BgL_iz00_22738;
BgL_iz00_22738 = BgL_niz00_3632; 
BgL_iz00_3627 = BgL_iz00_22738; 
goto BgL_zc3z04anonymousza32841ze3z87_3628;}  else 
{ /* Eval/evaluate_comp.scm 1190 */
return ((bool_t)0);} } } } } 

}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{
{ /* Eval/evaluate_comp.scm 1192 */
{ /* Eval/evaluate_comp.scm 1193 */
 obj_t BgL_rz00_3637;
BgL_rz00_3637 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1193 */

{ 
 long BgL_iz00_3639;
BgL_iz00_3639 = ((long)0); 
BgL_zc3z04anonymousza32846ze3z87_3640:
if(
(BgL_iz00_3639>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1195 */
return BgL_rz00_3637;}  else 
{ /* Eval/evaluate_comp.scm 1195 */
{ /* Eval/evaluate_comp.scm 1198 */
 obj_t BgL_arg2848z00_3642;
{ /* Eval/evaluate_comp.scm 1198 */
 long BgL_arg2849z00_3643;
{ /* Eval/evaluate_comp.scm 1198 */
 obj_t BgL_arg2850z00_3644;
BgL_arg2850z00_3644 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3639); 
BgL_arg2849z00_3643 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2850z00_3644)); } 
BgL_arg2848z00_3642 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2849z00_3643); } 
VECTOR_SET(BgL_rz00_3637,BgL_iz00_3639,BgL_arg2848z00_3642); } 
{ 
 long BgL_iz00_22754;
BgL_iz00_22754 = 
(BgL_iz00_3639+((long)1)); 
BgL_iz00_3639 = BgL_iz00_22754; 
goto BgL_zc3z04anonymousza32846ze3z87_3640;} } } } } } 

}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{
{ /* Eval/evaluate_comp.scm 1201 */
{ /* Eval/evaluate_comp.scm 1202 */
 long BgL_stopz00_3648;
BgL_stopz00_3648 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
 long BgL_iz00_3650; long BgL_spz00_3651;
BgL_iz00_3650 = ((long)0); 
BgL_spz00_3651 = BgL_spz00_219; 
BgL_zc3z04anonymousza32853ze3z87_3652:
if(
(BgL_spz00_3651<BgL_stopz00_3648))
{ /* Eval/evaluate_comp.scm 1204 */
{ /* Eval/evaluate_comp.scm 1205 */
 obj_t BgL_arg2855z00_3654;
BgL_arg2855z00_3654 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3650); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3651,BgL_arg2855z00_3654); } 
{ 
 long BgL_spz00_22767; long BgL_iz00_22765;
BgL_iz00_22765 = 
(BgL_iz00_3650+((long)1)); 
BgL_spz00_22767 = 
(BgL_spz00_3651+((long)1)); 
BgL_spz00_3651 = BgL_spz00_22767; 
BgL_iz00_3650 = BgL_iz00_22765; 
goto BgL_zc3z04anonymousza32853ze3z87_3652;} }  else 
{ /* Eval/evaluate_comp.scm 1204 */
return ((bool_t)0);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc4406z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string4407z00zz__evaluate_compz00);} 

}



/* &comp1396 */
obj_t BGl_z62comp1396z62zz__evaluate_compz00(obj_t BgL_envz00_11539, obj_t BgL_ez00_11540, obj_t BgL_stkz00_11541)
{
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string4318z00zz__evaluate_compz00, BGl_string4408z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_11540)));} 

}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_method1397z00_3664;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_res4180z00_8539;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_objzd2classzd2numz00_8510;
BgL_objzd2classzd2numz00_8510 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg4052z00_8511;
BgL_arg4052z00_8511 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
 int BgL_offsetz00_8514;
BgL_offsetz00_8514 = 
(int)(BgL_objzd2classzd2numz00_8510); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_offsetz00_8515;
BgL_offsetz00_8515 = 
(
(long)(BgL_offsetz00_8514)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_modz00_8516;
BgL_modz00_8516 = 
(BgL_offsetz00_8515 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_restz00_8518;
BgL_restz00_8518 = 
(BgL_offsetz00_8515 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_bucketz00_8520;
BgL_bucketz00_8520 = 
VECTOR_REF(
((obj_t)BgL_arg4052z00_8511),BgL_modz00_8516); 
BgL_res4180z00_8539 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8520),BgL_restz00_8518); } } } } } } } } 
BgL_method1397z00_3664 = BgL_res4180z00_8539; } 
return 
PROCEDURE_ENTRY(BgL_method1397z00_3664)(BgL_method1397z00_3664, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 

}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_11542, obj_t BgL_ez00_11543, obj_t BgL_stkz00_11544)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
 BgL_ev_exprz00_bglt BgL_auxz00_22804;
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL_test5025z00_22805;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_classz00_13941;
BgL_classz00_13941 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_11543))
{ /* Eval/evaluate_comp.scm 276 */
 BgL_objectz00_bglt BgL_arg4050z00_13943; long BgL_arg4051z00_13944;
BgL_arg4050z00_13943 = 
(BgL_objectz00_bglt)(BgL_ez00_11543); 
BgL_arg4051z00_13944 = 
BGL_CLASS_DEPTH(BgL_classz00_13941); 
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL_arg4045z00_13948; bool_t BgL_arg4046z00_13949;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_idxz00_13953;
BgL_idxz00_13953 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4050z00_13943); 
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg4042z00_13954;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg4043z00_13955;
BgL_arg4043z00_13955 = 
(BgL_idxz00_13953+BgL_arg4051z00_13944); 
BgL_arg4042z00_13954 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg4043z00_13955); } 
BgL_arg4045z00_13948 = 
(BgL_arg4042z00_13954==BgL_classz00_13941); } } 
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL_res4187z00_13960;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_oclassz00_13964;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg4055z00_13966;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg4056z00_13967;
BgL_arg4056z00_13967 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4050z00_13943); 
BgL_arg4055z00_13966 = 
(BgL_arg4056z00_13967-OBJECT_TYPE); } 
BgL_oclassz00_13964 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_13966); } 
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL__ortest_1293z00_13973;
BgL__ortest_1293z00_13973 = 
(BgL_classz00_13941==BgL_oclassz00_13964); 
if(BgL__ortest_1293z00_13973)
{ /* Eval/evaluate_comp.scm 276 */
BgL_res4187z00_13960 = BgL__ortest_1293z00_13973; }  else 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_odepthz00_13974;
BgL_odepthz00_13974 = 
BGL_CLASS_DEPTH(BgL_oclassz00_13964); 
if(
(BgL_arg4051z00_13944<BgL_odepthz00_13974))
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg4044z00_13978;
BgL_arg4044z00_13978 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_13964, BgL_arg4051z00_13944); 
BgL_res4187z00_13960 = 
(BgL_arg4044z00_13978==BgL_classz00_13941); }  else 
{ /* Eval/evaluate_comp.scm 276 */
BgL_res4187z00_13960 = ((bool_t)0); } } } } 
BgL_arg4046z00_13949 = BgL_res4187z00_13960; } 
BgL_test5025z00_22805 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_13948, BgL_arg4046z00_13949); } }  else 
{ /* Eval/evaluate_comp.scm 276 */
BgL_test5025z00_22805 = ((bool_t)0)
; } } 
if(BgL_test5025z00_22805)
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_22804 = 
((BgL_ev_exprz00_bglt)BgL_ez00_11543)
; }  else 
{ 
 obj_t BgL_auxz00_22826;
BgL_auxz00_22826 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4323z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string4409z00zz__evaluate_compz00, BGl_string4325z00zz__evaluate_compz00, BgL_ez00_11543); 
FAILURE(BgL_auxz00_22826,BFALSE,BFALSE);} } 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_22804, BgL_stkz00_11544);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc4410z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc4412z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc4413z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc4414z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc4415z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc4416z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc4417z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4418z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4419z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc4420z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc4421z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc4422z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc4423z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc4424z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc4425z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc4426z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc4427z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc4428z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc4429z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc4430z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc4431z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc4432z00zz__evaluate_compz00, BGl_string4411z00zz__evaluate_compz00);} 

}



/* &comp-ev_abs1441 */
obj_t BGl_z62compzd2ev_abs1441zb0zz__evaluate_compz00(obj_t BgL_envz00_11737, obj_t BgL_ez00_11738, obj_t BgL_stkz00_11739)
{
{ /* Eval/evaluate_comp.scm 1172 */
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_ifreesz00_13980; obj_t BgL_iboxesz00_13981; long BgL_siza7eza7_13982; long BgL_siza7ezd2framez75_13983; obj_t BgL_nstkz00_13984;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3754z00_13985;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_l1373z00_13986;
BgL_l1373z00_13986 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_freez00); 
if(
NULLP(BgL_l1373z00_13986))
{ /* Eval/evaluate_comp.scm 1174 */
BgL_arg3754z00_13985 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_head1375z00_13987;
BgL_head1375z00_13987 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1373z00_13989; obj_t BgL_tail1376z00_13990;
BgL_l1373z00_13989 = BgL_l1373z00_13986; 
BgL_tail1376z00_13990 = BgL_head1375z00_13987; 
BgL_zc3z04anonymousza33756ze3z87_13988:
if(
NULLP(BgL_l1373z00_13989))
{ /* Eval/evaluate_comp.scm 1174 */
BgL_arg3754z00_13985 = 
CDR(BgL_head1375z00_13987); }  else 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_newtail1377z00_13991;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3759z00_13992;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_vz00_13993;
BgL_vz00_13993 = 
CAR(
((obj_t)BgL_l1373z00_13989)); 
BgL_arg3759z00_13992 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13993, BgL_stkz00_11739); } 
BgL_newtail1377z00_13991 = 
MAKE_YOUNG_PAIR(BgL_arg3759z00_13992, BNIL); } 
SET_CDR(BgL_tail1376z00_13990, BgL_newtail1377z00_13991); 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3758z00_13994;
BgL_arg3758z00_13994 = 
CDR(
((obj_t)BgL_l1373z00_13989)); 
{ 
 obj_t BgL_tail1376z00_22869; obj_t BgL_l1373z00_22868;
BgL_l1373z00_22868 = BgL_arg3758z00_13994; 
BgL_tail1376z00_22869 = BgL_newtail1377z00_13991; 
BgL_tail1376z00_13990 = BgL_tail1376z00_22869; 
BgL_l1373z00_13989 = BgL_l1373z00_22868; 
goto BgL_zc3z04anonymousza33756ze3z87_13988;} } } } } } 
BgL_ifreesz00_13980 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3754z00_13985); } 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3760z00_13995;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_l1378z00_13996;
BgL_l1378z00_13996 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_boxesz00); 
if(
NULLP(BgL_l1378z00_13996))
{ /* Eval/evaluate_comp.scm 1175 */
BgL_arg3760z00_13995 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_head1380z00_13997;
BgL_head1380z00_13997 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1378z00_13999; obj_t BgL_tail1381z00_14000;
BgL_l1378z00_13999 = BgL_l1378z00_13996; 
BgL_tail1381z00_14000 = BgL_head1380z00_13997; 
BgL_zc3z04anonymousza33762ze3z87_13998:
if(
NULLP(BgL_l1378z00_13999))
{ /* Eval/evaluate_comp.scm 1175 */
BgL_arg3760z00_13995 = 
CDR(BgL_head1380z00_13997); }  else 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_newtail1382z00_14001;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3765z00_14002;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_vz00_14003;
BgL_vz00_14003 = 
CAR(
((obj_t)BgL_l1378z00_13999)); 
BgL_arg3765z00_14002 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14003, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_varsz00)); } 
BgL_newtail1382z00_14001 = 
MAKE_YOUNG_PAIR(BgL_arg3765z00_14002, BNIL); } 
SET_CDR(BgL_tail1381z00_14000, BgL_newtail1382z00_14001); 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3764z00_14004;
BgL_arg3764z00_14004 = 
CDR(
((obj_t)BgL_l1378z00_13999)); 
{ 
 obj_t BgL_tail1381z00_22889; obj_t BgL_l1378z00_22888;
BgL_l1378z00_22888 = BgL_arg3764z00_14004; 
BgL_tail1381z00_22889 = BgL_newtail1382z00_14001; 
BgL_tail1381z00_14000 = BgL_tail1381z00_22889; 
BgL_l1378z00_13999 = BgL_l1378z00_22888; 
goto BgL_zc3z04anonymousza33762ze3z87_13998;} } } } } } 
BgL_iboxesz00_13981 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3760z00_13995); } 
BgL_siza7eza7_13982 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_13983 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_freez00))); 
BgL_nstkz00_13984 = 
BGl_appendzd221010zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1179 */
 obj_t BgL_bodyz00_14005;
BgL_bodyz00_14005 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_bodyz00), BgL_nstkz00_13984); 
{ 

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_aux1254z00_14011;
BgL_aux1254z00_14011 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11738)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1254z00_14011))
{ /* Eval/evaluate_comp.scm 1181 */
switch( 
(long)CINT(BgL_aux1254z00_14011)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33216ze3z87_14012;
BgL_zc3z04anonymousza33216ze3z87_14012 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33216ze3z87_14012, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33216ze3z87_14012, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33216ze3z87_14012, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33216ze3z87_14012;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33222ze3z87_14013;
BgL_zc3z04anonymousza33222ze3z87_14013 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33222ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33222ze3z87_14013, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33222ze3z87_14013, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33222ze3z87_14013, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33222ze3z87_14013, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33222ze3z87_14013;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33231ze3z87_14014;
BgL_zc3z04anonymousza33231ze3z87_14014 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14014, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14014, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14014, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14014, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14014, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33231ze3z87_14014;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33238ze3z87_14015;
BgL_zc3z04anonymousza33238ze3z87_14015 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33238ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14015, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14015, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14015, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14015, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14015, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14015, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33238ze3z87_14015;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33251ze3z87_14016;
BgL_zc3z04anonymousza33251ze3z87_14016 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33251ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33251ze3z87_14016, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33251ze3z87_14016, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33251ze3z87_14016, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33251ze3z87_14016;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33258ze3z87_14017;
BgL_zc3z04anonymousza33258ze3z87_14017 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14017, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14017, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14017, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14017, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33258ze3z87_14017;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33268ze3z87_14018;
BgL_zc3z04anonymousza33268ze3z87_14018 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33268ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14018, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14018, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14018, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14018, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14018, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33268ze3z87_14018;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33276ze3z87_14019;
BgL_zc3z04anonymousza33276ze3z87_14019 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33276ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14019, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14019, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14019, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14019, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14019, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14019, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33276ze3z87_14019;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33290ze3z87_14020;
BgL_zc3z04anonymousza33290ze3z87_14020 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33290ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33290ze3z87_14020, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33290ze3z87_14020, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33290ze3z87_14020, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33290ze3z87_14020;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33297ze3z87_14021;
BgL_zc3z04anonymousza33297ze3z87_14021 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_14021, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_14021, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_14021, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_14021, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33297ze3z87_14021;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33307ze3z87_14022;
BgL_zc3z04anonymousza33307ze3z87_14022 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33307ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14022, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14022, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14022, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14022, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14022, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33307ze3z87_14022;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33315ze3z87_14023;
BgL_zc3z04anonymousza33315ze3z87_14023 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33315ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14023, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14023, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14023, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14023, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14023, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14023, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33315ze3z87_14023;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33329ze3z87_14024;
BgL_zc3z04anonymousza33329ze3z87_14024 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_14024, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_14024, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_14024, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33329ze3z87_14024;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33337ze3z87_14025;
BgL_zc3z04anonymousza33337ze3z87_14025 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33337ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33337ze3z87_14025, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33337ze3z87_14025, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33337ze3z87_14025, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33337ze3z87_14025, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33337ze3z87_14025;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33348ze3z87_14026;
BgL_zc3z04anonymousza33348ze3z87_14026 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33348ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14026, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14026, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14026, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14026, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14026, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33348ze3z87_14026;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33357ze3z87_14027;
BgL_zc3z04anonymousza33357ze3z87_14027 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14027, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14027, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14027, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14027, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14027, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14027, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33357ze3z87_14027;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33372ze3z87_14028;
BgL_zc3z04anonymousza33372ze3z87_14028 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33372ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33372ze3z87_14028, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33372ze3z87_14028, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33372ze3z87_14028, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33372ze3z87_14028;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33380ze3z87_14029;
BgL_zc3z04anonymousza33380ze3z87_14029 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33380ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33380ze3z87_14029, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33380ze3z87_14029, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33380ze3z87_14029, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33380ze3z87_14029, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33380ze3z87_14029;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33391ze3z87_14030;
BgL_zc3z04anonymousza33391ze3z87_14030 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14030, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14030, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14030, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14030, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14030, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33391ze3z87_14030;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33400ze3z87_14031;
BgL_zc3z04anonymousza33400ze3z87_14031 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14031, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14031, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14031, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14031, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14031, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14031, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33400ze3z87_14031;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33415ze3z87_14032;
BgL_zc3z04anonymousza33415ze3z87_14032 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33415ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33415ze3z87_14032, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33415ze3z87_14032, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33415ze3z87_14032, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33415ze3z87_14032;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33424ze3z87_14033;
BgL_zc3z04anonymousza33424ze3z87_14033 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33424ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33424ze3z87_14033, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33424ze3z87_14033, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33424ze3z87_14033, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33424ze3z87_14033, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33424ze3z87_14033;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33436ze3z87_14034;
BgL_zc3z04anonymousza33436ze3z87_14034 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33436ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14034, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14034, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14034, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14034, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14034, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33436ze3z87_14034;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33446ze3z87_14035;
BgL_zc3z04anonymousza33446ze3z87_14035 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14035, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14035, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14035, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14035, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14035, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14035, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33446ze3z87_14035;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33462ze3z87_14036;
BgL_zc3z04anonymousza33462ze3z87_14036 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33462ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33462ze3z87_14036, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33462ze3z87_14036, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33462ze3z87_14036, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33462ze3z87_14036;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33471ze3z87_14037;
BgL_zc3z04anonymousza33471ze3z87_14037 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33471ze3z87_14037, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33471ze3z87_14037, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33471ze3z87_14037, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33471ze3z87_14037, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33471ze3z87_14037;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33483ze3z87_14038;
BgL_zc3z04anonymousza33483ze3z87_14038 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33483ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14038, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14038, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14038, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14038, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14038, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33483ze3z87_14038;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33493ze3z87_14039;
BgL_zc3z04anonymousza33493ze3z87_14039 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33493ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14039, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14039, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14039, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14039, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14039, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14039, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33493ze3z87_14039;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33509ze3z87_14040;
BgL_zc3z04anonymousza33509ze3z87_14040 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33509ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33509ze3z87_14040, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33509ze3z87_14040, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33509ze3z87_14040, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33509ze3z87_14040;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33519ze3z87_14041;
BgL_zc3z04anonymousza33519ze3z87_14041 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33519ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33519ze3z87_14041, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33519ze3z87_14041, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33519ze3z87_14041, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33519ze3z87_14041, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33519ze3z87_14041;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33532ze3z87_14042;
BgL_zc3z04anonymousza33532ze3z87_14042 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14042, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14042, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14042, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14042, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14042, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33532ze3z87_14042;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33543ze3z87_14043;
BgL_zc3z04anonymousza33543ze3z87_14043 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14043, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14043, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14043, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14043, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14043, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14043, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33543ze3z87_14043;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33560ze3z87_14044;
BgL_zc3z04anonymousza33560ze3z87_14044 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33560ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33560ze3z87_14044, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33560ze3z87_14044, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33560ze3z87_14044, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33560ze3z87_14044;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33570ze3z87_14045;
BgL_zc3z04anonymousza33570ze3z87_14045 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33570ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33570ze3z87_14045, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33570ze3z87_14045, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33570ze3z87_14045, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33570ze3z87_14045, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33570ze3z87_14045;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33583ze3z87_14046;
BgL_zc3z04anonymousza33583ze3z87_14046 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14046, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14046, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14046, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14046, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14046, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33583ze3z87_14046;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33594ze3z87_14047;
BgL_zc3z04anonymousza33594ze3z87_14047 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33594ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14047, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14047, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14047, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14047, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14047, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14047, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33594ze3z87_14047;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33611ze3z87_14048;
BgL_zc3z04anonymousza33611ze3z87_14048 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_14048, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_14048, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_14048, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33611ze3z87_14048;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33622ze3z87_14049;
BgL_zc3z04anonymousza33622ze3z87_14049 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33622ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33622ze3z87_14049, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33622ze3z87_14049, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33622ze3z87_14049, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33622ze3z87_14049, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33622ze3z87_14049;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33636ze3z87_14050;
BgL_zc3z04anonymousza33636ze3z87_14050 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33636ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14050, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14050, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14050, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14050, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14050, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33636ze3z87_14050;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33648ze3z87_14051;
BgL_zc3z04anonymousza33648ze3z87_14051 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14051, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14051, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14051, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14051, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14051, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14051, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33648ze3z87_14051;} } break;
default: 
BgL_case_else1253z00_14006:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_13980)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33666ze3z87_14007;
BgL_zc3z04anonymousza33666ze3z87_14007 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33666ze3z87_14007, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33666ze3z87_14007, 
(int)(((long)1)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33666ze3z87_14007, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33666ze3z87_14007;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33686ze3z87_14008;
BgL_zc3z04anonymousza33686ze3z87_14008 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33686ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33686ze3z87_14008, 
(int)(((long)0)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33686ze3z87_14008, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33686ze3z87_14008, 
(int)(((long)2)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33686ze3z87_14008, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33686ze3z87_14008;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13981)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33709ze3z87_14009;
BgL_zc3z04anonymousza33709ze3z87_14009 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33709ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14009, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14009, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14009, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14009, 
(int)(((long)3)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14009, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33709ze3z87_14009;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33730ze3z87_14010;
BgL_zc3z04anonymousza33730ze3z87_14010 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33730ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14010, 
(int)(((long)0)), BgL_ifreesz00_13980); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14010, 
(int)(((long)1)), BgL_iboxesz00_13981); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14010, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13982)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14010, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11738))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14010, 
(int)(((long)4)), BgL_bodyz00_14005); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14010, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13983)); 
return BgL_zc3z04anonymousza33730ze3z87_14010;} } } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
goto BgL_case_else1253z00_14006;} } } } } } 

}



/* &<@anonymous:3611> */
obj_t BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11740, obj_t BgL_sz00_11744)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11741; obj_t BgL_bodyz00_11742; long BgL_siza7ezd2framez75_11743;
BgL_i1252z00_11741 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11740, 
(int)(((long)0)))); 
BgL_bodyz00_11742 = 
PROCEDURE_REF(BgL_envz00_11740, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11743 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11740, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14052;
BgL_bpz00_14052 = 
VECTOR_REF(
((obj_t)BgL_sz00_11744),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14053;
BgL_runz00_14053 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14053, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11741)); 
PROCEDURE_SET(BgL_runz00_14053, 
(int)(((long)1)), BgL_bodyz00_11742); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14054;
BgL_mainz00_14054 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14054, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11741)); 
PROCEDURE_SET(BgL_mainz00_14054, 
(int)(((long)1)), BgL_bodyz00_11742); 
PROCEDURE_SET(BgL_mainz00_14054, 
(int)(((long)2)), BgL_runz00_14053); 
PROCEDURE_SET(BgL_mainz00_14054, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11743)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14055;
BgL_objz00_14055 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14053, BgL_objz00_14055); BgL_objz00_14055; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3612z00_14056;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3613z00_14057;
BgL_arg3613z00_14057 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11741))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14058;
BgL_newz00_14058 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23731;
BgL_tmpz00_23731 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14058, BgL_tmpz00_23731, BgL_arg3613z00_14057); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23736; int BgL_tmpz00_23734;
BgL_auxz00_23736 = 
BINT(BgL_siza7ezd2framez75_11743); 
BgL_tmpz00_23734 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14058, BgL_tmpz00_23734, BgL_auxz00_23736); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23739;
BgL_tmpz00_23739 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14058, BgL_tmpz00_23739, BgL_runz00_14053); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23744; int BgL_tmpz00_23742;
BgL_auxz00_23744 = 
BINT(((long)-5)); 
BgL_tmpz00_23742 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14058, BgL_tmpz00_23742, BgL_auxz00_23744); } 
BgL_arg3612z00_14056 = BgL_newz00_14058; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14054, BgL_arg3612z00_14056); BgL_arg3612z00_14056; } 
return BgL_mainz00_14054;} } } } } } 

}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_11745, obj_t BgL_az00_11750, obj_t BgL_bz00_11751, obj_t BgL_cz00_11752, obj_t BgL_dz00_11753, obj_t BgL_lastz00_11754)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11748; long BgL_siza7ezd2framez75_11749;
BgL_runz00_11748 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11745, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11749 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11745, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14059;
BgL_sz00_14059 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14060;
BgL_bpz00_14060 = 
VECTOR_REF(
((obj_t)BgL_sz00_14059),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14059, BgL_bpz00_14060, 
BINT(BgL_siza7ezd2framez75_11749)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3616z00_14061;
BgL_arg3616z00_14061 = 
(
(long)CINT(BgL_bpz00_14060)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14059),BgL_arg3616z00_14061,BgL_az00_11750); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3617z00_14062;
BgL_arg3617z00_14062 = 
(
(long)CINT(BgL_bpz00_14060)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14059),BgL_arg3617z00_14062,BgL_bz00_11751); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3618z00_14063;
BgL_arg3618z00_14063 = 
(
(long)CINT(BgL_bpz00_14060)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14059),BgL_arg3618z00_14063,BgL_cz00_11752); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3619z00_14064;
BgL_arg3619z00_14064 = 
(
(long)CINT(BgL_bpz00_14060)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14059),BgL_arg3619z00_14064,BgL_dz00_11753); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3620z00_14065;
BgL_arg3620z00_14065 = 
(
(long)CINT(BgL_bpz00_14060)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14059),BgL_arg3620z00_14065,BgL_lastz00_11754); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14066;
BgL_ez00_14066 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14067;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14068;
BgL_arg4066z00_14068 = 
BGL_EXITD_PROTECT(BgL_ez00_14066); 
BgL_arg4065z00_14067 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14060, BgL_arg4066z00_14068); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14066, BgL_arg4065z00_14067); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14069;
BgL_accz00_14069 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11748, BgL_sz00_14059, BgL_bpz00_14060); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5068z00_23785;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14070;
BgL_arg4064z00_14070 = 
BGL_EXITD_PROTECT(BgL_ez00_14066); 
BgL_test5068z00_23785 = 
PAIRP(BgL_arg4064z00_14070); } 
if(BgL_test5068z00_23785)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14071;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14072;
BgL_arg4063z00_14072 = 
BGL_EXITD_PROTECT(BgL_ez00_14066); 
BgL_arg4062z00_14071 = 
CDR(
((obj_t)BgL_arg4063z00_14072)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14066, BgL_arg4062z00_14071); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14059),((long)0),BgL_bpz00_14060); 
return BgL_accz00_14069;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14073;
BgL_nsz00_14073 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14073,((long)1),BgL_sz00_14059); 
VECTOR_SET(BgL_nsz00_14073,((long)2),BgL_az00_11750); 
VECTOR_SET(BgL_nsz00_14073,((long)3),BgL_bz00_11751); 
VECTOR_SET(BgL_nsz00_14073,((long)4),BgL_cz00_11752); 
VECTOR_SET(BgL_nsz00_14073,((long)5),BgL_dz00_11753); 
VECTOR_SET(BgL_nsz00_14073,((long)6),BgL_lastz00_11754); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14074;
BgL_z12denvz12_14074 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14074, BgL_nsz00_14073); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14075;
BgL_ez00_14075 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14076;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14077;
BgL_arg4066z00_14077 = 
BGL_EXITD_PROTECT(BgL_ez00_14075); 
BgL_arg4065z00_14076 = 
MAKE_YOUNG_PAIR(BgL_sz00_14059, BgL_arg4066z00_14077); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14075, BgL_arg4065z00_14076); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14078;
BgL_____rz00_14078 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11748, BgL_nsz00_14073, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5069z00_23809;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14079;
BgL_arg4064z00_14079 = 
BGL_EXITD_PROTECT(BgL_ez00_14075); 
BgL_test5069z00_23809 = 
PAIRP(BgL_arg4064z00_14079); } 
if(BgL_test5069z00_23809)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14080;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14081;
BgL_arg4063z00_14081 = 
BGL_EXITD_PROTECT(BgL_ez00_14075); 
BgL_arg4062z00_14080 = 
CDR(
((obj_t)BgL_arg4063z00_14081)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14075, BgL_arg4062z00_14080); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14074, BgL_sz00_14059); 
return BgL_____rz00_14078;} } } } } } } } 

}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_11755, obj_t BgL_sz00_11758)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11756; obj_t BgL_bodyz00_11757;
BgL_i1252z00_11756 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11755, 
(int)(((long)0)))); 
BgL_bodyz00_11757 = 
PROCEDURE_REF(BgL_envz00_11755, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14082;
BgL_bpz00_14082 = 
VECTOR_REF(
((obj_t)BgL_sz00_11758),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14083; obj_t BgL_wherez00_14084; obj_t BgL_locz00_14085;
BgL_z12denvz12_14083 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14084 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11756))->BgL_wherez00); 
BgL_locz00_14085 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11756))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14083, BgL_wherez00_14084, BgL_locz00_14085); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14086;
BgL_za2za2resza2za2z00_14086 = 
PROCEDURE_ENTRY(BgL_bodyz00_11757)(BgL_bodyz00_11757, BgL_sz00_11758, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14083); 
return BgL_za2za2resza2za2z00_14086;} } } } } } 

}



/* &<@anonymous:3622> */
obj_t BGl_z62zc3z04anonymousza33622ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11759, obj_t BgL_sz00_11764)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11760; BgL_ev_absz00_bglt BgL_i1252z00_11761; obj_t BgL_bodyz00_11762; long BgL_siza7ezd2framez75_11763;
BgL_iboxesz00_11760 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11759, 
(int)(((long)0)))); 
BgL_i1252z00_11761 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11759, 
(int)(((long)1)))); 
BgL_bodyz00_11762 = 
PROCEDURE_REF(BgL_envz00_11759, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11763 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11759, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14087;
BgL_bpz00_14087 = 
VECTOR_REF(
((obj_t)BgL_sz00_11764),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14088;
BgL_runz00_14088 = 
MAKE_FX_PROCEDURE(BGl_z62run4221z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14088, 
(int)(((long)0)), BgL_iboxesz00_11760); 
PROCEDURE_SET(BgL_runz00_14088, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11761)); 
PROCEDURE_SET(BgL_runz00_14088, 
(int)(((long)2)), BgL_bodyz00_11762); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14089;
BgL_mainz00_14089 = 
MAKE_VA_PROCEDURE(BGl_z62main4220z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)0)), BgL_iboxesz00_11760); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11761)); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)2)), BgL_bodyz00_11762); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)3)), BgL_runz00_14088); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11763)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14090;
BgL_objz00_14090 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14088, BgL_objz00_14090); BgL_objz00_14090; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3623z00_14091;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3624z00_14092;
BgL_arg3624z00_14092 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11761))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14093;
BgL_newz00_14093 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23875;
BgL_tmpz00_23875 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14093, BgL_tmpz00_23875, BgL_arg3624z00_14092); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23880; int BgL_tmpz00_23878;
BgL_auxz00_23880 = 
BINT(BgL_siza7ezd2framez75_11763); 
BgL_tmpz00_23878 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14093, BgL_tmpz00_23878, BgL_auxz00_23880); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23883;
BgL_tmpz00_23883 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14093, BgL_tmpz00_23883, BgL_runz00_14088); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23888; int BgL_tmpz00_23886;
BgL_auxz00_23888 = 
BINT(((long)-5)); 
BgL_tmpz00_23886 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14093, BgL_tmpz00_23886, BgL_auxz00_23888); } 
BgL_arg3623z00_14091 = BgL_newz00_14093; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14089, BgL_arg3623z00_14091); BgL_arg3623z00_14091; } 
return BgL_mainz00_14089;} } } } } } 

}



/* &main4220 */
obj_t BGl_z62main4220z62zz__evaluate_compz00(obj_t BgL_envz00_11765, obj_t BgL_az00_11771, obj_t BgL_bz00_11772, obj_t BgL_cz00_11773, obj_t BgL_dz00_11774, obj_t BgL_lastz00_11775)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11769; long BgL_siza7ezd2framez75_11770;
BgL_runz00_11769 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11765, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11770 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11765, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14094;
BgL_sz00_14094 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14095;
BgL_bpz00_14095 = 
VECTOR_REF(
((obj_t)BgL_sz00_14094),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14094, BgL_bpz00_14095, 
BINT(BgL_siza7ezd2framez75_11770)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3627z00_14096;
BgL_arg3627z00_14096 = 
(
(long)CINT(BgL_bpz00_14095)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14094),BgL_arg3627z00_14096,BgL_az00_11771); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3628z00_14097;
BgL_arg3628z00_14097 = 
(
(long)CINT(BgL_bpz00_14095)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14094),BgL_arg3628z00_14097,BgL_bz00_11772); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3629z00_14098;
BgL_arg3629z00_14098 = 
(
(long)CINT(BgL_bpz00_14095)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14094),BgL_arg3629z00_14098,BgL_cz00_11773); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3630z00_14099;
BgL_arg3630z00_14099 = 
(
(long)CINT(BgL_bpz00_14095)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14094),BgL_arg3630z00_14099,BgL_dz00_11774); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3631z00_14100;
BgL_arg3631z00_14100 = 
(
(long)CINT(BgL_bpz00_14095)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14094),BgL_arg3631z00_14100,BgL_lastz00_11775); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14101;
BgL_ez00_14101 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14102;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14103;
BgL_arg4066z00_14103 = 
BGL_EXITD_PROTECT(BgL_ez00_14101); 
BgL_arg4065z00_14102 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14095, BgL_arg4066z00_14103); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14101, BgL_arg4065z00_14102); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14104;
BgL_accz00_14104 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11769, BgL_sz00_14094, BgL_bpz00_14095); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5071z00_23929;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14105;
BgL_arg4064z00_14105 = 
BGL_EXITD_PROTECT(BgL_ez00_14101); 
BgL_test5071z00_23929 = 
PAIRP(BgL_arg4064z00_14105); } 
if(BgL_test5071z00_23929)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14106;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14107;
BgL_arg4063z00_14107 = 
BGL_EXITD_PROTECT(BgL_ez00_14101); 
BgL_arg4062z00_14106 = 
CDR(
((obj_t)BgL_arg4063z00_14107)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14101, BgL_arg4062z00_14106); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14094),((long)0),BgL_bpz00_14095); 
return BgL_accz00_14104;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14108;
BgL_nsz00_14108 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14108,((long)1),BgL_sz00_14094); 
VECTOR_SET(BgL_nsz00_14108,((long)2),BgL_az00_11771); 
VECTOR_SET(BgL_nsz00_14108,((long)3),BgL_bz00_11772); 
VECTOR_SET(BgL_nsz00_14108,((long)4),BgL_cz00_11773); 
VECTOR_SET(BgL_nsz00_14108,((long)5),BgL_dz00_11774); 
VECTOR_SET(BgL_nsz00_14108,((long)6),BgL_lastz00_11775); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14109;
BgL_z12denvz12_14109 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14109, BgL_nsz00_14108); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14110;
BgL_ez00_14110 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14111;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14112;
BgL_arg4066z00_14112 = 
BGL_EXITD_PROTECT(BgL_ez00_14110); 
BgL_arg4065z00_14111 = 
MAKE_YOUNG_PAIR(BgL_sz00_14094, BgL_arg4066z00_14112); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14110, BgL_arg4065z00_14111); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14113;
BgL_____rz00_14113 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11769, BgL_nsz00_14108, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5072z00_23953;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14114;
BgL_arg4064z00_14114 = 
BGL_EXITD_PROTECT(BgL_ez00_14110); 
BgL_test5072z00_23953 = 
PAIRP(BgL_arg4064z00_14114); } 
if(BgL_test5072z00_23953)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14115;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14116;
BgL_arg4063z00_14116 = 
BGL_EXITD_PROTECT(BgL_ez00_14110); 
BgL_arg4062z00_14115 = 
CDR(
((obj_t)BgL_arg4063z00_14116)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14110, BgL_arg4062z00_14115); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14109, BgL_sz00_14094); 
return BgL_____rz00_14113;} } } } } } } } 

}



/* &run4221 */
obj_t BGl_z62run4221z62zz__evaluate_compz00(obj_t BgL_envz00_11776, obj_t BgL_sz00_11780)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11777; BgL_ev_absz00_bglt BgL_i1252z00_11778; obj_t BgL_bodyz00_11779;
BgL_iboxesz00_11777 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11776, 
(int)(((long)0)))); 
BgL_i1252z00_11778 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11776, 
(int)(((long)1)))); 
BgL_bodyz00_11779 = 
PROCEDURE_REF(BgL_envz00_11776, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14117;
BgL_bpz00_14117 = 
VECTOR_REF(
((obj_t)BgL_sz00_11780),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11780, BgL_iboxesz00_11777, BgL_bpz00_14117); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14118; obj_t BgL_wherez00_14119; obj_t BgL_locz00_14120;
BgL_z12denvz12_14118 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14119 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11778))->BgL_wherez00); 
BgL_locz00_14120 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11778))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14118, BgL_wherez00_14119, BgL_locz00_14120); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14121;
BgL_za2za2resza2za2z00_14121 = 
PROCEDURE_ENTRY(BgL_bodyz00_11779)(BgL_bodyz00_11779, BgL_sz00_11780, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14118); 
return BgL_za2za2resza2za2z00_14121;} } } } } } 

}



/* &<@anonymous:3636> */
obj_t BGl_z62zc3z04anonymousza33636ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11781, obj_t BgL_sz00_11787)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11782; long BgL_siza7eza7_11783; BgL_ev_absz00_bglt BgL_i1252z00_11784; obj_t BgL_bodyz00_11785; long BgL_siza7ezd2framez75_11786;
BgL_ifreesz00_11782 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11781, 
(int)(((long)0)))); 
BgL_siza7eza7_11783 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11781, 
(int)(((long)1)))); 
BgL_i1252z00_11784 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11781, 
(int)(((long)2)))); 
BgL_bodyz00_11785 = 
PROCEDURE_REF(BgL_envz00_11781, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11786 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11781, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14122;
BgL_bpz00_14122 = 
VECTOR_REF(
((obj_t)BgL_sz00_11787),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14123;
BgL_valza2za2_14123 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11787, BgL_bpz00_14122, BgL_ifreesz00_11782); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14124;
BgL_runz00_14124 = 
MAKE_FX_PROCEDURE(BGl_z62run4223z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14124, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11783)); 
PROCEDURE_SET(BgL_runz00_14124, 
(int)(((long)1)), BgL_valza2za2_14123); 
PROCEDURE_SET(BgL_runz00_14124, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11784)); 
PROCEDURE_SET(BgL_runz00_14124, 
(int)(((long)3)), BgL_bodyz00_11785); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14125;
BgL_mainz00_14125 = 
MAKE_VA_PROCEDURE(BGl_z62main4222z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11783)); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)1)), BgL_valza2za2_14123); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11784)); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)3)), BgL_bodyz00_11785); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)4)), BgL_runz00_14124); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11786)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14126;
BgL_objz00_14126 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14124, BgL_objz00_14126); BgL_objz00_14126; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3637z00_14127;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3638z00_14128;
BgL_arg3638z00_14128 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11784))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14129;
BgL_newz00_14129 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24033;
BgL_tmpz00_24033 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14129, BgL_tmpz00_24033, BgL_arg3638z00_14128); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24038; int BgL_tmpz00_24036;
BgL_auxz00_24038 = 
BINT(BgL_siza7ezd2framez75_11786); 
BgL_tmpz00_24036 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14129, BgL_tmpz00_24036, BgL_auxz00_24038); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24041;
BgL_tmpz00_24041 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14129, BgL_tmpz00_24041, BgL_runz00_14124); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24046; int BgL_tmpz00_24044;
BgL_auxz00_24046 = 
BINT(((long)-5)); 
BgL_tmpz00_24044 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14129, BgL_tmpz00_24044, BgL_auxz00_24046); } 
BgL_arg3637z00_14127 = BgL_newz00_14129; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14125, BgL_arg3637z00_14127); BgL_arg3637z00_14127; } 
return BgL_mainz00_14125;} } } } } } 

}



/* &main4222 */
obj_t BGl_z62main4222z62zz__evaluate_compz00(obj_t BgL_envz00_11788, obj_t BgL_az00_11795, obj_t BgL_bz00_11796, obj_t BgL_cz00_11797, obj_t BgL_dz00_11798, obj_t BgL_lastz00_11799)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11793; long BgL_siza7ezd2framez75_11794;
BgL_runz00_11793 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11788, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11794 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11788, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14130;
BgL_sz00_14130 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14131;
BgL_bpz00_14131 = 
VECTOR_REF(
((obj_t)BgL_sz00_14130),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14130, BgL_bpz00_14131, 
BINT(BgL_siza7ezd2framez75_11794)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3641z00_14132;
BgL_arg3641z00_14132 = 
(
(long)CINT(BgL_bpz00_14131)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14130),BgL_arg3641z00_14132,BgL_az00_11795); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3642z00_14133;
BgL_arg3642z00_14133 = 
(
(long)CINT(BgL_bpz00_14131)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14130),BgL_arg3642z00_14133,BgL_bz00_11796); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3643z00_14134;
BgL_arg3643z00_14134 = 
(
(long)CINT(BgL_bpz00_14131)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14130),BgL_arg3643z00_14134,BgL_cz00_11797); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3644z00_14135;
BgL_arg3644z00_14135 = 
(
(long)CINT(BgL_bpz00_14131)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14130),BgL_arg3644z00_14135,BgL_dz00_11798); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3645z00_14136;
BgL_arg3645z00_14136 = 
(
(long)CINT(BgL_bpz00_14131)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14130),BgL_arg3645z00_14136,BgL_lastz00_11799); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14137;
BgL_ez00_14137 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14138;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14139;
BgL_arg4066z00_14139 = 
BGL_EXITD_PROTECT(BgL_ez00_14137); 
BgL_arg4065z00_14138 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14131, BgL_arg4066z00_14139); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14137, BgL_arg4065z00_14138); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14140;
BgL_accz00_14140 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11793, BgL_sz00_14130, BgL_bpz00_14131); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5074z00_24087;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14141;
BgL_arg4064z00_14141 = 
BGL_EXITD_PROTECT(BgL_ez00_14137); 
BgL_test5074z00_24087 = 
PAIRP(BgL_arg4064z00_14141); } 
if(BgL_test5074z00_24087)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14142;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14143;
BgL_arg4063z00_14143 = 
BGL_EXITD_PROTECT(BgL_ez00_14137); 
BgL_arg4062z00_14142 = 
CDR(
((obj_t)BgL_arg4063z00_14143)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14137, BgL_arg4062z00_14142); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14130),((long)0),BgL_bpz00_14131); 
return BgL_accz00_14140;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14144;
BgL_nsz00_14144 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14144,((long)1),BgL_sz00_14130); 
VECTOR_SET(BgL_nsz00_14144,((long)2),BgL_az00_11795); 
VECTOR_SET(BgL_nsz00_14144,((long)3),BgL_bz00_11796); 
VECTOR_SET(BgL_nsz00_14144,((long)4),BgL_cz00_11797); 
VECTOR_SET(BgL_nsz00_14144,((long)5),BgL_dz00_11798); 
VECTOR_SET(BgL_nsz00_14144,((long)6),BgL_lastz00_11799); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14145;
BgL_z12denvz12_14145 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14145, BgL_nsz00_14144); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14146;
BgL_ez00_14146 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14147;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14148;
BgL_arg4066z00_14148 = 
BGL_EXITD_PROTECT(BgL_ez00_14146); 
BgL_arg4065z00_14147 = 
MAKE_YOUNG_PAIR(BgL_sz00_14130, BgL_arg4066z00_14148); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14146, BgL_arg4065z00_14147); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14149;
BgL_____rz00_14149 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11793, BgL_nsz00_14144, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5075z00_24111;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14150;
BgL_arg4064z00_14150 = 
BGL_EXITD_PROTECT(BgL_ez00_14146); 
BgL_test5075z00_24111 = 
PAIRP(BgL_arg4064z00_14150); } 
if(BgL_test5075z00_24111)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14151;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14152;
BgL_arg4063z00_14152 = 
BGL_EXITD_PROTECT(BgL_ez00_14146); 
BgL_arg4062z00_14151 = 
CDR(
((obj_t)BgL_arg4063z00_14152)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14146, BgL_arg4062z00_14151); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14145, BgL_sz00_14130); 
return BgL_____rz00_14149;} } } } } } } } 

}



/* &run4223 */
obj_t BGl_z62run4223z62zz__evaluate_compz00(obj_t BgL_envz00_11800, obj_t BgL_sz00_11805)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_11801; obj_t BgL_valza2za2_11802; BgL_ev_absz00_bglt BgL_i1252z00_11803; obj_t BgL_bodyz00_11804;
BgL_siza7eza7_11801 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11800, 
(int)(((long)0)))); 
BgL_valza2za2_11802 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11800, 
(int)(((long)1)))); 
BgL_i1252z00_11803 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11800, 
(int)(((long)2)))); 
BgL_bodyz00_11804 = 
PROCEDURE_REF(BgL_envz00_11800, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14153;
BgL_bpz00_14153 = 
VECTOR_REF(
((obj_t)BgL_sz00_11805),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11805, BgL_valza2za2_11802, 
(
(long)CINT(BgL_bpz00_14153)+BgL_siza7eza7_11801)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14154; obj_t BgL_wherez00_14155; obj_t BgL_locz00_14156;
BgL_z12denvz12_14154 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14155 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11803))->BgL_wherez00); 
BgL_locz00_14156 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11803))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14154, BgL_wherez00_14155, BgL_locz00_14156); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14157;
BgL_za2za2resza2za2z00_14157 = 
PROCEDURE_ENTRY(BgL_bodyz00_11804)(BgL_bodyz00_11804, BgL_sz00_11805, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14154); 
return BgL_za2za2resza2za2z00_14157;} } } } } } 

}



/* &<@anonymous:3648> */
obj_t BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11806, obj_t BgL_sz00_11813)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11807; obj_t BgL_iboxesz00_11808; long BgL_siza7eza7_11809; BgL_ev_absz00_bglt BgL_i1252z00_11810; obj_t BgL_bodyz00_11811; long BgL_siza7ezd2framez75_11812;
BgL_ifreesz00_11807 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)0)))); 
BgL_iboxesz00_11808 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)1)))); 
BgL_siza7eza7_11809 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)2)))); 
BgL_i1252z00_11810 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)3)))); 
BgL_bodyz00_11811 = 
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11812 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14158;
BgL_bpz00_14158 = 
VECTOR_REF(
((obj_t)BgL_sz00_11813),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14159;
BgL_valza2za2_14159 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11813, BgL_bpz00_14158, BgL_ifreesz00_11807); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14160;
BgL_runz00_14160 = 
MAKE_FX_PROCEDURE(BGl_z62run4225z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14160, 
(int)(((long)0)), BgL_iboxesz00_11808); 
PROCEDURE_SET(BgL_runz00_14160, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11809)); 
PROCEDURE_SET(BgL_runz00_14160, 
(int)(((long)2)), BgL_valza2za2_14159); 
PROCEDURE_SET(BgL_runz00_14160, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11810)); 
PROCEDURE_SET(BgL_runz00_14160, 
(int)(((long)4)), BgL_bodyz00_11811); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14161;
BgL_mainz00_14161 = 
MAKE_VA_PROCEDURE(BGl_z62main4224z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)0)), BgL_iboxesz00_11808); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11809)); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)2)), BgL_valza2za2_14159); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11810)); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)4)), BgL_bodyz00_11811); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)5)), BgL_runz00_14160); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11812)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14162;
BgL_objz00_14162 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14160, BgL_objz00_14162); BgL_objz00_14162; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3649z00_14163;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3650z00_14164;
BgL_arg3650z00_14164 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11810))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14165;
BgL_newz00_14165 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24203;
BgL_tmpz00_24203 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14165, BgL_tmpz00_24203, BgL_arg3650z00_14164); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24208; int BgL_tmpz00_24206;
BgL_auxz00_24208 = 
BINT(BgL_siza7ezd2framez75_11812); 
BgL_tmpz00_24206 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14165, BgL_tmpz00_24206, BgL_auxz00_24208); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24211;
BgL_tmpz00_24211 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14165, BgL_tmpz00_24211, BgL_runz00_14160); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24216; int BgL_tmpz00_24214;
BgL_auxz00_24216 = 
BINT(((long)-5)); 
BgL_tmpz00_24214 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14165, BgL_tmpz00_24214, BgL_auxz00_24216); } 
BgL_arg3649z00_14163 = BgL_newz00_14165; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14161, BgL_arg3649z00_14163); BgL_arg3649z00_14163; } 
return BgL_mainz00_14161;} } } } } } 

}



/* &main4224 */
obj_t BGl_z62main4224z62zz__evaluate_compz00(obj_t BgL_envz00_11814, obj_t BgL_az00_11822, obj_t BgL_bz00_11823, obj_t BgL_cz00_11824, obj_t BgL_dz00_11825, obj_t BgL_lastz00_11826)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11820; long BgL_siza7ezd2framez75_11821;
BgL_runz00_11820 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11814, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11821 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11814, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14166;
BgL_sz00_14166 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14167;
BgL_bpz00_14167 = 
VECTOR_REF(
((obj_t)BgL_sz00_14166),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14166, BgL_bpz00_14167, 
BINT(BgL_siza7ezd2framez75_11821)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3653z00_14168;
BgL_arg3653z00_14168 = 
(
(long)CINT(BgL_bpz00_14167)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14166),BgL_arg3653z00_14168,BgL_az00_11822); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3654z00_14169;
BgL_arg3654z00_14169 = 
(
(long)CINT(BgL_bpz00_14167)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14166),BgL_arg3654z00_14169,BgL_bz00_11823); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3655z00_14170;
BgL_arg3655z00_14170 = 
(
(long)CINT(BgL_bpz00_14167)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14166),BgL_arg3655z00_14170,BgL_cz00_11824); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3656z00_14171;
BgL_arg3656z00_14171 = 
(
(long)CINT(BgL_bpz00_14167)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14166),BgL_arg3656z00_14171,BgL_dz00_11825); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3657z00_14172;
BgL_arg3657z00_14172 = 
(
(long)CINT(BgL_bpz00_14167)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14166),BgL_arg3657z00_14172,BgL_lastz00_11826); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14173;
BgL_ez00_14173 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14174;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14175;
BgL_arg4066z00_14175 = 
BGL_EXITD_PROTECT(BgL_ez00_14173); 
BgL_arg4065z00_14174 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14167, BgL_arg4066z00_14175); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14173, BgL_arg4065z00_14174); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14176;
BgL_accz00_14176 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11820, BgL_sz00_14166, BgL_bpz00_14167); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5077z00_24257;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14177;
BgL_arg4064z00_14177 = 
BGL_EXITD_PROTECT(BgL_ez00_14173); 
BgL_test5077z00_24257 = 
PAIRP(BgL_arg4064z00_14177); } 
if(BgL_test5077z00_24257)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14178;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14179;
BgL_arg4063z00_14179 = 
BGL_EXITD_PROTECT(BgL_ez00_14173); 
BgL_arg4062z00_14178 = 
CDR(
((obj_t)BgL_arg4063z00_14179)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14173, BgL_arg4062z00_14178); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14166),((long)0),BgL_bpz00_14167); 
return BgL_accz00_14176;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14180;
BgL_nsz00_14180 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14180,((long)1),BgL_sz00_14166); 
VECTOR_SET(BgL_nsz00_14180,((long)2),BgL_az00_11822); 
VECTOR_SET(BgL_nsz00_14180,((long)3),BgL_bz00_11823); 
VECTOR_SET(BgL_nsz00_14180,((long)4),BgL_cz00_11824); 
VECTOR_SET(BgL_nsz00_14180,((long)5),BgL_dz00_11825); 
VECTOR_SET(BgL_nsz00_14180,((long)6),BgL_lastz00_11826); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14181;
BgL_z12denvz12_14181 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14181, BgL_nsz00_14180); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14182;
BgL_ez00_14182 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14183;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14184;
BgL_arg4066z00_14184 = 
BGL_EXITD_PROTECT(BgL_ez00_14182); 
BgL_arg4065z00_14183 = 
MAKE_YOUNG_PAIR(BgL_sz00_14166, BgL_arg4066z00_14184); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14182, BgL_arg4065z00_14183); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14185;
BgL_____rz00_14185 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11820, BgL_nsz00_14180, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5078z00_24281;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14186;
BgL_arg4064z00_14186 = 
BGL_EXITD_PROTECT(BgL_ez00_14182); 
BgL_test5078z00_24281 = 
PAIRP(BgL_arg4064z00_14186); } 
if(BgL_test5078z00_24281)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14187;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14188;
BgL_arg4063z00_14188 = 
BGL_EXITD_PROTECT(BgL_ez00_14182); 
BgL_arg4062z00_14187 = 
CDR(
((obj_t)BgL_arg4063z00_14188)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14182, BgL_arg4062z00_14187); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14181, BgL_sz00_14166); 
return BgL_____rz00_14185;} } } } } } } } 

}



/* &run4225 */
obj_t BGl_z62run4225z62zz__evaluate_compz00(obj_t BgL_envz00_11827, obj_t BgL_sz00_11833)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11828; long BgL_siza7eza7_11829; obj_t BgL_valza2za2_11830; BgL_ev_absz00_bglt BgL_i1252z00_11831; obj_t BgL_bodyz00_11832;
BgL_iboxesz00_11828 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)0)))); 
BgL_siza7eza7_11829 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)1)))); 
BgL_valza2za2_11830 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)2)))); 
BgL_i1252z00_11831 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)3)))); 
BgL_bodyz00_11832 = 
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14189;
BgL_bpz00_14189 = 
VECTOR_REF(
((obj_t)BgL_sz00_11833),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11833, BgL_iboxesz00_11828, BgL_bpz00_14189); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11833, BgL_valza2za2_11830, 
(
(long)CINT(BgL_bpz00_14189)+BgL_siza7eza7_11829)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14190; obj_t BgL_wherez00_14191; obj_t BgL_locz00_14192;
BgL_z12denvz12_14190 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14191 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11831))->BgL_wherez00); 
BgL_locz00_14192 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11831))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14190, BgL_wherez00_14191, BgL_locz00_14192); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14193;
BgL_za2za2resza2za2z00_14193 = 
PROCEDURE_ENTRY(BgL_bodyz00_11832)(BgL_bodyz00_11832, BgL_sz00_11833, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14190); 
return BgL_za2za2resza2za2z00_14193;} } } } } } 

}



/* &<@anonymous:3560> */
obj_t BGl_z62zc3z04anonymousza33560ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11834, obj_t BgL_sz00_11838)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11835; obj_t BgL_bodyz00_11836; long BgL_siza7ezd2framez75_11837;
BgL_i1252z00_11835 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)0)))); 
BgL_bodyz00_11836 = 
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11837 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14194;
BgL_bpz00_14194 = 
VECTOR_REF(
((obj_t)BgL_sz00_11838),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14195;
BgL_runz00_14195 = 
MAKE_FX_PROCEDURE(BGl_z62run4227z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14195, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11835)); 
PROCEDURE_SET(BgL_runz00_14195, 
(int)(((long)1)), BgL_bodyz00_11836); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14196;
BgL_mainz00_14196 = 
MAKE_FX_PROCEDURE(BGl_z62main4226z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14196, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11835)); 
PROCEDURE_SET(BgL_mainz00_14196, 
(int)(((long)1)), BgL_bodyz00_11836); 
PROCEDURE_SET(BgL_mainz00_14196, 
(int)(((long)2)), BgL_runz00_14195); 
PROCEDURE_SET(BgL_mainz00_14196, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11837)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14197;
BgL_objz00_14197 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14195, BgL_objz00_14197); BgL_objz00_14197; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3561z00_14198;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3562z00_14199;
BgL_arg3562z00_14199 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11835))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14200;
BgL_newz00_14200 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24353;
BgL_tmpz00_24353 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14200, BgL_tmpz00_24353, BgL_arg3562z00_14199); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24358; int BgL_tmpz00_24356;
BgL_auxz00_24358 = 
BINT(BgL_siza7ezd2framez75_11837); 
BgL_tmpz00_24356 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14200, BgL_tmpz00_24356, BgL_auxz00_24358); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24361;
BgL_tmpz00_24361 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14200, BgL_tmpz00_24361, BgL_runz00_14195); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24366; int BgL_tmpz00_24364;
BgL_auxz00_24366 = 
BINT(((long)4)); 
BgL_tmpz00_24364 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14200, BgL_tmpz00_24364, BgL_auxz00_24366); } 
BgL_arg3561z00_14198 = BgL_newz00_14200; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14196, BgL_arg3561z00_14198); BgL_arg3561z00_14198; } 
return BgL_mainz00_14196;} } } } } } 

}



/* &main4226 */
obj_t BGl_z62main4226z62zz__evaluate_compz00(obj_t BgL_envz00_11839, obj_t BgL_az00_11844, obj_t BgL_bz00_11845, obj_t BgL_cz00_11846, obj_t BgL_dz00_11847)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11842; long BgL_siza7ezd2framez75_11843;
BgL_runz00_11842 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11839, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11843 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11839, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14201;
BgL_sz00_14201 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14202;
BgL_bpz00_14202 = 
VECTOR_REF(
((obj_t)BgL_sz00_14201),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14201, BgL_bpz00_14202, 
BINT(BgL_siza7ezd2framez75_11843)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3565z00_14203;
BgL_arg3565z00_14203 = 
(
(long)CINT(BgL_bpz00_14202)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14201),BgL_arg3565z00_14203,BgL_az00_11844); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3566z00_14204;
BgL_arg3566z00_14204 = 
(
(long)CINT(BgL_bpz00_14202)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14201),BgL_arg3566z00_14204,BgL_bz00_11845); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3567z00_14205;
BgL_arg3567z00_14205 = 
(
(long)CINT(BgL_bpz00_14202)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14201),BgL_arg3567z00_14205,BgL_cz00_11846); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3568z00_14206;
BgL_arg3568z00_14206 = 
(
(long)CINT(BgL_bpz00_14202)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14201),BgL_arg3568z00_14206,BgL_dz00_11847); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14207;
BgL_ez00_14207 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14208;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14209;
BgL_arg4066z00_14209 = 
BGL_EXITD_PROTECT(BgL_ez00_14207); 
BgL_arg4065z00_14208 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14202, BgL_arg4066z00_14209); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14207, BgL_arg4065z00_14208); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14210;
BgL_accz00_14210 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11842, BgL_sz00_14201, BgL_bpz00_14202); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5080z00_24403;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14211;
BgL_arg4064z00_14211 = 
BGL_EXITD_PROTECT(BgL_ez00_14207); 
BgL_test5080z00_24403 = 
PAIRP(BgL_arg4064z00_14211); } 
if(BgL_test5080z00_24403)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14212;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14213;
BgL_arg4063z00_14213 = 
BGL_EXITD_PROTECT(BgL_ez00_14207); 
BgL_arg4062z00_14212 = 
CDR(
((obj_t)BgL_arg4063z00_14213)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14207, BgL_arg4062z00_14212); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14201),((long)0),BgL_bpz00_14202); 
return BgL_accz00_14210;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14214;
BgL_nsz00_14214 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14214,((long)1),BgL_sz00_14201); 
VECTOR_SET(BgL_nsz00_14214,((long)2),BgL_az00_11844); 
VECTOR_SET(BgL_nsz00_14214,((long)3),BgL_bz00_11845); 
VECTOR_SET(BgL_nsz00_14214,((long)4),BgL_cz00_11846); 
VECTOR_SET(BgL_nsz00_14214,((long)5),BgL_dz00_11847); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14215;
BgL_z12denvz12_14215 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14215, BgL_nsz00_14214); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14216;
BgL_ez00_14216 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14217;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14218;
BgL_arg4066z00_14218 = 
BGL_EXITD_PROTECT(BgL_ez00_14216); 
BgL_arg4065z00_14217 = 
MAKE_YOUNG_PAIR(BgL_sz00_14201, BgL_arg4066z00_14218); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14216, BgL_arg4065z00_14217); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14219;
BgL_____rz00_14219 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11842, BgL_nsz00_14214, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5081z00_24426;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14220;
BgL_arg4064z00_14220 = 
BGL_EXITD_PROTECT(BgL_ez00_14216); 
BgL_test5081z00_24426 = 
PAIRP(BgL_arg4064z00_14220); } 
if(BgL_test5081z00_24426)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14221;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14222;
BgL_arg4063z00_14222 = 
BGL_EXITD_PROTECT(BgL_ez00_14216); 
BgL_arg4062z00_14221 = 
CDR(
((obj_t)BgL_arg4063z00_14222)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14216, BgL_arg4062z00_14221); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14215, BgL_sz00_14201); 
return BgL_____rz00_14219;} } } } } } } } 

}



/* &run4227 */
obj_t BGl_z62run4227z62zz__evaluate_compz00(obj_t BgL_envz00_11848, obj_t BgL_sz00_11851)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11849; obj_t BgL_bodyz00_11850;
BgL_i1252z00_11849 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11848, 
(int)(((long)0)))); 
BgL_bodyz00_11850 = 
PROCEDURE_REF(BgL_envz00_11848, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14223;
BgL_bpz00_14223 = 
VECTOR_REF(
((obj_t)BgL_sz00_11851),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14224; obj_t BgL_wherez00_14225; obj_t BgL_locz00_14226;
BgL_z12denvz12_14224 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14225 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11849))->BgL_wherez00); 
BgL_locz00_14226 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11849))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14224, BgL_wherez00_14225, BgL_locz00_14226); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14227;
BgL_za2za2resza2za2z00_14227 = 
PROCEDURE_ENTRY(BgL_bodyz00_11850)(BgL_bodyz00_11850, BgL_sz00_11851, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14224); 
return BgL_za2za2resza2za2z00_14227;} } } } } } 

}



/* &<@anonymous:3570> */
obj_t BGl_z62zc3z04anonymousza33570ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11852, obj_t BgL_sz00_11857)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11853; BgL_ev_absz00_bglt BgL_i1252z00_11854; obj_t BgL_bodyz00_11855; long BgL_siza7ezd2framez75_11856;
BgL_iboxesz00_11853 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11852, 
(int)(((long)0)))); 
BgL_i1252z00_11854 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11852, 
(int)(((long)1)))); 
BgL_bodyz00_11855 = 
PROCEDURE_REF(BgL_envz00_11852, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11856 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11852, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14228;
BgL_bpz00_14228 = 
VECTOR_REF(
((obj_t)BgL_sz00_11857),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14229;
BgL_runz00_14229 = 
MAKE_FX_PROCEDURE(BGl_z62run4229z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14229, 
(int)(((long)0)), BgL_iboxesz00_11853); 
PROCEDURE_SET(BgL_runz00_14229, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11854)); 
PROCEDURE_SET(BgL_runz00_14229, 
(int)(((long)2)), BgL_bodyz00_11855); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14230;
BgL_mainz00_14230 = 
MAKE_FX_PROCEDURE(BGl_z62main4228z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14230, 
(int)(((long)0)), BgL_iboxesz00_11853); 
PROCEDURE_SET(BgL_mainz00_14230, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11854)); 
PROCEDURE_SET(BgL_mainz00_14230, 
(int)(((long)2)), BgL_bodyz00_11855); 
PROCEDURE_SET(BgL_mainz00_14230, 
(int)(((long)3)), BgL_runz00_14229); 
PROCEDURE_SET(BgL_mainz00_14230, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11856)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14231;
BgL_objz00_14231 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14229, BgL_objz00_14231); BgL_objz00_14231; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3571z00_14232;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3572z00_14233;
BgL_arg3572z00_14233 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11854))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14234;
BgL_newz00_14234 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24492;
BgL_tmpz00_24492 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14234, BgL_tmpz00_24492, BgL_arg3572z00_14233); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24497; int BgL_tmpz00_24495;
BgL_auxz00_24497 = 
BINT(BgL_siza7ezd2framez75_11856); 
BgL_tmpz00_24495 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14234, BgL_tmpz00_24495, BgL_auxz00_24497); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24500;
BgL_tmpz00_24500 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14234, BgL_tmpz00_24500, BgL_runz00_14229); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24505; int BgL_tmpz00_24503;
BgL_auxz00_24505 = 
BINT(((long)4)); 
BgL_tmpz00_24503 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14234, BgL_tmpz00_24503, BgL_auxz00_24505); } 
BgL_arg3571z00_14232 = BgL_newz00_14234; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14230, BgL_arg3571z00_14232); BgL_arg3571z00_14232; } 
return BgL_mainz00_14230;} } } } } } 

}



/* &main4228 */
obj_t BGl_z62main4228z62zz__evaluate_compz00(obj_t BgL_envz00_11858, obj_t BgL_az00_11864, obj_t BgL_bz00_11865, obj_t BgL_cz00_11866, obj_t BgL_dz00_11867)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11862; long BgL_siza7ezd2framez75_11863;
BgL_runz00_11862 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11858, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11863 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11858, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14235;
BgL_sz00_14235 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14236;
BgL_bpz00_14236 = 
VECTOR_REF(
((obj_t)BgL_sz00_14235),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14235, BgL_bpz00_14236, 
BINT(BgL_siza7ezd2framez75_11863)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3575z00_14237;
BgL_arg3575z00_14237 = 
(
(long)CINT(BgL_bpz00_14236)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14235),BgL_arg3575z00_14237,BgL_az00_11864); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3576z00_14238;
BgL_arg3576z00_14238 = 
(
(long)CINT(BgL_bpz00_14236)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14235),BgL_arg3576z00_14238,BgL_bz00_11865); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3577z00_14239;
BgL_arg3577z00_14239 = 
(
(long)CINT(BgL_bpz00_14236)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14235),BgL_arg3577z00_14239,BgL_cz00_11866); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3578z00_14240;
BgL_arg3578z00_14240 = 
(
(long)CINT(BgL_bpz00_14236)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14235),BgL_arg3578z00_14240,BgL_dz00_11867); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14241;
BgL_ez00_14241 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14242;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14243;
BgL_arg4066z00_14243 = 
BGL_EXITD_PROTECT(BgL_ez00_14241); 
BgL_arg4065z00_14242 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14236, BgL_arg4066z00_14243); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14241, BgL_arg4065z00_14242); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14244;
BgL_accz00_14244 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11862, BgL_sz00_14235, BgL_bpz00_14236); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5083z00_24542;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14245;
BgL_arg4064z00_14245 = 
BGL_EXITD_PROTECT(BgL_ez00_14241); 
BgL_test5083z00_24542 = 
PAIRP(BgL_arg4064z00_14245); } 
if(BgL_test5083z00_24542)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14246;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14247;
BgL_arg4063z00_14247 = 
BGL_EXITD_PROTECT(BgL_ez00_14241); 
BgL_arg4062z00_14246 = 
CDR(
((obj_t)BgL_arg4063z00_14247)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14241, BgL_arg4062z00_14246); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14235),((long)0),BgL_bpz00_14236); 
return BgL_accz00_14244;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14248;
BgL_nsz00_14248 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14248,((long)1),BgL_sz00_14235); 
VECTOR_SET(BgL_nsz00_14248,((long)2),BgL_az00_11864); 
VECTOR_SET(BgL_nsz00_14248,((long)3),BgL_bz00_11865); 
VECTOR_SET(BgL_nsz00_14248,((long)4),BgL_cz00_11866); 
VECTOR_SET(BgL_nsz00_14248,((long)5),BgL_dz00_11867); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14249;
BgL_z12denvz12_14249 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14249, BgL_nsz00_14248); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14250;
BgL_ez00_14250 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14251;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14252;
BgL_arg4066z00_14252 = 
BGL_EXITD_PROTECT(BgL_ez00_14250); 
BgL_arg4065z00_14251 = 
MAKE_YOUNG_PAIR(BgL_sz00_14235, BgL_arg4066z00_14252); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14250, BgL_arg4065z00_14251); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14253;
BgL_____rz00_14253 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11862, BgL_nsz00_14248, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5084z00_24565;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14254;
BgL_arg4064z00_14254 = 
BGL_EXITD_PROTECT(BgL_ez00_14250); 
BgL_test5084z00_24565 = 
PAIRP(BgL_arg4064z00_14254); } 
if(BgL_test5084z00_24565)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14255;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14256;
BgL_arg4063z00_14256 = 
BGL_EXITD_PROTECT(BgL_ez00_14250); 
BgL_arg4062z00_14255 = 
CDR(
((obj_t)BgL_arg4063z00_14256)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14250, BgL_arg4062z00_14255); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14249, BgL_sz00_14235); 
return BgL_____rz00_14253;} } } } } } } } 

}



/* &run4229 */
obj_t BGl_z62run4229z62zz__evaluate_compz00(obj_t BgL_envz00_11868, obj_t BgL_sz00_11872)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11869; BgL_ev_absz00_bglt BgL_i1252z00_11870; obj_t BgL_bodyz00_11871;
BgL_iboxesz00_11869 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11868, 
(int)(((long)0)))); 
BgL_i1252z00_11870 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11868, 
(int)(((long)1)))); 
BgL_bodyz00_11871 = 
PROCEDURE_REF(BgL_envz00_11868, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14257;
BgL_bpz00_14257 = 
VECTOR_REF(
((obj_t)BgL_sz00_11872),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11872, BgL_iboxesz00_11869, BgL_bpz00_14257); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14258; obj_t BgL_wherez00_14259; obj_t BgL_locz00_14260;
BgL_z12denvz12_14258 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14259 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11870))->BgL_wherez00); 
BgL_locz00_14260 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11870))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14258, BgL_wherez00_14259, BgL_locz00_14260); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14261;
BgL_za2za2resza2za2z00_14261 = 
PROCEDURE_ENTRY(BgL_bodyz00_11871)(BgL_bodyz00_11871, BgL_sz00_11872, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14258); 
return BgL_za2za2resza2za2z00_14261;} } } } } } 

}



/* &<@anonymous:3583> */
obj_t BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11873, obj_t BgL_sz00_11879)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11874; long BgL_siza7eza7_11875; BgL_ev_absz00_bglt BgL_i1252z00_11876; obj_t BgL_bodyz00_11877; long BgL_siza7ezd2framez75_11878;
BgL_ifreesz00_11874 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)0)))); 
BgL_siza7eza7_11875 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)1)))); 
BgL_i1252z00_11876 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)2)))); 
BgL_bodyz00_11877 = 
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11878 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14262;
BgL_bpz00_14262 = 
VECTOR_REF(
((obj_t)BgL_sz00_11879),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14263;
BgL_valza2za2_14263 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11879, BgL_bpz00_14262, BgL_ifreesz00_11874); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14264;
BgL_runz00_14264 = 
MAKE_FX_PROCEDURE(BGl_z62run4231z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14264, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11875)); 
PROCEDURE_SET(BgL_runz00_14264, 
(int)(((long)1)), BgL_valza2za2_14263); 
PROCEDURE_SET(BgL_runz00_14264, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11876)); 
PROCEDURE_SET(BgL_runz00_14264, 
(int)(((long)3)), BgL_bodyz00_11877); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14265;
BgL_mainz00_14265 = 
MAKE_FX_PROCEDURE(BGl_z62main4230z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14265, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11875)); 
PROCEDURE_SET(BgL_mainz00_14265, 
(int)(((long)1)), BgL_valza2za2_14263); 
PROCEDURE_SET(BgL_mainz00_14265, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11876)); 
PROCEDURE_SET(BgL_mainz00_14265, 
(int)(((long)3)), BgL_bodyz00_11877); 
PROCEDURE_SET(BgL_mainz00_14265, 
(int)(((long)4)), BgL_runz00_14264); 
PROCEDURE_SET(BgL_mainz00_14265, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11878)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14266;
BgL_objz00_14266 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14264, BgL_objz00_14266); BgL_objz00_14266; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3584z00_14267;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3585z00_14268;
BgL_arg3585z00_14268 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11876))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14269;
BgL_newz00_14269 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24645;
BgL_tmpz00_24645 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14269, BgL_tmpz00_24645, BgL_arg3585z00_14268); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24650; int BgL_tmpz00_24648;
BgL_auxz00_24650 = 
BINT(BgL_siza7ezd2framez75_11878); 
BgL_tmpz00_24648 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14269, BgL_tmpz00_24648, BgL_auxz00_24650); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24653;
BgL_tmpz00_24653 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14269, BgL_tmpz00_24653, BgL_runz00_14264); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24658; int BgL_tmpz00_24656;
BgL_auxz00_24658 = 
BINT(((long)4)); 
BgL_tmpz00_24656 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14269, BgL_tmpz00_24656, BgL_auxz00_24658); } 
BgL_arg3584z00_14267 = BgL_newz00_14269; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14265, BgL_arg3584z00_14267); BgL_arg3584z00_14267; } 
return BgL_mainz00_14265;} } } } } } 

}



/* &main4230 */
obj_t BGl_z62main4230z62zz__evaluate_compz00(obj_t BgL_envz00_11880, obj_t BgL_az00_11887, obj_t BgL_bz00_11888, obj_t BgL_cz00_11889, obj_t BgL_dz00_11890)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11885; long BgL_siza7ezd2framez75_11886;
BgL_runz00_11885 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11880, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11886 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11880, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14270;
BgL_sz00_14270 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14271;
BgL_bpz00_14271 = 
VECTOR_REF(
((obj_t)BgL_sz00_14270),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14270, BgL_bpz00_14271, 
BINT(BgL_siza7ezd2framez75_11886)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3588z00_14272;
BgL_arg3588z00_14272 = 
(
(long)CINT(BgL_bpz00_14271)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14270),BgL_arg3588z00_14272,BgL_az00_11887); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3589z00_14273;
BgL_arg3589z00_14273 = 
(
(long)CINT(BgL_bpz00_14271)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14270),BgL_arg3589z00_14273,BgL_bz00_11888); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3590z00_14274;
BgL_arg3590z00_14274 = 
(
(long)CINT(BgL_bpz00_14271)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14270),BgL_arg3590z00_14274,BgL_cz00_11889); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3591z00_14275;
BgL_arg3591z00_14275 = 
(
(long)CINT(BgL_bpz00_14271)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14270),BgL_arg3591z00_14275,BgL_dz00_11890); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14276;
BgL_ez00_14276 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14277;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14278;
BgL_arg4066z00_14278 = 
BGL_EXITD_PROTECT(BgL_ez00_14276); 
BgL_arg4065z00_14277 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14271, BgL_arg4066z00_14278); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14276, BgL_arg4065z00_14277); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14279;
BgL_accz00_14279 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11885, BgL_sz00_14270, BgL_bpz00_14271); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5086z00_24695;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14280;
BgL_arg4064z00_14280 = 
BGL_EXITD_PROTECT(BgL_ez00_14276); 
BgL_test5086z00_24695 = 
PAIRP(BgL_arg4064z00_14280); } 
if(BgL_test5086z00_24695)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14281;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14282;
BgL_arg4063z00_14282 = 
BGL_EXITD_PROTECT(BgL_ez00_14276); 
BgL_arg4062z00_14281 = 
CDR(
((obj_t)BgL_arg4063z00_14282)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14276, BgL_arg4062z00_14281); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14270),((long)0),BgL_bpz00_14271); 
return BgL_accz00_14279;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14283;
BgL_nsz00_14283 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14283,((long)1),BgL_sz00_14270); 
VECTOR_SET(BgL_nsz00_14283,((long)2),BgL_az00_11887); 
VECTOR_SET(BgL_nsz00_14283,((long)3),BgL_bz00_11888); 
VECTOR_SET(BgL_nsz00_14283,((long)4),BgL_cz00_11889); 
VECTOR_SET(BgL_nsz00_14283,((long)5),BgL_dz00_11890); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14284;
BgL_z12denvz12_14284 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14284, BgL_nsz00_14283); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14285;
BgL_ez00_14285 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14286;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14287;
BgL_arg4066z00_14287 = 
BGL_EXITD_PROTECT(BgL_ez00_14285); 
BgL_arg4065z00_14286 = 
MAKE_YOUNG_PAIR(BgL_sz00_14270, BgL_arg4066z00_14287); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14285, BgL_arg4065z00_14286); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14288;
BgL_____rz00_14288 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11885, BgL_nsz00_14283, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5087z00_24718;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14289;
BgL_arg4064z00_14289 = 
BGL_EXITD_PROTECT(BgL_ez00_14285); 
BgL_test5087z00_24718 = 
PAIRP(BgL_arg4064z00_14289); } 
if(BgL_test5087z00_24718)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14290;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14291;
BgL_arg4063z00_14291 = 
BGL_EXITD_PROTECT(BgL_ez00_14285); 
BgL_arg4062z00_14290 = 
CDR(
((obj_t)BgL_arg4063z00_14291)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14285, BgL_arg4062z00_14290); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14284, BgL_sz00_14270); 
return BgL_____rz00_14288;} } } } } } } } 

}



/* &run4231 */
obj_t BGl_z62run4231z62zz__evaluate_compz00(obj_t BgL_envz00_11891, obj_t BgL_sz00_11896)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_11892; obj_t BgL_valza2za2_11893; BgL_ev_absz00_bglt BgL_i1252z00_11894; obj_t BgL_bodyz00_11895;
BgL_siza7eza7_11892 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11891, 
(int)(((long)0)))); 
BgL_valza2za2_11893 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11891, 
(int)(((long)1)))); 
BgL_i1252z00_11894 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11891, 
(int)(((long)2)))); 
BgL_bodyz00_11895 = 
PROCEDURE_REF(BgL_envz00_11891, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14292;
BgL_bpz00_14292 = 
VECTOR_REF(
((obj_t)BgL_sz00_11896),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11896, BgL_valza2za2_11893, 
(
(long)CINT(BgL_bpz00_14292)+BgL_siza7eza7_11892)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14293; obj_t BgL_wherez00_14294; obj_t BgL_locz00_14295;
BgL_z12denvz12_14293 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14294 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11894))->BgL_wherez00); 
BgL_locz00_14295 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11894))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14293, BgL_wherez00_14294, BgL_locz00_14295); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14296;
BgL_za2za2resza2za2z00_14296 = 
PROCEDURE_ENTRY(BgL_bodyz00_11895)(BgL_bodyz00_11895, BgL_sz00_11896, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14293); 
return BgL_za2za2resza2za2z00_14296;} } } } } } 

}



/* &<@anonymous:3594> */
obj_t BGl_z62zc3z04anonymousza33594ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11897, obj_t BgL_sz00_11904)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11898; obj_t BgL_iboxesz00_11899; long BgL_siza7eza7_11900; BgL_ev_absz00_bglt BgL_i1252z00_11901; obj_t BgL_bodyz00_11902; long BgL_siza7ezd2framez75_11903;
BgL_ifreesz00_11898 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)0)))); 
BgL_iboxesz00_11899 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)1)))); 
BgL_siza7eza7_11900 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)2)))); 
BgL_i1252z00_11901 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)3)))); 
BgL_bodyz00_11902 = 
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11903 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14297;
BgL_bpz00_14297 = 
VECTOR_REF(
((obj_t)BgL_sz00_11904),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14298;
BgL_valza2za2_14298 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11904, BgL_bpz00_14297, BgL_ifreesz00_11898); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14299;
BgL_runz00_14299 = 
MAKE_FX_PROCEDURE(BGl_z62run4233z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14299, 
(int)(((long)0)), BgL_iboxesz00_11899); 
PROCEDURE_SET(BgL_runz00_14299, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11900)); 
PROCEDURE_SET(BgL_runz00_14299, 
(int)(((long)2)), BgL_valza2za2_14298); 
PROCEDURE_SET(BgL_runz00_14299, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11901)); 
PROCEDURE_SET(BgL_runz00_14299, 
(int)(((long)4)), BgL_bodyz00_11902); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14300;
BgL_mainz00_14300 = 
MAKE_FX_PROCEDURE(BGl_z62main4232z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14300, 
(int)(((long)0)), BgL_iboxesz00_11899); 
PROCEDURE_SET(BgL_mainz00_14300, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11900)); 
PROCEDURE_SET(BgL_mainz00_14300, 
(int)(((long)2)), BgL_valza2za2_14298); 
PROCEDURE_SET(BgL_mainz00_14300, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11901)); 
PROCEDURE_SET(BgL_mainz00_14300, 
(int)(((long)4)), BgL_bodyz00_11902); 
PROCEDURE_SET(BgL_mainz00_14300, 
(int)(((long)5)), BgL_runz00_14299); 
PROCEDURE_SET(BgL_mainz00_14300, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11903)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14301;
BgL_objz00_14301 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14299, BgL_objz00_14301); BgL_objz00_14301; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3595z00_14302;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3596z00_14303;
BgL_arg3596z00_14303 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11901))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14304;
BgL_newz00_14304 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24810;
BgL_tmpz00_24810 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14304, BgL_tmpz00_24810, BgL_arg3596z00_14303); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24815; int BgL_tmpz00_24813;
BgL_auxz00_24815 = 
BINT(BgL_siza7ezd2framez75_11903); 
BgL_tmpz00_24813 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14304, BgL_tmpz00_24813, BgL_auxz00_24815); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24818;
BgL_tmpz00_24818 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14304, BgL_tmpz00_24818, BgL_runz00_14299); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24823; int BgL_tmpz00_24821;
BgL_auxz00_24823 = 
BINT(((long)4)); 
BgL_tmpz00_24821 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14304, BgL_tmpz00_24821, BgL_auxz00_24823); } 
BgL_arg3595z00_14302 = BgL_newz00_14304; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14300, BgL_arg3595z00_14302); BgL_arg3595z00_14302; } 
return BgL_mainz00_14300;} } } } } } 

}



/* &main4232 */
obj_t BGl_z62main4232z62zz__evaluate_compz00(obj_t BgL_envz00_11905, obj_t BgL_az00_11913, obj_t BgL_bz00_11914, obj_t BgL_cz00_11915, obj_t BgL_dz00_11916)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11911; long BgL_siza7ezd2framez75_11912;
BgL_runz00_11911 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11905, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11912 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11905, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14305;
BgL_sz00_14305 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14306;
BgL_bpz00_14306 = 
VECTOR_REF(
((obj_t)BgL_sz00_14305),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14305, BgL_bpz00_14306, 
BINT(BgL_siza7ezd2framez75_11912)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3599z00_14307;
BgL_arg3599z00_14307 = 
(
(long)CINT(BgL_bpz00_14306)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14305),BgL_arg3599z00_14307,BgL_az00_11913); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3600z00_14308;
BgL_arg3600z00_14308 = 
(
(long)CINT(BgL_bpz00_14306)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14305),BgL_arg3600z00_14308,BgL_bz00_11914); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3601z00_14309;
BgL_arg3601z00_14309 = 
(
(long)CINT(BgL_bpz00_14306)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14305),BgL_arg3601z00_14309,BgL_cz00_11915); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3602z00_14310;
BgL_arg3602z00_14310 = 
(
(long)CINT(BgL_bpz00_14306)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14305),BgL_arg3602z00_14310,BgL_dz00_11916); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14311;
BgL_ez00_14311 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14312;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14313;
BgL_arg4066z00_14313 = 
BGL_EXITD_PROTECT(BgL_ez00_14311); 
BgL_arg4065z00_14312 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14306, BgL_arg4066z00_14313); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14311, BgL_arg4065z00_14312); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14314;
BgL_accz00_14314 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11911, BgL_sz00_14305, BgL_bpz00_14306); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5089z00_24860;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14315;
BgL_arg4064z00_14315 = 
BGL_EXITD_PROTECT(BgL_ez00_14311); 
BgL_test5089z00_24860 = 
PAIRP(BgL_arg4064z00_14315); } 
if(BgL_test5089z00_24860)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14316;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14317;
BgL_arg4063z00_14317 = 
BGL_EXITD_PROTECT(BgL_ez00_14311); 
BgL_arg4062z00_14316 = 
CDR(
((obj_t)BgL_arg4063z00_14317)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14311, BgL_arg4062z00_14316); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14305),((long)0),BgL_bpz00_14306); 
return BgL_accz00_14314;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14318;
BgL_nsz00_14318 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14318,((long)1),BgL_sz00_14305); 
VECTOR_SET(BgL_nsz00_14318,((long)2),BgL_az00_11913); 
VECTOR_SET(BgL_nsz00_14318,((long)3),BgL_bz00_11914); 
VECTOR_SET(BgL_nsz00_14318,((long)4),BgL_cz00_11915); 
VECTOR_SET(BgL_nsz00_14318,((long)5),BgL_dz00_11916); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14319;
BgL_z12denvz12_14319 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14319, BgL_nsz00_14318); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14320;
BgL_ez00_14320 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14321;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14322;
BgL_arg4066z00_14322 = 
BGL_EXITD_PROTECT(BgL_ez00_14320); 
BgL_arg4065z00_14321 = 
MAKE_YOUNG_PAIR(BgL_sz00_14305, BgL_arg4066z00_14322); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14320, BgL_arg4065z00_14321); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14323;
BgL_____rz00_14323 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11911, BgL_nsz00_14318, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5090z00_24883;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14324;
BgL_arg4064z00_14324 = 
BGL_EXITD_PROTECT(BgL_ez00_14320); 
BgL_test5090z00_24883 = 
PAIRP(BgL_arg4064z00_14324); } 
if(BgL_test5090z00_24883)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14325;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14326;
BgL_arg4063z00_14326 = 
BGL_EXITD_PROTECT(BgL_ez00_14320); 
BgL_arg4062z00_14325 = 
CDR(
((obj_t)BgL_arg4063z00_14326)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14320, BgL_arg4062z00_14325); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14319, BgL_sz00_14305); 
return BgL_____rz00_14323;} } } } } } } } 

}



/* &run4233 */
obj_t BGl_z62run4233z62zz__evaluate_compz00(obj_t BgL_envz00_11917, obj_t BgL_sz00_11923)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11918; long BgL_siza7eza7_11919; obj_t BgL_valza2za2_11920; BgL_ev_absz00_bglt BgL_i1252z00_11921; obj_t BgL_bodyz00_11922;
BgL_iboxesz00_11918 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11917, 
(int)(((long)0)))); 
BgL_siza7eza7_11919 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11917, 
(int)(((long)1)))); 
BgL_valza2za2_11920 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11917, 
(int)(((long)2)))); 
BgL_i1252z00_11921 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11917, 
(int)(((long)3)))); 
BgL_bodyz00_11922 = 
PROCEDURE_REF(BgL_envz00_11917, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14327;
BgL_bpz00_14327 = 
VECTOR_REF(
((obj_t)BgL_sz00_11923),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11923, BgL_iboxesz00_11918, BgL_bpz00_14327); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11923, BgL_valza2za2_11920, 
(
(long)CINT(BgL_bpz00_14327)+BgL_siza7eza7_11919)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14328; obj_t BgL_wherez00_14329; obj_t BgL_locz00_14330;
BgL_z12denvz12_14328 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14329 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11921))->BgL_wherez00); 
BgL_locz00_14330 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11921))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14328, BgL_wherez00_14329, BgL_locz00_14330); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14331;
BgL_za2za2resza2za2z00_14331 = 
PROCEDURE_ENTRY(BgL_bodyz00_11922)(BgL_bodyz00_11922, BgL_sz00_11923, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14328); 
return BgL_za2za2resza2za2z00_14331;} } } } } } 

}



/* &<@anonymous:3509> */
obj_t BGl_z62zc3z04anonymousza33509ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11924, obj_t BgL_sz00_11928)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11925; obj_t BgL_bodyz00_11926; long BgL_siza7ezd2framez75_11927;
BgL_i1252z00_11925 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)0)))); 
BgL_bodyz00_11926 = 
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11927 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14332;
BgL_bpz00_14332 = 
VECTOR_REF(
((obj_t)BgL_sz00_11928),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14333;
BgL_runz00_14333 = 
MAKE_FX_PROCEDURE(BGl_z62run4235z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14333, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11925)); 
PROCEDURE_SET(BgL_runz00_14333, 
(int)(((long)1)), BgL_bodyz00_11926); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14334;
BgL_mainz00_14334 = 
MAKE_VA_PROCEDURE(BGl_z62main4234z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14334, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11925)); 
PROCEDURE_SET(BgL_mainz00_14334, 
(int)(((long)1)), BgL_bodyz00_11926); 
PROCEDURE_SET(BgL_mainz00_14334, 
(int)(((long)2)), BgL_runz00_14333); 
PROCEDURE_SET(BgL_mainz00_14334, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11927)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14335;
BgL_objz00_14335 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14333, BgL_objz00_14335); BgL_objz00_14335; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3510z00_14336;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3511z00_14337;
BgL_arg3511z00_14337 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11925))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14338;
BgL_newz00_14338 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24955;
BgL_tmpz00_24955 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14338, BgL_tmpz00_24955, BgL_arg3511z00_14337); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24960; int BgL_tmpz00_24958;
BgL_auxz00_24960 = 
BINT(BgL_siza7ezd2framez75_11927); 
BgL_tmpz00_24958 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14338, BgL_tmpz00_24958, BgL_auxz00_24960); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24963;
BgL_tmpz00_24963 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14338, BgL_tmpz00_24963, BgL_runz00_14333); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24968; int BgL_tmpz00_24966;
BgL_auxz00_24968 = 
BINT(((long)-4)); 
BgL_tmpz00_24966 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14338, BgL_tmpz00_24966, BgL_auxz00_24968); } 
BgL_arg3510z00_14336 = BgL_newz00_14338; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14334, BgL_arg3510z00_14336); BgL_arg3510z00_14336; } 
return BgL_mainz00_14334;} } } } } } 

}



/* &main4234 */
obj_t BGl_z62main4234z62zz__evaluate_compz00(obj_t BgL_envz00_11929, obj_t BgL_bz00_11934, obj_t BgL_cz00_11935, obj_t BgL_dz00_11936, obj_t BgL_lastz00_11937)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11932; long BgL_siza7ezd2framez75_11933;
BgL_runz00_11932 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11929, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11933 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11929, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14339;
BgL_sz00_14339 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14340;
BgL_bpz00_14340 = 
VECTOR_REF(
((obj_t)BgL_sz00_14339),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14339, BgL_bpz00_14340, 
BINT(BgL_siza7ezd2framez75_11933)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3514z00_14341;
BgL_arg3514z00_14341 = 
(
(long)CINT(BgL_bpz00_14340)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14339),BgL_arg3514z00_14341,BgL_bz00_11934); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3515z00_14342;
BgL_arg3515z00_14342 = 
(
(long)CINT(BgL_bpz00_14340)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14339),BgL_arg3515z00_14342,BgL_cz00_11935); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3516z00_14343;
BgL_arg3516z00_14343 = 
(
(long)CINT(BgL_bpz00_14340)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14339),BgL_arg3516z00_14343,BgL_dz00_11936); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3517z00_14344;
BgL_arg3517z00_14344 = 
(
(long)CINT(BgL_bpz00_14340)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14339),BgL_arg3517z00_14344,BgL_lastz00_11937); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14345;
BgL_ez00_14345 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14346;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14347;
BgL_arg4066z00_14347 = 
BGL_EXITD_PROTECT(BgL_ez00_14345); 
BgL_arg4065z00_14346 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14340, BgL_arg4066z00_14347); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14345, BgL_arg4065z00_14346); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14348;
BgL_accz00_14348 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11932, BgL_sz00_14339, BgL_bpz00_14340); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5092z00_25005;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14349;
BgL_arg4064z00_14349 = 
BGL_EXITD_PROTECT(BgL_ez00_14345); 
BgL_test5092z00_25005 = 
PAIRP(BgL_arg4064z00_14349); } 
if(BgL_test5092z00_25005)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14350;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14351;
BgL_arg4063z00_14351 = 
BGL_EXITD_PROTECT(BgL_ez00_14345); 
BgL_arg4062z00_14350 = 
CDR(
((obj_t)BgL_arg4063z00_14351)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14345, BgL_arg4062z00_14350); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14339),((long)0),BgL_bpz00_14340); 
return BgL_accz00_14348;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14352;
BgL_nsz00_14352 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14352,((long)1),BgL_sz00_14339); 
VECTOR_SET(BgL_nsz00_14352,((long)2),BgL_bz00_11934); 
VECTOR_SET(BgL_nsz00_14352,((long)3),BgL_cz00_11935); 
VECTOR_SET(BgL_nsz00_14352,((long)4),BgL_dz00_11936); 
VECTOR_SET(BgL_nsz00_14352,((long)5),BgL_lastz00_11937); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14353;
BgL_z12denvz12_14353 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14353, BgL_nsz00_14352); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14354;
BgL_ez00_14354 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14355;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14356;
BgL_arg4066z00_14356 = 
BGL_EXITD_PROTECT(BgL_ez00_14354); 
BgL_arg4065z00_14355 = 
MAKE_YOUNG_PAIR(BgL_sz00_14339, BgL_arg4066z00_14356); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14354, BgL_arg4065z00_14355); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14357;
BgL_____rz00_14357 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11932, BgL_nsz00_14352, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5093z00_25028;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14358;
BgL_arg4064z00_14358 = 
BGL_EXITD_PROTECT(BgL_ez00_14354); 
BgL_test5093z00_25028 = 
PAIRP(BgL_arg4064z00_14358); } 
if(BgL_test5093z00_25028)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14359;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14360;
BgL_arg4063z00_14360 = 
BGL_EXITD_PROTECT(BgL_ez00_14354); 
BgL_arg4062z00_14359 = 
CDR(
((obj_t)BgL_arg4063z00_14360)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14354, BgL_arg4062z00_14359); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14353, BgL_sz00_14339); 
return BgL_____rz00_14357;} } } } } } } } 

}



/* &run4235 */
obj_t BGl_z62run4235z62zz__evaluate_compz00(obj_t BgL_envz00_11938, obj_t BgL_sz00_11941)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11939; obj_t BgL_bodyz00_11940;
BgL_i1252z00_11939 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)0)))); 
BgL_bodyz00_11940 = 
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14361;
BgL_bpz00_14361 = 
VECTOR_REF(
((obj_t)BgL_sz00_11941),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14362; obj_t BgL_wherez00_14363; obj_t BgL_locz00_14364;
BgL_z12denvz12_14362 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14363 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11939))->BgL_wherez00); 
BgL_locz00_14364 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11939))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14362, BgL_wherez00_14363, BgL_locz00_14364); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14365;
BgL_za2za2resza2za2z00_14365 = 
PROCEDURE_ENTRY(BgL_bodyz00_11940)(BgL_bodyz00_11940, BgL_sz00_11941, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14362); 
return BgL_za2za2resza2za2z00_14365;} } } } } } 

}



/* &<@anonymous:3519> */
obj_t BGl_z62zc3z04anonymousza33519ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11942, obj_t BgL_sz00_11947)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11943; BgL_ev_absz00_bglt BgL_i1252z00_11944; obj_t BgL_bodyz00_11945; long BgL_siza7ezd2framez75_11946;
BgL_iboxesz00_11943 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11942, 
(int)(((long)0)))); 
BgL_i1252z00_11944 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11942, 
(int)(((long)1)))); 
BgL_bodyz00_11945 = 
PROCEDURE_REF(BgL_envz00_11942, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11946 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11942, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14366;
BgL_bpz00_14366 = 
VECTOR_REF(
((obj_t)BgL_sz00_11947),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14367;
BgL_runz00_14367 = 
MAKE_FX_PROCEDURE(BGl_z62run4237z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14367, 
(int)(((long)0)), BgL_iboxesz00_11943); 
PROCEDURE_SET(BgL_runz00_14367, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11944)); 
PROCEDURE_SET(BgL_runz00_14367, 
(int)(((long)2)), BgL_bodyz00_11945); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14368;
BgL_mainz00_14368 = 
MAKE_VA_PROCEDURE(BGl_z62main4236z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14368, 
(int)(((long)0)), BgL_iboxesz00_11943); 
PROCEDURE_SET(BgL_mainz00_14368, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11944)); 
PROCEDURE_SET(BgL_mainz00_14368, 
(int)(((long)2)), BgL_bodyz00_11945); 
PROCEDURE_SET(BgL_mainz00_14368, 
(int)(((long)3)), BgL_runz00_14367); 
PROCEDURE_SET(BgL_mainz00_14368, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11946)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14369;
BgL_objz00_14369 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14367, BgL_objz00_14369); BgL_objz00_14369; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3520z00_14370;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3521z00_14371;
BgL_arg3521z00_14371 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11944))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14372;
BgL_newz00_14372 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25094;
BgL_tmpz00_25094 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14372, BgL_tmpz00_25094, BgL_arg3521z00_14371); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25099; int BgL_tmpz00_25097;
BgL_auxz00_25099 = 
BINT(BgL_siza7ezd2framez75_11946); 
BgL_tmpz00_25097 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14372, BgL_tmpz00_25097, BgL_auxz00_25099); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25102;
BgL_tmpz00_25102 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14372, BgL_tmpz00_25102, BgL_runz00_14367); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25107; int BgL_tmpz00_25105;
BgL_auxz00_25107 = 
BINT(((long)-4)); 
BgL_tmpz00_25105 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14372, BgL_tmpz00_25105, BgL_auxz00_25107); } 
BgL_arg3520z00_14370 = BgL_newz00_14372; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14368, BgL_arg3520z00_14370); BgL_arg3520z00_14370; } 
return BgL_mainz00_14368;} } } } } } 

}



/* &main4236 */
obj_t BGl_z62main4236z62zz__evaluate_compz00(obj_t BgL_envz00_11948, obj_t BgL_bz00_11954, obj_t BgL_cz00_11955, obj_t BgL_dz00_11956, obj_t BgL_lastz00_11957)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11952; long BgL_siza7ezd2framez75_11953;
BgL_runz00_11952 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11948, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11953 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11948, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14373;
BgL_sz00_14373 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14374;
BgL_bpz00_14374 = 
VECTOR_REF(
((obj_t)BgL_sz00_14373),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14373, BgL_bpz00_14374, 
BINT(BgL_siza7ezd2framez75_11953)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3524z00_14375;
BgL_arg3524z00_14375 = 
(
(long)CINT(BgL_bpz00_14374)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14373),BgL_arg3524z00_14375,BgL_bz00_11954); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3525z00_14376;
BgL_arg3525z00_14376 = 
(
(long)CINT(BgL_bpz00_14374)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14373),BgL_arg3525z00_14376,BgL_cz00_11955); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3526z00_14377;
BgL_arg3526z00_14377 = 
(
(long)CINT(BgL_bpz00_14374)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14373),BgL_arg3526z00_14377,BgL_dz00_11956); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3527z00_14378;
BgL_arg3527z00_14378 = 
(
(long)CINT(BgL_bpz00_14374)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14373),BgL_arg3527z00_14378,BgL_lastz00_11957); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14379;
BgL_ez00_14379 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14380;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14381;
BgL_arg4066z00_14381 = 
BGL_EXITD_PROTECT(BgL_ez00_14379); 
BgL_arg4065z00_14380 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14374, BgL_arg4066z00_14381); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14379, BgL_arg4065z00_14380); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14382;
BgL_accz00_14382 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11952, BgL_sz00_14373, BgL_bpz00_14374); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5095z00_25144;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14383;
BgL_arg4064z00_14383 = 
BGL_EXITD_PROTECT(BgL_ez00_14379); 
BgL_test5095z00_25144 = 
PAIRP(BgL_arg4064z00_14383); } 
if(BgL_test5095z00_25144)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14384;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14385;
BgL_arg4063z00_14385 = 
BGL_EXITD_PROTECT(BgL_ez00_14379); 
BgL_arg4062z00_14384 = 
CDR(
((obj_t)BgL_arg4063z00_14385)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14379, BgL_arg4062z00_14384); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14373),((long)0),BgL_bpz00_14374); 
return BgL_accz00_14382;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14386;
BgL_nsz00_14386 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14386,((long)1),BgL_sz00_14373); 
VECTOR_SET(BgL_nsz00_14386,((long)2),BgL_bz00_11954); 
VECTOR_SET(BgL_nsz00_14386,((long)3),BgL_cz00_11955); 
VECTOR_SET(BgL_nsz00_14386,((long)4),BgL_dz00_11956); 
VECTOR_SET(BgL_nsz00_14386,((long)5),BgL_lastz00_11957); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14387;
BgL_z12denvz12_14387 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14387, BgL_nsz00_14386); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14388;
BgL_ez00_14388 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14389;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14390;
BgL_arg4066z00_14390 = 
BGL_EXITD_PROTECT(BgL_ez00_14388); 
BgL_arg4065z00_14389 = 
MAKE_YOUNG_PAIR(BgL_sz00_14373, BgL_arg4066z00_14390); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14388, BgL_arg4065z00_14389); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14391;
BgL_____rz00_14391 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11952, BgL_nsz00_14386, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5096z00_25167;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14392;
BgL_arg4064z00_14392 = 
BGL_EXITD_PROTECT(BgL_ez00_14388); 
BgL_test5096z00_25167 = 
PAIRP(BgL_arg4064z00_14392); } 
if(BgL_test5096z00_25167)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14393;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14394;
BgL_arg4063z00_14394 = 
BGL_EXITD_PROTECT(BgL_ez00_14388); 
BgL_arg4062z00_14393 = 
CDR(
((obj_t)BgL_arg4063z00_14394)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14388, BgL_arg4062z00_14393); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14387, BgL_sz00_14373); 
return BgL_____rz00_14391;} } } } } } } } 

}



/* &run4237 */
obj_t BGl_z62run4237z62zz__evaluate_compz00(obj_t BgL_envz00_11958, obj_t BgL_sz00_11962)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11959; BgL_ev_absz00_bglt BgL_i1252z00_11960; obj_t BgL_bodyz00_11961;
BgL_iboxesz00_11959 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11958, 
(int)(((long)0)))); 
BgL_i1252z00_11960 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11958, 
(int)(((long)1)))); 
BgL_bodyz00_11961 = 
PROCEDURE_REF(BgL_envz00_11958, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14395;
BgL_bpz00_14395 = 
VECTOR_REF(
((obj_t)BgL_sz00_11962),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11962, BgL_iboxesz00_11959, BgL_bpz00_14395); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14396; obj_t BgL_wherez00_14397; obj_t BgL_locz00_14398;
BgL_z12denvz12_14396 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14397 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11960))->BgL_wherez00); 
BgL_locz00_14398 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11960))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14396, BgL_wherez00_14397, BgL_locz00_14398); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14399;
BgL_za2za2resza2za2z00_14399 = 
PROCEDURE_ENTRY(BgL_bodyz00_11961)(BgL_bodyz00_11961, BgL_sz00_11962, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14396); 
return BgL_za2za2resza2za2z00_14399;} } } } } } 

}



/* &<@anonymous:3532> */
obj_t BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11963, obj_t BgL_sz00_11969)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11964; long BgL_siza7eza7_11965; BgL_ev_absz00_bglt BgL_i1252z00_11966; obj_t BgL_bodyz00_11967; long BgL_siza7ezd2framez75_11968;
BgL_ifreesz00_11964 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)0)))); 
BgL_siza7eza7_11965 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)1)))); 
BgL_i1252z00_11966 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)2)))); 
BgL_bodyz00_11967 = 
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11968 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14400;
BgL_bpz00_14400 = 
VECTOR_REF(
((obj_t)BgL_sz00_11969),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14401;
BgL_valza2za2_14401 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11969, BgL_bpz00_14400, BgL_ifreesz00_11964); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14402;
BgL_runz00_14402 = 
MAKE_FX_PROCEDURE(BGl_z62run4239z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14402, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11965)); 
PROCEDURE_SET(BgL_runz00_14402, 
(int)(((long)1)), BgL_valza2za2_14401); 
PROCEDURE_SET(BgL_runz00_14402, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11966)); 
PROCEDURE_SET(BgL_runz00_14402, 
(int)(((long)3)), BgL_bodyz00_11967); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14403;
BgL_mainz00_14403 = 
MAKE_VA_PROCEDURE(BGl_z62main4238z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14403, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11965)); 
PROCEDURE_SET(BgL_mainz00_14403, 
(int)(((long)1)), BgL_valza2za2_14401); 
PROCEDURE_SET(BgL_mainz00_14403, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11966)); 
PROCEDURE_SET(BgL_mainz00_14403, 
(int)(((long)3)), BgL_bodyz00_11967); 
PROCEDURE_SET(BgL_mainz00_14403, 
(int)(((long)4)), BgL_runz00_14402); 
PROCEDURE_SET(BgL_mainz00_14403, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11968)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14404;
BgL_objz00_14404 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14402, BgL_objz00_14404); BgL_objz00_14404; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3533z00_14405;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3534z00_14406;
BgL_arg3534z00_14406 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11966))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14407;
BgL_newz00_14407 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25247;
BgL_tmpz00_25247 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14407, BgL_tmpz00_25247, BgL_arg3534z00_14406); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25252; int BgL_tmpz00_25250;
BgL_auxz00_25252 = 
BINT(BgL_siza7ezd2framez75_11968); 
BgL_tmpz00_25250 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14407, BgL_tmpz00_25250, BgL_auxz00_25252); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25255;
BgL_tmpz00_25255 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14407, BgL_tmpz00_25255, BgL_runz00_14402); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25260; int BgL_tmpz00_25258;
BgL_auxz00_25260 = 
BINT(((long)-4)); 
BgL_tmpz00_25258 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14407, BgL_tmpz00_25258, BgL_auxz00_25260); } 
BgL_arg3533z00_14405 = BgL_newz00_14407; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14403, BgL_arg3533z00_14405); BgL_arg3533z00_14405; } 
return BgL_mainz00_14403;} } } } } } 

}



/* &main4238 */
obj_t BGl_z62main4238z62zz__evaluate_compz00(obj_t BgL_envz00_11970, obj_t BgL_bz00_11977, obj_t BgL_cz00_11978, obj_t BgL_dz00_11979, obj_t BgL_lastz00_11980)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11975; long BgL_siza7ezd2framez75_11976;
BgL_runz00_11975 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11970, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11976 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11970, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14408;
BgL_sz00_14408 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14409;
BgL_bpz00_14409 = 
VECTOR_REF(
((obj_t)BgL_sz00_14408),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14408, BgL_bpz00_14409, 
BINT(BgL_siza7ezd2framez75_11976)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3537z00_14410;
BgL_arg3537z00_14410 = 
(
(long)CINT(BgL_bpz00_14409)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14408),BgL_arg3537z00_14410,BgL_bz00_11977); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3538z00_14411;
BgL_arg3538z00_14411 = 
(
(long)CINT(BgL_bpz00_14409)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14408),BgL_arg3538z00_14411,BgL_cz00_11978); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3539z00_14412;
BgL_arg3539z00_14412 = 
(
(long)CINT(BgL_bpz00_14409)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14408),BgL_arg3539z00_14412,BgL_dz00_11979); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3540z00_14413;
BgL_arg3540z00_14413 = 
(
(long)CINT(BgL_bpz00_14409)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14408),BgL_arg3540z00_14413,BgL_lastz00_11980); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14414;
BgL_ez00_14414 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14415;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14416;
BgL_arg4066z00_14416 = 
BGL_EXITD_PROTECT(BgL_ez00_14414); 
BgL_arg4065z00_14415 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14409, BgL_arg4066z00_14416); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14414, BgL_arg4065z00_14415); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14417;
BgL_accz00_14417 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11975, BgL_sz00_14408, BgL_bpz00_14409); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5098z00_25297;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14418;
BgL_arg4064z00_14418 = 
BGL_EXITD_PROTECT(BgL_ez00_14414); 
BgL_test5098z00_25297 = 
PAIRP(BgL_arg4064z00_14418); } 
if(BgL_test5098z00_25297)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14419;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14420;
BgL_arg4063z00_14420 = 
BGL_EXITD_PROTECT(BgL_ez00_14414); 
BgL_arg4062z00_14419 = 
CDR(
((obj_t)BgL_arg4063z00_14420)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14414, BgL_arg4062z00_14419); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14408),((long)0),BgL_bpz00_14409); 
return BgL_accz00_14417;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14421;
BgL_nsz00_14421 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14421,((long)1),BgL_sz00_14408); 
VECTOR_SET(BgL_nsz00_14421,((long)2),BgL_bz00_11977); 
VECTOR_SET(BgL_nsz00_14421,((long)3),BgL_cz00_11978); 
VECTOR_SET(BgL_nsz00_14421,((long)4),BgL_dz00_11979); 
VECTOR_SET(BgL_nsz00_14421,((long)5),BgL_lastz00_11980); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14422;
BgL_z12denvz12_14422 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14422, BgL_nsz00_14421); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14423;
BgL_ez00_14423 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14424;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14425;
BgL_arg4066z00_14425 = 
BGL_EXITD_PROTECT(BgL_ez00_14423); 
BgL_arg4065z00_14424 = 
MAKE_YOUNG_PAIR(BgL_sz00_14408, BgL_arg4066z00_14425); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14423, BgL_arg4065z00_14424); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14426;
BgL_____rz00_14426 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11975, BgL_nsz00_14421, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5099z00_25320;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14427;
BgL_arg4064z00_14427 = 
BGL_EXITD_PROTECT(BgL_ez00_14423); 
BgL_test5099z00_25320 = 
PAIRP(BgL_arg4064z00_14427); } 
if(BgL_test5099z00_25320)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14428;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14429;
BgL_arg4063z00_14429 = 
BGL_EXITD_PROTECT(BgL_ez00_14423); 
BgL_arg4062z00_14428 = 
CDR(
((obj_t)BgL_arg4063z00_14429)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14423, BgL_arg4062z00_14428); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14422, BgL_sz00_14408); 
return BgL_____rz00_14426;} } } } } } } } 

}



/* &run4239 */
obj_t BGl_z62run4239z62zz__evaluate_compz00(obj_t BgL_envz00_11981, obj_t BgL_sz00_11986)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_11982; obj_t BgL_valza2za2_11983; BgL_ev_absz00_bglt BgL_i1252z00_11984; obj_t BgL_bodyz00_11985;
BgL_siza7eza7_11982 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11981, 
(int)(((long)0)))); 
BgL_valza2za2_11983 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11981, 
(int)(((long)1)))); 
BgL_i1252z00_11984 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11981, 
(int)(((long)2)))); 
BgL_bodyz00_11985 = 
PROCEDURE_REF(BgL_envz00_11981, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14430;
BgL_bpz00_14430 = 
VECTOR_REF(
((obj_t)BgL_sz00_11986),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11986, BgL_valza2za2_11983, 
(
(long)CINT(BgL_bpz00_14430)+BgL_siza7eza7_11982)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14431; obj_t BgL_wherez00_14432; obj_t BgL_locz00_14433;
BgL_z12denvz12_14431 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14432 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11984))->BgL_wherez00); 
BgL_locz00_14433 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11984))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14431, BgL_wherez00_14432, BgL_locz00_14433); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14434;
BgL_za2za2resza2za2z00_14434 = 
PROCEDURE_ENTRY(BgL_bodyz00_11985)(BgL_bodyz00_11985, BgL_sz00_11986, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14431); 
return BgL_za2za2resza2za2z00_14434;} } } } } } 

}



/* &<@anonymous:3543> */
obj_t BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11987, obj_t BgL_sz00_11994)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11988; obj_t BgL_iboxesz00_11989; long BgL_siza7eza7_11990; BgL_ev_absz00_bglt BgL_i1252z00_11991; obj_t BgL_bodyz00_11992; long BgL_siza7ezd2framez75_11993;
BgL_ifreesz00_11988 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)0)))); 
BgL_iboxesz00_11989 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)1)))); 
BgL_siza7eza7_11990 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)2)))); 
BgL_i1252z00_11991 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)3)))); 
BgL_bodyz00_11992 = 
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11993 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14435;
BgL_bpz00_14435 = 
VECTOR_REF(
((obj_t)BgL_sz00_11994),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14436;
BgL_valza2za2_14436 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11994, BgL_bpz00_14435, BgL_ifreesz00_11988); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14437;
BgL_runz00_14437 = 
MAKE_FX_PROCEDURE(BGl_z62run4241z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14437, 
(int)(((long)0)), BgL_iboxesz00_11989); 
PROCEDURE_SET(BgL_runz00_14437, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11990)); 
PROCEDURE_SET(BgL_runz00_14437, 
(int)(((long)2)), BgL_valza2za2_14436); 
PROCEDURE_SET(BgL_runz00_14437, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11991)); 
PROCEDURE_SET(BgL_runz00_14437, 
(int)(((long)4)), BgL_bodyz00_11992); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14438;
BgL_mainz00_14438 = 
MAKE_VA_PROCEDURE(BGl_z62main4240z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14438, 
(int)(((long)0)), BgL_iboxesz00_11989); 
PROCEDURE_SET(BgL_mainz00_14438, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11990)); 
PROCEDURE_SET(BgL_mainz00_14438, 
(int)(((long)2)), BgL_valza2za2_14436); 
PROCEDURE_SET(BgL_mainz00_14438, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11991)); 
PROCEDURE_SET(BgL_mainz00_14438, 
(int)(((long)4)), BgL_bodyz00_11992); 
PROCEDURE_SET(BgL_mainz00_14438, 
(int)(((long)5)), BgL_runz00_14437); 
PROCEDURE_SET(BgL_mainz00_14438, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11993)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14439;
BgL_objz00_14439 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14437, BgL_objz00_14439); BgL_objz00_14439; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3544z00_14440;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3545z00_14441;
BgL_arg3545z00_14441 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11991))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14442;
BgL_newz00_14442 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25412;
BgL_tmpz00_25412 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14442, BgL_tmpz00_25412, BgL_arg3545z00_14441); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25417; int BgL_tmpz00_25415;
BgL_auxz00_25417 = 
BINT(BgL_siza7ezd2framez75_11993); 
BgL_tmpz00_25415 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14442, BgL_tmpz00_25415, BgL_auxz00_25417); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25420;
BgL_tmpz00_25420 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14442, BgL_tmpz00_25420, BgL_runz00_14437); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25425; int BgL_tmpz00_25423;
BgL_auxz00_25425 = 
BINT(((long)-4)); 
BgL_tmpz00_25423 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14442, BgL_tmpz00_25423, BgL_auxz00_25425); } 
BgL_arg3544z00_14440 = BgL_newz00_14442; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14438, BgL_arg3544z00_14440); BgL_arg3544z00_14440; } 
return BgL_mainz00_14438;} } } } } } 

}



/* &main4240 */
obj_t BGl_z62main4240z62zz__evaluate_compz00(obj_t BgL_envz00_11995, obj_t BgL_bz00_12003, obj_t BgL_cz00_12004, obj_t BgL_dz00_12005, obj_t BgL_lastz00_12006)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12001; long BgL_siza7ezd2framez75_12002;
BgL_runz00_12001 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11995, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12002 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11995, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14443;
BgL_sz00_14443 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14444;
BgL_bpz00_14444 = 
VECTOR_REF(
((obj_t)BgL_sz00_14443),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14443, BgL_bpz00_14444, 
BINT(BgL_siza7ezd2framez75_12002)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3548z00_14445;
BgL_arg3548z00_14445 = 
(
(long)CINT(BgL_bpz00_14444)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14443),BgL_arg3548z00_14445,BgL_bz00_12003); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3549z00_14446;
BgL_arg3549z00_14446 = 
(
(long)CINT(BgL_bpz00_14444)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14443),BgL_arg3549z00_14446,BgL_cz00_12004); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3550z00_14447;
BgL_arg3550z00_14447 = 
(
(long)CINT(BgL_bpz00_14444)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14443),BgL_arg3550z00_14447,BgL_dz00_12005); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3551z00_14448;
BgL_arg3551z00_14448 = 
(
(long)CINT(BgL_bpz00_14444)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14443),BgL_arg3551z00_14448,BgL_lastz00_12006); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14449;
BgL_ez00_14449 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14450;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14451;
BgL_arg4066z00_14451 = 
BGL_EXITD_PROTECT(BgL_ez00_14449); 
BgL_arg4065z00_14450 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14444, BgL_arg4066z00_14451); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14449, BgL_arg4065z00_14450); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14452;
BgL_accz00_14452 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12001, BgL_sz00_14443, BgL_bpz00_14444); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5101z00_25462;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14453;
BgL_arg4064z00_14453 = 
BGL_EXITD_PROTECT(BgL_ez00_14449); 
BgL_test5101z00_25462 = 
PAIRP(BgL_arg4064z00_14453); } 
if(BgL_test5101z00_25462)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14454;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14455;
BgL_arg4063z00_14455 = 
BGL_EXITD_PROTECT(BgL_ez00_14449); 
BgL_arg4062z00_14454 = 
CDR(
((obj_t)BgL_arg4063z00_14455)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14449, BgL_arg4062z00_14454); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14443),((long)0),BgL_bpz00_14444); 
return BgL_accz00_14452;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14456;
BgL_nsz00_14456 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14456,((long)1),BgL_sz00_14443); 
VECTOR_SET(BgL_nsz00_14456,((long)2),BgL_bz00_12003); 
VECTOR_SET(BgL_nsz00_14456,((long)3),BgL_cz00_12004); 
VECTOR_SET(BgL_nsz00_14456,((long)4),BgL_dz00_12005); 
VECTOR_SET(BgL_nsz00_14456,((long)5),BgL_lastz00_12006); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14457;
BgL_z12denvz12_14457 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14457, BgL_nsz00_14456); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14458;
BgL_ez00_14458 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14459;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14460;
BgL_arg4066z00_14460 = 
BGL_EXITD_PROTECT(BgL_ez00_14458); 
BgL_arg4065z00_14459 = 
MAKE_YOUNG_PAIR(BgL_sz00_14443, BgL_arg4066z00_14460); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14458, BgL_arg4065z00_14459); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14461;
BgL_____rz00_14461 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12001, BgL_nsz00_14456, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5102z00_25485;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14462;
BgL_arg4064z00_14462 = 
BGL_EXITD_PROTECT(BgL_ez00_14458); 
BgL_test5102z00_25485 = 
PAIRP(BgL_arg4064z00_14462); } 
if(BgL_test5102z00_25485)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14463;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14464;
BgL_arg4063z00_14464 = 
BGL_EXITD_PROTECT(BgL_ez00_14458); 
BgL_arg4062z00_14463 = 
CDR(
((obj_t)BgL_arg4063z00_14464)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14458, BgL_arg4062z00_14463); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14457, BgL_sz00_14443); 
return BgL_____rz00_14461;} } } } } } } } 

}



/* &run4241 */
obj_t BGl_z62run4241z62zz__evaluate_compz00(obj_t BgL_envz00_12007, obj_t BgL_sz00_12013)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12008; long BgL_siza7eza7_12009; obj_t BgL_valza2za2_12010; BgL_ev_absz00_bglt BgL_i1252z00_12011; obj_t BgL_bodyz00_12012;
BgL_iboxesz00_12008 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12007, 
(int)(((long)0)))); 
BgL_siza7eza7_12009 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12007, 
(int)(((long)1)))); 
BgL_valza2za2_12010 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12007, 
(int)(((long)2)))); 
BgL_i1252z00_12011 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12007, 
(int)(((long)3)))); 
BgL_bodyz00_12012 = 
PROCEDURE_REF(BgL_envz00_12007, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14465;
BgL_bpz00_14465 = 
VECTOR_REF(
((obj_t)BgL_sz00_12013),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12013, BgL_iboxesz00_12008, BgL_bpz00_14465); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12013, BgL_valza2za2_12010, 
(
(long)CINT(BgL_bpz00_14465)+BgL_siza7eza7_12009)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14466; obj_t BgL_wherez00_14467; obj_t BgL_locz00_14468;
BgL_z12denvz12_14466 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14467 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12011))->BgL_wherez00); 
BgL_locz00_14468 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12011))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14466, BgL_wherez00_14467, BgL_locz00_14468); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14469;
BgL_za2za2resza2za2z00_14469 = 
PROCEDURE_ENTRY(BgL_bodyz00_12012)(BgL_bodyz00_12012, BgL_sz00_12013, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14466); 
return BgL_za2za2resza2za2z00_14469;} } } } } } 

}



/* &<@anonymous:3462> */
obj_t BGl_z62zc3z04anonymousza33462ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12014, obj_t BgL_sz00_12018)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12015; obj_t BgL_bodyz00_12016; long BgL_siza7ezd2framez75_12017;
BgL_i1252z00_12015 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)0)))); 
BgL_bodyz00_12016 = 
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12017 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14470;
BgL_bpz00_14470 = 
VECTOR_REF(
((obj_t)BgL_sz00_12018),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14471;
BgL_runz00_14471 = 
MAKE_FX_PROCEDURE(BGl_z62run4243z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14471, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12015)); 
PROCEDURE_SET(BgL_runz00_14471, 
(int)(((long)1)), BgL_bodyz00_12016); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14472;
BgL_mainz00_14472 = 
MAKE_FX_PROCEDURE(BGl_z62main4242z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14472, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12015)); 
PROCEDURE_SET(BgL_mainz00_14472, 
(int)(((long)1)), BgL_bodyz00_12016); 
PROCEDURE_SET(BgL_mainz00_14472, 
(int)(((long)2)), BgL_runz00_14471); 
PROCEDURE_SET(BgL_mainz00_14472, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12017)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14473;
BgL_objz00_14473 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14471, BgL_objz00_14473); BgL_objz00_14473; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3463z00_14474;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3464z00_14475;
BgL_arg3464z00_14475 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12015))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14476;
BgL_newz00_14476 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25557;
BgL_tmpz00_25557 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14476, BgL_tmpz00_25557, BgL_arg3464z00_14475); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25562; int BgL_tmpz00_25560;
BgL_auxz00_25562 = 
BINT(BgL_siza7ezd2framez75_12017); 
BgL_tmpz00_25560 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14476, BgL_tmpz00_25560, BgL_auxz00_25562); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25565;
BgL_tmpz00_25565 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14476, BgL_tmpz00_25565, BgL_runz00_14471); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25570; int BgL_tmpz00_25568;
BgL_auxz00_25570 = 
BINT(((long)3)); 
BgL_tmpz00_25568 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14476, BgL_tmpz00_25568, BgL_auxz00_25570); } 
BgL_arg3463z00_14474 = BgL_newz00_14476; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14472, BgL_arg3463z00_14474); BgL_arg3463z00_14474; } 
return BgL_mainz00_14472;} } } } } } 

}



/* &main4242 */
obj_t BGl_z62main4242z62zz__evaluate_compz00(obj_t BgL_envz00_12019, obj_t BgL_bz00_12024, obj_t BgL_cz00_12025, obj_t BgL_dz00_12026)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12022; long BgL_siza7ezd2framez75_12023;
BgL_runz00_12022 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12023 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14477;
BgL_sz00_14477 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14478;
BgL_bpz00_14478 = 
VECTOR_REF(
((obj_t)BgL_sz00_14477),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14477, BgL_bpz00_14478, 
BINT(BgL_siza7ezd2framez75_12023)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3467z00_14479;
BgL_arg3467z00_14479 = 
(
(long)CINT(BgL_bpz00_14478)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14477),BgL_arg3467z00_14479,BgL_bz00_12024); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3468z00_14480;
BgL_arg3468z00_14480 = 
(
(long)CINT(BgL_bpz00_14478)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14477),BgL_arg3468z00_14480,BgL_cz00_12025); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3469z00_14481;
BgL_arg3469z00_14481 = 
(
(long)CINT(BgL_bpz00_14478)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14477),BgL_arg3469z00_14481,BgL_dz00_12026); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14482;
BgL_ez00_14482 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14483;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14484;
BgL_arg4066z00_14484 = 
BGL_EXITD_PROTECT(BgL_ez00_14482); 
BgL_arg4065z00_14483 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14478, BgL_arg4066z00_14484); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14482, BgL_arg4065z00_14483); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14485;
BgL_accz00_14485 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12022, BgL_sz00_14477, BgL_bpz00_14478); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5104z00_25603;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14486;
BgL_arg4064z00_14486 = 
BGL_EXITD_PROTECT(BgL_ez00_14482); 
BgL_test5104z00_25603 = 
PAIRP(BgL_arg4064z00_14486); } 
if(BgL_test5104z00_25603)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14487;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14488;
BgL_arg4063z00_14488 = 
BGL_EXITD_PROTECT(BgL_ez00_14482); 
BgL_arg4062z00_14487 = 
CDR(
((obj_t)BgL_arg4063z00_14488)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14482, BgL_arg4062z00_14487); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14477),((long)0),BgL_bpz00_14478); 
return BgL_accz00_14485;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14489;
BgL_nsz00_14489 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14489,((long)1),BgL_sz00_14477); 
VECTOR_SET(BgL_nsz00_14489,((long)2),BgL_bz00_12024); 
VECTOR_SET(BgL_nsz00_14489,((long)3),BgL_cz00_12025); 
VECTOR_SET(BgL_nsz00_14489,((long)4),BgL_dz00_12026); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14490;
BgL_z12denvz12_14490 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14490, BgL_nsz00_14489); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14491;
BgL_ez00_14491 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14492;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14493;
BgL_arg4066z00_14493 = 
BGL_EXITD_PROTECT(BgL_ez00_14491); 
BgL_arg4065z00_14492 = 
MAKE_YOUNG_PAIR(BgL_sz00_14477, BgL_arg4066z00_14493); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14491, BgL_arg4065z00_14492); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14494;
BgL_____rz00_14494 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12022, BgL_nsz00_14489, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5105z00_25625;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14495;
BgL_arg4064z00_14495 = 
BGL_EXITD_PROTECT(BgL_ez00_14491); 
BgL_test5105z00_25625 = 
PAIRP(BgL_arg4064z00_14495); } 
if(BgL_test5105z00_25625)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14496;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14497;
BgL_arg4063z00_14497 = 
BGL_EXITD_PROTECT(BgL_ez00_14491); 
BgL_arg4062z00_14496 = 
CDR(
((obj_t)BgL_arg4063z00_14497)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14491, BgL_arg4062z00_14496); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14490, BgL_sz00_14477); 
return BgL_____rz00_14494;} } } } } } } } 

}



/* &run4243 */
obj_t BGl_z62run4243z62zz__evaluate_compz00(obj_t BgL_envz00_12027, obj_t BgL_sz00_12030)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12028; obj_t BgL_bodyz00_12029;
BgL_i1252z00_12028 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12027, 
(int)(((long)0)))); 
BgL_bodyz00_12029 = 
PROCEDURE_REF(BgL_envz00_12027, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14498;
BgL_bpz00_14498 = 
VECTOR_REF(
((obj_t)BgL_sz00_12030),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14499; obj_t BgL_wherez00_14500; obj_t BgL_locz00_14501;
BgL_z12denvz12_14499 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14500 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12028))->BgL_wherez00); 
BgL_locz00_14501 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12028))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14499, BgL_wherez00_14500, BgL_locz00_14501); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14502;
BgL_za2za2resza2za2z00_14502 = 
PROCEDURE_ENTRY(BgL_bodyz00_12029)(BgL_bodyz00_12029, BgL_sz00_12030, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14499); 
return BgL_za2za2resza2za2z00_14502;} } } } } } 

}



/* &<@anonymous:3471> */
obj_t BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12031, obj_t BgL_sz00_12036)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12032; BgL_ev_absz00_bglt BgL_i1252z00_12033; obj_t BgL_bodyz00_12034; long BgL_siza7ezd2framez75_12035;
BgL_iboxesz00_12032 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12031, 
(int)(((long)0)))); 
BgL_i1252z00_12033 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12031, 
(int)(((long)1)))); 
BgL_bodyz00_12034 = 
PROCEDURE_REF(BgL_envz00_12031, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12035 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12031, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14503;
BgL_bpz00_14503 = 
VECTOR_REF(
((obj_t)BgL_sz00_12036),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14504;
BgL_runz00_14504 = 
MAKE_FX_PROCEDURE(BGl_z62run4245z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14504, 
(int)(((long)0)), BgL_iboxesz00_12032); 
PROCEDURE_SET(BgL_runz00_14504, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12033)); 
PROCEDURE_SET(BgL_runz00_14504, 
(int)(((long)2)), BgL_bodyz00_12034); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14505;
BgL_mainz00_14505 = 
MAKE_FX_PROCEDURE(BGl_z62main4244z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)0)), BgL_iboxesz00_12032); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12033)); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)2)), BgL_bodyz00_12034); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)3)), BgL_runz00_14504); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12035)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14506;
BgL_objz00_14506 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14504, BgL_objz00_14506); BgL_objz00_14506; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3472z00_14507;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3473z00_14508;
BgL_arg3473z00_14508 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12033))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14509;
BgL_newz00_14509 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25691;
BgL_tmpz00_25691 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14509, BgL_tmpz00_25691, BgL_arg3473z00_14508); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25696; int BgL_tmpz00_25694;
BgL_auxz00_25696 = 
BINT(BgL_siza7ezd2framez75_12035); 
BgL_tmpz00_25694 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14509, BgL_tmpz00_25694, BgL_auxz00_25696); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25699;
BgL_tmpz00_25699 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14509, BgL_tmpz00_25699, BgL_runz00_14504); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25704; int BgL_tmpz00_25702;
BgL_auxz00_25704 = 
BINT(((long)3)); 
BgL_tmpz00_25702 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14509, BgL_tmpz00_25702, BgL_auxz00_25704); } 
BgL_arg3472z00_14507 = BgL_newz00_14509; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14505, BgL_arg3472z00_14507); BgL_arg3472z00_14507; } 
return BgL_mainz00_14505;} } } } } } 

}



/* &main4244 */
obj_t BGl_z62main4244z62zz__evaluate_compz00(obj_t BgL_envz00_12037, obj_t BgL_bz00_12043, obj_t BgL_cz00_12044, obj_t BgL_dz00_12045)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12041; long BgL_siza7ezd2framez75_12042;
BgL_runz00_12041 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12037, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12042 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12037, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14510;
BgL_sz00_14510 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14511;
BgL_bpz00_14511 = 
VECTOR_REF(
((obj_t)BgL_sz00_14510),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14510, BgL_bpz00_14511, 
BINT(BgL_siza7ezd2framez75_12042)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3476z00_14512;
BgL_arg3476z00_14512 = 
(
(long)CINT(BgL_bpz00_14511)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14510),BgL_arg3476z00_14512,BgL_bz00_12043); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3477z00_14513;
BgL_arg3477z00_14513 = 
(
(long)CINT(BgL_bpz00_14511)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14510),BgL_arg3477z00_14513,BgL_cz00_12044); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3478z00_14514;
BgL_arg3478z00_14514 = 
(
(long)CINT(BgL_bpz00_14511)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14510),BgL_arg3478z00_14514,BgL_dz00_12045); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14515;
BgL_ez00_14515 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14516;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14517;
BgL_arg4066z00_14517 = 
BGL_EXITD_PROTECT(BgL_ez00_14515); 
BgL_arg4065z00_14516 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14511, BgL_arg4066z00_14517); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14515, BgL_arg4065z00_14516); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14518;
BgL_accz00_14518 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12041, BgL_sz00_14510, BgL_bpz00_14511); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5107z00_25737;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14519;
BgL_arg4064z00_14519 = 
BGL_EXITD_PROTECT(BgL_ez00_14515); 
BgL_test5107z00_25737 = 
PAIRP(BgL_arg4064z00_14519); } 
if(BgL_test5107z00_25737)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14520;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14521;
BgL_arg4063z00_14521 = 
BGL_EXITD_PROTECT(BgL_ez00_14515); 
BgL_arg4062z00_14520 = 
CDR(
((obj_t)BgL_arg4063z00_14521)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14515, BgL_arg4062z00_14520); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14510),((long)0),BgL_bpz00_14511); 
return BgL_accz00_14518;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14522;
BgL_nsz00_14522 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14522,((long)1),BgL_sz00_14510); 
VECTOR_SET(BgL_nsz00_14522,((long)2),BgL_bz00_12043); 
VECTOR_SET(BgL_nsz00_14522,((long)3),BgL_cz00_12044); 
VECTOR_SET(BgL_nsz00_14522,((long)4),BgL_dz00_12045); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14523;
BgL_z12denvz12_14523 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14523, BgL_nsz00_14522); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14524;
BgL_ez00_14524 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14525;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14526;
BgL_arg4066z00_14526 = 
BGL_EXITD_PROTECT(BgL_ez00_14524); 
BgL_arg4065z00_14525 = 
MAKE_YOUNG_PAIR(BgL_sz00_14510, BgL_arg4066z00_14526); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14524, BgL_arg4065z00_14525); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14527;
BgL_____rz00_14527 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12041, BgL_nsz00_14522, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5108z00_25759;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14528;
BgL_arg4064z00_14528 = 
BGL_EXITD_PROTECT(BgL_ez00_14524); 
BgL_test5108z00_25759 = 
PAIRP(BgL_arg4064z00_14528); } 
if(BgL_test5108z00_25759)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14529;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14530;
BgL_arg4063z00_14530 = 
BGL_EXITD_PROTECT(BgL_ez00_14524); 
BgL_arg4062z00_14529 = 
CDR(
((obj_t)BgL_arg4063z00_14530)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14524, BgL_arg4062z00_14529); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14523, BgL_sz00_14510); 
return BgL_____rz00_14527;} } } } } } } } 

}



/* &run4245 */
obj_t BGl_z62run4245z62zz__evaluate_compz00(obj_t BgL_envz00_12046, obj_t BgL_sz00_12050)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12047; BgL_ev_absz00_bglt BgL_i1252z00_12048; obj_t BgL_bodyz00_12049;
BgL_iboxesz00_12047 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12046, 
(int)(((long)0)))); 
BgL_i1252z00_12048 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12046, 
(int)(((long)1)))); 
BgL_bodyz00_12049 = 
PROCEDURE_REF(BgL_envz00_12046, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14531;
BgL_bpz00_14531 = 
VECTOR_REF(
((obj_t)BgL_sz00_12050),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12050, BgL_iboxesz00_12047, BgL_bpz00_14531); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14532; obj_t BgL_wherez00_14533; obj_t BgL_locz00_14534;
BgL_z12denvz12_14532 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14533 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12048))->BgL_wherez00); 
BgL_locz00_14534 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12048))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14532, BgL_wherez00_14533, BgL_locz00_14534); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14535;
BgL_za2za2resza2za2z00_14535 = 
PROCEDURE_ENTRY(BgL_bodyz00_12049)(BgL_bodyz00_12049, BgL_sz00_12050, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14532); 
return BgL_za2za2resza2za2z00_14535;} } } } } } 

}



/* &<@anonymous:3483> */
obj_t BGl_z62zc3z04anonymousza33483ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12051, obj_t BgL_sz00_12057)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12052; long BgL_siza7eza7_12053; BgL_ev_absz00_bglt BgL_i1252z00_12054; obj_t BgL_bodyz00_12055; long BgL_siza7ezd2framez75_12056;
BgL_ifreesz00_12052 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)0)))); 
BgL_siza7eza7_12053 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)1)))); 
BgL_i1252z00_12054 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)2)))); 
BgL_bodyz00_12055 = 
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12056 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14536;
BgL_bpz00_14536 = 
VECTOR_REF(
((obj_t)BgL_sz00_12057),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14537;
BgL_valza2za2_14537 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12057, BgL_bpz00_14536, BgL_ifreesz00_12052); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14538;
BgL_runz00_14538 = 
MAKE_FX_PROCEDURE(BGl_z62run4247z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14538, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12053)); 
PROCEDURE_SET(BgL_runz00_14538, 
(int)(((long)1)), BgL_valza2za2_14537); 
PROCEDURE_SET(BgL_runz00_14538, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12054)); 
PROCEDURE_SET(BgL_runz00_14538, 
(int)(((long)3)), BgL_bodyz00_12055); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14539;
BgL_mainz00_14539 = 
MAKE_FX_PROCEDURE(BGl_z62main4246z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12053)); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)1)), BgL_valza2za2_14537); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12054)); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)3)), BgL_bodyz00_12055); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)4)), BgL_runz00_14538); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12056)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14540;
BgL_objz00_14540 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14538, BgL_objz00_14540); BgL_objz00_14540; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3484z00_14541;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3485z00_14542;
BgL_arg3485z00_14542 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12054))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14543;
BgL_newz00_14543 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25839;
BgL_tmpz00_25839 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14543, BgL_tmpz00_25839, BgL_arg3485z00_14542); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25844; int BgL_tmpz00_25842;
BgL_auxz00_25844 = 
BINT(BgL_siza7ezd2framez75_12056); 
BgL_tmpz00_25842 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14543, BgL_tmpz00_25842, BgL_auxz00_25844); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25847;
BgL_tmpz00_25847 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14543, BgL_tmpz00_25847, BgL_runz00_14538); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25852; int BgL_tmpz00_25850;
BgL_auxz00_25852 = 
BINT(((long)3)); 
BgL_tmpz00_25850 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14543, BgL_tmpz00_25850, BgL_auxz00_25852); } 
BgL_arg3484z00_14541 = BgL_newz00_14543; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14539, BgL_arg3484z00_14541); BgL_arg3484z00_14541; } 
return BgL_mainz00_14539;} } } } } } 

}



/* &main4246 */
obj_t BGl_z62main4246z62zz__evaluate_compz00(obj_t BgL_envz00_12058, obj_t BgL_bz00_12065, obj_t BgL_cz00_12066, obj_t BgL_dz00_12067)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12063; long BgL_siza7ezd2framez75_12064;
BgL_runz00_12063 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12058, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12064 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12058, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14544;
BgL_sz00_14544 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14545;
BgL_bpz00_14545 = 
VECTOR_REF(
((obj_t)BgL_sz00_14544),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14544, BgL_bpz00_14545, 
BINT(BgL_siza7ezd2framez75_12064)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3488z00_14546;
BgL_arg3488z00_14546 = 
(
(long)CINT(BgL_bpz00_14545)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14544),BgL_arg3488z00_14546,BgL_bz00_12065); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3489z00_14547;
BgL_arg3489z00_14547 = 
(
(long)CINT(BgL_bpz00_14545)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14544),BgL_arg3489z00_14547,BgL_cz00_12066); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3490z00_14548;
BgL_arg3490z00_14548 = 
(
(long)CINT(BgL_bpz00_14545)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14544),BgL_arg3490z00_14548,BgL_dz00_12067); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14549;
BgL_ez00_14549 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14550;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14551;
BgL_arg4066z00_14551 = 
BGL_EXITD_PROTECT(BgL_ez00_14549); 
BgL_arg4065z00_14550 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14545, BgL_arg4066z00_14551); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14549, BgL_arg4065z00_14550); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14552;
BgL_accz00_14552 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12063, BgL_sz00_14544, BgL_bpz00_14545); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5110z00_25885;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14553;
BgL_arg4064z00_14553 = 
BGL_EXITD_PROTECT(BgL_ez00_14549); 
BgL_test5110z00_25885 = 
PAIRP(BgL_arg4064z00_14553); } 
if(BgL_test5110z00_25885)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14554;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14555;
BgL_arg4063z00_14555 = 
BGL_EXITD_PROTECT(BgL_ez00_14549); 
BgL_arg4062z00_14554 = 
CDR(
((obj_t)BgL_arg4063z00_14555)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14549, BgL_arg4062z00_14554); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14544),((long)0),BgL_bpz00_14545); 
return BgL_accz00_14552;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14556;
BgL_nsz00_14556 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14556,((long)1),BgL_sz00_14544); 
VECTOR_SET(BgL_nsz00_14556,((long)2),BgL_bz00_12065); 
VECTOR_SET(BgL_nsz00_14556,((long)3),BgL_cz00_12066); 
VECTOR_SET(BgL_nsz00_14556,((long)4),BgL_dz00_12067); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14557;
BgL_z12denvz12_14557 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14557, BgL_nsz00_14556); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14558;
BgL_ez00_14558 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14559;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14560;
BgL_arg4066z00_14560 = 
BGL_EXITD_PROTECT(BgL_ez00_14558); 
BgL_arg4065z00_14559 = 
MAKE_YOUNG_PAIR(BgL_sz00_14544, BgL_arg4066z00_14560); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14558, BgL_arg4065z00_14559); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14561;
BgL_____rz00_14561 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12063, BgL_nsz00_14556, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5111z00_25907;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14562;
BgL_arg4064z00_14562 = 
BGL_EXITD_PROTECT(BgL_ez00_14558); 
BgL_test5111z00_25907 = 
PAIRP(BgL_arg4064z00_14562); } 
if(BgL_test5111z00_25907)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14563;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14564;
BgL_arg4063z00_14564 = 
BGL_EXITD_PROTECT(BgL_ez00_14558); 
BgL_arg4062z00_14563 = 
CDR(
((obj_t)BgL_arg4063z00_14564)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14558, BgL_arg4062z00_14563); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14557, BgL_sz00_14544); 
return BgL_____rz00_14561;} } } } } } } } 

}



/* &run4247 */
obj_t BGl_z62run4247z62zz__evaluate_compz00(obj_t BgL_envz00_12068, obj_t BgL_sz00_12073)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12069; obj_t BgL_valza2za2_12070; BgL_ev_absz00_bglt BgL_i1252z00_12071; obj_t BgL_bodyz00_12072;
BgL_siza7eza7_12069 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12068, 
(int)(((long)0)))); 
BgL_valza2za2_12070 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12068, 
(int)(((long)1)))); 
BgL_i1252z00_12071 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12068, 
(int)(((long)2)))); 
BgL_bodyz00_12072 = 
PROCEDURE_REF(BgL_envz00_12068, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14565;
BgL_bpz00_14565 = 
VECTOR_REF(
((obj_t)BgL_sz00_12073),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12073, BgL_valza2za2_12070, 
(
(long)CINT(BgL_bpz00_14565)+BgL_siza7eza7_12069)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14566; obj_t BgL_wherez00_14567; obj_t BgL_locz00_14568;
BgL_z12denvz12_14566 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14567 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12071))->BgL_wherez00); 
BgL_locz00_14568 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12071))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14566, BgL_wherez00_14567, BgL_locz00_14568); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14569;
BgL_za2za2resza2za2z00_14569 = 
PROCEDURE_ENTRY(BgL_bodyz00_12072)(BgL_bodyz00_12072, BgL_sz00_12073, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14566); 
return BgL_za2za2resza2za2z00_14569;} } } } } } 

}



/* &<@anonymous:3493> */
obj_t BGl_z62zc3z04anonymousza33493ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12074, obj_t BgL_sz00_12081)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12075; obj_t BgL_iboxesz00_12076; long BgL_siza7eza7_12077; BgL_ev_absz00_bglt BgL_i1252z00_12078; obj_t BgL_bodyz00_12079; long BgL_siza7ezd2framez75_12080;
BgL_ifreesz00_12075 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)0)))); 
BgL_iboxesz00_12076 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)1)))); 
BgL_siza7eza7_12077 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)2)))); 
BgL_i1252z00_12078 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)3)))); 
BgL_bodyz00_12079 = 
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12080 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14570;
BgL_bpz00_14570 = 
VECTOR_REF(
((obj_t)BgL_sz00_12081),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14571;
BgL_valza2za2_14571 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12081, BgL_bpz00_14570, BgL_ifreesz00_12075); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14572;
BgL_runz00_14572 = 
MAKE_FX_PROCEDURE(BGl_z62run4249z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14572, 
(int)(((long)0)), BgL_iboxesz00_12076); 
PROCEDURE_SET(BgL_runz00_14572, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12077)); 
PROCEDURE_SET(BgL_runz00_14572, 
(int)(((long)2)), BgL_valza2za2_14571); 
PROCEDURE_SET(BgL_runz00_14572, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12078)); 
PROCEDURE_SET(BgL_runz00_14572, 
(int)(((long)4)), BgL_bodyz00_12079); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14573;
BgL_mainz00_14573 = 
MAKE_FX_PROCEDURE(BGl_z62main4248z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14573, 
(int)(((long)0)), BgL_iboxesz00_12076); 
PROCEDURE_SET(BgL_mainz00_14573, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12077)); 
PROCEDURE_SET(BgL_mainz00_14573, 
(int)(((long)2)), BgL_valza2za2_14571); 
PROCEDURE_SET(BgL_mainz00_14573, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12078)); 
PROCEDURE_SET(BgL_mainz00_14573, 
(int)(((long)4)), BgL_bodyz00_12079); 
PROCEDURE_SET(BgL_mainz00_14573, 
(int)(((long)5)), BgL_runz00_14572); 
PROCEDURE_SET(BgL_mainz00_14573, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12080)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14574;
BgL_objz00_14574 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14572, BgL_objz00_14574); BgL_objz00_14574; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3494z00_14575;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3495z00_14576;
BgL_arg3495z00_14576 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12078))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14577;
BgL_newz00_14577 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25999;
BgL_tmpz00_25999 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14577, BgL_tmpz00_25999, BgL_arg3495z00_14576); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26004; int BgL_tmpz00_26002;
BgL_auxz00_26004 = 
BINT(BgL_siza7ezd2framez75_12080); 
BgL_tmpz00_26002 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14577, BgL_tmpz00_26002, BgL_auxz00_26004); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26007;
BgL_tmpz00_26007 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14577, BgL_tmpz00_26007, BgL_runz00_14572); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26012; int BgL_tmpz00_26010;
BgL_auxz00_26012 = 
BINT(((long)3)); 
BgL_tmpz00_26010 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14577, BgL_tmpz00_26010, BgL_auxz00_26012); } 
BgL_arg3494z00_14575 = BgL_newz00_14577; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14573, BgL_arg3494z00_14575); BgL_arg3494z00_14575; } 
return BgL_mainz00_14573;} } } } } } 

}



/* &main4248 */
obj_t BGl_z62main4248z62zz__evaluate_compz00(obj_t BgL_envz00_12082, obj_t BgL_bz00_12090, obj_t BgL_cz00_12091, obj_t BgL_dz00_12092)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12088; long BgL_siza7ezd2framez75_12089;
BgL_runz00_12088 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12082, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12089 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12082, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14578;
BgL_sz00_14578 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14579;
BgL_bpz00_14579 = 
VECTOR_REF(
((obj_t)BgL_sz00_14578),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14578, BgL_bpz00_14579, 
BINT(BgL_siza7ezd2framez75_12089)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3498z00_14580;
BgL_arg3498z00_14580 = 
(
(long)CINT(BgL_bpz00_14579)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14578),BgL_arg3498z00_14580,BgL_bz00_12090); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3499z00_14581;
BgL_arg3499z00_14581 = 
(
(long)CINT(BgL_bpz00_14579)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14578),BgL_arg3499z00_14581,BgL_cz00_12091); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3500z00_14582;
BgL_arg3500z00_14582 = 
(
(long)CINT(BgL_bpz00_14579)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14578),BgL_arg3500z00_14582,BgL_dz00_12092); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14583;
BgL_ez00_14583 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14584;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14585;
BgL_arg4066z00_14585 = 
BGL_EXITD_PROTECT(BgL_ez00_14583); 
BgL_arg4065z00_14584 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14579, BgL_arg4066z00_14585); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14583, BgL_arg4065z00_14584); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14586;
BgL_accz00_14586 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12088, BgL_sz00_14578, BgL_bpz00_14579); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5113z00_26045;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14587;
BgL_arg4064z00_14587 = 
BGL_EXITD_PROTECT(BgL_ez00_14583); 
BgL_test5113z00_26045 = 
PAIRP(BgL_arg4064z00_14587); } 
if(BgL_test5113z00_26045)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14588;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14589;
BgL_arg4063z00_14589 = 
BGL_EXITD_PROTECT(BgL_ez00_14583); 
BgL_arg4062z00_14588 = 
CDR(
((obj_t)BgL_arg4063z00_14589)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14583, BgL_arg4062z00_14588); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14578),((long)0),BgL_bpz00_14579); 
return BgL_accz00_14586;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14590;
BgL_nsz00_14590 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14590,((long)1),BgL_sz00_14578); 
VECTOR_SET(BgL_nsz00_14590,((long)2),BgL_bz00_12090); 
VECTOR_SET(BgL_nsz00_14590,((long)3),BgL_cz00_12091); 
VECTOR_SET(BgL_nsz00_14590,((long)4),BgL_dz00_12092); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14591;
BgL_z12denvz12_14591 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14591, BgL_nsz00_14590); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14592;
BgL_ez00_14592 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14593;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14594;
BgL_arg4066z00_14594 = 
BGL_EXITD_PROTECT(BgL_ez00_14592); 
BgL_arg4065z00_14593 = 
MAKE_YOUNG_PAIR(BgL_sz00_14578, BgL_arg4066z00_14594); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14592, BgL_arg4065z00_14593); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14595;
BgL_____rz00_14595 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12088, BgL_nsz00_14590, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5114z00_26067;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14596;
BgL_arg4064z00_14596 = 
BGL_EXITD_PROTECT(BgL_ez00_14592); 
BgL_test5114z00_26067 = 
PAIRP(BgL_arg4064z00_14596); } 
if(BgL_test5114z00_26067)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14597;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14598;
BgL_arg4063z00_14598 = 
BGL_EXITD_PROTECT(BgL_ez00_14592); 
BgL_arg4062z00_14597 = 
CDR(
((obj_t)BgL_arg4063z00_14598)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14592, BgL_arg4062z00_14597); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14591, BgL_sz00_14578); 
return BgL_____rz00_14595;} } } } } } } } 

}



/* &run4249 */
obj_t BGl_z62run4249z62zz__evaluate_compz00(obj_t BgL_envz00_12093, obj_t BgL_sz00_12099)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12094; long BgL_siza7eza7_12095; obj_t BgL_valza2za2_12096; BgL_ev_absz00_bglt BgL_i1252z00_12097; obj_t BgL_bodyz00_12098;
BgL_iboxesz00_12094 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)0)))); 
BgL_siza7eza7_12095 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)1)))); 
BgL_valza2za2_12096 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)2)))); 
BgL_i1252z00_12097 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)3)))); 
BgL_bodyz00_12098 = 
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14599;
BgL_bpz00_14599 = 
VECTOR_REF(
((obj_t)BgL_sz00_12099),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12099, BgL_iboxesz00_12094, BgL_bpz00_14599); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12099, BgL_valza2za2_12096, 
(
(long)CINT(BgL_bpz00_14599)+BgL_siza7eza7_12095)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14600; obj_t BgL_wherez00_14601; obj_t BgL_locz00_14602;
BgL_z12denvz12_14600 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14601 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12097))->BgL_wherez00); 
BgL_locz00_14602 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12097))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14600, BgL_wherez00_14601, BgL_locz00_14602); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14603;
BgL_za2za2resza2za2z00_14603 = 
PROCEDURE_ENTRY(BgL_bodyz00_12098)(BgL_bodyz00_12098, BgL_sz00_12099, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14600); 
return BgL_za2za2resza2za2z00_14603;} } } } } } 

}



/* &<@anonymous:3415> */
obj_t BGl_z62zc3z04anonymousza33415ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12100, obj_t BgL_sz00_12104)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12101; obj_t BgL_bodyz00_12102; long BgL_siza7ezd2framez75_12103;
BgL_i1252z00_12101 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12100, 
(int)(((long)0)))); 
BgL_bodyz00_12102 = 
PROCEDURE_REF(BgL_envz00_12100, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12103 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12100, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14604;
BgL_bpz00_14604 = 
VECTOR_REF(
((obj_t)BgL_sz00_12104),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14605;
BgL_runz00_14605 = 
MAKE_FX_PROCEDURE(BGl_z62run4251z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14605, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12101)); 
PROCEDURE_SET(BgL_runz00_14605, 
(int)(((long)1)), BgL_bodyz00_12102); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14606;
BgL_mainz00_14606 = 
MAKE_VA_PROCEDURE(BGl_z62main4250z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14606, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12101)); 
PROCEDURE_SET(BgL_mainz00_14606, 
(int)(((long)1)), BgL_bodyz00_12102); 
PROCEDURE_SET(BgL_mainz00_14606, 
(int)(((long)2)), BgL_runz00_14605); 
PROCEDURE_SET(BgL_mainz00_14606, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12103)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14607;
BgL_objz00_14607 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14605, BgL_objz00_14607); BgL_objz00_14607; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3416z00_14608;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3417z00_14609;
BgL_arg3417z00_14609 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12101))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14610;
BgL_newz00_14610 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26139;
BgL_tmpz00_26139 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14610, BgL_tmpz00_26139, BgL_arg3417z00_14609); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26144; int BgL_tmpz00_26142;
BgL_auxz00_26144 = 
BINT(BgL_siza7ezd2framez75_12103); 
BgL_tmpz00_26142 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14610, BgL_tmpz00_26142, BgL_auxz00_26144); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26147;
BgL_tmpz00_26147 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14610, BgL_tmpz00_26147, BgL_runz00_14605); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26152; int BgL_tmpz00_26150;
BgL_auxz00_26152 = 
BINT(((long)-3)); 
BgL_tmpz00_26150 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14610, BgL_tmpz00_26150, BgL_auxz00_26152); } 
BgL_arg3416z00_14608 = BgL_newz00_14610; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14606, BgL_arg3416z00_14608); BgL_arg3416z00_14608; } 
return BgL_mainz00_14606;} } } } } } 

}



/* &main4250 */
obj_t BGl_z62main4250z62zz__evaluate_compz00(obj_t BgL_envz00_12105, obj_t BgL_cz00_12110, obj_t BgL_dz00_12111, obj_t BgL_lastz00_12112)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12108; long BgL_siza7ezd2framez75_12109;
BgL_runz00_12108 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12105, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12109 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12105, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14611;
BgL_sz00_14611 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14612;
BgL_bpz00_14612 = 
VECTOR_REF(
((obj_t)BgL_sz00_14611),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14611, BgL_bpz00_14612, 
BINT(BgL_siza7ezd2framez75_12109)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3420z00_14613;
BgL_arg3420z00_14613 = 
(
(long)CINT(BgL_bpz00_14612)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14611),BgL_arg3420z00_14613,BgL_cz00_12110); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3421z00_14614;
BgL_arg3421z00_14614 = 
(
(long)CINT(BgL_bpz00_14612)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14611),BgL_arg3421z00_14614,BgL_dz00_12111); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3422z00_14615;
BgL_arg3422z00_14615 = 
(
(long)CINT(BgL_bpz00_14612)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14611),BgL_arg3422z00_14615,BgL_lastz00_12112); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14616;
BgL_ez00_14616 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14617;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14618;
BgL_arg4066z00_14618 = 
BGL_EXITD_PROTECT(BgL_ez00_14616); 
BgL_arg4065z00_14617 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14612, BgL_arg4066z00_14618); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14616, BgL_arg4065z00_14617); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14619;
BgL_accz00_14619 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12108, BgL_sz00_14611, BgL_bpz00_14612); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5116z00_26185;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14620;
BgL_arg4064z00_14620 = 
BGL_EXITD_PROTECT(BgL_ez00_14616); 
BgL_test5116z00_26185 = 
PAIRP(BgL_arg4064z00_14620); } 
if(BgL_test5116z00_26185)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14621;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14622;
BgL_arg4063z00_14622 = 
BGL_EXITD_PROTECT(BgL_ez00_14616); 
BgL_arg4062z00_14621 = 
CDR(
((obj_t)BgL_arg4063z00_14622)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14616, BgL_arg4062z00_14621); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14611),((long)0),BgL_bpz00_14612); 
return BgL_accz00_14619;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14623;
BgL_nsz00_14623 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14623,((long)1),BgL_sz00_14611); 
VECTOR_SET(BgL_nsz00_14623,((long)2),BgL_cz00_12110); 
VECTOR_SET(BgL_nsz00_14623,((long)3),BgL_dz00_12111); 
VECTOR_SET(BgL_nsz00_14623,((long)4),BgL_lastz00_12112); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14624;
BgL_z12denvz12_14624 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14624, BgL_nsz00_14623); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14625;
BgL_ez00_14625 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14626;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14627;
BgL_arg4066z00_14627 = 
BGL_EXITD_PROTECT(BgL_ez00_14625); 
BgL_arg4065z00_14626 = 
MAKE_YOUNG_PAIR(BgL_sz00_14611, BgL_arg4066z00_14627); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14625, BgL_arg4065z00_14626); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14628;
BgL_____rz00_14628 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12108, BgL_nsz00_14623, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5117z00_26207;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14629;
BgL_arg4064z00_14629 = 
BGL_EXITD_PROTECT(BgL_ez00_14625); 
BgL_test5117z00_26207 = 
PAIRP(BgL_arg4064z00_14629); } 
if(BgL_test5117z00_26207)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14630;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14631;
BgL_arg4063z00_14631 = 
BGL_EXITD_PROTECT(BgL_ez00_14625); 
BgL_arg4062z00_14630 = 
CDR(
((obj_t)BgL_arg4063z00_14631)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14625, BgL_arg4062z00_14630); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14624, BgL_sz00_14611); 
return BgL_____rz00_14628;} } } } } } } } 

}



/* &run4251 */
obj_t BGl_z62run4251z62zz__evaluate_compz00(obj_t BgL_envz00_12113, obj_t BgL_sz00_12116)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12114; obj_t BgL_bodyz00_12115;
BgL_i1252z00_12114 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12113, 
(int)(((long)0)))); 
BgL_bodyz00_12115 = 
PROCEDURE_REF(BgL_envz00_12113, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14632;
BgL_bpz00_14632 = 
VECTOR_REF(
((obj_t)BgL_sz00_12116),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14633; obj_t BgL_wherez00_14634; obj_t BgL_locz00_14635;
BgL_z12denvz12_14633 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14634 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12114))->BgL_wherez00); 
BgL_locz00_14635 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12114))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14633, BgL_wherez00_14634, BgL_locz00_14635); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14636;
BgL_za2za2resza2za2z00_14636 = 
PROCEDURE_ENTRY(BgL_bodyz00_12115)(BgL_bodyz00_12115, BgL_sz00_12116, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14633); 
return BgL_za2za2resza2za2z00_14636;} } } } } } 

}



/* &<@anonymous:3424> */
obj_t BGl_z62zc3z04anonymousza33424ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12117, obj_t BgL_sz00_12122)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12118; BgL_ev_absz00_bglt BgL_i1252z00_12119; obj_t BgL_bodyz00_12120; long BgL_siza7ezd2framez75_12121;
BgL_iboxesz00_12118 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12117, 
(int)(((long)0)))); 
BgL_i1252z00_12119 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12117, 
(int)(((long)1)))); 
BgL_bodyz00_12120 = 
PROCEDURE_REF(BgL_envz00_12117, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12121 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12117, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14637;
BgL_bpz00_14637 = 
VECTOR_REF(
((obj_t)BgL_sz00_12122),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14638;
BgL_runz00_14638 = 
MAKE_FX_PROCEDURE(BGl_z62run4253z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14638, 
(int)(((long)0)), BgL_iboxesz00_12118); 
PROCEDURE_SET(BgL_runz00_14638, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12119)); 
PROCEDURE_SET(BgL_runz00_14638, 
(int)(((long)2)), BgL_bodyz00_12120); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14639;
BgL_mainz00_14639 = 
MAKE_VA_PROCEDURE(BGl_z62main4252z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14639, 
(int)(((long)0)), BgL_iboxesz00_12118); 
PROCEDURE_SET(BgL_mainz00_14639, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12119)); 
PROCEDURE_SET(BgL_mainz00_14639, 
(int)(((long)2)), BgL_bodyz00_12120); 
PROCEDURE_SET(BgL_mainz00_14639, 
(int)(((long)3)), BgL_runz00_14638); 
PROCEDURE_SET(BgL_mainz00_14639, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12121)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14640;
BgL_objz00_14640 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14638, BgL_objz00_14640); BgL_objz00_14640; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3425z00_14641;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3426z00_14642;
BgL_arg3426z00_14642 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12119))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14643;
BgL_newz00_14643 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26273;
BgL_tmpz00_26273 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14643, BgL_tmpz00_26273, BgL_arg3426z00_14642); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26278; int BgL_tmpz00_26276;
BgL_auxz00_26278 = 
BINT(BgL_siza7ezd2framez75_12121); 
BgL_tmpz00_26276 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14643, BgL_tmpz00_26276, BgL_auxz00_26278); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26281;
BgL_tmpz00_26281 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14643, BgL_tmpz00_26281, BgL_runz00_14638); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26286; int BgL_tmpz00_26284;
BgL_auxz00_26286 = 
BINT(((long)-3)); 
BgL_tmpz00_26284 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14643, BgL_tmpz00_26284, BgL_auxz00_26286); } 
BgL_arg3425z00_14641 = BgL_newz00_14643; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14639, BgL_arg3425z00_14641); BgL_arg3425z00_14641; } 
return BgL_mainz00_14639;} } } } } } 

}



/* &main4252 */
obj_t BGl_z62main4252z62zz__evaluate_compz00(obj_t BgL_envz00_12123, obj_t BgL_cz00_12129, obj_t BgL_dz00_12130, obj_t BgL_lastz00_12131)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12127; long BgL_siza7ezd2framez75_12128;
BgL_runz00_12127 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12128 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14644;
BgL_sz00_14644 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14645;
BgL_bpz00_14645 = 
VECTOR_REF(
((obj_t)BgL_sz00_14644),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14644, BgL_bpz00_14645, 
BINT(BgL_siza7ezd2framez75_12128)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3429z00_14646;
BgL_arg3429z00_14646 = 
(
(long)CINT(BgL_bpz00_14645)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14644),BgL_arg3429z00_14646,BgL_cz00_12129); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3430z00_14647;
BgL_arg3430z00_14647 = 
(
(long)CINT(BgL_bpz00_14645)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14644),BgL_arg3430z00_14647,BgL_dz00_12130); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3431z00_14648;
BgL_arg3431z00_14648 = 
(
(long)CINT(BgL_bpz00_14645)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14644),BgL_arg3431z00_14648,BgL_lastz00_12131); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14649;
BgL_ez00_14649 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14650;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14651;
BgL_arg4066z00_14651 = 
BGL_EXITD_PROTECT(BgL_ez00_14649); 
BgL_arg4065z00_14650 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14645, BgL_arg4066z00_14651); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14649, BgL_arg4065z00_14650); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14652;
BgL_accz00_14652 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12127, BgL_sz00_14644, BgL_bpz00_14645); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5119z00_26319;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14653;
BgL_arg4064z00_14653 = 
BGL_EXITD_PROTECT(BgL_ez00_14649); 
BgL_test5119z00_26319 = 
PAIRP(BgL_arg4064z00_14653); } 
if(BgL_test5119z00_26319)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14654;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14655;
BgL_arg4063z00_14655 = 
BGL_EXITD_PROTECT(BgL_ez00_14649); 
BgL_arg4062z00_14654 = 
CDR(
((obj_t)BgL_arg4063z00_14655)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14649, BgL_arg4062z00_14654); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14644),((long)0),BgL_bpz00_14645); 
return BgL_accz00_14652;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14656;
BgL_nsz00_14656 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14656,((long)1),BgL_sz00_14644); 
VECTOR_SET(BgL_nsz00_14656,((long)2),BgL_cz00_12129); 
VECTOR_SET(BgL_nsz00_14656,((long)3),BgL_dz00_12130); 
VECTOR_SET(BgL_nsz00_14656,((long)4),BgL_lastz00_12131); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14657;
BgL_z12denvz12_14657 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14657, BgL_nsz00_14656); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14658;
BgL_ez00_14658 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14659;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14660;
BgL_arg4066z00_14660 = 
BGL_EXITD_PROTECT(BgL_ez00_14658); 
BgL_arg4065z00_14659 = 
MAKE_YOUNG_PAIR(BgL_sz00_14644, BgL_arg4066z00_14660); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14658, BgL_arg4065z00_14659); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14661;
BgL_____rz00_14661 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12127, BgL_nsz00_14656, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5120z00_26341;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14662;
BgL_arg4064z00_14662 = 
BGL_EXITD_PROTECT(BgL_ez00_14658); 
BgL_test5120z00_26341 = 
PAIRP(BgL_arg4064z00_14662); } 
if(BgL_test5120z00_26341)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14663;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14664;
BgL_arg4063z00_14664 = 
BGL_EXITD_PROTECT(BgL_ez00_14658); 
BgL_arg4062z00_14663 = 
CDR(
((obj_t)BgL_arg4063z00_14664)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14658, BgL_arg4062z00_14663); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14657, BgL_sz00_14644); 
return BgL_____rz00_14661;} } } } } } } } 

}



/* &run4253 */
obj_t BGl_z62run4253z62zz__evaluate_compz00(obj_t BgL_envz00_12132, obj_t BgL_sz00_12136)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12133; BgL_ev_absz00_bglt BgL_i1252z00_12134; obj_t BgL_bodyz00_12135;
BgL_iboxesz00_12133 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)0)))); 
BgL_i1252z00_12134 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)1)))); 
BgL_bodyz00_12135 = 
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14665;
BgL_bpz00_14665 = 
VECTOR_REF(
((obj_t)BgL_sz00_12136),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12136, BgL_iboxesz00_12133, BgL_bpz00_14665); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14666; obj_t BgL_wherez00_14667; obj_t BgL_locz00_14668;
BgL_z12denvz12_14666 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14667 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12134))->BgL_wherez00); 
BgL_locz00_14668 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12134))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14666, BgL_wherez00_14667, BgL_locz00_14668); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14669;
BgL_za2za2resza2za2z00_14669 = 
PROCEDURE_ENTRY(BgL_bodyz00_12135)(BgL_bodyz00_12135, BgL_sz00_12136, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14666); 
return BgL_za2za2resza2za2z00_14669;} } } } } } 

}



/* &<@anonymous:3436> */
obj_t BGl_z62zc3z04anonymousza33436ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12137, obj_t BgL_sz00_12143)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12138; long BgL_siza7eza7_12139; BgL_ev_absz00_bglt BgL_i1252z00_12140; obj_t BgL_bodyz00_12141; long BgL_siza7ezd2framez75_12142;
BgL_ifreesz00_12138 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12137, 
(int)(((long)0)))); 
BgL_siza7eza7_12139 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12137, 
(int)(((long)1)))); 
BgL_i1252z00_12140 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12137, 
(int)(((long)2)))); 
BgL_bodyz00_12141 = 
PROCEDURE_REF(BgL_envz00_12137, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12142 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12137, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14670;
BgL_bpz00_14670 = 
VECTOR_REF(
((obj_t)BgL_sz00_12143),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14671;
BgL_valza2za2_14671 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12143, BgL_bpz00_14670, BgL_ifreesz00_12138); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14672;
BgL_runz00_14672 = 
MAKE_FX_PROCEDURE(BGl_z62run4255z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14672, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12139)); 
PROCEDURE_SET(BgL_runz00_14672, 
(int)(((long)1)), BgL_valza2za2_14671); 
PROCEDURE_SET(BgL_runz00_14672, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12140)); 
PROCEDURE_SET(BgL_runz00_14672, 
(int)(((long)3)), BgL_bodyz00_12141); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14673;
BgL_mainz00_14673 = 
MAKE_VA_PROCEDURE(BGl_z62main4254z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14673, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12139)); 
PROCEDURE_SET(BgL_mainz00_14673, 
(int)(((long)1)), BgL_valza2za2_14671); 
PROCEDURE_SET(BgL_mainz00_14673, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12140)); 
PROCEDURE_SET(BgL_mainz00_14673, 
(int)(((long)3)), BgL_bodyz00_12141); 
PROCEDURE_SET(BgL_mainz00_14673, 
(int)(((long)4)), BgL_runz00_14672); 
PROCEDURE_SET(BgL_mainz00_14673, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12142)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14674;
BgL_objz00_14674 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14672, BgL_objz00_14674); BgL_objz00_14674; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3437z00_14675;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3438z00_14676;
BgL_arg3438z00_14676 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12140))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14677;
BgL_newz00_14677 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26421;
BgL_tmpz00_26421 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14677, BgL_tmpz00_26421, BgL_arg3438z00_14676); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26426; int BgL_tmpz00_26424;
BgL_auxz00_26426 = 
BINT(BgL_siza7ezd2framez75_12142); 
BgL_tmpz00_26424 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14677, BgL_tmpz00_26424, BgL_auxz00_26426); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26429;
BgL_tmpz00_26429 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14677, BgL_tmpz00_26429, BgL_runz00_14672); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26434; int BgL_tmpz00_26432;
BgL_auxz00_26434 = 
BINT(((long)-3)); 
BgL_tmpz00_26432 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14677, BgL_tmpz00_26432, BgL_auxz00_26434); } 
BgL_arg3437z00_14675 = BgL_newz00_14677; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14673, BgL_arg3437z00_14675); BgL_arg3437z00_14675; } 
return BgL_mainz00_14673;} } } } } } 

}



/* &main4254 */
obj_t BGl_z62main4254z62zz__evaluate_compz00(obj_t BgL_envz00_12144, obj_t BgL_cz00_12151, obj_t BgL_dz00_12152, obj_t BgL_lastz00_12153)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12149; long BgL_siza7ezd2framez75_12150;
BgL_runz00_12149 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12150 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14678;
BgL_sz00_14678 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14679;
BgL_bpz00_14679 = 
VECTOR_REF(
((obj_t)BgL_sz00_14678),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14678, BgL_bpz00_14679, 
BINT(BgL_siza7ezd2framez75_12150)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3441z00_14680;
BgL_arg3441z00_14680 = 
(
(long)CINT(BgL_bpz00_14679)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14678),BgL_arg3441z00_14680,BgL_cz00_12151); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3442z00_14681;
BgL_arg3442z00_14681 = 
(
(long)CINT(BgL_bpz00_14679)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14678),BgL_arg3442z00_14681,BgL_dz00_12152); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3443z00_14682;
BgL_arg3443z00_14682 = 
(
(long)CINT(BgL_bpz00_14679)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14678),BgL_arg3443z00_14682,BgL_lastz00_12153); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14683;
BgL_ez00_14683 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14684;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14685;
BgL_arg4066z00_14685 = 
BGL_EXITD_PROTECT(BgL_ez00_14683); 
BgL_arg4065z00_14684 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14679, BgL_arg4066z00_14685); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14683, BgL_arg4065z00_14684); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14686;
BgL_accz00_14686 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12149, BgL_sz00_14678, BgL_bpz00_14679); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5122z00_26467;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14687;
BgL_arg4064z00_14687 = 
BGL_EXITD_PROTECT(BgL_ez00_14683); 
BgL_test5122z00_26467 = 
PAIRP(BgL_arg4064z00_14687); } 
if(BgL_test5122z00_26467)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14688;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14689;
BgL_arg4063z00_14689 = 
BGL_EXITD_PROTECT(BgL_ez00_14683); 
BgL_arg4062z00_14688 = 
CDR(
((obj_t)BgL_arg4063z00_14689)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14683, BgL_arg4062z00_14688); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14678),((long)0),BgL_bpz00_14679); 
return BgL_accz00_14686;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14690;
BgL_nsz00_14690 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14690,((long)1),BgL_sz00_14678); 
VECTOR_SET(BgL_nsz00_14690,((long)2),BgL_cz00_12151); 
VECTOR_SET(BgL_nsz00_14690,((long)3),BgL_dz00_12152); 
VECTOR_SET(BgL_nsz00_14690,((long)4),BgL_lastz00_12153); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14691;
BgL_z12denvz12_14691 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14691, BgL_nsz00_14690); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14692;
BgL_ez00_14692 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14693;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14694;
BgL_arg4066z00_14694 = 
BGL_EXITD_PROTECT(BgL_ez00_14692); 
BgL_arg4065z00_14693 = 
MAKE_YOUNG_PAIR(BgL_sz00_14678, BgL_arg4066z00_14694); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14692, BgL_arg4065z00_14693); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14695;
BgL_____rz00_14695 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12149, BgL_nsz00_14690, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5123z00_26489;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14696;
BgL_arg4064z00_14696 = 
BGL_EXITD_PROTECT(BgL_ez00_14692); 
BgL_test5123z00_26489 = 
PAIRP(BgL_arg4064z00_14696); } 
if(BgL_test5123z00_26489)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14697;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14698;
BgL_arg4063z00_14698 = 
BGL_EXITD_PROTECT(BgL_ez00_14692); 
BgL_arg4062z00_14697 = 
CDR(
((obj_t)BgL_arg4063z00_14698)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14692, BgL_arg4062z00_14697); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14691, BgL_sz00_14678); 
return BgL_____rz00_14695;} } } } } } } } 

}



/* &run4255 */
obj_t BGl_z62run4255z62zz__evaluate_compz00(obj_t BgL_envz00_12154, obj_t BgL_sz00_12159)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12155; obj_t BgL_valza2za2_12156; BgL_ev_absz00_bglt BgL_i1252z00_12157; obj_t BgL_bodyz00_12158;
BgL_siza7eza7_12155 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12154, 
(int)(((long)0)))); 
BgL_valza2za2_12156 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12154, 
(int)(((long)1)))); 
BgL_i1252z00_12157 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12154, 
(int)(((long)2)))); 
BgL_bodyz00_12158 = 
PROCEDURE_REF(BgL_envz00_12154, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14699;
BgL_bpz00_14699 = 
VECTOR_REF(
((obj_t)BgL_sz00_12159),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12159, BgL_valza2za2_12156, 
(
(long)CINT(BgL_bpz00_14699)+BgL_siza7eza7_12155)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14700; obj_t BgL_wherez00_14701; obj_t BgL_locz00_14702;
BgL_z12denvz12_14700 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14701 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12157))->BgL_wherez00); 
BgL_locz00_14702 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12157))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14700, BgL_wherez00_14701, BgL_locz00_14702); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14703;
BgL_za2za2resza2za2z00_14703 = 
PROCEDURE_ENTRY(BgL_bodyz00_12158)(BgL_bodyz00_12158, BgL_sz00_12159, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14700); 
return BgL_za2za2resza2za2z00_14703;} } } } } } 

}



/* &<@anonymous:3446> */
obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12160, obj_t BgL_sz00_12167)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12161; obj_t BgL_iboxesz00_12162; long BgL_siza7eza7_12163; BgL_ev_absz00_bglt BgL_i1252z00_12164; obj_t BgL_bodyz00_12165; long BgL_siza7ezd2framez75_12166;
BgL_ifreesz00_12161 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)0)))); 
BgL_iboxesz00_12162 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)1)))); 
BgL_siza7eza7_12163 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)2)))); 
BgL_i1252z00_12164 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)3)))); 
BgL_bodyz00_12165 = 
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12166 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14704;
BgL_bpz00_14704 = 
VECTOR_REF(
((obj_t)BgL_sz00_12167),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14705;
BgL_valza2za2_14705 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12167, BgL_bpz00_14704, BgL_ifreesz00_12161); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14706;
BgL_runz00_14706 = 
MAKE_FX_PROCEDURE(BGl_z62run4257z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14706, 
(int)(((long)0)), BgL_iboxesz00_12162); 
PROCEDURE_SET(BgL_runz00_14706, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12163)); 
PROCEDURE_SET(BgL_runz00_14706, 
(int)(((long)2)), BgL_valza2za2_14705); 
PROCEDURE_SET(BgL_runz00_14706, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12164)); 
PROCEDURE_SET(BgL_runz00_14706, 
(int)(((long)4)), BgL_bodyz00_12165); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14707;
BgL_mainz00_14707 = 
MAKE_VA_PROCEDURE(BGl_z62main4256z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14707, 
(int)(((long)0)), BgL_iboxesz00_12162); 
PROCEDURE_SET(BgL_mainz00_14707, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12163)); 
PROCEDURE_SET(BgL_mainz00_14707, 
(int)(((long)2)), BgL_valza2za2_14705); 
PROCEDURE_SET(BgL_mainz00_14707, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12164)); 
PROCEDURE_SET(BgL_mainz00_14707, 
(int)(((long)4)), BgL_bodyz00_12165); 
PROCEDURE_SET(BgL_mainz00_14707, 
(int)(((long)5)), BgL_runz00_14706); 
PROCEDURE_SET(BgL_mainz00_14707, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12166)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14708;
BgL_objz00_14708 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14706, BgL_objz00_14708); BgL_objz00_14708; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3447z00_14709;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3448z00_14710;
BgL_arg3448z00_14710 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12164))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14711;
BgL_newz00_14711 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26581;
BgL_tmpz00_26581 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14711, BgL_tmpz00_26581, BgL_arg3448z00_14710); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26586; int BgL_tmpz00_26584;
BgL_auxz00_26586 = 
BINT(BgL_siza7ezd2framez75_12166); 
BgL_tmpz00_26584 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14711, BgL_tmpz00_26584, BgL_auxz00_26586); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26589;
BgL_tmpz00_26589 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14711, BgL_tmpz00_26589, BgL_runz00_14706); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26594; int BgL_tmpz00_26592;
BgL_auxz00_26594 = 
BINT(((long)-3)); 
BgL_tmpz00_26592 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14711, BgL_tmpz00_26592, BgL_auxz00_26594); } 
BgL_arg3447z00_14709 = BgL_newz00_14711; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14707, BgL_arg3447z00_14709); BgL_arg3447z00_14709; } 
return BgL_mainz00_14707;} } } } } } 

}



/* &main4256 */
obj_t BGl_z62main4256z62zz__evaluate_compz00(obj_t BgL_envz00_12168, obj_t BgL_cz00_12176, obj_t BgL_dz00_12177, obj_t BgL_lastz00_12178)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12174; long BgL_siza7ezd2framez75_12175;
BgL_runz00_12174 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12175 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14712;
BgL_sz00_14712 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14713;
BgL_bpz00_14713 = 
VECTOR_REF(
((obj_t)BgL_sz00_14712),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14712, BgL_bpz00_14713, 
BINT(BgL_siza7ezd2framez75_12175)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3451z00_14714;
BgL_arg3451z00_14714 = 
(
(long)CINT(BgL_bpz00_14713)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14712),BgL_arg3451z00_14714,BgL_cz00_12176); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3452z00_14715;
BgL_arg3452z00_14715 = 
(
(long)CINT(BgL_bpz00_14713)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14712),BgL_arg3452z00_14715,BgL_dz00_12177); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3453z00_14716;
BgL_arg3453z00_14716 = 
(
(long)CINT(BgL_bpz00_14713)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14712),BgL_arg3453z00_14716,BgL_lastz00_12178); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14717;
BgL_ez00_14717 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14718;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14719;
BgL_arg4066z00_14719 = 
BGL_EXITD_PROTECT(BgL_ez00_14717); 
BgL_arg4065z00_14718 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14713, BgL_arg4066z00_14719); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14717, BgL_arg4065z00_14718); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14720;
BgL_accz00_14720 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12174, BgL_sz00_14712, BgL_bpz00_14713); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5125z00_26627;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14721;
BgL_arg4064z00_14721 = 
BGL_EXITD_PROTECT(BgL_ez00_14717); 
BgL_test5125z00_26627 = 
PAIRP(BgL_arg4064z00_14721); } 
if(BgL_test5125z00_26627)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14722;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14723;
BgL_arg4063z00_14723 = 
BGL_EXITD_PROTECT(BgL_ez00_14717); 
BgL_arg4062z00_14722 = 
CDR(
((obj_t)BgL_arg4063z00_14723)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14717, BgL_arg4062z00_14722); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14712),((long)0),BgL_bpz00_14713); 
return BgL_accz00_14720;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14724;
BgL_nsz00_14724 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14724,((long)1),BgL_sz00_14712); 
VECTOR_SET(BgL_nsz00_14724,((long)2),BgL_cz00_12176); 
VECTOR_SET(BgL_nsz00_14724,((long)3),BgL_dz00_12177); 
VECTOR_SET(BgL_nsz00_14724,((long)4),BgL_lastz00_12178); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14725;
BgL_z12denvz12_14725 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14725, BgL_nsz00_14724); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14726;
BgL_ez00_14726 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14727;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14728;
BgL_arg4066z00_14728 = 
BGL_EXITD_PROTECT(BgL_ez00_14726); 
BgL_arg4065z00_14727 = 
MAKE_YOUNG_PAIR(BgL_sz00_14712, BgL_arg4066z00_14728); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14726, BgL_arg4065z00_14727); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14729;
BgL_____rz00_14729 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12174, BgL_nsz00_14724, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5126z00_26649;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14730;
BgL_arg4064z00_14730 = 
BGL_EXITD_PROTECT(BgL_ez00_14726); 
BgL_test5126z00_26649 = 
PAIRP(BgL_arg4064z00_14730); } 
if(BgL_test5126z00_26649)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14731;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14732;
BgL_arg4063z00_14732 = 
BGL_EXITD_PROTECT(BgL_ez00_14726); 
BgL_arg4062z00_14731 = 
CDR(
((obj_t)BgL_arg4063z00_14732)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14726, BgL_arg4062z00_14731); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14725, BgL_sz00_14712); 
return BgL_____rz00_14729;} } } } } } } } 

}



/* &run4257 */
obj_t BGl_z62run4257z62zz__evaluate_compz00(obj_t BgL_envz00_12179, obj_t BgL_sz00_12185)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12180; long BgL_siza7eza7_12181; obj_t BgL_valza2za2_12182; BgL_ev_absz00_bglt BgL_i1252z00_12183; obj_t BgL_bodyz00_12184;
BgL_iboxesz00_12180 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12179, 
(int)(((long)0)))); 
BgL_siza7eza7_12181 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12179, 
(int)(((long)1)))); 
BgL_valza2za2_12182 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12179, 
(int)(((long)2)))); 
BgL_i1252z00_12183 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12179, 
(int)(((long)3)))); 
BgL_bodyz00_12184 = 
PROCEDURE_REF(BgL_envz00_12179, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14733;
BgL_bpz00_14733 = 
VECTOR_REF(
((obj_t)BgL_sz00_12185),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12185, BgL_iboxesz00_12180, BgL_bpz00_14733); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12185, BgL_valza2za2_12182, 
(
(long)CINT(BgL_bpz00_14733)+BgL_siza7eza7_12181)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14734; obj_t BgL_wherez00_14735; obj_t BgL_locz00_14736;
BgL_z12denvz12_14734 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14735 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12183))->BgL_wherez00); 
BgL_locz00_14736 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12183))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14734, BgL_wherez00_14735, BgL_locz00_14736); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14737;
BgL_za2za2resza2za2z00_14737 = 
PROCEDURE_ENTRY(BgL_bodyz00_12184)(BgL_bodyz00_12184, BgL_sz00_12185, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14734); 
return BgL_za2za2resza2za2z00_14737;} } } } } } 

}



/* &<@anonymous:3372> */
obj_t BGl_z62zc3z04anonymousza33372ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12186, obj_t BgL_sz00_12190)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12187; obj_t BgL_bodyz00_12188; long BgL_siza7ezd2framez75_12189;
BgL_i1252z00_12187 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12186, 
(int)(((long)0)))); 
BgL_bodyz00_12188 = 
PROCEDURE_REF(BgL_envz00_12186, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12189 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12186, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14738;
BgL_bpz00_14738 = 
VECTOR_REF(
((obj_t)BgL_sz00_12190),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14739;
BgL_runz00_14739 = 
MAKE_FX_PROCEDURE(BGl_z62run4259z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14739, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12187)); 
PROCEDURE_SET(BgL_runz00_14739, 
(int)(((long)1)), BgL_bodyz00_12188); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14740;
BgL_mainz00_14740 = 
MAKE_FX_PROCEDURE(BGl_z62main4258z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14740, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12187)); 
PROCEDURE_SET(BgL_mainz00_14740, 
(int)(((long)1)), BgL_bodyz00_12188); 
PROCEDURE_SET(BgL_mainz00_14740, 
(int)(((long)2)), BgL_runz00_14739); 
PROCEDURE_SET(BgL_mainz00_14740, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12189)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14741;
BgL_objz00_14741 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14739, BgL_objz00_14741); BgL_objz00_14741; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3373z00_14742;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3374z00_14743;
BgL_arg3374z00_14743 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12187))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14744;
BgL_newz00_14744 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26721;
BgL_tmpz00_26721 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14744, BgL_tmpz00_26721, BgL_arg3374z00_14743); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26726; int BgL_tmpz00_26724;
BgL_auxz00_26726 = 
BINT(BgL_siza7ezd2framez75_12189); 
BgL_tmpz00_26724 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14744, BgL_tmpz00_26724, BgL_auxz00_26726); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26729;
BgL_tmpz00_26729 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14744, BgL_tmpz00_26729, BgL_runz00_14739); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26734; int BgL_tmpz00_26732;
BgL_auxz00_26734 = 
BINT(((long)2)); 
BgL_tmpz00_26732 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14744, BgL_tmpz00_26732, BgL_auxz00_26734); } 
BgL_arg3373z00_14742 = BgL_newz00_14744; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14740, BgL_arg3373z00_14742); BgL_arg3373z00_14742; } 
return BgL_mainz00_14740;} } } } } } 

}



/* &main4258 */
obj_t BGl_z62main4258z62zz__evaluate_compz00(obj_t BgL_envz00_12191, obj_t BgL_cz00_12196, obj_t BgL_dz00_12197)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12194; long BgL_siza7ezd2framez75_12195;
BgL_runz00_12194 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12191, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12195 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12191, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14745;
BgL_sz00_14745 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14746;
BgL_bpz00_14746 = 
VECTOR_REF(
((obj_t)BgL_sz00_14745),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14745, BgL_bpz00_14746, 
BINT(BgL_siza7ezd2framez75_12195)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3377z00_14747;
BgL_arg3377z00_14747 = 
(
(long)CINT(BgL_bpz00_14746)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14745),BgL_arg3377z00_14747,BgL_cz00_12196); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3378z00_14748;
BgL_arg3378z00_14748 = 
(
(long)CINT(BgL_bpz00_14746)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14745),BgL_arg3378z00_14748,BgL_dz00_12197); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14749;
BgL_ez00_14749 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14750;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14751;
BgL_arg4066z00_14751 = 
BGL_EXITD_PROTECT(BgL_ez00_14749); 
BgL_arg4065z00_14750 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14746, BgL_arg4066z00_14751); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14749, BgL_arg4065z00_14750); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14752;
BgL_accz00_14752 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12194, BgL_sz00_14745, BgL_bpz00_14746); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5128z00_26763;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14753;
BgL_arg4064z00_14753 = 
BGL_EXITD_PROTECT(BgL_ez00_14749); 
BgL_test5128z00_26763 = 
PAIRP(BgL_arg4064z00_14753); } 
if(BgL_test5128z00_26763)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14754;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14755;
BgL_arg4063z00_14755 = 
BGL_EXITD_PROTECT(BgL_ez00_14749); 
BgL_arg4062z00_14754 = 
CDR(
((obj_t)BgL_arg4063z00_14755)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14749, BgL_arg4062z00_14754); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14745),((long)0),BgL_bpz00_14746); 
return BgL_accz00_14752;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14756;
BgL_nsz00_14756 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14756,((long)1),BgL_sz00_14745); 
VECTOR_SET(BgL_nsz00_14756,((long)2),BgL_cz00_12196); 
VECTOR_SET(BgL_nsz00_14756,((long)3),BgL_dz00_12197); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14757;
BgL_z12denvz12_14757 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14757, BgL_nsz00_14756); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14758;
BgL_ez00_14758 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14759;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14760;
BgL_arg4066z00_14760 = 
BGL_EXITD_PROTECT(BgL_ez00_14758); 
BgL_arg4065z00_14759 = 
MAKE_YOUNG_PAIR(BgL_sz00_14745, BgL_arg4066z00_14760); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14758, BgL_arg4065z00_14759); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14761;
BgL_____rz00_14761 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12194, BgL_nsz00_14756, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5129z00_26784;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14762;
BgL_arg4064z00_14762 = 
BGL_EXITD_PROTECT(BgL_ez00_14758); 
BgL_test5129z00_26784 = 
PAIRP(BgL_arg4064z00_14762); } 
if(BgL_test5129z00_26784)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14763;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14764;
BgL_arg4063z00_14764 = 
BGL_EXITD_PROTECT(BgL_ez00_14758); 
BgL_arg4062z00_14763 = 
CDR(
((obj_t)BgL_arg4063z00_14764)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14758, BgL_arg4062z00_14763); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14757, BgL_sz00_14745); 
return BgL_____rz00_14761;} } } } } } } } 

}



/* &run4259 */
obj_t BGl_z62run4259z62zz__evaluate_compz00(obj_t BgL_envz00_12198, obj_t BgL_sz00_12201)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12199; obj_t BgL_bodyz00_12200;
BgL_i1252z00_12199 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12198, 
(int)(((long)0)))); 
BgL_bodyz00_12200 = 
PROCEDURE_REF(BgL_envz00_12198, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14765;
BgL_bpz00_14765 = 
VECTOR_REF(
((obj_t)BgL_sz00_12201),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14766; obj_t BgL_wherez00_14767; obj_t BgL_locz00_14768;
BgL_z12denvz12_14766 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14767 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12199))->BgL_wherez00); 
BgL_locz00_14768 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12199))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14766, BgL_wherez00_14767, BgL_locz00_14768); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14769;
BgL_za2za2resza2za2z00_14769 = 
PROCEDURE_ENTRY(BgL_bodyz00_12200)(BgL_bodyz00_12200, BgL_sz00_12201, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14766); 
return BgL_za2za2resza2za2z00_14769;} } } } } } 

}



/* &<@anonymous:3380> */
obj_t BGl_z62zc3z04anonymousza33380ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12202, obj_t BgL_sz00_12207)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12203; BgL_ev_absz00_bglt BgL_i1252z00_12204; obj_t BgL_bodyz00_12205; long BgL_siza7ezd2framez75_12206;
BgL_iboxesz00_12203 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12202, 
(int)(((long)0)))); 
BgL_i1252z00_12204 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12202, 
(int)(((long)1)))); 
BgL_bodyz00_12205 = 
PROCEDURE_REF(BgL_envz00_12202, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12206 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12202, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14770;
BgL_bpz00_14770 = 
VECTOR_REF(
((obj_t)BgL_sz00_12207),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14771;
BgL_runz00_14771 = 
MAKE_FX_PROCEDURE(BGl_z62run4261z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14771, 
(int)(((long)0)), BgL_iboxesz00_12203); 
PROCEDURE_SET(BgL_runz00_14771, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12204)); 
PROCEDURE_SET(BgL_runz00_14771, 
(int)(((long)2)), BgL_bodyz00_12205); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14772;
BgL_mainz00_14772 = 
MAKE_FX_PROCEDURE(BGl_z62main4260z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14772, 
(int)(((long)0)), BgL_iboxesz00_12203); 
PROCEDURE_SET(BgL_mainz00_14772, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12204)); 
PROCEDURE_SET(BgL_mainz00_14772, 
(int)(((long)2)), BgL_bodyz00_12205); 
PROCEDURE_SET(BgL_mainz00_14772, 
(int)(((long)3)), BgL_runz00_14771); 
PROCEDURE_SET(BgL_mainz00_14772, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12206)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14773;
BgL_objz00_14773 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14771, BgL_objz00_14773); BgL_objz00_14773; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3381z00_14774;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3382z00_14775;
BgL_arg3382z00_14775 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12204))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14776;
BgL_newz00_14776 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26850;
BgL_tmpz00_26850 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14776, BgL_tmpz00_26850, BgL_arg3382z00_14775); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26855; int BgL_tmpz00_26853;
BgL_auxz00_26855 = 
BINT(BgL_siza7ezd2framez75_12206); 
BgL_tmpz00_26853 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14776, BgL_tmpz00_26853, BgL_auxz00_26855); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26858;
BgL_tmpz00_26858 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14776, BgL_tmpz00_26858, BgL_runz00_14771); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26863; int BgL_tmpz00_26861;
BgL_auxz00_26863 = 
BINT(((long)2)); 
BgL_tmpz00_26861 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14776, BgL_tmpz00_26861, BgL_auxz00_26863); } 
BgL_arg3381z00_14774 = BgL_newz00_14776; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14772, BgL_arg3381z00_14774); BgL_arg3381z00_14774; } 
return BgL_mainz00_14772;} } } } } } 

}



/* &main4260 */
obj_t BGl_z62main4260z62zz__evaluate_compz00(obj_t BgL_envz00_12208, obj_t BgL_cz00_12214, obj_t BgL_dz00_12215)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12212; long BgL_siza7ezd2framez75_12213;
BgL_runz00_12212 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12208, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12213 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12208, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14777;
BgL_sz00_14777 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14778;
BgL_bpz00_14778 = 
VECTOR_REF(
((obj_t)BgL_sz00_14777),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14777, BgL_bpz00_14778, 
BINT(BgL_siza7ezd2framez75_12213)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3385z00_14779;
BgL_arg3385z00_14779 = 
(
(long)CINT(BgL_bpz00_14778)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14777),BgL_arg3385z00_14779,BgL_cz00_12214); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3386z00_14780;
BgL_arg3386z00_14780 = 
(
(long)CINT(BgL_bpz00_14778)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14777),BgL_arg3386z00_14780,BgL_dz00_12215); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14781;
BgL_ez00_14781 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14782;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14783;
BgL_arg4066z00_14783 = 
BGL_EXITD_PROTECT(BgL_ez00_14781); 
BgL_arg4065z00_14782 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14778, BgL_arg4066z00_14783); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14781, BgL_arg4065z00_14782); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14784;
BgL_accz00_14784 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12212, BgL_sz00_14777, BgL_bpz00_14778); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5131z00_26892;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14785;
BgL_arg4064z00_14785 = 
BGL_EXITD_PROTECT(BgL_ez00_14781); 
BgL_test5131z00_26892 = 
PAIRP(BgL_arg4064z00_14785); } 
if(BgL_test5131z00_26892)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14786;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14787;
BgL_arg4063z00_14787 = 
BGL_EXITD_PROTECT(BgL_ez00_14781); 
BgL_arg4062z00_14786 = 
CDR(
((obj_t)BgL_arg4063z00_14787)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14781, BgL_arg4062z00_14786); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14777),((long)0),BgL_bpz00_14778); 
return BgL_accz00_14784;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14788;
BgL_nsz00_14788 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14788,((long)1),BgL_sz00_14777); 
VECTOR_SET(BgL_nsz00_14788,((long)2),BgL_cz00_12214); 
VECTOR_SET(BgL_nsz00_14788,((long)3),BgL_dz00_12215); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14789;
BgL_z12denvz12_14789 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14789, BgL_nsz00_14788); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14790;
BgL_ez00_14790 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14791;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14792;
BgL_arg4066z00_14792 = 
BGL_EXITD_PROTECT(BgL_ez00_14790); 
BgL_arg4065z00_14791 = 
MAKE_YOUNG_PAIR(BgL_sz00_14777, BgL_arg4066z00_14792); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14790, BgL_arg4065z00_14791); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14793;
BgL_____rz00_14793 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12212, BgL_nsz00_14788, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5132z00_26913;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14794;
BgL_arg4064z00_14794 = 
BGL_EXITD_PROTECT(BgL_ez00_14790); 
BgL_test5132z00_26913 = 
PAIRP(BgL_arg4064z00_14794); } 
if(BgL_test5132z00_26913)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14795;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14796;
BgL_arg4063z00_14796 = 
BGL_EXITD_PROTECT(BgL_ez00_14790); 
BgL_arg4062z00_14795 = 
CDR(
((obj_t)BgL_arg4063z00_14796)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14790, BgL_arg4062z00_14795); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14789, BgL_sz00_14777); 
return BgL_____rz00_14793;} } } } } } } } 

}



/* &run4261 */
obj_t BGl_z62run4261z62zz__evaluate_compz00(obj_t BgL_envz00_12216, obj_t BgL_sz00_12220)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12217; BgL_ev_absz00_bglt BgL_i1252z00_12218; obj_t BgL_bodyz00_12219;
BgL_iboxesz00_12217 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12216, 
(int)(((long)0)))); 
BgL_i1252z00_12218 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12216, 
(int)(((long)1)))); 
BgL_bodyz00_12219 = 
PROCEDURE_REF(BgL_envz00_12216, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14797;
BgL_bpz00_14797 = 
VECTOR_REF(
((obj_t)BgL_sz00_12220),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12220, BgL_iboxesz00_12217, BgL_bpz00_14797); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14798; obj_t BgL_wherez00_14799; obj_t BgL_locz00_14800;
BgL_z12denvz12_14798 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14799 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12218))->BgL_wherez00); 
BgL_locz00_14800 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12218))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14798, BgL_wherez00_14799, BgL_locz00_14800); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14801;
BgL_za2za2resza2za2z00_14801 = 
PROCEDURE_ENTRY(BgL_bodyz00_12219)(BgL_bodyz00_12219, BgL_sz00_12220, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14798); 
return BgL_za2za2resza2za2z00_14801;} } } } } } 

}



/* &<@anonymous:3391> */
obj_t BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12221, obj_t BgL_sz00_12227)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12222; long BgL_siza7eza7_12223; BgL_ev_absz00_bglt BgL_i1252z00_12224; obj_t BgL_bodyz00_12225; long BgL_siza7ezd2framez75_12226;
BgL_ifreesz00_12222 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)0)))); 
BgL_siza7eza7_12223 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)1)))); 
BgL_i1252z00_12224 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)2)))); 
BgL_bodyz00_12225 = 
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12226 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14802;
BgL_bpz00_14802 = 
VECTOR_REF(
((obj_t)BgL_sz00_12227),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14803;
BgL_valza2za2_14803 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12227, BgL_bpz00_14802, BgL_ifreesz00_12222); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14804;
BgL_runz00_14804 = 
MAKE_FX_PROCEDURE(BGl_z62run4263z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14804, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12223)); 
PROCEDURE_SET(BgL_runz00_14804, 
(int)(((long)1)), BgL_valza2za2_14803); 
PROCEDURE_SET(BgL_runz00_14804, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12224)); 
PROCEDURE_SET(BgL_runz00_14804, 
(int)(((long)3)), BgL_bodyz00_12225); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14805;
BgL_mainz00_14805 = 
MAKE_FX_PROCEDURE(BGl_z62main4262z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14805, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12223)); 
PROCEDURE_SET(BgL_mainz00_14805, 
(int)(((long)1)), BgL_valza2za2_14803); 
PROCEDURE_SET(BgL_mainz00_14805, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12224)); 
PROCEDURE_SET(BgL_mainz00_14805, 
(int)(((long)3)), BgL_bodyz00_12225); 
PROCEDURE_SET(BgL_mainz00_14805, 
(int)(((long)4)), BgL_runz00_14804); 
PROCEDURE_SET(BgL_mainz00_14805, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12226)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14806;
BgL_objz00_14806 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14804, BgL_objz00_14806); BgL_objz00_14806; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3392z00_14807;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3393z00_14808;
BgL_arg3393z00_14808 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12224))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14809;
BgL_newz00_14809 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26993;
BgL_tmpz00_26993 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14809, BgL_tmpz00_26993, BgL_arg3393z00_14808); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26998; int BgL_tmpz00_26996;
BgL_auxz00_26998 = 
BINT(BgL_siza7ezd2framez75_12226); 
BgL_tmpz00_26996 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14809, BgL_tmpz00_26996, BgL_auxz00_26998); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27001;
BgL_tmpz00_27001 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14809, BgL_tmpz00_27001, BgL_runz00_14804); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27006; int BgL_tmpz00_27004;
BgL_auxz00_27006 = 
BINT(((long)2)); 
BgL_tmpz00_27004 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14809, BgL_tmpz00_27004, BgL_auxz00_27006); } 
BgL_arg3392z00_14807 = BgL_newz00_14809; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14805, BgL_arg3392z00_14807); BgL_arg3392z00_14807; } 
return BgL_mainz00_14805;} } } } } } 

}



/* &main4262 */
obj_t BGl_z62main4262z62zz__evaluate_compz00(obj_t BgL_envz00_12228, obj_t BgL_cz00_12235, obj_t BgL_dz00_12236)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12233; long BgL_siza7ezd2framez75_12234;
BgL_runz00_12233 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12228, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12234 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12228, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14810;
BgL_sz00_14810 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14811;
BgL_bpz00_14811 = 
VECTOR_REF(
((obj_t)BgL_sz00_14810),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14810, BgL_bpz00_14811, 
BINT(BgL_siza7ezd2framez75_12234)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3396z00_14812;
BgL_arg3396z00_14812 = 
(
(long)CINT(BgL_bpz00_14811)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14810),BgL_arg3396z00_14812,BgL_cz00_12235); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3397z00_14813;
BgL_arg3397z00_14813 = 
(
(long)CINT(BgL_bpz00_14811)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14810),BgL_arg3397z00_14813,BgL_dz00_12236); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14814;
BgL_ez00_14814 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14815;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14816;
BgL_arg4066z00_14816 = 
BGL_EXITD_PROTECT(BgL_ez00_14814); 
BgL_arg4065z00_14815 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14811, BgL_arg4066z00_14816); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14814, BgL_arg4065z00_14815); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14817;
BgL_accz00_14817 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12233, BgL_sz00_14810, BgL_bpz00_14811); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5134z00_27035;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14818;
BgL_arg4064z00_14818 = 
BGL_EXITD_PROTECT(BgL_ez00_14814); 
BgL_test5134z00_27035 = 
PAIRP(BgL_arg4064z00_14818); } 
if(BgL_test5134z00_27035)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14819;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14820;
BgL_arg4063z00_14820 = 
BGL_EXITD_PROTECT(BgL_ez00_14814); 
BgL_arg4062z00_14819 = 
CDR(
((obj_t)BgL_arg4063z00_14820)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14814, BgL_arg4062z00_14819); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14810),((long)0),BgL_bpz00_14811); 
return BgL_accz00_14817;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14821;
BgL_nsz00_14821 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14821,((long)1),BgL_sz00_14810); 
VECTOR_SET(BgL_nsz00_14821,((long)2),BgL_cz00_12235); 
VECTOR_SET(BgL_nsz00_14821,((long)3),BgL_dz00_12236); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14822;
BgL_z12denvz12_14822 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14822, BgL_nsz00_14821); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14823;
BgL_ez00_14823 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14824;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14825;
BgL_arg4066z00_14825 = 
BGL_EXITD_PROTECT(BgL_ez00_14823); 
BgL_arg4065z00_14824 = 
MAKE_YOUNG_PAIR(BgL_sz00_14810, BgL_arg4066z00_14825); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14823, BgL_arg4065z00_14824); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14826;
BgL_____rz00_14826 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12233, BgL_nsz00_14821, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5135z00_27056;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14827;
BgL_arg4064z00_14827 = 
BGL_EXITD_PROTECT(BgL_ez00_14823); 
BgL_test5135z00_27056 = 
PAIRP(BgL_arg4064z00_14827); } 
if(BgL_test5135z00_27056)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14828;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14829;
BgL_arg4063z00_14829 = 
BGL_EXITD_PROTECT(BgL_ez00_14823); 
BgL_arg4062z00_14828 = 
CDR(
((obj_t)BgL_arg4063z00_14829)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14823, BgL_arg4062z00_14828); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14822, BgL_sz00_14810); 
return BgL_____rz00_14826;} } } } } } } } 

}



/* &run4263 */
obj_t BGl_z62run4263z62zz__evaluate_compz00(obj_t BgL_envz00_12237, obj_t BgL_sz00_12242)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12238; obj_t BgL_valza2za2_12239; BgL_ev_absz00_bglt BgL_i1252z00_12240; obj_t BgL_bodyz00_12241;
BgL_siza7eza7_12238 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12237, 
(int)(((long)0)))); 
BgL_valza2za2_12239 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12237, 
(int)(((long)1)))); 
BgL_i1252z00_12240 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12237, 
(int)(((long)2)))); 
BgL_bodyz00_12241 = 
PROCEDURE_REF(BgL_envz00_12237, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14830;
BgL_bpz00_14830 = 
VECTOR_REF(
((obj_t)BgL_sz00_12242),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12242, BgL_valza2za2_12239, 
(
(long)CINT(BgL_bpz00_14830)+BgL_siza7eza7_12238)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14831; obj_t BgL_wherez00_14832; obj_t BgL_locz00_14833;
BgL_z12denvz12_14831 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14832 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12240))->BgL_wherez00); 
BgL_locz00_14833 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12240))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14831, BgL_wherez00_14832, BgL_locz00_14833); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14834;
BgL_za2za2resza2za2z00_14834 = 
PROCEDURE_ENTRY(BgL_bodyz00_12241)(BgL_bodyz00_12241, BgL_sz00_12242, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14831); 
return BgL_za2za2resza2za2z00_14834;} } } } } } 

}



/* &<@anonymous:3400> */
obj_t BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12243, obj_t BgL_sz00_12250)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12244; obj_t BgL_iboxesz00_12245; long BgL_siza7eza7_12246; BgL_ev_absz00_bglt BgL_i1252z00_12247; obj_t BgL_bodyz00_12248; long BgL_siza7ezd2framez75_12249;
BgL_ifreesz00_12244 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)0)))); 
BgL_iboxesz00_12245 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)1)))); 
BgL_siza7eza7_12246 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)2)))); 
BgL_i1252z00_12247 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)3)))); 
BgL_bodyz00_12248 = 
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12249 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14835;
BgL_bpz00_14835 = 
VECTOR_REF(
((obj_t)BgL_sz00_12250),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14836;
BgL_valza2za2_14836 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12250, BgL_bpz00_14835, BgL_ifreesz00_12244); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14837;
BgL_runz00_14837 = 
MAKE_FX_PROCEDURE(BGl_z62run4265z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14837, 
(int)(((long)0)), BgL_iboxesz00_12245); 
PROCEDURE_SET(BgL_runz00_14837, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12246)); 
PROCEDURE_SET(BgL_runz00_14837, 
(int)(((long)2)), BgL_valza2za2_14836); 
PROCEDURE_SET(BgL_runz00_14837, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12247)); 
PROCEDURE_SET(BgL_runz00_14837, 
(int)(((long)4)), BgL_bodyz00_12248); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14838;
BgL_mainz00_14838 = 
MAKE_FX_PROCEDURE(BGl_z62main4264z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14838, 
(int)(((long)0)), BgL_iboxesz00_12245); 
PROCEDURE_SET(BgL_mainz00_14838, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12246)); 
PROCEDURE_SET(BgL_mainz00_14838, 
(int)(((long)2)), BgL_valza2za2_14836); 
PROCEDURE_SET(BgL_mainz00_14838, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12247)); 
PROCEDURE_SET(BgL_mainz00_14838, 
(int)(((long)4)), BgL_bodyz00_12248); 
PROCEDURE_SET(BgL_mainz00_14838, 
(int)(((long)5)), BgL_runz00_14837); 
PROCEDURE_SET(BgL_mainz00_14838, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12249)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14839;
BgL_objz00_14839 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14837, BgL_objz00_14839); BgL_objz00_14839; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3401z00_14840;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3402z00_14841;
BgL_arg3402z00_14841 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12247))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14842;
BgL_newz00_14842 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27148;
BgL_tmpz00_27148 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14842, BgL_tmpz00_27148, BgL_arg3402z00_14841); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27153; int BgL_tmpz00_27151;
BgL_auxz00_27153 = 
BINT(BgL_siza7ezd2framez75_12249); 
BgL_tmpz00_27151 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14842, BgL_tmpz00_27151, BgL_auxz00_27153); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27156;
BgL_tmpz00_27156 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14842, BgL_tmpz00_27156, BgL_runz00_14837); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27161; int BgL_tmpz00_27159;
BgL_auxz00_27161 = 
BINT(((long)2)); 
BgL_tmpz00_27159 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14842, BgL_tmpz00_27159, BgL_auxz00_27161); } 
BgL_arg3401z00_14840 = BgL_newz00_14842; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14838, BgL_arg3401z00_14840); BgL_arg3401z00_14840; } 
return BgL_mainz00_14838;} } } } } } 

}



/* &main4264 */
obj_t BGl_z62main4264z62zz__evaluate_compz00(obj_t BgL_envz00_12251, obj_t BgL_cz00_12259, obj_t BgL_dz00_12260)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12257; long BgL_siza7ezd2framez75_12258;
BgL_runz00_12257 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12251, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12258 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12251, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14843;
BgL_sz00_14843 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14844;
BgL_bpz00_14844 = 
VECTOR_REF(
((obj_t)BgL_sz00_14843),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14843, BgL_bpz00_14844, 
BINT(BgL_siza7ezd2framez75_12258)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3405z00_14845;
BgL_arg3405z00_14845 = 
(
(long)CINT(BgL_bpz00_14844)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14843),BgL_arg3405z00_14845,BgL_cz00_12259); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3406z00_14846;
BgL_arg3406z00_14846 = 
(
(long)CINT(BgL_bpz00_14844)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14843),BgL_arg3406z00_14846,BgL_dz00_12260); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14847;
BgL_ez00_14847 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14848;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14849;
BgL_arg4066z00_14849 = 
BGL_EXITD_PROTECT(BgL_ez00_14847); 
BgL_arg4065z00_14848 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14844, BgL_arg4066z00_14849); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14847, BgL_arg4065z00_14848); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14850;
BgL_accz00_14850 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12257, BgL_sz00_14843, BgL_bpz00_14844); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5137z00_27190;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14851;
BgL_arg4064z00_14851 = 
BGL_EXITD_PROTECT(BgL_ez00_14847); 
BgL_test5137z00_27190 = 
PAIRP(BgL_arg4064z00_14851); } 
if(BgL_test5137z00_27190)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14852;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14853;
BgL_arg4063z00_14853 = 
BGL_EXITD_PROTECT(BgL_ez00_14847); 
BgL_arg4062z00_14852 = 
CDR(
((obj_t)BgL_arg4063z00_14853)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14847, BgL_arg4062z00_14852); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14843),((long)0),BgL_bpz00_14844); 
return BgL_accz00_14850;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14854;
BgL_nsz00_14854 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14854,((long)1),BgL_sz00_14843); 
VECTOR_SET(BgL_nsz00_14854,((long)2),BgL_cz00_12259); 
VECTOR_SET(BgL_nsz00_14854,((long)3),BgL_dz00_12260); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14855;
BgL_z12denvz12_14855 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14855, BgL_nsz00_14854); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14856;
BgL_ez00_14856 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14857;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14858;
BgL_arg4066z00_14858 = 
BGL_EXITD_PROTECT(BgL_ez00_14856); 
BgL_arg4065z00_14857 = 
MAKE_YOUNG_PAIR(BgL_sz00_14843, BgL_arg4066z00_14858); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14856, BgL_arg4065z00_14857); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14859;
BgL_____rz00_14859 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12257, BgL_nsz00_14854, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5138z00_27211;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14860;
BgL_arg4064z00_14860 = 
BGL_EXITD_PROTECT(BgL_ez00_14856); 
BgL_test5138z00_27211 = 
PAIRP(BgL_arg4064z00_14860); } 
if(BgL_test5138z00_27211)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14861;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14862;
BgL_arg4063z00_14862 = 
BGL_EXITD_PROTECT(BgL_ez00_14856); 
BgL_arg4062z00_14861 = 
CDR(
((obj_t)BgL_arg4063z00_14862)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14856, BgL_arg4062z00_14861); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14855, BgL_sz00_14843); 
return BgL_____rz00_14859;} } } } } } } } 

}



/* &run4265 */
obj_t BGl_z62run4265z62zz__evaluate_compz00(obj_t BgL_envz00_12261, obj_t BgL_sz00_12267)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12262; long BgL_siza7eza7_12263; obj_t BgL_valza2za2_12264; BgL_ev_absz00_bglt BgL_i1252z00_12265; obj_t BgL_bodyz00_12266;
BgL_iboxesz00_12262 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12261, 
(int)(((long)0)))); 
BgL_siza7eza7_12263 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12261, 
(int)(((long)1)))); 
BgL_valza2za2_12264 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12261, 
(int)(((long)2)))); 
BgL_i1252z00_12265 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12261, 
(int)(((long)3)))); 
BgL_bodyz00_12266 = 
PROCEDURE_REF(BgL_envz00_12261, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14863;
BgL_bpz00_14863 = 
VECTOR_REF(
((obj_t)BgL_sz00_12267),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12267, BgL_iboxesz00_12262, BgL_bpz00_14863); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12267, BgL_valza2za2_12264, 
(
(long)CINT(BgL_bpz00_14863)+BgL_siza7eza7_12263)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14864; obj_t BgL_wherez00_14865; obj_t BgL_locz00_14866;
BgL_z12denvz12_14864 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14865 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12265))->BgL_wherez00); 
BgL_locz00_14866 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12265))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14864, BgL_wherez00_14865, BgL_locz00_14866); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14867;
BgL_za2za2resza2za2z00_14867 = 
PROCEDURE_ENTRY(BgL_bodyz00_12266)(BgL_bodyz00_12266, BgL_sz00_12267, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14864); 
return BgL_za2za2resza2za2z00_14867;} } } } } } 

}



/* &<@anonymous:3329> */
obj_t BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12268, obj_t BgL_sz00_12272)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12269; obj_t BgL_bodyz00_12270; long BgL_siza7ezd2framez75_12271;
BgL_i1252z00_12269 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12268, 
(int)(((long)0)))); 
BgL_bodyz00_12270 = 
PROCEDURE_REF(BgL_envz00_12268, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12271 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12268, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14868;
BgL_bpz00_14868 = 
VECTOR_REF(
((obj_t)BgL_sz00_12272),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14869;
BgL_runz00_14869 = 
MAKE_FX_PROCEDURE(BGl_z62run4267z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14869, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12269)); 
PROCEDURE_SET(BgL_runz00_14869, 
(int)(((long)1)), BgL_bodyz00_12270); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14870;
BgL_mainz00_14870 = 
MAKE_VA_PROCEDURE(BGl_z62main4266z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14870, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12269)); 
PROCEDURE_SET(BgL_mainz00_14870, 
(int)(((long)1)), BgL_bodyz00_12270); 
PROCEDURE_SET(BgL_mainz00_14870, 
(int)(((long)2)), BgL_runz00_14869); 
PROCEDURE_SET(BgL_mainz00_14870, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12271)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14871;
BgL_objz00_14871 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14869, BgL_objz00_14871); BgL_objz00_14871; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3330z00_14872;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3331z00_14873;
BgL_arg3331z00_14873 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12269))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14874;
BgL_newz00_14874 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27283;
BgL_tmpz00_27283 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14874, BgL_tmpz00_27283, BgL_arg3331z00_14873); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27288; int BgL_tmpz00_27286;
BgL_auxz00_27288 = 
BINT(BgL_siza7ezd2framez75_12271); 
BgL_tmpz00_27286 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14874, BgL_tmpz00_27286, BgL_auxz00_27288); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27291;
BgL_tmpz00_27291 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14874, BgL_tmpz00_27291, BgL_runz00_14869); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27296; int BgL_tmpz00_27294;
BgL_auxz00_27296 = 
BINT(((long)-2)); 
BgL_tmpz00_27294 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14874, BgL_tmpz00_27294, BgL_auxz00_27296); } 
BgL_arg3330z00_14872 = BgL_newz00_14874; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14870, BgL_arg3330z00_14872); BgL_arg3330z00_14872; } 
return BgL_mainz00_14870;} } } } } } 

}



/* &main4266 */
obj_t BGl_z62main4266z62zz__evaluate_compz00(obj_t BgL_envz00_12273, obj_t BgL_dz00_12278, obj_t BgL_lastz00_12279)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12276; long BgL_siza7ezd2framez75_12277;
BgL_runz00_12276 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12273, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12277 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12273, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14875;
BgL_sz00_14875 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14876;
BgL_bpz00_14876 = 
VECTOR_REF(
((obj_t)BgL_sz00_14875),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14875, BgL_bpz00_14876, 
BINT(BgL_siza7ezd2framez75_12277)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3334z00_14877;
BgL_arg3334z00_14877 = 
(
(long)CINT(BgL_bpz00_14876)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14875),BgL_arg3334z00_14877,BgL_dz00_12278); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3335z00_14878;
BgL_arg3335z00_14878 = 
(
(long)CINT(BgL_bpz00_14876)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14875),BgL_arg3335z00_14878,BgL_lastz00_12279); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14879;
BgL_ez00_14879 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14880;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14881;
BgL_arg4066z00_14881 = 
BGL_EXITD_PROTECT(BgL_ez00_14879); 
BgL_arg4065z00_14880 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14876, BgL_arg4066z00_14881); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14879, BgL_arg4065z00_14880); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14882;
BgL_accz00_14882 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12276, BgL_sz00_14875, BgL_bpz00_14876); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5140z00_27325;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14883;
BgL_arg4064z00_14883 = 
BGL_EXITD_PROTECT(BgL_ez00_14879); 
BgL_test5140z00_27325 = 
PAIRP(BgL_arg4064z00_14883); } 
if(BgL_test5140z00_27325)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14884;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14885;
BgL_arg4063z00_14885 = 
BGL_EXITD_PROTECT(BgL_ez00_14879); 
BgL_arg4062z00_14884 = 
CDR(
((obj_t)BgL_arg4063z00_14885)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14879, BgL_arg4062z00_14884); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14875),((long)0),BgL_bpz00_14876); 
return BgL_accz00_14882;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14886;
BgL_nsz00_14886 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14886,((long)1),BgL_sz00_14875); 
VECTOR_SET(BgL_nsz00_14886,((long)2),BgL_dz00_12278); 
VECTOR_SET(BgL_nsz00_14886,((long)3),BgL_lastz00_12279); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14887;
BgL_z12denvz12_14887 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14887, BgL_nsz00_14886); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14888;
BgL_ez00_14888 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14889;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14890;
BgL_arg4066z00_14890 = 
BGL_EXITD_PROTECT(BgL_ez00_14888); 
BgL_arg4065z00_14889 = 
MAKE_YOUNG_PAIR(BgL_sz00_14875, BgL_arg4066z00_14890); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14888, BgL_arg4065z00_14889); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14891;
BgL_____rz00_14891 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12276, BgL_nsz00_14886, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5141z00_27346;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14892;
BgL_arg4064z00_14892 = 
BGL_EXITD_PROTECT(BgL_ez00_14888); 
BgL_test5141z00_27346 = 
PAIRP(BgL_arg4064z00_14892); } 
if(BgL_test5141z00_27346)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14893;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14894;
BgL_arg4063z00_14894 = 
BGL_EXITD_PROTECT(BgL_ez00_14888); 
BgL_arg4062z00_14893 = 
CDR(
((obj_t)BgL_arg4063z00_14894)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14888, BgL_arg4062z00_14893); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14887, BgL_sz00_14875); 
return BgL_____rz00_14891;} } } } } } } } 

}



/* &run4267 */
obj_t BGl_z62run4267z62zz__evaluate_compz00(obj_t BgL_envz00_12280, obj_t BgL_sz00_12283)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12281; obj_t BgL_bodyz00_12282;
BgL_i1252z00_12281 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)0)))); 
BgL_bodyz00_12282 = 
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14895;
BgL_bpz00_14895 = 
VECTOR_REF(
((obj_t)BgL_sz00_12283),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14896; obj_t BgL_wherez00_14897; obj_t BgL_locz00_14898;
BgL_z12denvz12_14896 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14897 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12281))->BgL_wherez00); 
BgL_locz00_14898 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12281))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14896, BgL_wherez00_14897, BgL_locz00_14898); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14899;
BgL_za2za2resza2za2z00_14899 = 
PROCEDURE_ENTRY(BgL_bodyz00_12282)(BgL_bodyz00_12282, BgL_sz00_12283, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14896); 
return BgL_za2za2resza2za2z00_14899;} } } } } } 

}



/* &<@anonymous:3337> */
obj_t BGl_z62zc3z04anonymousza33337ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12284, obj_t BgL_sz00_12289)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12285; BgL_ev_absz00_bglt BgL_i1252z00_12286; obj_t BgL_bodyz00_12287; long BgL_siza7ezd2framez75_12288;
BgL_iboxesz00_12285 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12284, 
(int)(((long)0)))); 
BgL_i1252z00_12286 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12284, 
(int)(((long)1)))); 
BgL_bodyz00_12287 = 
PROCEDURE_REF(BgL_envz00_12284, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12288 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12284, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14900;
BgL_bpz00_14900 = 
VECTOR_REF(
((obj_t)BgL_sz00_12289),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14901;
BgL_runz00_14901 = 
MAKE_FX_PROCEDURE(BGl_z62run4269z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14901, 
(int)(((long)0)), BgL_iboxesz00_12285); 
PROCEDURE_SET(BgL_runz00_14901, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12286)); 
PROCEDURE_SET(BgL_runz00_14901, 
(int)(((long)2)), BgL_bodyz00_12287); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14902;
BgL_mainz00_14902 = 
MAKE_VA_PROCEDURE(BGl_z62main4268z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14902, 
(int)(((long)0)), BgL_iboxesz00_12285); 
PROCEDURE_SET(BgL_mainz00_14902, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12286)); 
PROCEDURE_SET(BgL_mainz00_14902, 
(int)(((long)2)), BgL_bodyz00_12287); 
PROCEDURE_SET(BgL_mainz00_14902, 
(int)(((long)3)), BgL_runz00_14901); 
PROCEDURE_SET(BgL_mainz00_14902, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12288)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14903;
BgL_objz00_14903 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14901, BgL_objz00_14903); BgL_objz00_14903; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3338z00_14904;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3339z00_14905;
BgL_arg3339z00_14905 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12286))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14906;
BgL_newz00_14906 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27412;
BgL_tmpz00_27412 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14906, BgL_tmpz00_27412, BgL_arg3339z00_14905); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27417; int BgL_tmpz00_27415;
BgL_auxz00_27417 = 
BINT(BgL_siza7ezd2framez75_12288); 
BgL_tmpz00_27415 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14906, BgL_tmpz00_27415, BgL_auxz00_27417); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27420;
BgL_tmpz00_27420 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14906, BgL_tmpz00_27420, BgL_runz00_14901); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27425; int BgL_tmpz00_27423;
BgL_auxz00_27425 = 
BINT(((long)-2)); 
BgL_tmpz00_27423 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14906, BgL_tmpz00_27423, BgL_auxz00_27425); } 
BgL_arg3338z00_14904 = BgL_newz00_14906; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14902, BgL_arg3338z00_14904); BgL_arg3338z00_14904; } 
return BgL_mainz00_14902;} } } } } } 

}



/* &main4268 */
obj_t BGl_z62main4268z62zz__evaluate_compz00(obj_t BgL_envz00_12290, obj_t BgL_dz00_12296, obj_t BgL_lastz00_12297)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12294; long BgL_siza7ezd2framez75_12295;
BgL_runz00_12294 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12295 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14907;
BgL_sz00_14907 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14908;
BgL_bpz00_14908 = 
VECTOR_REF(
((obj_t)BgL_sz00_14907),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14907, BgL_bpz00_14908, 
BINT(BgL_siza7ezd2framez75_12295)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3342z00_14909;
BgL_arg3342z00_14909 = 
(
(long)CINT(BgL_bpz00_14908)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14907),BgL_arg3342z00_14909,BgL_dz00_12296); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3343z00_14910;
BgL_arg3343z00_14910 = 
(
(long)CINT(BgL_bpz00_14908)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14907),BgL_arg3343z00_14910,BgL_lastz00_12297); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14911;
BgL_ez00_14911 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14912;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14913;
BgL_arg4066z00_14913 = 
BGL_EXITD_PROTECT(BgL_ez00_14911); 
BgL_arg4065z00_14912 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14908, BgL_arg4066z00_14913); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14911, BgL_arg4065z00_14912); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14914;
BgL_accz00_14914 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12294, BgL_sz00_14907, BgL_bpz00_14908); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5143z00_27454;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14915;
BgL_arg4064z00_14915 = 
BGL_EXITD_PROTECT(BgL_ez00_14911); 
BgL_test5143z00_27454 = 
PAIRP(BgL_arg4064z00_14915); } 
if(BgL_test5143z00_27454)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14916;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14917;
BgL_arg4063z00_14917 = 
BGL_EXITD_PROTECT(BgL_ez00_14911); 
BgL_arg4062z00_14916 = 
CDR(
((obj_t)BgL_arg4063z00_14917)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14911, BgL_arg4062z00_14916); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14907),((long)0),BgL_bpz00_14908); 
return BgL_accz00_14914;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14918;
BgL_nsz00_14918 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14918,((long)1),BgL_sz00_14907); 
VECTOR_SET(BgL_nsz00_14918,((long)2),BgL_dz00_12296); 
VECTOR_SET(BgL_nsz00_14918,((long)3),BgL_lastz00_12297); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14919;
BgL_z12denvz12_14919 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14919, BgL_nsz00_14918); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14920;
BgL_ez00_14920 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14921;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14922;
BgL_arg4066z00_14922 = 
BGL_EXITD_PROTECT(BgL_ez00_14920); 
BgL_arg4065z00_14921 = 
MAKE_YOUNG_PAIR(BgL_sz00_14907, BgL_arg4066z00_14922); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14920, BgL_arg4065z00_14921); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14923;
BgL_____rz00_14923 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12294, BgL_nsz00_14918, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5144z00_27475;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14924;
BgL_arg4064z00_14924 = 
BGL_EXITD_PROTECT(BgL_ez00_14920); 
BgL_test5144z00_27475 = 
PAIRP(BgL_arg4064z00_14924); } 
if(BgL_test5144z00_27475)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14925;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14926;
BgL_arg4063z00_14926 = 
BGL_EXITD_PROTECT(BgL_ez00_14920); 
BgL_arg4062z00_14925 = 
CDR(
((obj_t)BgL_arg4063z00_14926)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14920, BgL_arg4062z00_14925); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14919, BgL_sz00_14907); 
return BgL_____rz00_14923;} } } } } } } } 

}



/* &run4269 */
obj_t BGl_z62run4269z62zz__evaluate_compz00(obj_t BgL_envz00_12298, obj_t BgL_sz00_12302)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12299; BgL_ev_absz00_bglt BgL_i1252z00_12300; obj_t BgL_bodyz00_12301;
BgL_iboxesz00_12299 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12298, 
(int)(((long)0)))); 
BgL_i1252z00_12300 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12298, 
(int)(((long)1)))); 
BgL_bodyz00_12301 = 
PROCEDURE_REF(BgL_envz00_12298, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14927;
BgL_bpz00_14927 = 
VECTOR_REF(
((obj_t)BgL_sz00_12302),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12302, BgL_iboxesz00_12299, BgL_bpz00_14927); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14928; obj_t BgL_wherez00_14929; obj_t BgL_locz00_14930;
BgL_z12denvz12_14928 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14929 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12300))->BgL_wherez00); 
BgL_locz00_14930 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12300))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14928, BgL_wherez00_14929, BgL_locz00_14930); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14931;
BgL_za2za2resza2za2z00_14931 = 
PROCEDURE_ENTRY(BgL_bodyz00_12301)(BgL_bodyz00_12301, BgL_sz00_12302, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14928); 
return BgL_za2za2resza2za2z00_14931;} } } } } } 

}



/* &<@anonymous:3348> */
obj_t BGl_z62zc3z04anonymousza33348ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12303, obj_t BgL_sz00_12309)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12304; long BgL_siza7eza7_12305; BgL_ev_absz00_bglt BgL_i1252z00_12306; obj_t BgL_bodyz00_12307; long BgL_siza7ezd2framez75_12308;
BgL_ifreesz00_12304 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)0)))); 
BgL_siza7eza7_12305 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)1)))); 
BgL_i1252z00_12306 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)2)))); 
BgL_bodyz00_12307 = 
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12308 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14932;
BgL_bpz00_14932 = 
VECTOR_REF(
((obj_t)BgL_sz00_12309),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14933;
BgL_valza2za2_14933 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12309, BgL_bpz00_14932, BgL_ifreesz00_12304); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14934;
BgL_runz00_14934 = 
MAKE_FX_PROCEDURE(BGl_z62run4271z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14934, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12305)); 
PROCEDURE_SET(BgL_runz00_14934, 
(int)(((long)1)), BgL_valza2za2_14933); 
PROCEDURE_SET(BgL_runz00_14934, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12306)); 
PROCEDURE_SET(BgL_runz00_14934, 
(int)(((long)3)), BgL_bodyz00_12307); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14935;
BgL_mainz00_14935 = 
MAKE_VA_PROCEDURE(BGl_z62main4270z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14935, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12305)); 
PROCEDURE_SET(BgL_mainz00_14935, 
(int)(((long)1)), BgL_valza2za2_14933); 
PROCEDURE_SET(BgL_mainz00_14935, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12306)); 
PROCEDURE_SET(BgL_mainz00_14935, 
(int)(((long)3)), BgL_bodyz00_12307); 
PROCEDURE_SET(BgL_mainz00_14935, 
(int)(((long)4)), BgL_runz00_14934); 
PROCEDURE_SET(BgL_mainz00_14935, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12308)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14936;
BgL_objz00_14936 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14934, BgL_objz00_14936); BgL_objz00_14936; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3349z00_14937;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3350z00_14938;
BgL_arg3350z00_14938 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12306))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14939;
BgL_newz00_14939 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27555;
BgL_tmpz00_27555 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14939, BgL_tmpz00_27555, BgL_arg3350z00_14938); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27560; int BgL_tmpz00_27558;
BgL_auxz00_27560 = 
BINT(BgL_siza7ezd2framez75_12308); 
BgL_tmpz00_27558 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14939, BgL_tmpz00_27558, BgL_auxz00_27560); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27563;
BgL_tmpz00_27563 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14939, BgL_tmpz00_27563, BgL_runz00_14934); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27568; int BgL_tmpz00_27566;
BgL_auxz00_27568 = 
BINT(((long)-2)); 
BgL_tmpz00_27566 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14939, BgL_tmpz00_27566, BgL_auxz00_27568); } 
BgL_arg3349z00_14937 = BgL_newz00_14939; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14935, BgL_arg3349z00_14937); BgL_arg3349z00_14937; } 
return BgL_mainz00_14935;} } } } } } 

}



/* &main4270 */
obj_t BGl_z62main4270z62zz__evaluate_compz00(obj_t BgL_envz00_12310, obj_t BgL_dz00_12317, obj_t BgL_lastz00_12318)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12315; long BgL_siza7ezd2framez75_12316;
BgL_runz00_12315 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12310, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12316 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12310, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14940;
BgL_sz00_14940 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14941;
BgL_bpz00_14941 = 
VECTOR_REF(
((obj_t)BgL_sz00_14940),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14940, BgL_bpz00_14941, 
BINT(BgL_siza7ezd2framez75_12316)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3353z00_14942;
BgL_arg3353z00_14942 = 
(
(long)CINT(BgL_bpz00_14941)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14940),BgL_arg3353z00_14942,BgL_dz00_12317); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3354z00_14943;
BgL_arg3354z00_14943 = 
(
(long)CINT(BgL_bpz00_14941)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14940),BgL_arg3354z00_14943,BgL_lastz00_12318); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14944;
BgL_ez00_14944 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14945;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14946;
BgL_arg4066z00_14946 = 
BGL_EXITD_PROTECT(BgL_ez00_14944); 
BgL_arg4065z00_14945 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14941, BgL_arg4066z00_14946); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14944, BgL_arg4065z00_14945); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14947;
BgL_accz00_14947 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12315, BgL_sz00_14940, BgL_bpz00_14941); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5146z00_27597;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14948;
BgL_arg4064z00_14948 = 
BGL_EXITD_PROTECT(BgL_ez00_14944); 
BgL_test5146z00_27597 = 
PAIRP(BgL_arg4064z00_14948); } 
if(BgL_test5146z00_27597)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14949;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14950;
BgL_arg4063z00_14950 = 
BGL_EXITD_PROTECT(BgL_ez00_14944); 
BgL_arg4062z00_14949 = 
CDR(
((obj_t)BgL_arg4063z00_14950)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14944, BgL_arg4062z00_14949); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14940),((long)0),BgL_bpz00_14941); 
return BgL_accz00_14947;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14951;
BgL_nsz00_14951 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14951,((long)1),BgL_sz00_14940); 
VECTOR_SET(BgL_nsz00_14951,((long)2),BgL_dz00_12317); 
VECTOR_SET(BgL_nsz00_14951,((long)3),BgL_lastz00_12318); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14952;
BgL_z12denvz12_14952 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14952, BgL_nsz00_14951); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14953;
BgL_ez00_14953 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14954;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14955;
BgL_arg4066z00_14955 = 
BGL_EXITD_PROTECT(BgL_ez00_14953); 
BgL_arg4065z00_14954 = 
MAKE_YOUNG_PAIR(BgL_sz00_14940, BgL_arg4066z00_14955); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14953, BgL_arg4065z00_14954); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14956;
BgL_____rz00_14956 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12315, BgL_nsz00_14951, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5147z00_27618;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14957;
BgL_arg4064z00_14957 = 
BGL_EXITD_PROTECT(BgL_ez00_14953); 
BgL_test5147z00_27618 = 
PAIRP(BgL_arg4064z00_14957); } 
if(BgL_test5147z00_27618)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14958;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14959;
BgL_arg4063z00_14959 = 
BGL_EXITD_PROTECT(BgL_ez00_14953); 
BgL_arg4062z00_14958 = 
CDR(
((obj_t)BgL_arg4063z00_14959)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14953, BgL_arg4062z00_14958); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14952, BgL_sz00_14940); 
return BgL_____rz00_14956;} } } } } } } } 

}



/* &run4271 */
obj_t BGl_z62run4271z62zz__evaluate_compz00(obj_t BgL_envz00_12319, obj_t BgL_sz00_12324)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12320; obj_t BgL_valza2za2_12321; BgL_ev_absz00_bglt BgL_i1252z00_12322; obj_t BgL_bodyz00_12323;
BgL_siza7eza7_12320 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12319, 
(int)(((long)0)))); 
BgL_valza2za2_12321 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12319, 
(int)(((long)1)))); 
BgL_i1252z00_12322 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12319, 
(int)(((long)2)))); 
BgL_bodyz00_12323 = 
PROCEDURE_REF(BgL_envz00_12319, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14960;
BgL_bpz00_14960 = 
VECTOR_REF(
((obj_t)BgL_sz00_12324),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12324, BgL_valza2za2_12321, 
(
(long)CINT(BgL_bpz00_14960)+BgL_siza7eza7_12320)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14961; obj_t BgL_wherez00_14962; obj_t BgL_locz00_14963;
BgL_z12denvz12_14961 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14962 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12322))->BgL_wherez00); 
BgL_locz00_14963 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12322))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14961, BgL_wherez00_14962, BgL_locz00_14963); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14964;
BgL_za2za2resza2za2z00_14964 = 
PROCEDURE_ENTRY(BgL_bodyz00_12323)(BgL_bodyz00_12323, BgL_sz00_12324, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14961); 
return BgL_za2za2resza2za2z00_14964;} } } } } } 

}



/* &<@anonymous:3357> */
obj_t BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12325, obj_t BgL_sz00_12332)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12326; obj_t BgL_iboxesz00_12327; long BgL_siza7eza7_12328; BgL_ev_absz00_bglt BgL_i1252z00_12329; obj_t BgL_bodyz00_12330; long BgL_siza7ezd2framez75_12331;
BgL_ifreesz00_12326 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)0)))); 
BgL_iboxesz00_12327 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)1)))); 
BgL_siza7eza7_12328 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)2)))); 
BgL_i1252z00_12329 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)3)))); 
BgL_bodyz00_12330 = 
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12331 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14965;
BgL_bpz00_14965 = 
VECTOR_REF(
((obj_t)BgL_sz00_12332),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14966;
BgL_valza2za2_14966 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12332, BgL_bpz00_14965, BgL_ifreesz00_12326); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14967;
BgL_runz00_14967 = 
MAKE_FX_PROCEDURE(BGl_z62run4273z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14967, 
(int)(((long)0)), BgL_iboxesz00_12327); 
PROCEDURE_SET(BgL_runz00_14967, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12328)); 
PROCEDURE_SET(BgL_runz00_14967, 
(int)(((long)2)), BgL_valza2za2_14966); 
PROCEDURE_SET(BgL_runz00_14967, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12329)); 
PROCEDURE_SET(BgL_runz00_14967, 
(int)(((long)4)), BgL_bodyz00_12330); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14968;
BgL_mainz00_14968 = 
MAKE_VA_PROCEDURE(BGl_z62main4272z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14968, 
(int)(((long)0)), BgL_iboxesz00_12327); 
PROCEDURE_SET(BgL_mainz00_14968, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12328)); 
PROCEDURE_SET(BgL_mainz00_14968, 
(int)(((long)2)), BgL_valza2za2_14966); 
PROCEDURE_SET(BgL_mainz00_14968, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12329)); 
PROCEDURE_SET(BgL_mainz00_14968, 
(int)(((long)4)), BgL_bodyz00_12330); 
PROCEDURE_SET(BgL_mainz00_14968, 
(int)(((long)5)), BgL_runz00_14967); 
PROCEDURE_SET(BgL_mainz00_14968, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12331)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14969;
BgL_objz00_14969 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14967, BgL_objz00_14969); BgL_objz00_14969; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3358z00_14970;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3359z00_14971;
BgL_arg3359z00_14971 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12329))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14972;
BgL_newz00_14972 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27710;
BgL_tmpz00_27710 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14972, BgL_tmpz00_27710, BgL_arg3359z00_14971); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27715; int BgL_tmpz00_27713;
BgL_auxz00_27715 = 
BINT(BgL_siza7ezd2framez75_12331); 
BgL_tmpz00_27713 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14972, BgL_tmpz00_27713, BgL_auxz00_27715); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27718;
BgL_tmpz00_27718 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14972, BgL_tmpz00_27718, BgL_runz00_14967); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27723; int BgL_tmpz00_27721;
BgL_auxz00_27723 = 
BINT(((long)-2)); 
BgL_tmpz00_27721 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14972, BgL_tmpz00_27721, BgL_auxz00_27723); } 
BgL_arg3358z00_14970 = BgL_newz00_14972; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14968, BgL_arg3358z00_14970); BgL_arg3358z00_14970; } 
return BgL_mainz00_14968;} } } } } } 

}



/* &main4272 */
obj_t BGl_z62main4272z62zz__evaluate_compz00(obj_t BgL_envz00_12333, obj_t BgL_dz00_12341, obj_t BgL_lastz00_12342)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12339; long BgL_siza7ezd2framez75_12340;
BgL_runz00_12339 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12333, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12340 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12333, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14973;
BgL_sz00_14973 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14974;
BgL_bpz00_14974 = 
VECTOR_REF(
((obj_t)BgL_sz00_14973),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14973, BgL_bpz00_14974, 
BINT(BgL_siza7ezd2framez75_12340)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3362z00_14975;
BgL_arg3362z00_14975 = 
(
(long)CINT(BgL_bpz00_14974)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14973),BgL_arg3362z00_14975,BgL_dz00_12341); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3363z00_14976;
BgL_arg3363z00_14976 = 
(
(long)CINT(BgL_bpz00_14974)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14973),BgL_arg3363z00_14976,BgL_lastz00_12342); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14977;
BgL_ez00_14977 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14978;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14979;
BgL_arg4066z00_14979 = 
BGL_EXITD_PROTECT(BgL_ez00_14977); 
BgL_arg4065z00_14978 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14974, BgL_arg4066z00_14979); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14977, BgL_arg4065z00_14978); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14980;
BgL_accz00_14980 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12339, BgL_sz00_14973, BgL_bpz00_14974); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5149z00_27752;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14981;
BgL_arg4064z00_14981 = 
BGL_EXITD_PROTECT(BgL_ez00_14977); 
BgL_test5149z00_27752 = 
PAIRP(BgL_arg4064z00_14981); } 
if(BgL_test5149z00_27752)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14982;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14983;
BgL_arg4063z00_14983 = 
BGL_EXITD_PROTECT(BgL_ez00_14977); 
BgL_arg4062z00_14982 = 
CDR(
((obj_t)BgL_arg4063z00_14983)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14977, BgL_arg4062z00_14982); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14973),((long)0),BgL_bpz00_14974); 
return BgL_accz00_14980;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14984;
BgL_nsz00_14984 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14984,((long)1),BgL_sz00_14973); 
VECTOR_SET(BgL_nsz00_14984,((long)2),BgL_dz00_12341); 
VECTOR_SET(BgL_nsz00_14984,((long)3),BgL_lastz00_12342); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14985;
BgL_z12denvz12_14985 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14985, BgL_nsz00_14984); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14986;
BgL_ez00_14986 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_14987;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_14988;
BgL_arg4066z00_14988 = 
BGL_EXITD_PROTECT(BgL_ez00_14986); 
BgL_arg4065z00_14987 = 
MAKE_YOUNG_PAIR(BgL_sz00_14973, BgL_arg4066z00_14988); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14986, BgL_arg4065z00_14987); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14989;
BgL_____rz00_14989 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12339, BgL_nsz00_14984, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5150z00_27773;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_14990;
BgL_arg4064z00_14990 = 
BGL_EXITD_PROTECT(BgL_ez00_14986); 
BgL_test5150z00_27773 = 
PAIRP(BgL_arg4064z00_14990); } 
if(BgL_test5150z00_27773)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_14991;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_14992;
BgL_arg4063z00_14992 = 
BGL_EXITD_PROTECT(BgL_ez00_14986); 
BgL_arg4062z00_14991 = 
CDR(
((obj_t)BgL_arg4063z00_14992)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14986, BgL_arg4062z00_14991); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14985, BgL_sz00_14973); 
return BgL_____rz00_14989;} } } } } } } } 

}



/* &run4273 */
obj_t BGl_z62run4273z62zz__evaluate_compz00(obj_t BgL_envz00_12343, obj_t BgL_sz00_12349)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12344; long BgL_siza7eza7_12345; obj_t BgL_valza2za2_12346; BgL_ev_absz00_bglt BgL_i1252z00_12347; obj_t BgL_bodyz00_12348;
BgL_iboxesz00_12344 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12343, 
(int)(((long)0)))); 
BgL_siza7eza7_12345 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12343, 
(int)(((long)1)))); 
BgL_valza2za2_12346 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12343, 
(int)(((long)2)))); 
BgL_i1252z00_12347 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12343, 
(int)(((long)3)))); 
BgL_bodyz00_12348 = 
PROCEDURE_REF(BgL_envz00_12343, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14993;
BgL_bpz00_14993 = 
VECTOR_REF(
((obj_t)BgL_sz00_12349),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12349, BgL_iboxesz00_12344, BgL_bpz00_14993); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12349, BgL_valza2za2_12346, 
(
(long)CINT(BgL_bpz00_14993)+BgL_siza7eza7_12345)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14994; obj_t BgL_wherez00_14995; obj_t BgL_locz00_14996;
BgL_z12denvz12_14994 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14995 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12347))->BgL_wherez00); 
BgL_locz00_14996 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12347))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14994, BgL_wherez00_14995, BgL_locz00_14996); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14997;
BgL_za2za2resza2za2z00_14997 = 
PROCEDURE_ENTRY(BgL_bodyz00_12348)(BgL_bodyz00_12348, BgL_sz00_12349, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14994); 
return BgL_za2za2resza2za2z00_14997;} } } } } } 

}



/* &<@anonymous:3290> */
obj_t BGl_z62zc3z04anonymousza33290ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12350, obj_t BgL_sz00_12354)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12351; obj_t BgL_bodyz00_12352; long BgL_siza7ezd2framez75_12353;
BgL_i1252z00_12351 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12350, 
(int)(((long)0)))); 
BgL_bodyz00_12352 = 
PROCEDURE_REF(BgL_envz00_12350, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12353 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12350, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14998;
BgL_bpz00_14998 = 
VECTOR_REF(
((obj_t)BgL_sz00_12354),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14999;
BgL_runz00_14999 = 
MAKE_FX_PROCEDURE(BGl_z62run4275z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14999, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12351)); 
PROCEDURE_SET(BgL_runz00_14999, 
(int)(((long)1)), BgL_bodyz00_12352); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15000;
BgL_mainz00_15000 = 
MAKE_FX_PROCEDURE(BGl_z62main4274z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15000, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12351)); 
PROCEDURE_SET(BgL_mainz00_15000, 
(int)(((long)1)), BgL_bodyz00_12352); 
PROCEDURE_SET(BgL_mainz00_15000, 
(int)(((long)2)), BgL_runz00_14999); 
PROCEDURE_SET(BgL_mainz00_15000, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12353)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15001;
BgL_objz00_15001 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14999, BgL_objz00_15001); BgL_objz00_15001; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3291z00_15002;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3292z00_15003;
BgL_arg3292z00_15003 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12351))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15004;
BgL_newz00_15004 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27845;
BgL_tmpz00_27845 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15004, BgL_tmpz00_27845, BgL_arg3292z00_15003); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27850; int BgL_tmpz00_27848;
BgL_auxz00_27850 = 
BINT(BgL_siza7ezd2framez75_12353); 
BgL_tmpz00_27848 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15004, BgL_tmpz00_27848, BgL_auxz00_27850); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27853;
BgL_tmpz00_27853 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15004, BgL_tmpz00_27853, BgL_runz00_14999); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27858; int BgL_tmpz00_27856;
BgL_auxz00_27858 = 
BINT(((long)1)); 
BgL_tmpz00_27856 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15004, BgL_tmpz00_27856, BgL_auxz00_27858); } 
BgL_arg3291z00_15002 = BgL_newz00_15004; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15000, BgL_arg3291z00_15002); BgL_arg3291z00_15002; } 
return BgL_mainz00_15000;} } } } } } 

}



/* &main4274 */
obj_t BGl_z62main4274z62zz__evaluate_compz00(obj_t BgL_envz00_12355, obj_t BgL_dz00_12360)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12358; long BgL_siza7ezd2framez75_12359;
BgL_runz00_12358 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12355, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12359 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12355, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15005;
BgL_sz00_15005 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15006;
BgL_bpz00_15006 = 
VECTOR_REF(
((obj_t)BgL_sz00_15005),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15005, BgL_bpz00_15006, 
BINT(BgL_siza7ezd2framez75_12359)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3295z00_15007;
BgL_arg3295z00_15007 = 
(
(long)CINT(BgL_bpz00_15006)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15005),BgL_arg3295z00_15007,BgL_dz00_12360); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15008;
BgL_ez00_15008 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15009;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15010;
BgL_arg4066z00_15010 = 
BGL_EXITD_PROTECT(BgL_ez00_15008); 
BgL_arg4065z00_15009 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15006, BgL_arg4066z00_15010); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15008, BgL_arg4065z00_15009); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15011;
BgL_accz00_15011 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12358, BgL_sz00_15005, BgL_bpz00_15006); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5152z00_27883;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15012;
BgL_arg4064z00_15012 = 
BGL_EXITD_PROTECT(BgL_ez00_15008); 
BgL_test5152z00_27883 = 
PAIRP(BgL_arg4064z00_15012); } 
if(BgL_test5152z00_27883)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15013;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15014;
BgL_arg4063z00_15014 = 
BGL_EXITD_PROTECT(BgL_ez00_15008); 
BgL_arg4062z00_15013 = 
CDR(
((obj_t)BgL_arg4063z00_15014)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15008, BgL_arg4062z00_15013); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15005),((long)0),BgL_bpz00_15006); 
return BgL_accz00_15011;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15015;
BgL_nsz00_15015 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15015,((long)1),BgL_sz00_15005); 
VECTOR_SET(BgL_nsz00_15015,((long)2),BgL_dz00_12360); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15016;
BgL_z12denvz12_15016 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15016, BgL_nsz00_15015); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15017;
BgL_ez00_15017 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15018;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15019;
BgL_arg4066z00_15019 = 
BGL_EXITD_PROTECT(BgL_ez00_15017); 
BgL_arg4065z00_15018 = 
MAKE_YOUNG_PAIR(BgL_sz00_15005, BgL_arg4066z00_15019); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15017, BgL_arg4065z00_15018); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15020;
BgL_____rz00_15020 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12358, BgL_nsz00_15015, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5153z00_27903;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15021;
BgL_arg4064z00_15021 = 
BGL_EXITD_PROTECT(BgL_ez00_15017); 
BgL_test5153z00_27903 = 
PAIRP(BgL_arg4064z00_15021); } 
if(BgL_test5153z00_27903)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15022;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15023;
BgL_arg4063z00_15023 = 
BGL_EXITD_PROTECT(BgL_ez00_15017); 
BgL_arg4062z00_15022 = 
CDR(
((obj_t)BgL_arg4063z00_15023)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15017, BgL_arg4062z00_15022); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15016, BgL_sz00_15005); 
return BgL_____rz00_15020;} } } } } } } } 

}



/* &run4275 */
obj_t BGl_z62run4275z62zz__evaluate_compz00(obj_t BgL_envz00_12361, obj_t BgL_sz00_12364)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12362; obj_t BgL_bodyz00_12363;
BgL_i1252z00_12362 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12361, 
(int)(((long)0)))); 
BgL_bodyz00_12363 = 
PROCEDURE_REF(BgL_envz00_12361, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15024;
BgL_bpz00_15024 = 
VECTOR_REF(
((obj_t)BgL_sz00_12364),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15025; obj_t BgL_wherez00_15026; obj_t BgL_locz00_15027;
BgL_z12denvz12_15025 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15026 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12362))->BgL_wherez00); 
BgL_locz00_15027 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12362))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15025, BgL_wherez00_15026, BgL_locz00_15027); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15028;
BgL_za2za2resza2za2z00_15028 = 
PROCEDURE_ENTRY(BgL_bodyz00_12363)(BgL_bodyz00_12363, BgL_sz00_12364, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15025); 
return BgL_za2za2resza2za2z00_15028;} } } } } } 

}



/* &<@anonymous:3297> */
obj_t BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12365, obj_t BgL_sz00_12370)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12366; BgL_ev_absz00_bglt BgL_i1252z00_12367; obj_t BgL_bodyz00_12368; long BgL_siza7ezd2framez75_12369;
BgL_iboxesz00_12366 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12365, 
(int)(((long)0)))); 
BgL_i1252z00_12367 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12365, 
(int)(((long)1)))); 
BgL_bodyz00_12368 = 
PROCEDURE_REF(BgL_envz00_12365, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12369 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12365, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15029;
BgL_bpz00_15029 = 
VECTOR_REF(
((obj_t)BgL_sz00_12370),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15030;
BgL_runz00_15030 = 
MAKE_FX_PROCEDURE(BGl_z62run4277z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15030, 
(int)(((long)0)), BgL_iboxesz00_12366); 
PROCEDURE_SET(BgL_runz00_15030, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12367)); 
PROCEDURE_SET(BgL_runz00_15030, 
(int)(((long)2)), BgL_bodyz00_12368); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15031;
BgL_mainz00_15031 = 
MAKE_FX_PROCEDURE(BGl_z62main4276z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15031, 
(int)(((long)0)), BgL_iboxesz00_12366); 
PROCEDURE_SET(BgL_mainz00_15031, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12367)); 
PROCEDURE_SET(BgL_mainz00_15031, 
(int)(((long)2)), BgL_bodyz00_12368); 
PROCEDURE_SET(BgL_mainz00_15031, 
(int)(((long)3)), BgL_runz00_15030); 
PROCEDURE_SET(BgL_mainz00_15031, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12369)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15032;
BgL_objz00_15032 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15030, BgL_objz00_15032); BgL_objz00_15032; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3298z00_15033;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3299z00_15034;
BgL_arg3299z00_15034 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12367))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15035;
BgL_newz00_15035 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27969;
BgL_tmpz00_27969 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15035, BgL_tmpz00_27969, BgL_arg3299z00_15034); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27974; int BgL_tmpz00_27972;
BgL_auxz00_27974 = 
BINT(BgL_siza7ezd2framez75_12369); 
BgL_tmpz00_27972 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15035, BgL_tmpz00_27972, BgL_auxz00_27974); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27977;
BgL_tmpz00_27977 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15035, BgL_tmpz00_27977, BgL_runz00_15030); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27982; int BgL_tmpz00_27980;
BgL_auxz00_27982 = 
BINT(((long)1)); 
BgL_tmpz00_27980 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15035, BgL_tmpz00_27980, BgL_auxz00_27982); } 
BgL_arg3298z00_15033 = BgL_newz00_15035; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15031, BgL_arg3298z00_15033); BgL_arg3298z00_15033; } 
return BgL_mainz00_15031;} } } } } } 

}



/* &main4276 */
obj_t BGl_z62main4276z62zz__evaluate_compz00(obj_t BgL_envz00_12371, obj_t BgL_dz00_12377)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12375; long BgL_siza7ezd2framez75_12376;
BgL_runz00_12375 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12376 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15036;
BgL_sz00_15036 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15037;
BgL_bpz00_15037 = 
VECTOR_REF(
((obj_t)BgL_sz00_15036),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15036, BgL_bpz00_15037, 
BINT(BgL_siza7ezd2framez75_12376)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3302z00_15038;
BgL_arg3302z00_15038 = 
(
(long)CINT(BgL_bpz00_15037)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15036),BgL_arg3302z00_15038,BgL_dz00_12377); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15039;
BgL_ez00_15039 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15040;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15041;
BgL_arg4066z00_15041 = 
BGL_EXITD_PROTECT(BgL_ez00_15039); 
BgL_arg4065z00_15040 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15037, BgL_arg4066z00_15041); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15039, BgL_arg4065z00_15040); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15042;
BgL_accz00_15042 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12375, BgL_sz00_15036, BgL_bpz00_15037); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5155z00_28007;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15043;
BgL_arg4064z00_15043 = 
BGL_EXITD_PROTECT(BgL_ez00_15039); 
BgL_test5155z00_28007 = 
PAIRP(BgL_arg4064z00_15043); } 
if(BgL_test5155z00_28007)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15044;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15045;
BgL_arg4063z00_15045 = 
BGL_EXITD_PROTECT(BgL_ez00_15039); 
BgL_arg4062z00_15044 = 
CDR(
((obj_t)BgL_arg4063z00_15045)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15039, BgL_arg4062z00_15044); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15036),((long)0),BgL_bpz00_15037); 
return BgL_accz00_15042;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15046;
BgL_nsz00_15046 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15046,((long)1),BgL_sz00_15036); 
VECTOR_SET(BgL_nsz00_15046,((long)2),BgL_dz00_12377); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15047;
BgL_z12denvz12_15047 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15047, BgL_nsz00_15046); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15048;
BgL_ez00_15048 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15049;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15050;
BgL_arg4066z00_15050 = 
BGL_EXITD_PROTECT(BgL_ez00_15048); 
BgL_arg4065z00_15049 = 
MAKE_YOUNG_PAIR(BgL_sz00_15036, BgL_arg4066z00_15050); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15048, BgL_arg4065z00_15049); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15051;
BgL_____rz00_15051 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12375, BgL_nsz00_15046, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5156z00_28027;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15052;
BgL_arg4064z00_15052 = 
BGL_EXITD_PROTECT(BgL_ez00_15048); 
BgL_test5156z00_28027 = 
PAIRP(BgL_arg4064z00_15052); } 
if(BgL_test5156z00_28027)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15053;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15054;
BgL_arg4063z00_15054 = 
BGL_EXITD_PROTECT(BgL_ez00_15048); 
BgL_arg4062z00_15053 = 
CDR(
((obj_t)BgL_arg4063z00_15054)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15048, BgL_arg4062z00_15053); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15047, BgL_sz00_15036); 
return BgL_____rz00_15051;} } } } } } } } 

}



/* &run4277 */
obj_t BGl_z62run4277z62zz__evaluate_compz00(obj_t BgL_envz00_12378, obj_t BgL_sz00_12382)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12379; BgL_ev_absz00_bglt BgL_i1252z00_12380; obj_t BgL_bodyz00_12381;
BgL_iboxesz00_12379 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)0)))); 
BgL_i1252z00_12380 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)1)))); 
BgL_bodyz00_12381 = 
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15055;
BgL_bpz00_15055 = 
VECTOR_REF(
((obj_t)BgL_sz00_12382),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12382, BgL_iboxesz00_12379, BgL_bpz00_15055); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15056; obj_t BgL_wherez00_15057; obj_t BgL_locz00_15058;
BgL_z12denvz12_15056 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15057 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12380))->BgL_wherez00); 
BgL_locz00_15058 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12380))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15056, BgL_wherez00_15057, BgL_locz00_15058); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15059;
BgL_za2za2resza2za2z00_15059 = 
PROCEDURE_ENTRY(BgL_bodyz00_12381)(BgL_bodyz00_12381, BgL_sz00_12382, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15056); 
return BgL_za2za2resza2za2z00_15059;} } } } } } 

}



/* &<@anonymous:3307> */
obj_t BGl_z62zc3z04anonymousza33307ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12383, obj_t BgL_sz00_12389)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12384; long BgL_siza7eza7_12385; BgL_ev_absz00_bglt BgL_i1252z00_12386; obj_t BgL_bodyz00_12387; long BgL_siza7ezd2framez75_12388;
BgL_ifreesz00_12384 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12383, 
(int)(((long)0)))); 
BgL_siza7eza7_12385 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12383, 
(int)(((long)1)))); 
BgL_i1252z00_12386 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12383, 
(int)(((long)2)))); 
BgL_bodyz00_12387 = 
PROCEDURE_REF(BgL_envz00_12383, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12388 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12383, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15060;
BgL_bpz00_15060 = 
VECTOR_REF(
((obj_t)BgL_sz00_12389),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15061;
BgL_valza2za2_15061 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12389, BgL_bpz00_15060, BgL_ifreesz00_12384); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15062;
BgL_runz00_15062 = 
MAKE_FX_PROCEDURE(BGl_z62run4279z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15062, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12385)); 
PROCEDURE_SET(BgL_runz00_15062, 
(int)(((long)1)), BgL_valza2za2_15061); 
PROCEDURE_SET(BgL_runz00_15062, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12386)); 
PROCEDURE_SET(BgL_runz00_15062, 
(int)(((long)3)), BgL_bodyz00_12387); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15063;
BgL_mainz00_15063 = 
MAKE_FX_PROCEDURE(BGl_z62main4278z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15063, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12385)); 
PROCEDURE_SET(BgL_mainz00_15063, 
(int)(((long)1)), BgL_valza2za2_15061); 
PROCEDURE_SET(BgL_mainz00_15063, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12386)); 
PROCEDURE_SET(BgL_mainz00_15063, 
(int)(((long)3)), BgL_bodyz00_12387); 
PROCEDURE_SET(BgL_mainz00_15063, 
(int)(((long)4)), BgL_runz00_15062); 
PROCEDURE_SET(BgL_mainz00_15063, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12388)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15064;
BgL_objz00_15064 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15062, BgL_objz00_15064); BgL_objz00_15064; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3308z00_15065;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3309z00_15066;
BgL_arg3309z00_15066 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12386))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15067;
BgL_newz00_15067 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28107;
BgL_tmpz00_28107 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15067, BgL_tmpz00_28107, BgL_arg3309z00_15066); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28112; int BgL_tmpz00_28110;
BgL_auxz00_28112 = 
BINT(BgL_siza7ezd2framez75_12388); 
BgL_tmpz00_28110 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15067, BgL_tmpz00_28110, BgL_auxz00_28112); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28115;
BgL_tmpz00_28115 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15067, BgL_tmpz00_28115, BgL_runz00_15062); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28120; int BgL_tmpz00_28118;
BgL_auxz00_28120 = 
BINT(((long)1)); 
BgL_tmpz00_28118 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15067, BgL_tmpz00_28118, BgL_auxz00_28120); } 
BgL_arg3308z00_15065 = BgL_newz00_15067; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15063, BgL_arg3308z00_15065); BgL_arg3308z00_15065; } 
return BgL_mainz00_15063;} } } } } } 

}



/* &main4278 */
obj_t BGl_z62main4278z62zz__evaluate_compz00(obj_t BgL_envz00_12390, obj_t BgL_dz00_12397)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12395; long BgL_siza7ezd2framez75_12396;
BgL_runz00_12395 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12390, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12396 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12390, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15068;
BgL_sz00_15068 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15069;
BgL_bpz00_15069 = 
VECTOR_REF(
((obj_t)BgL_sz00_15068),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15068, BgL_bpz00_15069, 
BINT(BgL_siza7ezd2framez75_12396)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3312z00_15070;
BgL_arg3312z00_15070 = 
(
(long)CINT(BgL_bpz00_15069)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15068),BgL_arg3312z00_15070,BgL_dz00_12397); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15071;
BgL_ez00_15071 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15072;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15073;
BgL_arg4066z00_15073 = 
BGL_EXITD_PROTECT(BgL_ez00_15071); 
BgL_arg4065z00_15072 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15069, BgL_arg4066z00_15073); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15071, BgL_arg4065z00_15072); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15074;
BgL_accz00_15074 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12395, BgL_sz00_15068, BgL_bpz00_15069); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5158z00_28145;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15075;
BgL_arg4064z00_15075 = 
BGL_EXITD_PROTECT(BgL_ez00_15071); 
BgL_test5158z00_28145 = 
PAIRP(BgL_arg4064z00_15075); } 
if(BgL_test5158z00_28145)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15076;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15077;
BgL_arg4063z00_15077 = 
BGL_EXITD_PROTECT(BgL_ez00_15071); 
BgL_arg4062z00_15076 = 
CDR(
((obj_t)BgL_arg4063z00_15077)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15071, BgL_arg4062z00_15076); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15068),((long)0),BgL_bpz00_15069); 
return BgL_accz00_15074;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15078;
BgL_nsz00_15078 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15078,((long)1),BgL_sz00_15068); 
VECTOR_SET(BgL_nsz00_15078,((long)2),BgL_dz00_12397); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15079;
BgL_z12denvz12_15079 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15079, BgL_nsz00_15078); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15080;
BgL_ez00_15080 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15081;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15082;
BgL_arg4066z00_15082 = 
BGL_EXITD_PROTECT(BgL_ez00_15080); 
BgL_arg4065z00_15081 = 
MAKE_YOUNG_PAIR(BgL_sz00_15068, BgL_arg4066z00_15082); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15080, BgL_arg4065z00_15081); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15083;
BgL_____rz00_15083 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12395, BgL_nsz00_15078, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5159z00_28165;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15084;
BgL_arg4064z00_15084 = 
BGL_EXITD_PROTECT(BgL_ez00_15080); 
BgL_test5159z00_28165 = 
PAIRP(BgL_arg4064z00_15084); } 
if(BgL_test5159z00_28165)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15085;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15086;
BgL_arg4063z00_15086 = 
BGL_EXITD_PROTECT(BgL_ez00_15080); 
BgL_arg4062z00_15085 = 
CDR(
((obj_t)BgL_arg4063z00_15086)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15080, BgL_arg4062z00_15085); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15079, BgL_sz00_15068); 
return BgL_____rz00_15083;} } } } } } } } 

}



/* &run4279 */
obj_t BGl_z62run4279z62zz__evaluate_compz00(obj_t BgL_envz00_12398, obj_t BgL_sz00_12403)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12399; obj_t BgL_valza2za2_12400; BgL_ev_absz00_bglt BgL_i1252z00_12401; obj_t BgL_bodyz00_12402;
BgL_siza7eza7_12399 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12398, 
(int)(((long)0)))); 
BgL_valza2za2_12400 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12398, 
(int)(((long)1)))); 
BgL_i1252z00_12401 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12398, 
(int)(((long)2)))); 
BgL_bodyz00_12402 = 
PROCEDURE_REF(BgL_envz00_12398, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15087;
BgL_bpz00_15087 = 
VECTOR_REF(
((obj_t)BgL_sz00_12403),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12403, BgL_valza2za2_12400, 
(
(long)CINT(BgL_bpz00_15087)+BgL_siza7eza7_12399)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15088; obj_t BgL_wherez00_15089; obj_t BgL_locz00_15090;
BgL_z12denvz12_15088 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15089 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12401))->BgL_wherez00); 
BgL_locz00_15090 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12401))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15088, BgL_wherez00_15089, BgL_locz00_15090); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15091;
BgL_za2za2resza2za2z00_15091 = 
PROCEDURE_ENTRY(BgL_bodyz00_12402)(BgL_bodyz00_12402, BgL_sz00_12403, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15088); 
return BgL_za2za2resza2za2z00_15091;} } } } } } 

}



/* &<@anonymous:3315> */
obj_t BGl_z62zc3z04anonymousza33315ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12404, obj_t BgL_sz00_12411)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12405; obj_t BgL_iboxesz00_12406; long BgL_siza7eza7_12407; BgL_ev_absz00_bglt BgL_i1252z00_12408; obj_t BgL_bodyz00_12409; long BgL_siza7ezd2framez75_12410;
BgL_ifreesz00_12405 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)0)))); 
BgL_iboxesz00_12406 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)1)))); 
BgL_siza7eza7_12407 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)2)))); 
BgL_i1252z00_12408 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)3)))); 
BgL_bodyz00_12409 = 
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12410 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15092;
BgL_bpz00_15092 = 
VECTOR_REF(
((obj_t)BgL_sz00_12411),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15093;
BgL_valza2za2_15093 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12411, BgL_bpz00_15092, BgL_ifreesz00_12405); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15094;
BgL_runz00_15094 = 
MAKE_FX_PROCEDURE(BGl_z62run4281z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15094, 
(int)(((long)0)), BgL_iboxesz00_12406); 
PROCEDURE_SET(BgL_runz00_15094, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12407)); 
PROCEDURE_SET(BgL_runz00_15094, 
(int)(((long)2)), BgL_valza2za2_15093); 
PROCEDURE_SET(BgL_runz00_15094, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12408)); 
PROCEDURE_SET(BgL_runz00_15094, 
(int)(((long)4)), BgL_bodyz00_12409); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15095;
BgL_mainz00_15095 = 
MAKE_FX_PROCEDURE(BGl_z62main4280z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15095, 
(int)(((long)0)), BgL_iboxesz00_12406); 
PROCEDURE_SET(BgL_mainz00_15095, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12407)); 
PROCEDURE_SET(BgL_mainz00_15095, 
(int)(((long)2)), BgL_valza2za2_15093); 
PROCEDURE_SET(BgL_mainz00_15095, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12408)); 
PROCEDURE_SET(BgL_mainz00_15095, 
(int)(((long)4)), BgL_bodyz00_12409); 
PROCEDURE_SET(BgL_mainz00_15095, 
(int)(((long)5)), BgL_runz00_15094); 
PROCEDURE_SET(BgL_mainz00_15095, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12410)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15096;
BgL_objz00_15096 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15094, BgL_objz00_15096); BgL_objz00_15096; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3316z00_15097;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3317z00_15098;
BgL_arg3317z00_15098 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12408))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15099;
BgL_newz00_15099 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28257;
BgL_tmpz00_28257 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15099, BgL_tmpz00_28257, BgL_arg3317z00_15098); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28262; int BgL_tmpz00_28260;
BgL_auxz00_28262 = 
BINT(BgL_siza7ezd2framez75_12410); 
BgL_tmpz00_28260 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15099, BgL_tmpz00_28260, BgL_auxz00_28262); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28265;
BgL_tmpz00_28265 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15099, BgL_tmpz00_28265, BgL_runz00_15094); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28270; int BgL_tmpz00_28268;
BgL_auxz00_28270 = 
BINT(((long)1)); 
BgL_tmpz00_28268 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15099, BgL_tmpz00_28268, BgL_auxz00_28270); } 
BgL_arg3316z00_15097 = BgL_newz00_15099; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15095, BgL_arg3316z00_15097); BgL_arg3316z00_15097; } 
return BgL_mainz00_15095;} } } } } } 

}



/* &main4280 */
obj_t BGl_z62main4280z62zz__evaluate_compz00(obj_t BgL_envz00_12412, obj_t BgL_dz00_12420)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12418; long BgL_siza7ezd2framez75_12419;
BgL_runz00_12418 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12412, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12419 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12412, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15100;
BgL_sz00_15100 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15101;
BgL_bpz00_15101 = 
VECTOR_REF(
((obj_t)BgL_sz00_15100),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15100, BgL_bpz00_15101, 
BINT(BgL_siza7ezd2framez75_12419)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3320z00_15102;
BgL_arg3320z00_15102 = 
(
(long)CINT(BgL_bpz00_15101)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15100),BgL_arg3320z00_15102,BgL_dz00_12420); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15103;
BgL_ez00_15103 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15104;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15105;
BgL_arg4066z00_15105 = 
BGL_EXITD_PROTECT(BgL_ez00_15103); 
BgL_arg4065z00_15104 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15101, BgL_arg4066z00_15105); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15103, BgL_arg4065z00_15104); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15106;
BgL_accz00_15106 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12418, BgL_sz00_15100, BgL_bpz00_15101); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5161z00_28295;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15107;
BgL_arg4064z00_15107 = 
BGL_EXITD_PROTECT(BgL_ez00_15103); 
BgL_test5161z00_28295 = 
PAIRP(BgL_arg4064z00_15107); } 
if(BgL_test5161z00_28295)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15108;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15109;
BgL_arg4063z00_15109 = 
BGL_EXITD_PROTECT(BgL_ez00_15103); 
BgL_arg4062z00_15108 = 
CDR(
((obj_t)BgL_arg4063z00_15109)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15103, BgL_arg4062z00_15108); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15100),((long)0),BgL_bpz00_15101); 
return BgL_accz00_15106;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15110;
BgL_nsz00_15110 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15110,((long)1),BgL_sz00_15100); 
VECTOR_SET(BgL_nsz00_15110,((long)2),BgL_dz00_12420); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15111;
BgL_z12denvz12_15111 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15111, BgL_nsz00_15110); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15112;
BgL_ez00_15112 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15113;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15114;
BgL_arg4066z00_15114 = 
BGL_EXITD_PROTECT(BgL_ez00_15112); 
BgL_arg4065z00_15113 = 
MAKE_YOUNG_PAIR(BgL_sz00_15100, BgL_arg4066z00_15114); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15112, BgL_arg4065z00_15113); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15115;
BgL_____rz00_15115 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12418, BgL_nsz00_15110, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5162z00_28315;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15116;
BgL_arg4064z00_15116 = 
BGL_EXITD_PROTECT(BgL_ez00_15112); 
BgL_test5162z00_28315 = 
PAIRP(BgL_arg4064z00_15116); } 
if(BgL_test5162z00_28315)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15117;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15118;
BgL_arg4063z00_15118 = 
BGL_EXITD_PROTECT(BgL_ez00_15112); 
BgL_arg4062z00_15117 = 
CDR(
((obj_t)BgL_arg4063z00_15118)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15112, BgL_arg4062z00_15117); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15111, BgL_sz00_15100); 
return BgL_____rz00_15115;} } } } } } } } 

}



/* &run4281 */
obj_t BGl_z62run4281z62zz__evaluate_compz00(obj_t BgL_envz00_12421, obj_t BgL_sz00_12427)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12422; long BgL_siza7eza7_12423; obj_t BgL_valza2za2_12424; BgL_ev_absz00_bglt BgL_i1252z00_12425; obj_t BgL_bodyz00_12426;
BgL_iboxesz00_12422 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)0)))); 
BgL_siza7eza7_12423 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)1)))); 
BgL_valza2za2_12424 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)2)))); 
BgL_i1252z00_12425 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)3)))); 
BgL_bodyz00_12426 = 
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15119;
BgL_bpz00_15119 = 
VECTOR_REF(
((obj_t)BgL_sz00_12427),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12427, BgL_iboxesz00_12422, BgL_bpz00_15119); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12427, BgL_valza2za2_12424, 
(
(long)CINT(BgL_bpz00_15119)+BgL_siza7eza7_12423)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15120; obj_t BgL_wherez00_15121; obj_t BgL_locz00_15122;
BgL_z12denvz12_15120 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15121 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12425))->BgL_wherez00); 
BgL_locz00_15122 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12425))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15120, BgL_wherez00_15121, BgL_locz00_15122); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15123;
BgL_za2za2resza2za2z00_15123 = 
PROCEDURE_ENTRY(BgL_bodyz00_12426)(BgL_bodyz00_12426, BgL_sz00_12427, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15120); 
return BgL_za2za2resza2za2z00_15123;} } } } } } 

}



/* &<@anonymous:3251> */
obj_t BGl_z62zc3z04anonymousza33251ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12428, obj_t BgL_sz00_12432)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12429; obj_t BgL_bodyz00_12430; long BgL_siza7ezd2framez75_12431;
BgL_i1252z00_12429 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12428, 
(int)(((long)0)))); 
BgL_bodyz00_12430 = 
PROCEDURE_REF(BgL_envz00_12428, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12431 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12428, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15124;
BgL_bpz00_15124 = 
VECTOR_REF(
((obj_t)BgL_sz00_12432),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15125;
BgL_runz00_15125 = 
MAKE_FX_PROCEDURE(BGl_z62run4283z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15125, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12429)); 
PROCEDURE_SET(BgL_runz00_15125, 
(int)(((long)1)), BgL_bodyz00_12430); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15126;
BgL_mainz00_15126 = 
MAKE_VA_PROCEDURE(BGl_z62main4282z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15126, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12429)); 
PROCEDURE_SET(BgL_mainz00_15126, 
(int)(((long)1)), BgL_bodyz00_12430); 
PROCEDURE_SET(BgL_mainz00_15126, 
(int)(((long)2)), BgL_runz00_15125); 
PROCEDURE_SET(BgL_mainz00_15126, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12431)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15127;
BgL_objz00_15127 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15125, BgL_objz00_15127); BgL_objz00_15127; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3252z00_15128;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3253z00_15129;
BgL_arg3253z00_15129 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12429))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15130;
BgL_newz00_15130 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28387;
BgL_tmpz00_28387 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15130, BgL_tmpz00_28387, BgL_arg3253z00_15129); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28392; int BgL_tmpz00_28390;
BgL_auxz00_28392 = 
BINT(BgL_siza7ezd2framez75_12431); 
BgL_tmpz00_28390 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15130, BgL_tmpz00_28390, BgL_auxz00_28392); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28395;
BgL_tmpz00_28395 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15130, BgL_tmpz00_28395, BgL_runz00_15125); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28400; int BgL_tmpz00_28398;
BgL_auxz00_28400 = 
BINT(((long)-1)); 
BgL_tmpz00_28398 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15130, BgL_tmpz00_28398, BgL_auxz00_28400); } 
BgL_arg3252z00_15128 = BgL_newz00_15130; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15126, BgL_arg3252z00_15128); BgL_arg3252z00_15128; } 
return BgL_mainz00_15126;} } } } } } 

}



/* &main4282 */
obj_t BGl_z62main4282z62zz__evaluate_compz00(obj_t BgL_envz00_12433, obj_t BgL_lastz00_12438)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12436; long BgL_siza7ezd2framez75_12437;
BgL_runz00_12436 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12433, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12437 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12433, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15131;
BgL_sz00_15131 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15132;
BgL_bpz00_15132 = 
VECTOR_REF(
((obj_t)BgL_sz00_15131),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15131, BgL_bpz00_15132, 
BINT(BgL_siza7ezd2framez75_12437)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3256z00_15133;
BgL_arg3256z00_15133 = 
(
(long)CINT(BgL_bpz00_15132)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15131),BgL_arg3256z00_15133,BgL_lastz00_12438); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15134;
BgL_ez00_15134 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15135;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15136;
BgL_arg4066z00_15136 = 
BGL_EXITD_PROTECT(BgL_ez00_15134); 
BgL_arg4065z00_15135 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15132, BgL_arg4066z00_15136); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15134, BgL_arg4065z00_15135); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15137;
BgL_accz00_15137 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12436, BgL_sz00_15131, BgL_bpz00_15132); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5164z00_28425;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15138;
BgL_arg4064z00_15138 = 
BGL_EXITD_PROTECT(BgL_ez00_15134); 
BgL_test5164z00_28425 = 
PAIRP(BgL_arg4064z00_15138); } 
if(BgL_test5164z00_28425)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15139;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15140;
BgL_arg4063z00_15140 = 
BGL_EXITD_PROTECT(BgL_ez00_15134); 
BgL_arg4062z00_15139 = 
CDR(
((obj_t)BgL_arg4063z00_15140)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15134, BgL_arg4062z00_15139); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15131),((long)0),BgL_bpz00_15132); 
return BgL_accz00_15137;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15141;
BgL_nsz00_15141 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15141,((long)1),BgL_sz00_15131); 
VECTOR_SET(BgL_nsz00_15141,((long)2),BgL_lastz00_12438); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15142;
BgL_z12denvz12_15142 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15142, BgL_nsz00_15141); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15143;
BgL_ez00_15143 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15144;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15145;
BgL_arg4066z00_15145 = 
BGL_EXITD_PROTECT(BgL_ez00_15143); 
BgL_arg4065z00_15144 = 
MAKE_YOUNG_PAIR(BgL_sz00_15131, BgL_arg4066z00_15145); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15143, BgL_arg4065z00_15144); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15146;
BgL_____rz00_15146 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12436, BgL_nsz00_15141, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5165z00_28445;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15147;
BgL_arg4064z00_15147 = 
BGL_EXITD_PROTECT(BgL_ez00_15143); 
BgL_test5165z00_28445 = 
PAIRP(BgL_arg4064z00_15147); } 
if(BgL_test5165z00_28445)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15148;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15149;
BgL_arg4063z00_15149 = 
BGL_EXITD_PROTECT(BgL_ez00_15143); 
BgL_arg4062z00_15148 = 
CDR(
((obj_t)BgL_arg4063z00_15149)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15143, BgL_arg4062z00_15148); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15142, BgL_sz00_15131); 
return BgL_____rz00_15146;} } } } } } } } 

}



/* &run4283 */
obj_t BGl_z62run4283z62zz__evaluate_compz00(obj_t BgL_envz00_12439, obj_t BgL_sz00_12442)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12440; obj_t BgL_bodyz00_12441;
BgL_i1252z00_12440 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)0)))); 
BgL_bodyz00_12441 = 
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15150;
BgL_bpz00_15150 = 
VECTOR_REF(
((obj_t)BgL_sz00_12442),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15151; obj_t BgL_wherez00_15152; obj_t BgL_locz00_15153;
BgL_z12denvz12_15151 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15152 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12440))->BgL_wherez00); 
BgL_locz00_15153 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12440))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15151, BgL_wherez00_15152, BgL_locz00_15153); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15154;
BgL_za2za2resza2za2z00_15154 = 
PROCEDURE_ENTRY(BgL_bodyz00_12441)(BgL_bodyz00_12441, BgL_sz00_12442, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15151); 
return BgL_za2za2resza2za2z00_15154;} } } } } } 

}



/* &<@anonymous:3258> */
obj_t BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12443, obj_t BgL_sz00_12448)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12444; BgL_ev_absz00_bglt BgL_i1252z00_12445; obj_t BgL_bodyz00_12446; long BgL_siza7ezd2framez75_12447;
BgL_iboxesz00_12444 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12443, 
(int)(((long)0)))); 
BgL_i1252z00_12445 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12443, 
(int)(((long)1)))); 
BgL_bodyz00_12446 = 
PROCEDURE_REF(BgL_envz00_12443, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12447 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12443, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15155;
BgL_bpz00_15155 = 
VECTOR_REF(
((obj_t)BgL_sz00_12448),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15156;
BgL_runz00_15156 = 
MAKE_FX_PROCEDURE(BGl_z62run4285z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15156, 
(int)(((long)0)), BgL_iboxesz00_12444); 
PROCEDURE_SET(BgL_runz00_15156, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12445)); 
PROCEDURE_SET(BgL_runz00_15156, 
(int)(((long)2)), BgL_bodyz00_12446); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15157;
BgL_mainz00_15157 = 
MAKE_VA_PROCEDURE(BGl_z62main4284z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15157, 
(int)(((long)0)), BgL_iboxesz00_12444); 
PROCEDURE_SET(BgL_mainz00_15157, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12445)); 
PROCEDURE_SET(BgL_mainz00_15157, 
(int)(((long)2)), BgL_bodyz00_12446); 
PROCEDURE_SET(BgL_mainz00_15157, 
(int)(((long)3)), BgL_runz00_15156); 
PROCEDURE_SET(BgL_mainz00_15157, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12447)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15158;
BgL_objz00_15158 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15156, BgL_objz00_15158); BgL_objz00_15158; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3259z00_15159;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3260z00_15160;
BgL_arg3260z00_15160 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12445))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15161;
BgL_newz00_15161 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28511;
BgL_tmpz00_28511 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15161, BgL_tmpz00_28511, BgL_arg3260z00_15160); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28516; int BgL_tmpz00_28514;
BgL_auxz00_28516 = 
BINT(BgL_siza7ezd2framez75_12447); 
BgL_tmpz00_28514 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15161, BgL_tmpz00_28514, BgL_auxz00_28516); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28519;
BgL_tmpz00_28519 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15161, BgL_tmpz00_28519, BgL_runz00_15156); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28524; int BgL_tmpz00_28522;
BgL_auxz00_28524 = 
BINT(((long)-1)); 
BgL_tmpz00_28522 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15161, BgL_tmpz00_28522, BgL_auxz00_28524); } 
BgL_arg3259z00_15159 = BgL_newz00_15161; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15157, BgL_arg3259z00_15159); BgL_arg3259z00_15159; } 
return BgL_mainz00_15157;} } } } } } 

}



/* &main4284 */
obj_t BGl_z62main4284z62zz__evaluate_compz00(obj_t BgL_envz00_12449, obj_t BgL_lastz00_12455)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12453; long BgL_siza7ezd2framez75_12454;
BgL_runz00_12453 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12449, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12454 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12449, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15162;
BgL_sz00_15162 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15163;
BgL_bpz00_15163 = 
VECTOR_REF(
((obj_t)BgL_sz00_15162),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15162, BgL_bpz00_15163, 
BINT(BgL_siza7ezd2framez75_12454)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3263z00_15164;
BgL_arg3263z00_15164 = 
(
(long)CINT(BgL_bpz00_15163)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15162),BgL_arg3263z00_15164,BgL_lastz00_12455); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15165;
BgL_ez00_15165 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15166;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15167;
BgL_arg4066z00_15167 = 
BGL_EXITD_PROTECT(BgL_ez00_15165); 
BgL_arg4065z00_15166 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15163, BgL_arg4066z00_15167); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15165, BgL_arg4065z00_15166); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15168;
BgL_accz00_15168 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12453, BgL_sz00_15162, BgL_bpz00_15163); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5167z00_28549;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15169;
BgL_arg4064z00_15169 = 
BGL_EXITD_PROTECT(BgL_ez00_15165); 
BgL_test5167z00_28549 = 
PAIRP(BgL_arg4064z00_15169); } 
if(BgL_test5167z00_28549)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15170;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15171;
BgL_arg4063z00_15171 = 
BGL_EXITD_PROTECT(BgL_ez00_15165); 
BgL_arg4062z00_15170 = 
CDR(
((obj_t)BgL_arg4063z00_15171)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15165, BgL_arg4062z00_15170); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15162),((long)0),BgL_bpz00_15163); 
return BgL_accz00_15168;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15172;
BgL_nsz00_15172 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15172,((long)1),BgL_sz00_15162); 
VECTOR_SET(BgL_nsz00_15172,((long)2),BgL_lastz00_12455); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15173;
BgL_z12denvz12_15173 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15173, BgL_nsz00_15172); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15174;
BgL_ez00_15174 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15175;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15176;
BgL_arg4066z00_15176 = 
BGL_EXITD_PROTECT(BgL_ez00_15174); 
BgL_arg4065z00_15175 = 
MAKE_YOUNG_PAIR(BgL_sz00_15162, BgL_arg4066z00_15176); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15174, BgL_arg4065z00_15175); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15177;
BgL_____rz00_15177 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12453, BgL_nsz00_15172, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5168z00_28569;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15178;
BgL_arg4064z00_15178 = 
BGL_EXITD_PROTECT(BgL_ez00_15174); 
BgL_test5168z00_28569 = 
PAIRP(BgL_arg4064z00_15178); } 
if(BgL_test5168z00_28569)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15179;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15180;
BgL_arg4063z00_15180 = 
BGL_EXITD_PROTECT(BgL_ez00_15174); 
BgL_arg4062z00_15179 = 
CDR(
((obj_t)BgL_arg4063z00_15180)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15174, BgL_arg4062z00_15179); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15173, BgL_sz00_15162); 
return BgL_____rz00_15177;} } } } } } } } 

}



/* &run4285 */
obj_t BGl_z62run4285z62zz__evaluate_compz00(obj_t BgL_envz00_12456, obj_t BgL_sz00_12460)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12457; BgL_ev_absz00_bglt BgL_i1252z00_12458; obj_t BgL_bodyz00_12459;
BgL_iboxesz00_12457 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12456, 
(int)(((long)0)))); 
BgL_i1252z00_12458 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12456, 
(int)(((long)1)))); 
BgL_bodyz00_12459 = 
PROCEDURE_REF(BgL_envz00_12456, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15181;
BgL_bpz00_15181 = 
VECTOR_REF(
((obj_t)BgL_sz00_12460),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12460, BgL_iboxesz00_12457, BgL_bpz00_15181); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15182; obj_t BgL_wherez00_15183; obj_t BgL_locz00_15184;
BgL_z12denvz12_15182 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15183 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12458))->BgL_wherez00); 
BgL_locz00_15184 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12458))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15182, BgL_wherez00_15183, BgL_locz00_15184); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15185;
BgL_za2za2resza2za2z00_15185 = 
PROCEDURE_ENTRY(BgL_bodyz00_12459)(BgL_bodyz00_12459, BgL_sz00_12460, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15182); 
return BgL_za2za2resza2za2z00_15185;} } } } } } 

}



/* &<@anonymous:3268> */
obj_t BGl_z62zc3z04anonymousza33268ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12461, obj_t BgL_sz00_12467)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12462; long BgL_siza7eza7_12463; BgL_ev_absz00_bglt BgL_i1252z00_12464; obj_t BgL_bodyz00_12465; long BgL_siza7ezd2framez75_12466;
BgL_ifreesz00_12462 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)0)))); 
BgL_siza7eza7_12463 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)1)))); 
BgL_i1252z00_12464 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)2)))); 
BgL_bodyz00_12465 = 
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12466 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15186;
BgL_bpz00_15186 = 
VECTOR_REF(
((obj_t)BgL_sz00_12467),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15187;
BgL_valza2za2_15187 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12467, BgL_bpz00_15186, BgL_ifreesz00_12462); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15188;
BgL_runz00_15188 = 
MAKE_FX_PROCEDURE(BGl_z62run4287z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15188, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12463)); 
PROCEDURE_SET(BgL_runz00_15188, 
(int)(((long)1)), BgL_valza2za2_15187); 
PROCEDURE_SET(BgL_runz00_15188, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12464)); 
PROCEDURE_SET(BgL_runz00_15188, 
(int)(((long)3)), BgL_bodyz00_12465); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15189;
BgL_mainz00_15189 = 
MAKE_VA_PROCEDURE(BGl_z62main4286z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15189, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12463)); 
PROCEDURE_SET(BgL_mainz00_15189, 
(int)(((long)1)), BgL_valza2za2_15187); 
PROCEDURE_SET(BgL_mainz00_15189, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12464)); 
PROCEDURE_SET(BgL_mainz00_15189, 
(int)(((long)3)), BgL_bodyz00_12465); 
PROCEDURE_SET(BgL_mainz00_15189, 
(int)(((long)4)), BgL_runz00_15188); 
PROCEDURE_SET(BgL_mainz00_15189, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12466)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15190;
BgL_objz00_15190 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15188, BgL_objz00_15190); BgL_objz00_15190; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3269z00_15191;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3270z00_15192;
BgL_arg3270z00_15192 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12464))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15193;
BgL_newz00_15193 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28649;
BgL_tmpz00_28649 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15193, BgL_tmpz00_28649, BgL_arg3270z00_15192); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28654; int BgL_tmpz00_28652;
BgL_auxz00_28654 = 
BINT(BgL_siza7ezd2framez75_12466); 
BgL_tmpz00_28652 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15193, BgL_tmpz00_28652, BgL_auxz00_28654); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28657;
BgL_tmpz00_28657 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15193, BgL_tmpz00_28657, BgL_runz00_15188); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28662; int BgL_tmpz00_28660;
BgL_auxz00_28662 = 
BINT(((long)-1)); 
BgL_tmpz00_28660 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15193, BgL_tmpz00_28660, BgL_auxz00_28662); } 
BgL_arg3269z00_15191 = BgL_newz00_15193; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15189, BgL_arg3269z00_15191); BgL_arg3269z00_15191; } 
return BgL_mainz00_15189;} } } } } } 

}



/* &main4286 */
obj_t BGl_z62main4286z62zz__evaluate_compz00(obj_t BgL_envz00_12468, obj_t BgL_lastz00_12475)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12473; long BgL_siza7ezd2framez75_12474;
BgL_runz00_12473 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12468, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12474 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12468, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15194;
BgL_sz00_15194 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15195;
BgL_bpz00_15195 = 
VECTOR_REF(
((obj_t)BgL_sz00_15194),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15194, BgL_bpz00_15195, 
BINT(BgL_siza7ezd2framez75_12474)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3273z00_15196;
BgL_arg3273z00_15196 = 
(
(long)CINT(BgL_bpz00_15195)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15194),BgL_arg3273z00_15196,BgL_lastz00_12475); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15197;
BgL_ez00_15197 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15198;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15199;
BgL_arg4066z00_15199 = 
BGL_EXITD_PROTECT(BgL_ez00_15197); 
BgL_arg4065z00_15198 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15195, BgL_arg4066z00_15199); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15197, BgL_arg4065z00_15198); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15200;
BgL_accz00_15200 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12473, BgL_sz00_15194, BgL_bpz00_15195); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5170z00_28687;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15201;
BgL_arg4064z00_15201 = 
BGL_EXITD_PROTECT(BgL_ez00_15197); 
BgL_test5170z00_28687 = 
PAIRP(BgL_arg4064z00_15201); } 
if(BgL_test5170z00_28687)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15202;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15203;
BgL_arg4063z00_15203 = 
BGL_EXITD_PROTECT(BgL_ez00_15197); 
BgL_arg4062z00_15202 = 
CDR(
((obj_t)BgL_arg4063z00_15203)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15197, BgL_arg4062z00_15202); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15194),((long)0),BgL_bpz00_15195); 
return BgL_accz00_15200;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15204;
BgL_nsz00_15204 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15204,((long)1),BgL_sz00_15194); 
VECTOR_SET(BgL_nsz00_15204,((long)2),BgL_lastz00_12475); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15205;
BgL_z12denvz12_15205 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15205, BgL_nsz00_15204); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15206;
BgL_ez00_15206 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15207;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15208;
BgL_arg4066z00_15208 = 
BGL_EXITD_PROTECT(BgL_ez00_15206); 
BgL_arg4065z00_15207 = 
MAKE_YOUNG_PAIR(BgL_sz00_15194, BgL_arg4066z00_15208); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15206, BgL_arg4065z00_15207); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15209;
BgL_____rz00_15209 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12473, BgL_nsz00_15204, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5171z00_28707;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15210;
BgL_arg4064z00_15210 = 
BGL_EXITD_PROTECT(BgL_ez00_15206); 
BgL_test5171z00_28707 = 
PAIRP(BgL_arg4064z00_15210); } 
if(BgL_test5171z00_28707)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15211;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15212;
BgL_arg4063z00_15212 = 
BGL_EXITD_PROTECT(BgL_ez00_15206); 
BgL_arg4062z00_15211 = 
CDR(
((obj_t)BgL_arg4063z00_15212)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15206, BgL_arg4062z00_15211); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15205, BgL_sz00_15194); 
return BgL_____rz00_15209;} } } } } } } } 

}



/* &run4287 */
obj_t BGl_z62run4287z62zz__evaluate_compz00(obj_t BgL_envz00_12476, obj_t BgL_sz00_12481)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12477; obj_t BgL_valza2za2_12478; BgL_ev_absz00_bglt BgL_i1252z00_12479; obj_t BgL_bodyz00_12480;
BgL_siza7eza7_12477 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12476, 
(int)(((long)0)))); 
BgL_valza2za2_12478 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12476, 
(int)(((long)1)))); 
BgL_i1252z00_12479 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12476, 
(int)(((long)2)))); 
BgL_bodyz00_12480 = 
PROCEDURE_REF(BgL_envz00_12476, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15213;
BgL_bpz00_15213 = 
VECTOR_REF(
((obj_t)BgL_sz00_12481),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12481, BgL_valza2za2_12478, 
(
(long)CINT(BgL_bpz00_15213)+BgL_siza7eza7_12477)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15214; obj_t BgL_wherez00_15215; obj_t BgL_locz00_15216;
BgL_z12denvz12_15214 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15215 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12479))->BgL_wherez00); 
BgL_locz00_15216 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12479))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15214, BgL_wherez00_15215, BgL_locz00_15216); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15217;
BgL_za2za2resza2za2z00_15217 = 
PROCEDURE_ENTRY(BgL_bodyz00_12480)(BgL_bodyz00_12480, BgL_sz00_12481, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15214); 
return BgL_za2za2resza2za2z00_15217;} } } } } } 

}



/* &<@anonymous:3276> */
obj_t BGl_z62zc3z04anonymousza33276ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12482, obj_t BgL_sz00_12489)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12483; obj_t BgL_iboxesz00_12484; long BgL_siza7eza7_12485; BgL_ev_absz00_bglt BgL_i1252z00_12486; obj_t BgL_bodyz00_12487; long BgL_siza7ezd2framez75_12488;
BgL_ifreesz00_12483 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)0)))); 
BgL_iboxesz00_12484 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)1)))); 
BgL_siza7eza7_12485 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)2)))); 
BgL_i1252z00_12486 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)3)))); 
BgL_bodyz00_12487 = 
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12488 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15218;
BgL_bpz00_15218 = 
VECTOR_REF(
((obj_t)BgL_sz00_12489),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15219;
BgL_valza2za2_15219 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12489, BgL_bpz00_15218, BgL_ifreesz00_12483); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15220;
BgL_runz00_15220 = 
MAKE_FX_PROCEDURE(BGl_z62run4289z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15220, 
(int)(((long)0)), BgL_iboxesz00_12484); 
PROCEDURE_SET(BgL_runz00_15220, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12485)); 
PROCEDURE_SET(BgL_runz00_15220, 
(int)(((long)2)), BgL_valza2za2_15219); 
PROCEDURE_SET(BgL_runz00_15220, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12486)); 
PROCEDURE_SET(BgL_runz00_15220, 
(int)(((long)4)), BgL_bodyz00_12487); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15221;
BgL_mainz00_15221 = 
MAKE_VA_PROCEDURE(BGl_z62main4288z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15221, 
(int)(((long)0)), BgL_iboxesz00_12484); 
PROCEDURE_SET(BgL_mainz00_15221, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12485)); 
PROCEDURE_SET(BgL_mainz00_15221, 
(int)(((long)2)), BgL_valza2za2_15219); 
PROCEDURE_SET(BgL_mainz00_15221, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12486)); 
PROCEDURE_SET(BgL_mainz00_15221, 
(int)(((long)4)), BgL_bodyz00_12487); 
PROCEDURE_SET(BgL_mainz00_15221, 
(int)(((long)5)), BgL_runz00_15220); 
PROCEDURE_SET(BgL_mainz00_15221, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12488)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15222;
BgL_objz00_15222 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15220, BgL_objz00_15222); BgL_objz00_15222; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3277z00_15223;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3278z00_15224;
BgL_arg3278z00_15224 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12486))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15225;
BgL_newz00_15225 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28799;
BgL_tmpz00_28799 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15225, BgL_tmpz00_28799, BgL_arg3278z00_15224); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28804; int BgL_tmpz00_28802;
BgL_auxz00_28804 = 
BINT(BgL_siza7ezd2framez75_12488); 
BgL_tmpz00_28802 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15225, BgL_tmpz00_28802, BgL_auxz00_28804); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28807;
BgL_tmpz00_28807 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15225, BgL_tmpz00_28807, BgL_runz00_15220); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28812; int BgL_tmpz00_28810;
BgL_auxz00_28812 = 
BINT(((long)-1)); 
BgL_tmpz00_28810 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15225, BgL_tmpz00_28810, BgL_auxz00_28812); } 
BgL_arg3277z00_15223 = BgL_newz00_15225; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15221, BgL_arg3277z00_15223); BgL_arg3277z00_15223; } 
return BgL_mainz00_15221;} } } } } } 

}



/* &main4288 */
obj_t BGl_z62main4288z62zz__evaluate_compz00(obj_t BgL_envz00_12490, obj_t BgL_lastz00_12498)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12496; long BgL_siza7ezd2framez75_12497;
BgL_runz00_12496 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12490, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12497 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12490, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15226;
BgL_sz00_15226 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15227;
BgL_bpz00_15227 = 
VECTOR_REF(
((obj_t)BgL_sz00_15226),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15226, BgL_bpz00_15227, 
BINT(BgL_siza7ezd2framez75_12497)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3281z00_15228;
BgL_arg3281z00_15228 = 
(
(long)CINT(BgL_bpz00_15227)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15226),BgL_arg3281z00_15228,BgL_lastz00_12498); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15229;
BgL_ez00_15229 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15230;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15231;
BgL_arg4066z00_15231 = 
BGL_EXITD_PROTECT(BgL_ez00_15229); 
BgL_arg4065z00_15230 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15227, BgL_arg4066z00_15231); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15229, BgL_arg4065z00_15230); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15232;
BgL_accz00_15232 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12496, BgL_sz00_15226, BgL_bpz00_15227); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5173z00_28837;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15233;
BgL_arg4064z00_15233 = 
BGL_EXITD_PROTECT(BgL_ez00_15229); 
BgL_test5173z00_28837 = 
PAIRP(BgL_arg4064z00_15233); } 
if(BgL_test5173z00_28837)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15234;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15235;
BgL_arg4063z00_15235 = 
BGL_EXITD_PROTECT(BgL_ez00_15229); 
BgL_arg4062z00_15234 = 
CDR(
((obj_t)BgL_arg4063z00_15235)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15229, BgL_arg4062z00_15234); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15226),((long)0),BgL_bpz00_15227); 
return BgL_accz00_15232;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15236;
BgL_nsz00_15236 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15236,((long)1),BgL_sz00_15226); 
VECTOR_SET(BgL_nsz00_15236,((long)2),BgL_lastz00_12498); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15237;
BgL_z12denvz12_15237 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15237, BgL_nsz00_15236); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15238;
BgL_ez00_15238 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15239;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15240;
BgL_arg4066z00_15240 = 
BGL_EXITD_PROTECT(BgL_ez00_15238); 
BgL_arg4065z00_15239 = 
MAKE_YOUNG_PAIR(BgL_sz00_15226, BgL_arg4066z00_15240); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15238, BgL_arg4065z00_15239); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15241;
BgL_____rz00_15241 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12496, BgL_nsz00_15236, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5174z00_28857;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15242;
BgL_arg4064z00_15242 = 
BGL_EXITD_PROTECT(BgL_ez00_15238); 
BgL_test5174z00_28857 = 
PAIRP(BgL_arg4064z00_15242); } 
if(BgL_test5174z00_28857)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15243;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15244;
BgL_arg4063z00_15244 = 
BGL_EXITD_PROTECT(BgL_ez00_15238); 
BgL_arg4062z00_15243 = 
CDR(
((obj_t)BgL_arg4063z00_15244)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15238, BgL_arg4062z00_15243); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15237, BgL_sz00_15226); 
return BgL_____rz00_15241;} } } } } } } } 

}



/* &run4289 */
obj_t BGl_z62run4289z62zz__evaluate_compz00(obj_t BgL_envz00_12499, obj_t BgL_sz00_12505)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12500; long BgL_siza7eza7_12501; obj_t BgL_valza2za2_12502; BgL_ev_absz00_bglt BgL_i1252z00_12503; obj_t BgL_bodyz00_12504;
BgL_iboxesz00_12500 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12499, 
(int)(((long)0)))); 
BgL_siza7eza7_12501 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12499, 
(int)(((long)1)))); 
BgL_valza2za2_12502 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12499, 
(int)(((long)2)))); 
BgL_i1252z00_12503 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12499, 
(int)(((long)3)))); 
BgL_bodyz00_12504 = 
PROCEDURE_REF(BgL_envz00_12499, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15245;
BgL_bpz00_15245 = 
VECTOR_REF(
((obj_t)BgL_sz00_12505),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12505, BgL_iboxesz00_12500, BgL_bpz00_15245); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12505, BgL_valza2za2_12502, 
(
(long)CINT(BgL_bpz00_15245)+BgL_siza7eza7_12501)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15246; obj_t BgL_wherez00_15247; obj_t BgL_locz00_15248;
BgL_z12denvz12_15246 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15247 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12503))->BgL_wherez00); 
BgL_locz00_15248 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12503))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15246, BgL_wherez00_15247, BgL_locz00_15248); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15249;
BgL_za2za2resza2za2z00_15249 = 
PROCEDURE_ENTRY(BgL_bodyz00_12504)(BgL_bodyz00_12504, BgL_sz00_12505, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15246); 
return BgL_za2za2resza2za2z00_15249;} } } } } } 

}



/* &<@anonymous:3216> */
obj_t BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12506, obj_t BgL_sz00_12510)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12507; obj_t BgL_bodyz00_12508; long BgL_siza7ezd2framez75_12509;
BgL_i1252z00_12507 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12506, 
(int)(((long)0)))); 
BgL_bodyz00_12508 = 
PROCEDURE_REF(BgL_envz00_12506, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12509 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12506, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15250;
BgL_bpz00_15250 = 
VECTOR_REF(
((obj_t)BgL_sz00_12510),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15251;
BgL_runz00_15251 = 
MAKE_FX_PROCEDURE(BGl_z62run4291z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15251, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12507)); 
PROCEDURE_SET(BgL_runz00_15251, 
(int)(((long)1)), BgL_bodyz00_12508); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15252;
BgL_mainz00_15252 = 
MAKE_FX_PROCEDURE(BGl_z62main4290z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15252, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12507)); 
PROCEDURE_SET(BgL_mainz00_15252, 
(int)(((long)1)), BgL_bodyz00_12508); 
PROCEDURE_SET(BgL_mainz00_15252, 
(int)(((long)2)), BgL_runz00_15251); 
PROCEDURE_SET(BgL_mainz00_15252, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12509)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15253;
BgL_objz00_15253 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15251, BgL_objz00_15253); BgL_objz00_15253; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3217z00_15254;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3218z00_15255;
BgL_arg3218z00_15255 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12507))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15256;
BgL_newz00_15256 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28929;
BgL_tmpz00_28929 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15256, BgL_tmpz00_28929, BgL_arg3218z00_15255); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28934; int BgL_tmpz00_28932;
BgL_auxz00_28934 = 
BINT(BgL_siza7ezd2framez75_12509); 
BgL_tmpz00_28932 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15256, BgL_tmpz00_28932, BgL_auxz00_28934); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28937;
BgL_tmpz00_28937 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15256, BgL_tmpz00_28937, BgL_runz00_15251); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28942; int BgL_tmpz00_28940;
BgL_auxz00_28942 = 
BINT(((long)0)); 
BgL_tmpz00_28940 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15256, BgL_tmpz00_28940, BgL_auxz00_28942); } 
BgL_arg3217z00_15254 = BgL_newz00_15256; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15252, BgL_arg3217z00_15254); BgL_arg3217z00_15254; } 
return BgL_mainz00_15252;} } } } } } 

}



/* &main4290 */
obj_t BGl_z62main4290z62zz__evaluate_compz00(obj_t BgL_envz00_12511)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12514; long BgL_siza7ezd2framez75_12515;
BgL_runz00_12514 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12511, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12515 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12511, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15257;
BgL_sz00_15257 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15258;
BgL_bpz00_15258 = 
VECTOR_REF(
((obj_t)BgL_sz00_15257),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15257, BgL_bpz00_15258, 
BINT(BgL_siza7ezd2framez75_12515)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15259;
BgL_ez00_15259 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15260;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15261;
BgL_arg4066z00_15261 = 
BGL_EXITD_PROTECT(BgL_ez00_15259); 
BgL_arg4065z00_15260 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15258, BgL_arg4066z00_15261); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15259, BgL_arg4065z00_15260); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15262;
BgL_accz00_15262 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12514, BgL_sz00_15257, BgL_bpz00_15258); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5176z00_28963;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15263;
BgL_arg4064z00_15263 = 
BGL_EXITD_PROTECT(BgL_ez00_15259); 
BgL_test5176z00_28963 = 
PAIRP(BgL_arg4064z00_15263); } 
if(BgL_test5176z00_28963)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15264;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15265;
BgL_arg4063z00_15265 = 
BGL_EXITD_PROTECT(BgL_ez00_15259); 
BgL_arg4062z00_15264 = 
CDR(
((obj_t)BgL_arg4063z00_15265)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15259, BgL_arg4062z00_15264); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15257),((long)0),BgL_bpz00_15258); 
return BgL_accz00_15262;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15266;
BgL_nsz00_15266 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15266,((long)1),BgL_sz00_15257); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15267;
BgL_z12denvz12_15267 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15267, BgL_nsz00_15266); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15268;
BgL_ez00_15268 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15269;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15270;
BgL_arg4066z00_15270 = 
BGL_EXITD_PROTECT(BgL_ez00_15268); 
BgL_arg4065z00_15269 = 
MAKE_YOUNG_PAIR(BgL_sz00_15257, BgL_arg4066z00_15270); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15268, BgL_arg4065z00_15269); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15271;
BgL_____rz00_15271 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12514, BgL_nsz00_15266, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5177z00_28982;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15272;
BgL_arg4064z00_15272 = 
BGL_EXITD_PROTECT(BgL_ez00_15268); 
BgL_test5177z00_28982 = 
PAIRP(BgL_arg4064z00_15272); } 
if(BgL_test5177z00_28982)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15273;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15274;
BgL_arg4063z00_15274 = 
BGL_EXITD_PROTECT(BgL_ez00_15268); 
BgL_arg4062z00_15273 = 
CDR(
((obj_t)BgL_arg4063z00_15274)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15268, BgL_arg4062z00_15273); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15267, BgL_sz00_15257); 
return BgL_____rz00_15271;} } } } } } } } 

}



/* &run4291 */
obj_t BGl_z62run4291z62zz__evaluate_compz00(obj_t BgL_envz00_12516, obj_t BgL_sz00_12519)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12517; obj_t BgL_bodyz00_12518;
BgL_i1252z00_12517 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12516, 
(int)(((long)0)))); 
BgL_bodyz00_12518 = 
PROCEDURE_REF(BgL_envz00_12516, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15275;
BgL_bpz00_15275 = 
VECTOR_REF(
((obj_t)BgL_sz00_12519),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15276; obj_t BgL_wherez00_15277; obj_t BgL_locz00_15278;
BgL_z12denvz12_15276 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15277 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12517))->BgL_wherez00); 
BgL_locz00_15278 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12517))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15276, BgL_wherez00_15277, BgL_locz00_15278); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15279;
BgL_za2za2resza2za2z00_15279 = 
PROCEDURE_ENTRY(BgL_bodyz00_12518)(BgL_bodyz00_12518, BgL_sz00_12519, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15276); 
return BgL_za2za2resza2za2z00_15279;} } } } } } 

}



/* &<@anonymous:3222> */
obj_t BGl_z62zc3z04anonymousza33222ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12520, obj_t BgL_sz00_12525)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12521; BgL_ev_absz00_bglt BgL_i1252z00_12522; obj_t BgL_bodyz00_12523; long BgL_siza7ezd2framez75_12524;
BgL_iboxesz00_12521 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12520, 
(int)(((long)0)))); 
BgL_i1252z00_12522 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12520, 
(int)(((long)1)))); 
BgL_bodyz00_12523 = 
PROCEDURE_REF(BgL_envz00_12520, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12524 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12520, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15280;
BgL_bpz00_15280 = 
VECTOR_REF(
((obj_t)BgL_sz00_12525),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15281;
BgL_runz00_15281 = 
MAKE_FX_PROCEDURE(BGl_z62run4293z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15281, 
(int)(((long)0)), BgL_iboxesz00_12521); 
PROCEDURE_SET(BgL_runz00_15281, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12522)); 
PROCEDURE_SET(BgL_runz00_15281, 
(int)(((long)2)), BgL_bodyz00_12523); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15282;
BgL_mainz00_15282 = 
MAKE_FX_PROCEDURE(BGl_z62main4292z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15282, 
(int)(((long)0)), BgL_iboxesz00_12521); 
PROCEDURE_SET(BgL_mainz00_15282, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12522)); 
PROCEDURE_SET(BgL_mainz00_15282, 
(int)(((long)2)), BgL_bodyz00_12523); 
PROCEDURE_SET(BgL_mainz00_15282, 
(int)(((long)3)), BgL_runz00_15281); 
PROCEDURE_SET(BgL_mainz00_15282, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12524)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15283;
BgL_objz00_15283 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15281, BgL_objz00_15283); BgL_objz00_15283; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3223z00_15284;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3224z00_15285;
BgL_arg3224z00_15285 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12522))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15286;
BgL_newz00_15286 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29048;
BgL_tmpz00_29048 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15286, BgL_tmpz00_29048, BgL_arg3224z00_15285); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29053; int BgL_tmpz00_29051;
BgL_auxz00_29053 = 
BINT(BgL_siza7ezd2framez75_12524); 
BgL_tmpz00_29051 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15286, BgL_tmpz00_29051, BgL_auxz00_29053); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29056;
BgL_tmpz00_29056 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15286, BgL_tmpz00_29056, BgL_runz00_15281); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29061; int BgL_tmpz00_29059;
BgL_auxz00_29061 = 
BINT(((long)0)); 
BgL_tmpz00_29059 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15286, BgL_tmpz00_29059, BgL_auxz00_29061); } 
BgL_arg3223z00_15284 = BgL_newz00_15286; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15282, BgL_arg3223z00_15284); BgL_arg3223z00_15284; } 
return BgL_mainz00_15282;} } } } } } 

}



/* &main4292 */
obj_t BGl_z62main4292z62zz__evaluate_compz00(obj_t BgL_envz00_12526)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12530; long BgL_siza7ezd2framez75_12531;
BgL_runz00_12530 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12531 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15287;
BgL_sz00_15287 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15288;
BgL_bpz00_15288 = 
VECTOR_REF(
((obj_t)BgL_sz00_15287),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15287, BgL_bpz00_15288, 
BINT(BgL_siza7ezd2framez75_12531)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15289;
BgL_ez00_15289 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15290;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15291;
BgL_arg4066z00_15291 = 
BGL_EXITD_PROTECT(BgL_ez00_15289); 
BgL_arg4065z00_15290 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15288, BgL_arg4066z00_15291); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15289, BgL_arg4065z00_15290); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15292;
BgL_accz00_15292 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12530, BgL_sz00_15287, BgL_bpz00_15288); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5179z00_29082;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15293;
BgL_arg4064z00_15293 = 
BGL_EXITD_PROTECT(BgL_ez00_15289); 
BgL_test5179z00_29082 = 
PAIRP(BgL_arg4064z00_15293); } 
if(BgL_test5179z00_29082)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15294;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15295;
BgL_arg4063z00_15295 = 
BGL_EXITD_PROTECT(BgL_ez00_15289); 
BgL_arg4062z00_15294 = 
CDR(
((obj_t)BgL_arg4063z00_15295)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15289, BgL_arg4062z00_15294); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15287),((long)0),BgL_bpz00_15288); 
return BgL_accz00_15292;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15296;
BgL_nsz00_15296 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15296,((long)1),BgL_sz00_15287); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15297;
BgL_z12denvz12_15297 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15297, BgL_nsz00_15296); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15298;
BgL_ez00_15298 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15299;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15300;
BgL_arg4066z00_15300 = 
BGL_EXITD_PROTECT(BgL_ez00_15298); 
BgL_arg4065z00_15299 = 
MAKE_YOUNG_PAIR(BgL_sz00_15287, BgL_arg4066z00_15300); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15298, BgL_arg4065z00_15299); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15301;
BgL_____rz00_15301 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12530, BgL_nsz00_15296, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5180z00_29101;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15302;
BgL_arg4064z00_15302 = 
BGL_EXITD_PROTECT(BgL_ez00_15298); 
BgL_test5180z00_29101 = 
PAIRP(BgL_arg4064z00_15302); } 
if(BgL_test5180z00_29101)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15303;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15304;
BgL_arg4063z00_15304 = 
BGL_EXITD_PROTECT(BgL_ez00_15298); 
BgL_arg4062z00_15303 = 
CDR(
((obj_t)BgL_arg4063z00_15304)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15298, BgL_arg4062z00_15303); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15297, BgL_sz00_15287); 
return BgL_____rz00_15301;} } } } } } } } 

}



/* &run4293 */
obj_t BGl_z62run4293z62zz__evaluate_compz00(obj_t BgL_envz00_12532, obj_t BgL_sz00_12536)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12533; BgL_ev_absz00_bglt BgL_i1252z00_12534; obj_t BgL_bodyz00_12535;
BgL_iboxesz00_12533 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12532, 
(int)(((long)0)))); 
BgL_i1252z00_12534 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12532, 
(int)(((long)1)))); 
BgL_bodyz00_12535 = 
PROCEDURE_REF(BgL_envz00_12532, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15305;
BgL_bpz00_15305 = 
VECTOR_REF(
((obj_t)BgL_sz00_12536),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12536, BgL_iboxesz00_12533, BgL_bpz00_15305); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15306; obj_t BgL_wherez00_15307; obj_t BgL_locz00_15308;
BgL_z12denvz12_15306 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15307 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12534))->BgL_wherez00); 
BgL_locz00_15308 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12534))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15306, BgL_wherez00_15307, BgL_locz00_15308); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15309;
BgL_za2za2resza2za2z00_15309 = 
PROCEDURE_ENTRY(BgL_bodyz00_12535)(BgL_bodyz00_12535, BgL_sz00_12536, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15306); 
return BgL_za2za2resza2za2z00_15309;} } } } } } 

}



/* &<@anonymous:3231> */
obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12537, obj_t BgL_sz00_12543)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12538; long BgL_siza7eza7_12539; BgL_ev_absz00_bglt BgL_i1252z00_12540; obj_t BgL_bodyz00_12541; long BgL_siza7ezd2framez75_12542;
BgL_ifreesz00_12538 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12537, 
(int)(((long)0)))); 
BgL_siza7eza7_12539 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12537, 
(int)(((long)1)))); 
BgL_i1252z00_12540 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12537, 
(int)(((long)2)))); 
BgL_bodyz00_12541 = 
PROCEDURE_REF(BgL_envz00_12537, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12542 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12537, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15310;
BgL_bpz00_15310 = 
VECTOR_REF(
((obj_t)BgL_sz00_12543),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15311;
BgL_valza2za2_15311 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12543, BgL_bpz00_15310, BgL_ifreesz00_12538); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15312;
BgL_runz00_15312 = 
MAKE_FX_PROCEDURE(BGl_z62run4295z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15312, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12539)); 
PROCEDURE_SET(BgL_runz00_15312, 
(int)(((long)1)), BgL_valza2za2_15311); 
PROCEDURE_SET(BgL_runz00_15312, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12540)); 
PROCEDURE_SET(BgL_runz00_15312, 
(int)(((long)3)), BgL_bodyz00_12541); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15313;
BgL_mainz00_15313 = 
MAKE_FX_PROCEDURE(BGl_z62main4294z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15313, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12539)); 
PROCEDURE_SET(BgL_mainz00_15313, 
(int)(((long)1)), BgL_valza2za2_15311); 
PROCEDURE_SET(BgL_mainz00_15313, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12540)); 
PROCEDURE_SET(BgL_mainz00_15313, 
(int)(((long)3)), BgL_bodyz00_12541); 
PROCEDURE_SET(BgL_mainz00_15313, 
(int)(((long)4)), BgL_runz00_15312); 
PROCEDURE_SET(BgL_mainz00_15313, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12542)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15314;
BgL_objz00_15314 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15312, BgL_objz00_15314); BgL_objz00_15314; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3232z00_15315;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3233z00_15316;
BgL_arg3233z00_15316 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12540))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15317;
BgL_newz00_15317 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29181;
BgL_tmpz00_29181 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15317, BgL_tmpz00_29181, BgL_arg3233z00_15316); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29186; int BgL_tmpz00_29184;
BgL_auxz00_29186 = 
BINT(BgL_siza7ezd2framez75_12542); 
BgL_tmpz00_29184 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15317, BgL_tmpz00_29184, BgL_auxz00_29186); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29189;
BgL_tmpz00_29189 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15317, BgL_tmpz00_29189, BgL_runz00_15312); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29194; int BgL_tmpz00_29192;
BgL_auxz00_29194 = 
BINT(((long)0)); 
BgL_tmpz00_29192 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15317, BgL_tmpz00_29192, BgL_auxz00_29194); } 
BgL_arg3232z00_15315 = BgL_newz00_15317; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15313, BgL_arg3232z00_15315); BgL_arg3232z00_15315; } 
return BgL_mainz00_15313;} } } } } } 

}



/* &main4294 */
obj_t BGl_z62main4294z62zz__evaluate_compz00(obj_t BgL_envz00_12544)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12549; long BgL_siza7ezd2framez75_12550;
BgL_runz00_12549 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12544, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12550 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12544, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15318;
BgL_sz00_15318 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15319;
BgL_bpz00_15319 = 
VECTOR_REF(
((obj_t)BgL_sz00_15318),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15318, BgL_bpz00_15319, 
BINT(BgL_siza7ezd2framez75_12550)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15320;
BgL_ez00_15320 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15321;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15322;
BgL_arg4066z00_15322 = 
BGL_EXITD_PROTECT(BgL_ez00_15320); 
BgL_arg4065z00_15321 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15319, BgL_arg4066z00_15322); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15320, BgL_arg4065z00_15321); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15323;
BgL_accz00_15323 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12549, BgL_sz00_15318, BgL_bpz00_15319); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5182z00_29215;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15324;
BgL_arg4064z00_15324 = 
BGL_EXITD_PROTECT(BgL_ez00_15320); 
BgL_test5182z00_29215 = 
PAIRP(BgL_arg4064z00_15324); } 
if(BgL_test5182z00_29215)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15325;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15326;
BgL_arg4063z00_15326 = 
BGL_EXITD_PROTECT(BgL_ez00_15320); 
BgL_arg4062z00_15325 = 
CDR(
((obj_t)BgL_arg4063z00_15326)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15320, BgL_arg4062z00_15325); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15318),((long)0),BgL_bpz00_15319); 
return BgL_accz00_15323;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15327;
BgL_nsz00_15327 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15327,((long)1),BgL_sz00_15318); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15328;
BgL_z12denvz12_15328 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15328, BgL_nsz00_15327); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15329;
BgL_ez00_15329 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15330;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15331;
BgL_arg4066z00_15331 = 
BGL_EXITD_PROTECT(BgL_ez00_15329); 
BgL_arg4065z00_15330 = 
MAKE_YOUNG_PAIR(BgL_sz00_15318, BgL_arg4066z00_15331); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15329, BgL_arg4065z00_15330); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15332;
BgL_____rz00_15332 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12549, BgL_nsz00_15327, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5183z00_29234;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15333;
BgL_arg4064z00_15333 = 
BGL_EXITD_PROTECT(BgL_ez00_15329); 
BgL_test5183z00_29234 = 
PAIRP(BgL_arg4064z00_15333); } 
if(BgL_test5183z00_29234)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15334;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15335;
BgL_arg4063z00_15335 = 
BGL_EXITD_PROTECT(BgL_ez00_15329); 
BgL_arg4062z00_15334 = 
CDR(
((obj_t)BgL_arg4063z00_15335)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15329, BgL_arg4062z00_15334); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15328, BgL_sz00_15318); 
return BgL_____rz00_15332;} } } } } } } } 

}



/* &run4295 */
obj_t BGl_z62run4295z62zz__evaluate_compz00(obj_t BgL_envz00_12551, obj_t BgL_sz00_12556)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12552; obj_t BgL_valza2za2_12553; BgL_ev_absz00_bglt BgL_i1252z00_12554; obj_t BgL_bodyz00_12555;
BgL_siza7eza7_12552 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12551, 
(int)(((long)0)))); 
BgL_valza2za2_12553 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12551, 
(int)(((long)1)))); 
BgL_i1252z00_12554 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12551, 
(int)(((long)2)))); 
BgL_bodyz00_12555 = 
PROCEDURE_REF(BgL_envz00_12551, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15336;
BgL_bpz00_15336 = 
VECTOR_REF(
((obj_t)BgL_sz00_12556),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12556, BgL_valza2za2_12553, 
(
(long)CINT(BgL_bpz00_15336)+BgL_siza7eza7_12552)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15337; obj_t BgL_wherez00_15338; obj_t BgL_locz00_15339;
BgL_z12denvz12_15337 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15338 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12554))->BgL_wherez00); 
BgL_locz00_15339 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12554))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15337, BgL_wherez00_15338, BgL_locz00_15339); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15340;
BgL_za2za2resza2za2z00_15340 = 
PROCEDURE_ENTRY(BgL_bodyz00_12555)(BgL_bodyz00_12555, BgL_sz00_12556, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15337); 
return BgL_za2za2resza2za2z00_15340;} } } } } } 

}



/* &<@anonymous:3238> */
obj_t BGl_z62zc3z04anonymousza33238ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12557, obj_t BgL_sz00_12564)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12558; obj_t BgL_iboxesz00_12559; long BgL_siza7eza7_12560; BgL_ev_absz00_bglt BgL_i1252z00_12561; obj_t BgL_bodyz00_12562; long BgL_siza7ezd2framez75_12563;
BgL_ifreesz00_12558 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)0)))); 
BgL_iboxesz00_12559 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)1)))); 
BgL_siza7eza7_12560 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)2)))); 
BgL_i1252z00_12561 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)3)))); 
BgL_bodyz00_12562 = 
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12563 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15341;
BgL_bpz00_15341 = 
VECTOR_REF(
((obj_t)BgL_sz00_12564),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15342;
BgL_valza2za2_15342 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12564, BgL_bpz00_15341, BgL_ifreesz00_12558); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15343;
BgL_runz00_15343 = 
MAKE_FX_PROCEDURE(BGl_z62run4297z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15343, 
(int)(((long)0)), BgL_iboxesz00_12559); 
PROCEDURE_SET(BgL_runz00_15343, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12560)); 
PROCEDURE_SET(BgL_runz00_15343, 
(int)(((long)2)), BgL_valza2za2_15342); 
PROCEDURE_SET(BgL_runz00_15343, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12561)); 
PROCEDURE_SET(BgL_runz00_15343, 
(int)(((long)4)), BgL_bodyz00_12562); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15344;
BgL_mainz00_15344 = 
MAKE_FX_PROCEDURE(BGl_z62main4296z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15344, 
(int)(((long)0)), BgL_iboxesz00_12559); 
PROCEDURE_SET(BgL_mainz00_15344, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12560)); 
PROCEDURE_SET(BgL_mainz00_15344, 
(int)(((long)2)), BgL_valza2za2_15342); 
PROCEDURE_SET(BgL_mainz00_15344, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12561)); 
PROCEDURE_SET(BgL_mainz00_15344, 
(int)(((long)4)), BgL_bodyz00_12562); 
PROCEDURE_SET(BgL_mainz00_15344, 
(int)(((long)5)), BgL_runz00_15343); 
PROCEDURE_SET(BgL_mainz00_15344, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12563)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15345;
BgL_objz00_15345 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15343, BgL_objz00_15345); BgL_objz00_15345; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3239z00_15346;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3240z00_15347;
BgL_arg3240z00_15347 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12561))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15348;
BgL_newz00_15348 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29326;
BgL_tmpz00_29326 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15348, BgL_tmpz00_29326, BgL_arg3240z00_15347); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29331; int BgL_tmpz00_29329;
BgL_auxz00_29331 = 
BINT(BgL_siza7ezd2framez75_12563); 
BgL_tmpz00_29329 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15348, BgL_tmpz00_29329, BgL_auxz00_29331); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29334;
BgL_tmpz00_29334 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15348, BgL_tmpz00_29334, BgL_runz00_15343); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29339; int BgL_tmpz00_29337;
BgL_auxz00_29339 = 
BINT(((long)0)); 
BgL_tmpz00_29337 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15348, BgL_tmpz00_29337, BgL_auxz00_29339); } 
BgL_arg3239z00_15346 = BgL_newz00_15348; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15344, BgL_arg3239z00_15346); BgL_arg3239z00_15346; } 
return BgL_mainz00_15344;} } } } } } 

}



/* &main4296 */
obj_t BGl_z62main4296z62zz__evaluate_compz00(obj_t BgL_envz00_12565)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12571; long BgL_siza7ezd2framez75_12572;
BgL_runz00_12571 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12565, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12572 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12565, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15349;
BgL_sz00_15349 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15350;
BgL_bpz00_15350 = 
VECTOR_REF(
((obj_t)BgL_sz00_15349),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15349, BgL_bpz00_15350, 
BINT(BgL_siza7ezd2framez75_12572)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15351;
BgL_ez00_15351 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15352;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15353;
BgL_arg4066z00_15353 = 
BGL_EXITD_PROTECT(BgL_ez00_15351); 
BgL_arg4065z00_15352 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15350, BgL_arg4066z00_15353); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15351, BgL_arg4065z00_15352); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15354;
BgL_accz00_15354 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12571, BgL_sz00_15349, BgL_bpz00_15350); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5185z00_29360;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15355;
BgL_arg4064z00_15355 = 
BGL_EXITD_PROTECT(BgL_ez00_15351); 
BgL_test5185z00_29360 = 
PAIRP(BgL_arg4064z00_15355); } 
if(BgL_test5185z00_29360)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15356;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15357;
BgL_arg4063z00_15357 = 
BGL_EXITD_PROTECT(BgL_ez00_15351); 
BgL_arg4062z00_15356 = 
CDR(
((obj_t)BgL_arg4063z00_15357)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15351, BgL_arg4062z00_15356); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15349),((long)0),BgL_bpz00_15350); 
return BgL_accz00_15354;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15358;
BgL_nsz00_15358 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15358,((long)1),BgL_sz00_15349); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15359;
BgL_z12denvz12_15359 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15359, BgL_nsz00_15358); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15360;
BgL_ez00_15360 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15361;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15362;
BgL_arg4066z00_15362 = 
BGL_EXITD_PROTECT(BgL_ez00_15360); 
BgL_arg4065z00_15361 = 
MAKE_YOUNG_PAIR(BgL_sz00_15349, BgL_arg4066z00_15362); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15360, BgL_arg4065z00_15361); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15363;
BgL_____rz00_15363 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12571, BgL_nsz00_15358, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5186z00_29379;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15364;
BgL_arg4064z00_15364 = 
BGL_EXITD_PROTECT(BgL_ez00_15360); 
BgL_test5186z00_29379 = 
PAIRP(BgL_arg4064z00_15364); } 
if(BgL_test5186z00_29379)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15365;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15366;
BgL_arg4063z00_15366 = 
BGL_EXITD_PROTECT(BgL_ez00_15360); 
BgL_arg4062z00_15365 = 
CDR(
((obj_t)BgL_arg4063z00_15366)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15360, BgL_arg4062z00_15365); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15359, BgL_sz00_15349); 
return BgL_____rz00_15363;} } } } } } } } 

}



/* &run4297 */
obj_t BGl_z62run4297z62zz__evaluate_compz00(obj_t BgL_envz00_12573, obj_t BgL_sz00_12579)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12574; long BgL_siza7eza7_12575; obj_t BgL_valza2za2_12576; BgL_ev_absz00_bglt BgL_i1252z00_12577; obj_t BgL_bodyz00_12578;
BgL_iboxesz00_12574 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12573, 
(int)(((long)0)))); 
BgL_siza7eza7_12575 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12573, 
(int)(((long)1)))); 
BgL_valza2za2_12576 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12573, 
(int)(((long)2)))); 
BgL_i1252z00_12577 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12573, 
(int)(((long)3)))); 
BgL_bodyz00_12578 = 
PROCEDURE_REF(BgL_envz00_12573, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15367;
BgL_bpz00_15367 = 
VECTOR_REF(
((obj_t)BgL_sz00_12579),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12579, BgL_iboxesz00_12574, BgL_bpz00_15367); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12579, BgL_valza2za2_12576, 
(
(long)CINT(BgL_bpz00_15367)+BgL_siza7eza7_12575)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15368; obj_t BgL_wherez00_15369; obj_t BgL_locz00_15370;
BgL_z12denvz12_15368 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15369 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12577))->BgL_wherez00); 
BgL_locz00_15370 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12577))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15368, BgL_wherez00_15369, BgL_locz00_15370); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15371;
BgL_za2za2resza2za2z00_15371 = 
PROCEDURE_ENTRY(BgL_bodyz00_12578)(BgL_bodyz00_12578, BgL_sz00_12579, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15368); 
return BgL_za2za2resza2za2z00_15371;} } } } } } 

}



/* &<@anonymous:3666> */
obj_t BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12580, obj_t BgL_sz00_12584)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12581; obj_t BgL_bodyz00_12582; long BgL_siza7ezd2framez75_12583;
BgL_i1252z00_12581 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12580, 
(int)(((long)0)))); 
BgL_bodyz00_12582 = 
PROCEDURE_REF(BgL_envz00_12580, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12583 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12580, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15372;
BgL_bpz00_15372 = 
VECTOR_REF(
((obj_t)BgL_sz00_12584),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15373;
BgL_runz00_15373 = 
MAKE_FX_PROCEDURE(BGl_z62run4299z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15373, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12581)); 
PROCEDURE_SET(BgL_runz00_15373, 
(int)(((long)1)), BgL_bodyz00_12582); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15374;
BgL_mainz00_15374 = 
MAKE_VA_PROCEDURE(BGl_z62main4298z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15374, 
(int)(((long)0)), BgL_bodyz00_12582); 
PROCEDURE_SET(BgL_mainz00_15374, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12581)); 
PROCEDURE_SET(BgL_mainz00_15374, 
(int)(((long)2)), BgL_runz00_15373); 
PROCEDURE_SET(BgL_mainz00_15374, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12583)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15375;
BgL_objz00_15375 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15373, BgL_objz00_15375); BgL_objz00_15375; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3667z00_15376;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3668z00_15377; obj_t BgL_arg3669z00_15378;
BgL_arg3668z00_15377 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12581))->BgL_arityz00); 
BgL_arg3669z00_15378 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12581))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15379;
BgL_newz00_15379 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29452;
BgL_tmpz00_29452 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15379, BgL_tmpz00_29452, BgL_arg3669z00_15378); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29457; int BgL_tmpz00_29455;
BgL_auxz00_29457 = 
BINT(BgL_siza7ezd2framez75_12583); 
BgL_tmpz00_29455 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15379, BgL_tmpz00_29455, BgL_auxz00_29457); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29460;
BgL_tmpz00_29460 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15379, BgL_tmpz00_29460, BgL_runz00_15373); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29463;
BgL_tmpz00_29463 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15379, BgL_tmpz00_29463, BgL_arg3668z00_15377); } 
BgL_arg3667z00_15376 = BgL_newz00_15379; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15374, BgL_arg3667z00_15376); BgL_arg3667z00_15376; } 
return BgL_mainz00_15374;} } } } } } 

}



/* &main4298 */
obj_t BGl_z62main4298z62zz__evaluate_compz00(obj_t BgL_envz00_12585, obj_t BgL_az00_12590, obj_t BgL_bz00_12591, obj_t BgL_cz00_12592, obj_t BgL_dz00_12593, obj_t BgL_restz00_12594)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12587; obj_t BgL_runz00_12588; long BgL_siza7ezd2framez75_12589;
BgL_i1252z00_12587 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12585, 
(int)(((long)1)))); 
BgL_runz00_12588 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12585, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12589 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12585, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15380;
BgL_sz00_15380 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15381;
BgL_bpz00_15381 = 
VECTOR_REF(
((obj_t)BgL_sz00_15380),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15380, BgL_bpz00_15381, 
BINT(BgL_siza7ezd2framez75_12589)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3672z00_15382;
BgL_arg3672z00_15382 = 
(
(long)CINT(BgL_bpz00_15381)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15380),BgL_arg3672z00_15382,BgL_az00_12590); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3673z00_15383;
BgL_arg3673z00_15383 = 
(
(long)CINT(BgL_bpz00_15381)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15380),BgL_arg3673z00_15383,BgL_bz00_12591); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3674z00_15384;
BgL_arg3674z00_15384 = 
(
(long)CINT(BgL_bpz00_15381)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15380),BgL_arg3674z00_15384,BgL_cz00_12592); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3675z00_15385;
BgL_arg3675z00_15385 = 
(
(long)CINT(BgL_bpz00_15381)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15380),BgL_arg3675z00_15385,BgL_dz00_12593); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15380, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12587))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15381)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12587))->BgL_arityz00), ((long)4)), BgL_restz00_12594, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12587))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15386;
BgL_ez00_15386 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15387;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15388;
BgL_arg4066z00_15388 = 
BGL_EXITD_PROTECT(BgL_ez00_15386); 
BgL_arg4065z00_15387 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15381, BgL_arg4066z00_15388); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15386, BgL_arg4065z00_15387); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15389;
BgL_accz00_15389 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12588, BgL_sz00_15380, BgL_bpz00_15381); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5188z00_29510;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15390;
BgL_arg4064z00_15390 = 
BGL_EXITD_PROTECT(BgL_ez00_15386); 
BgL_test5188z00_29510 = 
PAIRP(BgL_arg4064z00_15390); } 
if(BgL_test5188z00_29510)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15391;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15392;
BgL_arg4063z00_15392 = 
BGL_EXITD_PROTECT(BgL_ez00_15386); 
BgL_arg4062z00_15391 = 
CDR(
((obj_t)BgL_arg4063z00_15392)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15386, BgL_arg4062z00_15391); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15380),((long)0),BgL_bpz00_15381); 
return BgL_accz00_15389;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15393;
BgL_nsz00_15393 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15393,((long)1),BgL_sz00_15380); 
VECTOR_SET(BgL_nsz00_15393,((long)2),BgL_az00_12590); 
VECTOR_SET(BgL_nsz00_15393,((long)3),BgL_bz00_12591); 
VECTOR_SET(BgL_nsz00_15393,((long)4),BgL_cz00_12592); 
VECTOR_SET(BgL_nsz00_15393,((long)5),BgL_dz00_12593); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15393, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12587))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12587))->BgL_arityz00), ((long)4)), BgL_restz00_12594, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12587))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15394;
BgL_z12denvz12_15394 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15394, BgL_nsz00_15393); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15395;
BgL_ez00_15395 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15396;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15397;
BgL_arg4066z00_15397 = 
BGL_EXITD_PROTECT(BgL_ez00_15395); 
BgL_arg4065z00_15396 = 
MAKE_YOUNG_PAIR(BgL_sz00_15380, BgL_arg4066z00_15397); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15395, BgL_arg4065z00_15396); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15398;
BgL_____rz00_15398 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12588, BgL_nsz00_15393, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5189z00_29538;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15399;
BgL_arg4064z00_15399 = 
BGL_EXITD_PROTECT(BgL_ez00_15395); 
BgL_test5189z00_29538 = 
PAIRP(BgL_arg4064z00_15399); } 
if(BgL_test5189z00_29538)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15400;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15401;
BgL_arg4063z00_15401 = 
BGL_EXITD_PROTECT(BgL_ez00_15395); 
BgL_arg4062z00_15400 = 
CDR(
((obj_t)BgL_arg4063z00_15401)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15395, BgL_arg4062z00_15400); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15394, BgL_sz00_15380); 
return BgL_____rz00_15398;} } } } } } } } 

}



/* &run4299 */
obj_t BGl_z62run4299z62zz__evaluate_compz00(obj_t BgL_envz00_12595, obj_t BgL_sz00_12598)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12596; obj_t BgL_bodyz00_12597;
BgL_i1252z00_12596 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12595, 
(int)(((long)0)))); 
BgL_bodyz00_12597 = 
PROCEDURE_REF(BgL_envz00_12595, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15402;
BgL_bpz00_15402 = 
VECTOR_REF(
((obj_t)BgL_sz00_12598),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15403; obj_t BgL_wherez00_15404; obj_t BgL_locz00_15405;
BgL_z12denvz12_15403 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15404 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12596))->BgL_wherez00); 
BgL_locz00_15405 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12596))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15403, BgL_wherez00_15404, BgL_locz00_15405); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15406;
BgL_za2za2resza2za2z00_15406 = 
PROCEDURE_ENTRY(BgL_bodyz00_12597)(BgL_bodyz00_12597, BgL_sz00_12598, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15403); 
return BgL_za2za2resza2za2z00_15406;} } } } } } 

}



/* &<@anonymous:3686> */
obj_t BGl_z62zc3z04anonymousza33686ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12599, obj_t BgL_sz00_12604)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12600; BgL_ev_absz00_bglt BgL_i1252z00_12601; obj_t BgL_bodyz00_12602; long BgL_siza7ezd2framez75_12603;
BgL_iboxesz00_12600 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12599, 
(int)(((long)0)))); 
BgL_i1252z00_12601 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12599, 
(int)(((long)1)))); 
BgL_bodyz00_12602 = 
PROCEDURE_REF(BgL_envz00_12599, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12603 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12599, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15407;
BgL_bpz00_15407 = 
VECTOR_REF(
((obj_t)BgL_sz00_12604),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15408;
BgL_runz00_15408 = 
MAKE_FX_PROCEDURE(BGl_z62run4301z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15408, 
(int)(((long)0)), BgL_iboxesz00_12600); 
PROCEDURE_SET(BgL_runz00_15408, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12601)); 
PROCEDURE_SET(BgL_runz00_15408, 
(int)(((long)2)), BgL_bodyz00_12602); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15409;
BgL_mainz00_15409 = 
MAKE_VA_PROCEDURE(BGl_z62main4300z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15409, 
(int)(((long)0)), BgL_iboxesz00_12600); 
PROCEDURE_SET(BgL_mainz00_15409, 
(int)(((long)1)), BgL_bodyz00_12602); 
PROCEDURE_SET(BgL_mainz00_15409, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12601)); 
PROCEDURE_SET(BgL_mainz00_15409, 
(int)(((long)3)), BgL_runz00_15408); 
PROCEDURE_SET(BgL_mainz00_15409, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12603)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15410;
BgL_objz00_15410 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15408, BgL_objz00_15410); BgL_objz00_15410; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3687z00_15411;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3688z00_15412; obj_t BgL_arg3689z00_15413;
BgL_arg3688z00_15412 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12601))->BgL_arityz00); 
BgL_arg3689z00_15413 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12601))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15414;
BgL_newz00_15414 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29605;
BgL_tmpz00_29605 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15414, BgL_tmpz00_29605, BgL_arg3689z00_15413); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29610; int BgL_tmpz00_29608;
BgL_auxz00_29610 = 
BINT(BgL_siza7ezd2framez75_12603); 
BgL_tmpz00_29608 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15414, BgL_tmpz00_29608, BgL_auxz00_29610); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29613;
BgL_tmpz00_29613 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15414, BgL_tmpz00_29613, BgL_runz00_15408); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29616;
BgL_tmpz00_29616 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15414, BgL_tmpz00_29616, BgL_arg3688z00_15412); } 
BgL_arg3687z00_15411 = BgL_newz00_15414; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15409, BgL_arg3687z00_15411); BgL_arg3687z00_15411; } 
return BgL_mainz00_15409;} } } } } } 

}



/* &main4300 */
obj_t BGl_z62main4300z62zz__evaluate_compz00(obj_t BgL_envz00_12605, obj_t BgL_az00_12611, obj_t BgL_bz00_12612, obj_t BgL_cz00_12613, obj_t BgL_dz00_12614, obj_t BgL_restz00_12615)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12608; obj_t BgL_runz00_12609; long BgL_siza7ezd2framez75_12610;
BgL_i1252z00_12608 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12605, 
(int)(((long)2)))); 
BgL_runz00_12609 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12605, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12610 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12605, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15415;
BgL_sz00_15415 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15416;
BgL_bpz00_15416 = 
VECTOR_REF(
((obj_t)BgL_sz00_15415),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15415, BgL_bpz00_15416, 
BINT(BgL_siza7ezd2framez75_12610)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3692z00_15417;
BgL_arg3692z00_15417 = 
(
(long)CINT(BgL_bpz00_15416)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15415),BgL_arg3692z00_15417,BgL_az00_12611); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3693z00_15418;
BgL_arg3693z00_15418 = 
(
(long)CINT(BgL_bpz00_15416)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15415),BgL_arg3693z00_15418,BgL_bz00_12612); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3694z00_15419;
BgL_arg3694z00_15419 = 
(
(long)CINT(BgL_bpz00_15416)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15415),BgL_arg3694z00_15419,BgL_cz00_12613); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3695z00_15420;
BgL_arg3695z00_15420 = 
(
(long)CINT(BgL_bpz00_15416)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15415),BgL_arg3695z00_15420,BgL_dz00_12614); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15415, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12608))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15416)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12608))->BgL_arityz00), ((long)4)), BgL_restz00_12615, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12608))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15421;
BgL_ez00_15421 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15422;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15423;
BgL_arg4066z00_15423 = 
BGL_EXITD_PROTECT(BgL_ez00_15421); 
BgL_arg4065z00_15422 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15416, BgL_arg4066z00_15423); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15421, BgL_arg4065z00_15422); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15424;
BgL_accz00_15424 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12609, BgL_sz00_15415, BgL_bpz00_15416); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5191z00_29663;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15425;
BgL_arg4064z00_15425 = 
BGL_EXITD_PROTECT(BgL_ez00_15421); 
BgL_test5191z00_29663 = 
PAIRP(BgL_arg4064z00_15425); } 
if(BgL_test5191z00_29663)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15426;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15427;
BgL_arg4063z00_15427 = 
BGL_EXITD_PROTECT(BgL_ez00_15421); 
BgL_arg4062z00_15426 = 
CDR(
((obj_t)BgL_arg4063z00_15427)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15421, BgL_arg4062z00_15426); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15415),((long)0),BgL_bpz00_15416); 
return BgL_accz00_15424;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15428;
BgL_nsz00_15428 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15428,((long)1),BgL_sz00_15415); 
VECTOR_SET(BgL_nsz00_15428,((long)2),BgL_az00_12611); 
VECTOR_SET(BgL_nsz00_15428,((long)3),BgL_bz00_12612); 
VECTOR_SET(BgL_nsz00_15428,((long)4),BgL_cz00_12613); 
VECTOR_SET(BgL_nsz00_15428,((long)5),BgL_dz00_12614); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15428, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12608))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12608))->BgL_arityz00), ((long)4)), BgL_restz00_12615, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12608))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15429;
BgL_z12denvz12_15429 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15429, BgL_nsz00_15428); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15430;
BgL_ez00_15430 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15431;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15432;
BgL_arg4066z00_15432 = 
BGL_EXITD_PROTECT(BgL_ez00_15430); 
BgL_arg4065z00_15431 = 
MAKE_YOUNG_PAIR(BgL_sz00_15415, BgL_arg4066z00_15432); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15430, BgL_arg4065z00_15431); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15433;
BgL_____rz00_15433 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12609, BgL_nsz00_15428, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5192z00_29691;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15434;
BgL_arg4064z00_15434 = 
BGL_EXITD_PROTECT(BgL_ez00_15430); 
BgL_test5192z00_29691 = 
PAIRP(BgL_arg4064z00_15434); } 
if(BgL_test5192z00_29691)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15435;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15436;
BgL_arg4063z00_15436 = 
BGL_EXITD_PROTECT(BgL_ez00_15430); 
BgL_arg4062z00_15435 = 
CDR(
((obj_t)BgL_arg4063z00_15436)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15430, BgL_arg4062z00_15435); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15429, BgL_sz00_15415); 
return BgL_____rz00_15433;} } } } } } } } 

}



/* &run4301 */
obj_t BGl_z62run4301z62zz__evaluate_compz00(obj_t BgL_envz00_12616, obj_t BgL_sz00_12620)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12617; BgL_ev_absz00_bglt BgL_i1252z00_12618; obj_t BgL_bodyz00_12619;
BgL_iboxesz00_12617 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12616, 
(int)(((long)0)))); 
BgL_i1252z00_12618 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12616, 
(int)(((long)1)))); 
BgL_bodyz00_12619 = 
PROCEDURE_REF(BgL_envz00_12616, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15437;
BgL_bpz00_15437 = 
VECTOR_REF(
((obj_t)BgL_sz00_12620),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12620, BgL_iboxesz00_12617, BgL_bpz00_15437); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15438; obj_t BgL_wherez00_15439; obj_t BgL_locz00_15440;
BgL_z12denvz12_15438 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15439 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12618))->BgL_wherez00); 
BgL_locz00_15440 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12618))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15438, BgL_wherez00_15439, BgL_locz00_15440); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15441;
BgL_za2za2resza2za2z00_15441 = 
PROCEDURE_ENTRY(BgL_bodyz00_12619)(BgL_bodyz00_12619, BgL_sz00_12620, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15438); 
return BgL_za2za2resza2za2z00_15441;} } } } } } 

}



/* &<@anonymous:3709> */
obj_t BGl_z62zc3z04anonymousza33709ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12621, obj_t BgL_sz00_12627)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12622; long BgL_siza7eza7_12623; BgL_ev_absz00_bglt BgL_i1252z00_12624; obj_t BgL_bodyz00_12625; long BgL_siza7ezd2framez75_12626;
BgL_ifreesz00_12622 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12621, 
(int)(((long)0)))); 
BgL_siza7eza7_12623 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12621, 
(int)(((long)1)))); 
BgL_i1252z00_12624 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12621, 
(int)(((long)2)))); 
BgL_bodyz00_12625 = 
PROCEDURE_REF(BgL_envz00_12621, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12626 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12621, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15442;
BgL_bpz00_15442 = 
VECTOR_REF(
((obj_t)BgL_sz00_12627),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15443;
BgL_valza2za2_15443 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12627, BgL_bpz00_15442, BgL_ifreesz00_12622); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15444;
BgL_runz00_15444 = 
MAKE_FX_PROCEDURE(BGl_z62run4303z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15444, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12623)); 
PROCEDURE_SET(BgL_runz00_15444, 
(int)(((long)1)), BgL_valza2za2_15443); 
PROCEDURE_SET(BgL_runz00_15444, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12624)); 
PROCEDURE_SET(BgL_runz00_15444, 
(int)(((long)3)), BgL_bodyz00_12625); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15445;
BgL_mainz00_15445 = 
MAKE_VA_PROCEDURE(BGl_z62main4302z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15445, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12623)); 
PROCEDURE_SET(BgL_mainz00_15445, 
(int)(((long)1)), BgL_valza2za2_15443); 
PROCEDURE_SET(BgL_mainz00_15445, 
(int)(((long)2)), BgL_bodyz00_12625); 
PROCEDURE_SET(BgL_mainz00_15445, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12624)); 
PROCEDURE_SET(BgL_mainz00_15445, 
(int)(((long)4)), BgL_runz00_15444); 
PROCEDURE_SET(BgL_mainz00_15445, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12626)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15446;
BgL_objz00_15446 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15444, BgL_objz00_15446); BgL_objz00_15446; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3710z00_15447;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3711z00_15448; obj_t BgL_arg3712z00_15449;
BgL_arg3711z00_15448 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12624))->BgL_arityz00); 
BgL_arg3712z00_15449 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12624))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15450;
BgL_newz00_15450 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29772;
BgL_tmpz00_29772 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15450, BgL_tmpz00_29772, BgL_arg3712z00_15449); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29777; int BgL_tmpz00_29775;
BgL_auxz00_29777 = 
BINT(BgL_siza7ezd2framez75_12626); 
BgL_tmpz00_29775 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15450, BgL_tmpz00_29775, BgL_auxz00_29777); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29780;
BgL_tmpz00_29780 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15450, BgL_tmpz00_29780, BgL_runz00_15444); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29783;
BgL_tmpz00_29783 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15450, BgL_tmpz00_29783, BgL_arg3711z00_15448); } 
BgL_arg3710z00_15447 = BgL_newz00_15450; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15445, BgL_arg3710z00_15447); BgL_arg3710z00_15447; } 
return BgL_mainz00_15445;} } } } } } 

}



/* &main4302 */
obj_t BGl_z62main4302z62zz__evaluate_compz00(obj_t BgL_envz00_12628, obj_t BgL_az00_12635, obj_t BgL_bz00_12636, obj_t BgL_cz00_12637, obj_t BgL_dz00_12638, obj_t BgL_restz00_12639)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12632; obj_t BgL_runz00_12633; long BgL_siza7ezd2framez75_12634;
BgL_i1252z00_12632 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12628, 
(int)(((long)3)))); 
BgL_runz00_12633 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12628, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12634 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12628, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15451;
BgL_sz00_15451 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15452;
BgL_bpz00_15452 = 
VECTOR_REF(
((obj_t)BgL_sz00_15451),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15451, BgL_bpz00_15452, 
BINT(BgL_siza7ezd2framez75_12634)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3715z00_15453;
BgL_arg3715z00_15453 = 
(
(long)CINT(BgL_bpz00_15452)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15451),BgL_arg3715z00_15453,BgL_az00_12635); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3716z00_15454;
BgL_arg3716z00_15454 = 
(
(long)CINT(BgL_bpz00_15452)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15451),BgL_arg3716z00_15454,BgL_bz00_12636); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3717z00_15455;
BgL_arg3717z00_15455 = 
(
(long)CINT(BgL_bpz00_15452)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15451),BgL_arg3717z00_15455,BgL_cz00_12637); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3718z00_15456;
BgL_arg3718z00_15456 = 
(
(long)CINT(BgL_bpz00_15452)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15451),BgL_arg3718z00_15456,BgL_dz00_12638); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15451, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12632))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15452)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12632))->BgL_arityz00), ((long)4)), BgL_restz00_12639, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12632))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15457;
BgL_ez00_15457 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15458;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15459;
BgL_arg4066z00_15459 = 
BGL_EXITD_PROTECT(BgL_ez00_15457); 
BgL_arg4065z00_15458 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15452, BgL_arg4066z00_15459); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15457, BgL_arg4065z00_15458); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15460;
BgL_accz00_15460 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12633, BgL_sz00_15451, BgL_bpz00_15452); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5194z00_29830;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15461;
BgL_arg4064z00_15461 = 
BGL_EXITD_PROTECT(BgL_ez00_15457); 
BgL_test5194z00_29830 = 
PAIRP(BgL_arg4064z00_15461); } 
if(BgL_test5194z00_29830)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15462;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15463;
BgL_arg4063z00_15463 = 
BGL_EXITD_PROTECT(BgL_ez00_15457); 
BgL_arg4062z00_15462 = 
CDR(
((obj_t)BgL_arg4063z00_15463)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15457, BgL_arg4062z00_15462); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15451),((long)0),BgL_bpz00_15452); 
return BgL_accz00_15460;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15464;
BgL_nsz00_15464 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15464,((long)1),BgL_sz00_15451); 
VECTOR_SET(BgL_nsz00_15464,((long)2),BgL_az00_12635); 
VECTOR_SET(BgL_nsz00_15464,((long)3),BgL_bz00_12636); 
VECTOR_SET(BgL_nsz00_15464,((long)4),BgL_cz00_12637); 
VECTOR_SET(BgL_nsz00_15464,((long)5),BgL_dz00_12638); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15464, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12632))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12632))->BgL_arityz00), ((long)4)), BgL_restz00_12639, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12632))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15465;
BgL_z12denvz12_15465 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15465, BgL_nsz00_15464); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15466;
BgL_ez00_15466 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15467;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15468;
BgL_arg4066z00_15468 = 
BGL_EXITD_PROTECT(BgL_ez00_15466); 
BgL_arg4065z00_15467 = 
MAKE_YOUNG_PAIR(BgL_sz00_15451, BgL_arg4066z00_15468); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15466, BgL_arg4065z00_15467); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15469;
BgL_____rz00_15469 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12633, BgL_nsz00_15464, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5195z00_29858;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15470;
BgL_arg4064z00_15470 = 
BGL_EXITD_PROTECT(BgL_ez00_15466); 
BgL_test5195z00_29858 = 
PAIRP(BgL_arg4064z00_15470); } 
if(BgL_test5195z00_29858)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15471;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15472;
BgL_arg4063z00_15472 = 
BGL_EXITD_PROTECT(BgL_ez00_15466); 
BgL_arg4062z00_15471 = 
CDR(
((obj_t)BgL_arg4063z00_15472)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15466, BgL_arg4062z00_15471); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15465, BgL_sz00_15451); 
return BgL_____rz00_15469;} } } } } } } } 

}



/* &run4303 */
obj_t BGl_z62run4303z62zz__evaluate_compz00(obj_t BgL_envz00_12640, obj_t BgL_sz00_12645)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12641; obj_t BgL_valza2za2_12642; BgL_ev_absz00_bglt BgL_i1252z00_12643; obj_t BgL_bodyz00_12644;
BgL_siza7eza7_12641 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12640, 
(int)(((long)0)))); 
BgL_valza2za2_12642 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12640, 
(int)(((long)1)))); 
BgL_i1252z00_12643 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12640, 
(int)(((long)2)))); 
BgL_bodyz00_12644 = 
PROCEDURE_REF(BgL_envz00_12640, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15473;
BgL_bpz00_15473 = 
VECTOR_REF(
((obj_t)BgL_sz00_12645),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12645, BgL_valza2za2_12642, 
(
(long)CINT(BgL_bpz00_15473)+BgL_siza7eza7_12641)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15474; obj_t BgL_wherez00_15475; obj_t BgL_locz00_15476;
BgL_z12denvz12_15474 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15475 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12643))->BgL_wherez00); 
BgL_locz00_15476 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12643))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15474, BgL_wherez00_15475, BgL_locz00_15476); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15477;
BgL_za2za2resza2za2z00_15477 = 
PROCEDURE_ENTRY(BgL_bodyz00_12644)(BgL_bodyz00_12644, BgL_sz00_12645, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15474); 
return BgL_za2za2resza2za2z00_15477;} } } } } } 

}



/* &<@anonymous:3730> */
obj_t BGl_z62zc3z04anonymousza33730ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12646, obj_t BgL_sz00_12653)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12647; obj_t BgL_iboxesz00_12648; long BgL_siza7eza7_12649; BgL_ev_absz00_bglt BgL_i1252z00_12650; obj_t BgL_bodyz00_12651; long BgL_siza7ezd2framez75_12652;
BgL_ifreesz00_12647 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)0)))); 
BgL_iboxesz00_12648 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)1)))); 
BgL_siza7eza7_12649 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)2)))); 
BgL_i1252z00_12650 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)3)))); 
BgL_bodyz00_12651 = 
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12652 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15478;
BgL_bpz00_15478 = 
VECTOR_REF(
((obj_t)BgL_sz00_12653),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15479;
BgL_valza2za2_15479 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12653, BgL_bpz00_15478, BgL_ifreesz00_12647); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15480;
BgL_runz00_15480 = 
MAKE_FX_PROCEDURE(BGl_z62run4305z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15480, 
(int)(((long)0)), BgL_iboxesz00_12648); 
PROCEDURE_SET(BgL_runz00_15480, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12649)); 
PROCEDURE_SET(BgL_runz00_15480, 
(int)(((long)2)), BgL_valza2za2_15479); 
PROCEDURE_SET(BgL_runz00_15480, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12650)); 
PROCEDURE_SET(BgL_runz00_15480, 
(int)(((long)4)), BgL_bodyz00_12651); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15481;
BgL_mainz00_15481 = 
MAKE_VA_PROCEDURE(BGl_z62main4304z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15481, 
(int)(((long)0)), BgL_iboxesz00_12648); 
PROCEDURE_SET(BgL_mainz00_15481, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12649)); 
PROCEDURE_SET(BgL_mainz00_15481, 
(int)(((long)2)), BgL_valza2za2_15479); 
PROCEDURE_SET(BgL_mainz00_15481, 
(int)(((long)3)), BgL_bodyz00_12651); 
PROCEDURE_SET(BgL_mainz00_15481, 
(int)(((long)4)), 
((obj_t)BgL_i1252z00_12650)); 
PROCEDURE_SET(BgL_mainz00_15481, 
(int)(((long)5)), BgL_runz00_15480); 
PROCEDURE_SET(BgL_mainz00_15481, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12652)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15482;
BgL_objz00_15482 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15480, BgL_objz00_15482); BgL_objz00_15482; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3731z00_15483;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3732z00_15484; obj_t BgL_arg3733z00_15485;
BgL_arg3732z00_15484 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12650))->BgL_arityz00); 
BgL_arg3733z00_15485 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12650))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15486;
BgL_newz00_15486 = 
create_struct(BGl_symbol4335z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29951;
BgL_tmpz00_29951 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15486, BgL_tmpz00_29951, BgL_arg3733z00_15485); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29956; int BgL_tmpz00_29954;
BgL_auxz00_29956 = 
BINT(BgL_siza7ezd2framez75_12652); 
BgL_tmpz00_29954 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15486, BgL_tmpz00_29954, BgL_auxz00_29956); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29959;
BgL_tmpz00_29959 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15486, BgL_tmpz00_29959, BgL_runz00_15480); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29962;
BgL_tmpz00_29962 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15486, BgL_tmpz00_29962, BgL_arg3732z00_15484); } 
BgL_arg3731z00_15483 = BgL_newz00_15486; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15481, BgL_arg3731z00_15483); BgL_arg3731z00_15483; } 
return BgL_mainz00_15481;} } } } } } 

}



/* &main4304 */
obj_t BGl_z62main4304z62zz__evaluate_compz00(obj_t BgL_envz00_12654, obj_t BgL_az00_12662, obj_t BgL_bz00_12663, obj_t BgL_cz00_12664, obj_t BgL_dz00_12665, obj_t BgL_restz00_12666)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12659; obj_t BgL_runz00_12660; long BgL_siza7ezd2framez75_12661;
BgL_i1252z00_12659 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12654, 
(int)(((long)4)))); 
BgL_runz00_12660 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12654, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12661 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12654, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15487;
BgL_sz00_15487 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15488;
BgL_bpz00_15488 = 
VECTOR_REF(
((obj_t)BgL_sz00_15487),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15487, BgL_bpz00_15488, 
BINT(BgL_siza7ezd2framez75_12661)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3736z00_15489;
BgL_arg3736z00_15489 = 
(
(long)CINT(BgL_bpz00_15488)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15487),BgL_arg3736z00_15489,BgL_az00_12662); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3737z00_15490;
BgL_arg3737z00_15490 = 
(
(long)CINT(BgL_bpz00_15488)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15487),BgL_arg3737z00_15490,BgL_bz00_12663); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3738z00_15491;
BgL_arg3738z00_15491 = 
(
(long)CINT(BgL_bpz00_15488)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15487),BgL_arg3738z00_15491,BgL_cz00_12664); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3739z00_15492;
BgL_arg3739z00_15492 = 
(
(long)CINT(BgL_bpz00_15488)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15487),BgL_arg3739z00_15492,BgL_dz00_12665); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15487, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12659))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15488)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12659))->BgL_arityz00), ((long)4)), BgL_restz00_12666, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12659))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15493;
BgL_ez00_15493 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15494;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15495;
BgL_arg4066z00_15495 = 
BGL_EXITD_PROTECT(BgL_ez00_15493); 
BgL_arg4065z00_15494 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15488, BgL_arg4066z00_15495); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15493, BgL_arg4065z00_15494); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15496;
BgL_accz00_15496 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12660, BgL_sz00_15487, BgL_bpz00_15488); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5197z00_30009;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15497;
BgL_arg4064z00_15497 = 
BGL_EXITD_PROTECT(BgL_ez00_15493); 
BgL_test5197z00_30009 = 
PAIRP(BgL_arg4064z00_15497); } 
if(BgL_test5197z00_30009)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15498;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15499;
BgL_arg4063z00_15499 = 
BGL_EXITD_PROTECT(BgL_ez00_15493); 
BgL_arg4062z00_15498 = 
CDR(
((obj_t)BgL_arg4063z00_15499)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15493, BgL_arg4062z00_15498); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15487),((long)0),BgL_bpz00_15488); 
return BgL_accz00_15496;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15500;
BgL_nsz00_15500 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15500,((long)1),BgL_sz00_15487); 
VECTOR_SET(BgL_nsz00_15500,((long)2),BgL_az00_12662); 
VECTOR_SET(BgL_nsz00_15500,((long)3),BgL_bz00_12663); 
VECTOR_SET(BgL_nsz00_15500,((long)4),BgL_cz00_12664); 
VECTOR_SET(BgL_nsz00_15500,((long)5),BgL_dz00_12665); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15500, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12659))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12659))->BgL_arityz00), ((long)4)), BgL_restz00_12666, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12659))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15501;
BgL_z12denvz12_15501 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15501, BgL_nsz00_15500); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15502;
BgL_ez00_15502 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4065z00_15503;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4066z00_15504;
BgL_arg4066z00_15504 = 
BGL_EXITD_PROTECT(BgL_ez00_15502); 
BgL_arg4065z00_15503 = 
MAKE_YOUNG_PAIR(BgL_sz00_15487, BgL_arg4066z00_15504); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15502, BgL_arg4065z00_15503); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15505;
BgL_____rz00_15505 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12660, BgL_nsz00_15500, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5198z00_30037;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4064z00_15506;
BgL_arg4064z00_15506 = 
BGL_EXITD_PROTECT(BgL_ez00_15502); 
BgL_test5198z00_30037 = 
PAIRP(BgL_arg4064z00_15506); } 
if(BgL_test5198z00_30037)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4062z00_15507;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4063z00_15508;
BgL_arg4063z00_15508 = 
BGL_EXITD_PROTECT(BgL_ez00_15502); 
BgL_arg4062z00_15507 = 
CDR(
((obj_t)BgL_arg4063z00_15508)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15502, BgL_arg4062z00_15507); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15501, BgL_sz00_15487); 
return BgL_____rz00_15505;} } } } } } } } 

}



/* &run4305 */
obj_t BGl_z62run4305z62zz__evaluate_compz00(obj_t BgL_envz00_12667, obj_t BgL_sz00_12673)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12668; long BgL_siza7eza7_12669; obj_t BgL_valza2za2_12670; BgL_ev_absz00_bglt BgL_i1252z00_12671; obj_t BgL_bodyz00_12672;
BgL_iboxesz00_12668 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)0)))); 
BgL_siza7eza7_12669 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)1)))); 
BgL_valza2za2_12670 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)2)))); 
BgL_i1252z00_12671 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)3)))); 
BgL_bodyz00_12672 = 
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15509;
BgL_bpz00_15509 = 
VECTOR_REF(
((obj_t)BgL_sz00_12673),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12673, BgL_iboxesz00_12668, BgL_bpz00_15509); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12673, BgL_valza2za2_12670, 
(
(long)CINT(BgL_bpz00_15509)+BgL_siza7eza7_12669)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15510; obj_t BgL_wherez00_15511; obj_t BgL_locz00_15512;
BgL_z12denvz12_15510 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15511 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12671))->BgL_wherez00); 
BgL_locz00_15512 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12671))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15510, BgL_wherez00_15511, BgL_locz00_15512); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15513;
BgL_za2za2resza2za2z00_15513 = 
PROCEDURE_ENTRY(BgL_bodyz00_12672)(BgL_bodyz00_12672, BgL_sz00_12673, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15510); 
return BgL_za2za2resza2za2z00_15513;} } } } } } 

}



/* &comp-ev_app1439 */
obj_t BGl_z62compzd2ev_app1439zb0zz__evaluate_compz00(obj_t BgL_envz00_12674, obj_t BgL_ez00_12675, obj_t BgL_stkz00_12676)
{
{ /* Eval/evaluate_comp.scm 1051 */
{ /* Eval/evaluate_comp.scm 1053 */
 obj_t BgL__ortest_1238z00_15515;
BgL__ortest_1238z00_15515 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12675), BgL_stkz00_12676); 
if(
CBOOL(BgL__ortest_1238z00_15515))
{ /* Eval/evaluate_comp.scm 1053 */
return BgL__ortest_1238z00_15515;}  else 
{ /* Eval/evaluate_comp.scm 1054 */
 obj_t BgL__ortest_1239z00_15516;
BgL__ortest_1239z00_15516 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_argsz00), BgL_stkz00_12676); 
if(
CBOOL(BgL__ortest_1239z00_15516))
{ /* Eval/evaluate_comp.scm 1054 */
return BgL__ortest_1239z00_15516;}  else 
{ /* Eval/evaluate_comp.scm 1054 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1055 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12675), BgL_stkz00_12676);}  else 
{ /* Eval/evaluate_comp.scm 1057 */
 obj_t BgL_fz00_15517; long BgL_siza7eza7_15518; obj_t BgL_symbzd2funzd2_15519;
BgL_fz00_15517 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_funz00), BgL_stkz00_12676); 
BgL_siza7eza7_15518 = 
bgl_list_length(BgL_stkz00_12676); 
BgL_symbzd2funzd2_15519 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1058 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_funz00), BgL_symbzd2funzd2_15519, BgL_fz00_15517, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_tailzf3zf3), BgL_stkz00_12676, BgL_siza7eza7_15518);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a1z00_15520; obj_t BgL_argsz00_15521;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3200z00_15522;
BgL_arg3200z00_15522 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_argsz00)); 
BgL_a1z00_15520 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3200z00_15522), BgL_stkz00_12676); } 
BgL_argsz00_15521 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_15521))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_funz00), BgL_symbzd2funzd2_15519, BgL_fz00_15517, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_tailzf3zf3), BgL_stkz00_12676, BgL_siza7eza7_15518, BgL_a1z00_15520);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a2z00_15523; obj_t BgL_argsz00_15524;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3199z00_15525;
BgL_arg3199z00_15525 = 
CAR(
((obj_t)BgL_argsz00_15521)); 
BgL_a2z00_15523 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3199z00_15525), BgL_stkz00_12676); } 
BgL_argsz00_15524 = 
CDR(
((obj_t)BgL_argsz00_15521)); 
if(
NULLP(BgL_argsz00_15524))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_funz00), BgL_symbzd2funzd2_15519, BgL_fz00_15517, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_tailzf3zf3), BgL_stkz00_12676, BgL_siza7eza7_15518, BgL_a1z00_15520, BgL_a2z00_15523);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a3z00_15526; obj_t BgL_argsz00_15527;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3198z00_15528;
BgL_arg3198z00_15528 = 
CAR(
((obj_t)BgL_argsz00_15524)); 
BgL_a3z00_15526 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3198z00_15528), BgL_stkz00_12676); } 
BgL_argsz00_15527 = 
CDR(
((obj_t)BgL_argsz00_15524)); 
if(
NULLP(BgL_argsz00_15527))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_funz00), BgL_symbzd2funzd2_15519, BgL_fz00_15517, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_tailzf3zf3), BgL_stkz00_12676, BgL_siza7eza7_15518, BgL_a1z00_15520, BgL_a2z00_15523, BgL_a3z00_15526);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a4z00_15529; obj_t BgL_argsz00_15530;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3197z00_15531;
BgL_arg3197z00_15531 = 
CAR(
((obj_t)BgL_argsz00_15527)); 
BgL_a4z00_15529 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3197z00_15531), BgL_stkz00_12676); } 
BgL_argsz00_15530 = 
CDR(
((obj_t)BgL_argsz00_15527)); 
if(
NULLP(BgL_argsz00_15530))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_funz00), BgL_symbzd2funzd2_15519, BgL_fz00_15517, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12675)))->BgL_tailzf3zf3), BgL_stkz00_12676, BgL_siza7eza7_15518, BgL_a1z00_15520, BgL_a2z00_15523, BgL_a3z00_15526, BgL_a4z00_15529);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_errorz00zz__errorz00(BGl_string4318z00zz__evaluate_compz00, BGl_string4433z00zz__evaluate_compz00, BGl_string4434z00zz__evaluate_compz00);} } } } } } } } } } 

}



/* &comp-ev_goto1437 */
obj_t BGl_z62compzd2ev_goto1437zb0zz__evaluate_compz00(obj_t BgL_envz00_12677, obj_t BgL_ez00_12678, obj_t BgL_stkz00_12679)
{
{ /* Eval/evaluate_comp.scm 604 */
{ /* Eval/evaluate_comp.scm 607 */
 obj_t BgL_slotz00_15535; long BgL_siza7eza7_15536; obj_t BgL_lstkz00_15537;
BgL_slotz00_15535 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_15536 = 
bgl_list_length(BgL_stkz00_12679); 
BgL_lstkz00_15537 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 609 */
 long BgL_llstkz00_15538; obj_t BgL_substkz00_15539; obj_t BgL_boxesz00_15540;
BgL_llstkz00_15538 = 
bgl_list_length(BgL_lstkz00_15537); 
BgL_substkz00_15539 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_15537, BgL_stkz00_12679); 
{ /* Eval/evaluate_comp.scm 609 */
 obj_t BgL_pairz00_15541;
BgL_pairz00_15541 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_15540 = 
CDR(BgL_pairz00_15541); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_argsz00), BgL_substkz00_15539))
{ /* Eval/evaluate_comp.scm 612 */
 obj_t BgL_argsz00_15542; long BgL_nbargsz00_15543;
BgL_argsz00_15542 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_argsz00), BgL_stkz00_12679); 
BgL_nbargsz00_15543 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 613 */
 obj_t BgL_zc3z04anonymousza33155ze3z87_15544;
BgL_zc3z04anonymousza33155ze3z87_15544 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33155ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15544, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15536)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15544, 
(int)(((long)1)), 
BINT(BgL_llstkz00_15538)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15544, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12678))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15544, 
(int)(((long)3)), BgL_argsz00_15542); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15544, 
(int)(((long)4)), BgL_boxesz00_15540); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15544, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_15543)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15544, 
(int)(((long)6)), BgL_slotz00_15535); 
return BgL_zc3z04anonymousza33155ze3z87_15544;} }  else 
{ /* Eval/evaluate_comp.scm 618 */
 obj_t BgL_argsz00_15545;
{ /* Eval/evaluate_comp.scm 618 */
 obj_t BgL_lz00_15546; long BgL_nz00_15547;
BgL_lz00_15546 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12678)))->BgL_argsz00); 
BgL_nz00_15547 = 
(BgL_siza7eza7_15536-BgL_llstkz00_15538); 
BgL_argsz00_15545 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12679, BgL_lz00_15546, BgL_nz00_15547); } 
{ /* Eval/evaluate_comp.scm 619 */
 obj_t BgL_zc3z04anonymousza33161ze3z87_15548;
BgL_zc3z04anonymousza33161ze3z87_15548 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33161ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15548, 
(int)(((long)0)), 
BINT(BgL_llstkz00_15538)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15548, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12678))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15548, 
(int)(((long)2)), BgL_argsz00_15545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15548, 
(int)(((long)3)), BgL_boxesz00_15540); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15548, 
(int)(((long)4)), BgL_slotz00_15535); 
return BgL_zc3z04anonymousza33161ze3z87_15548;} } } } } 

}



/* &<@anonymous:3155> */
obj_t BGl_z62zc3z04anonymousza33155ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12680, obj_t BgL_sz00_12688)
{
{ /* Eval/evaluate_comp.scm 613 */
{ /* Eval/evaluate_comp.scm 613 */
 long BgL_siza7eza7_12681; long BgL_llstkz00_12682; BgL_ev_gotoz00_bglt BgL_i1150z00_12683; obj_t BgL_argsz00_12684; obj_t BgL_boxesz00_12685; long BgL_nbargsz00_12686; obj_t BgL_slotz00_12687;
BgL_siza7eza7_12681 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12680, 
(int)(((long)0)))); 
BgL_llstkz00_12682 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12680, 
(int)(((long)1)))); 
BgL_i1150z00_12683 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12680, 
(int)(((long)2)))); 
BgL_argsz00_12684 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12680, 
(int)(((long)3)))); 
BgL_boxesz00_12685 = 
PROCEDURE_REF(BgL_envz00_12680, 
(int)(((long)4))); 
BgL_nbargsz00_12686 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12680, 
(int)(((long)5)))); 
BgL_slotz00_12687 = 
PROCEDURE_REF(BgL_envz00_12680, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 613 */
 obj_t BgL_bpz00_15549;
BgL_bpz00_15549 = 
VECTOR_REF(
((obj_t)BgL_sz00_12688),((long)0)); 
{ /* Eval/evaluate_comp.scm 614 */
 long BgL_spz00_15550; long BgL_lspz00_15551;
BgL_spz00_15550 = 
(
(long)CINT(BgL_bpz00_15549)+BgL_siza7eza7_12681); 
BgL_lspz00_15551 = 
(
(long)CINT(BgL_bpz00_15549)+BgL_llstkz00_12682); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12688, BgL_argsz00_12684, BgL_boxesz00_12685, BgL_spz00_15550, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1150z00_12683))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 616 */
 long BgL_arg3157z00_15552;
BgL_arg3157z00_15552 = 
(BgL_spz00_15550+BgL_nbargsz00_12686); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_12688, BgL_lspz00_15551, BgL_sz00_12688, 
BINT(BgL_spz00_15550), 
BINT(BgL_arg3157z00_15552)); } 
return 
CDR(
((obj_t)BgL_slotz00_12687));} } } } 

}



/* &<@anonymous:3161> */
obj_t BGl_z62zc3z04anonymousza33161ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12689, obj_t BgL_sz00_12695)
{
{ /* Eval/evaluate_comp.scm 619 */
{ /* Eval/evaluate_comp.scm 619 */
 long BgL_llstkz00_12690; BgL_ev_gotoz00_bglt BgL_i1150z00_12691; obj_t BgL_argsz00_12692; obj_t BgL_boxesz00_12693; obj_t BgL_slotz00_12694;
BgL_llstkz00_12690 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12689, 
(int)(((long)0)))); 
BgL_i1150z00_12691 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12689, 
(int)(((long)1)))); 
BgL_argsz00_12692 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12689, 
(int)(((long)2)))); 
BgL_boxesz00_12693 = 
PROCEDURE_REF(BgL_envz00_12689, 
(int)(((long)3))); 
BgL_slotz00_12694 = 
PROCEDURE_REF(BgL_envz00_12689, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 619 */
 obj_t BgL_bpz00_15553;
BgL_bpz00_15553 = 
VECTOR_REF(
((obj_t)BgL_sz00_12695),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12695, BgL_argsz00_12692, BgL_boxesz00_12693, 
(
(long)CINT(BgL_bpz00_15553)+BgL_llstkz00_12690), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1150z00_12691))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_12694));} } } 

}



/* &comp-ev_labels1435 */
obj_t BGl_z62compzd2ev_labels1435zb0zz__evaluate_compz00(obj_t BgL_envz00_12696, obj_t BgL_ez00_12697, obj_t BgL_stkz00_12698)
{
{ /* Eval/evaluate_comp.scm 572 */
{ 
 obj_t BgL_fz00_15556;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12697)))->BgL_stkz00)=((obj_t)BgL_stkz00_12698),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_envz00_15558;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_l1339z00_15559;
BgL_l1339z00_15559 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12697)))->BgL_varsz00); 
if(
NULLP(BgL_l1339z00_15559))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_15558 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_head1341z00_15560;
BgL_head1341z00_15560 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1339z00_15562; obj_t BgL_tail1342z00_15563;
BgL_l1339z00_15562 = BgL_l1339z00_15559; 
BgL_tail1342z00_15563 = BgL_head1341z00_15560; 
BgL_zc3z04anonymousza33146ze3z87_15561:
if(
NULLP(BgL_l1339z00_15562))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_15558 = 
CDR(BgL_head1341z00_15560); }  else 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_newtail1343z00_15564;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_arg3149z00_15565;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_vz00_15566;
BgL_vz00_15566 = 
CAR(
((obj_t)BgL_l1339z00_15562)); 
BgL_arg3149z00_15565 = 
MAKE_YOUNG_PAIR(BgL_vz00_15566, BGl_symbol4435z00zz__evaluate_compz00); } 
BgL_newtail1343z00_15564 = 
MAKE_YOUNG_PAIR(BgL_arg3149z00_15565, BNIL); } 
SET_CDR(BgL_tail1342z00_15563, BgL_newtail1343z00_15564); 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_arg3148z00_15567;
BgL_arg3148z00_15567 = 
CDR(
((obj_t)BgL_l1339z00_15562)); 
{ 
 obj_t BgL_tail1342z00_30320; obj_t BgL_l1339z00_30319;
BgL_l1339z00_30319 = BgL_arg3148z00_15567; 
BgL_tail1342z00_30320 = BgL_newtail1343z00_15564; 
BgL_tail1342z00_15563 = BgL_tail1342z00_30320; 
BgL_l1339z00_15562 = BgL_l1339z00_30319; 
goto BgL_zc3z04anonymousza33146ze3z87_15561;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12697)))->BgL_envz00)=((obj_t)BgL_envz00_15558),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 582 */
 obj_t BgL_g1347z00_15568;
BgL_g1347z00_15568 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12697)))->BgL_valsz00); 
{ 
 obj_t BgL_ll1344z00_15570; obj_t BgL_ll1345z00_15571;
BgL_ll1344z00_15570 = BgL_envz00_15558; 
BgL_ll1345z00_15571 = BgL_g1347z00_15568; 
BgL_zc3z04anonymousza33136ze3z87_15569:
if(
NULLP(BgL_ll1344z00_15570))
{ /* Eval/evaluate_comp.scm 582 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 582 */
{ /* Eval/evaluate_comp.scm 584 */
 obj_t BgL_slotz00_15572; obj_t BgL_valz00_15573;
BgL_slotz00_15572 = 
CAR(
((obj_t)BgL_ll1344z00_15570)); 
BgL_valz00_15573 = 
CAR(
((obj_t)BgL_ll1345z00_15571)); 
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3138z00_15574;
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3139z00_15575;
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3140z00_15576; obj_t BgL_arg3141z00_15577;
BgL_arg3140z00_15576 = 
CDR(
((obj_t)BgL_valz00_15573)); 
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3142z00_15578;
BgL_arg3142z00_15578 = 
CAR(
((obj_t)BgL_valz00_15573)); 
BgL_arg3141z00_15577 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12698, BgL_arg3142z00_15578); } 
BgL_arg3139z00_15575 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3140z00_15576), BgL_arg3141z00_15577); } 
BgL_fz00_15556 = BgL_arg3139z00_15575; 
{ /* Eval/evaluate_comp.scm 574 */
 obj_t BgL_objz00_15557;
BgL_objz00_15557 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 574 */
 obj_t BgL_tmpz00_30338;
BgL_tmpz00_30338 = 
((obj_t)BgL_fz00_15556); 
PROCEDURE_ATTR_SET(BgL_tmpz00_30338, BgL_objz00_15557); } BgL_objz00_15557; } 
BgL_arg3138z00_15574 = BgL_fz00_15556; } 
{ /* Eval/evaluate_comp.scm 584 */
 obj_t BgL_tmpz00_30341;
BgL_tmpz00_30341 = 
((obj_t)BgL_slotz00_15572); 
SET_CDR(BgL_tmpz00_30341, BgL_arg3138z00_15574); } } } 
{ /* Eval/evaluate_comp.scm 582 */
 obj_t BgL_arg3143z00_15579; obj_t BgL_arg3144z00_15580;
BgL_arg3143z00_15579 = 
CDR(
((obj_t)BgL_ll1344z00_15570)); 
BgL_arg3144z00_15580 = 
CDR(
((obj_t)BgL_ll1345z00_15571)); 
{ 
 obj_t BgL_ll1345z00_30349; obj_t BgL_ll1344z00_30348;
BgL_ll1344z00_30348 = BgL_arg3143z00_15579; 
BgL_ll1345z00_30349 = BgL_arg3144z00_15580; 
BgL_ll1345z00_15571 = BgL_ll1345z00_30349; 
BgL_ll1344z00_15570 = BgL_ll1344z00_30348; 
goto BgL_zc3z04anonymousza33136ze3z87_15569;} } } } } } 
{ /* Eval/evaluate_comp.scm 589 */
 obj_t BgL_bodyz00_15581;
BgL_bodyz00_15581 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12697)))->BgL_bodyz00), BgL_stkz00_12698); 
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_zc3z04anonymousza33150ze3z87_15582;
BgL_zc3z04anonymousza33150ze3z87_15582 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33150ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33150ze3z87_15582, 
(int)(((long)0)), BgL_bodyz00_15581); 
return BgL_zc3z04anonymousza33150ze3z87_15582;} } } } 

}



/* &<@anonymous:3150> */
obj_t BGl_z62zc3z04anonymousza33150ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12699, obj_t BgL_sz00_12701)
{
{ /* Eval/evaluate_comp.scm 590 */
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_bodyz00_12700;
BgL_bodyz00_12700 = 
PROCEDURE_REF(BgL_envz00_12699, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_bpz00_15583;
BgL_bpz00_15583 = 
VECTOR_REF(
((obj_t)BgL_sz00_12701),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_12700, BgL_sz00_12701);} } } 

}



/* &comp-ev_synchronize1433 */
obj_t BGl_z62compzd2ev_synchroniza7e1433z17zz__evaluate_compz00(obj_t BgL_envz00_12702, obj_t BgL_ez00_12703, obj_t BgL_stkz00_12704)
{
{ /* Eval/evaluate_comp.scm 552 */
{ /* Eval/evaluate_comp.scm 554 */
 obj_t BgL_mutexz00_15585; obj_t BgL_prelockz00_15586; obj_t BgL_bodyz00_15587;
BgL_mutexz00_15585 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12703)))->BgL_mutexz00), BgL_stkz00_12704); 
BgL_prelockz00_15586 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12703)))->BgL_prelockz00), BgL_stkz00_12704); 
BgL_bodyz00_15587 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12703)))->BgL_bodyz00), BgL_stkz00_12704); 
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_zc3z04anonymousza33129ze3z87_15588;
BgL_zc3z04anonymousza33129ze3z87_15588 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33129ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33129ze3z87_15588, 
(int)(((long)0)), BgL_mutexz00_15585); 
PROCEDURE_SET(BgL_zc3z04anonymousza33129ze3z87_15588, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12703))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33129ze3z87_15588, 
(int)(((long)2)), BgL_prelockz00_15586); 
PROCEDURE_SET(BgL_zc3z04anonymousza33129ze3z87_15588, 
(int)(((long)3)), BgL_bodyz00_15587); 
return BgL_zc3z04anonymousza33129ze3z87_15588;} } } 

}



/* &<@anonymous:3129> */
obj_t BGl_z62zc3z04anonymousza33129ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12705, obj_t BgL_sz00_12710)
{
{ /* Eval/evaluate_comp.scm 557 */
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_mutexz00_12706; BgL_ev_synchroniza7eza7_bglt BgL_i1147z00_12707; obj_t BgL_prelockz00_12708; obj_t BgL_bodyz00_12709;
BgL_mutexz00_12706 = 
PROCEDURE_REF(BgL_envz00_12705, 
(int)(((long)0))); 
BgL_i1147z00_12707 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_12705, 
(int)(((long)1)))); 
BgL_prelockz00_12708 = 
PROCEDURE_REF(BgL_envz00_12705, 
(int)(((long)2))); 
BgL_bodyz00_12709 = 
PROCEDURE_REF(BgL_envz00_12705, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_bpz00_15589;
BgL_bpz00_15589 = 
VECTOR_REF(
((obj_t)BgL_sz00_12710),((long)0)); 
{ /* Eval/evaluate_comp.scm 558 */
 obj_t BgL_mz00_15590;
BgL_mz00_15590 = 
PROCEDURE_ENTRY(BgL_mutexz00_12706)(BgL_mutexz00_12706, BgL_sz00_12710, BEOA); 
if(
BGL_MUTEXP(BgL_mz00_15590))
{ /* Eval/evaluate_comp.scm 560 */
 obj_t BgL_pz00_15591;
BgL_pz00_15591 = 
PROCEDURE_ENTRY(BgL_prelockz00_12708)(BgL_prelockz00_12708, BgL_sz00_12710, BEOA); 
{ /* Eval/evaluate_comp.scm 562 */
 obj_t BgL_za2za2resza2za2z00_15592;
if(
PAIRP(BgL_pz00_15591))
{ /* Eval/evaluate_comp.scm 563 */
 obj_t BgL_top5214z00_30409;
BgL_top5214z00_30409 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_15590, BgL_pz00_15591); 
BGL_EXITD_PUSH_PROTECT(BgL_top5214z00_30409, BgL_mz00_15590); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 563 */
 obj_t BgL_tmp5213z00_30408;
BgL_tmp5213z00_30408 = 
PROCEDURE_ENTRY(BgL_bodyz00_12709)(BgL_bodyz00_12709, BgL_sz00_12710, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5214z00_30409); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_15590); 
BgL_za2za2resza2za2z00_15592 = BgL_tmp5213z00_30408; } }  else 
{ /* Eval/evaluate_comp.scm 564 */
 obj_t BgL_top5216z00_30420;
BgL_top5216z00_30420 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_15590); 
BGL_EXITD_PUSH_PROTECT(BgL_top5216z00_30420, BgL_mz00_15590); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 564 */
 obj_t BgL_tmp5215z00_30419;
BgL_tmp5215z00_30419 = 
PROCEDURE_ENTRY(BgL_bodyz00_12709)(BgL_bodyz00_12709, BgL_sz00_12710, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5216z00_30420); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_15590); 
BgL_za2za2resza2za2z00_15592 = BgL_tmp5215z00_30419; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12710),((long)0),BgL_bpz00_15589); 
return BgL_za2za2resza2za2z00_15592;} }  else 
{ /* Eval/evaluate_comp.scm 559 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string4437z00zz__evaluate_compz00, BGl_string4438z00zz__evaluate_compz00, BgL_mz00_15590, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1147z00_12707))->BgL_locz00));} } } } } 

}



/* &comp-ev_with-handler1431 */
obj_t BGl_z62compzd2ev_withzd2handler1431z62zz__evaluate_compz00(obj_t BgL_envz00_12711, obj_t BgL_ez00_12712, obj_t BgL_stkz00_12713)
{
{ /* Eval/evaluate_comp.scm 543 */
{ /* Eval/evaluate_comp.scm 545 */
 obj_t BgL_handlerz00_15594; obj_t BgL_bodyz00_15595;
BgL_handlerz00_15594 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12712)))->BgL_handlerz00), BgL_stkz00_12713); 
BgL_bodyz00_15595 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12712)))->BgL_bodyz00), BgL_stkz00_12713); 
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_zc3z04anonymousza33122ze3z87_15596;
BgL_zc3z04anonymousza33122ze3z87_15596 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33122ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33122ze3z87_15596, 
(int)(((long)0)), BgL_handlerz00_15594); 
PROCEDURE_SET(BgL_zc3z04anonymousza33122ze3z87_15596, 
(int)(((long)1)), BgL_bodyz00_15595); 
return BgL_zc3z04anonymousza33122ze3z87_15596;} } } 

}



/* &<@anonymous:3122> */
obj_t BGl_z62zc3z04anonymousza33122ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12714, obj_t BgL_sz00_12717)
{
{ /* Eval/evaluate_comp.scm 546 */
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_handlerz00_12715; obj_t BgL_bodyz00_12716;
BgL_handlerz00_12715 = 
PROCEDURE_REF(BgL_envz00_12714, 
(int)(((long)0))); 
BgL_bodyz00_12716 = 
PROCEDURE_REF(BgL_envz00_12714, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_bpz00_15597;
BgL_bpz00_15597 = 
VECTOR_REF(
((obj_t)BgL_sz00_12717),((long)0)); 
{ /* Eval/evaluate_comp.scm 547 */
 obj_t BgL_hz00_15598;
BgL_hz00_15598 = 
PROCEDURE_ENTRY(BgL_handlerz00_12715)(BgL_handlerz00_12715, BgL_sz00_12717, BEOA); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_za2za2resza2za2z00_15599;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_env1138z00_15600;
BgL_env1138z00_15600 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_cell1133z00_15601;
BgL_cell1133z00_15601 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_val1137z00_15602;
BgL_val1137z00_15602 = 
BGl_zc3z04exitza33125ze3ze70z60zz__evaluate_compz00(BgL_sz00_12717, BgL_bodyz00_12716, BgL_cell1133z00_15601, BgL_env1138z00_15600); 
if(
(BgL_val1137z00_15602==BgL_cell1133z00_15601))
{ /* Eval/evaluate_comp.scm 549 */
{ /* Eval/evaluate_comp.scm 549 */
 int BgL_tmpz00_30462;
BgL_tmpz00_30462 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_30462); } 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3124z00_15603;
BgL_arg3124z00_15603 = 
CELL_REF(
((obj_t)BgL_val1137z00_15602)); 
BgL_za2za2resza2za2z00_15599 = 
PROCEDURE_ENTRY(BgL_hz00_15598)(BgL_hz00_15598, BgL_arg3124z00_15603, BEOA); } }  else 
{ /* Eval/evaluate_comp.scm 549 */
BgL_za2za2resza2za2z00_15599 = BgL_val1137z00_15602; } } } } 
VECTOR_SET(
((obj_t)BgL_sz00_12717),((long)0),BgL_bpz00_15597); 
return BgL_za2za2resza2za2z00_15599;} } } } } 

}



/* <@exit:3125>~0 */
obj_t BGl_zc3z04exitza33125ze3ze70z60zz__evaluate_compz00(obj_t BgL_sz00_12896, obj_t BgL_bodyz00_12895, obj_t BgL_cell1133z00_12894, obj_t BgL_env1138z00_12893)
{
{ /* Eval/evaluate_comp.scm 549 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1142z00_4283;
if( SET_EXIT(BgL_an_exit1142z00_4283 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1142z00_4283 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1138z00_12893, BgL_an_exit1142z00_4283, ((long)1)); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_escape1134z00_4284;
BgL_escape1134z00_4284 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1138z00_12893); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_res1145z00_4285;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_ohs1130z00_4286;
BgL_ohs1130z00_4286 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1138z00_12893); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_hds1131z00_4287;
BgL_hds1131z00_4287 = 
MAKE_STACK_PAIR(BgL_escape1134z00_4284, BgL_cell1133z00_12894); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1138z00_12893, BgL_hds1131z00_4287); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_exitd1139z00_4288;
BgL_exitd1139z00_4288 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1138z00_12893); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_tmp1141z00_4289;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3126z00_4291;
BgL_arg3126z00_4291 = 
BGL_EXITD_PROTECT(BgL_exitd1139z00_4288); 
BgL_tmp1141z00_4289 = 
MAKE_YOUNG_PAIR(BgL_ohs1130z00_4286, BgL_arg3126z00_4291); } 
{ /* Eval/evaluate_comp.scm 549 */

BGL_EXITD_PROTECT_SET(BgL_exitd1139z00_4288, BgL_tmp1141z00_4289); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_tmp1140z00_4290;
BgL_tmp1140z00_4290 = 
PROCEDURE_ENTRY(BgL_bodyz00_12895)(BgL_bodyz00_12895, BgL_sz00_12896, BEOA); 
{ /* Eval/evaluate_comp.scm 549 */
 bool_t BgL_test5218z00_30488;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg4064z00_8826;
BgL_arg4064z00_8826 = 
BGL_EXITD_PROTECT(BgL_exitd1139z00_4288); 
BgL_test5218z00_30488 = 
PAIRP(BgL_arg4064z00_8826); } 
if(BgL_test5218z00_30488)
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg4062z00_8827;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg4063z00_8828;
BgL_arg4063z00_8828 = 
BGL_EXITD_PROTECT(BgL_exitd1139z00_4288); 
BgL_arg4062z00_8827 = 
CDR(
((obj_t)BgL_arg4063z00_8828)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1139z00_4288, BgL_arg4062z00_8827); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 549 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1138z00_12893, BgL_ohs1130z00_4286); BUNSPEC; 
BgL_res1145z00_4285 = BgL_tmp1140z00_4290; } } } } } } 
POP_ENV_EXIT(BgL_env1138z00_12893); 
return BgL_res1145z00_4285;} } 
}} 

}



/* &comp-ev_unwind-prote1429 */
obj_t BGl_z62compzd2ev_unwindzd2prote1429z62zz__evaluate_compz00(obj_t BgL_envz00_12718, obj_t BgL_ez00_12719, obj_t BgL_stkz00_12720)
{
{ /* Eval/evaluate_comp.scm 534 */
{ /* Eval/evaluate_comp.scm 536 */
 obj_t BgL_ez00_15605; obj_t BgL_bodyz00_15606;
BgL_ez00_15605 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12719)))->BgL_ez00), BgL_stkz00_12720); 
BgL_bodyz00_15606 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12719)))->BgL_bodyz00), BgL_stkz00_12720); 
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_zc3z04anonymousza33118ze3z87_15607;
BgL_zc3z04anonymousza33118ze3z87_15607 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_15607, 
(int)(((long)0)), BgL_bodyz00_15606); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_15607, 
(int)(((long)1)), BgL_ez00_15605); 
return BgL_zc3z04anonymousza33118ze3z87_15607;} } } 

}



/* &<@anonymous:3118> */
obj_t BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12721, obj_t BgL_sz00_12724)
{
{ /* Eval/evaluate_comp.scm 537 */
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_bodyz00_12722; obj_t BgL_ez00_12723;
BgL_bodyz00_12722 = 
PROCEDURE_REF(BgL_envz00_12721, 
(int)(((long)0))); 
BgL_ez00_12723 = 
PROCEDURE_REF(BgL_envz00_12721, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_bpz00_15608;
BgL_bpz00_15608 = 
VECTOR_REF(
((obj_t)BgL_sz00_12724),((long)0)); 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_exitd1125z00_15609;
BgL_exitd1125z00_15609 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 540 */
 obj_t BgL_zc3z04anonymousza33119ze3z87_15610;
BgL_zc3z04anonymousza33119ze3z87_15610 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33119ze3z87_15610, 
(int)(((long)0)), BgL_sz00_12724); 
PROCEDURE_SET(BgL_zc3z04anonymousza33119ze3z87_15610, 
(int)(((long)1)), BgL_bpz00_15608); 
PROCEDURE_SET(BgL_zc3z04anonymousza33119ze3z87_15610, 
(int)(((long)2)), BgL_bodyz00_12722); 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4065z00_15611;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4066z00_15612;
BgL_arg4066z00_15612 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_15609); 
BgL_arg4065z00_15611 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33119ze3z87_15610, BgL_arg4066z00_15612); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1125z00_15609, BgL_arg4065z00_15611); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_tmp1127z00_15613;
BgL_tmp1127z00_15613 = 
PROCEDURE_ENTRY(BgL_ez00_12723)(BgL_ez00_12723, BgL_sz00_12724, BEOA); 
{ /* Eval/evaluate_comp.scm 539 */
 bool_t BgL_test5219z00_30533;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4064z00_15614;
BgL_arg4064z00_15614 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_15609); 
BgL_test5219z00_30533 = 
PAIRP(BgL_arg4064z00_15614); } 
if(BgL_test5219z00_30533)
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4062z00_15615;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4063z00_15616;
BgL_arg4063z00_15616 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_15609); 
BgL_arg4062z00_15615 = 
CDR(
((obj_t)BgL_arg4063z00_15616)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1125z00_15609, BgL_arg4062z00_15615); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 539 */BFALSE; } } 
BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00(BgL_zc3z04anonymousza33119ze3z87_15610); 
return BgL_tmp1127z00_15613;} } } } } } 

}



/* &<@anonymous:3119> */
obj_t BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12725)
{
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 540 */
 obj_t BgL_sz00_12726; obj_t BgL_savedzd2bpzd2_12727; obj_t BgL_bodyz00_12728;
BgL_sz00_12726 = 
PROCEDURE_REF(BgL_envz00_12725, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_12727 = 
PROCEDURE_REF(BgL_envz00_12725, 
(int)(((long)1))); 
BgL_bodyz00_12728 = 
PROCEDURE_REF(BgL_envz00_12725, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_12726),((long)0),BgL_savedzd2bpzd2_12727); 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12728)(BgL_bodyz00_12728, BgL_sz00_12726, BEOA);} } 

}



/* &comp-ev_bind-exit1427 */
obj_t BGl_z62compzd2ev_bindzd2exit1427z62zz__evaluate_compz00(obj_t BgL_envz00_12729, obj_t BgL_ez00_12730, obj_t BgL_stkz00_12731)
{
{ /* Eval/evaluate_comp.scm 523 */
{ /* Eval/evaluate_comp.scm 525 */
 long BgL_siza7eza7_15618; obj_t BgL_nstkz00_15619;
BgL_siza7eza7_15618 = 
bgl_list_length(BgL_stkz00_12731); 
{ /* Eval/evaluate_comp.scm 525 */
 obj_t BgL_arg3116z00_15620;
{ /* Eval/evaluate_comp.scm 525 */
 BgL_ev_varz00_bglt BgL_arg3117z00_15621;
BgL_arg3117z00_15621 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12730)))->BgL_varz00); 
BgL_arg3116z00_15620 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3117z00_15621), BNIL); } 
BgL_nstkz00_15619 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12731, BgL_arg3116z00_15620); } 
{ /* Eval/evaluate_comp.scm 526 */
 obj_t BgL_bodyz00_15622; obj_t BgL_effzf3zf3_15623;
BgL_bodyz00_15622 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12730)))->BgL_bodyz00), BgL_nstkz00_15619); 
BgL_effzf3zf3_15623 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12730)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 527 */
 obj_t BgL_zc3z04anonymousza33111ze3z87_15624;
BgL_zc3z04anonymousza33111ze3z87_15624 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33111ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33111ze3z87_15624, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15618)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33111ze3z87_15624, 
(int)(((long)1)), BgL_effzf3zf3_15623); 
PROCEDURE_SET(BgL_zc3z04anonymousza33111ze3z87_15624, 
(int)(((long)2)), BgL_bodyz00_15622); 
return BgL_zc3z04anonymousza33111ze3z87_15624;} } } } 

}



/* &<@anonymous:3111> */
obj_t BGl_z62zc3z04anonymousza33111ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12732, obj_t BgL_sz00_12736)
{
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 527 */
 long BgL_siza7eza7_12733; obj_t BgL_effzf3zf3_12734; obj_t BgL_bodyz00_12735;
BgL_siza7eza7_12733 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12732, 
(int)(((long)0)))); 
BgL_effzf3zf3_12734 = 
PROCEDURE_REF(BgL_envz00_12732, 
(int)(((long)1))); 
BgL_bodyz00_12735 = 
PROCEDURE_REF(BgL_envz00_12732, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 527 */
 obj_t BgL_bpz00_15625;
BgL_bpz00_15625 = 
VECTOR_REF(
((obj_t)BgL_sz00_12736),((long)0)); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_za2za2resza2za2z00_15626;
BgL_za2za2resza2za2z00_15626 = 
BGl_zc3z04exitza33112ze3ze70z60zz__evaluate_compz00(BgL_bodyz00_12735, BgL_sz00_12736, BgL_effzf3zf3_12734, BgL_siza7eza7_12733, BgL_bpz00_15625); 
VECTOR_SET(
((obj_t)BgL_sz00_12736),((long)0),BgL_bpz00_15625); 
return BgL_za2za2resza2za2z00_15626;} } } } 

}



/* <@exit:3112>~0 */
obj_t BGl_zc3z04exitza33112ze3ze70z60zz__evaluate_compz00(obj_t BgL_bodyz00_12892, obj_t BgL_sz00_12891, obj_t BgL_effzf3zf3_12890, long BgL_siza7eza7_12889, obj_t BgL_bpz00_12888)
{
{ /* Eval/evaluate_comp.scm 529 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1118z00_4231;
if( SET_EXIT(BgL_an_exit1118z00_4231 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1118z00_4231 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_env1122z00_4232;
BgL_env1122z00_4232 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1122z00_4232, BgL_an_exit1118z00_4231, ((long)1)); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_an_exitd1119z00_4233;
BgL_an_exitd1119z00_4233 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1122z00_4232); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_exitz00_11691;
BgL_exitz00_11691 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_11691, 
(int)(((long)0)), BgL_an_exitd1119z00_4233); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_res1121z00_4236;
{ /* Eval/evaluate_comp.scm 530 */
 long BgL_arg3113z00_4237; obj_t BgL_arg3114z00_4238;
BgL_arg3113z00_4237 = 
(
(long)CINT(BgL_bpz00_12888)+BgL_siza7eza7_12889); 
if(
CBOOL(BgL_effzf3zf3_12890))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_8810;
BgL_newz00_8810 = 
create_struct(BGl_symbol4328z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30603;
BgL_tmpz00_30603 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8810, BgL_tmpz00_30603, BgL_exitz00_11691); } 
BgL_arg3114z00_4238 = BgL_newz00_8810; }  else 
{ /* Eval/evaluate_comp.scm 530 */
BgL_arg3114z00_4238 = BgL_exitz00_11691; } 
VECTOR_SET(
((obj_t)BgL_sz00_12891),BgL_arg3113z00_4237,BgL_arg3114z00_4238); } 
BgL_res1121z00_4236 = 
PROCEDURE_ENTRY(BgL_bodyz00_12892)(BgL_bodyz00_12892, BgL_sz00_12891, BEOA); 
POP_ENV_EXIT(BgL_env1122z00_4232); 
return BgL_res1121z00_4236;} } } } 
}} 

}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_12737, obj_t BgL_val1120z00_12739)
{
{ /* Eval/evaluate_comp.scm 529 */
return 
unwind_stack_until(
PROCEDURE_REF(BgL_envz00_12737, 
(int)(((long)0))), BFALSE, BgL_val1120z00_12739, BFALSE, BFALSE);} 

}



/* &comp-ev_letrec1425 */
obj_t BGl_z62compzd2ev_letrec1425zb0zz__evaluate_compz00(obj_t BgL_envz00_12740, obj_t BgL_ez00_12741, obj_t BgL_stkz00_12742)
{
{ /* Eval/evaluate_comp.scm 494 */
{ /* Eval/evaluate_comp.scm 496 */
 long BgL_siza7eza7_15628; obj_t BgL_nstkz00_15629;
BgL_siza7eza7_15628 = 
bgl_list_length(BgL_stkz00_12742); 
{ /* Eval/evaluate_comp.scm 496 */
 obj_t BgL_arg3110z00_15630;
BgL_arg3110z00_15630 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12741))))->BgL_varsz00); 
BgL_nstkz00_15629 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12742, BgL_arg3110z00_15630); } 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_cvalsz00_15631; obj_t BgL_bodyz00_15632;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_l1325z00_15633;
BgL_l1325z00_15633 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12741))))->BgL_valsz00); 
if(
NULLP(BgL_l1325z00_15633))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_15631 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_head1327z00_15634;
BgL_head1327z00_15634 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1325z00_15636; obj_t BgL_tail1328z00_15637;
BgL_l1325z00_15636 = BgL_l1325z00_15633; 
BgL_tail1328z00_15637 = BgL_head1327z00_15634; 
BgL_zc3z04anonymousza33105ze3z87_15635:
if(
NULLP(BgL_l1325z00_15636))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_15631 = 
CDR(BgL_head1327z00_15634); }  else 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_newtail1329z00_15638;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_arg3108z00_15639;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_vz00_15640;
BgL_vz00_15640 = 
CAR(
((obj_t)BgL_l1325z00_15636)); 
BgL_arg3108z00_15639 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_15640), BgL_nstkz00_15629); } 
BgL_newtail1329z00_15638 = 
MAKE_YOUNG_PAIR(BgL_arg3108z00_15639, BNIL); } 
SET_CDR(BgL_tail1328z00_15637, BgL_newtail1329z00_15638); 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_arg3107z00_15641;
BgL_arg3107z00_15641 = 
CDR(
((obj_t)BgL_l1325z00_15636)); 
{ 
 obj_t BgL_tail1328z00_30639; obj_t BgL_l1325z00_30638;
BgL_l1325z00_30638 = BgL_arg3107z00_15641; 
BgL_tail1328z00_30639 = BgL_newtail1329z00_15638; 
BgL_tail1328z00_15637 = BgL_tail1328z00_30639; 
BgL_l1325z00_15636 = BgL_l1325z00_30638; 
goto BgL_zc3z04anonymousza33105ze3z87_15635;} } } } } } 
{ /* Eval/evaluate_comp.scm 498 */
 BgL_ev_exprz00_bglt BgL_arg3109z00_15642;
BgL_arg3109z00_15642 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12741))))->BgL_bodyz00); 
BgL_bodyz00_15632 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3109z00_15642, BgL_nstkz00_15629); } 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_test5223z00_30644;
{ 
 obj_t BgL_l1330z00_15644;
BgL_l1330z00_15644 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12741))))->BgL_valsz00); 
BgL_zc3z04anonymousza33102ze3z87_15643:
if(
NULLP(BgL_l1330z00_15644))
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5223z00_30644 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_test5225z00_30647;
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_vz00_15645;
BgL_vz00_15645 = 
CAR(
((obj_t)BgL_l1330z00_15644)); 
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_classz00_15646;
BgL_classz00_15646 = BGl_ev_absz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_15645))
{ /* Eval/evaluate_comp.scm 499 */
 BgL_objectz00_bglt BgL_arg4048z00_15647;
BgL_arg4048z00_15647 = 
(BgL_objectz00_bglt)(BgL_vz00_15645); 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_arg4045z00_15648; bool_t BgL_arg4046z00_15649;
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_idxz00_15650;
BgL_idxz00_15650 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4048z00_15647); 
BgL_arg4045z00_15648 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_15650+((long)2)))==BgL_classz00_15646); } 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_res4185z00_15653;
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_oclassz00_15654;
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_arg4055z00_15655;
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_arg4056z00_15656;
BgL_arg4056z00_15656 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4048z00_15647); 
BgL_arg4055z00_15655 = 
(BgL_arg4056z00_15656-OBJECT_TYPE); } 
BgL_oclassz00_15654 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4055z00_15655); } 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL__ortest_1293z00_15657;
BgL__ortest_1293z00_15657 = 
(BgL_classz00_15646==BgL_oclassz00_15654); 
if(BgL__ortest_1293z00_15657)
{ /* Eval/evaluate_comp.scm 499 */
BgL_res4185z00_15653 = BgL__ortest_1293z00_15657; }  else 
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_odepthz00_15658;
BgL_odepthz00_15658 = 
BGL_CLASS_DEPTH(BgL_oclassz00_15654); 
if(
(((long)2)<BgL_odepthz00_15658))
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_arg4044z00_15659;
BgL_arg4044z00_15659 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15654, ((long)2)); 
BgL_res4185z00_15653 = 
(BgL_arg4044z00_15659==BgL_classz00_15646); }  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_res4185z00_15653 = ((bool_t)0); } } } } 
BgL_arg4046z00_15649 = BgL_res4185z00_15653; } 
BgL_test5225z00_30647 = 
BGL_ISA_C_BACKEND(BgL_arg4045z00_15648, BgL_arg4046z00_15649); } }  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5225z00_30647 = ((bool_t)0)
; } } } 
if(BgL_test5225z00_30647)
{ 
 obj_t BgL_l1330z00_30668;
BgL_l1330z00_30668 = 
CDR(
((obj_t)BgL_l1330z00_15644)); 
BgL_l1330z00_15644 = BgL_l1330z00_30668; 
goto BgL_zc3z04anonymousza33102ze3z87_15643;}  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5223z00_30644 = ((bool_t)0)
; } } } 
if(BgL_test5223z00_30644)
{ /* Eval/evaluate_comp.scm 500 */
 obj_t BgL_zc3z04anonymousza33072ze3z87_15660;
BgL_zc3z04anonymousza33072ze3z87_15660 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33072ze3z87_15660, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15628)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33072ze3z87_15660, 
(int)(((long)1)), BgL_cvalsz00_15631); 
PROCEDURE_SET(BgL_zc3z04anonymousza33072ze3z87_15660, 
(int)(((long)2)), BgL_bodyz00_15632); 
return BgL_zc3z04anonymousza33072ze3z87_15660;}  else 
{ /* Eval/evaluate_comp.scm 510 */
 obj_t BgL_zc3z04anonymousza33085ze3z87_15661;
BgL_zc3z04anonymousza33085ze3z87_15661 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33085ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33085ze3z87_15661, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15628)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33085ze3z87_15661, 
(int)(((long)1)), BgL_cvalsz00_15631); 
PROCEDURE_SET(BgL_zc3z04anonymousza33085ze3z87_15661, 
(int)(((long)2)), BgL_bodyz00_15632); 
return BgL_zc3z04anonymousza33085ze3z87_15661;} } } } } 

}



/* &<@anonymous:3072> */
obj_t BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12743, obj_t BgL_sz00_12747)
{
{ /* Eval/evaluate_comp.scm 500 */
{ /* Eval/evaluate_comp.scm 500 */
 long BgL_siza7eza7_12744; obj_t BgL_cvalsz00_12745; obj_t BgL_bodyz00_12746;
BgL_siza7eza7_12744 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12743, 
(int)(((long)0)))); 
BgL_cvalsz00_12745 = 
PROCEDURE_REF(BgL_envz00_12743, 
(int)(((long)1))); 
BgL_bodyz00_12746 = 
PROCEDURE_REF(BgL_envz00_12743, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 500 */
 obj_t BgL_bpz00_15662;
BgL_bpz00_15662 = 
VECTOR_REF(
((obj_t)BgL_sz00_12747),((long)0)); 
{ /* Eval/evaluate_comp.scm 501 */
 long BgL_g1112z00_15663;
BgL_g1112z00_15663 = 
(
(long)CINT(BgL_bpz00_15662)+BgL_siza7eza7_12744); 
{ 
 obj_t BgL_lz00_15665; long BgL_iz00_15666;
BgL_lz00_15665 = BgL_cvalsz00_12745; 
BgL_iz00_15666 = BgL_g1112z00_15663; 
BgL_recz00_15664:
if(
NULLP(BgL_lz00_15665))
{ /* Eval/evaluate_comp.scm 502 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 502 */
{ /* Eval/evaluate_comp.scm 503 */
 obj_t BgL_arg3075z00_15667;
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15668;
BgL_newz00_15668 = 
create_struct(BGl_symbol4328z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30709;
BgL_tmpz00_30709 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15668, BgL_tmpz00_30709, BUNSPEC); } 
BgL_arg3075z00_15667 = BgL_newz00_15668; } 
VECTOR_SET(
((obj_t)BgL_sz00_12747),BgL_iz00_15666,BgL_arg3075z00_15667); } 
{ /* Eval/evaluate_comp.scm 504 */
 obj_t BgL_arg3076z00_15669; long BgL_arg3077z00_15670;
BgL_arg3076z00_15669 = 
CDR(
((obj_t)BgL_lz00_15665)); 
BgL_arg3077z00_15670 = 
(BgL_iz00_15666+((long)1)); 
{ 
 long BgL_iz00_30718; obj_t BgL_lz00_30717;
BgL_lz00_30717 = BgL_arg3076z00_15669; 
BgL_iz00_30718 = BgL_arg3077z00_15670; 
BgL_iz00_15666 = BgL_iz00_30718; 
BgL_lz00_15665 = BgL_lz00_30717; 
goto BgL_recz00_15664;} } } } } 
{ /* Eval/evaluate_comp.scm 505 */
 long BgL_g1113z00_15671;
BgL_g1113z00_15671 = 
(
(long)CINT(BgL_bpz00_15662)+BgL_siza7eza7_12744); 
{ 
 obj_t BgL_lz00_15673; long BgL_iz00_15674;
BgL_lz00_15673 = BgL_cvalsz00_12745; 
BgL_iz00_15674 = BgL_g1113z00_15671; 
BgL_recz00_15672:
if(
NULLP(BgL_lz00_15673))
{ /* Eval/evaluate_comp.scm 506 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 506 */
{ /* Eval/evaluate_comp.scm 507 */
 obj_t BgL_arg3080z00_15675; obj_t BgL_arg3081z00_15676;
BgL_arg3080z00_15675 = 
VECTOR_REF(
((obj_t)BgL_sz00_12747),BgL_iz00_15674); 
{ /* Eval/evaluate_comp.scm 507 */
 obj_t BgL_fun3082z00_15677;
BgL_fun3082z00_15677 = 
CAR(
((obj_t)BgL_lz00_15673)); 
BgL_arg3081z00_15676 = 
PROCEDURE_ENTRY(BgL_fun3082z00_15677)(BgL_fun3082z00_15677, BgL_sz00_12747, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_30733; obj_t BgL_tmpz00_30731;
BgL_auxz00_30733 = 
(int)(((long)0)); 
BgL_tmpz00_30731 = 
((obj_t)BgL_arg3080z00_15675); 
STRUCT_SET(BgL_tmpz00_30731, BgL_auxz00_30733, BgL_arg3081z00_15676); } } 
{ /* Eval/evaluate_comp.scm 508 */
 obj_t BgL_arg3083z00_15678; long BgL_arg3084z00_15679;
BgL_arg3083z00_15678 = 
CDR(
((obj_t)BgL_lz00_15673)); 
BgL_arg3084z00_15679 = 
(BgL_iz00_15674+((long)1)); 
{ 
 long BgL_iz00_30740; obj_t BgL_lz00_30739;
BgL_lz00_30739 = BgL_arg3083z00_15678; 
BgL_iz00_30740 = BgL_arg3084z00_15679; 
BgL_iz00_15674 = BgL_iz00_30740; 
BgL_lz00_15673 = BgL_lz00_30739; 
goto BgL_recz00_15672;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12746)(BgL_bodyz00_12746, BgL_sz00_12747, BEOA);} } } 

}



/* &<@anonymous:3085> */
obj_t BGl_z62zc3z04anonymousza33085ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12748, obj_t BgL_sz00_12752)
{
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 510 */
 long BgL_siza7eza7_12749; obj_t BgL_cvalsz00_12750; obj_t BgL_bodyz00_12751;
BgL_siza7eza7_12749 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12748, 
(int)(((long)0)))); 
BgL_cvalsz00_12750 = 
PROCEDURE_REF(BgL_envz00_12748, 
(int)(((long)1))); 
BgL_bodyz00_12751 = 
PROCEDURE_REF(BgL_envz00_12748, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 510 */
 obj_t BgL_bpz00_15680;
BgL_bpz00_15680 = 
VECTOR_REF(
((obj_t)BgL_sz00_12752),((long)0)); 
{ /* Eval/evaluate_comp.scm 511 */
 long BgL_g1114z00_15681;
BgL_g1114z00_15681 = 
(
(long)CINT(BgL_bpz00_15680)+BgL_siza7eza7_12749); 
{ 
 obj_t BgL_lz00_15683; long BgL_iz00_15684;
BgL_lz00_15683 = BgL_cvalsz00_12750; 
BgL_iz00_15684 = BgL_g1114z00_15681; 
BgL_recz00_15682:
if(
NULLP(BgL_lz00_15683))
{ /* Eval/evaluate_comp.scm 512 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 512 */
{ /* Eval/evaluate_comp.scm 513 */
 obj_t BgL_arg3088z00_15685;
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15686;
BgL_newz00_15686 = 
create_struct(BGl_symbol4328z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30760;
BgL_tmpz00_30760 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15686, BgL_tmpz00_30760, BUNSPEC); } 
BgL_arg3088z00_15685 = BgL_newz00_15686; } 
VECTOR_SET(
((obj_t)BgL_sz00_12752),BgL_iz00_15684,BgL_arg3088z00_15685); } 
{ /* Eval/evaluate_comp.scm 514 */
 obj_t BgL_arg3089z00_15687; long BgL_arg3090z00_15688;
BgL_arg3089z00_15687 = 
CDR(
((obj_t)BgL_lz00_15683)); 
BgL_arg3090z00_15688 = 
(BgL_iz00_15684+((long)1)); 
{ 
 long BgL_iz00_30769; obj_t BgL_lz00_30768;
BgL_lz00_30768 = BgL_arg3089z00_15687; 
BgL_iz00_30769 = BgL_arg3090z00_15688; 
BgL_iz00_15684 = BgL_iz00_30769; 
BgL_lz00_15683 = BgL_lz00_30768; 
goto BgL_recz00_15682;} } } } } 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_rvalsz00_15689;
if(
NULLP(BgL_cvalsz00_12750))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_15689 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_head1336z00_15690;
BgL_head1336z00_15690 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1334z00_15692; obj_t BgL_tail1337z00_15693;
BgL_l1334z00_15692 = BgL_cvalsz00_12750; 
BgL_tail1337z00_15693 = BgL_head1336z00_15690; 
BgL_zc3z04anonymousza33098ze3z87_15691:
if(
NULLP(BgL_l1334z00_15692))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_15689 = 
CDR(BgL_head1336z00_15690); }  else 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_newtail1338z00_15694;
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_arg3101z00_15695;
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_vz00_15696;
BgL_vz00_15696 = 
CAR(
((obj_t)BgL_l1334z00_15692)); 
BgL_arg3101z00_15695 = 
PROCEDURE_ENTRY(BgL_vz00_15696)(BgL_vz00_15696, BgL_sz00_12752, BEOA); } 
BgL_newtail1338z00_15694 = 
MAKE_YOUNG_PAIR(BgL_arg3101z00_15695, BNIL); } 
SET_CDR(BgL_tail1337z00_15693, BgL_newtail1338z00_15694); 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_arg3100z00_15697;
BgL_arg3100z00_15697 = 
CDR(
((obj_t)BgL_l1334z00_15692)); 
{ 
 obj_t BgL_tail1337z00_30787; obj_t BgL_l1334z00_30786;
BgL_l1334z00_30786 = BgL_arg3100z00_15697; 
BgL_tail1337z00_30787 = BgL_newtail1338z00_15694; 
BgL_tail1337z00_15693 = BgL_tail1337z00_30787; 
BgL_l1334z00_15692 = BgL_l1334z00_30786; 
goto BgL_zc3z04anonymousza33098ze3z87_15691;} } } } } 
{ /* Eval/evaluate_comp.scm 516 */
 long BgL_g1115z00_15698;
BgL_g1115z00_15698 = 
(
(long)CINT(BgL_bpz00_15680)+BgL_siza7eza7_12749); 
{ 
 obj_t BgL_lz00_15700; long BgL_iz00_15701;
BgL_lz00_15700 = BgL_rvalsz00_15689; 
BgL_iz00_15701 = BgL_g1115z00_15698; 
BgL_recz00_15699:
if(
NULLP(BgL_lz00_15700))
{ /* Eval/evaluate_comp.scm 517 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 517 */
{ /* Eval/evaluate_comp.scm 518 */
 obj_t BgL_arg3093z00_15702; obj_t BgL_arg3094z00_15703;
BgL_arg3093z00_15702 = 
VECTOR_REF(
((obj_t)BgL_sz00_12752),BgL_iz00_15701); 
BgL_arg3094z00_15703 = 
CAR(
((obj_t)BgL_lz00_15700)); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_30798; obj_t BgL_tmpz00_30796;
BgL_auxz00_30798 = 
(int)(((long)0)); 
BgL_tmpz00_30796 = 
((obj_t)BgL_arg3093z00_15702); 
STRUCT_SET(BgL_tmpz00_30796, BgL_auxz00_30798, BgL_arg3094z00_15703); } } 
{ /* Eval/evaluate_comp.scm 519 */
 obj_t BgL_arg3095z00_15704; long BgL_arg3096z00_15705;
BgL_arg3095z00_15704 = 
CDR(
((obj_t)BgL_lz00_15700)); 
BgL_arg3096z00_15705 = 
(BgL_iz00_15701+((long)1)); 
{ 
 long BgL_iz00_30805; obj_t BgL_lz00_30804;
BgL_lz00_30804 = BgL_arg3095z00_15704; 
BgL_iz00_30805 = BgL_arg3096z00_15705; 
BgL_iz00_15701 = BgL_iz00_30805; 
BgL_lz00_15700 = BgL_lz00_30804; 
goto BgL_recz00_15699;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12751)(BgL_bodyz00_12751, BgL_sz00_12752, BEOA);} } } } 

}



/* &comp-ev_let*1423 */
obj_t BGl_z62compzd2ev_letza21423z12zz__evaluate_compz00(obj_t BgL_envz00_12753, obj_t BgL_ez00_12754, obj_t BgL_stkz00_12755)
{
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 483 */
 long BgL_siza7eza7_15707; obj_t BgL_nstkz00_15708;
BgL_siza7eza7_15707 = 
bgl_list_length(BgL_stkz00_12755); 
{ /* Eval/evaluate_comp.scm 483 */
 obj_t BgL_arg3067z00_15709;
BgL_arg3067z00_15709 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12754))))->BgL_varsz00); 
BgL_nstkz00_15708 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12755, BgL_arg3067z00_15709); } 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_valsz00_15710; obj_t BgL_bodyz00_15711;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_l1320z00_15712;
BgL_l1320z00_15712 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12754))))->BgL_valsz00); 
if(
NULLP(BgL_l1320z00_15712))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_15710 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_head1322z00_15713;
BgL_head1322z00_15713 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1320z00_15715; obj_t BgL_tail1323z00_15716;
BgL_l1320z00_15715 = BgL_l1320z00_15712; 
BgL_tail1323z00_15716 = BgL_head1322z00_15713; 
BgL_zc3z04anonymousza33062ze3z87_15714:
if(
NULLP(BgL_l1320z00_15715))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_15710 = 
CDR(BgL_head1322z00_15713); }  else 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_newtail1324z00_15717;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_arg3065z00_15718;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_vz00_15719;
BgL_vz00_15719 = 
CAR(
((obj_t)BgL_l1320z00_15715)); 
BgL_arg3065z00_15718 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_15719), BgL_nstkz00_15708); } 
BgL_newtail1324z00_15717 = 
MAKE_YOUNG_PAIR(BgL_arg3065z00_15718, BNIL); } 
SET_CDR(BgL_tail1323z00_15716, BgL_newtail1324z00_15717); 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_arg3064z00_15720;
BgL_arg3064z00_15720 = 
CDR(
((obj_t)BgL_l1320z00_15715)); 
{ 
 obj_t BgL_tail1323z00_30833; obj_t BgL_l1320z00_30832;
BgL_l1320z00_30832 = BgL_arg3064z00_15720; 
BgL_tail1323z00_30833 = BgL_newtail1324z00_15717; 
BgL_tail1323z00_15716 = BgL_tail1323z00_30833; 
BgL_l1320z00_15715 = BgL_l1320z00_30832; 
goto BgL_zc3z04anonymousza33062ze3z87_15714;} } } } } } 
{ /* Eval/evaluate_comp.scm 485 */
 BgL_ev_exprz00_bglt BgL_arg3066z00_15721;
BgL_arg3066z00_15721 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12754))))->BgL_bodyz00); 
BgL_bodyz00_15711 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3066z00_15721, BgL_nstkz00_15708); } 
{ /* Eval/evaluate_comp.scm 486 */
 obj_t BgL_zc3z04anonymousza33051ze3z87_15722;
BgL_zc3z04anonymousza33051ze3z87_15722 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15722, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15707)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15722, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_12754))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15722, 
(int)(((long)2)), BgL_valsz00_15710); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15722, 
(int)(((long)3)), BgL_bodyz00_15711); 
return BgL_zc3z04anonymousza33051ze3z87_15722;} } } } 

}



/* &<@anonymous:3051> */
obj_t BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12756, obj_t BgL_sz00_12761)
{
{ /* Eval/evaluate_comp.scm 486 */
{ /* Eval/evaluate_comp.scm 486 */
 long BgL_siza7eza7_12757; BgL_ev_letza2za2_bglt BgL_i1109z00_12758; obj_t BgL_valsz00_12759; obj_t BgL_bodyz00_12760;
BgL_siza7eza7_12757 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12756, 
(int)(((long)0)))); 
BgL_i1109z00_12758 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_12756, 
(int)(((long)1)))); 
BgL_valsz00_12759 = 
PROCEDURE_REF(BgL_envz00_12756, 
(int)(((long)2))); 
BgL_bodyz00_12760 = 
PROCEDURE_REF(BgL_envz00_12756, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 486 */
 obj_t BgL_bpz00_15723;
BgL_bpz00_15723 = 
VECTOR_REF(
((obj_t)BgL_sz00_12761),((long)0)); 
{ /* Eval/evaluate_comp.scm 487 */
 long BgL_g1110z00_15724;
BgL_g1110z00_15724 = 
(
(long)CINT(BgL_bpz00_15723)+BgL_siza7eza7_12757); 
{ 
 obj_t BgL_lz00_15726; long BgL_iz00_15727; obj_t BgL_bza2za2_15728;
BgL_lz00_15726 = BgL_valsz00_12759; 
BgL_iz00_15727 = BgL_g1110z00_15724; 
BgL_bza2za2_15728 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1109z00_12758))->BgL_boxesz00); 
BgL_recz00_15725:
if(
NULLP(BgL_lz00_15726))
{ /* Eval/evaluate_comp.scm 488 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 488 */
{ /* Eval/evaluate_comp.scm 489 */
 obj_t BgL_valz00_15729;
{ /* Eval/evaluate_comp.scm 489 */
 obj_t BgL_fun3057z00_15730;
BgL_fun3057z00_15730 = 
CAR(
((obj_t)BgL_lz00_15726)); 
BgL_valz00_15729 = 
PROCEDURE_ENTRY(BgL_fun3057z00_15730)(BgL_fun3057z00_15730, BgL_sz00_12761, BEOA); } 
{ /* Eval/evaluate_comp.scm 490 */
 obj_t BgL_arg3055z00_15731;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_15728))))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15732;
BgL_newz00_15732 = 
create_struct(BGl_symbol4328z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30880;
BgL_tmpz00_30880 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15732, BgL_tmpz00_30880, BgL_valz00_15729); } 
BgL_arg3055z00_15731 = BgL_newz00_15732; }  else 
{ /* Eval/evaluate_comp.scm 490 */
BgL_arg3055z00_15731 = BgL_valz00_15729; } 
VECTOR_SET(
((obj_t)BgL_sz00_12761),BgL_iz00_15727,BgL_arg3055z00_15731); } } 
{ /* Eval/evaluate_comp.scm 491 */
 obj_t BgL_arg3058z00_15733; long BgL_arg3059z00_15734; obj_t BgL_arg3060z00_15735;
BgL_arg3058z00_15733 = 
CDR(
((obj_t)BgL_lz00_15726)); 
BgL_arg3059z00_15734 = 
(BgL_iz00_15727+((long)1)); 
BgL_arg3060z00_15735 = 
CDR(
((obj_t)BgL_bza2za2_15728)); 
{ 
 obj_t BgL_bza2za2_30892; long BgL_iz00_30891; obj_t BgL_lz00_30890;
BgL_lz00_30890 = BgL_arg3058z00_15733; 
BgL_iz00_30891 = BgL_arg3059z00_15734; 
BgL_bza2za2_30892 = BgL_arg3060z00_15735; 
BgL_bza2za2_15728 = BgL_bza2za2_30892; 
BgL_iz00_15727 = BgL_iz00_30891; 
BgL_lz00_15726 = BgL_lz00_30890; 
goto BgL_recz00_15725;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12760)(BgL_bodyz00_12760, BgL_sz00_12761, BEOA);} } } 

}



/* &comp-ev_let1421 */
obj_t BGl_z62compzd2ev_let1421zb0zz__evaluate_compz00(obj_t BgL_envz00_12762, obj_t BgL_ez00_12763, obj_t BgL_stkz00_12764)
{
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 464 */
 long BgL_siza7eza7_15737; obj_t BgL_nstkz00_15738;
BgL_siza7eza7_15737 = 
bgl_list_length(BgL_stkz00_12764); 
{ /* Eval/evaluate_comp.scm 464 */
 obj_t BgL_arg3050z00_15739;
BgL_arg3050z00_15739 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12763))))->BgL_varsz00); 
BgL_nstkz00_15738 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12764, BgL_arg3050z00_15739); } 
{ /* Eval/evaluate_comp.scm 465 */
 obj_t BgL_valsz00_15740; obj_t BgL_iboxesz00_15741; obj_t BgL_bodyz00_15742;
{ /* Eval/evaluate_comp.scm 466 */
 obj_t BgL_arg3043z00_15743;
BgL_arg3043z00_15743 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12763))))->BgL_valsz00); 
BgL_valsz00_15740 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg3043z00_15743, BgL_stkz00_12764); } 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_l1315z00_15744;
BgL_l1315z00_15744 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_12763)))->BgL_boxesz00); 
if(
NULLP(BgL_l1315z00_15744))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_15741 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_head1317z00_15745;
BgL_head1317z00_15745 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1315z00_15747; obj_t BgL_tail1318z00_15748;
BgL_l1315z00_15747 = BgL_l1315z00_15744; 
BgL_tail1318z00_15748 = BgL_head1317z00_15745; 
BgL_zc3z04anonymousza33045ze3z87_15746:
if(
NULLP(BgL_l1315z00_15747))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_15741 = 
CDR(BgL_head1317z00_15745); }  else 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_newtail1319z00_15749;
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_arg3048z00_15750;
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_vz00_15751;
BgL_vz00_15751 = 
CAR(
((obj_t)BgL_l1315z00_15747)); 
BgL_arg3048z00_15750 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_15751, BgL_nstkz00_15738); } 
BgL_newtail1319z00_15749 = 
MAKE_YOUNG_PAIR(BgL_arg3048z00_15750, BNIL); } 
SET_CDR(BgL_tail1318z00_15748, BgL_newtail1319z00_15749); 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_arg3047z00_15752;
BgL_arg3047z00_15752 = 
CDR(
((obj_t)BgL_l1315z00_15747)); 
{ 
 obj_t BgL_tail1318z00_30923; obj_t BgL_l1315z00_30922;
BgL_l1315z00_30922 = BgL_arg3047z00_15752; 
BgL_tail1318z00_30923 = BgL_newtail1319z00_15749; 
BgL_tail1318z00_15748 = BgL_tail1318z00_30923; 
BgL_l1315z00_15747 = BgL_l1315z00_30922; 
goto BgL_zc3z04anonymousza33045ze3z87_15746;} } } } } } 
{ /* Eval/evaluate_comp.scm 468 */
 BgL_ev_exprz00_bglt BgL_arg3049z00_15753;
BgL_arg3049z00_15753 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12763))))->BgL_bodyz00); 
BgL_bodyz00_15742 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3049z00_15753, BgL_nstkz00_15738); } 
{ /* Eval/evaluate_comp.scm 469 */
 obj_t BgL_zc3z04anonymousza33030ze3z87_15754;
BgL_zc3z04anonymousza33030ze3z87_15754 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_15754, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15737)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_15754, 
(int)(((long)1)), BgL_valsz00_15740); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_15754, 
(int)(((long)2)), BgL_iboxesz00_15741); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_15754, 
(int)(((long)3)), BgL_bodyz00_15742); 
return BgL_zc3z04anonymousza33030ze3z87_15754;} } } } 

}



/* &<@anonymous:3030> */
obj_t BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12765, obj_t BgL_sz00_12770)
{
{ /* Eval/evaluate_comp.scm 469 */
{ /* Eval/evaluate_comp.scm 469 */
 long BgL_siza7eza7_12766; obj_t BgL_valsz00_12767; obj_t BgL_iboxesz00_12768; obj_t BgL_bodyz00_12769;
BgL_siza7eza7_12766 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12765, 
(int)(((long)0)))); 
BgL_valsz00_12767 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12765, 
(int)(((long)1)))); 
BgL_iboxesz00_12768 = 
PROCEDURE_REF(BgL_envz00_12765, 
(int)(((long)2))); 
BgL_bodyz00_12769 = 
PROCEDURE_REF(BgL_envz00_12765, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 469 */
 obj_t BgL_bpz00_15755;
BgL_bpz00_15755 = 
VECTOR_REF(
((obj_t)BgL_sz00_12770),((long)0)); 
{ /* Eval/evaluate_comp.scm 470 */
 long BgL_g1108z00_15756;
BgL_g1108z00_15756 = 
(
(long)CINT(BgL_bpz00_15755)+BgL_siza7eza7_12766); 
{ 
 obj_t BgL_lz00_15758; long BgL_iz00_15759;
BgL_lz00_15758 = BgL_valsz00_12767; 
BgL_iz00_15759 = BgL_g1108z00_15756; 
BgL_recz00_15757:
if(
NULLP(BgL_lz00_15758))
{ /* Eval/evaluate_comp.scm 471 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 471 */
{ /* Eval/evaluate_comp.scm 472 */
 obj_t BgL_arg3033z00_15760;
{ /* Eval/evaluate_comp.scm 472 */
 obj_t BgL_fun3034z00_15761;
BgL_fun3034z00_15761 = 
CAR(
((obj_t)BgL_lz00_15758)); 
BgL_arg3033z00_15760 = 
PROCEDURE_ENTRY(BgL_fun3034z00_15761)(BgL_fun3034z00_15761, BgL_sz00_12770, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_12770),BgL_iz00_15759,BgL_arg3033z00_15760); } 
{ /* Eval/evaluate_comp.scm 473 */
 obj_t BgL_arg3035z00_15762; long BgL_arg3036z00_15763;
BgL_arg3035z00_15762 = 
CDR(
((obj_t)BgL_lz00_15758)); 
BgL_arg3036z00_15763 = 
(BgL_iz00_15759+((long)1)); 
{ 
 long BgL_iz00_30968; obj_t BgL_lz00_30967;
BgL_lz00_30967 = BgL_arg3035z00_15762; 
BgL_iz00_30968 = BgL_arg3036z00_15763; 
BgL_iz00_15759 = BgL_iz00_30968; 
BgL_lz00_15758 = BgL_lz00_30967; 
goto BgL_recz00_15757;} } } } } 
{ 
 obj_t BgL_lz00_15765;
BgL_lz00_15765 = BgL_iboxesz00_12768; 
BgL_recz00_15764:
if(
NULLP(BgL_lz00_15765))
{ /* Eval/evaluate_comp.scm 475 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 475 */
{ /* Eval/evaluate_comp.scm 476 */
 long BgL_iz00_15766;
BgL_iz00_15766 = 
(
(long)CINT(BgL_bpz00_15755)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_15765)))); 
{ /* Eval/evaluate_comp.scm 477 */
 obj_t BgL_arg3039z00_15767;
{ /* Eval/evaluate_comp.scm 477 */
 obj_t BgL_arg3040z00_15768;
BgL_arg3040z00_15768 = 
VECTOR_REF(
((obj_t)BgL_sz00_12770),BgL_iz00_15766); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15769;
BgL_newz00_15769 = 
create_struct(BGl_symbol4328z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30980;
BgL_tmpz00_30980 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15769, BgL_tmpz00_30980, BgL_arg3040z00_15768); } 
BgL_arg3039z00_15767 = BgL_newz00_15769; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12770),BgL_iz00_15766,BgL_arg3039z00_15767); } } 
{ /* Eval/evaluate_comp.scm 478 */
 obj_t BgL_arg3042z00_15770;
BgL_arg3042z00_15770 = 
CDR(
((obj_t)BgL_lz00_15765)); 
{ 
 obj_t BgL_lz00_30987;
BgL_lz00_30987 = BgL_arg3042z00_15770; 
BgL_lz00_15765 = BgL_lz00_30987; 
goto BgL_recz00_15764;} } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12769)(BgL_bodyz00_12769, BgL_sz00_12770, BEOA);} } } 

}



/* &comp-ev_prog21419 */
obj_t BGl_z62compzd2ev_prog21419zb0zz__evaluate_compz00(obj_t BgL_envz00_12771, obj_t BgL_ez00_12772, obj_t BgL_stkz00_12773)
{
{ /* Eval/evaluate_comp.scm 456 */
{ /* Eval/evaluate_comp.scm 458 */
 obj_t BgL_e1z00_15772; obj_t BgL_e2z00_15773;
BgL_e1z00_15772 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12772)))->BgL_e1z00), BgL_stkz00_12773); 
BgL_e2z00_15773 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12772)))->BgL_e2z00), BgL_stkz00_12773); 
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_zc3z04anonymousza33027ze3z87_15774;
BgL_zc3z04anonymousza33027ze3z87_15774 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33027ze3z87_15774, 
(int)(((long)0)), BgL_e1z00_15772); 
PROCEDURE_SET(BgL_zc3z04anonymousza33027ze3z87_15774, 
(int)(((long)1)), BgL_e2z00_15773); 
return BgL_zc3z04anonymousza33027ze3z87_15774;} } } 

}



/* &<@anonymous:3027> */
obj_t BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12774, obj_t BgL_sz00_12777)
{
{ /* Eval/evaluate_comp.scm 459 */
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_e1z00_12775; obj_t BgL_e2z00_12776;
BgL_e1z00_12775 = 
PROCEDURE_REF(BgL_envz00_12774, 
(int)(((long)0))); 
BgL_e2z00_12776 = 
PROCEDURE_REF(BgL_envz00_12774, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_bpz00_15775;
BgL_bpz00_15775 = 
VECTOR_REF(
((obj_t)BgL_sz00_12777),((long)0)); 
PROCEDURE_ENTRY(BgL_e1z00_12775)(BgL_e1z00_12775, BgL_sz00_12777, BEOA); 
return 
PROCEDURE_ENTRY(BgL_e2z00_12776)(BgL_e2z00_12776, BgL_sz00_12777, BEOA);} } } 

}



/* &comp-ev_and1417 */
obj_t BGl_z62compzd2ev_and1417zb0zz__evaluate_compz00(obj_t BgL_envz00_12778, obj_t BgL_ez00_12779, obj_t BgL_stkz00_12780)
{
{ /* Eval/evaluate_comp.scm 446 */
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_argsz00_15777;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_l1310z00_15778;
BgL_l1310z00_15778 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_12779))))->BgL_argsz00); 
if(
NULLP(BgL_l1310z00_15778))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_15777 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_head1312z00_15779;
BgL_head1312z00_15779 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1310z00_15781; obj_t BgL_tail1313z00_15782;
BgL_l1310z00_15781 = BgL_l1310z00_15778; 
BgL_tail1313z00_15782 = BgL_head1312z00_15779; 
BgL_zc3z04anonymousza33023ze3z87_15780:
if(
NULLP(BgL_l1310z00_15781))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_15777 = 
CDR(BgL_head1312z00_15779); }  else 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_newtail1314z00_15783;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_arg3026z00_15784;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_ez00_15785;
BgL_ez00_15785 = 
CAR(
((obj_t)BgL_l1310z00_15781)); 
BgL_arg3026z00_15784 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_15785), BgL_stkz00_12780); } 
BgL_newtail1314z00_15783 = 
MAKE_YOUNG_PAIR(BgL_arg3026z00_15784, BNIL); } 
SET_CDR(BgL_tail1313z00_15782, BgL_newtail1314z00_15783); 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_arg3025z00_15786;
BgL_arg3025z00_15786 = 
CDR(
((obj_t)BgL_l1310z00_15781)); 
{ 
 obj_t BgL_tail1313z00_31037; obj_t BgL_l1310z00_31036;
BgL_l1310z00_31036 = BgL_arg3025z00_15786; 
BgL_tail1313z00_31037 = BgL_newtail1314z00_15783; 
BgL_tail1313z00_15782 = BgL_tail1313z00_31037; 
BgL_l1310z00_15781 = BgL_l1310z00_31036; 
goto BgL_zc3z04anonymousza33023ze3z87_15780;} } } } } } 
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_zc3z04anonymousza33017ze3z87_15787;
BgL_zc3z04anonymousza33017ze3z87_15787 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33017ze3z87_15787, 
(int)(((long)0)), BgL_argsz00_15777); 
return BgL_zc3z04anonymousza33017ze3z87_15787;} } } 

}



/* &<@anonymous:3017> */
obj_t BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12781, obj_t BgL_sz00_12783)
{
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_argsz00_12782;
BgL_argsz00_12782 = 
PROCEDURE_REF(BgL_envz00_12781, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_bpz00_15788;
BgL_bpz00_15788 = 
VECTOR_REF(
((obj_t)BgL_sz00_12783),((long)0)); 
{ 
 obj_t BgL_lz00_15790; obj_t BgL_rz00_15791;
BgL_lz00_15790 = BgL_argsz00_12782; 
BgL_rz00_15791 = BTRUE; 
BgL_recz00_15789:
if(
NULLP(BgL_lz00_15790))
{ /* Eval/evaluate_comp.scm 451 */
return BgL_rz00_15791;}  else 
{ /* Eval/evaluate_comp.scm 453 */
 obj_t BgL_vz00_15792;
{ /* Eval/evaluate_comp.scm 453 */
 obj_t BgL_fun3021z00_15793;
BgL_fun3021z00_15793 = 
CAR(
((obj_t)BgL_lz00_15790)); 
BgL_vz00_15792 = 
PROCEDURE_ENTRY(BgL_fun3021z00_15793)(BgL_fun3021z00_15793, BgL_sz00_12783, BEOA); } 
if(
CBOOL(BgL_vz00_15792))
{ /* Eval/evaluate_comp.scm 454 */
 obj_t BgL_arg3020z00_15794;
BgL_arg3020z00_15794 = 
CDR(
((obj_t)BgL_lz00_15790)); 
{ 
 obj_t BgL_rz00_31060; obj_t BgL_lz00_31059;
BgL_lz00_31059 = BgL_arg3020z00_15794; 
BgL_rz00_31060 = BgL_vz00_15792; 
BgL_rz00_15791 = BgL_rz00_31060; 
BgL_lz00_15790 = BgL_lz00_31059; 
goto BgL_recz00_15789;} }  else 
{ /* Eval/evaluate_comp.scm 454 */
return BFALSE;} } } } } } 

}



/* &comp-ev_or1415 */
obj_t BGl_z62compzd2ev_or1415zb0zz__evaluate_compz00(obj_t BgL_envz00_12784, obj_t BgL_ez00_12785, obj_t BgL_stkz00_12786)
{
{ /* Eval/evaluate_comp.scm 437 */
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_argsz00_15796;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_l1305z00_15797;
BgL_l1305z00_15797 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_12785))))->BgL_argsz00); 
if(
NULLP(BgL_l1305z00_15797))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_15796 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_head1307z00_15798;
BgL_head1307z00_15798 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1305z00_15800; obj_t BgL_tail1308z00_15801;
BgL_l1305z00_15800 = BgL_l1305z00_15797; 
BgL_tail1308z00_15801 = BgL_head1307z00_15798; 
BgL_zc3z04anonymousza33013ze3z87_15799:
if(
NULLP(BgL_l1305z00_15800))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_15796 = 
CDR(BgL_head1307z00_15798); }  else 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_newtail1309z00_15802;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_arg3016z00_15803;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_ez00_15804;
BgL_ez00_15804 = 
CAR(
((obj_t)BgL_l1305z00_15800)); 
BgL_arg3016z00_15803 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_15804), BgL_stkz00_12786); } 
BgL_newtail1309z00_15802 = 
MAKE_YOUNG_PAIR(BgL_arg3016z00_15803, BNIL); } 
SET_CDR(BgL_tail1308z00_15801, BgL_newtail1309z00_15802); 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_arg3015z00_15805;
BgL_arg3015z00_15805 = 
CDR(
((obj_t)BgL_l1305z00_15800)); 
{ 
 obj_t BgL_tail1308z00_31079; obj_t BgL_l1305z00_31078;
BgL_l1305z00_31078 = BgL_arg3015z00_15805; 
BgL_tail1308z00_31079 = BgL_newtail1309z00_15802; 
BgL_tail1308z00_15801 = BgL_tail1308z00_31079; 
BgL_l1305z00_15800 = BgL_l1305z00_31078; 
goto BgL_zc3z04anonymousza33013ze3z87_15799;} } } } } } 
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_zc3z04anonymousza33007ze3z87_15806;
BgL_zc3z04anonymousza33007ze3z87_15806 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33007ze3z87_15806, 
(int)(((long)0)), BgL_argsz00_15796); 
return BgL_zc3z04anonymousza33007ze3z87_15806;} } } 

}



/* &<@anonymous:3007> */
obj_t BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12787, obj_t BgL_sz00_12789)
{
{ /* Eval/evaluate_comp.scm 440 */
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_argsz00_12788;
BgL_argsz00_12788 = 
PROCEDURE_REF(BgL_envz00_12787, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_bpz00_15807;
BgL_bpz00_15807 = 
VECTOR_REF(
((obj_t)BgL_sz00_12789),((long)0)); 
{ 
 obj_t BgL_lz00_15809;
BgL_lz00_15809 = BgL_argsz00_12788; 
BgL_recz00_15808:
if(
NULLP(BgL_lz00_15809))
{ /* Eval/evaluate_comp.scm 442 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL__ortest_1103z00_15810;
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL_fun3011z00_15811;
BgL_fun3011z00_15811 = 
CAR(
((obj_t)BgL_lz00_15809)); 
BgL__ortest_1103z00_15810 = 
PROCEDURE_ENTRY(BgL_fun3011z00_15811)(BgL_fun3011z00_15811, BgL_sz00_12789, BEOA); } 
if(
CBOOL(BgL__ortest_1103z00_15810))
{ /* Eval/evaluate_comp.scm 444 */
return BgL__ortest_1103z00_15810;}  else 
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL_arg3010z00_15812;
BgL_arg3010z00_15812 = 
CDR(
((obj_t)BgL_lz00_15809)); 
{ 
 obj_t BgL_lz00_31101;
BgL_lz00_31101 = BgL_arg3010z00_15812; 
BgL_lz00_15809 = BgL_lz00_31101; 
goto BgL_recz00_15808;} } } } } } } 

}



/* &comp-ev_if1413 */
obj_t BGl_z62compzd2ev_if1413zb0zz__evaluate_compz00(obj_t BgL_envz00_12790, obj_t BgL_ez00_12791, obj_t BgL_stkz00_12792)
{
{ /* Eval/evaluate_comp.scm 431 */
{ /* Eval/evaluate_comp.scm 433 */
 obj_t BgL_pz00_15814; obj_t BgL_tz00_15815; obj_t BgL_ez00_15816;
BgL_pz00_15814 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12791)))->BgL_pz00), BgL_stkz00_12792); 
BgL_tz00_15815 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12791)))->BgL_tz00), BgL_stkz00_12792); 
BgL_ez00_15816 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12791)))->BgL_ez00), BgL_stkz00_12792); 
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_zc3z04anonymousza33002ze3z87_15817;
BgL_zc3z04anonymousza33002ze3z87_15817 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33002ze3z87_15817, 
(int)(((long)0)), BgL_ez00_15816); 
PROCEDURE_SET(BgL_zc3z04anonymousza33002ze3z87_15817, 
(int)(((long)1)), BgL_tz00_15815); 
PROCEDURE_SET(BgL_zc3z04anonymousza33002ze3z87_15817, 
(int)(((long)2)), BgL_pz00_15814); 
return BgL_zc3z04anonymousza33002ze3z87_15817;} } } 

}



/* &<@anonymous:3002> */
obj_t BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12793, obj_t BgL_sz00_12797)
{
{ /* Eval/evaluate_comp.scm 434 */
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_ez00_12794; obj_t BgL_tz00_12795; obj_t BgL_pz00_12796;
BgL_ez00_12794 = 
PROCEDURE_REF(BgL_envz00_12793, 
(int)(((long)0))); 
BgL_tz00_12795 = 
PROCEDURE_REF(BgL_envz00_12793, 
(int)(((long)1))); 
BgL_pz00_12796 = 
PROCEDURE_REF(BgL_envz00_12793, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_bpz00_15818;
BgL_bpz00_15818 = 
VECTOR_REF(
((obj_t)BgL_sz00_12797),((long)0)); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_pz00_12796)(BgL_pz00_12796, BgL_sz00_12797, BEOA)))
{ /* Eval/evaluate_comp.scm 435 */
return 
PROCEDURE_ENTRY(BgL_tz00_12795)(BgL_tz00_12795, BgL_sz00_12797, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 435 */
return 
PROCEDURE_ENTRY(BgL_ez00_12794)(BgL_ez00_12794, BgL_sz00_12797, BEOA);} } } } 

}



/* &comp-ev_litt1411 */
obj_t BGl_z62compzd2ev_litt1411zb0zz__evaluate_compz00(obj_t BgL_envz00_12798, obj_t BgL_ez00_12799, obj_t BgL_stkz00_12800)
{
{ /* Eval/evaluate_comp.scm 426 */
{ /* Eval/evaluate_comp.scm 428 */
 obj_t BgL_zc3z04anonymousza33001ze3z87_15820;
BgL_zc3z04anonymousza33001ze3z87_15820 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33001ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33001ze3z87_15820, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_12799))); 
return BgL_zc3z04anonymousza33001ze3z87_15820;} } 

}



/* &<@anonymous:3001> */
obj_t BGl_z62zc3z04anonymousza33001ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12801, obj_t BgL_sz00_12803)
{
{ /* Eval/evaluate_comp.scm 428 */
{ /* Eval/evaluate_comp.scm 428 */
 BgL_ev_littz00_bglt BgL_i1100z00_12802;
BgL_i1100z00_12802 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_12801, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 428 */
 obj_t BgL_bpz00_15821;
BgL_bpz00_15821 = 
VECTOR_REF(
((obj_t)BgL_sz00_12803),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1100z00_12802))->BgL_valuez00);} } } 

}



/* &comp-ev_defglobal1409 */
obj_t BGl_z62compzd2ev_defglobal1409zb0zz__evaluate_compz00(obj_t BgL_envz00_12804, obj_t BgL_ez00_12805, obj_t BgL_stkz00_12806)
{
{ /* Eval/evaluate_comp.scm 395 */
{ /* Eval/evaluate_comp.scm 397 */
 obj_t BgL_ez00_15823;
{ /* Eval/evaluate_comp.scm 397 */
 BgL_ev_exprz00_bglt BgL_arg3000z00_15824;
BgL_arg3000z00_15824 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12805))))->BgL_ez00); 
BgL_ez00_15823 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3000z00_15824, BgL_stkz00_12806); } 
{ /* Eval/evaluate_comp.scm 398 */
 obj_t BgL_zc3z04anonymousza32975ze3z87_15825;
BgL_zc3z04anonymousza32975ze3z87_15825 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32975ze3z87_15825, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12805))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32975ze3z87_15825, 
(int)(((long)1)), BgL_ez00_15823); 
return BgL_zc3z04anonymousza32975ze3z87_15825;} } } 

}



/* &<@anonymous:2975> */
obj_t BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12807, obj_t BgL_sz00_12810)
{
{ /* Eval/evaluate_comp.scm 398 */
{ /* Eval/evaluate_comp.scm 398 */
 BgL_ev_defglobalz00_bglt BgL_i1097z00_12808; obj_t BgL_ez00_12809;
BgL_i1097z00_12808 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12807, 
(int)(((long)0)))); 
BgL_ez00_12809 = 
PROCEDURE_REF(BgL_envz00_12807, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 398 */
 obj_t BgL_bpz00_15826;
BgL_bpz00_15826 = 
VECTOR_REF(
((obj_t)BgL_sz00_12810),((long)0)); 
{ /* Eval/evaluate_comp.scm 399 */
 obj_t BgL_gz00_15827;
{ /* Eval/evaluate_comp.scm 399 */
 obj_t BgL_arg2998z00_15828; obj_t BgL_arg2999z00_15829;
BgL_arg2998z00_15828 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_modz00); 
BgL_arg2999z00_15829 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_namez00); 
BgL_gz00_15827 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2998z00_15828, BgL_arg2999z00_15829); } 
if(
CBOOL(BgL_gz00_15827))
{ /* Eval/evaluate_comp.scm 401 */
{ 

{ /* Eval/evaluate_comp.scm 403 */
 int BgL_aux1099z00_15833;
{ /* Eval/evaluate_comp.scm 403 */
 int BgL_res4184z00_15834;
BgL_res4184z00_15834 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15827),((long)0))); 
BgL_aux1099z00_15833 = BgL_res4184z00_15834; } 
switch( 
(long)(BgL_aux1099z00_15833)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 405 */
 obj_t BgL_arg2977z00_15835; obj_t BgL_arg2978z00_15836;
BgL_arg2977z00_15835 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_locz00); 
BgL_arg2978z00_15836 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2977z00_15835, BGl_string4439z00zz__evaluate_compz00, BGl_string4440z00zz__evaluate_compz00, BgL_arg2978z00_15836); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2979z00_15837; obj_t BgL_arg2980z00_15838;
BgL_arg2979z00_15837 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_locz00); 
BgL_arg2980z00_15838 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_list2981z00_15839;
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2982z00_15840;
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2983z00_15841;
BgL_arg2983z00_15841 = 
MAKE_YOUNG_PAIR(BgL_arg2980z00_15838, BNIL); 
BgL_arg2982z00_15840 = 
MAKE_YOUNG_PAIR(BGl_string4441z00zz__evaluate_compz00, BgL_arg2983z00_15841); } 
BgL_list2981z00_15839 = 
MAKE_YOUNG_PAIR(BGl_string4318z00zz__evaluate_compz00, BgL_arg2982z00_15840); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2979z00_15837, BgL_list2981z00_15839); } } 
{ /* Eval/evaluate_comp.scm 409 */
 obj_t BgL_arg2984z00_15842; obj_t BgL_arg2985z00_15843;
BgL_arg2984z00_15842 = 
VECTOR_REF(
((obj_t)BgL_gz00_15827),((long)2)); 
BgL_arg2985z00_15843 = 
PROCEDURE_ENTRY(BgL_ez00_12809)(BgL_ez00_12809, BgL_sz00_12810, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2984z00_15842, BgL_arg2985z00_15843); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 411 */
 obj_t BgL_arg2986z00_15844;
BgL_arg2986z00_15844 = 
PROCEDURE_ENTRY(BgL_ez00_12809)(BgL_ez00_12809, BgL_sz00_12810, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15827),((long)2),BgL_arg2986z00_15844); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 413 */
 obj_t BgL_arg2987z00_15845;
BgL_arg2987z00_15845 = 
PROCEDURE_ENTRY(BgL_ez00_12809)(BgL_ez00_12809, BgL_sz00_12810, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15827),((long)2),BgL_arg2987z00_15845); } 
VECTOR_SET(
((obj_t)BgL_gz00_15827),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 416 */
 obj_t BgL_arg2988z00_15846;
BgL_arg2988z00_15846 = 
PROCEDURE_ENTRY(BgL_ez00_12809)(BgL_ez00_12809, BgL_sz00_12810, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15827),((long)2),BgL_arg2988z00_15846); } 
VECTOR_SET(
((obj_t)BgL_gz00_15827),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 419 */
 obj_t BgL_arg2989z00_15831; obj_t BgL_arg2990z00_15832;
BgL_arg2989z00_15831 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_locz00); 
BgL_arg2990z00_15832 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2989z00_15831, BGl_string4439z00zz__evaluate_compz00, BGl_string4440z00zz__evaluate_compz00, BgL_arg2990z00_15832); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_gz00_15847;
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_arg2995z00_15848; obj_t BgL_arg2996z00_15849; obj_t BgL_arg2997z00_15850;
BgL_arg2995z00_15848 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_namez00); 
BgL_arg2996z00_15849 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_modz00); 
BgL_arg2997z00_15850 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_v1383z00_15851;
BgL_v1383z00_15851 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1383z00_15851,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1383z00_15851,((long)1),BgL_arg2995z00_15848); 
VECTOR_SET(BgL_v1383z00_15851,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1383z00_15851,((long)3),BgL_arg2996z00_15849); 
VECTOR_SET(BgL_v1383z00_15851,((long)4),BgL_arg2997z00_15850); 
BgL_gz00_15847 = BgL_v1383z00_15851; } } 
{ /* Eval/evaluate_comp.scm 422 */
 obj_t BgL_arg2991z00_15852;
BgL_arg2991z00_15852 = 
PROCEDURE_ENTRY(BgL_ez00_12809)(BgL_ez00_12809, BgL_sz00_12810, BEOA); 
VECTOR_SET(BgL_gz00_15847,((long)2),BgL_arg2991z00_15852); } 
{ /* Eval/evaluate_comp.scm 423 */
 obj_t BgL_arg2992z00_15853; obj_t BgL_arg2993z00_15854; obj_t BgL_arg2994z00_15855;
BgL_arg2992z00_15853 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_modz00); 
BgL_arg2993z00_15854 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_namez00); 
BgL_arg2994z00_15855 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2992z00_15853, BgL_arg2993z00_15854, BgL_gz00_15847, BgL_arg2994z00_15855); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12808)))->BgL_namez00);} } } } } 

}



/* &comp-ev_setglobal1407 */
obj_t BGl_z62compzd2ev_setglobal1407zb0zz__evaluate_compz00(obj_t BgL_envz00_12811, obj_t BgL_ez00_12812, obj_t BgL_stkz00_12813)
{
{ /* Eval/evaluate_comp.scm 372 */
{ /* Eval/evaluate_comp.scm 374 */
 obj_t BgL_gz00_15857; obj_t BgL_ez00_15858;
BgL_gz00_15857 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 374 */
 BgL_ev_exprz00_bglt BgL_arg2974z00_15859;
BgL_arg2974z00_15859 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812))))->BgL_ez00); 
BgL_ez00_15858 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2974z00_15859, BgL_stkz00_12813); } 
if(
CBOOL(BgL_gz00_15857))
{ 

{ /* Eval/evaluate_comp.scm 376 */
 int BgL_aux1096z00_15862;
{ /* Eval/evaluate_comp.scm 376 */
 int BgL_res4183z00_15863;
BgL_res4183z00_15863 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15857),((long)0))); 
BgL_aux1096z00_15862 = BgL_res4183z00_15863; } 
switch( 
(long)(BgL_aux1096z00_15862)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_zc3z04anonymousza32950ze3z87_15864;
BgL_zc3z04anonymousza32950ze3z87_15864 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32950ze3z87_15864, 
(int)(((long)0)), BgL_gz00_15857); 
PROCEDURE_SET(BgL_zc3z04anonymousza32950ze3z87_15864, 
(int)(((long)1)), BgL_ez00_15858); 
return BgL_zc3z04anonymousza32950ze3z87_15864;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_locz00), BGl_string4439z00zz__evaluate_compz00, BGl_string4440z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_zc3z04anonymousza32955ze3z87_15861;
BgL_zc3z04anonymousza32955ze3z87_15861 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32955ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32955ze3z87_15861, 
(int)(((long)0)), BgL_ez00_15858); 
PROCEDURE_SET(BgL_zc3z04anonymousza32955ze3z87_15861, 
(int)(((long)1)), BgL_gz00_15857); 
return BgL_zc3z04anonymousza32955ze3z87_15861;} } } }  else 
{ /* Eval/evaluate_comp.scm 384 */
 obj_t BgL_slotz00_15865;
BgL_slotz00_15865 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_gz00_15866;
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_arg2962z00_15867; obj_t BgL_arg2963z00_15868; obj_t BgL_arg2964z00_15869;
BgL_arg2962z00_15867 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_namez00); 
BgL_arg2963z00_15868 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_modz00); 
BgL_arg2964z00_15869 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_v1383z00_15870;
BgL_v1383z00_15870 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1383z00_15870,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1383z00_15870,((long)1),BgL_arg2962z00_15867); 
VECTOR_SET(BgL_v1383z00_15870,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1383z00_15870,((long)3),BgL_arg2963z00_15868); 
VECTOR_SET(BgL_v1383z00_15870,((long)4),BgL_arg2964z00_15869); 
BgL_gz00_15866 = BgL_v1383z00_15870; } } 
VECTOR_SET(BgL_gz00_15866,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_namez00), BgL_gz00_15866, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 385 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 389 */
 obj_t BgL_zc3z04anonymousza32966ze3z87_15871;
BgL_zc3z04anonymousza32966ze3z87_15871 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32966ze3z87_15871, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12812))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32966ze3z87_15871, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_15865)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32966ze3z87_15871, 
(int)(((long)2)), BgL_ez00_15858); 
return BgL_zc3z04anonymousza32966ze3z87_15871;} } } } 

}



/* &<@anonymous:2950> */
obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12816, obj_t BgL_sz00_12819)
{
{ /* Eval/evaluate_comp.scm 378 */
{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_gz00_12817; obj_t BgL_ez00_12818;
BgL_gz00_12817 = 
PROCEDURE_REF(BgL_envz00_12816, 
(int)(((long)0))); 
BgL_ez00_12818 = 
PROCEDURE_REF(BgL_envz00_12816, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_bpz00_15872;
BgL_bpz00_15872 = 
VECTOR_REF(
((obj_t)BgL_sz00_12819),((long)0)); 
{ /* Eval/evaluate_comp.scm 379 */
 obj_t BgL_arg2951z00_15873; obj_t BgL_arg2952z00_15874;
BgL_arg2951z00_15873 = 
VECTOR_REF(
((obj_t)BgL_gz00_12817),((long)2)); 
BgL_arg2952z00_15874 = 
PROCEDURE_ENTRY(BgL_ez00_12818)(BgL_ez00_12818, BgL_sz00_12819, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2951z00_15873, BgL_arg2952z00_15874);} } } } 

}



/* &<@anonymous:2955> */
obj_t BGl_z62zc3z04anonymousza32955ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12820, obj_t BgL_sz00_12823)
{
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_ez00_12821; obj_t BgL_gz00_12822;
BgL_ez00_12821 = 
PROCEDURE_REF(BgL_envz00_12820, 
(int)(((long)0))); 
BgL_gz00_12822 = 
PROCEDURE_REF(BgL_envz00_12820, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_bpz00_15875;
BgL_bpz00_15875 = 
VECTOR_REF(
((obj_t)BgL_sz00_12823),((long)0)); 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_arg2956z00_15876;
BgL_arg2956z00_15876 = 
PROCEDURE_ENTRY(BgL_ez00_12821)(BgL_ez00_12821, BgL_sz00_12823, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_12822),((long)2),BgL_arg2956z00_15876);} } } } 

}



/* &<@anonymous:2966> */
obj_t BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12824, obj_t BgL_sz00_12828)
{
{ /* Eval/evaluate_comp.scm 389 */
{ /* Eval/evaluate_comp.scm 389 */
 BgL_ev_setglobalz00_bglt BgL_i1094z00_12825; obj_t BgL_slotz00_12826; obj_t BgL_ez00_12827;
BgL_i1094z00_12825 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12824, 
(int)(((long)0)))); 
BgL_slotz00_12826 = 
PROCEDURE_REF(BgL_envz00_12824, 
(int)(((long)1))); 
BgL_ez00_12827 = 
PROCEDURE_REF(BgL_envz00_12824, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 389 */
 obj_t BgL_bpz00_15877;
BgL_bpz00_15877 = 
VECTOR_REF(
((obj_t)BgL_sz00_12828),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12826)))
{ /* Eval/evaluate_comp.scm 390 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 390 */
{ /* Eval/evaluate_comp.scm 391 */
 obj_t BgL_auxz00_15878;
BgL_auxz00_15878 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12825))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12825))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12826, BgL_auxz00_15878); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12826)))
{ /* Eval/evaluate_comp.scm 392 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 392 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12825))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4442z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12825))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 393 */
 obj_t BgL_arg2971z00_15879;
BgL_arg2971z00_15879 = 
PROCEDURE_ENTRY(BgL_ez00_12827)(BgL_ez00_12827, BgL_sz00_12828, BEOA); 
{ /* Eval/evaluate_comp.scm 393 */
 obj_t BgL_evalzd2globalzd2_15880;
BgL_evalzd2globalzd2_15880 = 
CELL_REF(BgL_slotz00_12826); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_15880,((long)2),BgL_arg2971z00_15879);} } } } } 

}



/* &comp-ev_global1405 */
obj_t BGl_z62compzd2ev_global1405zb0zz__evaluate_compz00(obj_t BgL_envz00_12830, obj_t BgL_varz00_12831, obj_t BgL_stkz00_12832)
{
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
 obj_t BgL_gz00_15882;
BgL_gz00_15882 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_15882))
{ /* Eval/evaluate_comp.scm 343 */
 bool_t BgL_test5258z00_31394;
{ /* Eval/evaluate_comp.scm 343 */
 int BgL_arg2913z00_15883;
{ /* Eval/evaluate_comp.scm 343 */
 int BgL_res4181z00_15884;
BgL_res4181z00_15884 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15882),((long)0))); 
BgL_arg2913z00_15883 = BgL_res4181z00_15884; } 
BgL_test5258z00_31394 = 
(
BINT(BgL_arg2913z00_15883)==
BINT(((long)1))); } 
if(BgL_test5258z00_31394)
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_zc3z04anonymousza32910ze3z87_15885;
BgL_zc3z04anonymousza32910ze3z87_15885 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32910ze3z87_15885, 
(int)(((long)0)), BgL_gz00_15882); 
return BgL_zc3z04anonymousza32910ze3z87_15885;}  else 
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_zc3z04anonymousza32912ze3z87_15886;
BgL_zc3z04anonymousza32912ze3z87_15886 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32912ze3z87_15886, 
(int)(((long)0)), BgL_gz00_15882); 
return BgL_zc3z04anonymousza32912ze3z87_15886;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
 obj_t BgL_slotz00_15887;
BgL_slotz00_15887 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_gz00_15888;
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_arg2919z00_15889; obj_t BgL_arg2920z00_15890; obj_t BgL_arg2921z00_15891;
BgL_arg2919z00_15889 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_namez00); 
BgL_arg2920z00_15890 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_modz00); 
BgL_arg2921z00_15891 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_v1383z00_15892;
BgL_v1383z00_15892 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1383z00_15892,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1383z00_15892,((long)1),BgL_arg2919z00_15889); 
VECTOR_SET(BgL_v1383z00_15892,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1383z00_15892,((long)3),BgL_arg2920z00_15890); 
VECTOR_SET(BgL_v1383z00_15892,((long)4),BgL_arg2921z00_15891); 
BgL_gz00_15888 = BgL_v1383z00_15892; } } 
VECTOR_SET(BgL_gz00_15888,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_namez00), BgL_gz00_15888, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12831)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
 obj_t BgL_zc3z04anonymousza32923ze3z87_15893;
BgL_zc3z04anonymousza32923ze3z87_15893 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32923ze3z87_15893, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_12831))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32923ze3z87_15893, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_15887)); 
return BgL_zc3z04anonymousza32923ze3z87_15893;} } } } 

}



/* &<@anonymous:2910> */
obj_t BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12835, obj_t BgL_sz00_12837)
{
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_gz00_12836;
BgL_gz00_12836 = 
PROCEDURE_REF(BgL_envz00_12835, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_bpz00_15894;
BgL_bpz00_15894 = 
VECTOR_REF(
((obj_t)BgL_sz00_12837),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
 obj_t BgL_arg2911z00_15895;
BgL_arg2911z00_15895 = 
VECTOR_REF(
((obj_t)BgL_gz00_12836),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2911z00_15895);} } } } 

}



/* &<@anonymous:2912> */
obj_t BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12838, obj_t BgL_sz00_12840)
{
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_gz00_12839;
BgL_gz00_12839 = 
PROCEDURE_REF(BgL_envz00_12838, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_bpz00_15896;
BgL_bpz00_15896 = 
VECTOR_REF(
((obj_t)BgL_sz00_12840),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_12839),((long)2));} } } 

}



/* &<@anonymous:2923> */
obj_t BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12841, obj_t BgL_sz00_12844)
{
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
 BgL_ev_globalz00_bglt BgL_i1093z00_12842; obj_t BgL_slotz00_12843;
BgL_i1093z00_12842 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_12841, 
(int)(((long)0)))); 
BgL_slotz00_12843 = 
PROCEDURE_REF(BgL_envz00_12841, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
 obj_t BgL_bpz00_15897;
BgL_bpz00_15897 = 
VECTOR_REF(
((obj_t)BgL_sz00_12844),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12843)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
 obj_t BgL_auxz00_15898;
BgL_auxz00_15898 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12843, BgL_auxz00_15898); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12843)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 357 */
 obj_t BgL_idz00_15899;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 358 */
 obj_t BgL_arg2929z00_15900;
{ /* Eval/evaluate_comp.scm 358 */
 obj_t BgL_arg2930z00_15901; obj_t BgL_arg2931z00_15902;
BgL_arg2930z00_15901 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_namez00); 
BgL_arg2931z00_15902 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_modz00)), BNIL); 
BgL_arg2929z00_15900 = 
MAKE_YOUNG_PAIR(BgL_arg2930z00_15901, BgL_arg2931z00_15902); } 
BgL_idz00_15899 = 
MAKE_YOUNG_PAIR(BGl_symbol4443z00zz__evaluate_compz00, BgL_arg2929z00_15900); }  else 
{ /* Eval/evaluate_comp.scm 357 */
BgL_idz00_15899 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_namez00); } 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4442z00zz__evaluate_compz00, BgL_idz00_15899); } } 
{ /* Eval/evaluate_comp.scm 361 */
 obj_t BgL_vz00_15903;
{ /* Eval/evaluate_comp.scm 361 */
 obj_t BgL_evalzd2globalzd2_15904;
BgL_evalzd2globalzd2_15904 = 
CELL_REF(BgL_slotz00_12843); 
BgL_vz00_15903 = 
VECTOR_REF(BgL_evalzd2globalzd2_15904,((long)2)); } 
if(
(BgL_vz00_15903==BUNSPEC))
{ /* Eval/evaluate_comp.scm 363 */
 int BgL_tz00_15905;
{ /* Eval/evaluate_comp.scm 363 */
 int BgL_res4182z00_15906;
{ /* Eval/evaluate_comp.scm 363 */
 obj_t BgL_evalzd2globalzd2_15907;
BgL_evalzd2globalzd2_15907 = 
CELL_REF(BgL_slotz00_12843); 
BgL_res4182z00_15906 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_15907,((long)0))); } 
BgL_tz00_15905 = BgL_res4182z00_15906; } 
{ /* Eval/evaluate_comp.scm 364 */
 bool_t BgL_test5264z00_31491;
if(
(
(long)(BgL_tz00_15905)==((long)3)))
{ /* Eval/evaluate_comp.scm 364 */
BgL_test5264z00_31491 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 364 */
BgL_test5264z00_31491 = 
(
(long)(BgL_tz00_15905)==((long)4))
; } 
if(BgL_test5264z00_31491)
{ /* Eval/evaluate_comp.scm 365 */
 obj_t BgL_idz00_15908;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 366 */
 obj_t BgL_arg2941z00_15909;
{ /* Eval/evaluate_comp.scm 366 */
 obj_t BgL_arg2942z00_15910; obj_t BgL_arg2943z00_15911;
BgL_arg2942z00_15910 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_namez00); 
BgL_arg2943z00_15911 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_modz00)), BNIL); 
BgL_arg2941z00_15909 = 
MAKE_YOUNG_PAIR(BgL_arg2942z00_15910, BgL_arg2943z00_15911); } 
BgL_idz00_15908 = 
MAKE_YOUNG_PAIR(BGl_symbol4443z00zz__evaluate_compz00, BgL_arg2941z00_15909); }  else 
{ /* Eval/evaluate_comp.scm 365 */
BgL_idz00_15908 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_namez00); } 
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12842))->BgL_locz00), BGl_string4318z00zz__evaluate_compz00, BGl_string4445z00zz__evaluate_compz00, BgL_idz00_15908);}  else 
{ /* Eval/evaluate_comp.scm 364 */
return BgL_vz00_15903;} } }  else 
{ /* Eval/evaluate_comp.scm 362 */
return BgL_vz00_15903;} } } } } 

}



/* &comp-ev_setlocal1403 */
obj_t BGl_z62compzd2ev_setlocal1403zb0zz__evaluate_compz00(obj_t BgL_envz00_12846, obj_t BgL_ez00_12847, obj_t BgL_stkz00_12848)
{
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
 obj_t BgL_iz00_15913; obj_t BgL_ez00_15914;
{ /* Eval/evaluate_comp.scm 323 */
 BgL_ev_varz00_bglt BgL_arg2906z00_15915;
BgL_arg2906z00_15915 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12847)))->BgL_vz00); 
BgL_iz00_15913 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2906z00_15915), BgL_stkz00_12848); } 
{ /* Eval/evaluate_comp.scm 323 */
 BgL_ev_exprz00_bglt BgL_arg2907z00_15916;
BgL_arg2907z00_15916 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_12847))))->BgL_ez00); 
BgL_ez00_15914 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2907z00_15916, BgL_stkz00_12848); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12847)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_zc3z04anonymousza32899ze3z87_15917;
BgL_zc3z04anonymousza32899ze3z87_15917 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32899ze3z87_15917, 
(int)(((long)0)), BgL_iz00_15913); 
PROCEDURE_SET(BgL_zc3z04anonymousza32899ze3z87_15917, 
(int)(((long)1)), BgL_ez00_15914); 
return BgL_zc3z04anonymousza32899ze3z87_15917;}  else 
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_zc3z04anonymousza32903ze3z87_15918;
BgL_zc3z04anonymousza32903ze3z87_15918 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32903ze3z87_15918, 
(int)(((long)0)), BgL_iz00_15913); 
PROCEDURE_SET(BgL_zc3z04anonymousza32903ze3z87_15918, 
(int)(((long)1)), BgL_ez00_15914); 
return BgL_zc3z04anonymousza32903ze3z87_15918;} } } 

}



/* &<@anonymous:2899> */
obj_t BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12849, obj_t BgL_sz00_12852)
{
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_iz00_12850; obj_t BgL_ez00_12851;
BgL_iz00_12850 = 
PROCEDURE_REF(BgL_envz00_12849, 
(int)(((long)0))); 
BgL_ez00_12851 = 
PROCEDURE_REF(BgL_envz00_12849, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_bpz00_15919;
BgL_bpz00_15919 = 
VECTOR_REF(
((obj_t)BgL_sz00_12852),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
 obj_t BgL_arg2900z00_15920; obj_t BgL_arg2901z00_15921;
{ /* Eval/evaluate_comp.scm 327 */
 long BgL_arg2902z00_15922;
BgL_arg2902z00_15922 = 
(
(long)CINT(BgL_bpz00_15919)+
(long)CINT(BgL_iz00_12850)); 
BgL_arg2900z00_15920 = 
VECTOR_REF(
((obj_t)BgL_sz00_12852),BgL_arg2902z00_15922); } 
BgL_arg2901z00_15921 = 
PROCEDURE_ENTRY(BgL_ez00_12851)(BgL_ez00_12851, BgL_sz00_12852, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_xz00_15923;
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_31553; obj_t BgL_tmpz00_31551;
BgL_auxz00_31553 = 
(int)(((long)0)); 
BgL_tmpz00_31551 = 
((obj_t)BgL_arg2900z00_15920); 
BgL_xz00_15923 = 
STRUCT_SET(BgL_tmpz00_31551, BgL_auxz00_31553, BgL_arg2901z00_15921); } 
return BUNSPEC;} } } } } 

}



/* &<@anonymous:2903> */
obj_t BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12853, obj_t BgL_sz00_12856)
{
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_iz00_12854; obj_t BgL_ez00_12855;
BgL_iz00_12854 = 
PROCEDURE_REF(BgL_envz00_12853, 
(int)(((long)0))); 
BgL_ez00_12855 = 
PROCEDURE_REF(BgL_envz00_12853, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_bpz00_15924;
BgL_bpz00_15924 = 
VECTOR_REF(
((obj_t)BgL_sz00_12856),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
 long BgL_arg2904z00_15925; obj_t BgL_arg2905z00_15926;
BgL_arg2904z00_15925 = 
(
(long)CINT(BgL_bpz00_15924)+
(long)CINT(BgL_iz00_12854)); 
BgL_arg2905z00_15926 = 
PROCEDURE_ENTRY(BgL_ez00_12855)(BgL_ez00_12855, BgL_sz00_12856, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_12856),BgL_arg2904z00_15925,BgL_arg2905z00_15926);} } } } 

}



/* &comp-ev_var1401 */
obj_t BGl_z62compzd2ev_var1401zb0zz__evaluate_compz00(obj_t BgL_envz00_12857, obj_t BgL_varz00_12858, obj_t BgL_stkz00_12859)
{
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
 obj_t BgL_iz00_15928;
BgL_iz00_15928 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_12858)), BgL_stkz00_12859); 
{ 

if(
INTEGERP(BgL_iz00_15928))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_15928)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12858)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4446z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4447z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12858)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4448z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4449z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12858)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4450z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4451z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12858)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4452z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4453z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1088z00_15929:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12858)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_zc3z04anonymousza32893ze3z87_15930;
BgL_zc3z04anonymousza32893ze3z87_15930 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32893ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32893ze3z87_15930, 
(int)(((long)0)), BgL_iz00_15928); 
return BgL_zc3z04anonymousza32893ze3z87_15930;}  else 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_zc3z04anonymousza32896ze3z87_15931;
BgL_zc3z04anonymousza32896ze3z87_15931 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32896ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32896ze3z87_15931, 
(int)(((long)0)), BgL_iz00_15928); 
return BgL_zc3z04anonymousza32896ze3z87_15931;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1088z00_15929;} } } } 

}



/* &<@anonymous:2887> */
obj_t BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12860, obj_t BgL_sz00_12861)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15932;
BgL_bpz00_15932 = 
VECTOR_REF(
((obj_t)BgL_sz00_12861),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2888z00_15933;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2889z00_15934;
BgL_arg2889z00_15934 = 
(
(long)CINT(BgL_bpz00_15932)+((long)3)); 
BgL_arg2888z00_15933 = 
VECTOR_REF(
((obj_t)BgL_sz00_12861),BgL_arg2889z00_15934); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2888z00_15933), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2890> */
obj_t BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12862, obj_t BgL_sz00_12863)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15935;
BgL_bpz00_15935 = 
VECTOR_REF(
((obj_t)BgL_sz00_12863),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2891z00_15936;
BgL_arg2891z00_15936 = 
(
(long)CINT(BgL_bpz00_15935)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12863),BgL_arg2891z00_15936);} } } 

}



/* &<@anonymous:2881> */
obj_t BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12864, obj_t BgL_sz00_12865)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15937;
BgL_bpz00_15937 = 
VECTOR_REF(
((obj_t)BgL_sz00_12865),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2882z00_15938;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2883z00_15939;
BgL_arg2883z00_15939 = 
(
(long)CINT(BgL_bpz00_15937)+((long)2)); 
BgL_arg2882z00_15938 = 
VECTOR_REF(
((obj_t)BgL_sz00_12865),BgL_arg2883z00_15939); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2882z00_15938), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2884> */
obj_t BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12866, obj_t BgL_sz00_12867)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15940;
BgL_bpz00_15940 = 
VECTOR_REF(
((obj_t)BgL_sz00_12867),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2885z00_15941;
BgL_arg2885z00_15941 = 
(
(long)CINT(BgL_bpz00_15940)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12867),BgL_arg2885z00_15941);} } } 

}



/* &<@anonymous:2875> */
obj_t BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12868, obj_t BgL_sz00_12869)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15942;
BgL_bpz00_15942 = 
VECTOR_REF(
((obj_t)BgL_sz00_12869),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2876z00_15943;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2877z00_15944;
BgL_arg2877z00_15944 = 
(
(long)CINT(BgL_bpz00_15942)+((long)1)); 
BgL_arg2876z00_15943 = 
VECTOR_REF(
((obj_t)BgL_sz00_12869),BgL_arg2877z00_15944); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2876z00_15943), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2878> */
obj_t BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12870, obj_t BgL_sz00_12871)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15945;
BgL_bpz00_15945 = 
VECTOR_REF(
((obj_t)BgL_sz00_12871),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2879z00_15946;
BgL_arg2879z00_15946 = 
(
(long)CINT(BgL_bpz00_15945)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12871),BgL_arg2879z00_15946);} } } 

}



/* &<@anonymous:2869> */
obj_t BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12872, obj_t BgL_sz00_12873)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15947;
BgL_bpz00_15947 = 
VECTOR_REF(
((obj_t)BgL_sz00_12873),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2870z00_15948;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2871z00_15949;
BgL_arg2871z00_15949 = 
(
(long)CINT(BgL_bpz00_15947)+((long)0)); 
BgL_arg2870z00_15948 = 
VECTOR_REF(
((obj_t)BgL_sz00_12873),BgL_arg2871z00_15949); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2870z00_15948), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2872> */
obj_t BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12874, obj_t BgL_sz00_12875)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15950;
BgL_bpz00_15950 = 
VECTOR_REF(
((obj_t)BgL_sz00_12875),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2873z00_15951;
BgL_arg2873z00_15951 = 
(
(long)CINT(BgL_bpz00_15950)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12875),BgL_arg2873z00_15951);} } } 

}



/* &<@anonymous:2893> */
obj_t BGl_z62zc3z04anonymousza32893ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12876, obj_t BgL_sz00_12878)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_iz00_12877;
BgL_iz00_12877 = 
PROCEDURE_REF(BgL_envz00_12876, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15952;
BgL_bpz00_15952 = 
VECTOR_REF(
((obj_t)BgL_sz00_12878),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2894z00_15953;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2895z00_15954;
BgL_arg2895z00_15954 = 
(
(long)CINT(BgL_bpz00_15952)+
(long)CINT(BgL_iz00_12877)); 
BgL_arg2894z00_15953 = 
VECTOR_REF(
((obj_t)BgL_sz00_12878),BgL_arg2895z00_15954); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2894z00_15953), 
(int)(((long)0)));} } } } 

}



/* &<@anonymous:2896> */
obj_t BGl_z62zc3z04anonymousza32896ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12879, obj_t BgL_sz00_12881)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_iz00_12880;
BgL_iz00_12880 = 
PROCEDURE_REF(BgL_envz00_12879, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15955;
BgL_bpz00_15955 = 
VECTOR_REF(
((obj_t)BgL_sz00_12881),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2897z00_15956;
BgL_arg2897z00_15956 = 
(
(long)CINT(BgL_bpz00_15955)+
(long)CINT(BgL_iz00_12880)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12881),BgL_arg2897z00_15956);} } } } 

}



/* &comp-ev_trap1399 */
obj_t BGl_z62compzd2ev_trap1399zb0zz__evaluate_compz00(obj_t BgL_envz00_12882, obj_t BgL_ez00_12883, obj_t BgL_stkz00_12884)
{
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
 obj_t BgL_ez00_15958;
{ /* Eval/evaluate_comp.scm 291 */
 BgL_ev_exprz00_bglt BgL_arg2866z00_15959;
BgL_arg2866z00_15959 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_12883))))->BgL_ez00); 
BgL_ez00_15958 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2866z00_15959, BgL_stkz00_12884); } 
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_zc3z04anonymousza32860ze3z87_15960;
BgL_zc3z04anonymousza32860ze3z87_15960 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32860ze3z87_15960, 
(int)(((long)0)), BgL_ez00_15958); 
return BgL_zc3z04anonymousza32860ze3z87_15960;} } } 

}



/* &<@anonymous:2860> */
obj_t BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12885, obj_t BgL_sz00_12887)
{
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_ez00_12886;
BgL_ez00_12886 = 
PROCEDURE_REF(BgL_envz00_12885, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_bpz00_15961;
BgL_bpz00_15961 = 
VECTOR_REF(
((obj_t)BgL_sz00_12887),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
 obj_t BgL_cmdz00_15962;
BgL_cmdz00_15962 = 
PROCEDURE_ENTRY(BgL_ez00_12886)(BgL_ez00_12886, BgL_sz00_12887, BEOA); 
if(
(BgL_cmdz00_15962==BGl_symbol4454z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_15961;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15962==BGl_symbol4456z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15962==BGl_symbol4458z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15962==BGl_symbol4460z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
 obj_t BgL_arg2865z00_15963;
BgL_arg2865z00_15963 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2865z00_15963),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string4318z00zz__evaluate_compz00, BGl_string4462z00zz__evaluate_compz00, BgL_cmdz00_15962);} } } } } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924966), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string4463z00zz__evaluate_compz00));} 

}

#ifdef __cplusplus
}
#endif
