/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_fsize.scm -o objs/obj_p/Eval/evaluate_fsize.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_bin1345z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_letza21415z12zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_let1347z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 = BUNSPEC;
static obj_t BGl_z62hasvarzf3zd2ev_list1437z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1299zc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_goto1381zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t, BgL_ev_exprz00_bglt);
static obj_t BGl_z62hasvarzf3zd2ev_global1431z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_prog21439z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62hasvarzf3zd2ev_labels1455z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_let1413zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_list1397zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_let1307z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_z62searchzd2letreczd2ev_pro1333z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letrec1320zb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_global1287z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static bool_t BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_withzd2h1373z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62searchzd2letreczd2ev_app1349z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_hoo1335z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1447z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_letza21309zb5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62hasvarzf3zd2ev_litt1433z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_app1459z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_var1355zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1301zc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_binder1377zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_letrec1311z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1445z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1449z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_prog21295z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62fsiza7ezd2ev_if1291z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_litt1393zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_synchroni1451z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_var1389zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62tailposzd2ev_app1423zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_list1293z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_app1317z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_synchr1375zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62fsiza7ezd2ev_var1285z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_z62searchzd2letreczd2ev_abs1351z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_hook1401zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_if1395zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_abs1461z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_unwind1371zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t, BgL_ev_exprz00_bglt);
static obj_t BGl_z62subst_gotozd2ev_list1363zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_litt1289z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
static obj_t BGl_z62subst_gotozd2ev_app1383zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
static obj_t BGl_z62tailposzd2ev_labels1419zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_unw1339z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_glo1325z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_lis1331z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_setlocal1403zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_abs1425zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_abs1319z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_goto1421zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_binder1453z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62hasvarzf3zd2ev_hook1441z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62subst_gotozd2ev_litt1359zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_lit1327z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62subst_gotozd2ev_abs1385zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_z62subst_gotozd2ev_prog21365zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_setlocal1443z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62hasvarzf3zd2ev_goto1457z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2224z00zz__evaluate_fsiza7eza7 = BUNSPEC;
extern long bgl_list_length(obj_t);
static obj_t BGl_symbol2226z00zz__evaluate_fsiza7eza7 = BUNSPEC;
static obj_t BGl_symbol2229z00zz__evaluate_fsiza7eza7 = BUNSPEC;
static obj_t BGl_z62tailposzd2ev_global1391zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7();
static obj_t BGl_z62fsiza7ezd2ev_goto1315z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
static obj_t BGl_symbol2231z00zz__evaluate_fsiza7eza7 = BUNSPEC;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62searchzd2letreczd2ev_wit1341z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_synchroniza7e1305zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_syn1343z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62hasvarzf31426z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7e1282zc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_letrec1417zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_bindzd2e1369z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_unwindzd2pr1407z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_global1357zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_z62hasvarzf3zd2ev_if1435z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_hook1297z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailpos1386z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_labels1379zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_if1329z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_z62tailposzd2ev_bindzd2exit1405z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62tailposzd2ev_withzd2hand1409z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_synchroni1411zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_goto1352z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_if1361zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_prog21399zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62subst_gotozd2ev_hook1367zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_var1323z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_labels1313z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_var1429z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_withzd2handle1303zc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_bin1337z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2210z00zz__evaluate_fsiza7eza7, BgL_bgl_string2210za700za7za7_2330za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Eval/evaluate_fsize.scm", 67 );
DEFINE_STRING( BGl_string2211z00zz__evaluate_fsiza7eza7, BgL_bgl_string2211za700za7za7_2331za7, "&frame-size", 11 );
DEFINE_STRING( BGl_string2212z00zz__evaluate_fsiza7eza7, BgL_bgl_string2212za700za7za7_2332za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2213z00zz__evaluate_fsiza7eza7, BgL_bgl_string2213za700za7za7_2333za7, "&extract-loops", 14 );
DEFINE_STRING( BGl_string2215z00zz__evaluate_fsiza7eza7, BgL_bgl_string2215za700za7za7_2334za7, "fsize1282", 9 );
DEFINE_STRING( BGl_string2217z00zz__evaluate_fsiza7eza7, BgL_bgl_string2217za700za7za7_2335za7, "search-letrec1320", 17 );
DEFINE_STRING( BGl_string2219z00zz__evaluate_fsiza7eza7, BgL_bgl_string2219za700za7za7_2336za7, "subst_goto1352", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2214z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7e1282za7c2337za7, BGl_z62fsiza7e1282zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2221z00zz__evaluate_fsiza7eza7, BgL_bgl_string2221za700za7za7_2338za7, "tailpos1386", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2216z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2339z00, BGl_z62searchzd2letrec1320zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2223z00zz__evaluate_fsiza7eza7, BgL_bgl_string2223za700za7za7_2340za7, "hasvar?1426", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2218z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_goto1352341za7, BGl_z62subst_goto1352z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2225z00zz__evaluate_fsiza7eza7, BgL_bgl_string2225za700za7za7_2342za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string2227z00zz__evaluate_fsiza7eza7, BgL_bgl_string2227za700za7za7_2343za7, "tailpos", 7 );
DEFINE_STRING( BGl_string2228z00zz__evaluate_fsiza7eza7, BgL_bgl_string2228za700za7za7_2344za7, "not defined for", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2345z00, BGl_z62tailposzd2ev_bindzd2exit1405z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2346z00, BGl_z62tailposzd2ev_unwindzd2pr1407z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2220z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailpos1386za762347z00, BGl_z62tailpos1386z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2348z00, BGl_z62tailposzd2ev_withzd2hand1409z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2349z00, BGl_z62tailposzd2ev_synchroni1411zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2222z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f314262350z00, BGl_z62hasvarzf31426z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2351z00, BGl_z62tailposzd2ev_let1413zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2352z00, BGl_z62tailposzd2ev_letza21415z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2230z00zz__evaluate_fsiza7eza7, BgL_bgl_string2230za700za7za7_2353za7, "subst_goto", 10 );
DEFINE_STRING( BGl_string2312z00zz__evaluate_fsiza7eza7, BgL_bgl_string2312za700za7za7_2354za7, "hasvar?", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2355z00, BGl_z62tailposzd2ev_letrec1417zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2356z00, BGl_z62tailposzd2ev_labels1419zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2232z00zz__evaluate_fsiza7eza7, BgL_bgl_string2232za700za7za7_2357za7, "search-letrec", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2358z00, BGl_z62tailposzd2ev_goto1421zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2233z00zz__evaluate_fsiza7eza7, BgL_bgl_string2233za700za7za7_2359za7, "eval", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2360z00, BGl_z62tailposzd2ev_app1423zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2234z00zz__evaluate_fsiza7eza7, BgL_bgl_string2234za700za7za7_2361za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string2235z00zz__evaluate_fsiza7eza7, BgL_bgl_string2235za700za7za7_2362za7, "&fsize", 6 );
DEFINE_STRING( BGl_string2236z00zz__evaluate_fsiza7eza7, BgL_bgl_string2236za700za7za7_2363za7, "bint", 4 );
DEFINE_STRING( BGl_string2237z00zz__evaluate_fsiza7eza7, BgL_bgl_string2237za700za7za7_2364za7, "&search-letrec", 14 );
DEFINE_STRING( BGl_string2238z00zz__evaluate_fsiza7eza7, BgL_bgl_string2238za700za7za7_2365za7, "&subst_goto", 11 );
DEFINE_STRING( BGl_string2239z00zz__evaluate_fsiza7eza7, BgL_bgl_string2239za700za7za7_2366za7, "&tailpos", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2367z00, BGl_z62tailposzd2ev_abs1425zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2368za7, BGl_z62hasvarzf3zd2ev_var1429z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2369za7, BGl_z62hasvarzf3zd2ev_global1431z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2370za7, BGl_z62hasvarzf3zd2ev_litt1433z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2371za7, BGl_z62hasvarzf3zd2ev_if1435z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2240z00zz__evaluate_fsiza7eza7, BgL_bgl_string2240za700za7za7_2372za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2373za7, BGl_z62hasvarzf3zd2ev_list1437z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2241z00zz__evaluate_fsiza7eza7, BgL_bgl_string2241za700za7za7_2374za7, "&hasvar?", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2375za7, BGl_z62hasvarzf3zd2ev_prog21439z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2376za7, BGl_z62hasvarzf3zd2ev_hook1441z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2243z00zz__evaluate_fsiza7eza7, BgL_bgl_string2243za700za7za7_2377za7, "fsize::int", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2378za7, BGl_z62hasvarzf3zd2ev_setlocal1443z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2329z00zz__evaluate_fsiza7eza7, BgL_bgl_string2329za700za7za7_2379za7, "__evaluate_fsize", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2380za7, BGl_z62hasvarzf3zd2ev_bindzd2exit1445z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2381za7, BGl_z62hasvarzf3zd2ev_unwindzd2pr1447z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2382za7, BGl_z62hasvarzf3zd2ev_withzd2hand1449z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2383za7, BGl_z62hasvarzf3zd2ev_synchroni1451z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2242z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2384za7, BGl_z62fsiza7ezd2ev_var1285z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2385za7, BGl_z62hasvarzf3zd2ev_binder1453z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2386za7, BGl_z62hasvarzf3zd2ev_labels1455z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2244z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2387za7, BGl_z62fsiza7ezd2ev_global1287z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2388za7, BGl_z62hasvarzf3zd2ev_goto1457z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2245z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2389za7, BGl_z62fsiza7ezd2ev_litt1289z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2390za7, BGl_z62hasvarzf3zd2ev_app1459z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2246z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2391za7, BGl_z62fsiza7ezd2ev_if1291z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2392za7, BGl_z62hasvarzf3zd2ev_abs1461z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2247z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2393za7, BGl_z62fsiza7ezd2ev_list1293z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2248z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2394za7, BGl_z62fsiza7ezd2ev_prog21295z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2249z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2395za7, BGl_z62fsiza7ezd2ev_hook1297z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza762za7za7_2396z00, BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2250z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2397za7, BGl_z62fsiza7ezd2ev_bindzd2exit1299zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2251z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2398za7, BGl_z62fsiza7ezd2ev_unwindzd2prot1301zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2252z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2399za7, BGl_z62fsiza7ezd2ev_withzd2handle1303zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2253z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2400za7, BGl_z62fsiza7ezd2ev_synchroniza7e1305zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2254z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2401za7, BGl_z62fsiza7ezd2ev_let1307z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2255z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2402za7, BGl_z62fsiza7ezd2ev_letza21309zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2256z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2403za7, BGl_z62fsiza7ezd2ev_letrec1311z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2257z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2404za7, BGl_z62fsiza7ezd2ev_labels1313z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2258z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2405za7, BGl_z62fsiza7ezd2ev_goto1315z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2259z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2406za7, BGl_z62fsiza7ezd2ev_app1317z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za791za72407z00, BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2260z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2408za7, BGl_z62fsiza7ezd2ev_abs1319z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2261z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2409z00, BGl_z62searchzd2letreczd2ev_var1323z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2262z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2410z00, BGl_z62searchzd2letreczd2ev_glo1325z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2263z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2411z00, BGl_z62searchzd2letreczd2ev_lit1327z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2264z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2412z00, BGl_z62searchzd2letreczd2ev_if1329z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2265z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2413z00, BGl_z62searchzd2letreczd2ev_lis1331z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2266z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2414z00, BGl_z62searchzd2letreczd2ev_pro1333z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2267z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2415z00, BGl_z62searchzd2letreczd2ev_hoo1335z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2268z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2416z00, BGl_z62searchzd2letreczd2ev_bin1337z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2269z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2417z00, BGl_z62searchzd2letreczd2ev_unw1339z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2270z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2418z00, BGl_z62searchzd2letreczd2ev_wit1341z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2271z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2419z00, BGl_z62searchzd2letreczd2ev_syn1343z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2272z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2420z00, BGl_z62searchzd2letreczd2ev_bin1345z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2273z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2421z00, BGl_z62searchzd2letreczd2ev_let1347z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2274z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2422z00, BGl_z62searchzd2letreczd2ev_app1349z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2275z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2423z00, BGl_z62searchzd2letreczd2ev_abs1351z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2276z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22424z00, BGl_z62subst_gotozd2ev_var1355zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2277z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22425z00, BGl_z62subst_gotozd2ev_global1357zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2278z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22426z00, BGl_z62subst_gotozd2ev_litt1359zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2279z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22427z00, BGl_z62subst_gotozd2ev_if1361zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2280z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22428z00, BGl_z62subst_gotozd2ev_list1363zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2281z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22429z00, BGl_z62subst_gotozd2ev_prog21365zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2282z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22430z00, BGl_z62subst_gotozd2ev_hook1367zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2283z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22431z00, BGl_z62subst_gotozd2ev_bindzd2e1369z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2284z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22432z00, BGl_z62subst_gotozd2ev_unwind1371zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2285z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22433z00, BGl_z62subst_gotozd2ev_withzd2h1373z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2286z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22434z00, BGl_z62subst_gotozd2ev_synchr1375zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2287z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22435z00, BGl_z62subst_gotozd2ev_binder1377zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2288z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22436z00, BGl_z62subst_gotozd2ev_labels1379zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2289z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22437z00, BGl_z62subst_gotozd2ev_goto1381zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2290z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22438z00, BGl_z62subst_gotozd2ev_app1383zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2291z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22439z00, BGl_z62subst_gotozd2ev_abs1385zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2292z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2440z00, BGl_z62tailposzd2ev_var1389zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2293z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2441z00, BGl_z62tailposzd2ev_global1391zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2442z00, BGl_z62tailposzd2ev_litt1393zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2443z00, BGl_z62tailposzd2ev_if1395zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2444z00, BGl_z62tailposzd2ev_list1397zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2445z00, BGl_z62tailposzd2ev_prog21399zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2446z00, BGl_z62tailposzd2ev_hook1401zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2447z00, BGl_z62tailposzd2ev_setlocal1403zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7, BgL_bgl_za762frameza7d2siza7a72448za7, BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_GENERIC( BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7c5za7za7_2449za7, BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2450z00, BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7, BgL_bgl_za762extractza7d2loo2451z00, BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_GENERIC( BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7622452z00, BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7) );
ADD_ROOT( (void *)(&BGl_symbol2224z00zz__evaluate_fsiza7eza7) );
ADD_ROOT( (void *)(&BGl_symbol2226z00zz__evaluate_fsiza7eza7) );
ADD_ROOT( (void *)(&BGl_symbol2229z00zz__evaluate_fsiza7eza7) );
ADD_ROOT( (void *)(&BGl_symbol2231z00zz__evaluate_fsiza7eza7) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_fsize.scm\" 1037) \"BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"frame-size\" \"Eval/evaluate_fsize.scm\" 1924) \"BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&frame-size\" \"Eval/evaluate_fsize.scm\" 1924) \"BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"extract-loops\" \"Eval/evaluate_fsize.scm\" 4979) \"BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&extract-loops\" \"Eval/evaluate_fsize.scm\" 4979) \"BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"search-letrec*\" \"Eval/evaluate_fsize.scm\" 5071) \"BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"modify-letrec\" \"Eval/evaluate_fsize.scm\" 7623) \"BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"letrectail?\" \"Eval/evaluate_fsize.scm\" 8048) \"BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"subst_goto*\" \"Eval/evaluate_fsize.scm\" 8324) \"BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?1426\" \"Eval/evaluate_fsize.scm\" 14969) \"BGl_z62hasvarzf31426z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos1386\" \"Eval/evaluate_fsize.scm\" 12049) \"BGl_z62tailpos1386z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto1352\" \"Eval/evaluate_fsize.scm\" 8471) \"BGl_z62subst_goto1352z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec1320\" \"Eval/evaluate_fsize.scm\" 5204) \"BGl_z62searchzd2letrec1320zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize1282\" \"Eval/evaluate_fsize.scm\" 1980) \"BGl_z62fsiza7e1282zc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"fsize\" \"Eval/evaluate_fsize.scm\" 1980) \"BGl_fsiza7eza7zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize\" \"Eval/evaluate_fsize.scm\" 1980) \"BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"search-letrec\" \"Eval/evaluate_fsize.scm\" 5204) \"BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec\" \"Eval/evaluate_fsize.scm\" 5204) \"BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"subst_goto\" \"Eval/evaluate_fsize.scm\" 8471) \"BGl_subst_gotoz00zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto\" \"Eval/evaluate_fsize.scm\" 8471) \"BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"tailpos\" \"Eval/evaluate_fsize.scm\" 12049) \"BGl_tailposz00zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos\" \"Eval/evaluate_fsize.scm\" 12049) \"BGl_z62tailposz62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"hasvar?\" \"Eval/evaluate_fsize.scm\" 14969) \"BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?\" \"Eval/evaluate_fsize.scm\" 14969) \"BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_abs1461\" \"Eval/evaluate_fsize.scm\" 17060) \"BGl_z62hasvarzf3zd2ev_abs1461z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_app1459\" \"Eval/evaluate_fsize.scm\" 16908) \"BGl_z62hasvarzf3zd2ev_app1459z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_goto1457\" \"Eval/evaluate_fsize.scm\" 16779) \"BGl_z62hasvarzf3zd2ev_goto1457z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_labels1455\" \"Eval/evaluate_fsize.scm\" 16610) \"BGl_z62hasvarzf3zd2ev_labels1455z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_binder1453\" \"Eval/evaluate_fsize.scm\" 16447) \"BGl_z62hasvarzf3zd2ev_binder1453z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_synchroni1451\" \"Eval/evaluate_fsize.scm\" 16268) \"BGl_z62hasvarzf3zd2ev_synchroni1451z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_with-hand1449\" \"Eval/evaluate_fsize.scm\" 16111) \"BGl_z62hasvarzf3zd2ev_withzd2hand1449z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_unwind-pr1447\" \"Eval/evaluate_fsize.scm\" 15956) \"BGl_z62hasvarzf3zd2ev_unwindzd2pr1447z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_bind-exit1445\" \"Eval/evaluate_fsize.scm\" 15828) \"BGl_z62hasvarzf3zd2ev_bindzd2exit1445z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_setlocal1443\" \"Eval/evaluate_fsize.scm\" 15689) \"BGl_z62hasvarzf3zd2ev_setlocal1443z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_hook1441\" \"Eval/evaluate_fsize.scm\" 15587) \"BGl_z62hasvarzf3zd2ev_hook1441z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_prog21439\" \"Eval/evaluate_fsize.scm\" 15458) \"BGl_z62hasvarzf3zd2ev_prog21439z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_list1437\" \"Eval/evaluate_fsize.scm\" 15329) \"BGl_z62hasvarzf3zd2ev_list1437z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_if1435\" \"Eval/evaluate_fsize.scm\" 15194) \"BGl_z62hasvarzf3zd2ev_if1435z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_litt1433\" \"Eval/evaluate_fsize.scm\" 15138) \"BGl_z62hasvarzf3zd2ev_litt1433z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_global1431\" \"Eval/evaluate_fsize.scm\" 15080) \"BGl_z62hasvarzf3zd2ev_global1431z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_var1429\" \"Eval/evaluate_fsize.scm\" 15018) \"BGl_z62hasvarzf3zd2ev_var1429z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_abs1425\" \"Eval/evaluate_fsize.scm\" 14778) \"BGl_z62tailposzd2ev_abs1425zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_app1423\" \"Eval/evaluate_fsize.scm\" 14582) \"BGl_z62tailposzd2ev_app1423zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_goto1421\" \"Eval/evaluate_fsize.scm\" 14445) \"BGl_z62tailposzd2ev_goto1421zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_labels1419\" \"Eval/evaluate_fsize.scm\" 14272) \"BGl_z62tailposzd2ev_labels1419zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_letrec1417\" \"Eval/evaluate_fsize.scm\" 14094) \"BGl_z62tailposzd2ev_letrec1417zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_let*1415\" \"Eval/evaluate_fsize.scm\" 13920) \"BGl_z62tailposzd2ev_letza21415z12zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_let1413\" \"Eval/evaluate_fsize.scm\" 13748) \"BGl_z62tailposzd2ev_let1413zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_synchroni1411\" \"Eval/evaluate_fsize.scm\" 13550) \"BGl_z62tailposzd2ev_synchroni1411zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_with-hand1409\" \"Eval/evaluate_fsize.scm\" 13380) \"BGl_z62tailposzd2ev_withzd2hand1409z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_unwind-pr1407\" \"Eval/evaluate_fsize.scm\" 13212) \"BGl_z62tailposzd2ev_unwindzd2pr1407z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_bind-exit1405\" \"Eval/evaluate_fsize.scm\" 13078) \"BGl_z62tailposzd2ev_bindzd2exit1405z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_setlocal1403\" \"Eval/evaluate_fsize.scm\" 12926) \"BGl_z62tailposzd2ev_setlocal1403zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_hook1401\" \"Eval/evaluate_fsize.scm\" 12818) \"BGl_z62tailposzd2ev_hook1401zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_prog21399\" \"Eval/evaluate_fsize.scm\" 12682) \"BGl_z62tailposzd2ev_prog21399zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_list1397\" \"Eval/evaluate_fsize.scm\" 12463) \"BGl_z62tailposzd2ev_list1397zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_if1395\" \"Eval/evaluate_fsize.scm\" 12321) \"BGl_z62tailposzd2ev_if1395zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_litt1393\" \"Eval/evaluate_fsize.scm\" 12265) \"BGl_z62tailposzd2ev_litt1393zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_global1391\" \"Eval/evaluate_fsize.scm\" 12207) \"BGl_z62tailposzd2ev_global1391zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_var1389\" \"Eval/evaluate_fsize.scm\" 12139) \"BGl_z62tailposzd2ev_var1389zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_abs1385\" \"Eval/evaluate_fsize.scm\" 11776) \"BGl_z62subst_gotozd2ev_abs1385zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_app1383\" \"Eval/evaluate_fsize.scm\" 11392) \"BGl_z62subst_gotozd2ev_app1383zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_goto1381\" \"Eval/evaluate_fsize.scm\" 10752) \"BGl_z62subst_gotozd2ev_goto1381zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_labels1379\" \"Eval/evaluate_fsize.scm\" 10475) \"BGl_z62subst_gotozd2ev_labels1379zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_binder1377\" \"Eval/evaluate_fsize.scm\" 10289) \"BGl_z62subst_gotozd2ev_binder1377zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_synchr1375\" \"Eval/evaluate_fsize.scm\" 10019) \"BGl_z62subst_gotozd2ev_synchr1375zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_with-h1373\" \"Eval/evaluate_fsize.scm\" 9801) \"BGl_z62subst_gotozd2ev_withzd2h1373z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_unwind1371\" \"Eval/evaluate_fsize.scm\" 9588) \"BGl_z62subst_gotozd2ev_unwind1371zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_bind-e1369\" \"Eval/evaluate_fsize.scm\" 9426) \"BGl_z62subst_gotozd2ev_bindzd2e1369z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_hook1367\" \"Eval/evaluate_fsize.scm\" 9278) \"BGl_z62subst_gotozd2ev_hook1367zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_prog21365\" \"Eval/evaluate_fsize.scm\" 9095) \"BGl_z62subst_gotozd2ev_prog21365zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_list1363\" \"Eval/evaluate_fsize.scm\" 8964) \"BGl_z62subst_gotozd2ev_list1363zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_if1361\" \"Eval/evaluate_fsize.scm\" 8742) \"BGl_z62subst_gotozd2ev_if1361zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_litt1359\" \"Eval/evaluate_fsize.scm\" 8684) \"BGl_z62subst_gotozd2ev_litt1359zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_global1357\" \"Eval/evaluate_fsize.scm\" 8624) \"BGl_z62subst_gotozd2ev_global1357zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_var1355\" \"Eval/evaluate_fsize.scm\" 8567) \"BGl_z62subst_gotozd2ev_var1355zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_abs1351\" \"Eval/evaluate_fsize.scm\" 7480) \"BGl_z62searchzd2letreczd2ev_abs1351z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_app1349\" \"Eval/evaluate_fsize.scm\" 7324) \"BGl_z62searchzd2letreczd2ev_app1349z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_let1347\" \"Eval/evaluate_fsize.scm\" 7006) \"BGl_z62searchzd2letreczd2ev_let1347z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_bin1345\" \"Eval/evaluate_fsize.scm\" 6836) \"BGl_z62searchzd2letreczd2ev_bin1345z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_syn1343\" \"Eval/evaluate_fsize.scm\" 6594) \"BGl_z62searchzd2letreczd2ev_syn1343z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_wit1341\" \"Eval/evaluate_fsize.scm\" 6397) \"BGl_z62searchzd2letreczd2ev_wit1341z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_unw1339\" \"Eval/evaluate_fsize.scm\" 6205) \"BGl_z62searchzd2letreczd2ev_unw1339z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_bin1337\" \"Eval/evaluate_fsize.scm\" 6057) \"BGl_z62searchzd2letreczd2ev_bin1337z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_hoo1335\" \"Eval/evaluate_fsize.scm\" 5923) \"BGl_z62searchzd2letreczd2ev_hoo1335z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_pro1333\" \"Eval/evaluate_fsize.scm\" 5761) \"BGl_z62searchzd2letreczd2ev_pro1333z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_lis1331\" \"Eval/evaluate_fsize.scm\" 5644) \"BGl_z62searchzd2letreczd2ev_lis1331z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_if1329\" \"Eval/evaluate_fsize.scm\" 5450) \"BGl_z62searchzd2letreczd2ev_if1329z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_lit1327\" \"Eval/evaluate_fsize.scm\" 5399) \"BGl_z62searchzd2letreczd2ev_lit1327z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_glo1325\" \"Eval/evaluate_fsize.scm\" 5346) \"BGl_z62searchzd2letreczd2ev_glo1325z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_var1323\" \"Eval/evaluate_fsize.scm\" 5296) \"BGl_z62searchzd2letreczd2ev_var1323z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_abs1319\" \"Eval/evaluate_fsize.scm\" 4805) \"BGl_z62fsiza7ezd2ev_abs1319z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_app1317\" \"Eval/evaluate_fsize.scm\" 4576) \"BGl_z62fsiza7ezd2ev_app1317z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_goto1315\" \"Eval/evaluate_fsize.scm\" 4366) \"BGl_z62fsiza7ezd2ev_goto1315z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_labels1313\" \"Eval/evaluate_fsize.scm\" 4118) \"BGl_z62fsiza7ezd2ev_labels1313z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_letrec1311\" \"Eval/evaluate_fsize.scm\" 3862) \"BGl_z62fsiza7ezd2ev_letrec1311z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_let*1309\" \"Eval/evaluate_fsize.scm\" 3629) \"BGl_z62fsiza7ezd2ev_letza21309zb5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_let1307\" \"Eval/evaluate_fsize.scm\" 3398) \"BGl_z62fsiza7ezd2ev_let1307z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_synchronize1305\" \"Eval/evaluate_fsize.scm\" 3224) \"BGl_z62fsiza7ezd2ev_synchroniza7e1305zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_with-handle1303\" \"Eval/evaluate_fsize.scm\" 3070) \"BGl_z62fsiza7ezd2ev_withzd2handle1303zc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_unwind-prot1301\" \"Eval/evaluate_fsize.scm\" 2924) \"BGl_z62fsiza7ezd2ev_unwindzd2prot1301zc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_bind-exit1299\" \"Eval/evaluate_fsize.scm\" 2800) \"BGl_z62fsiza7ezd2ev_bindzd2exit1299zc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_hook1297\" \"Eval/evaluate_fsize.scm\" 2700) \"BGl_z62fsiza7ezd2ev_hook1297z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_prog21295\" \"Eval/evaluate_fsize.scm\" 2574) \"BGl_z62fsiza7ezd2ev_prog21295z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_list1293\" \"Eval/evaluate_fsize.scm\" 2383) \"BGl_z62fsiza7ezd2ev_list1293z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_if1291\" \"Eval/evaluate_fsize.scm\" 2253) \"BGl_z62fsiza7ezd2ev_if1291z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_litt1289\" \"Eval/evaluate_fsize.scm\" 2198) \"BGl_z62fsiza7ezd2ev_litt1289z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_global1287\" \"Eval/evaluate_fsize.scm\" 2139) \"BGl_z62fsiza7ezd2ev_global1287z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_var1285\" \"Eval/evaluate_fsize.scm\" 2085) \"BGl_z62fsiza7ezd2ev_var1285z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long BgL_checksumz00_4436, char * BgL_fromz00_4437)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7(); 
BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7(); 
BGl_genericzd2initzd2zz__evaluate_fsiza7eza7(); 
BGl_methodzd2initzd2zz__evaluate_fsiza7eza7(); 
return 
BGl_profzd2initzd2zz__evaluate_fsiza7eza7();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
BGl_symbol2224z00zz__evaluate_fsiza7eza7 = 
bstring_to_symbol(BGl_string2223z00zz__evaluate_fsiza7eza7); 
BGl_symbol2226z00zz__evaluate_fsiza7eza7 = 
bstring_to_symbol(BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_symbol2229z00zz__evaluate_fsiza7eza7 = 
bstring_to_symbol(BGl_string2230z00zz__evaluate_fsiza7eza7); 
return ( 
BGl_symbol2231z00zz__evaluate_fsiza7eza7 = 
bstring_to_symbol(BGl_string2232z00zz__evaluate_fsiza7eza7), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
return BUNSPEC;} 

}



/* frame-size */
BGL_EXPORTED_DEF int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
{
{ /* Eval/evaluate_fsize.scm 65 */
return 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, 
(int)(((long)0)));} 

}



/* &frame-size */
obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3368, obj_t BgL_ez00_3369)
{
{ /* Eval/evaluate_fsize.scm 65 */
{ /* Eval/evaluate_fsize.scm 66 */
 int BgL_tmpz00_4455;
{ /* Eval/evaluate_fsize.scm 66 */
 BgL_ev_exprz00_bglt BgL_auxz00_4456;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_3369, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_fsize.scm 66 */
BgL_auxz00_4456 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3369)
; }  else 
{ 
 obj_t BgL_auxz00_4460;
BgL_auxz00_4460 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)1965)), BGl_string2211z00zz__evaluate_fsiza7eza7, BGl_string2212z00zz__evaluate_fsiza7eza7, BgL_ez00_3369); 
FAILURE(BgL_auxz00_4460,BFALSE,BFALSE);} 
BgL_tmpz00_4455 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_4456); } 
return 
BINT(BgL_tmpz00_4455);} } 

}



/* extract-loops */
BGL_EXPORTED_DEF BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_42)
{
{ /* Eval/evaluate_fsize.scm 167 */
return 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_42));} 

}



/* &extract-loops */
BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3370, obj_t BgL_ez00_3371)
{
{ /* Eval/evaluate_fsize.scm 167 */
{ /* Eval/evaluate_fsize.scm 169 */
 BgL_ev_exprz00_bglt BgL_auxz00_4468;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_3371, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_fsize.scm 169 */
BgL_auxz00_4468 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3371)
; }  else 
{ 
 obj_t BgL_auxz00_4472;
BgL_auxz00_4472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)5040)), BGl_string2213z00zz__evaluate_fsiza7eza7, BGl_string2212z00zz__evaluate_fsiza7eza7, BgL_ez00_3371); 
FAILURE(BgL_auxz00_4472,BFALSE,BFALSE);} 
return 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_auxz00_4468);} } 

}



/* search-letrec* */
bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_43)
{
{ /* Eval/evaluate_fsize.scm 172 */
{ 
 obj_t BgL_lz00_1310;
BgL_lz00_1310 = BgL_lz00_43; 
BgL_zc3z04anonymousza31532ze3z87_1311:
if(
NULLP(BgL_lz00_1310))
{ /* Eval/evaluate_fsize.scm 174 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_fsize.scm 174 */
{ /* Eval/evaluate_fsize.scm 175 */
 obj_t BgL_arg1534z00_1313;
{ /* Eval/evaluate_fsize.scm 175 */
 obj_t BgL_arg1535z00_1314;
BgL_arg1535z00_1314 = 
CAR(
((obj_t)BgL_lz00_1310)); 
BgL_arg1534z00_1313 = 
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1535z00_1314)); } 
{ /* Eval/evaluate_fsize.scm 175 */
 obj_t BgL_tmpz00_4483;
BgL_tmpz00_4483 = 
((obj_t)BgL_lz00_1310); 
SET_CAR(BgL_tmpz00_4483, BgL_arg1534z00_1313); } } 
{ /* Eval/evaluate_fsize.scm 176 */
 obj_t BgL_arg1536z00_1315;
BgL_arg1536z00_1315 = 
CDR(
((obj_t)BgL_lz00_1310)); 
{ 
 obj_t BgL_lz00_4488;
BgL_lz00_4488 = BgL_arg1536z00_1315; 
BgL_lz00_1310 = BgL_lz00_4488; 
goto BgL_zc3z04anonymousza31532ze3z87_1311;} } } } } 

}



/* modify-letrec */
BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_60, obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
{
{ /* Eval/evaluate_fsize.scm 268 */
{ /* Eval/evaluate_fsize.scm 269 */
 BgL_ev_labelsz00_bglt BgL_rz00_1317;
{ /* Eval/evaluate_fsize.scm 269 */
 BgL_ev_labelsz00_bglt BgL_new1093z00_1336;
{ /* Eval/evaluate_fsize.scm 269 */
 BgL_ev_labelsz00_bglt BgL_new1092z00_1340;
BgL_new1092z00_1340 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_fsize.scm 269 */
 long BgL_arg1550z00_1341;
BgL_arg1550z00_1341 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_1340), BgL_arg1550z00_1341); } 
BgL_new1093z00_1336 = BgL_new1092z00_1340; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_varsz00)=((obj_t)BgL_varsz00_60),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_valsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_envz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_stkz00)=((obj_t)BNIL),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4497;
{ /* Eval/evaluate_fsize.scm 270 */
 BgL_ev_littz00_bglt BgL_new1095z00_1337;
{ /* Eval/evaluate_fsize.scm 270 */
 BgL_ev_littz00_bglt BgL_new1094z00_1338;
BgL_new1094z00_1338 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_fsize.scm 270 */
 long BgL_arg1549z00_1339;
{ /* Eval/evaluate_fsize.scm 270 */
 obj_t BgL_classz00_2743;
BgL_classz00_2743 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1549z00_1339 = 
BGL_CLASS_NUM(BgL_classz00_2743); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_1338), BgL_arg1549z00_1339); } 
BgL_new1095z00_1337 = BgL_new1094z00_1338; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1095z00_1337))->BgL_valuez00)=((obj_t)
BINT(((long)0))),BUNSPEC); 
BgL_auxz00_4497 = 
((BgL_ev_exprz00_bglt)BgL_new1095z00_1337); } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4497),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_rz00_1317 = BgL_new1093z00_1336; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_rz00_1317))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62, BgL_varsz00_60, 
((obj_t)BgL_rz00_1317)))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4511;
if(
NULLP(BgL_valsz00_61))
{ /* Eval/evaluate_fsize.scm 273 */
BgL_auxz00_4511 = BNIL
; }  else 
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_head1216z00_1321;
BgL_head1216z00_1321 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1214z00_1323; obj_t BgL_tail1217z00_1324;
BgL_l1214z00_1323 = BgL_valsz00_61; 
BgL_tail1217z00_1324 = BgL_head1216z00_1321; 
BgL_zc3z04anonymousza31538ze3z87_1325:
if(
NULLP(BgL_l1214z00_1323))
{ /* Eval/evaluate_fsize.scm 273 */
BgL_auxz00_4511 = 
CDR(BgL_head1216z00_1321)
; }  else 
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_newtail1218z00_1327;
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_arg1541z00_1329;
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_valz00_1330;
BgL_valz00_1330 = 
CAR(
((obj_t)BgL_l1214z00_1323)); 
{ /* Eval/evaluate_fsize.scm 275 */
 obj_t BgL_arg1544z00_1332; obj_t BgL_arg1545z00_1333;
BgL_arg1544z00_1332 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_valz00_1330)))->BgL_varsz00); 
{ /* Eval/evaluate_fsize.scm 275 */
 BgL_ev_exprz00_bglt BgL_arg1546z00_1334;
BgL_arg1546z00_1334 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_valz00_1330)))->BgL_bodyz00); 
BgL_arg1545z00_1333 = 
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1546z00_1334, BgL_varsz00_60, 
((obj_t)BgL_rz00_1317)); } 
BgL_arg1541z00_1329 = 
MAKE_YOUNG_PAIR(BgL_arg1544z00_1332, BgL_arg1545z00_1333); } } 
BgL_newtail1218z00_1327 = 
MAKE_YOUNG_PAIR(BgL_arg1541z00_1329, BNIL); } 
SET_CDR(BgL_tail1217z00_1324, BgL_newtail1218z00_1327); 
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_arg1540z00_1328;
BgL_arg1540z00_1328 = 
CDR(
((obj_t)BgL_l1214z00_1323)); 
{ 
 obj_t BgL_tail1217z00_4532; obj_t BgL_l1214z00_4531;
BgL_l1214z00_4531 = BgL_arg1540z00_1328; 
BgL_tail1217z00_4532 = BgL_newtail1218z00_1327; 
BgL_tail1217z00_1324 = BgL_tail1217z00_4532; 
BgL_l1214z00_1323 = BgL_l1214z00_4531; 
goto BgL_zc3z04anonymousza31538ze3z87_1325;} } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_rz00_1317))->BgL_valsz00)=((obj_t)BgL_auxz00_4511),BUNSPEC); } 
return BgL_rz00_1317;} } 

}



/* letrectail? */
bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_63, obj_t BgL_valsz00_64, BgL_ev_exprz00_bglt BgL_bodyz00_65)
{
{ /* Eval/evaluate_fsize.scm 279 */
{ 
 obj_t BgL_l1222z00_1343;
BgL_l1222z00_1343 = BgL_varsz00_63; 
BgL_zc3z04anonymousza31551ze3z87_1344:
if(
NULLP(BgL_l1222z00_1343))
{ /* Eval/evaluate_fsize.scm 280 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_fsize.scm 280 */
 bool_t BgL_test2460z00_4536;
{ /* Eval/evaluate_fsize.scm 281 */
 obj_t BgL_vz00_1349;
BgL_vz00_1349 = 
CAR(
((obj_t)BgL_l1222z00_1343)); 
{ /* Eval/evaluate_fsize.scm 281 */
 obj_t BgL__andtest_1098z00_1350;
BgL__andtest_1098z00_1350 = 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_65, 
((BgL_ev_varz00_bglt)BgL_vz00_1349)); 
if(
CBOOL(BgL__andtest_1098z00_1350))
{ 
 obj_t BgL_l1219z00_1352;
BgL_l1219z00_1352 = BgL_valsz00_64; 
BgL_zc3z04anonymousza31554ze3z87_1353:
if(
NULLP(BgL_l1219z00_1352))
{ /* Eval/evaluate_fsize.scm 282 */
BgL_test2460z00_4536 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_nvz00_1355;
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_ez00_1358;
BgL_ez00_1358 = 
CAR(
((obj_t)BgL_l1219z00_1352)); 
{ /* Eval/evaluate_fsize.scm 283 */
 bool_t BgL_test2463z00_4547;
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_classz00_2752;
BgL_classz00_2752 = BGl_ev_absz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_1358))
{ /* Eval/evaluate_fsize.scm 283 */
 BgL_objectz00_bglt BgL_arg2132z00_2754;
BgL_arg2132z00_2754 = 
(BgL_objectz00_bglt)(BgL_ez00_1358); 
{ /* Eval/evaluate_fsize.scm 283 */
 bool_t BgL_arg2129z00_2757; bool_t BgL_arg2130z00_2758;
{ /* Eval/evaluate_fsize.scm 283 */
 long BgL_idxz00_2761;
BgL_idxz00_2761 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2132z00_2754); 
BgL_arg2129z00_2757 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2761+((long)2)))==BgL_classz00_2752); } 
{ /* Eval/evaluate_fsize.scm 283 */
 bool_t BgL_res2151z00_2783;
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_oclassz00_2769;
{ /* Eval/evaluate_fsize.scm 283 */
 long BgL_arg2139z00_2775;
{ /* Eval/evaluate_fsize.scm 283 */
 long BgL_arg2140z00_2776;
BgL_arg2140z00_2776 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2132z00_2754); 
BgL_arg2139z00_2775 = 
(BgL_arg2140z00_2776-OBJECT_TYPE); } 
BgL_oclassz00_2769 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2139z00_2775); } 
{ /* Eval/evaluate_fsize.scm 283 */
 bool_t BgL__ortest_1211z00_2770;
BgL__ortest_1211z00_2770 = 
(BgL_classz00_2752==BgL_oclassz00_2769); 
if(BgL__ortest_1211z00_2770)
{ /* Eval/evaluate_fsize.scm 283 */
BgL_res2151z00_2783 = BgL__ortest_1211z00_2770; }  else 
{ /* Eval/evaluate_fsize.scm 283 */
 long BgL_odepthz00_2771;
BgL_odepthz00_2771 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2769); 
if(
(((long)2)<BgL_odepthz00_2771))
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_arg2128z00_2773;
BgL_arg2128z00_2773 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2769, ((long)2)); 
BgL_res2151z00_2783 = 
(BgL_arg2128z00_2773==BgL_classz00_2752); }  else 
{ /* Eval/evaluate_fsize.scm 283 */
BgL_res2151z00_2783 = ((bool_t)0); } } } } 
BgL_arg2130z00_2758 = BgL_res2151z00_2783; } 
BgL_test2463z00_4547 = 
BGL_ISA_C_BACKEND(BgL_arg2129z00_2757, BgL_arg2130z00_2758); } }  else 
{ /* Eval/evaluate_fsize.scm 283 */
BgL_test2463z00_4547 = ((bool_t)0)
; } } 
if(BgL_test2463z00_4547)
{ /* Eval/evaluate_fsize.scm 283 */
if(
(
(long)CINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_1358)))->BgL_arityz00))>=((long)0)))
{ /* Eval/evaluate_fsize.scm 286 */
 BgL_ev_exprz00_bglt BgL_arg1560z00_1362;
BgL_arg1560z00_1362 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_1358)))->BgL_bodyz00); 
BgL_nvz00_1355 = 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1560z00_1362, 
((BgL_ev_varz00_bglt)BgL_vz00_1349)); }  else 
{ /* Eval/evaluate_fsize.scm 285 */
BgL_nvz00_1355 = BFALSE; } }  else 
{ /* Eval/evaluate_fsize.scm 283 */
BgL_nvz00_1355 = BFALSE; } } } 
if(
CBOOL(BgL_nvz00_1355))
{ /* Eval/evaluate_fsize.scm 282 */
 obj_t BgL_arg1557z00_1357;
BgL_arg1557z00_1357 = 
CDR(
((obj_t)BgL_l1219z00_1352)); 
{ 
 obj_t BgL_l1219z00_4579;
BgL_l1219z00_4579 = BgL_arg1557z00_1357; 
BgL_l1219z00_1352 = BgL_l1219z00_4579; 
goto BgL_zc3z04anonymousza31554ze3z87_1353;} }  else 
{ /* Eval/evaluate_fsize.scm 282 */
BgL_test2460z00_4536 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate_fsize.scm 281 */
BgL_test2460z00_4536 = ((bool_t)0)
; } } } 
if(BgL_test2460z00_4536)
{ /* Eval/evaluate_fsize.scm 280 */
 obj_t BgL_arg1553z00_1348;
BgL_arg1553z00_1348 = 
CDR(
((obj_t)BgL_l1222z00_1343)); 
{ 
 obj_t BgL_l1222z00_4582;
BgL_l1222z00_4582 = BgL_arg1553z00_1348; 
BgL_l1222z00_1343 = BgL_l1222z00_4582; 
goto BgL_zc3z04anonymousza31551ze3z87_1344;} }  else 
{ /* Eval/evaluate_fsize.scm 280 */
return ((bool_t)0);} } } } 

}



/* subst_goto* */
bool_t BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(obj_t BgL_lz00_66, obj_t BgL_varsz00_67, obj_t BgL_lblsz00_68)
{
{ /* Eval/evaluate_fsize.scm 292 */
{ 
 obj_t BgL_lz00_1367;
BgL_lz00_1367 = BgL_lz00_66; 
BgL_zc3z04anonymousza31562ze3z87_1368:
if(
NULLP(BgL_lz00_1367))
{ /* Eval/evaluate_fsize.scm 294 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_fsize.scm 294 */
{ /* Eval/evaluate_fsize.scm 295 */
 obj_t BgL_arg1564z00_1370;
{ /* Eval/evaluate_fsize.scm 295 */
 obj_t BgL_arg1565z00_1371;
BgL_arg1565z00_1371 = 
CAR(
((obj_t)BgL_lz00_1367)); 
BgL_arg1564z00_1370 = 
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1565z00_1371), BgL_varsz00_67, BgL_lblsz00_68); } 
{ /* Eval/evaluate_fsize.scm 295 */
 obj_t BgL_tmpz00_4589;
BgL_tmpz00_4589 = 
((obj_t)BgL_lz00_1367); 
SET_CAR(BgL_tmpz00_4589, BgL_arg1564z00_1370); } } 
{ /* Eval/evaluate_fsize.scm 296 */
 obj_t BgL_arg1566z00_1372;
BgL_arg1566z00_1372 = 
CDR(
((obj_t)BgL_lz00_1367)); 
{ 
 obj_t BgL_lz00_4594;
BgL_lz00_4594 = BgL_arg1566z00_1372; 
BgL_lz00_1367 = BgL_lz00_4594; 
goto BgL_zc3z04anonymousza31562ze3z87_1368;} } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_proc2214z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2215z00zz__evaluate_fsiza7eza7); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_proc2216z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2217z00zz__evaluate_fsiza7eza7); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_proc2218z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2219z00zz__evaluate_fsiza7eza7); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_proc2220z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2221z00zz__evaluate_fsiza7eza7); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_proc2222z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2223z00zz__evaluate_fsiza7eza7);} 

}



/* &hasvar?1426 */
obj_t BGl_z62hasvarzf31426z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3377, obj_t BgL_ez00_3378, obj_t BgL_vz00_3379)
{
{ /* Eval/evaluate_fsize.scm 491 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2224z00zz__evaluate_fsiza7eza7, BGl_string2225z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3378)));} 

}



/* &tailpos1386 */
obj_t BGl_z62tailpos1386z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3380, obj_t BgL_ez00_3381, obj_t BgL_vz00_3382)
{
{ /* Eval/evaluate_fsize.scm 403 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2226z00zz__evaluate_fsiza7eza7, BGl_string2228z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3381)));} 

}



/* &subst_goto1352 */
obj_t BGl_z62subst_goto1352z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3383, obj_t BgL_ez00_3384, obj_t BgL_varsz00_3385, obj_t BgL_lblsz00_3386)
{
{ /* Eval/evaluate_fsize.scm 298 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2229z00zz__evaluate_fsiza7eza7, BGl_string2228z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3384)));} 

}



/* &search-letrec1320 */
obj_t BGl_z62searchzd2letrec1320zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3387, obj_t BgL_ez00_3388)
{
{ /* Eval/evaluate_fsize.scm 178 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2231z00zz__evaluate_fsiza7eza7, BGl_string2228z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3388)));} 

}



/* &fsize1282 */
obj_t BGl_z62fsiza7e1282zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3389, obj_t BgL_ez00_3390, obj_t BgL_nz00_3391)
{
{ /* Eval/evaluate_fsize.scm 68 */
return 
BGl_errorz00zz__errorz00(BGl_string2233z00zz__evaluate_fsiza7eza7, BGl_string2234z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3390)));} 

}



/* fsize */
int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4, int BgL_nz00_5)
{
{ /* Eval/evaluate_fsize.scm 68 */
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_method1283z00_1399;
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_res2156z00_2820;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_objzd2classzd2numz00_2791;
BgL_objzd2classzd2numz00_2791 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_4)); 
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_arg2136z00_2792;
BgL_arg2136z00_2792 = 
PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 68 */
 int BgL_offsetz00_2795;
BgL_offsetz00_2795 = 
(int)(BgL_objzd2classzd2numz00_2791); 
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_offsetz00_2796;
BgL_offsetz00_2796 = 
(
(long)(BgL_offsetz00_2795)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_modz00_2797;
BgL_modz00_2797 = 
(BgL_offsetz00_2796 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_restz00_2799;
BgL_restz00_2799 = 
(BgL_offsetz00_2796 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 68 */

{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_bucketz00_2801;
BgL_bucketz00_2801 = 
VECTOR_REF(
((obj_t)BgL_arg2136z00_2792),BgL_modz00_2797); 
BgL_res2156z00_2820 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2801),BgL_restz00_2799); } } } } } } } } 
BgL_method1283z00_1399 = BgL_res2156z00_2820; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1283z00_1399)(BgL_method1283z00_1399, 
((obj_t)BgL_ez00_4), 
BINT(BgL_nz00_5), BEOA));} } 

}



/* &fsize */
obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3392, obj_t BgL_ez00_3393, obj_t BgL_nz00_3394)
{
{ /* Eval/evaluate_fsize.scm 68 */
{ /* Eval/evaluate_fsize.scm 68 */
 int BgL_tmpz00_4648;
{ /* Eval/evaluate_fsize.scm 68 */
 int BgL_auxz00_4675; BgL_ev_exprz00_bglt BgL_auxz00_4649;
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_tmpz00_4676;
if(
INTEGERP(BgL_nz00_3394))
{ /* Eval/evaluate_fsize.scm 68 */
BgL_tmpz00_4676 = BgL_nz00_3394
; }  else 
{ 
 obj_t BgL_auxz00_4679;
BgL_auxz00_4679 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)1980)), BGl_string2235z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7, BgL_nz00_3394); 
FAILURE(BgL_auxz00_4679,BFALSE,BFALSE);} 
BgL_auxz00_4675 = 
CINT(BgL_tmpz00_4676); } 
{ /* Eval/evaluate_fsize.scm 68 */
 bool_t BgL_test2470z00_4650;
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_classz00_3794;
BgL_classz00_3794 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3393))
{ /* Eval/evaluate_fsize.scm 68 */
 BgL_objectz00_bglt BgL_arg2134z00_3796; long BgL_arg2135z00_3797;
BgL_arg2134z00_3796 = 
(BgL_objectz00_bglt)(BgL_ez00_3393); 
BgL_arg2135z00_3797 = 
BGL_CLASS_DEPTH(BgL_classz00_3794); 
{ /* Eval/evaluate_fsize.scm 68 */
 bool_t BgL_arg2129z00_3801; bool_t BgL_arg2130z00_3802;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_idxz00_3806;
BgL_idxz00_3806 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2134z00_3796); 
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_arg2126z00_3807;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_arg2127z00_3808;
BgL_arg2127z00_3808 = 
(BgL_idxz00_3806+BgL_arg2135z00_3797); 
BgL_arg2126z00_3807 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2127z00_3808); } 
BgL_arg2129z00_3801 = 
(BgL_arg2126z00_3807==BgL_classz00_3794); } } 
{ /* Eval/evaluate_fsize.scm 68 */
 bool_t BgL_res2178z00_3813;
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_oclassz00_3817;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_arg2139z00_3819;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_arg2140z00_3820;
BgL_arg2140z00_3820 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2134z00_3796); 
BgL_arg2139z00_3819 = 
(BgL_arg2140z00_3820-OBJECT_TYPE); } 
BgL_oclassz00_3817 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2139z00_3819); } 
{ /* Eval/evaluate_fsize.scm 68 */
 bool_t BgL__ortest_1211z00_3826;
BgL__ortest_1211z00_3826 = 
(BgL_classz00_3794==BgL_oclassz00_3817); 
if(BgL__ortest_1211z00_3826)
{ /* Eval/evaluate_fsize.scm 68 */
BgL_res2178z00_3813 = BgL__ortest_1211z00_3826; }  else 
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_odepthz00_3827;
BgL_odepthz00_3827 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3817); 
if(
(BgL_arg2135z00_3797<BgL_odepthz00_3827))
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_arg2128z00_3831;
BgL_arg2128z00_3831 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3817, BgL_arg2135z00_3797); 
BgL_res2178z00_3813 = 
(BgL_arg2128z00_3831==BgL_classz00_3794); }  else 
{ /* Eval/evaluate_fsize.scm 68 */
BgL_res2178z00_3813 = ((bool_t)0); } } } } 
BgL_arg2130z00_3802 = BgL_res2178z00_3813; } 
BgL_test2470z00_4650 = 
BGL_ISA_C_BACKEND(BgL_arg2129z00_3801, BgL_arg2130z00_3802); } }  else 
{ /* Eval/evaluate_fsize.scm 68 */
BgL_test2470z00_4650 = ((bool_t)0)
; } } 
if(BgL_test2470z00_4650)
{ /* Eval/evaluate_fsize.scm 68 */
BgL_auxz00_4649 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3393)
; }  else 
{ 
 obj_t BgL_auxz00_4671;
BgL_auxz00_4671 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)1980)), BGl_string2235z00zz__evaluate_fsiza7eza7, BGl_string2212z00zz__evaluate_fsiza7eza7, BgL_ez00_3393); 
FAILURE(BgL_auxz00_4671,BFALSE,BFALSE);} } 
BgL_tmpz00_4648 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_4649, BgL_auxz00_4675); } 
return 
BINT(BgL_tmpz00_4648);} } 

}



/* search-letrec */
obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_44)
{
{ /* Eval/evaluate_fsize.scm 178 */
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_method1321z00_1400;
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_res2161z00_2851;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_objzd2classzd2numz00_2822;
BgL_objzd2classzd2numz00_2822 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_44)); 
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_arg2136z00_2823;
BgL_arg2136z00_2823 = 
PROCEDURE_REF(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 178 */
 int BgL_offsetz00_2826;
BgL_offsetz00_2826 = 
(int)(BgL_objzd2classzd2numz00_2822); 
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_offsetz00_2827;
BgL_offsetz00_2827 = 
(
(long)(BgL_offsetz00_2826)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_modz00_2828;
BgL_modz00_2828 = 
(BgL_offsetz00_2827 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_restz00_2830;
BgL_restz00_2830 = 
(BgL_offsetz00_2827 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 178 */

{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_bucketz00_2832;
BgL_bucketz00_2832 = 
VECTOR_REF(
((obj_t)BgL_arg2136z00_2823),BgL_modz00_2828); 
BgL_res2161z00_2851 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2832),BgL_restz00_2830); } } } } } } } } 
BgL_method1321z00_1400 = BgL_res2161z00_2851; } 
return 
PROCEDURE_ENTRY(BgL_method1321z00_1400)(BgL_method1321z00_1400, 
((obj_t)BgL_ez00_44), BEOA);} } 

}



/* &search-letrec */
obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3395, obj_t BgL_ez00_3396)
{
{ /* Eval/evaluate_fsize.scm 178 */
{ /* Eval/evaluate_fsize.scm 178 */
 BgL_ev_exprz00_bglt BgL_auxz00_4716;
{ /* Eval/evaluate_fsize.scm 178 */
 bool_t BgL_test2475z00_4717;
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_classz00_3832;
BgL_classz00_3832 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3396))
{ /* Eval/evaluate_fsize.scm 178 */
 BgL_objectz00_bglt BgL_arg2134z00_3834; long BgL_arg2135z00_3835;
BgL_arg2134z00_3834 = 
(BgL_objectz00_bglt)(BgL_ez00_3396); 
BgL_arg2135z00_3835 = 
BGL_CLASS_DEPTH(BgL_classz00_3832); 
{ /* Eval/evaluate_fsize.scm 178 */
 bool_t BgL_arg2129z00_3839; bool_t BgL_arg2130z00_3840;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_idxz00_3844;
BgL_idxz00_3844 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2134z00_3834); 
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_arg2126z00_3845;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_arg2127z00_3846;
BgL_arg2127z00_3846 = 
(BgL_idxz00_3844+BgL_arg2135z00_3835); 
BgL_arg2126z00_3845 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2127z00_3846); } 
BgL_arg2129z00_3839 = 
(BgL_arg2126z00_3845==BgL_classz00_3832); } } 
{ /* Eval/evaluate_fsize.scm 178 */
 bool_t BgL_res2178z00_3851;
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_oclassz00_3855;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_arg2139z00_3857;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_arg2140z00_3858;
BgL_arg2140z00_3858 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2134z00_3834); 
BgL_arg2139z00_3857 = 
(BgL_arg2140z00_3858-OBJECT_TYPE); } 
BgL_oclassz00_3855 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2139z00_3857); } 
{ /* Eval/evaluate_fsize.scm 178 */
 bool_t BgL__ortest_1211z00_3864;
BgL__ortest_1211z00_3864 = 
(BgL_classz00_3832==BgL_oclassz00_3855); 
if(BgL__ortest_1211z00_3864)
{ /* Eval/evaluate_fsize.scm 178 */
BgL_res2178z00_3851 = BgL__ortest_1211z00_3864; }  else 
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_odepthz00_3865;
BgL_odepthz00_3865 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3855); 
if(
(BgL_arg2135z00_3835<BgL_odepthz00_3865))
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_arg2128z00_3869;
BgL_arg2128z00_3869 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3855, BgL_arg2135z00_3835); 
BgL_res2178z00_3851 = 
(BgL_arg2128z00_3869==BgL_classz00_3832); }  else 
{ /* Eval/evaluate_fsize.scm 178 */
BgL_res2178z00_3851 = ((bool_t)0); } } } } 
BgL_arg2130z00_3840 = BgL_res2178z00_3851; } 
BgL_test2475z00_4717 = 
BGL_ISA_C_BACKEND(BgL_arg2129z00_3839, BgL_arg2130z00_3840); } }  else 
{ /* Eval/evaluate_fsize.scm 178 */
BgL_test2475z00_4717 = ((bool_t)0)
; } } 
if(BgL_test2475z00_4717)
{ /* Eval/evaluate_fsize.scm 178 */
BgL_auxz00_4716 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3396)
; }  else 
{ 
 obj_t BgL_auxz00_4738;
BgL_auxz00_4738 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)5204)), BGl_string2237z00zz__evaluate_fsiza7eza7, BGl_string2212z00zz__evaluate_fsiza7eza7, BgL_ez00_3396); 
FAILURE(BgL_auxz00_4738,BFALSE,BFALSE);} } 
return 
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_4716);} } 

}



/* subst_goto */
obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_69, obj_t BgL_varsz00_70, obj_t BgL_lblsz00_71)
{
{ /* Eval/evaluate_fsize.scm 298 */
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_method1353z00_1401;
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_res2166z00_2882;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_objzd2classzd2numz00_2853;
BgL_objzd2classzd2numz00_2853 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_69)); 
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_arg2136z00_2854;
BgL_arg2136z00_2854 = 
PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 298 */
 int BgL_offsetz00_2857;
BgL_offsetz00_2857 = 
(int)(BgL_objzd2classzd2numz00_2853); 
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_offsetz00_2858;
BgL_offsetz00_2858 = 
(
(long)(BgL_offsetz00_2857)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_modz00_2859;
BgL_modz00_2859 = 
(BgL_offsetz00_2858 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_restz00_2861;
BgL_restz00_2861 = 
(BgL_offsetz00_2858 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 298 */

{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_bucketz00_2863;
BgL_bucketz00_2863 = 
VECTOR_REF(
((obj_t)BgL_arg2136z00_2854),BgL_modz00_2859); 
BgL_res2166z00_2882 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2863),BgL_restz00_2861); } } } } } } } } 
BgL_method1353z00_1401 = BgL_res2166z00_2882; } 
return 
PROCEDURE_ENTRY(BgL_method1353z00_1401)(BgL_method1353z00_1401, 
((obj_t)BgL_ez00_69), BgL_varsz00_70, BgL_lblsz00_71, BEOA);} } 

}



/* &subst_goto */
obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3397, obj_t BgL_ez00_3398, obj_t BgL_varsz00_3399, obj_t BgL_lblsz00_3400)
{
{ /* Eval/evaluate_fsize.scm 298 */
{ /* Eval/evaluate_fsize.scm 298 */
 BgL_ev_exprz00_bglt BgL_auxz00_4775;
{ /* Eval/evaluate_fsize.scm 298 */
 bool_t BgL_test2479z00_4776;
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_classz00_3870;
BgL_classz00_3870 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3398))
{ /* Eval/evaluate_fsize.scm 298 */
 BgL_objectz00_bglt BgL_arg2134z00_3872; long BgL_arg2135z00_3873;
BgL_arg2134z00_3872 = 
(BgL_objectz00_bglt)(BgL_ez00_3398); 
BgL_arg2135z00_3873 = 
BGL_CLASS_DEPTH(BgL_classz00_3870); 
{ /* Eval/evaluate_fsize.scm 298 */
 bool_t BgL_arg2129z00_3877; bool_t BgL_arg2130z00_3878;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_idxz00_3882;
BgL_idxz00_3882 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2134z00_3872); 
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_arg2126z00_3883;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_arg2127z00_3884;
BgL_arg2127z00_3884 = 
(BgL_idxz00_3882+BgL_arg2135z00_3873); 
BgL_arg2126z00_3883 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2127z00_3884); } 
BgL_arg2129z00_3877 = 
(BgL_arg2126z00_3883==BgL_classz00_3870); } } 
{ /* Eval/evaluate_fsize.scm 298 */
 bool_t BgL_res2178z00_3889;
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_oclassz00_3893;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_arg2139z00_3895;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_arg2140z00_3896;
BgL_arg2140z00_3896 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2134z00_3872); 
BgL_arg2139z00_3895 = 
(BgL_arg2140z00_3896-OBJECT_TYPE); } 
BgL_oclassz00_3893 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2139z00_3895); } 
{ /* Eval/evaluate_fsize.scm 298 */
 bool_t BgL__ortest_1211z00_3902;
BgL__ortest_1211z00_3902 = 
(BgL_classz00_3870==BgL_oclassz00_3893); 
if(BgL__ortest_1211z00_3902)
{ /* Eval/evaluate_fsize.scm 298 */
BgL_res2178z00_3889 = BgL__ortest_1211z00_3902; }  else 
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_odepthz00_3903;
BgL_odepthz00_3903 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3893); 
if(
(BgL_arg2135z00_3873<BgL_odepthz00_3903))
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_arg2128z00_3907;
BgL_arg2128z00_3907 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3893, BgL_arg2135z00_3873); 
BgL_res2178z00_3889 = 
(BgL_arg2128z00_3907==BgL_classz00_3870); }  else 
{ /* Eval/evaluate_fsize.scm 298 */
BgL_res2178z00_3889 = ((bool_t)0); } } } } 
BgL_arg2130z00_3878 = BgL_res2178z00_3889; } 
BgL_test2479z00_4776 = 
BGL_ISA_C_BACKEND(BgL_arg2129z00_3877, BgL_arg2130z00_3878); } }  else 
{ /* Eval/evaluate_fsize.scm 298 */
BgL_test2479z00_4776 = ((bool_t)0)
; } } 
if(BgL_test2479z00_4776)
{ /* Eval/evaluate_fsize.scm 298 */
BgL_auxz00_4775 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3398)
; }  else 
{ 
 obj_t BgL_auxz00_4797;
BgL_auxz00_4797 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)8471)), BGl_string2238z00zz__evaluate_fsiza7eza7, BGl_string2212z00zz__evaluate_fsiza7eza7, BgL_ez00_3398); 
FAILURE(BgL_auxz00_4797,BFALSE,BFALSE);} } 
return 
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_4775, BgL_varsz00_3399, BgL_lblsz00_3400);} } 

}



/* tailpos */
obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_120, BgL_ev_varz00_bglt BgL_vz00_121)
{
{ /* Eval/evaluate_fsize.scm 403 */
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_method1387z00_1402;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_res2171z00_2913;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_objzd2classzd2numz00_2884;
BgL_objzd2classzd2numz00_2884 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_120)); 
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2136z00_2885;
BgL_arg2136z00_2885 = 
PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 403 */
 int BgL_offsetz00_2888;
BgL_offsetz00_2888 = 
(int)(BgL_objzd2classzd2numz00_2884); 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_offsetz00_2889;
BgL_offsetz00_2889 = 
(
(long)(BgL_offsetz00_2888)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_modz00_2890;
BgL_modz00_2890 = 
(BgL_offsetz00_2889 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_restz00_2892;
BgL_restz00_2892 = 
(BgL_offsetz00_2889 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 403 */

{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_bucketz00_2894;
BgL_bucketz00_2894 = 
VECTOR_REF(
((obj_t)BgL_arg2136z00_2885),BgL_modz00_2890); 
BgL_res2171z00_2913 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2894),BgL_restz00_2892); } } } } } } } } 
BgL_method1387z00_1402 = BgL_res2171z00_2913; } 
return 
PROCEDURE_ENTRY(BgL_method1387z00_1402)(BgL_method1387z00_1402, 
((obj_t)BgL_ez00_120), 
((obj_t)BgL_vz00_121), BEOA);} } 

}



/* &tailpos */
obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3401, obj_t BgL_ez00_3402, obj_t BgL_vz00_3403)
{
{ /* Eval/evaluate_fsize.scm 403 */
{ /* Eval/evaluate_fsize.scm 403 */
 BgL_ev_varz00_bglt BgL_auxz00_4860; BgL_ev_exprz00_bglt BgL_auxz00_4834;
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_test2487z00_4861;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_classz00_3946;
BgL_classz00_3946 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_3403))
{ /* Eval/evaluate_fsize.scm 403 */
 BgL_objectz00_bglt BgL_arg2134z00_3948; long BgL_arg2135z00_3949;
BgL_arg2134z00_3948 = 
(BgL_objectz00_bglt)(BgL_vz00_3403); 
BgL_arg2135z00_3949 = 
BGL_CLASS_DEPTH(BgL_classz00_3946); 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_arg2129z00_3953; bool_t BgL_arg2130z00_3954;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_idxz00_3958;
BgL_idxz00_3958 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2134z00_3948); 
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2126z00_3959;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2127z00_3960;
BgL_arg2127z00_3960 = 
(BgL_idxz00_3958+BgL_arg2135z00_3949); 
BgL_arg2126z00_3959 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2127z00_3960); } 
BgL_arg2129z00_3953 = 
(BgL_arg2126z00_3959==BgL_classz00_3946); } } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_res2178z00_3965;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_oclassz00_3969;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2139z00_3971;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2140z00_3972;
BgL_arg2140z00_3972 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2134z00_3948); 
BgL_arg2139z00_3971 = 
(BgL_arg2140z00_3972-OBJECT_TYPE); } 
BgL_oclassz00_3969 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2139z00_3971); } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL__ortest_1211z00_3978;
BgL__ortest_1211z00_3978 = 
(BgL_classz00_3946==BgL_oclassz00_3969); 
if(BgL__ortest_1211z00_3978)
{ /* Eval/evaluate_fsize.scm 403 */
BgL_res2178z00_3965 = BgL__ortest_1211z00_3978; }  else 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_odepthz00_3979;
BgL_odepthz00_3979 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3969); 
if(
(BgL_arg2135z00_3949<BgL_odepthz00_3979))
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2128z00_3983;
BgL_arg2128z00_3983 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3969, BgL_arg2135z00_3949); 
BgL_res2178z00_3965 = 
(BgL_arg2128z00_3983==BgL_classz00_3946); }  else 
{ /* Eval/evaluate_fsize.scm 403 */
BgL_res2178z00_3965 = ((bool_t)0); } } } } 
BgL_arg2130z00_3954 = BgL_res2178z00_3965; } 
BgL_test2487z00_4861 = 
BGL_ISA_C_BACKEND(BgL_arg2129z00_3953, BgL_arg2130z00_3954); } }  else 
{ /* Eval/evaluate_fsize.scm 403 */
BgL_test2487z00_4861 = ((bool_t)0)
; } } 
if(BgL_test2487z00_4861)
{ /* Eval/evaluate_fsize.scm 403 */
BgL_auxz00_4860 = 
((BgL_ev_varz00_bglt)BgL_vz00_3403)
; }  else 
{ 
 obj_t BgL_auxz00_4882;
BgL_auxz00_4882 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)12049)), BGl_string2239z00zz__evaluate_fsiza7eza7, BGl_string2240z00zz__evaluate_fsiza7eza7, BgL_vz00_3403); 
FAILURE(BgL_auxz00_4882,BFALSE,BFALSE);} } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_test2483z00_4835;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_classz00_3908;
BgL_classz00_3908 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3402))
{ /* Eval/evaluate_fsize.scm 403 */
 BgL_objectz00_bglt BgL_arg2134z00_3910; long BgL_arg2135z00_3911;
BgL_arg2134z00_3910 = 
(BgL_objectz00_bglt)(BgL_ez00_3402); 
BgL_arg2135z00_3911 = 
BGL_CLASS_DEPTH(BgL_classz00_3908); 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_arg2129z00_3915; bool_t BgL_arg2130z00_3916;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_idxz00_3920;
BgL_idxz00_3920 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2134z00_3910); 
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2126z00_3921;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2127z00_3922;
BgL_arg2127z00_3922 = 
(BgL_idxz00_3920+BgL_arg2135z00_3911); 
BgL_arg2126z00_3921 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2127z00_3922); } 
BgL_arg2129z00_3915 = 
(BgL_arg2126z00_3921==BgL_classz00_3908); } } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_res2178z00_3927;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_oclassz00_3931;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2139z00_3933;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2140z00_3934;
BgL_arg2140z00_3934 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2134z00_3910); 
BgL_arg2139z00_3933 = 
(BgL_arg2140z00_3934-OBJECT_TYPE); } 
BgL_oclassz00_3931 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2139z00_3933); } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL__ortest_1211z00_3940;
BgL__ortest_1211z00_3940 = 
(BgL_classz00_3908==BgL_oclassz00_3931); 
if(BgL__ortest_1211z00_3940)
{ /* Eval/evaluate_fsize.scm 403 */
BgL_res2178z00_3927 = BgL__ortest_1211z00_3940; }  else 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_odepthz00_3941;
BgL_odepthz00_3941 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3931); 
if(
(BgL_arg2135z00_3911<BgL_odepthz00_3941))
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2128z00_3945;
BgL_arg2128z00_3945 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3931, BgL_arg2135z00_3911); 
BgL_res2178z00_3927 = 
(BgL_arg2128z00_3945==BgL_classz00_3908); }  else 
{ /* Eval/evaluate_fsize.scm 403 */
BgL_res2178z00_3927 = ((bool_t)0); } } } } 
BgL_arg2130z00_3916 = BgL_res2178z00_3927; } 
BgL_test2483z00_4835 = 
BGL_ISA_C_BACKEND(BgL_arg2129z00_3915, BgL_arg2130z00_3916); } }  else 
{ /* Eval/evaluate_fsize.scm 403 */
BgL_test2483z00_4835 = ((bool_t)0)
; } } 
if(BgL_test2483z00_4835)
{ /* Eval/evaluate_fsize.scm 403 */
BgL_auxz00_4834 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3402)
; }  else 
{ 
 obj_t BgL_auxz00_4856;
BgL_auxz00_4856 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)12049)), BGl_string2239z00zz__evaluate_fsiza7eza7, BGl_string2212z00zz__evaluate_fsiza7eza7, BgL_ez00_3402); 
FAILURE(BgL_auxz00_4856,BFALSE,BFALSE);} } 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_4834, BgL_auxz00_4860);} } 

}



/* hasvar? */
obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_160, BgL_ev_varz00_bglt BgL_vz00_161)
{
{ /* Eval/evaluate_fsize.scm 491 */
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_method1427z00_1403;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_res2176z00_2944;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_objzd2classzd2numz00_2915;
BgL_objzd2classzd2numz00_2915 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_160)); 
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2136z00_2916;
BgL_arg2136z00_2916 = 
PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 491 */
 int BgL_offsetz00_2919;
BgL_offsetz00_2919 = 
(int)(BgL_objzd2classzd2numz00_2915); 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_offsetz00_2920;
BgL_offsetz00_2920 = 
(
(long)(BgL_offsetz00_2919)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_modz00_2921;
BgL_modz00_2921 = 
(BgL_offsetz00_2920 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_restz00_2923;
BgL_restz00_2923 = 
(BgL_offsetz00_2920 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 491 */

{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_bucketz00_2925;
BgL_bucketz00_2925 = 
VECTOR_REF(
((obj_t)BgL_arg2136z00_2916),BgL_modz00_2921); 
BgL_res2176z00_2944 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2925),BgL_restz00_2923); } } } } } } } } 
BgL_method1427z00_1403 = BgL_res2176z00_2944; } 
return 
PROCEDURE_ENTRY(BgL_method1427z00_1403)(BgL_method1427z00_1403, 
((obj_t)BgL_ez00_160), 
((obj_t)BgL_vz00_161), BEOA);} } 

}



/* &hasvar? */
obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3404, obj_t BgL_ez00_3405, obj_t BgL_vz00_3406)
{
{ /* Eval/evaluate_fsize.scm 491 */
{ /* Eval/evaluate_fsize.scm 491 */
 BgL_ev_varz00_bglt BgL_auxz00_4945; BgL_ev_exprz00_bglt BgL_auxz00_4919;
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_test2495z00_4946;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_classz00_4022;
BgL_classz00_4022 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_3406))
{ /* Eval/evaluate_fsize.scm 491 */
 BgL_objectz00_bglt BgL_arg2134z00_4024; long BgL_arg2135z00_4025;
BgL_arg2134z00_4024 = 
(BgL_objectz00_bglt)(BgL_vz00_3406); 
BgL_arg2135z00_4025 = 
BGL_CLASS_DEPTH(BgL_classz00_4022); 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_arg2129z00_4029; bool_t BgL_arg2130z00_4030;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_idxz00_4034;
BgL_idxz00_4034 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2134z00_4024); 
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2126z00_4035;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2127z00_4036;
BgL_arg2127z00_4036 = 
(BgL_idxz00_4034+BgL_arg2135z00_4025); 
BgL_arg2126z00_4035 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2127z00_4036); } 
BgL_arg2129z00_4029 = 
(BgL_arg2126z00_4035==BgL_classz00_4022); } } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_res2178z00_4041;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_oclassz00_4045;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2139z00_4047;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2140z00_4048;
BgL_arg2140z00_4048 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2134z00_4024); 
BgL_arg2139z00_4047 = 
(BgL_arg2140z00_4048-OBJECT_TYPE); } 
BgL_oclassz00_4045 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2139z00_4047); } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL__ortest_1211z00_4054;
BgL__ortest_1211z00_4054 = 
(BgL_classz00_4022==BgL_oclassz00_4045); 
if(BgL__ortest_1211z00_4054)
{ /* Eval/evaluate_fsize.scm 491 */
BgL_res2178z00_4041 = BgL__ortest_1211z00_4054; }  else 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_odepthz00_4055;
BgL_odepthz00_4055 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4045); 
if(
(BgL_arg2135z00_4025<BgL_odepthz00_4055))
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2128z00_4059;
BgL_arg2128z00_4059 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4045, BgL_arg2135z00_4025); 
BgL_res2178z00_4041 = 
(BgL_arg2128z00_4059==BgL_classz00_4022); }  else 
{ /* Eval/evaluate_fsize.scm 491 */
BgL_res2178z00_4041 = ((bool_t)0); } } } } 
BgL_arg2130z00_4030 = BgL_res2178z00_4041; } 
BgL_test2495z00_4946 = 
BGL_ISA_C_BACKEND(BgL_arg2129z00_4029, BgL_arg2130z00_4030); } }  else 
{ /* Eval/evaluate_fsize.scm 491 */
BgL_test2495z00_4946 = ((bool_t)0)
; } } 
if(BgL_test2495z00_4946)
{ /* Eval/evaluate_fsize.scm 491 */
BgL_auxz00_4945 = 
((BgL_ev_varz00_bglt)BgL_vz00_3406)
; }  else 
{ 
 obj_t BgL_auxz00_4967;
BgL_auxz00_4967 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)14969)), BGl_string2241z00zz__evaluate_fsiza7eza7, BGl_string2240z00zz__evaluate_fsiza7eza7, BgL_vz00_3406); 
FAILURE(BgL_auxz00_4967,BFALSE,BFALSE);} } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_test2491z00_4920;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_classz00_3984;
BgL_classz00_3984 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3405))
{ /* Eval/evaluate_fsize.scm 491 */
 BgL_objectz00_bglt BgL_arg2134z00_3986; long BgL_arg2135z00_3987;
BgL_arg2134z00_3986 = 
(BgL_objectz00_bglt)(BgL_ez00_3405); 
BgL_arg2135z00_3987 = 
BGL_CLASS_DEPTH(BgL_classz00_3984); 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_arg2129z00_3991; bool_t BgL_arg2130z00_3992;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_idxz00_3996;
BgL_idxz00_3996 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2134z00_3986); 
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2126z00_3997;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2127z00_3998;
BgL_arg2127z00_3998 = 
(BgL_idxz00_3996+BgL_arg2135z00_3987); 
BgL_arg2126z00_3997 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2127z00_3998); } 
BgL_arg2129z00_3991 = 
(BgL_arg2126z00_3997==BgL_classz00_3984); } } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_res2178z00_4003;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_oclassz00_4007;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2139z00_4009;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2140z00_4010;
BgL_arg2140z00_4010 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2134z00_3986); 
BgL_arg2139z00_4009 = 
(BgL_arg2140z00_4010-OBJECT_TYPE); } 
BgL_oclassz00_4007 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2139z00_4009); } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL__ortest_1211z00_4016;
BgL__ortest_1211z00_4016 = 
(BgL_classz00_3984==BgL_oclassz00_4007); 
if(BgL__ortest_1211z00_4016)
{ /* Eval/evaluate_fsize.scm 491 */
BgL_res2178z00_4003 = BgL__ortest_1211z00_4016; }  else 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_odepthz00_4017;
BgL_odepthz00_4017 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4007); 
if(
(BgL_arg2135z00_3987<BgL_odepthz00_4017))
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2128z00_4021;
BgL_arg2128z00_4021 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4007, BgL_arg2135z00_3987); 
BgL_res2178z00_4003 = 
(BgL_arg2128z00_4021==BgL_classz00_3984); }  else 
{ /* Eval/evaluate_fsize.scm 491 */
BgL_res2178z00_4003 = ((bool_t)0); } } } } 
BgL_arg2130z00_3992 = BgL_res2178z00_4003; } 
BgL_test2491z00_4920 = 
BGL_ISA_C_BACKEND(BgL_arg2129z00_3991, BgL_arg2130z00_3992); } }  else 
{ /* Eval/evaluate_fsize.scm 491 */
BgL_test2491z00_4920 = ((bool_t)0)
; } } 
if(BgL_test2491z00_4920)
{ /* Eval/evaluate_fsize.scm 491 */
BgL_auxz00_4919 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3405)
; }  else 
{ 
 obj_t BgL_auxz00_4941;
BgL_auxz00_4941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2210z00zz__evaluate_fsiza7eza7, 
BINT(((long)14969)), BGl_string2241z00zz__evaluate_fsiza7eza7, BGl_string2212z00zz__evaluate_fsiza7eza7, BgL_ez00_3405); 
FAILURE(BgL_auxz00_4941,BFALSE,BFALSE);} } 
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_4919, BgL_auxz00_4945);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2242z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2244z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2245z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2246z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2247z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2248z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2249z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2250z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2251z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2252z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2253z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc2254z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc2255z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc2256z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2257z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2258z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2259z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2260z00zz__evaluate_fsiza7eza7, BGl_string2243z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2261z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2262z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2263z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2264z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2265z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2266z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2267z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2268z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2269z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2270z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2271z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_binderz00zz__evaluate_typesz00, BGl_proc2272z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc2273z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2274z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2275z00zz__evaluate_fsiza7eza7, BGl_string2232z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2276z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2277z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2278z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2279z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2280z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2281z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2282z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2283z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2284z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2285z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2286z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_binderz00zz__evaluate_typesz00, BGl_proc2287z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2288z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2289z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2290z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2291z00zz__evaluate_fsiza7eza7, BGl_string2230z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2292z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2293z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2294z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2295z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2296z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2297z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2298z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc2299z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2300z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2301z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2302z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2303z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc2304z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc2305z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc2306z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2307z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2308z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2309z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2310z00zz__evaluate_fsiza7eza7, BGl_string2227z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2311z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2313z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2314z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2315z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2316z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2317z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2318z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc2319z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2320z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2321z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2322z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2323z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_binderz00zz__evaluate_typesz00, BGl_proc2324z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2325z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2326z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2327z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2328z00zz__evaluate_fsiza7eza7, BGl_string2312z00zz__evaluate_fsiza7eza7);} 

}



/* &hasvar?-ev_abs1461 */
obj_t BGl_z62hasvarzf3zd2ev_abs1461z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3492, obj_t BgL_ez00_3493, obj_t BgL_vz00_3494)
{
{ /* Eval/evaluate_fsize.scm 556 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3493)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3494));} 

}



/* &hasvar?-ev_app1459 */
obj_t BGl_z62hasvarzf3zd2ev_app1459z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3495, obj_t BgL_ez00_3496, obj_t BgL_vz00_3497)
{
{ /* Eval/evaluate_fsize.scm 552 */
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL__ortest_1171z00_4064;
BgL__ortest_1171z00_4064 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3496)))->BgL_funz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3497)); 
if(
CBOOL(BgL__ortest_1171z00_4064))
{ /* Eval/evaluate_fsize.scm 554 */
return BgL__ortest_1171z00_4064;}  else 
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL_g1267z00_4065;
BgL_g1267z00_4065 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3496)))->BgL_argsz00); 
{ 
 obj_t BgL_l1265z00_4067;
BgL_l1265z00_4067 = BgL_g1267z00_4065; 
BgL_zc3z04anonymousza31849ze3z87_4066:
if(
NULLP(BgL_l1265z00_4067))
{ /* Eval/evaluate_fsize.scm 554 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL__ortest_1268z00_4068;
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL_ez00_4069;
BgL_ez00_4069 = 
CAR(
((obj_t)BgL_l1265z00_4067)); 
BgL__ortest_1268z00_4068 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_ez00_4069), 
((BgL_ev_varz00_bglt)BgL_vz00_3497)); } 
if(
CBOOL(BgL__ortest_1268z00_4068))
{ /* Eval/evaluate_fsize.scm 554 */
return BgL__ortest_1268z00_4068;}  else 
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL_arg1851z00_4070;
BgL_arg1851z00_4070 = 
CDR(
((obj_t)BgL_l1265z00_4067)); 
{ 
 obj_t BgL_l1265z00_5080;
BgL_l1265z00_5080 = BgL_arg1851z00_4070; 
BgL_l1265z00_4067 = BgL_l1265z00_5080; 
goto BgL_zc3z04anonymousza31849ze3z87_4066;} } } } } } } 

}



/* &hasvar?-ev_goto1457 */
obj_t BGl_z62hasvarzf3zd2ev_goto1457z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3498, obj_t BgL_ez00_3499, obj_t BgL_vz00_3500)
{
{ /* Eval/evaluate_fsize.scm 548 */
{ /* Eval/evaluate_fsize.scm 550 */
 obj_t BgL_g1263z00_4073;
BgL_g1263z00_4073 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_3499)))->BgL_argsz00); 
{ 
 obj_t BgL_l1261z00_4075;
BgL_l1261z00_4075 = BgL_g1263z00_4073; 
BgL_zc3z04anonymousza31846ze3z87_4074:
if(
NULLP(BgL_l1261z00_4075))
{ /* Eval/evaluate_fsize.scm 550 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 550 */
 obj_t BgL__ortest_1264z00_4076;
{ /* Eval/evaluate_fsize.scm 550 */
 obj_t BgL_ez00_4077;
BgL_ez00_4077 = 
CAR(
((obj_t)BgL_l1261z00_4075)); 
BgL__ortest_1264z00_4076 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_ez00_4077), 
((BgL_ev_varz00_bglt)BgL_vz00_3500)); } 
if(
CBOOL(BgL__ortest_1264z00_4076))
{ /* Eval/evaluate_fsize.scm 550 */
return BgL__ortest_1264z00_4076;}  else 
{ /* Eval/evaluate_fsize.scm 550 */
 obj_t BgL_arg1848z00_4078;
BgL_arg1848z00_4078 = 
CDR(
((obj_t)BgL_l1261z00_4075)); 
{ 
 obj_t BgL_l1261z00_5094;
BgL_l1261z00_5094 = BgL_arg1848z00_4078; 
BgL_l1261z00_4075 = BgL_l1261z00_5094; 
goto BgL_zc3z04anonymousza31846ze3z87_4074;} } } } } } 

}



/* &hasvar?-ev_labels1455 */
obj_t BGl_z62hasvarzf3zd2ev_labels1455z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3501, obj_t BgL_ez00_3502, obj_t BgL_vz00_3503)
{
{ /* Eval/evaluate_fsize.scm 543 */
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL__ortest_1168z00_4081;
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL_g1259z00_4082;
BgL_g1259z00_4082 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3502)))->BgL_valsz00); 
{ 
 obj_t BgL_l1257z00_4084;
BgL_l1257z00_4084 = BgL_g1259z00_4082; 
BgL_zc3z04anonymousza31842ze3z87_4083:
if(
NULLP(BgL_l1257z00_4084))
{ /* Eval/evaluate_fsize.scm 545 */
BgL__ortest_1168z00_4081 = BFALSE; }  else 
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL__ortest_1260z00_4085;
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL_ez00_4086;
BgL_ez00_4086 = 
CAR(
((obj_t)BgL_l1257z00_4084)); 
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL_arg1845z00_4087;
BgL_arg1845z00_4087 = 
CDR(
((obj_t)BgL_ez00_4086)); 
BgL__ortest_1260z00_4085 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1845z00_4087), 
((BgL_ev_varz00_bglt)BgL_vz00_3503)); } } 
if(
CBOOL(BgL__ortest_1260z00_4085))
{ /* Eval/evaluate_fsize.scm 545 */
BgL__ortest_1168z00_4081 = BgL__ortest_1260z00_4085; }  else 
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL_arg1844z00_4088;
BgL_arg1844z00_4088 = 
CDR(
((obj_t)BgL_l1257z00_4084)); 
{ 
 obj_t BgL_l1257z00_5110;
BgL_l1257z00_5110 = BgL_arg1844z00_4088; 
BgL_l1257z00_4084 = BgL_l1257z00_5110; 
goto BgL_zc3z04anonymousza31842ze3z87_4083;} } } } } 
if(
CBOOL(BgL__ortest_1168z00_4081))
{ /* Eval/evaluate_fsize.scm 545 */
return BgL__ortest_1168z00_4081;}  else 
{ /* Eval/evaluate_fsize.scm 545 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3502)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3503));} } } 

}



/* &hasvar?-ev_binder1453 */
obj_t BGl_z62hasvarzf3zd2ev_binder1453z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3504, obj_t BgL_ez00_3505, obj_t BgL_vz00_3506)
{
{ /* Eval/evaluate_fsize.scm 538 */
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL__ortest_1166z00_4091;
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL_g1255z00_4092;
BgL_g1255z00_4092 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3505)))->BgL_valsz00); 
{ 
 obj_t BgL_l1253z00_4094;
BgL_l1253z00_4094 = BgL_g1255z00_4092; 
BgL_zc3z04anonymousza31838ze3z87_4093:
if(
NULLP(BgL_l1253z00_4094))
{ /* Eval/evaluate_fsize.scm 540 */
BgL__ortest_1166z00_4091 = BFALSE; }  else 
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL__ortest_1256z00_4095;
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL_ez00_4096;
BgL_ez00_4096 = 
CAR(
((obj_t)BgL_l1253z00_4094)); 
BgL__ortest_1256z00_4095 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_ez00_4096), 
((BgL_ev_varz00_bglt)BgL_vz00_3506)); } 
if(
CBOOL(BgL__ortest_1256z00_4095))
{ /* Eval/evaluate_fsize.scm 540 */
BgL__ortest_1166z00_4091 = BgL__ortest_1256z00_4095; }  else 
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL_arg1840z00_4097;
BgL_arg1840z00_4097 = 
CDR(
((obj_t)BgL_l1253z00_4094)); 
{ 
 obj_t BgL_l1253z00_5130;
BgL_l1253z00_5130 = BgL_arg1840z00_4097; 
BgL_l1253z00_4094 = BgL_l1253z00_5130; 
goto BgL_zc3z04anonymousza31838ze3z87_4093;} } } } } 
if(
CBOOL(BgL__ortest_1166z00_4091))
{ /* Eval/evaluate_fsize.scm 540 */
return BgL__ortest_1166z00_4091;}  else 
{ /* Eval/evaluate_fsize.scm 540 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3505)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3506));} } } 

}



/* &hasvar?-ev_synchroni1451 */
obj_t BGl_z62hasvarzf3zd2ev_synchroni1451z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3507, obj_t BgL_ez00_3508, obj_t BgL_vz00_3509)
{
{ /* Eval/evaluate_fsize.scm 534 */
{ /* Eval/evaluate_fsize.scm 536 */
 obj_t BgL__ortest_1163z00_4100;
BgL__ortest_1163z00_4100 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3508)))->BgL_mutexz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3509)); 
if(
CBOOL(BgL__ortest_1163z00_4100))
{ /* Eval/evaluate_fsize.scm 536 */
return BgL__ortest_1163z00_4100;}  else 
{ /* Eval/evaluate_fsize.scm 536 */
 obj_t BgL__ortest_1164z00_4101;
BgL__ortest_1164z00_4101 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3508)))->BgL_prelockz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3509)); 
if(
CBOOL(BgL__ortest_1164z00_4101))
{ /* Eval/evaluate_fsize.scm 536 */
return BgL__ortest_1164z00_4101;}  else 
{ /* Eval/evaluate_fsize.scm 536 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3508)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3509));} } } } 

}



/* &hasvar?-ev_with-hand1449 */
obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1449z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3510, obj_t BgL_ez00_3511, obj_t BgL_vz00_3512)
{
{ /* Eval/evaluate_fsize.scm 530 */
{ /* Eval/evaluate_fsize.scm 532 */
 obj_t BgL__ortest_1161z00_4104;
BgL__ortest_1161z00_4104 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3511)))->BgL_handlerz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3512)); 
if(
CBOOL(BgL__ortest_1161z00_4104))
{ /* Eval/evaluate_fsize.scm 532 */
return BgL__ortest_1161z00_4104;}  else 
{ /* Eval/evaluate_fsize.scm 532 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3511)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3512));} } } 

}



/* &hasvar?-ev_unwind-pr1447 */
obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1447z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3513, obj_t BgL_ez00_3514, obj_t BgL_vz00_3515)
{
{ /* Eval/evaluate_fsize.scm 526 */
{ /* Eval/evaluate_fsize.scm 528 */
 obj_t BgL__ortest_1159z00_4107;
BgL__ortest_1159z00_4107 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3514)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3515)); 
if(
CBOOL(BgL__ortest_1159z00_4107))
{ /* Eval/evaluate_fsize.scm 528 */
return BgL__ortest_1159z00_4107;}  else 
{ /* Eval/evaluate_fsize.scm 528 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3514)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3515));} } } 

}



/* &hasvar?-ev_bind-exit1445 */
obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1445z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3516, obj_t BgL_ez00_3517, obj_t BgL_vz00_3518)
{
{ /* Eval/evaluate_fsize.scm 522 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3517)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3518));} 

}



/* &hasvar?-ev_setlocal1443 */
obj_t BGl_z62hasvarzf3zd2ev_setlocal1443z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3519, obj_t BgL_ez00_3520, obj_t BgL_varz00_3521)
{
{ /* Eval/evaluate_fsize.scm 518 */
{ /* Eval/evaluate_fsize.scm 520 */
 bool_t BgL__ortest_1156z00_4112;
BgL__ortest_1156z00_4112 = 
(
((obj_t)
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_3520)))->BgL_vz00))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_3521))); 
if(BgL__ortest_1156z00_4112)
{ /* Eval/evaluate_fsize.scm 520 */
return 
BBOOL(BgL__ortest_1156z00_4112);}  else 
{ /* Eval/evaluate_fsize.scm 520 */
 BgL_ev_exprz00_bglt BgL_arg1827z00_4113;
BgL_arg1827z00_4113 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_3520))))->BgL_ez00); 
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1827z00_4113, 
((BgL_ev_varz00_bglt)BgL_varz00_3521));} } } 

}



/* &hasvar?-ev_hook1441 */
obj_t BGl_z62hasvarzf3zd2ev_hook1441z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3522, obj_t BgL_ez00_3523, obj_t BgL_vz00_3524)
{
{ /* Eval/evaluate_fsize.scm 514 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_ez00_3523)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3524));} 

}



/* &hasvar?-ev_prog21439 */
obj_t BGl_z62hasvarzf3zd2ev_prog21439z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3525, obj_t BgL_ez00_3526, obj_t BgL_vz00_3527)
{
{ /* Eval/evaluate_fsize.scm 510 */
{ /* Eval/evaluate_fsize.scm 512 */
 obj_t BgL__ortest_1153z00_4118;
BgL__ortest_1153z00_4118 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3526)))->BgL_e1z00), 
((BgL_ev_varz00_bglt)BgL_vz00_3527)); 
if(
CBOOL(BgL__ortest_1153z00_4118))
{ /* Eval/evaluate_fsize.scm 512 */
return BgL__ortest_1153z00_4118;}  else 
{ /* Eval/evaluate_fsize.scm 512 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3526)))->BgL_e2z00), 
((BgL_ev_varz00_bglt)BgL_vz00_3527));} } } 

}



/* &hasvar?-ev_list1437 */
obj_t BGl_z62hasvarzf3zd2ev_list1437z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3528, obj_t BgL_ez00_3529, obj_t BgL_vz00_3530)
{
{ /* Eval/evaluate_fsize.scm 506 */
{ /* Eval/evaluate_fsize.scm 508 */
 obj_t BgL_g1251z00_4121;
BgL_g1251z00_4121 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3529)))->BgL_argsz00); 
{ 
 obj_t BgL_l1249z00_4123;
BgL_l1249z00_4123 = BgL_g1251z00_4121; 
BgL_zc3z04anonymousza31821ze3z87_4122:
if(
NULLP(BgL_l1249z00_4123))
{ /* Eval/evaluate_fsize.scm 508 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 508 */
 obj_t BgL__ortest_1252z00_4124;
{ /* Eval/evaluate_fsize.scm 508 */
 obj_t BgL_az00_4125;
BgL_az00_4125 = 
CAR(
((obj_t)BgL_l1249z00_4123)); 
BgL__ortest_1252z00_4124 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_az00_4125), 
((BgL_ev_varz00_bglt)BgL_vz00_3530)); } 
if(
CBOOL(BgL__ortest_1252z00_4124))
{ /* Eval/evaluate_fsize.scm 508 */
return BgL__ortest_1252z00_4124;}  else 
{ /* Eval/evaluate_fsize.scm 508 */
 obj_t BgL_arg1823z00_4126;
BgL_arg1823z00_4126 = 
CDR(
((obj_t)BgL_l1249z00_4123)); 
{ 
 obj_t BgL_l1249z00_5217;
BgL_l1249z00_5217 = BgL_arg1823z00_4126; 
BgL_l1249z00_4123 = BgL_l1249z00_5217; 
goto BgL_zc3z04anonymousza31821ze3z87_4122;} } } } } } 

}



/* &hasvar?-ev_if1435 */
obj_t BGl_z62hasvarzf3zd2ev_if1435z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3531, obj_t BgL_ez00_3532, obj_t BgL_vz00_3533)
{
{ /* Eval/evaluate_fsize.scm 502 */
{ /* Eval/evaluate_fsize.scm 504 */
 obj_t BgL__ortest_1149z00_4129;
BgL__ortest_1149z00_4129 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3532)))->BgL_pz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3533)); 
if(
CBOOL(BgL__ortest_1149z00_4129))
{ /* Eval/evaluate_fsize.scm 504 */
return BgL__ortest_1149z00_4129;}  else 
{ /* Eval/evaluate_fsize.scm 504 */
 obj_t BgL__ortest_1150z00_4130;
BgL__ortest_1150z00_4130 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3532)))->BgL_tz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3533)); 
if(
CBOOL(BgL__ortest_1150z00_4130))
{ /* Eval/evaluate_fsize.scm 504 */
return BgL__ortest_1150z00_4130;}  else 
{ /* Eval/evaluate_fsize.scm 504 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3532)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3533));} } } } 

}



/* &hasvar?-ev_litt1433 */
obj_t BGl_z62hasvarzf3zd2ev_litt1433z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3534, obj_t BgL_ez00_3535, obj_t BgL_vz00_3536)
{
{ /* Eval/evaluate_fsize.scm 499 */
return 
BBOOL(((bool_t)0));} 

}



/* &hasvar?-ev_global1431 */
obj_t BGl_z62hasvarzf3zd2ev_global1431z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3537, obj_t BgL_ez00_3538, obj_t BgL_vz00_3539)
{
{ /* Eval/evaluate_fsize.scm 496 */
return 
BBOOL(((bool_t)0));} 

}



/* &hasvar?-ev_var1429 */
obj_t BGl_z62hasvarzf3zd2ev_var1429z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3540, obj_t BgL_ez00_3541, obj_t BgL_vz00_3542)
{
{ /* Eval/evaluate_fsize.scm 493 */
return 
BBOOL(
(
((obj_t)
((BgL_ev_varz00_bglt)BgL_ez00_3541))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_vz00_3542))));} 

}



/* &tailpos-ev_abs1425 */
obj_t BGl_z62tailposzd2ev_abs1425zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3543, obj_t BgL_ez00_3544, obj_t BgL_vz00_3545)
{
{ /* Eval/evaluate_fsize.scm 485 */
{ /* Eval/evaluate_fsize.scm 486 */
 bool_t BgL_tmpz00_5242;
{ /* Eval/evaluate_fsize.scm 487 */
 bool_t BgL_test2520z00_5243;
{ /* Eval/evaluate_fsize.scm 487 */
 BgL_ev_exprz00_bglt BgL_arg1817z00_4139;
BgL_arg1817z00_4139 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3544)))->BgL_bodyz00); 
BgL_test2520z00_5243 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1817z00_4139, 
((BgL_ev_varz00_bglt)BgL_vz00_3545))); } 
if(BgL_test2520z00_5243)
{ /* Eval/evaluate_fsize.scm 487 */
BgL_tmpz00_5242 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 487 */
BgL_tmpz00_5242 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_5242);} } 

}



/* &tailpos-ev_app1423 */
obj_t BGl_z62tailposzd2ev_app1423zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3546, obj_t BgL_ez00_3547, obj_t BgL_vz00_3548)
{
{ /* Eval/evaluate_fsize.scm 479 */
{ /* Eval/evaluate_fsize.scm 480 */
 bool_t BgL_tmpz00_5250;
{ /* Eval/evaluate_fsize.scm 481 */
 bool_t BgL_test2521z00_5251;
{ /* Eval/evaluate_fsize.scm 481 */
 obj_t BgL_g1247z00_4142;
BgL_g1247z00_4142 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3547)))->BgL_argsz00); 
{ 
 obj_t BgL_l1245z00_4144;
BgL_l1245z00_4144 = BgL_g1247z00_4142; 
BgL_zc3z04anonymousza31810ze3z87_4143:
if(
NULLP(BgL_l1245z00_4144))
{ /* Eval/evaluate_fsize.scm 481 */
BgL_test2521z00_5251 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 481 */
 bool_t BgL_test2523z00_5256;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1245z00_4144))), 
((BgL_ev_varz00_bglt)BgL_vz00_3548))))
{ /* Eval/evaluate_fsize.scm 481 */
BgL_test2523z00_5256 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 481 */
BgL_test2523z00_5256 = ((bool_t)1)
; } 
if(BgL_test2523z00_5256)
{ /* Eval/evaluate_fsize.scm 481 */
 obj_t BgL_arg1812z00_4145;
BgL_arg1812z00_4145 = 
CDR(
((obj_t)BgL_l1245z00_4144)); 
{ 
 obj_t BgL_l1245z00_5266;
BgL_l1245z00_5266 = BgL_arg1812z00_4145; 
BgL_l1245z00_4144 = BgL_l1245z00_5266; 
goto BgL_zc3z04anonymousza31810ze3z87_4143;} }  else 
{ /* Eval/evaluate_fsize.scm 481 */
BgL_test2521z00_5251 = ((bool_t)0)
; } } } } 
if(BgL_test2521z00_5251)
{ /* Eval/evaluate_fsize.scm 482 */
 bool_t BgL__ortest_1146z00_4146;
BgL__ortest_1146z00_4146 = 
(
((obj_t)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3547)))->BgL_funz00))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_vz00_3548))); 
if(BgL__ortest_1146z00_4146)
{ /* Eval/evaluate_fsize.scm 482 */
BgL_tmpz00_5250 = BgL__ortest_1146z00_4146
; }  else 
{ /* Eval/evaluate_fsize.scm 483 */
 bool_t BgL_test2526z00_5274;
{ /* Eval/evaluate_fsize.scm 483 */
 BgL_ev_exprz00_bglt BgL_arg1808z00_4147;
BgL_arg1808z00_4147 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3547)))->BgL_funz00); 
BgL_test2526z00_5274 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1808z00_4147, 
((BgL_ev_varz00_bglt)BgL_vz00_3548))); } 
if(BgL_test2526z00_5274)
{ /* Eval/evaluate_fsize.scm 483 */
BgL_tmpz00_5250 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 483 */
BgL_tmpz00_5250 = ((bool_t)1)
; } } }  else 
{ /* Eval/evaluate_fsize.scm 481 */
BgL_tmpz00_5250 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_5250);} } 

}



/* &tailpos-ev_goto1421 */
obj_t BGl_z62tailposzd2ev_goto1421zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3549, obj_t BgL_ez00_3550, obj_t BgL_vz00_3551)
{
{ /* Eval/evaluate_fsize.scm 475 */
{ /* Eval/evaluate_fsize.scm 476 */
 bool_t BgL_tmpz00_5281;
{ /* Eval/evaluate_fsize.scm 477 */
 obj_t BgL_g1243z00_4150;
BgL_g1243z00_4150 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_3550)))->BgL_argsz00); 
{ 
 obj_t BgL_l1241z00_4152;
BgL_l1241z00_4152 = BgL_g1243z00_4150; 
BgL_zc3z04anonymousza31802ze3z87_4151:
if(
NULLP(BgL_l1241z00_4152))
{ /* Eval/evaluate_fsize.scm 477 */
BgL_tmpz00_5281 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 477 */
 bool_t BgL_test2528z00_5286;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1241z00_4152))), 
((BgL_ev_varz00_bglt)BgL_vz00_3551))))
{ /* Eval/evaluate_fsize.scm 477 */
BgL_test2528z00_5286 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 477 */
BgL_test2528z00_5286 = ((bool_t)1)
; } 
if(BgL_test2528z00_5286)
{ /* Eval/evaluate_fsize.scm 477 */
 obj_t BgL_arg1804z00_4153;
BgL_arg1804z00_4153 = 
CDR(
((obj_t)BgL_l1241z00_4152)); 
{ 
 obj_t BgL_l1241z00_5296;
BgL_l1241z00_5296 = BgL_arg1804z00_4153; 
BgL_l1241z00_4152 = BgL_l1241z00_5296; 
goto BgL_zc3z04anonymousza31802ze3z87_4151;} }  else 
{ /* Eval/evaluate_fsize.scm 477 */
BgL_tmpz00_5281 = ((bool_t)0)
; } } } } 
return 
BBOOL(BgL_tmpz00_5281);} } 

}



/* &tailpos-ev_labels1419 */
obj_t BGl_z62tailposzd2ev_labels1419zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3552, obj_t BgL_ez00_3553, obj_t BgL_vz00_3554)
{
{ /* Eval/evaluate_fsize.scm 470 */
{ /* Eval/evaluate_fsize.scm 472 */
 bool_t BgL_test2530z00_5298;
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_g1239z00_4156;
BgL_g1239z00_4156 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3553)))->BgL_valsz00); 
{ 
 obj_t BgL_l1237z00_4158;
BgL_l1237z00_4158 = BgL_g1239z00_4156; 
BgL_zc3z04anonymousza31798ze3z87_4157:
if(
NULLP(BgL_l1237z00_4158))
{ /* Eval/evaluate_fsize.scm 472 */
BgL_test2530z00_5298 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_nvz00_4159;
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_ez00_4160;
BgL_ez00_4160 = 
CAR(
((obj_t)BgL_l1237z00_4158)); 
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_arg1801z00_4161;
BgL_arg1801z00_4161 = 
CDR(
((obj_t)BgL_ez00_4160)); 
BgL_nvz00_4159 = 
BGl_tailposz00zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1801z00_4161), 
((BgL_ev_varz00_bglt)BgL_vz00_3554)); } } 
if(
CBOOL(BgL_nvz00_4159))
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_arg1800z00_4162;
BgL_arg1800z00_4162 = 
CDR(
((obj_t)BgL_l1237z00_4158)); 
{ 
 obj_t BgL_l1237z00_5314;
BgL_l1237z00_5314 = BgL_arg1800z00_4162; 
BgL_l1237z00_4158 = BgL_l1237z00_5314; 
goto BgL_zc3z04anonymousza31798ze3z87_4157;} }  else 
{ /* Eval/evaluate_fsize.scm 472 */
BgL_test2530z00_5298 = ((bool_t)0)
; } } } } 
if(BgL_test2530z00_5298)
{ /* Eval/evaluate_fsize.scm 472 */
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3553)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3554));}  else 
{ /* Eval/evaluate_fsize.scm 472 */
return BFALSE;} } } 

}



/* &tailpos-ev_letrec1417 */
obj_t BGl_z62tailposzd2ev_letrec1417zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3555, obj_t BgL_ez00_3556, obj_t BgL_vz00_3557)
{
{ /* Eval/evaluate_fsize.scm 465 */
{ /* Eval/evaluate_fsize.scm 467 */
 bool_t BgL_test2533z00_5319;
{ /* Eval/evaluate_fsize.scm 467 */
 obj_t BgL_g1235z00_4165;
BgL_g1235z00_4165 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3556))))->BgL_valsz00); 
{ 
 obj_t BgL_l1233z00_4167;
BgL_l1233z00_4167 = BgL_g1235z00_4165; 
BgL_zc3z04anonymousza31793ze3z87_4166:
if(
NULLP(BgL_l1233z00_4167))
{ /* Eval/evaluate_fsize.scm 467 */
BgL_test2533z00_5319 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 467 */
 bool_t BgL_test2535z00_5325;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1233z00_4167))), 
((BgL_ev_varz00_bglt)BgL_vz00_3557))))
{ /* Eval/evaluate_fsize.scm 467 */
BgL_test2535z00_5325 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 467 */
BgL_test2535z00_5325 = ((bool_t)1)
; } 
if(BgL_test2535z00_5325)
{ /* Eval/evaluate_fsize.scm 467 */
 obj_t BgL_arg1795z00_4168;
BgL_arg1795z00_4168 = 
CDR(
((obj_t)BgL_l1233z00_4167)); 
{ 
 obj_t BgL_l1233z00_5335;
BgL_l1233z00_5335 = BgL_arg1795z00_4168; 
BgL_l1233z00_4167 = BgL_l1233z00_5335; 
goto BgL_zc3z04anonymousza31793ze3z87_4166;} }  else 
{ /* Eval/evaluate_fsize.scm 467 */
BgL_test2533z00_5319 = ((bool_t)0)
; } } } } 
if(BgL_test2533z00_5319)
{ /* Eval/evaluate_fsize.scm 468 */
 BgL_ev_exprz00_bglt BgL_arg1792z00_4169;
BgL_arg1792z00_4169 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3556))))->BgL_bodyz00); 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1792z00_4169, 
((BgL_ev_varz00_bglt)BgL_vz00_3557));}  else 
{ /* Eval/evaluate_fsize.scm 467 */
return BFALSE;} } } 

}



/* &tailpos-ev_let*1415 */
obj_t BGl_z62tailposzd2ev_letza21415z12zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3558, obj_t BgL_ez00_3559, obj_t BgL_vz00_3560)
{
{ /* Eval/evaluate_fsize.scm 460 */
{ /* Eval/evaluate_fsize.scm 462 */
 bool_t BgL_test2537z00_5341;
{ /* Eval/evaluate_fsize.scm 462 */
 obj_t BgL_g1231z00_4172;
BgL_g1231z00_4172 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_3559))))->BgL_valsz00); 
{ 
 obj_t BgL_l1229z00_4174;
BgL_l1229z00_4174 = BgL_g1231z00_4172; 
BgL_zc3z04anonymousza31788ze3z87_4173:
if(
NULLP(BgL_l1229z00_4174))
{ /* Eval/evaluate_fsize.scm 462 */
BgL_test2537z00_5341 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 462 */
 bool_t BgL_test2539z00_5347;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1229z00_4174))), 
((BgL_ev_varz00_bglt)BgL_vz00_3560))))
{ /* Eval/evaluate_fsize.scm 462 */
BgL_test2539z00_5347 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 462 */
BgL_test2539z00_5347 = ((bool_t)1)
; } 
if(BgL_test2539z00_5347)
{ /* Eval/evaluate_fsize.scm 462 */
 obj_t BgL_arg1790z00_4175;
BgL_arg1790z00_4175 = 
CDR(
((obj_t)BgL_l1229z00_4174)); 
{ 
 obj_t BgL_l1229z00_5357;
BgL_l1229z00_5357 = BgL_arg1790z00_4175; 
BgL_l1229z00_4174 = BgL_l1229z00_5357; 
goto BgL_zc3z04anonymousza31788ze3z87_4173;} }  else 
{ /* Eval/evaluate_fsize.scm 462 */
BgL_test2537z00_5341 = ((bool_t)0)
; } } } } 
if(BgL_test2537z00_5341)
{ /* Eval/evaluate_fsize.scm 463 */
 BgL_ev_exprz00_bglt BgL_arg1787z00_4176;
BgL_arg1787z00_4176 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_3559))))->BgL_bodyz00); 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1787z00_4176, 
((BgL_ev_varz00_bglt)BgL_vz00_3560));}  else 
{ /* Eval/evaluate_fsize.scm 462 */
return BFALSE;} } } 

}



/* &tailpos-ev_let1413 */
obj_t BGl_z62tailposzd2ev_let1413zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3561, obj_t BgL_ez00_3562, obj_t BgL_vz00_3563)
{
{ /* Eval/evaluate_fsize.scm 455 */
{ /* Eval/evaluate_fsize.scm 457 */
 bool_t BgL_test2541z00_5363;
{ /* Eval/evaluate_fsize.scm 457 */
 obj_t BgL_g1227z00_4179;
BgL_g1227z00_4179 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_3562))))->BgL_valsz00); 
{ 
 obj_t BgL_l1225z00_4181;
BgL_l1225z00_4181 = BgL_g1227z00_4179; 
BgL_zc3z04anonymousza31783ze3z87_4180:
if(
NULLP(BgL_l1225z00_4181))
{ /* Eval/evaluate_fsize.scm 457 */
BgL_test2541z00_5363 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 457 */
 bool_t BgL_test2543z00_5369;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1225z00_4181))), 
((BgL_ev_varz00_bglt)BgL_vz00_3563))))
{ /* Eval/evaluate_fsize.scm 457 */
BgL_test2543z00_5369 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 457 */
BgL_test2543z00_5369 = ((bool_t)1)
; } 
if(BgL_test2543z00_5369)
{ /* Eval/evaluate_fsize.scm 457 */
 obj_t BgL_arg1785z00_4182;
BgL_arg1785z00_4182 = 
CDR(
((obj_t)BgL_l1225z00_4181)); 
{ 
 obj_t BgL_l1225z00_5379;
BgL_l1225z00_5379 = BgL_arg1785z00_4182; 
BgL_l1225z00_4181 = BgL_l1225z00_5379; 
goto BgL_zc3z04anonymousza31783ze3z87_4180;} }  else 
{ /* Eval/evaluate_fsize.scm 457 */
BgL_test2541z00_5363 = ((bool_t)0)
; } } } } 
if(BgL_test2541z00_5363)
{ /* Eval/evaluate_fsize.scm 458 */
 BgL_ev_exprz00_bglt BgL_arg1782z00_4183;
BgL_arg1782z00_4183 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_3562))))->BgL_bodyz00); 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1782z00_4183, 
((BgL_ev_varz00_bglt)BgL_vz00_3563));}  else 
{ /* Eval/evaluate_fsize.scm 457 */
return BFALSE;} } } 

}



/* &tailpos-ev_synchroni1411 */
obj_t BGl_z62tailposzd2ev_synchroni1411zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3564, obj_t BgL_ez00_3565, obj_t BgL_vz00_3566)
{
{ /* Eval/evaluate_fsize.scm 451 */
{ /* Eval/evaluate_fsize.scm 452 */
 bool_t BgL_tmpz00_5385;
{ /* Eval/evaluate_fsize.scm 453 */
 obj_t BgL__andtest_1133z00_4186;
BgL__andtest_1133z00_4186 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3565)))->BgL_mutexz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3566)); 
if(
CBOOL(BgL__andtest_1133z00_4186))
{ /* Eval/evaluate_fsize.scm 453 */
BgL_tmpz00_5385 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 453 */
 obj_t BgL__andtest_1134z00_4187;
BgL__andtest_1134z00_4187 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3565)))->BgL_prelockz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3566)); 
if(
CBOOL(BgL__andtest_1134z00_4187))
{ /* Eval/evaluate_fsize.scm 453 */
BgL_tmpz00_5385 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 453 */
 bool_t BgL_test2547z00_5398;
{ /* Eval/evaluate_fsize.scm 453 */
 BgL_ev_exprz00_bglt BgL_arg1779z00_4188;
BgL_arg1779z00_4188 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3565)))->BgL_bodyz00); 
BgL_test2547z00_5398 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1779z00_4188, 
((BgL_ev_varz00_bglt)BgL_vz00_3566))); } 
if(BgL_test2547z00_5398)
{ /* Eval/evaluate_fsize.scm 453 */
BgL_tmpz00_5385 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 453 */
BgL_tmpz00_5385 = ((bool_t)1)
; } } } } 
return 
BBOOL(BgL_tmpz00_5385);} } 

}



/* &tailpos-ev_with-hand1409 */
obj_t BGl_z62tailposzd2ev_withzd2hand1409z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3567, obj_t BgL_ez00_3568, obj_t BgL_vz00_3569)
{
{ /* Eval/evaluate_fsize.scm 447 */
{ /* Eval/evaluate_fsize.scm 448 */
 bool_t BgL_tmpz00_5405;
{ /* Eval/evaluate_fsize.scm 449 */
 obj_t BgL__andtest_1131z00_4191;
BgL__andtest_1131z00_4191 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3568)))->BgL_handlerz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3569)); 
if(
CBOOL(BgL__andtest_1131z00_4191))
{ /* Eval/evaluate_fsize.scm 449 */
BgL_tmpz00_5405 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 449 */
 bool_t BgL_test2549z00_5412;
{ /* Eval/evaluate_fsize.scm 449 */
 BgL_ev_exprz00_bglt BgL_arg1775z00_4192;
BgL_arg1775z00_4192 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3568)))->BgL_bodyz00); 
BgL_test2549z00_5412 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1775z00_4192, 
((BgL_ev_varz00_bglt)BgL_vz00_3569))); } 
if(BgL_test2549z00_5412)
{ /* Eval/evaluate_fsize.scm 449 */
BgL_tmpz00_5405 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 449 */
BgL_tmpz00_5405 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_5405);} } 

}



/* &tailpos-ev_unwind-pr1407 */
obj_t BGl_z62tailposzd2ev_unwindzd2pr1407z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3570, obj_t BgL_ez00_3571, obj_t BgL_vz00_3572)
{
{ /* Eval/evaluate_fsize.scm 443 */
{ /* Eval/evaluate_fsize.scm 444 */
 bool_t BgL_tmpz00_5419;
{ /* Eval/evaluate_fsize.scm 445 */
 obj_t BgL__andtest_1129z00_4195;
BgL__andtest_1129z00_4195 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3571)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3572)); 
if(
CBOOL(BgL__andtest_1129z00_4195))
{ /* Eval/evaluate_fsize.scm 445 */
BgL_tmpz00_5419 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 445 */
 bool_t BgL_test2551z00_5426;
{ /* Eval/evaluate_fsize.scm 445 */
 BgL_ev_exprz00_bglt BgL_arg1770z00_4196;
BgL_arg1770z00_4196 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3571)))->BgL_bodyz00); 
BgL_test2551z00_5426 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1770z00_4196, 
((BgL_ev_varz00_bglt)BgL_vz00_3572))); } 
if(BgL_test2551z00_5426)
{ /* Eval/evaluate_fsize.scm 445 */
BgL_tmpz00_5419 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 445 */
BgL_tmpz00_5419 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_5419);} } 

}



/* &tailpos-ev_bind-exit1405 */
obj_t BGl_z62tailposzd2ev_bindzd2exit1405z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3573, obj_t BgL_ez00_3574, obj_t BgL_vz00_3575)
{
{ /* Eval/evaluate_fsize.scm 439 */
{ /* Eval/evaluate_fsize.scm 440 */
 bool_t BgL_tmpz00_5433;
{ /* Eval/evaluate_fsize.scm 441 */
 bool_t BgL_test2552z00_5434;
{ /* Eval/evaluate_fsize.scm 441 */
 BgL_ev_exprz00_bglt BgL_arg1767z00_4199;
BgL_arg1767z00_4199 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3574)))->BgL_bodyz00); 
BgL_test2552z00_5434 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1767z00_4199, 
((BgL_ev_varz00_bglt)BgL_vz00_3575))); } 
if(BgL_test2552z00_5434)
{ /* Eval/evaluate_fsize.scm 441 */
BgL_tmpz00_5433 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 441 */
BgL_tmpz00_5433 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_5433);} } 

}



/* &tailpos-ev_setlocal1403 */
obj_t BGl_z62tailposzd2ev_setlocal1403zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3576, obj_t BgL_ez00_3577, obj_t BgL_varz00_3578)
{
{ /* Eval/evaluate_fsize.scm 435 */
{ /* Eval/evaluate_fsize.scm 436 */
 bool_t BgL_tmpz00_5441;
if(
(
((obj_t)
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_3577)))->BgL_vz00))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_3578))))
{ /* Eval/evaluate_fsize.scm 437 */
BgL_tmpz00_5441 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 437 */
 bool_t BgL_test2554z00_5449;
{ /* Eval/evaluate_fsize.scm 437 */
 BgL_ev_exprz00_bglt BgL_arg1763z00_4202;
BgL_arg1763z00_4202 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_3577))))->BgL_ez00); 
BgL_test2554z00_5449 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1763z00_4202, 
((BgL_ev_varz00_bglt)BgL_varz00_3578))); } 
if(BgL_test2554z00_5449)
{ /* Eval/evaluate_fsize.scm 437 */
BgL_tmpz00_5441 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 437 */
BgL_tmpz00_5441 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_5441);} } 

}



/* &tailpos-ev_hook1401 */
obj_t BGl_z62tailposzd2ev_hook1401zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3579, obj_t BgL_ez00_3580, obj_t BgL_vz00_3581)
{
{ /* Eval/evaluate_fsize.scm 431 */
{ /* Eval/evaluate_fsize.scm 432 */
 bool_t BgL_tmpz00_5457;
{ /* Eval/evaluate_fsize.scm 433 */
 bool_t BgL_test2555z00_5458;
{ /* Eval/evaluate_fsize.scm 433 */
 BgL_ev_exprz00_bglt BgL_arg1760z00_4205;
BgL_arg1760z00_4205 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_ez00_3580)))->BgL_ez00); 
BgL_test2555z00_5458 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1760z00_4205, 
((BgL_ev_varz00_bglt)BgL_vz00_3581))); } 
if(BgL_test2555z00_5458)
{ /* Eval/evaluate_fsize.scm 433 */
BgL_tmpz00_5457 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 433 */
BgL_tmpz00_5457 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_5457);} } 

}



/* &tailpos-ev_prog21399 */
obj_t BGl_z62tailposzd2ev_prog21399zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3582, obj_t BgL_ez00_3583, obj_t BgL_vz00_3584)
{
{ /* Eval/evaluate_fsize.scm 427 */
{ /* Eval/evaluate_fsize.scm 429 */
 obj_t BgL__andtest_1123z00_4208;
BgL__andtest_1123z00_4208 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3583)))->BgL_e1z00), 
((BgL_ev_varz00_bglt)BgL_vz00_3584)); 
if(
CBOOL(BgL__andtest_1123z00_4208))
{ /* Eval/evaluate_fsize.scm 429 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 429 */
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3583)))->BgL_e2z00), 
((BgL_ev_varz00_bglt)BgL_vz00_3584));} } } 

}



/* &tailpos-ev_list1397 */
obj_t BGl_z62tailposzd2ev_list1397zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3585, obj_t BgL_ez00_3586, obj_t BgL_vz00_3587)
{
{ /* Eval/evaluate_fsize.scm 419 */
{ 
 obj_t BgL_lz00_4212;
BgL_lz00_4212 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3586)))->BgL_argsz00); 
BgL_recz00_4211:
if(
NULLP(
CDR(
((obj_t)BgL_lz00_4212))))
{ /* Eval/evaluate_fsize.scm 423 */
 obj_t BgL_arg1752z00_4213;
BgL_arg1752z00_4213 = 
CAR(
((obj_t)BgL_lz00_4212)); 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1752z00_4213), 
((BgL_ev_varz00_bglt)BgL_vz00_3587));}  else 
{ /* Eval/evaluate_fsize.scm 424 */
 obj_t BgL__andtest_1121z00_4214;
{ /* Eval/evaluate_fsize.scm 424 */
 obj_t BgL_arg1754z00_4215;
BgL_arg1754z00_4215 = 
CAR(
((obj_t)BgL_lz00_4212)); 
BgL__andtest_1121z00_4214 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1754z00_4215), 
((BgL_ev_varz00_bglt)BgL_vz00_3587)); } 
if(
CBOOL(BgL__andtest_1121z00_4214))
{ /* Eval/evaluate_fsize.scm 424 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 425 */
 obj_t BgL_arg1753z00_4216;
BgL_arg1753z00_4216 = 
CDR(
((obj_t)BgL_lz00_4212)); 
{ 
 obj_t BgL_lz00_5493;
BgL_lz00_5493 = BgL_arg1753z00_4216; 
BgL_lz00_4212 = BgL_lz00_5493; 
goto BgL_recz00_4211;} } } } } 

}



/* &tailpos-ev_if1395 */
obj_t BGl_z62tailposzd2ev_if1395zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3588, obj_t BgL_ez00_3589, obj_t BgL_vz00_3590)
{
{ /* Eval/evaluate_fsize.scm 415 */
{ /* Eval/evaluate_fsize.scm 417 */
 obj_t BgL__andtest_1118z00_4219;
BgL__andtest_1118z00_4219 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3589)))->BgL_pz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3590)); 
if(
CBOOL(BgL__andtest_1118z00_4219))
{ /* Eval/evaluate_fsize.scm 417 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 417 */
 obj_t BgL__andtest_1119z00_4220;
BgL__andtest_1119z00_4220 = 
BGl_tailposz00zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3589)))->BgL_tz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3590)); 
if(
CBOOL(BgL__andtest_1119z00_4220))
{ /* Eval/evaluate_fsize.scm 417 */
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3589)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3590));}  else 
{ /* Eval/evaluate_fsize.scm 417 */
return BFALSE;} } } } 

}



/* &tailpos-ev_litt1393 */
obj_t BGl_z62tailposzd2ev_litt1393zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3591, obj_t BgL_ez00_3592, obj_t BgL_vz00_3593)
{
{ /* Eval/evaluate_fsize.scm 412 */
return 
BBOOL(((bool_t)1));} 

}



/* &tailpos-ev_global1391 */
obj_t BGl_z62tailposzd2ev_global1391zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3594, obj_t BgL_ez00_3595, obj_t BgL_vz00_3596)
{
{ /* Eval/evaluate_fsize.scm 409 */
return 
BBOOL(((bool_t)1));} 

}



/* &tailpos-ev_var1389 */
obj_t BGl_z62tailposzd2ev_var1389zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3597, obj_t BgL_ez00_3598, obj_t BgL_vz00_3599)
{
{ /* Eval/evaluate_fsize.scm 406 */
{ /* Eval/evaluate_fsize.scm 407 */
 bool_t BgL_tmpz00_5514;
if(
(
((obj_t)
((BgL_ev_varz00_bglt)BgL_ez00_3598))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_vz00_3599))))
{ /* Eval/evaluate_fsize.scm 407 */
BgL_tmpz00_5514 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 407 */
BgL_tmpz00_5514 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_5514);} } 

}



/* &subst_goto-ev_abs1385 */
obj_t BGl_z62subst_gotozd2ev_abs1385zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3600, obj_t BgL_ez00_3601, obj_t BgL_varsz00_3602, obj_t BgL_lblsz00_3603)
{
{ /* Eval/evaluate_fsize.scm 394 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_5522;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5523;
{ /* Eval/evaluate_fsize.scm 396 */
 BgL_ev_exprz00_bglt BgL_arg1742z00_4228;
BgL_arg1742z00_4228 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3601)))->BgL_bodyz00); 
BgL_auxz00_5523 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1742z00_4228, BgL_varsz00_3602, BgL_lblsz00_3603)); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3601)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5523),BUNSPEC); } 
BgL_auxz00_5522 = 
((BgL_ev_absz00_bglt)BgL_ez00_3601); 
return 
((obj_t)BgL_auxz00_5522);} } 

}



/* &subst_goto-ev_app1383 */
obj_t BGl_z62subst_gotozd2ev_app1383zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3604, obj_t BgL_ez00_3605, obj_t BgL_varsz00_3606, obj_t BgL_lblsz00_3607)
{
{ /* Eval/evaluate_fsize.scm 384 */
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5532;
BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3605)))->BgL_argsz00), BgL_varsz00_3606, BgL_lblsz00_3607); 
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3605)))->BgL_funz00)), BgL_varsz00_3606)))
{ /* Eval/evaluate_fsize.scm 389 */
 BgL_ev_gotoz00_bglt BgL_new1114z00_4230;
{ /* Eval/evaluate_fsize.scm 389 */
 BgL_ev_gotoz00_bglt BgL_new1113z00_4231;
BgL_new1113z00_4231 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_fsize.scm 389 */
 long BgL_arg1739z00_4232;
BgL_arg1739z00_4232 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_4231), BgL_arg1739z00_4232); } 
BgL_new1114z00_4230 = BgL_new1113z00_4231; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1114z00_4230))->BgL_locz00)=((obj_t)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3605)))->BgL_locz00)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1114z00_4230))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3605)))->BgL_funz00))),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1114z00_4230))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_lblsz00_3607)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1114z00_4230))->BgL_argsz00)=((obj_t)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3605)))->BgL_argsz00)),BUNSPEC); 
BgL_auxz00_5532 = 
((BgL_ev_exprz00_bglt)BgL_new1114z00_4230); }  else 
{ /* Eval/evaluate_fsize.scm 388 */
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5559;
{ /* Eval/evaluate_fsize.scm 390 */
 BgL_ev_exprz00_bglt BgL_arg1740z00_4233;
BgL_arg1740z00_4233 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3605)))->BgL_funz00); 
BgL_auxz00_5559 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1740z00_4233, BgL_varsz00_3606, BgL_lblsz00_3607)); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3605)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5559),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3605)))->BgL_tailzf3zf3)=((obj_t)BFALSE),BUNSPEC); 
BgL_auxz00_5532 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_appz00_bglt)BgL_ez00_3605)); } 
return 
((obj_t)BgL_auxz00_5532);} } 

}



/* &subst_goto-ev_goto1381 */
obj_t BGl_z62subst_gotozd2ev_goto1381zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3608, obj_t BgL_ez00_3609, obj_t BgL_varsz00_3610, obj_t BgL_lblsz00_3611)
{
{ /* Eval/evaluate_fsize.scm 372 */
{ 
 BgL_ev_gotoz00_bglt BgL_auxz00_5571;
BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_3609)))->BgL_argsz00), BgL_varsz00_3610, BgL_lblsz00_3611); 
BgL_auxz00_5571 = 
((BgL_ev_gotoz00_bglt)BgL_ez00_3609); 
return 
((obj_t)BgL_auxz00_5571);} } 

}



/* &subst_goto-ev_labels1379 */
obj_t BGl_z62subst_gotozd2ev_labels1379zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3612, obj_t BgL_ez00_3613, obj_t BgL_varsz00_3614, obj_t BgL_lblsz00_3615)
{
{ /* Eval/evaluate_fsize.scm 363 */
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_5577;
{ 
 obj_t BgL_lz00_4237;
BgL_lz00_4237 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3613)))->BgL_valsz00); 
BgL_recz00_4236:
if(
NULLP(BgL_lz00_4237))
{ /* Eval/evaluate_fsize.scm 366 */((bool_t)0); }  else 
{ /* Eval/evaluate_fsize.scm 366 */
{ /* Eval/evaluate_fsize.scm 367 */
 obj_t BgL_arg1730z00_4238; obj_t BgL_arg1731z00_4239;
BgL_arg1730z00_4238 = 
CAR(
((obj_t)BgL_lz00_4237)); 
{ /* Eval/evaluate_fsize.scm 367 */
 obj_t BgL_arg1732z00_4240;
{ /* Eval/evaluate_fsize.scm 367 */
 obj_t BgL_pairz00_4241;
BgL_pairz00_4241 = 
CAR(
((obj_t)BgL_lz00_4237)); 
BgL_arg1732z00_4240 = 
CDR(BgL_pairz00_4241); } 
BgL_arg1731z00_4239 = 
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1732z00_4240), BgL_varsz00_3614, BgL_lblsz00_3615); } 
{ /* Eval/evaluate_fsize.scm 367 */
 obj_t BgL_tmpz00_5587;
BgL_tmpz00_5587 = 
((obj_t)BgL_arg1730z00_4238); 
SET_CDR(BgL_tmpz00_5587, BgL_arg1731z00_4239); } } 
{ /* Eval/evaluate_fsize.scm 368 */
 obj_t BgL_arg1733z00_4242;
BgL_arg1733z00_4242 = 
CDR(
((obj_t)BgL_lz00_4237)); 
{ 
 obj_t BgL_lz00_5592;
BgL_lz00_5592 = BgL_arg1733z00_4242; 
BgL_lz00_4237 = BgL_lz00_5592; 
goto BgL_recz00_4236;} } } } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5595;
{ /* Eval/evaluate_fsize.scm 369 */
 BgL_ev_exprz00_bglt BgL_arg1734z00_4243;
BgL_arg1734z00_4243 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3613)))->BgL_bodyz00); 
BgL_auxz00_5595 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1734z00_4243, BgL_varsz00_3614, BgL_lblsz00_3615)); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3613)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5595),BUNSPEC); } 
BgL_auxz00_5577 = 
((BgL_ev_labelsz00_bglt)BgL_ez00_3613); 
return 
((obj_t)BgL_auxz00_5577);} } 

}



/* &subst_goto-ev_binder1377 */
obj_t BGl_z62subst_gotozd2ev_binder1377zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3616, obj_t BgL_ez00_3617, obj_t BgL_varsz00_3618, obj_t BgL_lblsz00_3619)
{
{ /* Eval/evaluate_fsize.scm 357 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_5604;
BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3617)))->BgL_valsz00), BgL_varsz00_3618, BgL_lblsz00_3619); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5608;
{ /* Eval/evaluate_fsize.scm 360 */
 BgL_ev_exprz00_bglt BgL_arg1726z00_4245;
BgL_arg1726z00_4245 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3617)))->BgL_bodyz00); 
BgL_auxz00_5608 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1726z00_4245, BgL_varsz00_3618, BgL_lblsz00_3619)); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3617)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5608),BUNSPEC); } 
BgL_auxz00_5604 = 
((BgL_ev_binderz00_bglt)BgL_ez00_3617); 
return 
((obj_t)BgL_auxz00_5604);} } 

}



/* &subst_goto-ev_synchr1375 */
obj_t BGl_z62subst_gotozd2ev_synchr1375zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3620, obj_t BgL_ez00_3621, obj_t BgL_varsz00_3622, obj_t BgL_lblsz00_3623)
{
{ /* Eval/evaluate_fsize.scm 350 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5617;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5618;
{ /* Eval/evaluate_fsize.scm 352 */
 BgL_ev_exprz00_bglt BgL_arg1722z00_4247;
BgL_arg1722z00_4247 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3621)))->BgL_mutexz00); 
BgL_auxz00_5618 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1722z00_4247, BgL_varsz00_3622, BgL_lblsz00_3623)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3621)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5618),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5625;
{ /* Eval/evaluate_fsize.scm 353 */
 BgL_ev_exprz00_bglt BgL_arg1723z00_4248;
BgL_arg1723z00_4248 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3621)))->BgL_prelockz00); 
BgL_auxz00_5625 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1723z00_4248, BgL_varsz00_3622, BgL_lblsz00_3623)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3621)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5625),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5632;
{ /* Eval/evaluate_fsize.scm 354 */
 BgL_ev_exprz00_bglt BgL_arg1724z00_4249;
BgL_arg1724z00_4249 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3621)))->BgL_bodyz00); 
BgL_auxz00_5632 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1724z00_4249, BgL_varsz00_3622, BgL_lblsz00_3623)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3621)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5632),BUNSPEC); } 
BgL_auxz00_5617 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3621); 
return 
((obj_t)BgL_auxz00_5617);} } 

}



/* &subst_goto-ev_with-h1373 */
obj_t BGl_z62subst_gotozd2ev_withzd2h1373z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3624, obj_t BgL_ez00_3625, obj_t BgL_varsz00_3626, obj_t BgL_lblsz00_3627)
{
{ /* Eval/evaluate_fsize.scm 344 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5641;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5642;
{ /* Eval/evaluate_fsize.scm 346 */
 BgL_ev_exprz00_bglt BgL_arg1720z00_4251;
BgL_arg1720z00_4251 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3625)))->BgL_handlerz00); 
BgL_auxz00_5642 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1720z00_4251, BgL_varsz00_3626, BgL_lblsz00_3627)); } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3625)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5642),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5649;
{ /* Eval/evaluate_fsize.scm 347 */
 BgL_ev_exprz00_bglt BgL_arg1721z00_4252;
BgL_arg1721z00_4252 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3625)))->BgL_bodyz00); 
BgL_auxz00_5649 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1721z00_4252, BgL_varsz00_3626, BgL_lblsz00_3627)); } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3625)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5649),BUNSPEC); } 
BgL_auxz00_5641 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3625); 
return 
((obj_t)BgL_auxz00_5641);} } 

}



/* &subst_goto-ev_unwind1371 */
obj_t BGl_z62subst_gotozd2ev_unwind1371zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3628, obj_t BgL_exprz00_3629, obj_t BgL_varsz00_3630, obj_t BgL_lblsz00_3631)
{
{ /* Eval/evaluate_fsize.scm 338 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5658;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5659;
{ /* Eval/evaluate_fsize.scm 340 */
 BgL_ev_exprz00_bglt BgL_arg1718z00_4254;
BgL_arg1718z00_4254 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3629)))->BgL_ez00); 
BgL_auxz00_5659 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1718z00_4254, BgL_varsz00_3630, BgL_lblsz00_3631)); } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3629)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5659),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5666;
{ /* Eval/evaluate_fsize.scm 341 */
 BgL_ev_exprz00_bglt BgL_arg1719z00_4255;
BgL_arg1719z00_4255 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3629)))->BgL_bodyz00); 
BgL_auxz00_5666 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1719z00_4255, BgL_varsz00_3630, BgL_lblsz00_3631)); } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3629)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5666),BUNSPEC); } 
BgL_auxz00_5658 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3629); 
return 
((obj_t)BgL_auxz00_5658);} } 

}



/* &subst_goto-ev_bind-e1369 */
obj_t BGl_z62subst_gotozd2ev_bindzd2e1369z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3632, obj_t BgL_ez00_3633, obj_t BgL_varsz00_3634, obj_t BgL_lblsz00_3635)
{
{ /* Eval/evaluate_fsize.scm 333 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5675;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5676;
{ /* Eval/evaluate_fsize.scm 335 */
 BgL_ev_exprz00_bglt BgL_arg1713z00_4257;
BgL_arg1713z00_4257 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3633)))->BgL_bodyz00); 
BgL_auxz00_5676 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1713z00_4257, BgL_varsz00_3634, BgL_lblsz00_3635)); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3633)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5676),BUNSPEC); } 
BgL_auxz00_5675 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3633); 
return 
((obj_t)BgL_auxz00_5675);} } 

}



/* &subst_goto-ev_hook1367 */
obj_t BGl_z62subst_gotozd2ev_hook1367zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3636, obj_t BgL_exprz00_3637, obj_t BgL_varsz00_3638, obj_t BgL_lblsz00_3639)
{
{ /* Eval/evaluate_fsize.scm 328 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5685;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5686;
{ /* Eval/evaluate_fsize.scm 330 */
 BgL_ev_exprz00_bglt BgL_arg1712z00_4259;
BgL_arg1712z00_4259 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_exprz00_3637)))->BgL_ez00); 
BgL_auxz00_5686 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1712z00_4259, BgL_varsz00_3638, BgL_lblsz00_3639)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_exprz00_3637)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5686),BUNSPEC); } 
BgL_auxz00_5685 = 
((BgL_ev_hookz00_bglt)BgL_exprz00_3637); 
return 
((obj_t)BgL_auxz00_5685);} } 

}



/* &subst_goto-ev_prog21365 */
obj_t BGl_z62subst_gotozd2ev_prog21365zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3640, obj_t BgL_ez00_3641, obj_t BgL_varsz00_3642, obj_t BgL_lblsz00_3643)
{
{ /* Eval/evaluate_fsize.scm 322 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5695;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5696;
{ /* Eval/evaluate_fsize.scm 324 */
 BgL_ev_exprz00_bglt BgL_arg1710z00_4261;
BgL_arg1710z00_4261 = 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3641)))->BgL_e1z00); 
BgL_auxz00_5696 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1710z00_4261, BgL_varsz00_3642, BgL_lblsz00_3643)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3641)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5696),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5703;
{ /* Eval/evaluate_fsize.scm 325 */
 BgL_ev_exprz00_bglt BgL_arg1711z00_4262;
BgL_arg1711z00_4262 = 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3641)))->BgL_e2z00); 
BgL_auxz00_5703 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1711z00_4262, BgL_varsz00_3642, BgL_lblsz00_3643)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3641)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5703),BUNSPEC); } 
BgL_auxz00_5695 = 
((BgL_ev_prog2z00_bglt)BgL_ez00_3641); 
return 
((obj_t)BgL_auxz00_5695);} } 

}



/* &subst_goto-ev_list1363 */
obj_t BGl_z62subst_gotozd2ev_list1363zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3644, obj_t BgL_ez00_3645, obj_t BgL_varsz00_3646, obj_t BgL_lblsz00_3647)
{
{ /* Eval/evaluate_fsize.scm 317 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5712;
BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3645)))->BgL_argsz00), BgL_varsz00_3646, BgL_lblsz00_3647); 
BgL_auxz00_5712 = 
((BgL_ev_listz00_bglt)BgL_ez00_3645); 
return 
((obj_t)BgL_auxz00_5712);} } 

}



/* &subst_goto-ev_if1361 */
obj_t BGl_z62subst_gotozd2ev_if1361zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3648, obj_t BgL_exprz00_3649, obj_t BgL_varsz00_3650, obj_t BgL_lblsz00_3651)
{
{ /* Eval/evaluate_fsize.scm 310 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5718;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5719;
{ /* Eval/evaluate_fsize.scm 312 */
 BgL_ev_exprz00_bglt BgL_arg1706z00_4265;
BgL_arg1706z00_4265 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3649)))->BgL_pz00); 
BgL_auxz00_5719 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1706z00_4265, BgL_varsz00_3650, BgL_lblsz00_3651)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3649)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5719),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5726;
{ /* Eval/evaluate_fsize.scm 313 */
 BgL_ev_exprz00_bglt BgL_arg1707z00_4266;
BgL_arg1707z00_4266 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3649)))->BgL_tz00); 
BgL_auxz00_5726 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1707z00_4266, BgL_varsz00_3650, BgL_lblsz00_3651)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3649)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5726),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5733;
{ /* Eval/evaluate_fsize.scm 314 */
 BgL_ev_exprz00_bglt BgL_arg1708z00_4267;
BgL_arg1708z00_4267 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3649)))->BgL_ez00); 
BgL_auxz00_5733 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1708z00_4267, BgL_varsz00_3650, BgL_lblsz00_3651)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3649)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5733),BUNSPEC); } 
BgL_auxz00_5718 = 
((BgL_ev_ifz00_bglt)BgL_exprz00_3649); 
return 
((obj_t)BgL_auxz00_5718);} } 

}



/* &subst_goto-ev_litt1359 */
obj_t BGl_z62subst_gotozd2ev_litt1359zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3652, obj_t BgL_ez00_3653, obj_t BgL_varsz00_3654, obj_t BgL_lblsz00_3655)
{
{ /* Eval/evaluate_fsize.scm 307 */
return 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_3653));} 

}



/* &subst_goto-ev_global1357 */
obj_t BGl_z62subst_gotozd2ev_global1357zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3656, obj_t BgL_ez00_3657, obj_t BgL_varsz00_3658, obj_t BgL_lblsz00_3659)
{
{ /* Eval/evaluate_fsize.scm 304 */
return 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_ez00_3657));} 

}



/* &subst_goto-ev_var1355 */
obj_t BGl_z62subst_gotozd2ev_var1355zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3660, obj_t BgL_ez00_3661, obj_t BgL_varsz00_3662, obj_t BgL_lblsz00_3663)
{
{ /* Eval/evaluate_fsize.scm 301 */
return 
((obj_t)
((BgL_ev_varz00_bglt)BgL_ez00_3661));} 

}



/* &search-letrec-ev_abs1351 */
obj_t BGl_z62searchzd2letreczd2ev_abs1351z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3664, obj_t BgL_ez00_3665)
{
{ /* Eval/evaluate_fsize.scm 260 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_5748;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5749;
{ /* Eval/evaluate_fsize.scm 262 */
 BgL_ev_exprz00_bglt BgL_arg1704z00_4272;
BgL_arg1704z00_4272 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3665)))->BgL_bodyz00); 
BgL_auxz00_5749 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1704z00_4272)); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3665)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5749),BUNSPEC); } 
BgL_auxz00_5748 = 
((BgL_ev_absz00_bglt)BgL_ez00_3665); 
return 
((obj_t)BgL_auxz00_5748);} } 

}



/* &search-letrec-ev_app1349 */
obj_t BGl_z62searchzd2letreczd2ev_app1349z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3666, obj_t BgL_ez00_3667)
{
{ /* Eval/evaluate_fsize.scm 254 */
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5758;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5759;
{ /* Eval/evaluate_fsize.scm 256 */
 BgL_ev_exprz00_bglt BgL_arg1700z00_4274;
BgL_arg1700z00_4274 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3667)))->BgL_funz00); 
BgL_auxz00_5759 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1700z00_4274)); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3667)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5759),BUNSPEC); } 
BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3667)))->BgL_argsz00)); 
BgL_auxz00_5758 = 
((BgL_ev_appz00_bglt)BgL_ez00_3667); 
return 
((obj_t)BgL_auxz00_5758);} } 

}



/* &search-letrec-ev_let1347 */
obj_t BGl_z62searchzd2letreczd2ev_let1347z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3668, obj_t BgL_ez00_3669)
{
{ /* Eval/evaluate_fsize.scm 243 */
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5771;
{ /* Eval/evaluate_fsize.scm 245 */
 obj_t BgL_arg1688z00_4276;
BgL_arg1688z00_4276 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_valsz00); 
BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1688z00_4276); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5776;
{ /* Eval/evaluate_fsize.scm 246 */
 BgL_ev_exprz00_bglt BgL_arg1689z00_4277;
BgL_arg1689z00_4277 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_bodyz00); 
BgL_auxz00_5776 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1689z00_4277)); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5776),BUNSPEC); } 
{ /* Eval/evaluate_fsize.scm 250 */
 bool_t BgL_test2564z00_5785;
{ /* Eval/evaluate_fsize.scm 247 */
 obj_t BgL_arg1693z00_4278; obj_t BgL_arg1695z00_4279; BgL_ev_exprz00_bglt BgL_arg1698z00_4280;
BgL_arg1693z00_4278 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_varsz00); 
BgL_arg1695z00_4279 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_valsz00); 
BgL_arg1698z00_4280 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_bodyz00); 
BgL_test2564z00_5785 = 
BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1693z00_4278, BgL_arg1695z00_4279, BgL_arg1698z00_4280); } 
if(BgL_test2564z00_5785)
{ /* Eval/evaluate_fsize.scm 251 */
 obj_t BgL_arg1690z00_4281; obj_t BgL_arg1691z00_4282; BgL_ev_exprz00_bglt BgL_arg1692z00_4283;
BgL_arg1690z00_4281 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_varsz00); 
BgL_arg1691z00_4282 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_valsz00); 
BgL_arg1692z00_4283 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))))->BgL_bodyz00); 
BgL_auxz00_5771 = 
((BgL_ev_exprz00_bglt)
BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1690z00_4281, BgL_arg1691z00_4282, BgL_arg1692z00_4283)); }  else 
{ /* Eval/evaluate_fsize.scm 250 */
BgL_auxz00_5771 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3669))
; } } 
return 
((obj_t)BgL_auxz00_5771);} } 

}



/* &search-letrec-ev_bin1345 */
obj_t BGl_z62searchzd2letreczd2ev_bin1345z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3670, obj_t BgL_ez00_3671)
{
{ /* Eval/evaluate_fsize.scm 237 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_5810;
BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3671)))->BgL_valsz00)); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5814;
{ /* Eval/evaluate_fsize.scm 240 */
 BgL_ev_exprz00_bglt BgL_arg1687z00_4285;
BgL_arg1687z00_4285 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3671)))->BgL_bodyz00); 
BgL_auxz00_5814 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1687z00_4285)); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3671)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5814),BUNSPEC); } 
BgL_auxz00_5810 = 
((BgL_ev_binderz00_bglt)BgL_ez00_3671); 
return 
((obj_t)BgL_auxz00_5810);} } 

}



/* &search-letrec-ev_syn1343 */
obj_t BGl_z62searchzd2letreczd2ev_syn1343z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3672, obj_t BgL_ez00_3673)
{
{ /* Eval/evaluate_fsize.scm 230 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5823;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5824;
{ /* Eval/evaluate_fsize.scm 232 */
 BgL_ev_exprz00_bglt BgL_arg1683z00_4287;
BgL_arg1683z00_4287 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3673)))->BgL_mutexz00); 
BgL_auxz00_5824 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1683z00_4287)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3673)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5824),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5831;
{ /* Eval/evaluate_fsize.scm 233 */
 BgL_ev_exprz00_bglt BgL_arg1684z00_4288;
BgL_arg1684z00_4288 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3673)))->BgL_prelockz00); 
BgL_auxz00_5831 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1684z00_4288)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3673)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5831),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5838;
{ /* Eval/evaluate_fsize.scm 234 */
 BgL_ev_exprz00_bglt BgL_arg1685z00_4289;
BgL_arg1685z00_4289 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3673)))->BgL_bodyz00); 
BgL_auxz00_5838 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1685z00_4289)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3673)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5838),BUNSPEC); } 
BgL_auxz00_5823 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3673); 
return 
((obj_t)BgL_auxz00_5823);} } 

}



/* &search-letrec-ev_wit1341 */
obj_t BGl_z62searchzd2letreczd2ev_wit1341z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3674, obj_t BgL_ez00_3675)
{
{ /* Eval/evaluate_fsize.scm 224 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5847;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5848;
{ /* Eval/evaluate_fsize.scm 226 */
 BgL_ev_exprz00_bglt BgL_arg1677z00_4291;
BgL_arg1677z00_4291 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3675)))->BgL_handlerz00); 
BgL_auxz00_5848 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1677z00_4291)); } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3675)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5848),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5855;
{ /* Eval/evaluate_fsize.scm 227 */
 BgL_ev_exprz00_bglt BgL_arg1680z00_4292;
BgL_arg1680z00_4292 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3675)))->BgL_bodyz00); 
BgL_auxz00_5855 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1680z00_4292)); } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3675)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5855),BUNSPEC); } 
BgL_auxz00_5847 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3675); 
return 
((obj_t)BgL_auxz00_5847);} } 

}



/* &search-letrec-ev_unw1339 */
obj_t BGl_z62searchzd2letreczd2ev_unw1339z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3676, obj_t BgL_exprz00_3677)
{
{ /* Eval/evaluate_fsize.scm 218 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5864;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5865;
{ /* Eval/evaluate_fsize.scm 220 */
 BgL_ev_exprz00_bglt BgL_arg1674z00_4294;
BgL_arg1674z00_4294 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3677)))->BgL_ez00); 
BgL_auxz00_5865 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1674z00_4294)); } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3677)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5865),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5872;
{ /* Eval/evaluate_fsize.scm 221 */
 BgL_ev_exprz00_bglt BgL_arg1675z00_4295;
BgL_arg1675z00_4295 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3677)))->BgL_bodyz00); 
BgL_auxz00_5872 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1675z00_4295)); } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3677)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5872),BUNSPEC); } 
BgL_auxz00_5864 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3677); 
return 
((obj_t)BgL_auxz00_5864);} } 

}



/* &search-letrec-ev_bin1337 */
obj_t BGl_z62searchzd2letreczd2ev_bin1337z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3678, obj_t BgL_ez00_3679)
{
{ /* Eval/evaluate_fsize.scm 213 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5881;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5882;
{ /* Eval/evaluate_fsize.scm 215 */
 BgL_ev_exprz00_bglt BgL_arg1673z00_4297;
BgL_arg1673z00_4297 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3679)))->BgL_bodyz00); 
BgL_auxz00_5882 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1673z00_4297)); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3679)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5882),BUNSPEC); } 
BgL_auxz00_5881 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3679); 
return 
((obj_t)BgL_auxz00_5881);} } 

}



/* &search-letrec-ev_hoo1335 */
obj_t BGl_z62searchzd2letreczd2ev_hoo1335z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3680, obj_t BgL_exprz00_3681)
{
{ /* Eval/evaluate_fsize.scm 208 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5891;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5892;
{ /* Eval/evaluate_fsize.scm 210 */
 BgL_ev_exprz00_bglt BgL_arg1672z00_4299;
BgL_arg1672z00_4299 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_exprz00_3681)))->BgL_ez00); 
BgL_auxz00_5892 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1672z00_4299)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_exprz00_3681)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5892),BUNSPEC); } 
BgL_auxz00_5891 = 
((BgL_ev_hookz00_bglt)BgL_exprz00_3681); 
return 
((obj_t)BgL_auxz00_5891);} } 

}



/* &search-letrec-ev_pro1333 */
obj_t BGl_z62searchzd2letreczd2ev_pro1333z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3682, obj_t BgL_ez00_3683)
{
{ /* Eval/evaluate_fsize.scm 202 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5901;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5902;
{ /* Eval/evaluate_fsize.scm 204 */
 BgL_ev_exprz00_bglt BgL_arg1670z00_4301;
BgL_arg1670z00_4301 = 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3683)))->BgL_e1z00); 
BgL_auxz00_5902 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1670z00_4301)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3683)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5902),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5909;
{ /* Eval/evaluate_fsize.scm 205 */
 BgL_ev_exprz00_bglt BgL_arg1671z00_4302;
BgL_arg1671z00_4302 = 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3683)))->BgL_e2z00); 
BgL_auxz00_5909 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1671z00_4302)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3683)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5909),BUNSPEC); } 
BgL_auxz00_5901 = 
((BgL_ev_prog2z00_bglt)BgL_ez00_3683); 
return 
((obj_t)BgL_auxz00_5901);} } 

}



/* &search-letrec-ev_lis1331 */
obj_t BGl_z62searchzd2letreczd2ev_lis1331z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3684, obj_t BgL_ez00_3685)
{
{ /* Eval/evaluate_fsize.scm 197 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5918;
BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3685)))->BgL_argsz00)); 
BgL_auxz00_5918 = 
((BgL_ev_listz00_bglt)BgL_ez00_3685); 
return 
((obj_t)BgL_auxz00_5918);} } 

}



/* &search-letrec-ev_if1329 */
obj_t BGl_z62searchzd2letreczd2ev_if1329z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3686, obj_t BgL_exprz00_3687)
{
{ /* Eval/evaluate_fsize.scm 190 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5924;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5925;
{ /* Eval/evaluate_fsize.scm 192 */
 BgL_ev_exprz00_bglt BgL_arg1664z00_4305;
BgL_arg1664z00_4305 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3687)))->BgL_pz00); 
BgL_auxz00_5925 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1664z00_4305)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3687)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5925),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5932;
{ /* Eval/evaluate_fsize.scm 193 */
 BgL_ev_exprz00_bglt BgL_arg1667z00_4306;
BgL_arg1667z00_4306 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3687)))->BgL_tz00); 
BgL_auxz00_5932 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1667z00_4306)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3687)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5932),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5939;
{ /* Eval/evaluate_fsize.scm 194 */
 BgL_ev_exprz00_bglt BgL_arg1668z00_4307;
BgL_arg1668z00_4307 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3687)))->BgL_ez00); 
BgL_auxz00_5939 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1668z00_4307)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3687)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5939),BUNSPEC); } 
BgL_auxz00_5924 = 
((BgL_ev_ifz00_bglt)BgL_exprz00_3687); 
return 
((obj_t)BgL_auxz00_5924);} } 

}



/* &search-letrec-ev_lit1327 */
obj_t BGl_z62searchzd2letreczd2ev_lit1327z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3688, obj_t BgL_ez00_3689)
{
{ /* Eval/evaluate_fsize.scm 187 */
return 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_3689));} 

}



/* &search-letrec-ev_glo1325 */
obj_t BGl_z62searchzd2letreczd2ev_glo1325z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3690, obj_t BgL_ez00_3691)
{
{ /* Eval/evaluate_fsize.scm 184 */
return 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_ez00_3691));} 

}



/* &search-letrec-ev_var1323 */
obj_t BGl_z62searchzd2letreczd2ev_var1323z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3692, obj_t BgL_ez00_3693)
{
{ /* Eval/evaluate_fsize.scm 181 */
return 
((obj_t)
((BgL_ev_varz00_bglt)BgL_ez00_3693));} 

}



/* &fsize-ev_abs1319 */
obj_t BGl_z62fsiza7ezd2ev_abs1319z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3694, obj_t BgL_ez00_3695, obj_t BgL_nz00_3696)
{
{ /* Eval/evaluate_fsize.scm 158 */
{ /* Eval/evaluate_fsize.scm 159 */
 int BgL_tmpz00_5954;
{ /* Eval/evaluate_fsize.scm 159 */
 int BgL_nz00_4312;
BgL_nz00_4312 = 
CINT(BgL_nz00_3696); 
{ /* Eval/evaluate_fsize.scm 160 */
 int BgL_nnz00_4313;
{ /* Eval/evaluate_fsize.scm 160 */
 BgL_ev_exprz00_bglt BgL_arg1661z00_4314; long BgL_arg1662z00_4315;
BgL_arg1661z00_4314 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3695)))->BgL_bodyz00); 
BgL_arg1662z00_4315 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3695)))->BgL_varsz00)); 
BgL_nnz00_4313 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1661z00_4314, 
(int)(BgL_arg1662z00_4315)); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3695)))->BgL_siza7eza7)=((int)BgL_nnz00_4313),BUNSPEC); 
BgL_tmpz00_5954 = BgL_nz00_4312; } } 
return 
BINT(BgL_tmpz00_5954);} } 

}



/* &fsize-ev_app1317 */
obj_t BGl_z62fsiza7ezd2ev_app1317z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3697, obj_t BgL_ez00_3698, obj_t BgL_nz00_3699)
{
{ /* Eval/evaluate_fsize.scm 151 */
{ /* Eval/evaluate_fsize.scm 152 */
 int BgL_nz00_4317;
BgL_nz00_4317 = 
CINT(BgL_nz00_3699); 
{ /* Eval/evaluate_fsize.scm 153 */
 int BgL_g1078z00_4318;
BgL_g1078z00_4318 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3698)))->BgL_funz00), BgL_nz00_4317); 
{ 
 obj_t BgL_lz00_4320; int BgL_nz00_4321; obj_t BgL_rz00_4322;
BgL_lz00_4320 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3698)))->BgL_argsz00); 
BgL_nz00_4321 = BgL_nz00_4317; 
BgL_rz00_4322 = 
BINT(BgL_g1078z00_4318); 
BgL_recz00_4319:
if(
NULLP(BgL_lz00_4320))
{ /* Eval/evaluate_fsize.scm 154 */
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_nz00_4321), BgL_rz00_4322);}  else 
{ /* Eval/evaluate_fsize.scm 156 */
 obj_t BgL_arg1654z00_4323; long BgL_arg1655z00_4324; obj_t BgL_arg1656z00_4325;
BgL_arg1654z00_4323 = 
CDR(
((obj_t)BgL_lz00_4320)); 
BgL_arg1655z00_4324 = 
(
(long)(BgL_nz00_4321)+((long)1)); 
{ /* Eval/evaluate_fsize.scm 156 */
 int BgL_xz00_4326;
{ /* Eval/evaluate_fsize.scm 156 */
 obj_t BgL_arg1657z00_4327;
BgL_arg1657z00_4327 = 
CAR(
((obj_t)BgL_lz00_4320)); 
BgL_xz00_4326 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1657z00_4327), BgL_nz00_4321); } 
BgL_arg1656z00_4325 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4326), BgL_rz00_4322); } 
{ 
 obj_t BgL_rz00_5987; int BgL_nz00_5985; obj_t BgL_lz00_5984;
BgL_lz00_5984 = BgL_arg1654z00_4323; 
BgL_nz00_5985 = 
(int)(BgL_arg1655z00_4324); 
BgL_rz00_5987 = BgL_arg1656z00_4325; 
BgL_rz00_4322 = BgL_rz00_5987; 
BgL_nz00_4321 = BgL_nz00_5985; 
BgL_lz00_4320 = BgL_lz00_5984; 
goto BgL_recz00_4319;} } } } } } 

}



/* &fsize-ev_goto1315 */
obj_t BGl_z62fsiza7ezd2ev_goto1315z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3700, obj_t BgL_ez00_3701, obj_t BgL_nz00_3702)
{
{ /* Eval/evaluate_fsize.scm 144 */
{ 
 obj_t BgL_lz00_4330; obj_t BgL_nz00_4331; obj_t BgL_rz00_4332;
BgL_lz00_4330 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_3701)))->BgL_argsz00); 
BgL_nz00_4331 = BgL_nz00_3702; 
BgL_rz00_4332 = BgL_nz00_3702; 
BgL_recz00_4329:
if(
NULLP(BgL_lz00_4330))
{ /* Eval/evaluate_fsize.scm 147 */
return 
BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_4331, BgL_rz00_4332);}  else 
{ /* Eval/evaluate_fsize.scm 149 */
 obj_t BgL_arg1647z00_4333; long BgL_arg1648z00_4334; obj_t BgL_arg1649z00_4335;
BgL_arg1647z00_4333 = 
CDR(
((obj_t)BgL_lz00_4330)); 
BgL_arg1648z00_4334 = 
(
(long)CINT(BgL_nz00_4331)+((long)1)); 
{ /* Eval/evaluate_fsize.scm 149 */
 int BgL_xz00_4336;
{ /* Eval/evaluate_fsize.scm 149 */
 obj_t BgL_arg1650z00_4337;
BgL_arg1650z00_4337 = 
CAR(
((obj_t)BgL_lz00_4330)); 
BgL_xz00_4336 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1650z00_4337), 
CINT(BgL_nz00_4331)); } 
BgL_arg1649z00_4335 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4336), BgL_rz00_4332); } 
{ 
 obj_t BgL_rz00_6008; obj_t BgL_nz00_6006; obj_t BgL_lz00_6005;
BgL_lz00_6005 = BgL_arg1647z00_4333; 
BgL_nz00_6006 = 
BINT(BgL_arg1648z00_4334); 
BgL_rz00_6008 = BgL_arg1649z00_4335; 
BgL_rz00_4332 = BgL_rz00_6008; 
BgL_nz00_4331 = BgL_nz00_6006; 
BgL_lz00_4330 = BgL_lz00_6005; 
goto BgL_recz00_4329;} } } } 

}



/* &fsize-ev_labels1313 */
obj_t BGl_z62fsiza7ezd2ev_labels1313z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3703, obj_t BgL_ez00_3704, obj_t BgL_nz00_3705)
{
{ /* Eval/evaluate_fsize.scm 137 */
{ 
 obj_t BgL_lz00_4340; obj_t BgL_rz00_4341;
BgL_lz00_4340 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3704)))->BgL_valsz00); 
BgL_rz00_4341 = BgL_nz00_3705; 
BgL_recz00_4339:
if(
NULLP(BgL_lz00_4340))
{ /* Eval/evaluate_fsize.scm 141 */
 int BgL_xz00_4342;
BgL_xz00_4342 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3704)))->BgL_bodyz00), 
CINT(BgL_nz00_3705)); 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4342), BgL_rz00_4341);}  else 
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_arg1637z00_4343; obj_t BgL_arg1638z00_4344;
BgL_arg1637z00_4343 = 
CDR(
((obj_t)BgL_lz00_4340)); 
{ /* Eval/evaluate_fsize.scm 142 */
 int BgL_xz00_4345;
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_arg1639z00_4346; long BgL_arg1640z00_4347;
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_pairz00_4348;
BgL_pairz00_4348 = 
CAR(
((obj_t)BgL_lz00_4340)); 
BgL_arg1639z00_4346 = 
CDR(BgL_pairz00_4348); } 
{ /* Eval/evaluate_fsize.scm 142 */
 long BgL_tmpz00_6024;
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_auxz00_6026;
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_pairz00_4349;
BgL_pairz00_4349 = 
CAR(
((obj_t)BgL_lz00_4340)); 
BgL_auxz00_6026 = 
CAR(BgL_pairz00_4349); } 
BgL_tmpz00_6024 = 
bgl_list_length(BgL_auxz00_6026); } 
BgL_arg1640z00_4347 = 
(
(long)CINT(BgL_nz00_3705)+BgL_tmpz00_6024); } 
BgL_xz00_4345 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1639z00_4346), 
(int)(BgL_arg1640z00_4347)); } 
BgL_arg1638z00_4344 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4345), BgL_rz00_4341); } 
{ 
 obj_t BgL_rz00_6038; obj_t BgL_lz00_6037;
BgL_lz00_6037 = BgL_arg1637z00_4343; 
BgL_rz00_6038 = BgL_arg1638z00_4344; 
BgL_rz00_4341 = BgL_rz00_6038; 
BgL_lz00_4340 = BgL_lz00_6037; 
goto BgL_recz00_4339;} } } } 

}



/* &fsize-ev_letrec1311 */
obj_t BGl_z62fsiza7ezd2ev_letrec1311z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3706, obj_t BgL_ez00_3707, obj_t BgL_nz00_3708)
{
{ /* Eval/evaluate_fsize.scm 129 */
{ /* Eval/evaluate_fsize.scm 130 */
 int BgL_nz00_4351;
BgL_nz00_4351 = 
CINT(BgL_nz00_3708); 
{ /* Eval/evaluate_fsize.scm 131 */
 long BgL_nz00_4352;
BgL_nz00_4352 = 
(
(long)(BgL_nz00_4351)+
bgl_list_length(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3707))))->BgL_valsz00))); 
{ 
 obj_t BgL_lz00_4354; obj_t BgL_rz00_4355;
{ /* Eval/evaluate_fsize.scm 132 */
 obj_t BgL_arg1623z00_4362;
BgL_arg1623z00_4362 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3707))))->BgL_valsz00); 
BgL_lz00_4354 = BgL_arg1623z00_4362; 
BgL_rz00_4355 = 
BINT(BgL_nz00_4352); 
BgL_recz00_4353:
if(
NULLP(BgL_lz00_4354))
{ /* Eval/evaluate_fsize.scm 134 */
 int BgL_xz00_4356;
{ /* Eval/evaluate_fsize.scm 134 */
 BgL_ev_exprz00_bglt BgL_arg1627z00_4357;
BgL_arg1627z00_4357 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3707))))->BgL_bodyz00); 
BgL_xz00_4356 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1627z00_4357, 
(int)(BgL_nz00_4352)); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4356), BgL_rz00_4355);}  else 
{ /* Eval/evaluate_fsize.scm 135 */
 obj_t BgL_arg1628z00_4358; obj_t BgL_arg1629z00_4359;
BgL_arg1628z00_4358 = 
CDR(
((obj_t)BgL_lz00_4354)); 
{ /* Eval/evaluate_fsize.scm 135 */
 int BgL_xz00_4360;
{ /* Eval/evaluate_fsize.scm 135 */
 obj_t BgL_arg1630z00_4361;
BgL_arg1630z00_4361 = 
CAR(
((obj_t)BgL_lz00_4354)); 
BgL_xz00_4360 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1630z00_4361), 
(int)(BgL_nz00_4352)); } 
BgL_arg1629z00_4359 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4360), BgL_rz00_4355); } 
{ 
 obj_t BgL_rz00_6070; obj_t BgL_lz00_6069;
BgL_lz00_6069 = BgL_arg1628z00_4358; 
BgL_rz00_6070 = BgL_arg1629z00_4359; 
BgL_rz00_4355 = BgL_rz00_6070; 
BgL_lz00_4354 = BgL_lz00_6069; 
goto BgL_recz00_4353;} } } } } } } 

}



/* &fsize-ev_let*1309 */
obj_t BGl_z62fsiza7ezd2ev_letza21309zb5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3709, obj_t BgL_ez00_3710, obj_t BgL_nz00_3711)
{
{ /* Eval/evaluate_fsize.scm 122 */
{ /* Eval/evaluate_fsize.scm 123 */
 int BgL_nz00_4364;
BgL_nz00_4364 = 
CINT(BgL_nz00_3711); 
{ 
 obj_t BgL_lz00_4366; int BgL_nz00_4367; obj_t BgL_rz00_4368;
{ /* Eval/evaluate_fsize.scm 124 */
 obj_t BgL_arg1614z00_4376;
BgL_arg1614z00_4376 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_3710))))->BgL_valsz00); 
BgL_lz00_4366 = BgL_arg1614z00_4376; 
BgL_nz00_4367 = BgL_nz00_4364; 
BgL_rz00_4368 = 
BINT(BgL_nz00_4364); 
BgL_recz00_4365:
if(
NULLP(BgL_lz00_4366))
{ /* Eval/evaluate_fsize.scm 126 */
 int BgL_xz00_4369;
{ /* Eval/evaluate_fsize.scm 126 */
 BgL_ev_exprz00_bglt BgL_arg1617z00_4370;
BgL_arg1617z00_4370 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_3710))))->BgL_bodyz00); 
BgL_xz00_4369 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1617z00_4370, BgL_nz00_4367); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4369), BgL_rz00_4368);}  else 
{ /* Eval/evaluate_fsize.scm 127 */
 obj_t BgL_arg1618z00_4371; long BgL_arg1619z00_4372; obj_t BgL_arg1621z00_4373;
BgL_arg1618z00_4371 = 
CDR(
((obj_t)BgL_lz00_4366)); 
BgL_arg1619z00_4372 = 
(
(long)(BgL_nz00_4367)+((long)1)); 
{ /* Eval/evaluate_fsize.scm 127 */
 int BgL_xz00_4374;
{ /* Eval/evaluate_fsize.scm 127 */
 obj_t BgL_arg1622z00_4375;
BgL_arg1622z00_4375 = 
CAR(
((obj_t)BgL_lz00_4366)); 
BgL_xz00_4374 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1622z00_4375), BgL_nz00_4367); } 
BgL_arg1621z00_4373 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4374), BgL_rz00_4368); } 
{ 
 obj_t BgL_rz00_6097; int BgL_nz00_6095; obj_t BgL_lz00_6094;
BgL_lz00_6094 = BgL_arg1618z00_4371; 
BgL_nz00_6095 = 
(int)(BgL_arg1619z00_4372); 
BgL_rz00_6097 = BgL_arg1621z00_4373; 
BgL_rz00_4368 = BgL_rz00_6097; 
BgL_nz00_4367 = BgL_nz00_6095; 
BgL_lz00_4366 = BgL_lz00_6094; 
goto BgL_recz00_4365;} } } } } } 

}



/* &fsize-ev_let1307 */
obj_t BGl_z62fsiza7ezd2ev_let1307z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3712, obj_t BgL_ez00_3713, obj_t BgL_nz00_3714)
{
{ /* Eval/evaluate_fsize.scm 115 */
{ /* Eval/evaluate_fsize.scm 116 */
 int BgL_nz00_4378;
BgL_nz00_4378 = 
CINT(BgL_nz00_3714); 
{ 
 obj_t BgL_lz00_4380; int BgL_nz00_4381; obj_t BgL_rz00_4382;
{ /* Eval/evaluate_fsize.scm 117 */
 obj_t BgL_arg1605z00_4390;
BgL_arg1605z00_4390 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_3713))))->BgL_valsz00); 
BgL_lz00_4380 = BgL_arg1605z00_4390; 
BgL_nz00_4381 = BgL_nz00_4378; 
BgL_rz00_4382 = 
BINT(BgL_nz00_4378); 
BgL_recz00_4379:
if(
NULLP(BgL_lz00_4380))
{ /* Eval/evaluate_fsize.scm 119 */
 int BgL_xz00_4383;
{ /* Eval/evaluate_fsize.scm 119 */
 BgL_ev_exprz00_bglt BgL_arg1608z00_4384;
BgL_arg1608z00_4384 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_3713))))->BgL_bodyz00); 
BgL_xz00_4383 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1608z00_4384, BgL_nz00_4381); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4383), BgL_rz00_4382);}  else 
{ /* Eval/evaluate_fsize.scm 120 */
 obj_t BgL_arg1609z00_4385; long BgL_arg1611z00_4386; obj_t BgL_arg1612z00_4387;
BgL_arg1609z00_4385 = 
CDR(
((obj_t)BgL_lz00_4380)); 
BgL_arg1611z00_4386 = 
(
(long)(BgL_nz00_4381)+((long)1)); 
{ /* Eval/evaluate_fsize.scm 120 */
 int BgL_xz00_4388;
{ /* Eval/evaluate_fsize.scm 120 */
 obj_t BgL_arg1613z00_4389;
BgL_arg1613z00_4389 = 
CAR(
((obj_t)BgL_lz00_4380)); 
BgL_xz00_4388 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1613z00_4389), BgL_nz00_4381); } 
BgL_arg1612z00_4387 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4388), BgL_rz00_4382); } 
{ 
 obj_t BgL_rz00_6124; int BgL_nz00_6122; obj_t BgL_lz00_6121;
BgL_lz00_6121 = BgL_arg1609z00_4385; 
BgL_nz00_6122 = 
(int)(BgL_arg1611z00_4386); 
BgL_rz00_6124 = BgL_arg1612z00_4387; 
BgL_rz00_4382 = BgL_rz00_6124; 
BgL_nz00_4381 = BgL_nz00_6122; 
BgL_lz00_4380 = BgL_lz00_6121; 
goto BgL_recz00_4379;} } } } } } 

}



/* &fsize-ev_synchronize1305 */
obj_t BGl_z62fsiza7ezd2ev_synchroniza7e1305zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3715, obj_t BgL_ez00_3716, obj_t BgL_nz00_3717)
{
{ /* Eval/evaluate_fsize.scm 111 */
{ /* Eval/evaluate_fsize.scm 112 */
 int BgL_nz00_4392;
BgL_nz00_4392 = 
CINT(BgL_nz00_3717); 
{ /* Eval/evaluate_fsize.scm 113 */
 int BgL_arg1599z00_4393; obj_t BgL_arg1600z00_4394;
BgL_arg1599z00_4393 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3716)))->BgL_mutexz00), BgL_nz00_4392); 
{ /* Eval/evaluate_fsize.scm 113 */
 int BgL_xz00_4395; int BgL_yz00_4396;
BgL_xz00_4395 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3716)))->BgL_prelockz00), BgL_nz00_4392); 
BgL_yz00_4396 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3716)))->BgL_bodyz00), BgL_nz00_4392); 
BgL_arg1600z00_4394 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4395), 
BINT(BgL_yz00_4396)); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_arg1599z00_4393), BgL_arg1600z00_4394);} } } 

}



/* &fsize-ev_with-handle1303 */
obj_t BGl_z62fsiza7ezd2ev_withzd2handle1303zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3718, obj_t BgL_ez00_3719, obj_t BgL_nz00_3720)
{
{ /* Eval/evaluate_fsize.scm 107 */
{ /* Eval/evaluate_fsize.scm 108 */
 int BgL_nz00_4398;
BgL_nz00_4398 = 
CINT(BgL_nz00_3720); 
{ /* Eval/evaluate_fsize.scm 109 */
 int BgL_xz00_4399; int BgL_yz00_4400;
BgL_xz00_4399 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3719)))->BgL_handlerz00), BgL_nz00_4398); 
BgL_yz00_4400 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3719)))->BgL_bodyz00), BgL_nz00_4398); 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4399), 
BINT(BgL_yz00_4400));} } } 

}



/* &fsize-ev_unwind-prot1301 */
obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1301zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3721, obj_t BgL_ez00_3722, obj_t BgL_nz00_3723)
{
{ /* Eval/evaluate_fsize.scm 103 */
{ /* Eval/evaluate_fsize.scm 104 */
 int BgL_nz00_4402;
BgL_nz00_4402 = 
CINT(BgL_nz00_3723); 
{ /* Eval/evaluate_fsize.scm 105 */
 int BgL_xz00_4403; int BgL_yz00_4404;
BgL_xz00_4403 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3722)))->BgL_ez00), BgL_nz00_4402); 
BgL_yz00_4404 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3722)))->BgL_bodyz00), BgL_nz00_4402); 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4403), 
BINT(BgL_yz00_4404));} } } 

}



/* &fsize-ev_bind-exit1299 */
obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1299zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3724, obj_t BgL_ez00_3725, obj_t BgL_nz00_3726)
{
{ /* Eval/evaluate_fsize.scm 99 */
{ /* Eval/evaluate_fsize.scm 100 */
 int BgL_tmpz00_6161;
{ /* Eval/evaluate_fsize.scm 100 */
 int BgL_nz00_4406;
BgL_nz00_4406 = 
CINT(BgL_nz00_3726); 
{ /* Eval/evaluate_fsize.scm 101 */
 BgL_ev_exprz00_bglt BgL_arg1591z00_4407; long BgL_arg1594z00_4408;
BgL_arg1591z00_4407 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3725)))->BgL_bodyz00); 
BgL_arg1594z00_4408 = 
(
(long)(BgL_nz00_4406)+((long)1)); 
BgL_tmpz00_6161 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1591z00_4407, 
(int)(BgL_arg1594z00_4408)); } } 
return 
BINT(BgL_tmpz00_6161);} } 

}



/* &fsize-ev_hook1297 */
obj_t BGl_z62fsiza7ezd2ev_hook1297z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3727, obj_t BgL_ez00_3728, obj_t BgL_nz00_3729)
{
{ /* Eval/evaluate_fsize.scm 95 */
{ /* Eval/evaluate_fsize.scm 96 */
 int BgL_tmpz00_6170;
{ /* Eval/evaluate_fsize.scm 96 */
 int BgL_nz00_4410;
BgL_nz00_4410 = 
CINT(BgL_nz00_3729); 
BgL_tmpz00_6170 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_ez00_3728)))->BgL_ez00), BgL_nz00_4410); } 
return 
BINT(BgL_tmpz00_6170);} } 

}



/* &fsize-ev_prog21295 */
obj_t BGl_z62fsiza7ezd2ev_prog21295z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3730, obj_t BgL_ez00_3731, obj_t BgL_nz00_3732)
{
{ /* Eval/evaluate_fsize.scm 91 */
{ /* Eval/evaluate_fsize.scm 92 */
 int BgL_nz00_4412;
BgL_nz00_4412 = 
CINT(BgL_nz00_3732); 
{ /* Eval/evaluate_fsize.scm 93 */
 int BgL_xz00_4413; int BgL_yz00_4414;
BgL_xz00_4413 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3731)))->BgL_e1z00), BgL_nz00_4412); 
BgL_yz00_4414 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3731)))->BgL_e2z00), BgL_nz00_4412); 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4413), 
BINT(BgL_yz00_4414));} } } 

}



/* &fsize-ev_list1293 */
obj_t BGl_z62fsiza7ezd2ev_list1293z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3733, obj_t BgL_ez00_3734, obj_t BgL_nz00_3735)
{
{ /* Eval/evaluate_fsize.scm 84 */
{ /* Eval/evaluate_fsize.scm 85 */
 int BgL_nz00_4416;
BgL_nz00_4416 = 
CINT(BgL_nz00_3735); 
{ 
 obj_t BgL_lz00_4418; obj_t BgL_rz00_4419;
BgL_lz00_4418 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3734)))->BgL_argsz00); 
BgL_rz00_4419 = 
BINT(BgL_nz00_4416); 
BgL_recz00_4417:
if(
NULLP(BgL_lz00_4418))
{ /* Eval/evaluate_fsize.scm 87 */
return BgL_rz00_4419;}  else 
{ /* Eval/evaluate_fsize.scm 89 */
 obj_t BgL_arg1585z00_4420; obj_t BgL_arg1586z00_4421;
BgL_arg1585z00_4420 = 
CDR(
((obj_t)BgL_lz00_4418)); 
{ /* Eval/evaluate_fsize.scm 89 */
 int BgL_yz00_4422;
{ /* Eval/evaluate_fsize.scm 89 */
 obj_t BgL_arg1587z00_4423;
BgL_arg1587z00_4423 = 
CAR(
((obj_t)BgL_lz00_4418)); 
BgL_yz00_4422 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1587z00_4423), BgL_nz00_4416); } 
BgL_arg1586z00_4421 = 
BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_4419, 
BINT(BgL_yz00_4422)); } 
{ 
 obj_t BgL_rz00_6198; obj_t BgL_lz00_6197;
BgL_lz00_6197 = BgL_arg1585z00_4420; 
BgL_rz00_6198 = BgL_arg1586z00_4421; 
BgL_rz00_4419 = BgL_rz00_6198; 
BgL_lz00_4418 = BgL_lz00_6197; 
goto BgL_recz00_4417;} } } } } 

}



/* &fsize-ev_if1291 */
obj_t BGl_z62fsiza7ezd2ev_if1291z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3736, obj_t BgL_ez00_3737, obj_t BgL_nz00_3738)
{
{ /* Eval/evaluate_fsize.scm 80 */
{ /* Eval/evaluate_fsize.scm 81 */
 int BgL_nz00_4425;
BgL_nz00_4425 = 
CINT(BgL_nz00_3738); 
{ /* Eval/evaluate_fsize.scm 82 */
 int BgL_arg1575z00_4426; obj_t BgL_arg1576z00_4427;
BgL_arg1575z00_4426 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3737)))->BgL_pz00), BgL_nz00_4425); 
{ /* Eval/evaluate_fsize.scm 82 */
 int BgL_xz00_4428; int BgL_yz00_4429;
BgL_xz00_4428 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3737)))->BgL_tz00), BgL_nz00_4425); 
BgL_yz00_4429 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3737)))->BgL_ez00), BgL_nz00_4425); 
BgL_arg1576z00_4427 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4428), 
BINT(BgL_yz00_4429)); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_arg1575z00_4426), BgL_arg1576z00_4427);} } } 

}



/* &fsize-ev_litt1289 */
obj_t BGl_z62fsiza7ezd2ev_litt1289z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3739, obj_t BgL_ez00_3740, obj_t BgL_nz00_3741)
{
{ /* Eval/evaluate_fsize.scm 77 */
return 
BINT(
CINT(BgL_nz00_3741));} 

}



/* &fsize-ev_global1287 */
obj_t BGl_z62fsiza7ezd2ev_global1287z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3742, obj_t BgL_varz00_3743, obj_t BgL_nz00_3744)
{
{ /* Eval/evaluate_fsize.scm 74 */
return 
BINT(
CINT(BgL_nz00_3744));} 

}



/* &fsize-ev_var1285 */
obj_t BGl_z62fsiza7ezd2ev_var1285z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3745, obj_t BgL_ez00_3746, obj_t BgL_nz00_3747)
{
{ /* Eval/evaluate_fsize.scm 71 */
return 
BINT(
CINT(BgL_nz00_3747));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string2329z00zz__evaluate_fsiza7eza7));} 

}

#ifdef __cplusplus
}
#endif
