/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static BgL_ev_letrecz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2643z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2563z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2483z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2487z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2651z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2653z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2573z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2494z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2579z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31790ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2583z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2596z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static BgL_ev_exprz00_bglt BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_typesz00(obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31428ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31714ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1423z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static BgL_ev_varz00_bglt BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1436z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2327z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2329z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1610z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2333z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2415z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2335z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2419z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31823ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2340z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2504z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2342z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2424z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2346z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31840ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31816ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1635z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2511z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2431z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2351z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2515z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2436z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2355z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2519z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31833ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static BgL_ev_andz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2602z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2440z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2361z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2607z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2526z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2445z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2366z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2531z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2613z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2370z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2617z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2536z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2456z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2379z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31940ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1822z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2544z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2626z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2383z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2465z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2628z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2549z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2387z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2469z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31690ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2392z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2474z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2638z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2558z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2396z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31675ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2402z00zz__evaluate_typesz00, BgL_bgl_string2402za700za7za7_2655za7, "ev_list", 7 );
DEFINE_STRING( BGl_string2407z00zz__evaluate_typesz00, BgL_bgl_string2407za700za7za7_2656za7, "ev_or", 5 );
DEFINE_STRING( BGl_string2328z00zz__evaluate_typesz00, BgL_bgl_string2328za700za7za7_2657za7, "ev_expr", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762lambda1535za7622658z00, BGl_z62lambda1535z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2659za7, BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__evaluate_typesz00, BgL_bgl_za762lambda1556za7622660z00, BGl_z62lambda1556z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762lambda1554za7622661z00, BGl_z62lambda1554z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2330z00zz__evaluate_typesz00, BgL_bgl_string2330za700za7za7_2662za7, "__evaluate_types", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2663za7, BGl_z62zc3z04anonymousza31428ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2412z00zz__evaluate_typesz00, BgL_bgl_string2412za700za7za7_2664za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__evaluate_typesz00, BgL_bgl_za762lambda1425za7622665z00, BGl_z62lambda1425z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__evaluate_typesz00, BgL_bgl_za762lambda1423za7622666z00, BGl_z62lambda1423z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2667za7, BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762lambda1567za7622668z00, BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2334z00zz__evaluate_typesz00, BgL_bgl_string2334za700za7za7_2669za7, "name", 4 );
DEFINE_STRING( BGl_string2416z00zz__evaluate_typesz00, BgL_bgl_string2416za700za7za7_2670za7, "e1", 2 );
DEFINE_STRING( BGl_string2336z00zz__evaluate_typesz00, BgL_bgl_string2336za700za7za7_2671za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__evaluate_typesz00, BgL_bgl_za762lambda1565za7622672z00, BGl_z62lambda1565z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__evaluate_typesz00, BgL_bgl_za762lambda1443za7622673z00, BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__evaluate_typesz00, BgL_bgl_za762lambda1588za7622674z00, BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__evaluate_typesz00, BgL_bgl_za762lambda1442za7622675z00, BGl_z62lambda1442z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2501z00zz__evaluate_typesz00, BgL_bgl_string2501za700za7za7_2676za7, "mutex", 5 );
DEFINE_STRING( BGl_string2420z00zz__evaluate_typesz00, BgL_bgl_string2420za700za7za7_2677za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762lambda1587za7622678z00, BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2341z00zz__evaluate_typesz00, BgL_bgl_string2341za700za7za7_2679za7, "eff", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__evaluate_typesz00, BgL_bgl_za762lambda1593za7622680z00, BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2505z00zz__evaluate_typesz00, BgL_bgl_string2505za700za7za7_2681za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__evaluate_typesz00, BgL_bgl_za762lambda1592za7622682z00, BGl_z62lambda1592z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2343z00zz__evaluate_typesz00, BgL_bgl_string2343za700za7za7_2683za7, "obj", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2684za7, BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2425z00zz__evaluate_typesz00, BgL_bgl_string2425za700za7za7_2685za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__evaluate_typesz00, BgL_bgl_za762lambda1449za7622686z00, BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__evaluate_typesz00, BgL_bgl_za762lambda1448za7622687z00, BGl_z62lambda1448z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2347z00zz__evaluate_typesz00, BgL_bgl_string2347za700za7za7_2688za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__evaluate_typesz00, BgL_bgl_za762lambda1775za7622689z00, BGl_z62lambda1775z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2690za7, BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1774za7622691z00, BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__evaluate_typesz00, BgL_bgl_za762lambda1580za7622692z00, BGl_z62lambda1580z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__evaluate_typesz00, BgL_bgl_za762lambda1576za7622693z00, BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2512z00zz__evaluate_typesz00, BgL_bgl_string2512za700za7za7_2694za7, "ev_synchronize", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__evaluate_typesz00, BgL_bgl_za762lambda1780za7622695z00, BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__evaluate_typesz00, BgL_bgl_za762lambda1456za7622696z00, BGl_z62lambda1456z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__evaluate_typesz00, BgL_bgl_za762lambda1779za7622697z00, BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2432z00zz__evaluate_typesz00, BgL_bgl_string2432za700za7za7_2698za7, "ev_hook", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__evaluate_typesz00, BgL_bgl_za762lambda1610za7622699z00, BGl_z62lambda1610z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622700z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2701za7, BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__evaluate_typesz00, BgL_bgl_za762lambda1609za7622702z00, BGl_z62lambda1609z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2352z00zz__evaluate_typesz00, BgL_bgl_string2352za700za7za7_2703za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762lambda1757za7622704z00, BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2705za7, BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2516z00zz__evaluate_typesz00, BgL_bgl_string2516za700za7za7_2706za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__evaluate_typesz00, BgL_bgl_za762lambda1601za7622707z00, BGl_z62lambda1601z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2708za7, BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__evaluate_typesz00, BgL_bgl_za762lambda1436za7622709z00, BGl_z62lambda1436z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2437z00zz__evaluate_typesz00, BgL_bgl_string2437za700za7za7_2710za7, "ev_trap", 7 );
DEFINE_STRING( BGl_string2356z00zz__evaluate_typesz00, BgL_bgl_string2356za700za7za7_2711za7, "loc", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__evaluate_typesz00, BgL_bgl_za762lambda1755za7622712z00, BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__evaluate_typesz00, BgL_bgl_za762lambda1599za7622713z00, BGl_z62lambda1599z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__evaluate_typesz00, BgL_bgl_za762lambda1434za7622714z00, BGl_z62lambda1434z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1795za7622715z00, BGl_z62lambda1795z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2520z00zz__evaluate_typesz00, BgL_bgl_string2520za700za7za7_2716za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762lambda1794za7622717z00, BGl_z62lambda1794z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2718za7, BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762lambda1618za7622719z00, BGl_z62lambda1618z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2353z00zz__evaluate_typesz00, BgL_bgl_za762lambda1471za7622720z00, BGl_z62lambda1471z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2603z00zz__evaluate_typesz00, BgL_bgl_string2603za700za7za7_2721za7, "tail?", 5 );
DEFINE_STRING( BGl_string2441z00zz__evaluate_typesz00, BgL_bgl_string2441za700za7za7_2722za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762lambda1616za7622723z00, BGl_z62lambda1616z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622724z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__evaluate_typesz00, BgL_bgl_za762lambda1800za7622725z00, BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__evaluate_typesz00, BgL_bgl_za762lambda1799za7622726z00, BGl_z62lambda1799z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2362z00zz__evaluate_typesz00, BgL_bgl_string2362za700za7za7_2727za7, "mod", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__evaluate_typesz00, BgL_bgl_za762lambda1635za7622728z00, BGl_z62lambda1635z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622729z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__evaluate_typesz00, BgL_bgl_za762lambda1634za7622730z00, BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2358z00zz__evaluate_typesz00, BgL_bgl_za762lambda1475za7622731z00, BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2608z00zz__evaluate_typesz00, BgL_bgl_string2608za700za7za7_2732za7, "ev_app", 6 );
DEFINE_STRING( BGl_string2527z00zz__evaluate_typesz00, BgL_bgl_string2527za700za7za7_2733za7, "ev_binder", 9 );
DEFINE_STRING( BGl_string2446z00zz__evaluate_typesz00, BgL_bgl_string2446za700za7za7_2734za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__evaluate_typesz00, BgL_bgl_za762lambda1481za7622735z00, BGl_z62lambda1481z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2367z00zz__evaluate_typesz00, BgL_bgl_string2367za700za7za7_2736za7, "ev_global", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__evaluate_typesz00, BgL_bgl_za762lambda1960za7622737z00, BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762lambda1959za7622738z00, BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__evaluate_typesz00, BgL_bgl_za762lambda1805za7622739z00, BGl_z62lambda1805z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762lambda1804za7622740z00, BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__evaluate_typesz00, BgL_bgl_za762lambda1480za7622741z00, BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2742za7, BGl_z62zc3z04anonymousza31940ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2743za7, BGl_z62zc3z04anonymousza31790ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2442z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2744za7, BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__evaluate_typesz00, BgL_bgl_za762lambda1938za7622745z00, BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__evaluate_typesz00, BgL_bgl_za762lambda1788za7622746z00, BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2443z00zz__evaluate_typesz00, BgL_bgl_za762lambda1628za7622747z00, BGl_z62lambda1628z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1936za7622748z00, BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__evaluate_typesz00, BgL_bgl_za762lambda1786za7622749z00, BGl_z62lambda1786z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762lambda1626za7622750z00, BGl_z62lambda1626z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2751za7, BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2532z00zz__evaluate_typesz00, BgL_bgl_string2532za700za7za7_2752za7, "boxes", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__evaluate_typesz00, BgL_bgl_za762lambda1464za7622753z00, BGl_z62lambda1464z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2614z00zz__evaluate_typesz00, BgL_bgl_string2614za700za7za7_2754za7, "where", 5 );
DEFINE_STRING( BGl_string2371z00zz__evaluate_typesz00, BgL_bgl_string2371za700za7za7_2755za7, "value", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__evaluate_typesz00, BgL_bgl_za762lambda1462za7622756z00, BGl_z62lambda1462z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__evaluate_typesz00, BgL_bgl_za762lambda1975za7622757z00, BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2758za7, BGl_z62zc3z04anonymousza31823ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2447z00zz__evaluate_typesz00, BgL_bgl_za762lambda1651za7622759z00, BGl_z62lambda1651z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762lambda1822za7622760z00, BGl_z62lambda1822z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2448z00zz__evaluate_typesz00, BgL_bgl_za762lambda1650za7622761z00, BGl_z62lambda1650z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762lambda1656za7622762z00, BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2368z00zz__evaluate_typesz00, BgL_bgl_za762lambda1499za7622763z00, BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2618z00zz__evaluate_typesz00, BgL_bgl_string2618za700za7za7_2764za7, "arity", 5 );
DEFINE_STRING( BGl_string2537z00zz__evaluate_typesz00, BgL_bgl_string2537za700za7za7_2765za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__evaluate_typesz00, BgL_bgl_za762lambda1498za7622766z00, BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2457z00zz__evaluate_typesz00, BgL_bgl_string2457za700za7za7_2767za7, "ev_setglobal", 12 );
DEFINE_STRING( BGl_string2376z00zz__evaluate_typesz00, BgL_bgl_string2376za700za7za7_2768za7, "ev_litt", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__evaluate_typesz00, BgL_bgl_za762lambda1974za7622769z00, BGl_z62lambda1974z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762lambda1980za7622770z00, BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762lambda1821za7622771z00, BGl_z62lambda1821z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1979za7622772z00, BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762lambda1655za7622773z00, BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2451z00zz__evaluate_typesz00, BgL_bgl_za762lambda1663za7622774z00, BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2775za7, BGl_z62zc3z04anonymousza31816ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2452z00zz__evaluate_typesz00, BgL_bgl_za762lambda1662za7622776z00, BGl_z62lambda1662z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__evaluate_typesz00, BgL_bgl_za762lambda1985za7622777z00, BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__evaluate_typesz00, BgL_bgl_za762lambda1814za7622778z00, BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2453z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2779za7, BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2780za7, BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda1984za7622781z00, BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762lambda1812za7622782z00, BGl_z62lambda1812z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762lambda1643za7622783z00, BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__evaluate_typesz00, BgL_bgl_za762lambda1492za7622784z00, BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762lambda1641za7622785z00, BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2380z00zz__evaluate_typesz00, BgL_bgl_string2380za700za7za7_2786za7, "p", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__evaluate_typesz00, BgL_bgl_za762lambda1490za7622787z00, BGl_z62lambda1490z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2462z00zz__evaluate_typesz00, BgL_bgl_string2462za700za7za7_2788za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__evaluate_typesz00, BgL_bgl_za762lambda1990za7622789z00, BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2790za7, BGl_z62zc3z04anonymousza31840ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2545z00zz__evaluate_typesz00, BgL_bgl_string2545za700za7za7_2791za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762lambda1839za7622792z00, BGl_z62lambda1839z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2458z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2793za7, BGl_z62zc3z04anonymousza31675ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__evaluate_typesz00, BgL_bgl_za762lambda1516za7622794z00, BGl_z62lambda1516z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2627z00zz__evaluate_typesz00, BgL_bgl_string2627za700za7za7_2795za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762lambda1673za7622796z00, BGl_z62lambda1673z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2384z00zz__evaluate_typesz00, BgL_bgl_string2384za700za7za7_2797za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__evaluate_typesz00, BgL_bgl_za762lambda1515za7622798z00, BGl_z62lambda1515z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2466z00zz__evaluate_typesz00, BgL_bgl_string2466za700za7za7_2799za7, "var", 3 );
DEFINE_STRING( BGl_string2629z00zz__evaluate_typesz00, BgL_bgl_string2629za700za7za7_2800za7, "int", 3 );
DEFINE_STRING( BGl_string2388z00zz__evaluate_typesz00, BgL_bgl_string2388za700za7za7_2801za7, "e", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__evaluate_typesz00, BgL_bgl_za762lambda1989za7622802z00, BGl_z62lambda1989z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda1995za7622803z00, BGl_z62lambda1995z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762lambda1838za7622804z00, BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762lambda1994za7622805z00, BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2806za7, BGl_z62zc3z04anonymousza31833ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1671za7622807z00, BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2808za7, BGl_z62zc3z04anonymousza32002ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__evaluate_typesz00, BgL_bgl_za762lambda1831za7622809z00, BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__evaluate_typesz00, BgL_bgl_za762lambda2001za7622810z00, BGl_z62lambda2001z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__evaluate_typesz00, BgL_bgl_za762lambda1829za7622811z00, BGl_z62lambda1829z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__evaluate_typesz00, BgL_bgl_za762lambda1521za7622812z00, BGl_z62lambda1521z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__evaluate_typesz00, BgL_bgl_za762lambda2000za7622813z00, BGl_z62lambda2000z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2550z00zz__evaluate_typesz00, BgL_bgl_string2550za700za7za7_2814za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2463z00zz__evaluate_typesz00, BgL_bgl_za762lambda1695za7622815z00, BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__evaluate_typesz00, BgL_bgl_za762lambda1520za7622816z00, BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2470z00zz__evaluate_typesz00, BgL_bgl_string2470za700za7za7_2817za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762lambda1694za7622818z00, BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2819za7, BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2634z00zz__evaluate_typesz00, BgL_bgl_string2634za700za7za7_2820za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__evaluate_typesz00, BgL_bgl_za762lambda1848za7622821z00, BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__evaluate_typesz00, BgL_bgl_za762lambda1527za7622822z00, BGl_z62lambda1527z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1846za7622823z00, BGl_z62lambda1846z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2467z00zz__evaluate_typesz00, BgL_bgl_za762lambda1703za7622824z00, BGl_z62lambda1703z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__evaluate_typesz00, BgL_bgl_za762lambda1526za7622825z00, BGl_z62lambda1526z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2468z00zz__evaluate_typesz00, BgL_bgl_za762lambda1702za7622826z00, BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2393z00zz__evaluate_typesz00, BgL_bgl_string2393za700za7za7_2827za7, "ev_if", 5 );
DEFINE_STRING( BGl_string2475z00zz__evaluate_typesz00, BgL_bgl_string2475za700za7za7_2828za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2829za7, BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2639z00zz__evaluate_typesz00, BgL_bgl_string2639za700za7za7_2830za7, "free", 4 );
DEFINE_STRING( BGl_string2559z00zz__evaluate_typesz00, BgL_bgl_string2559za700za7za7_2831za7, "env", 3 );
DEFINE_STRING( BGl_string2397z00zz__evaluate_typesz00, BgL_bgl_string2397za700za7za7_2832za7, "args", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2833za7, BGl_z62zc3z04anonymousza32009ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__evaluate_typesz00, BgL_bgl_za762lambda2008za7622834z00, BGl_z62lambda2008z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__evaluate_typesz00, BgL_bgl_za762lambda2007za7622835z00, BGl_z62lambda2007z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__evaluate_typesz00, BgL_bgl_za762lambda1866za7622836z00, BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762lambda1865za7622837z00, BGl_z62lambda1865z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2471z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2838za7, BGl_z62zc3z04anonymousza31690ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__evaluate_typesz00, BgL_bgl_za762lambda1508za7622839z00, BGl_z62lambda1508z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1872za7622840z00, BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2472z00zz__evaluate_typesz00, BgL_bgl_za762lambda1688za7622841z00, BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__evaluate_typesz00, BgL_bgl_za762lambda1506za7622842z00, BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2843za7, BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762lambda1871za7622844z00, BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762lambda1686za7622845z00, BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__evaluate_typesz00, BgL_bgl_za762lambda2015za7622846z00, BGl_z62lambda2015z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2847za7, BGl_z62zc3z04anonymousza31879ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762lambda2014za7622848z00, BGl_z62lambda2014z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__evaluate_typesz00, BgL_bgl_za762lambda1878za7622849z00, BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__evaluate_typesz00, BgL_bgl_za762lambda1546za7622850z00, BGl_z62lambda1546z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2644z00zz__evaluate_typesz00, BgL_bgl_string2644za700za7za7_2851za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__evaluate_typesz00, BgL_bgl_za762lambda1877za7622852z00, BGl_z62lambda1877z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2476z00zz__evaluate_typesz00, BgL_bgl_za762lambda1722za7622853z00, BGl_z62lambda1722z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762lambda1545za7622854z00, BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2564z00zz__evaluate_typesz00, BgL_bgl_string2564za700za7za7_2855za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__evaluate_typesz00, BgL_bgl_za762lambda1721za7622856z00, BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2484z00zz__evaluate_typesz00, BgL_bgl_string2484za700za7za7_2857za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1727za7622858z00, BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762lambda1726za7622859z00, BGl_z62lambda1726z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2860za7, BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__evaluate_typesz00, BgL_bgl_za762lambda1537za7622861z00, BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2488z00zz__evaluate_typesz00, BgL_bgl_string2488za700za7za7_2862za7, "handler", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2863za7, BGl_z62zc3z04anonymousza32023ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762lambda2022za7622864z00, BGl_z62lambda2022z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2865za7, BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762lambda2021za7622866z00, BGl_z62lambda2021z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__evaluate_typesz00, BgL_bgl_za762lambda1885za7622867z00, BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2480z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2868za7, BGl_z62zc3z04anonymousza31714ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762lambda1884za7622869z00, BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2481z00zz__evaluate_typesz00, BgL_bgl_za762lambda1712za7622870z00, BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762lambda1710za7622871z00, BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2872za7, BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2652z00zz__evaluate_typesz00, BgL_bgl_string2652za700za7za7_2873za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__evaluate_typesz00, BgL_bgl_za762lambda2029za7622874z00, BGl_z62lambda2029z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__evaluate_typesz00, BgL_bgl_za762lambda1891za7622875z00, BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__evaluate_typesz00, BgL_bgl_za762lambda2028za7622876z00, BGl_z62lambda2028z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__evaluate_typesz00, BgL_bgl_za762lambda1890za7622877z00, BGl_z62lambda1890z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__evaluate_typesz00, BgL_bgl_za762lambda1742za7622878z00, BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2654z00zz__evaluate_typesz00, BgL_bgl_string2654za700za7za7_2879za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2880za7, BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2881za7, BGl_z62zc3z04anonymousza31898ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__evaluate_typesz00, BgL_bgl_za762lambda1741za7622882z00, BGl_z62lambda1741z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__evaluate_typesz00, BgL_bgl_za762lambda1968za7622883z00, BGl_z62lambda1968z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2574z00zz__evaluate_typesz00, BgL_bgl_string2574za700za7za7_2884za7, "ev_labels", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__evaluate_typesz00, BgL_bgl_za762lambda1897za7622885z00, BGl_z62lambda1897z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762lambda1896za7622886z00, BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2495z00zz__evaluate_typesz00, BgL_bgl_string2495za700za7za7_2887za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__evaluate_typesz00, BgL_bgl_za762lambda1749za7622888z00, BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__evaluate_typesz00, BgL_bgl_za762lambda1966za7622889z00, BGl_z62lambda1966z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2890za7, BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__evaluate_typesz00, BgL_bgl_za762lambda1858za7622891z00, BGl_z62lambda1858z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__evaluate_typesz00, BgL_bgl_za762lambda1748za7622892z00, BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__evaluate_typesz00, BgL_bgl_za762lambda1856za7622893z00, BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2894za7, BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__evaluate_typesz00, BgL_bgl_za762lambda1735za7622895z00, BGl_z62lambda1735z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2580z00zz__evaluate_typesz00, BgL_bgl_string2580za700za7za7_2896za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__evaluate_typesz00, BgL_bgl_za762lambda1733za7622897z00, BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__evaluate_typesz00, BgL_bgl_za762lambda1915za7622898z00, BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__evaluate_typesz00, BgL_bgl_za762lambda1914za7622899z00, BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__evaluate_typesz00, BgL_bgl_za762lambda1920za7622900z00, BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__evaluate_typesz00, BgL_bgl_za762lambda1764za7622901z00, BGl_z62lambda1764z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2584z00zz__evaluate_typesz00, BgL_bgl_string2584za700za7za7_2902za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762lambda1919za7622903z00, BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__evaluate_typesz00, BgL_bgl_za762lambda1763za7622904z00, BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762lambda1769za7622905z00, BGl_z62lambda1769z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1768za7622906z00, BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__evaluate_typesz00, BgL_bgl_za762lambda1925za7622907z00, BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__evaluate_typesz00, BgL_bgl_za762lambda1924za7622908z00, BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2591z00zz__evaluate_typesz00, BgL_bgl_string2591za700za7za7_2909za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__evaluate_typesz00, BgL_bgl_za762lambda1930za7622910z00, BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762lambda1929za7622911z00, BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2912za7, BGl_z62zc3z04anonymousza31910ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__evaluate_typesz00, BgL_bgl_za762lambda1908za7622913z00, BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__evaluate_typesz00, BgL_bgl_za762lambda1904za7622914z00, BGl_z62lambda1904z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2597z00zz__evaluate_typesz00, BgL_bgl_string2597za700za7za7_2915za7, "fun", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762lambda1945za7622916z00, BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762lambda1944za7622917z00, BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__evaluate_typesz00, BgL_bgl_za762lambda1950za7622918z00, BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__evaluate_typesz00, BgL_bgl_za762lambda1949za7622919z00, BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762lambda1955za7622920z00, BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__evaluate_typesz00, BgL_bgl_za762lambda1954za7622921z00, BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2643z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2563z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2483z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2487z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2651z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2653z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2573z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2494z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2579z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2583z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2590z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2596z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2401z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2406z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2327z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2329z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2411z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2333z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2415z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2335z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2419z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2500z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2340z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2504z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2342z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2424z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2346z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2511z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2431z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2351z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2515z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2436z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2355z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2519z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2602z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2440z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2361z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2607z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2526z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2445z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2366z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2531z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2613z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2370z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2617z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2536z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2456z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2375z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2379z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2461z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2544z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2626z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2383z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2465z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2628z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2549z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2387z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2469z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2633z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2392z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2474z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2638z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2558z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2396z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1970>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2030>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2023>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32023ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2016>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2009>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32009ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2002>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32002ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1940>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3z04anonymousza31940ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1910>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3z04anonymousza31910ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1860>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1898>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31898ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1886>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1879>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31879ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1850>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1833>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31833ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1840>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31840ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1816>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31816ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1823>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31823ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1790>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3z04anonymousza31790ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1759>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1737>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1714>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3z04anonymousza31714ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1690>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3z04anonymousza31690ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1675>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3z04anonymousza31675ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1645>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1630>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1620>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1603>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1582>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1569>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1558>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1539>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1510>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1494>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1466>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1438>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1450>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1428>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3z04anonymousza31428ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4207, char * BgL_fromz00_4208)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2327z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2328z00zz__evaluate_typesz00); 
BGl_symbol2329z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2330z00zz__evaluate_typesz00); 
BGl_symbol2333z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2334z00zz__evaluate_typesz00); 
BGl_symbol2335z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2336z00zz__evaluate_typesz00); 
BGl_symbol2340z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2341z00zz__evaluate_typesz00); 
BGl_symbol2342z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2343z00zz__evaluate_typesz00); 
BGl_symbol2346z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2347z00zz__evaluate_typesz00); 
BGl_symbol2351z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2352z00zz__evaluate_typesz00); 
BGl_symbol2355z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2356z00zz__evaluate_typesz00); 
BGl_symbol2361z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2362z00zz__evaluate_typesz00); 
BGl_symbol2366z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2367z00zz__evaluate_typesz00); 
BGl_symbol2370z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2371z00zz__evaluate_typesz00); 
BGl_symbol2375z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00); 
BGl_symbol2379z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2380z00zz__evaluate_typesz00); 
BGl_symbol2383z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2384z00zz__evaluate_typesz00); 
BGl_symbol2387z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2388z00zz__evaluate_typesz00); 
BGl_symbol2392z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2393z00zz__evaluate_typesz00); 
BGl_symbol2396z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2397z00zz__evaluate_typesz00); 
BGl_symbol2401z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00); 
BGl_symbol2406z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00); 
BGl_symbol2411z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00); 
BGl_symbol2415z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2416z00zz__evaluate_typesz00); 
BGl_symbol2419z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2420z00zz__evaluate_typesz00); 
BGl_symbol2424z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2425z00zz__evaluate_typesz00); 
BGl_symbol2431z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2432z00zz__evaluate_typesz00); 
BGl_symbol2436z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2437z00zz__evaluate_typesz00); 
BGl_symbol2440z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2441z00zz__evaluate_typesz00); 
BGl_symbol2445z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2446z00zz__evaluate_typesz00); 
BGl_symbol2456z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2457z00zz__evaluate_typesz00); 
BGl_symbol2461z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00); 
BGl_symbol2465z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2466z00zz__evaluate_typesz00); 
BGl_symbol2469z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2470z00zz__evaluate_typesz00); 
BGl_symbol2474z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2475z00zz__evaluate_typesz00); 
BGl_symbol2483z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2484z00zz__evaluate_typesz00); 
BGl_symbol2487z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2488z00zz__evaluate_typesz00); 
BGl_symbol2494z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2495z00zz__evaluate_typesz00); 
BGl_symbol2500z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00); 
BGl_symbol2504z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2505z00zz__evaluate_typesz00); 
BGl_symbol2511z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2512z00zz__evaluate_typesz00); 
BGl_symbol2515z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2516z00zz__evaluate_typesz00); 
BGl_symbol2519z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2520z00zz__evaluate_typesz00); 
BGl_symbol2526z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2527z00zz__evaluate_typesz00); 
BGl_symbol2531z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2532z00zz__evaluate_typesz00); 
BGl_symbol2536z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2537z00zz__evaluate_typesz00); 
BGl_symbol2544z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2545z00zz__evaluate_typesz00); 
BGl_symbol2549z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2550z00zz__evaluate_typesz00); 
BGl_symbol2558z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2559z00zz__evaluate_typesz00); 
BGl_symbol2563z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2564z00zz__evaluate_typesz00); 
BGl_symbol2573z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2574z00zz__evaluate_typesz00); 
BGl_symbol2579z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2580z00zz__evaluate_typesz00); 
BGl_symbol2583z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2584z00zz__evaluate_typesz00); 
BGl_symbol2590z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00); 
BGl_symbol2596z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2597z00zz__evaluate_typesz00); 
BGl_symbol2602z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2603z00zz__evaluate_typesz00); 
BGl_symbol2607z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2608z00zz__evaluate_typesz00); 
BGl_symbol2613z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2614z00zz__evaluate_typesz00); 
BGl_symbol2617z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2618z00zz__evaluate_typesz00); 
BGl_symbol2626z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2627z00zz__evaluate_typesz00); 
BGl_symbol2628z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2629z00zz__evaluate_typesz00); 
BGl_symbol2633z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00); 
BGl_symbol2638z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2639z00zz__evaluate_typesz00); 
BGl_symbol2643z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2644z00zz__evaluate_typesz00); 
BGl_symbol2651z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2652z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2653z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2654z00zz__evaluate_typesz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_arg1421z00_1104; obj_t BgL_arg1422z00_1105;
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1285z00_1115;
BgL_v1285z00_1115 = 
create_vector(((long)0)); 
BgL_arg1421z00_1104 = BgL_v1285z00_1115; } 
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1286z00_1116;
BgL_v1286z00_1116 = 
create_vector(((long)0)); 
BgL_arg1422z00_1105 = BgL_v1286z00_1116; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2327z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2326z00zz__evaluate_typesz00, BGl_proc2325z00zz__evaluate_typesz00, BFALSE, BGl_proc2324z00zz__evaluate_typesz00, BFALSE, BgL_arg1421z00_1104, BgL_arg1422z00_1105); } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_arg1432z00_1123; obj_t BgL_arg1433z00_1124;
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1287z00_1137;
BgL_v1287z00_1137 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1287z00_1137,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2333z00zz__evaluate_typesz00, BGl_proc2332z00zz__evaluate_typesz00, BGl_proc2331z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2335z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1287z00_1137,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2340z00zz__evaluate_typesz00, BGl_proc2339z00zz__evaluate_typesz00, BGl_proc2338z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2337z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1287z00_1137,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2346z00zz__evaluate_typesz00, BGl_proc2345z00zz__evaluate_typesz00, BGl_proc2344z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1432z00_1123 = BgL_v1287z00_1137; } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1288z00_1171;
BgL_v1288z00_1171 = 
create_vector(((long)0)); 
BgL_arg1433z00_1124 = BgL_v1288z00_1171; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2351z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2350z00zz__evaluate_typesz00, BGl_proc2349z00zz__evaluate_typesz00, BFALSE, BGl_proc2348z00zz__evaluate_typesz00, BFALSE, BgL_arg1432z00_1123, BgL_arg1433z00_1124); } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_arg1460z00_1178; obj_t BgL_arg1461z00_1179;
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1289z00_1192;
BgL_v1289z00_1192 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1289z00_1192,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2355z00zz__evaluate_typesz00, BGl_proc2354z00zz__evaluate_typesz00, BGl_proc2353z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1289z00_1192,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2333z00zz__evaluate_typesz00, BGl_proc2358z00zz__evaluate_typesz00, BGl_proc2357z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2335z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1289z00_1192,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2360z00zz__evaluate_typesz00, BGl_proc2359z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1460z00_1178 = BgL_v1289z00_1192; } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1290z00_1223;
BgL_v1290z00_1223 = 
create_vector(((long)0)); 
BgL_arg1461z00_1179 = BgL_v1290z00_1223; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2366z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2365z00zz__evaluate_typesz00, BGl_proc2364z00zz__evaluate_typesz00, BFALSE, BGl_proc2363z00zz__evaluate_typesz00, BFALSE, BgL_arg1460z00_1178, BgL_arg1461z00_1179); } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_arg1486z00_1230; obj_t BgL_arg1489z00_1231;
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1291z00_1242;
BgL_v1291z00_1242 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1291z00_1242,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2370z00zz__evaluate_typesz00, BGl_proc2369z00zz__evaluate_typesz00, BGl_proc2368z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1486z00_1230 = BgL_v1291z00_1242; } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1292z00_1253;
BgL_v1292z00_1253 = 
create_vector(((long)0)); 
BgL_arg1489z00_1231 = BgL_v1292z00_1253; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2375z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2374z00zz__evaluate_typesz00, BGl_proc2373z00zz__evaluate_typesz00, BFALSE, BGl_proc2372z00zz__evaluate_typesz00, BFALSE, BgL_arg1486z00_1230, BgL_arg1489z00_1231); } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_arg1504z00_1260; obj_t BgL_arg1505z00_1261;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1293z00_1274;
BgL_v1293z00_1274 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1293z00_1274,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2379z00zz__evaluate_typesz00, BGl_proc2378z00zz__evaluate_typesz00, BGl_proc2377z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1293z00_1274,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2383z00zz__evaluate_typesz00, BGl_proc2382z00zz__evaluate_typesz00, BGl_proc2381z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1293z00_1274,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2387z00zz__evaluate_typesz00, BGl_proc2386z00zz__evaluate_typesz00, BGl_proc2385z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1504z00_1260 = BgL_v1293z00_1274; } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1294z00_1305;
BgL_v1294z00_1305 = 
create_vector(((long)0)); 
BgL_arg1505z00_1261 = BgL_v1294z00_1305; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2392z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2391z00zz__evaluate_typesz00, BGl_proc2390z00zz__evaluate_typesz00, BFALSE, BGl_proc2389z00zz__evaluate_typesz00, BFALSE, BgL_arg1504z00_1260, BgL_arg1505z00_1261); } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_arg1533z00_1312; obj_t BgL_arg1534z00_1313;
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1295z00_1324;
BgL_v1295z00_1324 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1295z00_1324,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2396z00zz__evaluate_typesz00, BGl_proc2395z00zz__evaluate_typesz00, BGl_proc2394z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1533z00_1312 = BgL_v1295z00_1324; } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1296z00_1335;
BgL_v1296z00_1335 = 
create_vector(((long)0)); 
BgL_arg1534z00_1313 = BgL_v1296z00_1335; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2400z00zz__evaluate_typesz00, BGl_proc2399z00zz__evaluate_typesz00, BFALSE, BGl_proc2398z00zz__evaluate_typesz00, BFALSE, BgL_arg1533z00_1312, BgL_arg1534z00_1313); } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_arg1552z00_1342; obj_t BgL_arg1553z00_1343;
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1297z00_1354;
BgL_v1297z00_1354 = 
create_vector(((long)0)); 
BgL_arg1552z00_1342 = BgL_v1297z00_1354; } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1298z00_1355;
BgL_v1298z00_1355 = 
create_vector(((long)0)); 
BgL_arg1553z00_1343 = BgL_v1298z00_1355; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2406z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2405z00zz__evaluate_typesz00, BGl_proc2404z00zz__evaluate_typesz00, BFALSE, BGl_proc2403z00zz__evaluate_typesz00, BFALSE, BgL_arg1552z00_1342, BgL_arg1553z00_1343); } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_arg1563z00_1362; obj_t BgL_arg1564z00_1363;
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1299z00_1374;
BgL_v1299z00_1374 = 
create_vector(((long)0)); 
BgL_arg1563z00_1362 = BgL_v1299z00_1374; } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1300z00_1375;
BgL_v1300z00_1375 = 
create_vector(((long)0)); 
BgL_arg1564z00_1363 = BgL_v1300z00_1375; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2410z00zz__evaluate_typesz00, BGl_proc2409z00zz__evaluate_typesz00, BFALSE, BGl_proc2408z00zz__evaluate_typesz00, BFALSE, BgL_arg1563z00_1362, BgL_arg1564z00_1363); } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_arg1574z00_1382; obj_t BgL_arg1575z00_1383;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1301z00_1395;
BgL_v1301z00_1395 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1301z00_1395,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2415z00zz__evaluate_typesz00, BGl_proc2414z00zz__evaluate_typesz00, BGl_proc2413z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1301z00_1395,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2419z00zz__evaluate_typesz00, BGl_proc2418z00zz__evaluate_typesz00, BGl_proc2417z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1574z00_1382 = BgL_v1301z00_1395; } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1302z00_1416;
BgL_v1302z00_1416 = 
create_vector(((long)0)); 
BgL_arg1575z00_1383 = BgL_v1302z00_1416; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2424z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2423z00zz__evaluate_typesz00, BGl_proc2422z00zz__evaluate_typesz00, BFALSE, BGl_proc2421z00zz__evaluate_typesz00, BFALSE, BgL_arg1574z00_1382, BgL_arg1575z00_1383); } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_arg1597z00_1423; obj_t BgL_arg1598z00_1424;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1303z00_1435;
BgL_v1303z00_1435 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1303z00_1435,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2387z00zz__evaluate_typesz00, BGl_proc2427z00zz__evaluate_typesz00, BGl_proc2426z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1597z00_1423 = BgL_v1303z00_1435; } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1304z00_1446;
BgL_v1304z00_1446 = 
create_vector(((long)0)); 
BgL_arg1598z00_1424 = BgL_v1304z00_1446; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2431z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2430z00zz__evaluate_typesz00, BGl_proc2429z00zz__evaluate_typesz00, BFALSE, BGl_proc2428z00zz__evaluate_typesz00, BFALSE, BgL_arg1597z00_1423, BgL_arg1598z00_1424); } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_arg1614z00_1453; obj_t BgL_arg1615z00_1454;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1305z00_1465;
BgL_v1305z00_1465 = 
create_vector(((long)0)); 
BgL_arg1614z00_1453 = BgL_v1305z00_1465; } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1306z00_1466;
BgL_v1306z00_1466 = 
create_vector(((long)0)); 
BgL_arg1615z00_1454 = BgL_v1306z00_1466; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2436z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2435z00zz__evaluate_typesz00, BGl_proc2434z00zz__evaluate_typesz00, BFALSE, BGl_proc2433z00zz__evaluate_typesz00, BFALSE, BgL_arg1614z00_1453, BgL_arg1615z00_1454); } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_arg1624z00_1473; obj_t BgL_arg1625z00_1474;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1307z00_1486;
BgL_v1307z00_1486 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1307z00_1486,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2440z00zz__evaluate_typesz00, BGl_proc2439z00zz__evaluate_typesz00, BGl_proc2438z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1624z00_1473 = BgL_v1307z00_1486; } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1308z00_1497;
BgL_v1308z00_1497 = 
create_vector(((long)0)); 
BgL_arg1625z00_1474 = BgL_v1308z00_1497; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2445z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2444z00zz__evaluate_typesz00, BGl_proc2443z00zz__evaluate_typesz00, BFALSE, BGl_proc2442z00zz__evaluate_typesz00, BFALSE, BgL_arg1624z00_1473, BgL_arg1625z00_1474); } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_arg1639z00_1504; obj_t BgL_arg1640z00_1505;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1309z00_1519;
BgL_v1309z00_1519 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1309z00_1519,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2355z00zz__evaluate_typesz00, BGl_proc2448z00zz__evaluate_typesz00, BGl_proc2447z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1519,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2333z00zz__evaluate_typesz00, BGl_proc2450z00zz__evaluate_typesz00, BGl_proc2449z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2335z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1519,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2452z00zz__evaluate_typesz00, BGl_proc2451z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1639z00_1504 = BgL_v1309z00_1519; } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1310z00_1550;
BgL_v1310z00_1550 = 
create_vector(((long)0)); 
BgL_arg1640z00_1505 = BgL_v1310z00_1550; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2456z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2455z00zz__evaluate_typesz00, BGl_proc2454z00zz__evaluate_typesz00, BFALSE, BGl_proc2453z00zz__evaluate_typesz00, BFALSE, BgL_arg1639z00_1504, BgL_arg1640z00_1505); } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_arg1669z00_1557; obj_t BgL_arg1670z00_1558;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1311z00_1572;
BgL_v1311z00_1572 = 
create_vector(((long)0)); 
BgL_arg1669z00_1557 = BgL_v1311z00_1572; } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1312z00_1573;
BgL_v1312z00_1573 = 
create_vector(((long)0)); 
BgL_arg1670z00_1558 = BgL_v1312z00_1573; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2460z00zz__evaluate_typesz00, BGl_proc2459z00zz__evaluate_typesz00, BFALSE, BGl_proc2458z00zz__evaluate_typesz00, BFALSE, BgL_arg1669z00_1557, BgL_arg1670z00_1558); } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_arg1684z00_1580; obj_t BgL_arg1685z00_1581;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1313z00_1593;
BgL_v1313z00_1593 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1313z00_1593,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2465z00zz__evaluate_typesz00, BGl_proc2464z00zz__evaluate_typesz00, BGl_proc2463z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1313z00_1593,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2469z00zz__evaluate_typesz00, BGl_proc2468z00zz__evaluate_typesz00, BGl_proc2467z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1684z00_1580 = BgL_v1313z00_1593; } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1314z00_1614;
BgL_v1314z00_1614 = 
create_vector(((long)0)); 
BgL_arg1685z00_1581 = BgL_v1314z00_1614; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2473z00zz__evaluate_typesz00, BGl_proc2472z00zz__evaluate_typesz00, BFALSE, BGl_proc2471z00zz__evaluate_typesz00, BFALSE, BgL_arg1684z00_1580, BgL_arg1685z00_1581); } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_arg1708z00_1621; obj_t BgL_arg1709z00_1622;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1315z00_1634;
BgL_v1315z00_1634 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1315z00_1634,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2387z00zz__evaluate_typesz00, BGl_proc2477z00zz__evaluate_typesz00, BGl_proc2476z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1315z00_1634,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2469z00zz__evaluate_typesz00, BGl_proc2479z00zz__evaluate_typesz00, BGl_proc2478z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1708z00_1621 = BgL_v1315z00_1634; } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1316z00_1655;
BgL_v1316z00_1655 = 
create_vector(((long)0)); 
BgL_arg1709z00_1622 = BgL_v1316z00_1655; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2483z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2482z00zz__evaluate_typesz00, BGl_proc2481z00zz__evaluate_typesz00, BFALSE, BGl_proc2480z00zz__evaluate_typesz00, BFALSE, BgL_arg1708z00_1621, BgL_arg1709z00_1622); } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_arg1731z00_1662; obj_t BgL_arg1732z00_1663;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1317z00_1675;
BgL_v1317z00_1675 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1317z00_1675,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2487z00zz__evaluate_typesz00, BGl_proc2486z00zz__evaluate_typesz00, BGl_proc2485z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1317z00_1675,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2469z00zz__evaluate_typesz00, BGl_proc2490z00zz__evaluate_typesz00, BGl_proc2489z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1731z00_1662 = BgL_v1317z00_1675; } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1318z00_1696;
BgL_v1318z00_1696 = 
create_vector(((long)0)); 
BgL_arg1732z00_1663 = BgL_v1318z00_1696; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2494z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2493z00zz__evaluate_typesz00, BGl_proc2492z00zz__evaluate_typesz00, BFALSE, BGl_proc2491z00zz__evaluate_typesz00, BFALSE, BgL_arg1731z00_1662, BgL_arg1732z00_1663); } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_arg1753z00_1703; obj_t BgL_arg1754z00_1704;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1319z00_1718;
BgL_v1319z00_1718 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1319z00_1718,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2355z00zz__evaluate_typesz00, BGl_proc2497z00zz__evaluate_typesz00, BGl_proc2496z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1718,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_proc2499z00zz__evaluate_typesz00, BGl_proc2498z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1718,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, BGl_proc2502z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1718,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2469z00zz__evaluate_typesz00, BGl_proc2507z00zz__evaluate_typesz00, BGl_proc2506z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1753z00_1703 = BgL_v1319z00_1718; } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1320z00_1759;
BgL_v1320z00_1759 = 
create_vector(((long)0)); 
BgL_arg1754z00_1704 = BgL_v1320z00_1759; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2511z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2510z00zz__evaluate_typesz00, BGl_proc2509z00zz__evaluate_typesz00, BFALSE, BGl_proc2508z00zz__evaluate_typesz00, BFALSE, BgL_arg1753z00_1703, BgL_arg1754z00_1704); } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_arg1784z00_1766; obj_t BgL_arg1785z00_1767;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1321z00_1780;
BgL_v1321z00_1780 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1321z00_1780,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2514z00zz__evaluate_typesz00, BGl_proc2513z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1321z00_1780,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2519z00zz__evaluate_typesz00, BGl_proc2518z00zz__evaluate_typesz00, BGl_proc2517z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1321z00_1780,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2469z00zz__evaluate_typesz00, BGl_proc2522z00zz__evaluate_typesz00, BGl_proc2521z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1784z00_1766 = BgL_v1321z00_1780; } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1322z00_1811;
BgL_v1322z00_1811 = 
create_vector(((long)0)); 
BgL_arg1785z00_1767 = BgL_v1322z00_1811; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2526z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2525z00zz__evaluate_typesz00, BGl_proc2524z00zz__evaluate_typesz00, BFALSE, BGl_proc2523z00zz__evaluate_typesz00, BFALSE, BgL_arg1784z00_1766, BgL_arg1785z00_1767); } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_arg1809z00_1818; obj_t BgL_arg1811z00_1819;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1323z00_1833;
BgL_v1323z00_1833 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1323z00_1833,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2531z00zz__evaluate_typesz00, BGl_proc2530z00zz__evaluate_typesz00, BGl_proc2529z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2528z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1809z00_1818 = BgL_v1323z00_1833; } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1324z00_1847;
BgL_v1324z00_1847 = 
create_vector(((long)0)); 
BgL_arg1811z00_1819 = BgL_v1324z00_1847; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2536z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2535z00zz__evaluate_typesz00, BGl_proc2534z00zz__evaluate_typesz00, BFALSE, BGl_proc2533z00zz__evaluate_typesz00, BFALSE, BgL_arg1809z00_1818, BgL_arg1811z00_1819); } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_arg1827z00_1854; obj_t BgL_arg1828z00_1855;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1325z00_1869;
BgL_v1325z00_1869 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1325z00_1869,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2531z00zz__evaluate_typesz00, BGl_proc2540z00zz__evaluate_typesz00, BGl_proc2539z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2538z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1827z00_1854 = BgL_v1325z00_1869; } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1326z00_1883;
BgL_v1326z00_1883 = 
create_vector(((long)0)); 
BgL_arg1828z00_1855 = BgL_v1326z00_1883; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2544z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2543z00zz__evaluate_typesz00, BGl_proc2542z00zz__evaluate_typesz00, BFALSE, BGl_proc2541z00zz__evaluate_typesz00, BFALSE, BgL_arg1827z00_1854, BgL_arg1828z00_1855); } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_arg1844z00_1890; obj_t BgL_arg1845z00_1891;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1327z00_1904;
BgL_v1327z00_1904 = 
create_vector(((long)0)); 
BgL_arg1844z00_1890 = BgL_v1327z00_1904; } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1328z00_1905;
BgL_v1328z00_1905 = 
create_vector(((long)0)); 
BgL_arg1845z00_1891 = BgL_v1328z00_1905; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2549z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2548z00zz__evaluate_typesz00, BGl_proc2547z00zz__evaluate_typesz00, BFALSE, BGl_proc2546z00zz__evaluate_typesz00, BFALSE, BgL_arg1844z00_1890, BgL_arg1845z00_1891); } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_arg1854z00_1912; obj_t BgL_arg1855z00_1913;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1329z00_1929;
BgL_v1329z00_1929 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1329z00_1929,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2552z00zz__evaluate_typesz00, BGl_proc2551z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2519z00zz__evaluate_typesz00, BGl_proc2554z00zz__evaluate_typesz00, BGl_proc2553z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2558z00zz__evaluate_typesz00, BGl_proc2557z00zz__evaluate_typesz00, BGl_proc2556z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2555z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2563z00zz__evaluate_typesz00, BGl_proc2562z00zz__evaluate_typesz00, BGl_proc2561z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2560z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2469z00zz__evaluate_typesz00, BGl_proc2566z00zz__evaluate_typesz00, BGl_proc2565z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2531z00zz__evaluate_typesz00, BGl_proc2569z00zz__evaluate_typesz00, BGl_proc2568z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2567z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1854z00_1912 = BgL_v1329z00_1929; } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1330z00_1999;
BgL_v1330z00_1999 = 
create_vector(((long)0)); 
BgL_arg1855z00_1913 = BgL_v1330z00_1999; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2573z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2572z00zz__evaluate_typesz00, BGl_proc2571z00zz__evaluate_typesz00, BFALSE, BGl_proc2570z00zz__evaluate_typesz00, BFALSE, BgL_arg1854z00_1912, BgL_arg1855z00_1913); } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_arg1902z00_2006; obj_t BgL_arg1903z00_2007;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1331z00_2021;
BgL_v1331z00_2021 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1331z00_2021,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2355z00zz__evaluate_typesz00, BGl_proc2576z00zz__evaluate_typesz00, BGl_proc2575z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2021,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2579z00zz__evaluate_typesz00, BGl_proc2578z00zz__evaluate_typesz00, BGl_proc2577z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2021,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2583z00zz__evaluate_typesz00, BGl_proc2582z00zz__evaluate_typesz00, BGl_proc2581z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2021,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2396z00zz__evaluate_typesz00, BGl_proc2586z00zz__evaluate_typesz00, BGl_proc2585z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1902z00_2006 = BgL_v1331z00_2021; } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1332z00_2062;
BgL_v1332z00_2062 = 
create_vector(((long)0)); 
BgL_arg1903z00_2007 = BgL_v1332z00_2062; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2590z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2589z00zz__evaluate_typesz00, BGl_proc2588z00zz__evaluate_typesz00, BFALSE, BGl_proc2587z00zz__evaluate_typesz00, BFALSE, BgL_arg1902z00_2006, BgL_arg1903z00_2007); } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_arg1934z00_2069; obj_t BgL_arg1935z00_2070;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1333z00_2084;
BgL_v1333z00_2084 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1333z00_2084,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2355z00zz__evaluate_typesz00, BGl_proc2593z00zz__evaluate_typesz00, BGl_proc2592z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2084,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2596z00zz__evaluate_typesz00, BGl_proc2595z00zz__evaluate_typesz00, BGl_proc2594z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2084,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2396z00zz__evaluate_typesz00, BGl_proc2599z00zz__evaluate_typesz00, BGl_proc2598z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2084,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2602z00zz__evaluate_typesz00, BGl_proc2601z00zz__evaluate_typesz00, BGl_proc2600z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1934z00_2069 = BgL_v1333z00_2084; } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1334z00_2125;
BgL_v1334z00_2125 = 
create_vector(((long)0)); 
BgL_arg1935z00_2070 = BgL_v1334z00_2125; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2607z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2606z00zz__evaluate_typesz00, BGl_proc2605z00zz__evaluate_typesz00, BFALSE, BGl_proc2604z00zz__evaluate_typesz00, BFALSE, BgL_arg1934z00_2069, BgL_arg1935z00_2070); } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_arg1964z00_2132; obj_t BgL_arg1965z00_2133;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1335z00_2153;
BgL_v1335z00_2153 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1335z00_2153,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2355z00zz__evaluate_typesz00, BGl_proc2610z00zz__evaluate_typesz00, BGl_proc2609z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2613z00zz__evaluate_typesz00, BGl_proc2612z00zz__evaluate_typesz00, BGl_proc2611z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2617z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, BGl_proc2615z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2620z00zz__evaluate_typesz00, BGl_proc2619z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2469z00zz__evaluate_typesz00, BGl_proc2622z00zz__evaluate_typesz00, BGl_proc2621z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2626z00zz__evaluate_typesz00, BGl_proc2625z00zz__evaluate_typesz00, BGl_proc2624z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2623z00zz__evaluate_typesz00, BGl_symbol2628z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2633z00zz__evaluate_typesz00, BGl_proc2632z00zz__evaluate_typesz00, BGl_proc2631z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2630z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2638z00zz__evaluate_typesz00, BGl_proc2637z00zz__evaluate_typesz00, BGl_proc2636z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2635z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2643z00zz__evaluate_typesz00, BGl_proc2642z00zz__evaluate_typesz00, BGl_proc2641z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2640z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2531z00zz__evaluate_typesz00, BGl_proc2647z00zz__evaluate_typesz00, BGl_proc2646z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2645z00zz__evaluate_typesz00, BGl_symbol2342z00zz__evaluate_typesz00)); 
BgL_arg1964z00_2132 = BgL_v1335z00_2153; } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1336z00_2269;
BgL_v1336z00_2269 = 
create_vector(((long)0)); 
BgL_arg1965z00_2133 = BgL_v1336z00_2269; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2651z00zz__evaluate_typesz00, BGl_symbol2329z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2650z00zz__evaluate_typesz00, BGl_proc2649z00zz__evaluate_typesz00, BFALSE, BGl_proc2648z00zz__evaluate_typesz00, BFALSE, BgL_arg1964z00_2132, BgL_arg1965z00_2133), BUNSPEC) ;} } 

}



/* &<@anonymous:1970> */
obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3344, obj_t BgL_new1191z00_3345)
{
{ /* Eval/evaluate_types.scm 122 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_4475;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4484;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_classz00_3820;
BgL_classz00_3820 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL__ortest_1284z00_3821;
BgL__ortest_1284z00_3821 = 
BGL_CLASS_NIL(BgL_classz00_3820); 
if(
CBOOL(BgL__ortest_1284z00_3821))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4484 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3821)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4484 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3820))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4484),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3345)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4475 = 
((BgL_ev_absz00_bglt)BgL_new1191z00_3345); 
return 
((obj_t)BgL_auxz00_4475);} } 

}



/* &lambda1968 */
BgL_ev_absz00_bglt BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t BgL_envz00_3346)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1190z00_3822;
BgL_new1190z00_3822 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1969z00_3823;
BgL_arg1969z00_3823 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_3822), BgL_arg1969z00_3823); } 
return BgL_new1190z00_3822;} } 

}



/* &lambda1966 */
BgL_ev_absz00_bglt BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t BgL_envz00_3347, obj_t BgL_loc1180z00_3348, obj_t BgL_where1181z00_3349, obj_t BgL_arity1182z00_3350, obj_t BgL_vars1183z00_3351, obj_t BgL_body1184z00_3352, obj_t BgL_siza7e1185za7_3353, obj_t BgL_bind1186z00_3354, obj_t BgL_free1187z00_3355, obj_t BgL_inner1188z00_3356, obj_t BgL_boxes1189z00_3357)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_siza7e1185za7_3825;
BgL_siza7e1185za7_3825 = 
CINT(BgL_siza7e1185za7_3353); 
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1243z00_3826;
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1242z00_3827;
BgL_new1242z00_3827 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1967z00_3828;
BgL_arg1967z00_3828 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1242z00_3827), BgL_arg1967z00_3828); } 
BgL_new1243z00_3826 = BgL_new1242z00_3827; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_locz00)=((obj_t)BgL_loc1180z00_3348),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_wherez00)=((obj_t)BgL_where1181z00_3349),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_arityz00)=((obj_t)BgL_arity1182z00_3350),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_varsz00)=((obj_t)BgL_vars1183z00_3351),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1184z00_3352)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_siza7eza7)=((int)BgL_siza7e1185za7_3825),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_bindz00)=((obj_t)BgL_bind1186z00_3354),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_freez00)=((obj_t)BgL_free1187z00_3355),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_innerz00)=((obj_t)BgL_inner1188z00_3356),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3826))->BgL_boxesz00)=((obj_t)BgL_boxes1189z00_3357),BUNSPEC); 
return BgL_new1243z00_3826;} } } 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3358)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2029 */
obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t BgL_envz00_3359, obj_t BgL_oz00_3360, obj_t BgL_vz00_3361)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3360)))->BgL_boxesz00)=((obj_t)BgL_vz00_3361),BUNSPEC);} 

}



/* &lambda2028 */
obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t BgL_envz00_3362, obj_t BgL_oz00_3363)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3363)))->BgL_boxesz00);} 

}



/* &<@anonymous:2023> */
obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3364)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2022 */
obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t BgL_envz00_3365, obj_t BgL_oz00_3366, obj_t BgL_vz00_3367)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3366)))->BgL_innerz00)=((obj_t)BgL_vz00_3367),BUNSPEC);} 

}



/* &lambda2021 */
obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t BgL_envz00_3368, obj_t BgL_oz00_3369)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3369)))->BgL_innerz00);} 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3370)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t BgL_envz00_3371, obj_t BgL_oz00_3372, obj_t BgL_vz00_3373)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3372)))->BgL_freez00)=((obj_t)BgL_vz00_3373),BUNSPEC);} 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t BgL_envz00_3374, obj_t BgL_oz00_3375)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3375)))->BgL_freez00);} 

}



/* &<@anonymous:2009> */
obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3376)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2008 */
obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378, obj_t BgL_vz00_3379)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3378)))->BgL_bindz00)=((obj_t)BgL_vz00_3379),BUNSPEC);} 

}



/* &lambda2007 */
obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t BgL_envz00_3380, obj_t BgL_oz00_3381)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3381)))->BgL_bindz00);} 

}



/* &<@anonymous:2002> */
obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3382)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 

}



/* &lambda2001 */
obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t BgL_envz00_3383, obj_t BgL_oz00_3384, obj_t BgL_vz00_3385)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_vz00_3838;
BgL_vz00_3838 = 
CINT(BgL_vz00_3385); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3384)))->BgL_siza7eza7)=((int)BgL_vz00_3838),BUNSPEC);} } 

}



/* &lambda2000 */
obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t BgL_envz00_3386, obj_t BgL_oz00_3387)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3387)))->BgL_siza7eza7));} 

}



/* &lambda1995 */
obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t BgL_envz00_3388, obj_t BgL_oz00_3389, obj_t BgL_vz00_3390)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3389)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3390)),BUNSPEC);} 

}



/* &lambda1994 */
BgL_ev_exprz00_bglt BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t BgL_envz00_3391, obj_t BgL_oz00_3392)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3392)))->BgL_bodyz00);} 

}



/* &lambda1990 */
obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3393, obj_t BgL_oz00_3394, obj_t BgL_vz00_3395)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3394)))->BgL_varsz00)=((obj_t)BgL_vz00_3395),BUNSPEC);} 

}



/* &lambda1989 */
obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t BgL_envz00_3396, obj_t BgL_oz00_3397)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3397)))->BgL_varsz00);} 

}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3398, obj_t BgL_oz00_3399, obj_t BgL_vz00_3400)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3399)))->BgL_arityz00)=((obj_t)BgL_vz00_3400),BUNSPEC);} 

}



/* &lambda1984 */
obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t BgL_envz00_3401, obj_t BgL_oz00_3402)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3402)))->BgL_arityz00);} 

}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3403, obj_t BgL_oz00_3404, obj_t BgL_vz00_3405)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3404)))->BgL_wherez00)=((obj_t)BgL_vz00_3405),BUNSPEC);} 

}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3406, obj_t BgL_oz00_3407)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3407)))->BgL_wherez00);} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3408, obj_t BgL_oz00_3409, obj_t BgL_vz00_3410)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3409)))->BgL_locz00)=((obj_t)BgL_vz00_3410),BUNSPEC);} 

}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t BgL_envz00_3411, obj_t BgL_oz00_3412)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3412)))->BgL_locz00);} 

}



/* &<@anonymous:1940> */
obj_t BGl_z62zc3z04anonymousza31940ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3413, obj_t BgL_new1178z00_3414)
{
{ /* Eval/evaluate_types.scm 119 */
{ 
 BgL_ev_appz00_bglt BgL_auxz00_4570;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1178z00_3414)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4573;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_classz00_3852;
BgL_classz00_3852 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL__ortest_1284z00_3853;
BgL__ortest_1284z00_3853 = 
BGL_CLASS_NIL(BgL_classz00_3852); 
if(
CBOOL(BgL__ortest_1284z00_3853))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4573 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3853)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4573 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3852))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1178z00_3414)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4573),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1178z00_3414)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1178z00_3414)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4570 = 
((BgL_ev_appz00_bglt)BgL_new1178z00_3414); 
return 
((obj_t)BgL_auxz00_4570);} } 

}



/* &lambda1938 */
BgL_ev_appz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t BgL_envz00_3415)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1177z00_3854;
BgL_new1177z00_3854 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1939z00_3855;
BgL_arg1939z00_3855 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_3854), BgL_arg1939z00_3855); } 
return BgL_new1177z00_3854;} } 

}



/* &lambda1936 */
BgL_ev_appz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t BgL_envz00_3416, obj_t BgL_loc1173z00_3417, obj_t BgL_fun1174z00_3418, obj_t BgL_args1175z00_3419, obj_t BgL_tailzf31176zf3_3420)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1241z00_3857;
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1240z00_3858;
BgL_new1240z00_3858 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1937z00_3859;
BgL_arg1937z00_3859 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1240z00_3858), BgL_arg1937z00_3859); } 
BgL_new1241z00_3857 = BgL_new1240z00_3858; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1241z00_3857))->BgL_locz00)=((obj_t)BgL_loc1173z00_3417),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1241z00_3857))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1174z00_3418)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1241z00_3857))->BgL_argsz00)=((obj_t)BgL_args1175z00_3419),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1241z00_3857))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31176zf3_3420),BUNSPEC); 
return BgL_new1241z00_3857;} } 

}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3421, obj_t BgL_oz00_3422, obj_t BgL_vz00_3423)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3422)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3423),BUNSPEC);} 

}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3424, obj_t BgL_oz00_3425)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3425)))->BgL_tailzf3zf3);} 

}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3426, obj_t BgL_oz00_3427, obj_t BgL_vz00_3428)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3427)))->BgL_argsz00)=((obj_t)BgL_vz00_3428),BUNSPEC);} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t BgL_envz00_3429, obj_t BgL_oz00_3430)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3430)))->BgL_argsz00);} 

}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3431, obj_t BgL_oz00_3432, obj_t BgL_vz00_3433)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3432)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3433)),BUNSPEC);} 

}



/* &lambda1949 */
BgL_ev_exprz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t BgL_envz00_3434, obj_t BgL_oz00_3435)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3435)))->BgL_funz00);} 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3436, obj_t BgL_oz00_3437, obj_t BgL_vz00_3438)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3437)))->BgL_locz00)=((obj_t)BgL_vz00_3438),BUNSPEC);} 

}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3439, obj_t BgL_oz00_3440)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3440)))->BgL_locz00);} 

}



/* &<@anonymous:1910> */
obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3441, obj_t BgL_new1171z00_3442)
{
{ /* Eval/evaluate_types.scm 114 */
{ 
 BgL_ev_gotoz00_bglt BgL_auxz00_4618;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3442)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_4621;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3870;
BgL_classz00_3870 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1284z00_3871;
BgL__ortest_1284z00_3871 = 
BGL_CLASS_NIL(BgL_classz00_3870); 
if(
CBOOL(BgL__ortest_1284z00_3871))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4621 = 
((BgL_ev_varz00_bglt)BgL__ortest_1284z00_3871)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4621 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3870))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3442)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4621),BUNSPEC); } 
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4630;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3872;
BgL_classz00_3872 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1284z00_3873;
BgL__ortest_1284z00_3873 = 
BGL_CLASS_NIL(BgL_classz00_3872); 
if(
CBOOL(BgL__ortest_1284z00_3873))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4630 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1284z00_3873)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4630 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3872))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3442)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4630),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3442)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4618 = 
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3442); 
return 
((obj_t)BgL_auxz00_4618);} } 

}



/* &lambda1908 */
BgL_ev_gotoz00_bglt BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t BgL_envz00_3443)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1170z00_3874;
BgL_new1170z00_3874 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1909z00_3875;
BgL_arg1909z00_3875 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_3874), BgL_arg1909z00_3875); } 
return BgL_new1170z00_3874;} } 

}



/* &lambda1904 */
BgL_ev_gotoz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t BgL_envz00_3444, obj_t BgL_loc1166z00_3445, obj_t BgL_label1167z00_3446, obj_t BgL_labels1168z00_3447, obj_t BgL_args1169z00_3448)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1239z00_3878;
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1238z00_3879;
BgL_new1238z00_3879 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1907z00_3880;
BgL_arg1907z00_3880 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_3879), BgL_arg1907z00_3880); } 
BgL_new1239z00_3878 = BgL_new1238z00_3879; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1239z00_3878))->BgL_locz00)=((obj_t)BgL_loc1166z00_3445),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1239z00_3878))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1167z00_3446)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1239z00_3878))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1168z00_3447)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1239z00_3878))->BgL_argsz00)=((obj_t)BgL_args1169z00_3448),BUNSPEC); 
return BgL_new1239z00_3878;} } 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3449, obj_t BgL_oz00_3450, obj_t BgL_vz00_3451)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3450)))->BgL_argsz00)=((obj_t)BgL_vz00_3451),BUNSPEC);} 

}



/* &lambda1929 */
obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3452, obj_t BgL_oz00_3453)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3453)))->BgL_argsz00);} 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3454, obj_t BgL_oz00_3455, obj_t BgL_vz00_3456)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3455)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3456)),BUNSPEC);} 

}



/* &lambda1924 */
BgL_ev_labelsz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3457, obj_t BgL_oz00_3458)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3458)))->BgL_labelsz00);} 

}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3459, obj_t BgL_oz00_3460, obj_t BgL_vz00_3461)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3460)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3461)),BUNSPEC);} 

}



/* &lambda1919 */
BgL_ev_varz00_bglt BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3462, obj_t BgL_oz00_3463)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3463)))->BgL_labelz00);} 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3464, obj_t BgL_oz00_3465, obj_t BgL_vz00_3466)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3465)))->BgL_locz00)=((obj_t)BgL_vz00_3466),BUNSPEC);} 

}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3467, obj_t BgL_oz00_3468)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3468)))->BgL_locz00);} 

}



/* &<@anonymous:1860> */
obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3469, obj_t BgL_new1164z00_3470)
{
{ /* Eval/evaluate_types.scm 106 */
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4675;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3470)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3470)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3470)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3470)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4684;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_classz00_3892;
BgL_classz00_3892 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL__ortest_1284z00_3893;
BgL__ortest_1284z00_3893 = 
BGL_CLASS_NIL(BgL_classz00_3892); 
if(
CBOOL(BgL__ortest_1284z00_3893))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4684 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3893)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4684 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3892))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3470)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4684),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3470)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4675 = 
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3470); 
return 
((obj_t)BgL_auxz00_4675);} } 

}



/* &lambda1858 */
BgL_ev_labelsz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t BgL_envz00_3471)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1163z00_3894;
BgL_new1163z00_3894 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1859z00_3895;
BgL_arg1859z00_3895 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1163z00_3894), BgL_arg1859z00_3895); } 
return BgL_new1163z00_3894;} } 

}



/* &lambda1856 */
BgL_ev_labelsz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t BgL_envz00_3472, obj_t BgL_vars1157z00_3473, obj_t BgL_vals1158z00_3474, obj_t BgL_env1159z00_3475, obj_t BgL_stk1160z00_3476, obj_t BgL_body1161z00_3477, obj_t BgL_boxes1162z00_3478)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1237z00_3897;
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1236z00_3898;
BgL_new1236z00_3898 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1857z00_3899;
BgL_arg1857z00_3899 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1236z00_3898), BgL_arg1857z00_3899); } 
BgL_new1237z00_3897 = BgL_new1236z00_3898; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3897))->BgL_varsz00)=((obj_t)BgL_vars1157z00_3473),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3897))->BgL_valsz00)=((obj_t)BgL_vals1158z00_3474),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3897))->BgL_envz00)=((obj_t)BgL_env1159z00_3475),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3897))->BgL_stkz00)=((obj_t)BgL_stk1160z00_3476),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3897))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1161z00_3477)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3897))->BgL_boxesz00)=((obj_t)BgL_boxes1162z00_3478),BUNSPEC); 
return BgL_new1237z00_3897;} } 

}



/* &<@anonymous:1898> */
obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3479)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t BgL_envz00_3480, obj_t BgL_oz00_3481, obj_t BgL_vz00_3482)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3481)))->BgL_boxesz00)=((obj_t)BgL_vz00_3482),BUNSPEC);} 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t BgL_envz00_3483, obj_t BgL_oz00_3484)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3484)))->BgL_boxesz00);} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t BgL_envz00_3485, obj_t BgL_oz00_3486, obj_t BgL_vz00_3487)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3486)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3487)),BUNSPEC);} 

}



/* &lambda1890 */
BgL_ev_exprz00_bglt BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t BgL_envz00_3488, obj_t BgL_oz00_3489)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3489)))->BgL_bodyz00);} 

}



/* &<@anonymous:1886> */
obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3490)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1885 */
obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3491, obj_t BgL_oz00_3492, obj_t BgL_vz00_3493)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3492)))->BgL_stkz00)=((obj_t)BgL_vz00_3493),BUNSPEC);} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3494, obj_t BgL_oz00_3495)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3495)))->BgL_stkz00);} 

}



/* &<@anonymous:1879> */
obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3496)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1878 */
obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3497, obj_t BgL_oz00_3498, obj_t BgL_vz00_3499)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3498)))->BgL_envz00)=((obj_t)BgL_vz00_3499),BUNSPEC);} 

}



/* &lambda1877 */
obj_t BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t BgL_envz00_3500, obj_t BgL_oz00_3501)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3501)))->BgL_envz00);} 

}



/* &lambda1872 */
obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3502, obj_t BgL_oz00_3503, obj_t BgL_vz00_3504)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3503)))->BgL_valsz00)=((obj_t)BgL_vz00_3504),BUNSPEC);} 

}



/* &lambda1871 */
obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3505, obj_t BgL_oz00_3506)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3506)))->BgL_valsz00);} 

}



/* &lambda1866 */
obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t BgL_envz00_3507, obj_t BgL_oz00_3508, obj_t BgL_vz00_3509)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3508)))->BgL_varsz00)=((obj_t)BgL_vz00_3509),BUNSPEC);} 

}



/* &lambda1865 */
obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t BgL_envz00_3510, obj_t BgL_oz00_3511)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3511)))->BgL_varsz00);} 

}



/* &<@anonymous:1850> */
obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3512, obj_t BgL_new1155z00_3513)
{
{ /* Eval/evaluate_types.scm 105 */
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_4737;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1155z00_3513))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1155z00_3513))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4744;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_classz00_3914;
BgL_classz00_3914 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL__ortest_1284z00_3915;
BgL__ortest_1284z00_3915 = 
BGL_CLASS_NIL(BgL_classz00_3914); 
if(
CBOOL(BgL__ortest_1284z00_3915))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4744 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3915)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4744 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3914))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1155z00_3513))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4744),BUNSPEC); } 
BgL_auxz00_4737 = 
((BgL_ev_letrecz00_bglt)BgL_new1155z00_3513); 
return 
((obj_t)BgL_auxz00_4737);} } 

}



/* &lambda1848 */
BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t BgL_envz00_3514)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1154z00_3916;
BgL_new1154z00_3916 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1849z00_3917;
BgL_arg1849z00_3917 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_3916), BgL_arg1849z00_3917); } 
return BgL_new1154z00_3916;} } 

}



/* &lambda1846 */
BgL_ev_letrecz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t BgL_envz00_3515, obj_t BgL_vars1151z00_3516, obj_t BgL_vals1152z00_3517, obj_t BgL_body1153z00_3518)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1235z00_3919;
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1234z00_3920;
BgL_new1234z00_3920 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1847z00_3921;
BgL_arg1847z00_3921 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1234z00_3920), BgL_arg1847z00_3921); } 
BgL_new1235z00_3919 = BgL_new1234z00_3920; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1235z00_3919)))->BgL_varsz00)=((obj_t)BgL_vars1151z00_3516),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1235z00_3919)))->BgL_valsz00)=((obj_t)BgL_vals1152z00_3517),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1235z00_3919)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1153z00_3518)),BUNSPEC); 
return BgL_new1235z00_3919;} } 

}



/* &<@anonymous:1833> */
obj_t BGl_z62zc3z04anonymousza31833ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3519, obj_t BgL_new1149z00_3520)
{
{ /* Eval/evaluate_types.scm 103 */
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_4771;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3520))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3520))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4778;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_classz00_3923;
BgL_classz00_3923 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL__ortest_1284z00_3924;
BgL__ortest_1284z00_3924 = 
BGL_CLASS_NIL(BgL_classz00_3923); 
if(
CBOOL(BgL__ortest_1284z00_3924))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4778 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3924)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4778 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3923))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3520))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4778),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3520)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4771 = 
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3520); 
return 
((obj_t)BgL_auxz00_4771);} } 

}



/* &lambda1831 */
BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t BgL_envz00_3521)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1148z00_3925;
BgL_new1148z00_3925 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1832z00_3926;
BgL_arg1832z00_3926 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_3925), BgL_arg1832z00_3926); } 
return BgL_new1148z00_3925;} } 

}



/* &lambda1829 */
BgL_ev_letza2za2_bglt BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t BgL_envz00_3522, obj_t BgL_vars1144z00_3523, obj_t BgL_vals1145z00_3524, obj_t BgL_body1146z00_3525, obj_t BgL_boxes1147z00_3526)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1233z00_3928;
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1232z00_3929;
BgL_new1232z00_3929 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1830z00_3930;
BgL_arg1830z00_3930 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_3929), BgL_arg1830z00_3930); } 
BgL_new1233z00_3928 = BgL_new1232z00_3929; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3928)))->BgL_varsz00)=((obj_t)BgL_vars1144z00_3523),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3928)))->BgL_valsz00)=((obj_t)BgL_vals1145z00_3524),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3928)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1146z00_3525)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1233z00_3928))->BgL_boxesz00)=((obj_t)BgL_boxes1147z00_3526),BUNSPEC); 
return BgL_new1233z00_3928;} } 

}



/* &<@anonymous:1840> */
obj_t BGl_z62zc3z04anonymousza31840ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3527)
{
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 

}



/* &lambda1839 */
obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t BgL_envz00_3528, obj_t BgL_oz00_3529, obj_t BgL_vz00_3530)
{
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3529)))->BgL_boxesz00)=((obj_t)BgL_vz00_3530),BUNSPEC);} 

}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3531, obj_t BgL_oz00_3532)
{
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3532)))->BgL_boxesz00);} 

}



/* &<@anonymous:1816> */
obj_t BGl_z62zc3z04anonymousza31816ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3533, obj_t BgL_new1142z00_3534)
{
{ /* Eval/evaluate_types.scm 101 */
{ 
 BgL_ev_letz00_bglt BgL_auxz00_4812;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1142z00_3534))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1142z00_3534))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4819;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_classz00_3934;
BgL_classz00_3934 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL__ortest_1284z00_3935;
BgL__ortest_1284z00_3935 = 
BGL_CLASS_NIL(BgL_classz00_3934); 
if(
CBOOL(BgL__ortest_1284z00_3935))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4819 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3935)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4819 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3934))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1142z00_3534))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4819),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1142z00_3534)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4812 = 
((BgL_ev_letz00_bglt)BgL_new1142z00_3534); 
return 
((obj_t)BgL_auxz00_4812);} } 

}



/* &lambda1814 */
BgL_ev_letz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t BgL_envz00_3535)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1141z00_3936;
BgL_new1141z00_3936 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1815z00_3937;
BgL_arg1815z00_3937 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_3936), BgL_arg1815z00_3937); } 
return BgL_new1141z00_3936;} } 

}



/* &lambda1812 */
BgL_ev_letz00_bglt BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t BgL_envz00_3536, obj_t BgL_vars1137z00_3537, obj_t BgL_vals1138z00_3538, obj_t BgL_body1139z00_3539, obj_t BgL_boxes1140z00_3540)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1231z00_3939;
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1230z00_3940;
BgL_new1230z00_3940 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1813z00_3941;
BgL_arg1813z00_3941 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_3940), BgL_arg1813z00_3941); } 
BgL_new1231z00_3939 = BgL_new1230z00_3940; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3939)))->BgL_varsz00)=((obj_t)BgL_vars1137z00_3537),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3939)))->BgL_valsz00)=((obj_t)BgL_vals1138z00_3538),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3939)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1139z00_3539)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1231z00_3939))->BgL_boxesz00)=((obj_t)BgL_boxes1140z00_3540),BUNSPEC); 
return BgL_new1231z00_3939;} } 

}



/* &<@anonymous:1823> */
obj_t BGl_z62zc3z04anonymousza31823ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3541)
{
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 

}



/* &lambda1822 */
obj_t BGl_z62lambda1822z62zz__evaluate_typesz00(obj_t BgL_envz00_3542, obj_t BgL_oz00_3543, obj_t BgL_vz00_3544)
{
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3543)))->BgL_boxesz00)=((obj_t)BgL_vz00_3544),BUNSPEC);} 

}



/* &lambda1821 */
obj_t BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t BgL_envz00_3545, obj_t BgL_oz00_3546)
{
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3546)))->BgL_boxesz00);} 

}



/* &<@anonymous:1790> */
obj_t BGl_z62zc3z04anonymousza31790ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3547, obj_t BgL_new1135z00_3548)
{
{ /* Eval/evaluate_types.scm 97 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_4853;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1135z00_3548)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1135z00_3548)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4858;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_classz00_3945;
BgL_classz00_3945 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL__ortest_1284z00_3946;
BgL__ortest_1284z00_3946 = 
BGL_CLASS_NIL(BgL_classz00_3945); 
if(
CBOOL(BgL__ortest_1284z00_3946))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4858 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3946)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4858 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3945))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1135z00_3548)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4858),BUNSPEC); } 
BgL_auxz00_4853 = 
((BgL_ev_binderz00_bglt)BgL_new1135z00_3548); 
return 
((obj_t)BgL_auxz00_4853);} } 

}



/* &lambda1788 */
BgL_ev_binderz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t BgL_envz00_3549)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1134z00_3947;
BgL_new1134z00_3947 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1789z00_3948;
BgL_arg1789z00_3948 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1134z00_3947), BgL_arg1789z00_3948); } 
return BgL_new1134z00_3947;} } 

}



/* &lambda1786 */
BgL_ev_binderz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t BgL_envz00_3550, obj_t BgL_vars1131z00_3551, obj_t BgL_vals1132z00_3552, obj_t BgL_body1133z00_3553)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1229z00_3950;
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1228z00_3951;
BgL_new1228z00_3951 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1787z00_3952;
BgL_arg1787z00_3952 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_3951), BgL_arg1787z00_3952); } 
BgL_new1229z00_3950 = BgL_new1228z00_3951; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1229z00_3950))->BgL_varsz00)=((obj_t)BgL_vars1131z00_3551),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1229z00_3950))->BgL_valsz00)=((obj_t)BgL_vals1132z00_3552),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1229z00_3950))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1133z00_3553)),BUNSPEC); 
return BgL_new1229z00_3950;} } 

}



/* &lambda1805 */
obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t BgL_envz00_3554, obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3555)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3556)),BUNSPEC);} 

}



/* &lambda1804 */
BgL_ev_exprz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t BgL_envz00_3557, obj_t BgL_oz00_3558)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3558)))->BgL_bodyz00);} 

}



/* &lambda1800 */
obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t BgL_envz00_3559, obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3560)))->BgL_valsz00)=((obj_t)BgL_vz00_3561),BUNSPEC);} 

}



/* &lambda1799 */
obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t BgL_envz00_3562, obj_t BgL_oz00_3563)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3563)))->BgL_valsz00);} 

}



/* &lambda1795 */
obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t BgL_envz00_3564, obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3565)))->BgL_varsz00)=((obj_t)BgL_vz00_3566),BUNSPEC);} 

}



/* &lambda1794 */
obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t BgL_envz00_3567, obj_t BgL_oz00_3568)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3568)))->BgL_varsz00);} 

}



/* &<@anonymous:1759> */
obj_t BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3569, obj_t BgL_new1129z00_3570)
{
{ /* Eval/evaluate_types.scm 92 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4894;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3570)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4897;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3961;
BgL_classz00_3961 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1284z00_3962;
BgL__ortest_1284z00_3962 = 
BGL_CLASS_NIL(BgL_classz00_3961); 
if(
CBOOL(BgL__ortest_1284z00_3962))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4897 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3962)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4897 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3961))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3570)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4897),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4906;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3963;
BgL_classz00_3963 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1284z00_3964;
BgL__ortest_1284z00_3964 = 
BGL_CLASS_NIL(BgL_classz00_3963); 
if(
CBOOL(BgL__ortest_1284z00_3964))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4906 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3964)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4906 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3963))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3570)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4906),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4915;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3965;
BgL_classz00_3965 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1284z00_3966;
BgL__ortest_1284z00_3966 = 
BGL_CLASS_NIL(BgL_classz00_3965); 
if(
CBOOL(BgL__ortest_1284z00_3966))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4915 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3966)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4915 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3965))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3570)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4915),BUNSPEC); } 
BgL_auxz00_4894 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3570); 
return 
((obj_t)BgL_auxz00_4894);} } 

}



/* &lambda1757 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t BgL_envz00_3571)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1128z00_3967;
BgL_new1128z00_3967 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1758z00_3968;
BgL_arg1758z00_3968 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_3967), BgL_arg1758z00_3968); } 
return BgL_new1128z00_3967;} } 

}



/* &lambda1755 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3572, obj_t BgL_loc1124z00_3573, obj_t BgL_mutex1125z00_3574, obj_t BgL_prelock1126z00_3575, obj_t BgL_body1127z00_3576)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1227z00_3972;
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1226z00_3973;
BgL_new1226z00_3973 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1756z00_3974;
BgL_arg1756z00_3974 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1226z00_3973), BgL_arg1756z00_3974); } 
BgL_new1227z00_3972 = BgL_new1226z00_3973; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1227z00_3972))->BgL_locz00)=((obj_t)BgL_loc1124z00_3573),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1227z00_3972))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1125z00_3574)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1227z00_3972))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1126z00_3575)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1227z00_3972))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1127z00_3576)),BUNSPEC); 
return BgL_new1227z00_3972;} } 

}



/* &lambda1780 */
obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3577, obj_t BgL_oz00_3578, obj_t BgL_vz00_3579)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3578)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3579)),BUNSPEC);} 

}



/* &lambda1779 */
BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t BgL_envz00_3580, obj_t BgL_oz00_3581)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3581)))->BgL_bodyz00);} 

}



/* &lambda1775 */
obj_t BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t BgL_envz00_3582, obj_t BgL_oz00_3583, obj_t BgL_vz00_3584)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3583)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3584)),BUNSPEC);} 

}



/* &lambda1774 */
BgL_ev_exprz00_bglt BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t BgL_envz00_3585, obj_t BgL_oz00_3586)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3586)))->BgL_prelockz00);} 

}



/* &lambda1769 */
obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t BgL_envz00_3587, obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3588)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3589)),BUNSPEC);} 

}



/* &lambda1768 */
BgL_ev_exprz00_bglt BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3590, obj_t BgL_oz00_3591)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3591)))->BgL_mutexz00);} 

}



/* &lambda1764 */
obj_t BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t BgL_envz00_3592, obj_t BgL_oz00_3593, obj_t BgL_vz00_3594)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3593)))->BgL_locz00)=((obj_t)BgL_vz00_3594),BUNSPEC);} 

}



/* &lambda1763 */
obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t BgL_envz00_3595, obj_t BgL_oz00_3596)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3596)))->BgL_locz00);} 

}



/* &<@anonymous:1737> */
obj_t BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3597, obj_t BgL_new1122z00_3598)
{
{ /* Eval/evaluate_types.scm 89 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4960;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4961;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3987;
BgL_classz00_3987 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1284z00_3988;
BgL__ortest_1284z00_3988 = 
BGL_CLASS_NIL(BgL_classz00_3987); 
if(
CBOOL(BgL__ortest_1284z00_3988))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4961 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3988)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4961 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3987))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1122z00_3598)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4961),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4970;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3989;
BgL_classz00_3989 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1284z00_3990;
BgL__ortest_1284z00_3990 = 
BGL_CLASS_NIL(BgL_classz00_3989); 
if(
CBOOL(BgL__ortest_1284z00_3990))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4970 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3990)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4970 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3989))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1122z00_3598)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4970),BUNSPEC); } 
BgL_auxz00_4960 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1122z00_3598); 
return 
((obj_t)BgL_auxz00_4960);} } 

}



/* &lambda1735 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t BgL_envz00_3599)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_3991;
BgL_new1121z00_3991 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1736z00_3992;
BgL_arg1736z00_3992 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_3991), BgL_arg1736z00_3992); } 
return BgL_new1121z00_3991;} } 

}



/* &lambda1733 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t BgL_envz00_3600, obj_t BgL_handler1119z00_3601, obj_t BgL_body1120z00_3602)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1225z00_3995;
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1224z00_3996;
BgL_new1224z00_3996 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1734z00_3997;
BgL_arg1734z00_3997 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_3996), BgL_arg1734z00_3997); } 
BgL_new1225z00_3995 = BgL_new1224z00_3996; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1225z00_3995))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1119z00_3601)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1225z00_3995))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1120z00_3602)),BUNSPEC); 
return BgL_new1225z00_3995;} } 

}



/* &lambda1749 */
obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3603, obj_t BgL_oz00_3604, obj_t BgL_vz00_3605)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3604)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3605)),BUNSPEC);} 

}



/* &lambda1748 */
BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3606, obj_t BgL_oz00_3607)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3607)))->BgL_bodyz00);} 

}



/* &lambda1742 */
obj_t BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t BgL_envz00_3608, obj_t BgL_oz00_3609, obj_t BgL_vz00_3610)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3609)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3610)),BUNSPEC);} 

}



/* &lambda1741 */
BgL_ev_exprz00_bglt BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t BgL_envz00_3611, obj_t BgL_oz00_3612)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3612)))->BgL_handlerz00);} 

}



/* &<@anonymous:1714> */
obj_t BGl_z62zc3z04anonymousza31714ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3613, obj_t BgL_new1117z00_3614)
{
{ /* Eval/evaluate_types.scm 86 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5003;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5004;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4005;
BgL_classz00_4005 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1284z00_4006;
BgL__ortest_1284z00_4006 = 
BGL_CLASS_NIL(BgL_classz00_4005); 
if(
CBOOL(BgL__ortest_1284z00_4006))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5004 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4006)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5004 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4005))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1117z00_3614)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5004),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5013;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4007;
BgL_classz00_4007 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1284z00_4008;
BgL__ortest_1284z00_4008 = 
BGL_CLASS_NIL(BgL_classz00_4007); 
if(
CBOOL(BgL__ortest_1284z00_4008))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5013 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4008)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5013 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4007))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1117z00_3614)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5013),BUNSPEC); } 
BgL_auxz00_5003 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1117z00_3614); 
return 
((obj_t)BgL_auxz00_5003);} } 

}



/* &lambda1712 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3615)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_4009;
BgL_new1116z00_4009 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1713z00_4010;
BgL_arg1713z00_4010 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_4009), BgL_arg1713z00_4010); } 
return BgL_new1116z00_4009;} } 

}



/* &lambda1710 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t BgL_envz00_3616, obj_t BgL_e1114z00_3617, obj_t BgL_body1115z00_3618)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1223z00_4013;
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1222z00_4014;
BgL_new1222z00_4014 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1711z00_4015;
BgL_arg1711z00_4015 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_4014), BgL_arg1711z00_4015); } 
BgL_new1223z00_4013 = BgL_new1222z00_4014; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1223z00_4013))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1114z00_3617)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1223z00_4013))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1115z00_3618)),BUNSPEC); 
return BgL_new1223z00_4013;} } 

}



/* &lambda1727 */
obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t BgL_envz00_3619, obj_t BgL_oz00_3620, obj_t BgL_vz00_3621)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3620)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3621)),BUNSPEC);} 

}



/* &lambda1726 */
BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t BgL_envz00_3622, obj_t BgL_oz00_3623)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3623)))->BgL_bodyz00);} 

}



/* &lambda1722 */
obj_t BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t BgL_envz00_3624, obj_t BgL_oz00_3625, obj_t BgL_vz00_3626)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3625)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3626)),BUNSPEC);} 

}



/* &lambda1721 */
BgL_ev_exprz00_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t BgL_envz00_3627, obj_t BgL_oz00_3628)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3628)))->BgL_ez00);} 

}



/* &<@anonymous:1690> */
obj_t BGl_z62zc3z04anonymousza31690ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3629, obj_t BgL_new1112z00_3630)
{
{ /* Eval/evaluate_types.scm 83 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5046;
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5047;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4023;
BgL_classz00_4023 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1284z00_4024;
BgL__ortest_1284z00_4024 = 
BGL_CLASS_NIL(BgL_classz00_4023); 
if(
CBOOL(BgL__ortest_1284z00_4024))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5047 = 
((BgL_ev_varz00_bglt)BgL__ortest_1284z00_4024)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5047 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4023))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1112z00_3630)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5047),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5056;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4025;
BgL_classz00_4025 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1284z00_4026;
BgL__ortest_1284z00_4026 = 
BGL_CLASS_NIL(BgL_classz00_4025); 
if(
CBOOL(BgL__ortest_1284z00_4026))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5056 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4026)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5056 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4025))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1112z00_3630)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5056),BUNSPEC); } 
BgL_auxz00_5046 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1112z00_3630); 
return 
((obj_t)BgL_auxz00_5046);} } 

}



/* &lambda1688 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t BgL_envz00_3631)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_4027;
BgL_new1110z00_4027 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1689z00_4028;
BgL_arg1689z00_4028 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_4027), BgL_arg1689z00_4028); } 
return BgL_new1110z00_4027;} } 

}



/* &lambda1686 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t BgL_envz00_3632, obj_t BgL_var1108z00_3633, obj_t BgL_body1109z00_3634)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1221z00_4031;
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1220z00_4032;
BgL_new1220z00_4032 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1687z00_4033;
BgL_arg1687z00_4033 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_4032), BgL_arg1687z00_4033); } 
BgL_new1221z00_4031 = BgL_new1220z00_4032; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1221z00_4031))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1108z00_3633)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1221z00_4031))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1109z00_3634)),BUNSPEC); 
return BgL_new1221z00_4031;} } 

}



/* &lambda1703 */
obj_t BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t BgL_envz00_3635, obj_t BgL_oz00_3636, obj_t BgL_vz00_3637)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3636)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3637)),BUNSPEC);} 

}



/* &lambda1702 */
BgL_ev_exprz00_bglt BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t BgL_envz00_3638, obj_t BgL_oz00_3639)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3639)))->BgL_bodyz00);} 

}



/* &lambda1695 */
obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t BgL_envz00_3640, obj_t BgL_oz00_3641, obj_t BgL_vz00_3642)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3641)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3642)),BUNSPEC);} 

}



/* &lambda1694 */
BgL_ev_varz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t BgL_envz00_3643, obj_t BgL_oz00_3644)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3644)))->BgL_varz00);} 

}



/* &<@anonymous:1675> */
obj_t BGl_z62zc3z04anonymousza31675ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3645, obj_t BgL_new1106z00_3646)
{
{ /* Eval/evaluate_types.scm 82 */
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5089;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5090;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_classz00_4041;
BgL_classz00_4041 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL__ortest_1284z00_4042;
BgL__ortest_1284z00_4042 = 
BGL_CLASS_NIL(BgL_classz00_4041); 
if(
CBOOL(BgL__ortest_1284z00_4042))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5090 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4042)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5090 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4041))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3646))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5090),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3646))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3646))))->BgL_namez00)=((obj_t)BGl_symbol2653z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3646))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5089 = 
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3646); 
return 
((obj_t)BgL_auxz00_5089);} } 

}



/* &lambda1673 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t BgL_envz00_3647)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1105z00_4043;
BgL_new1105z00_4043 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1674z00_4044;
BgL_arg1674z00_4044 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_4043), BgL_arg1674z00_4044); } 
return BgL_new1105z00_4043;} } 

}



/* &lambda1671 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t BgL_envz00_3648, obj_t BgL_e1101z00_3649, obj_t BgL_loc1102z00_3650, obj_t BgL_name1103z00_3651, obj_t BgL_mod1104z00_3652)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1219z00_4047;
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1218z00_4048;
BgL_new1218z00_4048 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1672z00_4049;
BgL_arg1672z00_4049 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_4048), BgL_arg1672z00_4049); } 
BgL_new1219z00_4047 = BgL_new1218z00_4048; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1219z00_4047)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1101z00_3649)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1219z00_4047)))->BgL_locz00)=((obj_t)BgL_loc1102z00_3650),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1219z00_4047)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1103z00_3651)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1219z00_4047)))->BgL_modz00)=((obj_t)BgL_mod1104z00_3652),BUNSPEC); 
return BgL_new1219z00_4047;} } 

}



/* &<@anonymous:1645> */
obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3653, obj_t BgL_new1099z00_3654)
{
{ /* Eval/evaluate_types.scm 78 */
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_5129;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5130;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_classz00_4051;
BgL_classz00_4051 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL__ortest_1284z00_4052;
BgL__ortest_1284z00_4052 = 
BGL_CLASS_NIL(BgL_classz00_4051); 
if(
CBOOL(BgL__ortest_1284z00_4052))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5130 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4052)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5130 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4051))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3654))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5130),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3654)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3654)))->BgL_namez00)=((obj_t)BGl_symbol2653z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3654)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5129 = 
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3654); 
return 
((obj_t)BgL_auxz00_5129);} } 

}



/* &lambda1643 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t BgL_envz00_3655)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1098z00_4053;
BgL_new1098z00_4053 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1644z00_4054;
BgL_arg1644z00_4054 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_4053), BgL_arg1644z00_4054); } 
return BgL_new1098z00_4053;} } 

}



/* &lambda1641 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t BgL_envz00_3656, obj_t BgL_e1094z00_3657, obj_t BgL_loc1095z00_3658, obj_t BgL_name1096z00_3659, obj_t BgL_mod1097z00_3660)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1217z00_4057;
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1216z00_4058;
BgL_new1216z00_4058 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1642z00_4059;
BgL_arg1642z00_4059 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_4058), BgL_arg1642z00_4059); } 
BgL_new1217z00_4057 = BgL_new1216z00_4058; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1217z00_4057)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1094z00_3657)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1217z00_4057))->BgL_locz00)=((obj_t)BgL_loc1095z00_3658),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1217z00_4057))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1096z00_3659)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1217z00_4057))->BgL_modz00)=((obj_t)BgL_mod1097z00_3660),BUNSPEC); 
return BgL_new1217z00_4057;} } 

}



/* &lambda1663 */
obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t BgL_envz00_3661, obj_t BgL_oz00_3662, obj_t BgL_vz00_3663)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3662)))->BgL_modz00)=((obj_t)BgL_vz00_3663),BUNSPEC);} 

}



/* &lambda1662 */
obj_t BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t BgL_envz00_3664, obj_t BgL_oz00_3665)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3665)))->BgL_modz00);} 

}



/* &lambda1656 */
obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t BgL_envz00_3666, obj_t BgL_oz00_3667, obj_t BgL_vz00_3668)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3667)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3668)),BUNSPEC);} 

}



/* &lambda1655 */
obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t BgL_envz00_3669, obj_t BgL_oz00_3670)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3670)))->BgL_namez00);} 

}



/* &lambda1651 */
obj_t BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t BgL_envz00_3671, obj_t BgL_oz00_3672, obj_t BgL_vz00_3673)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3672)))->BgL_locz00)=((obj_t)BgL_vz00_3673),BUNSPEC);} 

}



/* &lambda1650 */
obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t BgL_envz00_3674, obj_t BgL_oz00_3675)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3675)))->BgL_locz00);} 

}



/* &<@anonymous:1630> */
obj_t BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3676, obj_t BgL_new1092z00_3677)
{
{ /* Eval/evaluate_types.scm 76 */
{ 
 BgL_ev_setlocalz00_bglt BgL_auxz00_5176;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5177;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4068;
BgL_classz00_4068 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1284z00_4069;
BgL__ortest_1284z00_4069 = 
BGL_CLASS_NIL(BgL_classz00_4068); 
if(
CBOOL(BgL__ortest_1284z00_4069))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5177 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4069)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5177 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4068))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3677))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5177),BUNSPEC); } 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5187;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4070;
BgL_classz00_4070 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1284z00_4071;
BgL__ortest_1284z00_4071 = 
BGL_CLASS_NIL(BgL_classz00_4070); 
if(
CBOOL(BgL__ortest_1284z00_4071))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5187 = 
((BgL_ev_varz00_bglt)BgL__ortest_1284z00_4071)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5187 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4070))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3677)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5187),BUNSPEC); } 
BgL_auxz00_5176 = 
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3677); 
return 
((obj_t)BgL_auxz00_5176);} } 

}



/* &lambda1628 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t BgL_envz00_3678)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1091z00_4072;
BgL_new1091z00_4072 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1629z00_4073;
BgL_arg1629z00_4073 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_4072), BgL_arg1629z00_4073); } 
return BgL_new1091z00_4072;} } 

}



/* &lambda1626 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t BgL_envz00_3679, obj_t BgL_e1089z00_3680, obj_t BgL_v1090z00_3681)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1215z00_4076;
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1214z00_4077;
BgL_new1214z00_4077 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1627z00_4078;
BgL_arg1627z00_4078 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_4077), BgL_arg1627z00_4078); } 
BgL_new1215z00_4076 = BgL_new1214z00_4077; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1215z00_4076)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1089z00_3680)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1215z00_4076))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1090z00_3681)),BUNSPEC); 
return BgL_new1215z00_4076;} } 

}



/* &lambda1635 */
obj_t BGl_z62lambda1635z62zz__evaluate_typesz00(obj_t BgL_envz00_3682, obj_t BgL_oz00_3683, obj_t BgL_vz00_3684)
{
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3683)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3684)),BUNSPEC);} 

}



/* &lambda1634 */
BgL_ev_varz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3685, obj_t BgL_oz00_3686)
{
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3686)))->BgL_vz00);} 

}



/* &<@anonymous:1620> */
obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3687, obj_t BgL_new1087z00_3688)
{
{ /* Eval/evaluate_types.scm 75 */
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_5216;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5217;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_classz00_4083;
BgL_classz00_4083 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL__ortest_1284z00_4084;
BgL__ortest_1284z00_4084 = 
BGL_CLASS_NIL(BgL_classz00_4083); 
if(
CBOOL(BgL__ortest_1284z00_4084))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5217 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4084)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5217 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4083))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1087z00_3688))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5217),BUNSPEC); } 
BgL_auxz00_5216 = 
((BgL_ev_trapz00_bglt)BgL_new1087z00_3688); 
return 
((obj_t)BgL_auxz00_5216);} } 

}



/* &lambda1618 */
BgL_ev_trapz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t BgL_envz00_3689)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1086z00_4085;
BgL_new1086z00_4085 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1619z00_4086;
BgL_arg1619z00_4086 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_4085), BgL_arg1619z00_4086); } 
return BgL_new1086z00_4085;} } 

}



/* &lambda1616 */
BgL_ev_trapz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t BgL_envz00_3690, obj_t BgL_e1085z00_3691)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1213z00_4088;
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1212z00_4089;
BgL_new1212z00_4089 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1617z00_4090;
BgL_arg1617z00_4090 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_4089), BgL_arg1617z00_4090); } 
BgL_new1213z00_4088 = BgL_new1212z00_4089; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1213z00_4088)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1085z00_3691)),BUNSPEC); 
return BgL_new1213z00_4088;} } 

}



/* &<@anonymous:1603> */
obj_t BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3692, obj_t BgL_new1083z00_3693)
{
{ /* Eval/evaluate_types.scm 73 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5240;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5241;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_classz00_4092;
BgL_classz00_4092 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL__ortest_1284z00_4093;
BgL__ortest_1284z00_4093 = 
BGL_CLASS_NIL(BgL_classz00_4092); 
if(
CBOOL(BgL__ortest_1284z00_4093))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5241 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4093)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5241 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4092))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1083z00_3693)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5241),BUNSPEC); } 
BgL_auxz00_5240 = 
((BgL_ev_hookz00_bglt)BgL_new1083z00_3693); 
return 
((obj_t)BgL_auxz00_5240);} } 

}



/* &lambda1601 */
BgL_ev_hookz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t BgL_envz00_3694)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1082z00_4094;
BgL_new1082z00_4094 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1602z00_4095;
BgL_arg1602z00_4095 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4094), BgL_arg1602z00_4095); } 
return BgL_new1082z00_4094;} } 

}



/* &lambda1599 */
BgL_ev_hookz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t BgL_envz00_3695, obj_t BgL_e1081z00_3696)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1211z00_4097;
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1210z00_4098;
BgL_new1210z00_4098 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1600z00_4099;
BgL_arg1600z00_4099 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_4098), BgL_arg1600z00_4099); } 
BgL_new1211z00_4097 = BgL_new1210z00_4098; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1211z00_4097))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1081z00_3696)),BUNSPEC); 
return BgL_new1211z00_4097;} } 

}



/* &lambda1610 */
obj_t BGl_z62lambda1610z62zz__evaluate_typesz00(obj_t BgL_envz00_3697, obj_t BgL_oz00_3698, obj_t BgL_vz00_3699)
{
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3698)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3699)),BUNSPEC);} 

}



/* &lambda1609 */
BgL_ev_exprz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t BgL_envz00_3700, obj_t BgL_oz00_3701)
{
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3701)))->BgL_ez00);} 

}



/* &<@anonymous:1582> */
obj_t BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3702, obj_t BgL_new1079z00_3703)
{
{ /* Eval/evaluate_types.scm 70 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5267;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5268;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4104;
BgL_classz00_4104 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1284z00_4105;
BgL__ortest_1284z00_4105 = 
BGL_CLASS_NIL(BgL_classz00_4104); 
if(
CBOOL(BgL__ortest_1284z00_4105))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5268 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4105)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5268 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4104))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3703)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5268),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5277;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4106;
BgL_classz00_4106 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1284z00_4107;
BgL__ortest_1284z00_4107 = 
BGL_CLASS_NIL(BgL_classz00_4106); 
if(
CBOOL(BgL__ortest_1284z00_4107))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5277 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4107)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5277 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4106))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3703)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5277),BUNSPEC); } 
BgL_auxz00_5267 = 
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3703); 
return 
((obj_t)BgL_auxz00_5267);} } 

}



/* &lambda1580 */
BgL_ev_prog2z00_bglt BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t BgL_envz00_3704)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1078z00_4108;
BgL_new1078z00_4108 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1581z00_4109;
BgL_arg1581z00_4109 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4108), BgL_arg1581z00_4109); } 
return BgL_new1078z00_4108;} } 

}



/* &lambda1576 */
BgL_ev_prog2z00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t BgL_envz00_3705, obj_t BgL_e11076z00_3706, obj_t BgL_e21077z00_3707)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1209z00_4112;
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1208z00_4113;
BgL_new1208z00_4113 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1579z00_4114;
BgL_arg1579z00_4114 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_4113), BgL_arg1579z00_4114); } 
BgL_new1209z00_4112 = BgL_new1208z00_4113; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1209z00_4112))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11076z00_3706)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1209z00_4112))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21077z00_3707)),BUNSPEC); 
return BgL_new1209z00_4112;} } 

}



/* &lambda1593 */
obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3708, obj_t BgL_oz00_3709, obj_t BgL_vz00_3710)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3709)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3710)),BUNSPEC);} 

}



/* &lambda1592 */
BgL_ev_exprz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t BgL_envz00_3711, obj_t BgL_oz00_3712)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3712)))->BgL_e2z00);} 

}



/* &lambda1588 */
obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t BgL_envz00_3713, obj_t BgL_oz00_3714, obj_t BgL_vz00_3715)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3714)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3715)),BUNSPEC);} 

}



/* &lambda1587 */
BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t BgL_envz00_3716, obj_t BgL_oz00_3717)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3717)))->BgL_e1z00);} 

}



/* &<@anonymous:1569> */
obj_t BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3718, obj_t BgL_new1074z00_3719)
{
{ /* Eval/evaluate_types.scm 69 */
{ 
 BgL_ev_andz00_bglt BgL_auxz00_5310;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1074z00_3719))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5310 = 
((BgL_ev_andz00_bglt)BgL_new1074z00_3719); 
return 
((obj_t)BgL_auxz00_5310);} } 

}



/* &lambda1567 */
BgL_ev_andz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t BgL_envz00_3720)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1073z00_4122;
BgL_new1073z00_4122 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1568z00_4123;
BgL_arg1568z00_4123 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_4122), BgL_arg1568z00_4123); } 
return BgL_new1073z00_4122;} } 

}



/* &lambda1565 */
BgL_ev_andz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t BgL_envz00_3721, obj_t BgL_args1072z00_3722)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1207z00_4124;
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1206z00_4125;
BgL_new1206z00_4125 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1566z00_4126;
BgL_arg1566z00_4126 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_4125), BgL_arg1566z00_4126); } 
BgL_new1207z00_4124 = BgL_new1206z00_4125; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1207z00_4124)))->BgL_argsz00)=((obj_t)BgL_args1072z00_3722),BUNSPEC); 
return BgL_new1207z00_4124;} } 

}



/* &<@anonymous:1558> */
obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3723, obj_t BgL_new1070z00_3724)
{
{ /* Eval/evaluate_types.scm 68 */
{ 
 BgL_ev_orz00_bglt BgL_auxz00_5326;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1070z00_3724))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5326 = 
((BgL_ev_orz00_bglt)BgL_new1070z00_3724); 
return 
((obj_t)BgL_auxz00_5326);} } 

}



/* &lambda1556 */
BgL_ev_orz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t BgL_envz00_3725)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1069z00_4128;
BgL_new1069z00_4128 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1557z00_4129;
BgL_arg1557z00_4129 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4128), BgL_arg1557z00_4129); } 
return BgL_new1069z00_4128;} } 

}



/* &lambda1554 */
BgL_ev_orz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t BgL_envz00_3726, obj_t BgL_args1068z00_3727)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1205z00_4130;
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1204z00_4131;
BgL_new1204z00_4131 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1555z00_4132;
BgL_arg1555z00_4132 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_4131), BgL_arg1555z00_4132); } 
BgL_new1205z00_4130 = BgL_new1204z00_4131; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1205z00_4130)))->BgL_argsz00)=((obj_t)BgL_args1068z00_3727),BUNSPEC); 
return BgL_new1205z00_4130;} } 

}



/* &<@anonymous:1539> */
obj_t BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3728, obj_t BgL_new1066z00_3729)
{
{ /* Eval/evaluate_types.scm 66 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5342;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1066z00_3729)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5342 = 
((BgL_ev_listz00_bglt)BgL_new1066z00_3729); 
return 
((obj_t)BgL_auxz00_5342);} } 

}



/* &lambda1537 */
BgL_ev_listz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t BgL_envz00_3730)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1065z00_4134;
BgL_new1065z00_4134 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1538z00_4135;
BgL_arg1538z00_4135 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_4134), BgL_arg1538z00_4135); } 
return BgL_new1065z00_4134;} } 

}



/* &lambda1535 */
BgL_ev_listz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t BgL_envz00_3731, obj_t BgL_args1064z00_3732)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1203z00_4136;
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1202z00_4137;
BgL_new1202z00_4137 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1536z00_4138;
BgL_arg1536z00_4138 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1202z00_4137), BgL_arg1536z00_4138); } 
BgL_new1203z00_4136 = BgL_new1202z00_4137; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1203z00_4136))->BgL_argsz00)=((obj_t)BgL_args1064z00_3732),BUNSPEC); 
return BgL_new1203z00_4136;} } 

}



/* &lambda1546 */
obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t BgL_envz00_3733, obj_t BgL_oz00_3734, obj_t BgL_vz00_3735)
{
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3734)))->BgL_argsz00)=((obj_t)BgL_vz00_3735),BUNSPEC);} 

}



/* &lambda1545 */
obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t BgL_envz00_3736, obj_t BgL_oz00_3737)
{
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3737)))->BgL_argsz00);} 

}



/* &<@anonymous:1510> */
obj_t BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3738, obj_t BgL_new1062z00_3739)
{
{ /* Eval/evaluate_types.scm 62 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5360;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5361;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4142;
BgL_classz00_4142 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1284z00_4143;
BgL__ortest_1284z00_4143 = 
BGL_CLASS_NIL(BgL_classz00_4142); 
if(
CBOOL(BgL__ortest_1284z00_4143))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5361 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4143)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5361 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4142))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3739)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5361),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5370;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4144;
BgL_classz00_4144 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1284z00_4145;
BgL__ortest_1284z00_4145 = 
BGL_CLASS_NIL(BgL_classz00_4144); 
if(
CBOOL(BgL__ortest_1284z00_4145))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5370 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4145)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5370 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4144))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3739)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5370),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5379;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4146;
BgL_classz00_4146 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1284z00_4147;
BgL__ortest_1284z00_4147 = 
BGL_CLASS_NIL(BgL_classz00_4146); 
if(
CBOOL(BgL__ortest_1284z00_4147))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5379 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4147)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5379 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4146))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3739)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5379),BUNSPEC); } 
BgL_auxz00_5360 = 
((BgL_ev_ifz00_bglt)BgL_new1062z00_3739); 
return 
((obj_t)BgL_auxz00_5360);} } 

}



/* &lambda1508 */
BgL_ev_ifz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t BgL_envz00_3740)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1061z00_4148;
BgL_new1061z00_4148 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1509z00_4149;
BgL_arg1509z00_4149 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_4148), BgL_arg1509z00_4149); } 
return BgL_new1061z00_4148;} } 

}



/* &lambda1506 */
BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3741, obj_t BgL_p1058z00_3742, obj_t BgL_t1059z00_3743, obj_t BgL_e1060z00_3744)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1201z00_4153;
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1200z00_4154;
BgL_new1200z00_4154 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1507z00_4155;
BgL_arg1507z00_4155 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1200z00_4154), BgL_arg1507z00_4155); } 
BgL_new1201z00_4153 = BgL_new1200z00_4154; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1201z00_4153))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1058z00_3742)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1201z00_4153))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1059z00_3743)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1201z00_4153))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1060z00_3744)),BUNSPEC); 
return BgL_new1201z00_4153;} } 

}



/* &lambda1527 */
obj_t BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t BgL_envz00_3745, obj_t BgL_oz00_3746, obj_t BgL_vz00_3747)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3746)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3747)),BUNSPEC);} 

}



/* &lambda1526 */
BgL_ev_exprz00_bglt BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t BgL_envz00_3748, obj_t BgL_oz00_3749)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3749)))->BgL_ez00);} 

}



/* &lambda1521 */
obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t BgL_envz00_3750, obj_t BgL_oz00_3751, obj_t BgL_vz00_3752)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3751)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3752)),BUNSPEC);} 

}



/* &lambda1520 */
BgL_ev_exprz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t BgL_envz00_3753, obj_t BgL_oz00_3754)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3754)))->BgL_tz00);} 

}



/* &lambda1516 */
obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t BgL_envz00_3755, obj_t BgL_oz00_3756, obj_t BgL_vz00_3757)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3756)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3757)),BUNSPEC);} 

}



/* &lambda1515 */
BgL_ev_exprz00_bglt BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t BgL_envz00_3758, obj_t BgL_oz00_3759)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3759)))->BgL_pz00);} 

}



/* &<@anonymous:1494> */
obj_t BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3760, obj_t BgL_new1056z00_3761)
{
{ /* Eval/evaluate_types.scm 60 */
{ 
 BgL_ev_littz00_bglt BgL_auxz00_5419;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1056z00_3761)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5419 = 
((BgL_ev_littz00_bglt)BgL_new1056z00_3761); 
return 
((obj_t)BgL_auxz00_5419);} } 

}



/* &lambda1492 */
BgL_ev_littz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3762)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1055z00_4166;
BgL_new1055z00_4166 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1493z00_4167;
BgL_arg1493z00_4167 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_4166), BgL_arg1493z00_4167); } 
return BgL_new1055z00_4166;} } 

}



/* &lambda1490 */
BgL_ev_littz00_bglt BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t BgL_envz00_3763, obj_t BgL_value1054z00_3764)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1199z00_4168;
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1198z00_4169;
BgL_new1198z00_4169 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1491z00_4170;
BgL_arg1491z00_4170 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_4169), BgL_arg1491z00_4170); } 
BgL_new1199z00_4168 = BgL_new1198z00_4169; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1199z00_4168))->BgL_valuez00)=((obj_t)BgL_value1054z00_3764),BUNSPEC); 
return BgL_new1199z00_4168;} } 

}



/* &lambda1499 */
obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3765, obj_t BgL_oz00_3766, obj_t BgL_vz00_3767)
{
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3766)))->BgL_valuez00)=((obj_t)BgL_vz00_3767),BUNSPEC);} 

}



/* &lambda1498 */
obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3768, obj_t BgL_oz00_3769)
{
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3769)))->BgL_valuez00);} 

}



/* &<@anonymous:1466> */
obj_t BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3770, obj_t BgL_new1052z00_3771)
{
{ /* Eval/evaluate_types.scm 55 */
{ 
 BgL_ev_globalz00_bglt BgL_auxz00_5437;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3771)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3771)))->BgL_namez00)=((obj_t)BGl_symbol2653z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3771)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5437 = 
((BgL_ev_globalz00_bglt)BgL_new1052z00_3771); 
return 
((obj_t)BgL_auxz00_5437);} } 

}



/* &lambda1464 */
BgL_ev_globalz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t BgL_envz00_3772)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1051z00_4174;
BgL_new1051z00_4174 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1465z00_4175;
BgL_arg1465z00_4175 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_4174), BgL_arg1465z00_4175); } 
return BgL_new1051z00_4174;} } 

}



/* &lambda1462 */
BgL_ev_globalz00_bglt BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t BgL_envz00_3773, obj_t BgL_loc1048z00_3774, obj_t BgL_name1049z00_3775, obj_t BgL_mod1050z00_3776)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1197z00_4177;
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1196z00_4178;
BgL_new1196z00_4178 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1463z00_4179;
BgL_arg1463z00_4179 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_4178), BgL_arg1463z00_4179); } 
BgL_new1197z00_4177 = BgL_new1196z00_4178; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1197z00_4177))->BgL_locz00)=((obj_t)BgL_loc1048z00_3774),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1197z00_4177))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1049z00_3775)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1197z00_4177))->BgL_modz00)=((obj_t)BgL_mod1050z00_3776),BUNSPEC); 
return BgL_new1197z00_4177;} } 

}



/* &lambda1481 */
obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t BgL_envz00_3777, obj_t BgL_oz00_3778, obj_t BgL_vz00_3779)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3778)))->BgL_modz00)=((obj_t)BgL_vz00_3779),BUNSPEC);} 

}



/* &lambda1480 */
obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t BgL_envz00_3780, obj_t BgL_oz00_3781)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3781)))->BgL_modz00);} 

}



/* &lambda1476 */
obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3782, obj_t BgL_oz00_3783, obj_t BgL_vz00_3784)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3783)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3784)),BUNSPEC);} 

}



/* &lambda1475 */
obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t BgL_envz00_3785, obj_t BgL_oz00_3786)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3786)))->BgL_namez00);} 

}



/* &lambda1471 */
obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t BgL_envz00_3787, obj_t BgL_oz00_3788, obj_t BgL_vz00_3789)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3788)))->BgL_locz00)=((obj_t)BgL_vz00_3789),BUNSPEC);} 

}



/* &lambda1470 */
obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3790, obj_t BgL_oz00_3791)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3791)))->BgL_locz00);} 

}



/* &<@anonymous:1438> */
obj_t BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3792, obj_t BgL_new1046z00_3793)
{
{ /* Eval/evaluate_types.scm 51 */
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5471;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3793)))->BgL_namez00)=((obj_t)BGl_symbol2653z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3793)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3793)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5471 = 
((BgL_ev_varz00_bglt)BgL_new1046z00_3793); 
return 
((obj_t)BgL_auxz00_5471);} } 

}



/* &lambda1436 */
BgL_ev_varz00_bglt BGl_z62lambda1436z62zz__evaluate_typesz00(obj_t BgL_envz00_3794)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1045z00_4188;
BgL_new1045z00_4188 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1437z00_4189;
BgL_arg1437z00_4189 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1045z00_4188), BgL_arg1437z00_4189); } 
return BgL_new1045z00_4188;} } 

}



/* &lambda1434 */
BgL_ev_varz00_bglt BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t BgL_envz00_3795, obj_t BgL_name1042z00_3796, obj_t BgL_eff1043z00_3797, obj_t BgL_type1044z00_3798)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1195z00_4191;
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1194z00_4192;
BgL_new1194z00_4192 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1435z00_4193;
BgL_arg1435z00_4193 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_4192), BgL_arg1435z00_4193); } 
BgL_new1195z00_4191 = BgL_new1194z00_4192; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1195z00_4191))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1042z00_3796)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1195z00_4191))->BgL_effz00)=((obj_t)BgL_eff1043z00_3797),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1195z00_4191))->BgL_typez00)=((obj_t)BgL_type1044z00_3798),BUNSPEC); 
return BgL_new1195z00_4191;} } 

}



/* &lambda1456 */
obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t BgL_envz00_3799, obj_t BgL_oz00_3800, obj_t BgL_vz00_3801)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3800)))->BgL_typez00)=((obj_t)BgL_vz00_3801),BUNSPEC);} 

}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3802, obj_t BgL_oz00_3803)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3803)))->BgL_typez00);} 

}



/* &<@anonymous:1450> */
obj_t BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3804)
{
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1449 */
obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3805, obj_t BgL_oz00_3806, obj_t BgL_vz00_3807)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3806)))->BgL_effz00)=((obj_t)BgL_vz00_3807),BUNSPEC);} 

}



/* &lambda1448 */
obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t BgL_envz00_3808, obj_t BgL_oz00_3809)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3809)))->BgL_effz00);} 

}



/* &lambda1443 */
obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t BgL_envz00_3810, obj_t BgL_oz00_3811, obj_t BgL_vz00_3812)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3811)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3812)),BUNSPEC);} 

}



/* &lambda1442 */
obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t BgL_envz00_3813, obj_t BgL_oz00_3814)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3814)))->BgL_namez00);} 

}



/* &<@anonymous:1428> */
obj_t BGl_z62zc3z04anonymousza31428ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3815, obj_t BgL_new1040z00_3816)
{
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1040z00_3816));} 

}



/* &lambda1425 */
BgL_ev_exprz00_bglt BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t BgL_envz00_3817)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1039z00_4202;
BgL_new1039z00_4202 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1427z00_4203;
BgL_arg1427z00_4203 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1039z00_4202), BgL_arg1427z00_4203); } 
return BgL_new1039z00_4202;} } 

}



/* &lambda1423 */
BgL_ev_exprz00_bglt BGl_z62lambda1423z62zz__evaluate_typesz00(obj_t BgL_envz00_3818)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1193z00_4204;
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1192z00_4205;
BgL_new1192z00_4205 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1424z00_4206;
BgL_arg1424z00_4206 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1192z00_4205), BgL_arg1424z00_4206); } 
BgL_new1193z00_4204 = BgL_new1192z00_4205; } 
return BgL_new1193z00_4204;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2330z00zz__evaluate_typesz00));} 

}

#ifdef __cplusplus
}
#endif
