/*===========================================================================*/
/*   (Unsafe/base64.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/base64.scm -o objs/obj_p/Unsafe/base64.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;


extern obj_t BGl_makezd2u8vectorzd2zz__srfi4z00(long, uint8_t);
static unsigned char BGl_encodezd2charzd2zz__base64z00(long);
static obj_t BGl_bytezd2tablezd2zz__base64z00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(obj_t, obj_t, long);
static obj_t BGl_requirezd2initializa7ationz75zz__base64z00 = BUNSPEC;
extern obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t, obj_t);
static obj_t BGl_ignoreze70ze7zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00(obj_t, obj_t, obj_t, obj_t, long, long, obj_t, bool_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62pemzd2readzd2filez62zz__base64z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2decodezd2portz00zz__base64z00(obj_t, obj_t, obj_t);
static obj_t BGl__base64zd2decodezd2zz__base64z00(obj_t, obj_t);
static obj_t BGl_bytezd2setz12ze70z27zz__base64z00(obj_t, long, long);
static obj_t BGl_toplevelzd2initzd2zz__base64z00();
static obj_t BGl__base64zd2encodezd2portz00zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__base64z00(obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
extern obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__base64z00();
static obj_t BGl_importedzd2moduleszd2initz00zz__base64z00();
static obj_t BGl_gczd2rootszd2initz00zz__base64z00();
static obj_t BGl_objectzd2initzd2zz__base64z00();
extern bool_t bigloo_strcmp_at(obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_pemzd2decodezd2portz00zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62pemzd2decodezd2portz62zz__base64z00(obj_t, obj_t, obj_t);
static long BGl_actualzd2stringzd2lengthz00zz__base64z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t, obj_t);
extern obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl__base64zd2decodezd2portz00zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__base64z00(obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
static obj_t BGl_methodzd2initzd2zz__base64z00();
static obj_t BGl_profzd2initzd2zz__base64z00();
extern bool_t rgc_buffer_eof2_p(obj_t, long, long);
extern bool_t rgc_fill_buffer(obj_t);
static obj_t BGl__base64zd2encodezd2zz__base64z00(obj_t, obj_t);
extern obj_t make_string(long, unsigned char);
extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__base64z00(obj_t, obj_t);
extern obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_base64zd2decodezd2grammarz00zz__base64z00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_base64zd2encodezd2portz00zz__base64z00(obj_t, obj_t, obj_t);
static obj_t BGl_pemzd2markupzd2grammarz00zz__base64z00 = BUNSPEC;
extern obj_t rgc_buffer_substring(obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_pemzd2readzd2filez00zz__base64z00(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bgl_close_output_port(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2encodezd2envz00zz__base64z00, BgL_bgl__base64za7d2encode2328za7, opt_generic_entry, BGl__base64zd2encodezd2zz__base64z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2decodezd2portzd2envzd2zz__base64z00, BgL_bgl__base64za7d2decode2329za7, opt_generic_entry, BGl__base64zd2decodezd2portz00zz__base64z00, BFALSE, -1 );
DEFINE_STRING( BGl_string2304z00zz__base64z00, BgL_bgl_string2304za700za7za7_2330za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string2305z00zz__base64z00, BgL_bgl_string2305za700za7za7_2331za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string2306z00zz__base64z00, BgL_bgl_string2306za700za7za7_2332za7, "pem-decode-port", 15 );
DEFINE_STRING( BGl_string2307z00zz__base64z00, BgL_bgl_string2307za700za7za7_2333za7, "Illegal character in PEM markup", 31 );
DEFINE_STRING( BGl_string2308z00zz__base64z00, BgL_bgl_string2308za700za7za7_2334za7, "{~a}~a", 6 );
DEFINE_STRING( BGl_string2309z00zz__base64z00, BgL_bgl_string2309za700za7za7_2335za7, "Illegal PEM markup", 18 );
DEFINE_STRING( BGl_string2310z00zz__base64z00, BgL_bgl_string2310za700za7za7_2336za7, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", 64 );
DEFINE_STRING( BGl_string2311z00zz__base64z00, BgL_bgl_string2311za700za7za7_2337za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Unsafe/base64.scm", 61 );
DEFINE_STRING( BGl_string2312z00zz__base64z00, BgL_bgl_string2312za700za7za7_2338za7, "_base64-encode", 14 );
DEFINE_STRING( BGl_string2313z00zz__base64z00, BgL_bgl_string2313za700za7za7_2339za7, "bstring", 7 );
DEFINE_STRING( BGl_string2314z00zz__base64z00, BgL_bgl_string2314za700za7za7_2340za7, "_base64-encode-port", 19 );
DEFINE_STRING( BGl_string2315z00zz__base64z00, BgL_bgl_string2315za700za7za7_2341za7, "input-port", 10 );
DEFINE_STRING( BGl_string2316z00zz__base64z00, BgL_bgl_string2316za700za7za7_2342za7, "output-port", 11 );
DEFINE_STRING( BGl_string2317z00zz__base64z00, BgL_bgl_string2317za700za7za7_2343za7, "_base64-decode", 14 );
DEFINE_STRING( BGl_string2318z00zz__base64z00, BgL_bgl_string2318za700za7za7_2344za7, "_base64-decode-port", 19 );
DEFINE_STRING( BGl_string2320z00zz__base64z00, BgL_bgl_string2320za700za7za7_2345za7, "BEGIN ", 6 );
DEFINE_STRING( BGl_string2321z00zz__base64z00, BgL_bgl_string2321za700za7za7_2346za7, "Illegal PEM begin markup", 24 );
DEFINE_STRING( BGl_string2322z00zz__base64z00, BgL_bgl_string2322za700za7za7_2347za7, "&pem-decode-port", 16 );
DEFINE_STRING( BGl_string2323z00zz__base64z00, BgL_bgl_string2323za700za7za7_2348za7, "END ", 4 );
DEFINE_STRING( BGl_string2324z00zz__base64z00, BgL_bgl_string2324za700za7za7_2349za7, "PEM begin/end markup mismatch", 29 );
DEFINE_STRING( BGl_string2325z00zz__base64z00, BgL_bgl_string2325za700za7za7_2350za7, "Illegal character", 17 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2319z00zz__base64z00, BgL_bgl_za762za7c3za704anonymo2351za7, BGl_z62zc3z04anonymousza31916ze3ze5zz__base64z00 );
DEFINE_STRING( BGl_string2326z00zz__base64z00, BgL_bgl_string2326za700za7za7_2352za7, "&pem-read-file", 14 );
DEFINE_STRING( BGl_string2327z00zz__base64z00, BgL_bgl_string2327za700za7za7_2353za7, "__base64", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2encodezd2portzd2envzd2zz__base64z00, BgL_bgl__base64za7d2encode2354za7, opt_generic_entry, BGl__base64zd2encodezd2portz00zz__base64z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pemzd2decodezd2portzd2envzd2zz__base64z00, BgL_bgl_za762pemza7d2decodeza72355za7, BGl_z62pemzd2decodezd2portz62zz__base64z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pemzd2readzd2filezd2envzd2zz__base64z00, BgL_bgl_za762pemza7d2readza7d22356za7, BGl_z62pemzd2readzd2filez62zz__base64z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2decodezd2envz00zz__base64z00, BgL_bgl__base64za7d2decode2357za7, opt_generic_entry, BGl__base64zd2decodezd2zz__base64z00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_bytezd2tablezd2zz__base64z00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__base64z00) );
ADD_ROOT( (void *)(&BGl_base64zd2decodezd2grammarz00zz__base64z00) );
ADD_ROOT( (void *)(&BGl_pemzd2markupzd2grammarz00zz__base64z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/base64.scm\" 963) \"BGl_toplevelzd2initzd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"byte-set!~0\" \"Unsafe/base64.scm\" 6617) \"BGl_bytezd2setz12ze70z27zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1532>\" \"Unsafe/base64.scm\" 14733) \"BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ignore~0\" \"Unsafe/base64.scm\" 14733) \"BGl_ignoreze70ze7zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1266>\" \"Unsafe/base64.scm\" 11571) \"BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"encode-char\" \"Unsafe/base64.scm\" 2471) \"BGl_encodezd2charzd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-encode\" \"Unsafe/base64.scm\" 2752) \"BGl__base64zd2encodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-encode\" \"Unsafe/base64.scm\" 2752) \"BGl_base64zd2encodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-encode-port\" \"Unsafe/base64.scm\" 4911) \"BGl__base64zd2encodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-encode-port\" \"Unsafe/base64.scm\" 4911) \"BGl_base64zd2encodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"actual-string-length\" \"Unsafe/base64.scm\" 7969) \"BGl_actualzd2stringzd2lengthz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-decode\" \"Unsafe/base64.scm\" 8420) \"BGl__base64zd2decodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-decode\" \"Unsafe/base64.scm\" 8420) \"BGl_base64zd2decodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-decode-port\" \"Unsafe/base64.scm\" 14330) \"BGl__base64zd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-decode-port\" \"Unsafe/base64.scm\" 14330) \"BGl_base64zd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1916>\" \"Unsafe/base64.scm\" 14459) \"BGl_z62zc3z04anonymousza31916ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"pem-decode-port\" \"Unsafe/base64.scm\" 15608) \"BGl_pemzd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pem-decode-port\" \"Unsafe/base64.scm\" 15608) \"BGl_z62pemzd2decodezd2portz62zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1920>\" \"Unsafe/base64.scm\" 16395) \"BGl_z62zc3z04anonymousza31920ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"pem-read-file\" \"Unsafe/base64.scm\" 16839) \"BGl_pemzd2readzd2filez00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pem-read-file\" \"Unsafe/base64.scm\" 16839) \"BGl_z62pemzd2readzd2filez62zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1947>\" \"Unsafe/base64.scm\" 16938) \"BGl_z62zc3z04anonymousza31947ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long BgL_checksumz00_4354, char * BgL_fromz00_4355)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__base64z00))
{ 
BGl_requirezd2initializa7ationz75zz__base64z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__base64z00(); 
BGl_importedzd2moduleszd2initz00zz__base64z00(); 
BGl_toplevelzd2initzd2zz__base64z00(); 
return 
BGl_profzd2initzd2zz__base64z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
{ /* Unsafe/base64.scm 173 */
 obj_t BgL_tablez00_1242;
BgL_tablez00_1242 = 
BGl_makezd2u8vectorzd2zz__srfi4z00(((long)128), 
(uint8_t)(((long)0))); 
{ 
 long BgL_iz00_1245;
BgL_iz00_1245 = ((long)0); 
BgL_zc3z04anonymousza31245ze3z87_1246:
if(
(BgL_iz00_1245<((long)26)))
{ /* Unsafe/base64.scm 177 */
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1242, 
(BgL_iz00_1245+((long)65)), BgL_iz00_1245); 
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1242, 
(BgL_iz00_1245+((long)97)), 
(BgL_iz00_1245+((long)26))); 
{ 
 long BgL_iz00_4374;
BgL_iz00_4374 = 
(BgL_iz00_1245+((long)1)); 
BgL_iz00_1245 = BgL_iz00_4374; 
goto BgL_zc3z04anonymousza31245ze3z87_1246;} }  else 
{ /* Unsafe/base64.scm 177 */((bool_t)0); } } 
{ 
 long BgL_iz00_1254;
BgL_iz00_1254 = ((long)0); 
BgL_zc3z04anonymousza31252ze3z87_1255:
if(
(BgL_iz00_1254<((long)10)))
{ /* Unsafe/base64.scm 182 */
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1242, 
(BgL_iz00_1254+((long)48)), 
(BgL_iz00_1254+((long)52))); 
{ 
 long BgL_iz00_4381;
BgL_iz00_4381 = 
(BgL_iz00_1254+((long)1)); 
BgL_iz00_1254 = BgL_iz00_4381; 
goto BgL_zc3z04anonymousza31252ze3z87_1255;} }  else 
{ /* Unsafe/base64.scm 182 */((bool_t)0); } } 
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4383;
BgL_tmpz00_4383 = 
(uint8_t)(((long)62)); 
BGL_U8VSET(BgL_tablez00_1242, ((long)43), BgL_tmpz00_4383); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4386;
BgL_tmpz00_4386 = 
(uint8_t)(((long)62)); 
BGL_U8VSET(BgL_tablez00_1242, ((long)45), BgL_tmpz00_4386); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4389;
BgL_tmpz00_4389 = 
(uint8_t)(((long)63)); 
BGL_U8VSET(BgL_tablez00_1242, ((long)47), BgL_tmpz00_4389); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4392;
BgL_tmpz00_4392 = 
(uint8_t)(((long)63)); 
BGL_U8VSET(BgL_tablez00_1242, ((long)95), BgL_tmpz00_4392); } BUNSPEC; 
BGl_bytezd2tablezd2zz__base64z00 = BgL_tablez00_1242; } 
{ /* Unsafe/base64.scm 300 */
 obj_t BgL_zc3z04anonymousza31266ze3z87_4063;
{ 
 int BgL_tmpz00_4395;
BgL_tmpz00_4395 = 
(int)(((long)0)); 
BgL_zc3z04anonymousza31266ze3z87_4063 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_4395); } 
BGl_base64zd2decodezd2grammarz00zz__base64z00 = BgL_zc3z04anonymousza31266ze3z87_4063; } 
{ /* Unsafe/base64.scm 388 */
 obj_t BgL_zc3z04anonymousza31532ze3z87_4062;
{ 
 int BgL_tmpz00_4398;
BgL_tmpz00_4398 = 
(int)(((long)0)); 
BgL_zc3z04anonymousza31532ze3z87_4062 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_4398); } 
return ( 
BGl_pemzd2markupzd2grammarz00zz__base64z00 = BgL_zc3z04anonymousza31532ze3z87_4062, BUNSPEC) ;} } 

}



/* byte-set!~0 */
obj_t BGl_bytezd2setz12ze70z27zz__base64z00(obj_t BgL_tz00_1261, long BgL_oz00_1262, long BgL_vz00_1263)
{
{ /* Unsafe/base64.scm 175 */
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4401;
BgL_tmpz00_4401 = 
(uint8_t)(BgL_vz00_1263); 
BGL_U8VSET(BgL_tz00_1261, BgL_oz00_1262, BgL_tmpz00_4401); } 
return BUNSPEC;} 

}



/* &<@anonymous:1532> */
obj_t BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(obj_t BgL_envz00_4064, obj_t BgL_iportz00_4065, long BgL_countz00_4066)
{
{ /* Unsafe/base64.scm 388 */
{ /* Unsafe/base64.scm 388 */
 long BgL_countz00_4127;
BgL_countz00_4127 = BgL_countz00_4066; 
{ /* Unsafe/base64.scm 388 */
struct bgl_cell BgL_box2361_4128z00; 
 obj_t BgL_countz00_4128;
BgL_countz00_4128 = 
MAKE_CELL_STACK(
BINT(BgL_countz00_4127),BgL_box2361_4128z00); 
return 
BGl_ignoreze70ze7zz__base64z00(BgL_countz00_4128, BgL_iportz00_4065);} } } 

}



/* ignore~0 */
obj_t BGl_ignoreze70ze7zz__base64z00(obj_t BgL_countz00_4092, obj_t BgL_iportz00_4091)
{
{ /* Unsafe/base64.scm 388 */
BGl_ignoreze70ze7zz__base64z00:
{ 
 obj_t BgL_iportz00_1898; long BgL_lastzd2matchzd2_1899; long BgL_forwardz00_1900; long BgL_bufposz00_1901; obj_t BgL_iportz00_1875; long BgL_lastzd2matchzd2_1876; long BgL_forwardz00_1877; long BgL_bufposz00_1878; obj_t BgL_iportz00_1858; long BgL_lastzd2matchzd2_1859; long BgL_forwardz00_1860; long BgL_bufposz00_1861; obj_t BgL_iportz00_1843; long BgL_lastzd2matchzd2_1844; long BgL_forwardz00_1845; long BgL_bufposz00_1846; obj_t BgL_iportz00_1820; long BgL_lastzd2matchzd2_1821; long BgL_forwardz00_1822; long BgL_bufposz00_1823;
RGC_START_MATCH(BgL_iportz00_4091); 
{ /* Unsafe/base64.scm 388 */
 long BgL_matchz00_2032;
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1707z00_2061; long BgL_arg1708z00_2062;
BgL_arg1707z00_2061 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4091); 
BgL_arg1708z00_2062 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4091); 
BgL_iportz00_1858 = BgL_iportz00_4091; 
BgL_lastzd2matchzd2_1859 = ((long)3); 
BgL_forwardz00_1860 = BgL_arg1707z00_2061; 
BgL_bufposz00_1861 = BgL_arg1708z00_2062; 
BgL_zc3z04anonymousza31554ze3z87_1862:
if(
(BgL_forwardz00_1860==BgL_bufposz00_1861))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1858))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1557z00_1865; long BgL_arg1558z00_1866;
BgL_arg1557z00_1865 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1858); 
BgL_arg1558z00_1866 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1858); 
{ 
 long BgL_bufposz00_4416; long BgL_forwardz00_4415;
BgL_forwardz00_4415 = BgL_arg1557z00_1865; 
BgL_bufposz00_4416 = BgL_arg1558z00_1866; 
BgL_bufposz00_1861 = BgL_bufposz00_4416; 
BgL_forwardz00_1860 = BgL_forwardz00_4415; 
goto BgL_zc3z04anonymousza31554ze3z87_1862;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_lastzd2matchzd2_1859; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1867;
BgL_curz00_1867 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1858, BgL_forwardz00_1860); 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1867)==((long)45)))
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1843 = BgL_iportz00_1858; 
BgL_lastzd2matchzd2_1844 = BgL_lastzd2matchzd2_1859; 
BgL_forwardz00_1845 = 
(((long)1)+BgL_forwardz00_1860); 
BgL_bufposz00_1846 = BgL_bufposz00_1861; 
BgL_zc3z04anonymousza31543ze3z87_1847:
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_1848;
RGC_STOP_MATCH(BgL_iportz00_1843, BgL_forwardz00_1845); 
BgL_newzd2matchzd2_1848 = ((long)0); 
if(
(BgL_forwardz00_1845==BgL_bufposz00_1846))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1843))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1546z00_1851; long BgL_arg1549z00_1852;
BgL_arg1546z00_1851 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1843); 
BgL_arg1549z00_1852 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1843); 
{ 
 long BgL_bufposz00_4429; long BgL_forwardz00_4428;
BgL_forwardz00_4428 = BgL_arg1546z00_1851; 
BgL_bufposz00_4429 = BgL_arg1549z00_1852; 
BgL_bufposz00_1846 = BgL_bufposz00_4429; 
BgL_forwardz00_1845 = BgL_forwardz00_4428; 
goto BgL_zc3z04anonymousza31543ze3z87_1847;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1848; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1853;
BgL_curz00_1853 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1843, BgL_forwardz00_1845); 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1853)==((long)45)))
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1898 = BgL_iportz00_1843; 
BgL_lastzd2matchzd2_1899 = BgL_newzd2matchzd2_1848; 
BgL_forwardz00_1900 = 
(((long)1)+BgL_forwardz00_1845); 
BgL_bufposz00_1901 = BgL_bufposz00_1846; 
BgL_zc3z04anonymousza31577ze3z87_1902:
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_1903;
RGC_STOP_MATCH(BgL_iportz00_1898, BgL_forwardz00_1900); 
BgL_newzd2matchzd2_1903 = ((long)0); 
if(
(BgL_forwardz00_1900==BgL_bufposz00_1901))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1898))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1580z00_1906; long BgL_arg1581z00_1907;
BgL_arg1580z00_1906 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1898); 
BgL_arg1581z00_1907 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1898); 
{ 
 long BgL_bufposz00_4442; long BgL_forwardz00_4441;
BgL_forwardz00_4441 = BgL_arg1580z00_1906; 
BgL_bufposz00_4442 = BgL_arg1581z00_1907; 
BgL_bufposz00_1901 = BgL_bufposz00_4442; 
BgL_forwardz00_1900 = BgL_forwardz00_4441; 
goto BgL_zc3z04anonymousza31577ze3z87_1902;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1903; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1908;
BgL_curz00_1908 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1898, BgL_forwardz00_1900); 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1908)==((long)45)))
{ 
 long BgL_forwardz00_4448; long BgL_lastzd2matchzd2_4447;
BgL_lastzd2matchzd2_4447 = BgL_newzd2matchzd2_1903; 
BgL_forwardz00_4448 = 
(((long)1)+BgL_forwardz00_1900); 
BgL_forwardz00_1900 = BgL_forwardz00_4448; 
BgL_lastzd2matchzd2_1899 = BgL_lastzd2matchzd2_4447; 
goto BgL_zc3z04anonymousza31577ze3z87_1902;}  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1908)==((long)10)))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1586z00_1912;
BgL_arg1586z00_1912 = 
(((long)1)+BgL_forwardz00_1900); 
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_3324;
RGC_STOP_MATCH(BgL_iportz00_1898, BgL_arg1586z00_1912); 
BgL_newzd2matchzd2_3324 = ((long)1); 
BgL_matchz00_2032 = BgL_newzd2matchzd2_3324; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1903; } } } } } }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1853)==((long)10)))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1553z00_1857;
BgL_arg1553z00_1857 = 
(((long)1)+BgL_forwardz00_1845); 
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_3276;
RGC_STOP_MATCH(BgL_iportz00_1843, BgL_arg1553z00_1857); 
BgL_newzd2matchzd2_3276 = ((long)1); 
BgL_matchz00_2032 = BgL_newzd2matchzd2_3276; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1848; } } } } } }  else 
{ /* Unsafe/base64.scm 388 */
 bool_t BgL_test2373z00_4462;
if(
(
(long)(BgL_curz00_1867)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_test2373z00_4462 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_test2373z00_4462 = 
(
(long)(BgL_curz00_1867)==((long)13))
; } 
if(BgL_test2373z00_4462)
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1563z00_1872;
BgL_arg1563z00_1872 = 
(((long)1)+BgL_forwardz00_1860); 
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_3291;
RGC_STOP_MATCH(BgL_iportz00_1858, BgL_arg1563z00_1872); 
BgL_newzd2matchzd2_3291 = ((long)3); 
BgL_matchz00_2032 = BgL_newzd2matchzd2_3291; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1875 = BgL_iportz00_1858; 
BgL_lastzd2matchzd2_1876 = BgL_lastzd2matchzd2_1859; 
BgL_forwardz00_1877 = 
(((long)1)+BgL_forwardz00_1860); 
BgL_bufposz00_1878 = BgL_bufposz00_1861; 
BgL_zc3z04anonymousza31565ze3z87_1879:
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_1880;
RGC_STOP_MATCH(BgL_iportz00_1875, BgL_forwardz00_1877); 
BgL_newzd2matchzd2_1880 = ((long)2); 
if(
(BgL_forwardz00_1877==BgL_bufposz00_1878))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1875))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1568z00_1883; long BgL_arg1571z00_1884;
BgL_arg1568z00_1883 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1875); 
BgL_arg1571z00_1884 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1875); 
{ 
 long BgL_bufposz00_4478; long BgL_forwardz00_4477;
BgL_forwardz00_4477 = BgL_arg1568z00_1883; 
BgL_bufposz00_4478 = BgL_arg1571z00_1884; 
BgL_bufposz00_1878 = BgL_bufposz00_4478; 
BgL_forwardz00_1877 = BgL_forwardz00_4477; 
goto BgL_zc3z04anonymousza31565ze3z87_1879;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1880; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1885;
BgL_curz00_1885 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1875, BgL_forwardz00_1877); 
{ /* Unsafe/base64.scm 388 */

{ /* Unsafe/base64.scm 388 */
 bool_t BgL_test2377z00_4480;
if(
(
(long)(BgL_curz00_1885)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_test2377z00_4480 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1885)==((long)13)))
{ /* Unsafe/base64.scm 388 */
BgL_test2377z00_4480 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_test2377z00_4480 = 
(
(long)(BgL_curz00_1885)==((long)45))
; } } 
if(BgL_test2377z00_4480)
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1880; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1820 = BgL_iportz00_1875; 
BgL_lastzd2matchzd2_1821 = BgL_newzd2matchzd2_1880; 
BgL_forwardz00_1822 = 
(((long)1)+BgL_forwardz00_1877); 
BgL_bufposz00_1823 = BgL_bufposz00_1878; 
BgL_zc3z04anonymousza31533ze3z87_1824:
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_1825;
RGC_STOP_MATCH(BgL_iportz00_1820, BgL_forwardz00_1822); 
BgL_newzd2matchzd2_1825 = ((long)2); 
if(
(BgL_forwardz00_1822==BgL_bufposz00_1823))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1820))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1536z00_1828; long BgL_arg1537z00_1829;
BgL_arg1536z00_1828 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1820); 
BgL_arg1537z00_1829 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1820); 
{ 
 long BgL_bufposz00_4497; long BgL_forwardz00_4496;
BgL_forwardz00_4496 = BgL_arg1536z00_1828; 
BgL_bufposz00_4497 = BgL_arg1537z00_1829; 
BgL_bufposz00_1823 = BgL_bufposz00_4497; 
BgL_forwardz00_1822 = BgL_forwardz00_4496; 
goto BgL_zc3z04anonymousza31533ze3z87_1824;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1825; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1830;
BgL_curz00_1830 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1820, BgL_forwardz00_1822); 
{ /* Unsafe/base64.scm 388 */

{ /* Unsafe/base64.scm 388 */
 bool_t BgL_test2382z00_4499;
if(
(
(long)(BgL_curz00_1830)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_test2382z00_4499 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1830)==((long)13)))
{ /* Unsafe/base64.scm 388 */
BgL_test2382z00_4499 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_test2382z00_4499 = 
(
(long)(BgL_curz00_1830)==((long)45))
; } } 
if(BgL_test2382z00_4499)
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1825; }  else 
{ 
 long BgL_forwardz00_4509; long BgL_lastzd2matchzd2_4508;
BgL_lastzd2matchzd2_4508 = BgL_newzd2matchzd2_1825; 
BgL_forwardz00_4509 = 
(((long)1)+BgL_forwardz00_1822); 
BgL_forwardz00_1822 = BgL_forwardz00_4509; 
BgL_lastzd2matchzd2_1821 = BgL_lastzd2matchzd2_4508; 
goto BgL_zc3z04anonymousza31533ze3z87_1824;} } } } } } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_4091); 
{ 

switch( BgL_matchz00_2032) { case ((long)3) : 

{ /* Unsafe/base64.scm 404 */
 obj_t BgL_cz00_2036;
{ /* Unsafe/base64.scm 388 */
 bool_t BgL_test2385z00_4514;
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1675z00_2022;
BgL_arg1675z00_2022 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4091); 
BgL_test2385z00_4514 = 
(BgL_arg1675z00_2022==((long)0)); } 
if(BgL_test2385z00_4514)
{ /* Unsafe/base64.scm 388 */
BgL_cz00_2036 = BEOF; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_cz00_2036 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_4091)); } } 
{ /* Unsafe/base64.scm 405 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1683z00_2037;
{ /* Unsafe/base64.scm 405 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1077z00_2038;
{ /* Unsafe/base64.scm 405 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1076z00_2045;
BgL_new1076z00_2045 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 405 */
 long BgL_arg1690z00_2046;
BgL_arg1690z00_2046 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_2045), BgL_arg1690z00_2046); } 
BgL_new1077z00_2038 = BgL_new1076z00_2045; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_2038)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_2038)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4527;
{ /* Unsafe/base64.scm 405 */
 obj_t BgL_arg1684z00_2039;
{ /* Unsafe/base64.scm 405 */
 obj_t BgL_arg1685z00_2040;
{ /* Unsafe/base64.scm 405 */
 obj_t BgL_classz00_3340;
BgL_classz00_3340 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1685z00_2040 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3340); } 
BgL_arg1684z00_2039 = 
VECTOR_REF(BgL_arg1685z00_2040,((long)2)); } 
BgL_auxz00_4527 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1684z00_2039); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_2038)))->BgL_stackz00)=((obj_t)BgL_auxz00_4527),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_2038)))->BgL_procz00)=((obj_t)BGl_string2306z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_2038)))->BgL_msgz00)=((obj_t)BGl_string2307z00zz__base64z00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4537;
{ /* Unsafe/base64.scm 408 */
 obj_t BgL_arg1686z00_2041;
BgL_arg1686z00_2041 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_iportz00_4091); 
{ /* Unsafe/base64.scm 408 */
 obj_t BgL_list1687z00_2042;
{ /* Unsafe/base64.scm 408 */
 obj_t BgL_arg1688z00_2043;
BgL_arg1688z00_2043 = 
MAKE_YOUNG_PAIR(BgL_arg1686z00_2041, BNIL); 
BgL_list1687z00_2042 = 
MAKE_YOUNG_PAIR(BgL_cz00_2036, BgL_arg1688z00_2043); } 
BgL_auxz00_4537 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2308z00zz__base64z00, BgL_list1687z00_2042); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_2038)))->BgL_objz00)=((obj_t)BgL_auxz00_4537),BUNSPEC); } 
BgL_arg1683z00_2037 = BgL_new1077z00_2038; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1683z00_2037));} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 395 */
 obj_t BgL_sz00_2047;
BgL_sz00_2047 = 
rgc_buffer_substring(BgL_iportz00_4091, ((long)0), 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4091)); 
{ /* Unsafe/base64.scm 395 */
 obj_t BgL_countez00_2048;
BgL_countez00_2048 = 
BGl_ignoreze70ze7zz__base64z00(BgL_countz00_4092, BgL_iportz00_4091); 
{ /* Unsafe/base64.scm 396 */

if(
(
CELL_REF(BgL_countz00_4092)==BgL_countez00_2048))
{ /* Unsafe/base64.scm 397 */
return BgL_sz00_2047;}  else 
{ /* Unsafe/base64.scm 399 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1692z00_2050;
{ /* Unsafe/base64.scm 399 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1079z00_2051;
{ /* Unsafe/base64.scm 399 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1078z00_2057;
BgL_new1078z00_2057 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 399 */
 long BgL_arg1701z00_2058;
BgL_arg1701z00_2058 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_2057), BgL_arg1701z00_2058); } 
BgL_new1079z00_2051 = BgL_new1078z00_2057; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_2051)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_2051)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4559;
{ /* Unsafe/base64.scm 399 */
 obj_t BgL_arg1693z00_2052;
{ /* Unsafe/base64.scm 399 */
 obj_t BgL_arg1695z00_2053;
{ /* Unsafe/base64.scm 399 */
 obj_t BgL_classz00_3346;
BgL_classz00_3346 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1695z00_2053 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3346); } 
BgL_arg1693z00_2052 = 
VECTOR_REF(BgL_arg1695z00_2053,((long)2)); } 
BgL_auxz00_4559 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1693z00_2052); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_2051)))->BgL_stackz00)=((obj_t)BgL_auxz00_4559),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_2051)))->BgL_procz00)=((obj_t)BGl_string2306z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_2051)))->BgL_msgz00)=((obj_t)BGl_string2309z00zz__base64z00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4569;
{ /* Unsafe/base64.scm 402 */
 obj_t BgL_list1696z00_2054;
{ /* Unsafe/base64.scm 402 */
 obj_t BgL_arg1698z00_2055;
{ /* Unsafe/base64.scm 402 */
 obj_t BgL_arg1700z00_2056;
BgL_arg1700z00_2056 = 
MAKE_YOUNG_PAIR(BgL_countez00_2048, BNIL); 
BgL_arg1698z00_2055 = 
MAKE_YOUNG_PAIR(
CELL_REF(BgL_countz00_4092), BgL_arg1700z00_2056); } 
BgL_list1696z00_2054 = 
MAKE_YOUNG_PAIR(BgL_sz00_2047, BgL_arg1698z00_2055); } 
BgL_auxz00_4569 = BgL_list1696z00_2054; } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_2051)))->BgL_objz00)=((obj_t)BgL_auxz00_4569),BUNSPEC); } 
BgL_arg1692z00_2050 = BgL_new1079z00_2051; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1692z00_2050));} } } } break;case ((long)1) : 

{ /* Unsafe/base64.scm 393 */
 long BgL_arg1704z00_2059;
BgL_arg1704z00_2059 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4091); 
return 
BINT(
(BgL_arg1704z00_2059-((long)1)));} break;case ((long)0) : 

{ /* Unsafe/base64.scm 390 */
 obj_t BgL_auxz00_4093;
{ /* Unsafe/base64.scm 390 */
 long BgL_arg1706z00_2060;
BgL_arg1706z00_2060 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4091); 
BgL_auxz00_4093 = 
ADDFX(
BINT(BgL_arg1706z00_2060), 
CELL_REF(BgL_countz00_4092)); } 
CELL_SET(BgL_countz00_4092, BgL_auxz00_4093); } 
{ 

goto BGl_ignoreze70ze7zz__base64z00;} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2304z00zz__base64z00, BGl_string2305z00zz__base64z00, 
BINT(BgL_matchz00_2032));} } } } } 

}



/* &<@anonymous:1266> */
obj_t BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00(obj_t BgL_envz00_4067, obj_t BgL_iportz00_4068, obj_t BgL_opz00_4069, obj_t BgL_bufz00_4070, long BgL_wz00_4071, long BgL_lenz00_4072, obj_t BgL_hookz00_4073, bool_t BgL_eofzd2nozd2paddingz00_4074)
{
{ /* Unsafe/base64.scm 300 */
{ /* Unsafe/base64.scm 300 */
 long BgL_wz00_4135;
BgL_wz00_4135 = BgL_wz00_4071; 
{ 
 obj_t BgL_iportz00_4315; long BgL_lastzd2matchzd2_4316; long BgL_forwardz00_4317; long BgL_bufposz00_4318; obj_t BgL_iportz00_4308; long BgL_lastzd2matchzd2_4309; long BgL_forwardz00_4310; long BgL_bufposz00_4311; obj_t BgL_iportz00_4293; long BgL_lastzd2matchzd2_4294; long BgL_forwardz00_4295; long BgL_bufposz00_4296; obj_t BgL_iportz00_4284; long BgL_lastzd2matchzd2_4285; long BgL_forwardz00_4286; long BgL_bufposz00_4287; obj_t BgL_iportz00_4272; long BgL_lastzd2matchzd2_4273; long BgL_forwardz00_4274; long BgL_bufposz00_4275; obj_t BgL_iportz00_4261; long BgL_lastzd2matchzd2_4262; long BgL_forwardz00_4263; long BgL_bufposz00_4264; obj_t BgL_iportz00_4250; long BgL_lastzd2matchzd2_4251; long BgL_forwardz00_4252; long BgL_bufposz00_4253;
BgL_ignorez00_4139:
RGC_START_MATCH(BgL_iportz00_4068); 
{ /* Unsafe/base64.scm 300 */
 long BgL_matchz00_4152;
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1530z00_4153; long BgL_arg1531z00_4154;
BgL_arg1530z00_4153 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4068); 
BgL_arg1531z00_4154 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4068); 
BgL_iportz00_4315 = BgL_iportz00_4068; 
BgL_lastzd2matchzd2_4316 = ((long)8); 
BgL_forwardz00_4317 = BgL_arg1530z00_4153; 
BgL_bufposz00_4318 = BgL_arg1531z00_4154; 
BgL_statezd20zd21045z00_4151:
if(
(BgL_forwardz00_4317==BgL_bufposz00_4318))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4315))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1270z00_4319; long BgL_arg1271z00_4320;
BgL_arg1270z00_4319 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4315); 
BgL_arg1271z00_4320 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4315); 
{ 
 long BgL_bufposz00_4596; long BgL_forwardz00_4595;
BgL_forwardz00_4595 = BgL_arg1270z00_4319; 
BgL_bufposz00_4596 = BgL_arg1271z00_4320; 
BgL_bufposz00_4318 = BgL_bufposz00_4596; 
BgL_forwardz00_4317 = BgL_forwardz00_4595; 
goto BgL_statezd20zd21045z00_4151;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_lastzd2matchzd2_4316; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4321;
BgL_curz00_4321 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4315, BgL_forwardz00_4317); 
{ /* Unsafe/base64.scm 300 */

{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2389z00_4598;
if(
(
(long)(BgL_curz00_4321)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_test2389z00_4598 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4321)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_test2389z00_4598 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2392z00_4605;
if(
(
(long)(BgL_curz00_4321)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_test2392z00_4605 = 
(
(long)(BgL_curz00_4321)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2392z00_4605 = ((bool_t)0)
; } 
if(BgL_test2392z00_4605)
{ /* Unsafe/base64.scm 300 */
BgL_test2389z00_4598 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2394z00_4611;
if(
(
(long)(BgL_curz00_4321)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_test2394z00_4611 = 
(
(long)(BgL_curz00_4321)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2394z00_4611 = ((bool_t)0)
; } 
if(BgL_test2394z00_4611)
{ /* Unsafe/base64.scm 300 */
BgL_test2389z00_4598 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4321)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_test2389z00_4598 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4321)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_test2389z00_4598 = 
(
(long)(BgL_curz00_4321)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2389z00_4598 = ((bool_t)0)
; } } } } } } 
if(BgL_test2389z00_4598)
{ /* Unsafe/base64.scm 300 */
BgL_iportz00_4250 = BgL_iportz00_4315; 
BgL_lastzd2matchzd2_4251 = BgL_lastzd2matchzd2_4316; 
BgL_forwardz00_4252 = 
(((long)1)+BgL_forwardz00_4317); 
BgL_bufposz00_4253 = BgL_bufposz00_4318; 
BgL_statezd23zd21048z00_4145:
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4254;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2398z00_4625;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_rz00_4255;
BgL_rz00_4255 = 
rgc_buffer_eof2_p(BgL_iportz00_4250, BgL_forwardz00_4252, BgL_bufposz00_4253); 
BgL_forwardz00_4252 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4250); 
BgL_bufposz00_4253 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4250); 
BgL_test2398z00_4625 = BgL_rz00_4255; } 
if(BgL_test2398z00_4625)
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4250, BgL_forwardz00_4252); 
BgL_newzd2matchzd2_4254 = ((long)6); }  else 
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4250, BgL_forwardz00_4252); 
BgL_newzd2matchzd2_4254 = ((long)8); } } 
if(
(BgL_forwardz00_4252==BgL_bufposz00_4253))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4250))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1363z00_4256; long BgL_arg1364z00_4257;
BgL_arg1363z00_4256 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4250); 
BgL_arg1364z00_4257 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4250); 
{ 
 long BgL_bufposz00_4638; long BgL_forwardz00_4637;
BgL_forwardz00_4637 = BgL_arg1363z00_4256; 
BgL_bufposz00_4638 = BgL_arg1364z00_4257; 
BgL_bufposz00_4253 = BgL_bufposz00_4638; 
BgL_forwardz00_4252 = BgL_forwardz00_4637; 
goto BgL_statezd23zd21048z00_4145;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_newzd2matchzd2_4254; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4258;
BgL_curz00_4258 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4250, BgL_forwardz00_4252); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4258)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1366z00_4259;
BgL_arg1366z00_4259 = 
(((long)1)+BgL_forwardz00_4252); 
BgL_iportz00_4308 = BgL_iportz00_4250; 
BgL_lastzd2matchzd2_4309 = BgL_newzd2matchzd2_4254; 
BgL_forwardz00_4310 = BgL_arg1366z00_4259; 
BgL_bufposz00_4311 = BgL_bufposz00_4253; 
BgL_statezd25zd21050z00_4150:
if(
(BgL_forwardz00_4310==BgL_bufposz00_4311))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4308))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1290z00_4312; long BgL_arg1291z00_4313;
BgL_arg1290z00_4312 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4308); 
BgL_arg1291z00_4313 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4308); 
{ 
 long BgL_bufposz00_4651; long BgL_forwardz00_4650;
BgL_forwardz00_4650 = BgL_arg1290z00_4312; 
BgL_bufposz00_4651 = BgL_arg1291z00_4313; 
BgL_bufposz00_4311 = BgL_bufposz00_4651; 
BgL_forwardz00_4310 = BgL_forwardz00_4650; 
goto BgL_statezd25zd21050z00_4150;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_lastzd2matchzd2_4309; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4314;
BgL_curz00_4314 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4308, BgL_forwardz00_4310); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4314)==((long)61)))
{ /* Unsafe/base64.scm 300 */
BgL_iportz00_4284 = BgL_iportz00_4308; 
BgL_lastzd2matchzd2_4285 = BgL_lastzd2matchzd2_4309; 
BgL_forwardz00_4286 = 
(((long)1)+BgL_forwardz00_4310); 
BgL_bufposz00_4287 = BgL_bufposz00_4311; 
BgL_statezd27zd21052z00_4148:
if(
(BgL_forwardz00_4286==BgL_bufposz00_4287))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4284))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1327z00_4288; long BgL_arg1329z00_4289;
BgL_arg1327z00_4288 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4284); 
BgL_arg1329z00_4289 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4284); 
{ 
 long BgL_bufposz00_4663; long BgL_forwardz00_4662;
BgL_forwardz00_4662 = BgL_arg1327z00_4288; 
BgL_bufposz00_4663 = BgL_arg1329z00_4289; 
BgL_bufposz00_4287 = BgL_bufposz00_4663; 
BgL_forwardz00_4286 = BgL_forwardz00_4662; 
goto BgL_statezd27zd21052z00_4148;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_lastzd2matchzd2_4285; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4290;
BgL_curz00_4290 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4284, BgL_forwardz00_4286); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4290)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1331z00_4291;
BgL_arg1331z00_4291 = 
(((long)1)+BgL_forwardz00_4286); 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4292;
RGC_STOP_MATCH(BgL_iportz00_4284, BgL_arg1331z00_4291); 
BgL_newzd2matchzd2_4292 = ((long)5); 
BgL_matchz00_4152 = BgL_newzd2matchzd2_4292; } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_lastzd2matchzd2_4285; } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_lastzd2matchzd2_4309; } } } }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2408z00_4671;
if(
(
(long)(BgL_curz00_4258)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_test2408z00_4671 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4258)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_test2408z00_4671 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2411z00_4678;
if(
(
(long)(BgL_curz00_4258)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_test2411z00_4678 = 
(
(long)(BgL_curz00_4258)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2411z00_4678 = ((bool_t)0)
; } 
if(BgL_test2411z00_4678)
{ /* Unsafe/base64.scm 300 */
BgL_test2408z00_4671 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2413z00_4684;
if(
(
(long)(BgL_curz00_4258)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_test2413z00_4684 = 
(
(long)(BgL_curz00_4258)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2413z00_4684 = ((bool_t)0)
; } 
if(BgL_test2413z00_4684)
{ /* Unsafe/base64.scm 300 */
BgL_test2408z00_4671 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4258)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_test2408z00_4671 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4258)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_test2408z00_4671 = 
(
(long)(BgL_curz00_4258)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2408z00_4671 = ((bool_t)0)
; } } } } } } 
if(BgL_test2408z00_4671)
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1375z00_4260;
BgL_arg1375z00_4260 = 
(((long)1)+BgL_forwardz00_4252); 
BgL_iportz00_4261 = BgL_iportz00_4250; 
BgL_lastzd2matchzd2_4262 = BgL_newzd2matchzd2_4254; 
BgL_forwardz00_4263 = BgL_arg1375z00_4260; 
BgL_bufposz00_4264 = BgL_bufposz00_4253; 
BgL_statezd24zd21049z00_4146:
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4265;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2417z00_4699;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_rz00_4266;
BgL_rz00_4266 = 
rgc_buffer_eof2_p(BgL_iportz00_4261, BgL_forwardz00_4263, BgL_bufposz00_4264); 
BgL_forwardz00_4263 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4261); 
BgL_bufposz00_4264 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4261); 
BgL_test2417z00_4699 = BgL_rz00_4266; } 
if(BgL_test2417z00_4699)
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4261, BgL_forwardz00_4263); 
BgL_newzd2matchzd2_4265 = ((long)4); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4265 = BgL_lastzd2matchzd2_4262; } } 
if(
(BgL_forwardz00_4263==BgL_bufposz00_4264))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4261))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1345z00_4267; long BgL_arg1347z00_4268;
BgL_arg1345z00_4267 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4261); 
BgL_arg1347z00_4268 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4261); 
{ 
 long BgL_bufposz00_4711; long BgL_forwardz00_4710;
BgL_forwardz00_4710 = BgL_arg1345z00_4267; 
BgL_bufposz00_4711 = BgL_arg1347z00_4268; 
BgL_bufposz00_4264 = BgL_bufposz00_4711; 
BgL_forwardz00_4263 = BgL_forwardz00_4710; 
goto BgL_statezd24zd21049z00_4146;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_newzd2matchzd2_4265; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4269;
BgL_curz00_4269 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4261, BgL_forwardz00_4263); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4269)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1349z00_4270;
BgL_arg1349z00_4270 = 
(((long)1)+BgL_forwardz00_4263); 
BgL_iportz00_4272 = BgL_iportz00_4261; 
BgL_lastzd2matchzd2_4273 = BgL_newzd2matchzd2_4265; 
BgL_forwardz00_4274 = BgL_arg1349z00_4270; 
BgL_bufposz00_4275 = BgL_bufposz00_4264; 
BgL_statezd210zd21055z00_4147:
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4276;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2421z00_4717;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_rz00_4277;
BgL_rz00_4277 = 
rgc_buffer_eof2_p(BgL_iportz00_4272, BgL_forwardz00_4274, BgL_bufposz00_4275); 
BgL_forwardz00_4274 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4272); 
BgL_bufposz00_4275 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4272); 
BgL_test2421z00_4717 = BgL_rz00_4277; } 
if(BgL_test2421z00_4717)
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4272, BgL_forwardz00_4274); 
BgL_newzd2matchzd2_4276 = ((long)4); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4276 = BgL_lastzd2matchzd2_4273; } } 
if(
(BgL_forwardz00_4274==BgL_bufposz00_4275))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4272))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1336z00_4278; long BgL_arg1337z00_4279;
BgL_arg1336z00_4278 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4272); 
BgL_arg1337z00_4279 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4272); 
{ 
 long BgL_bufposz00_4729; long BgL_forwardz00_4728;
BgL_forwardz00_4728 = BgL_arg1336z00_4278; 
BgL_bufposz00_4729 = BgL_arg1337z00_4279; 
BgL_bufposz00_4275 = BgL_bufposz00_4729; 
BgL_forwardz00_4274 = BgL_forwardz00_4728; 
goto BgL_statezd210zd21055z00_4147;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_newzd2matchzd2_4276; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4280;
BgL_curz00_4280 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4272, BgL_forwardz00_4274); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4280)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1339z00_4281;
BgL_arg1339z00_4281 = 
(((long)1)+BgL_forwardz00_4274); 
{ /* Unsafe/base64.scm 300 */
 long BgL_bufposz00_4282;
BgL_bufposz00_4282 = BgL_bufposz00_4275; 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4283;
RGC_STOP_MATCH(BgL_iportz00_4272, BgL_arg1339z00_4281); 
BgL_newzd2matchzd2_4283 = ((long)3); 
BgL_matchz00_4152 = BgL_newzd2matchzd2_4283; } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_newzd2matchzd2_4276; } } } } }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2425z00_4736;
if(
(
(long)(BgL_curz00_4269)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_test2425z00_4736 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4269)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_test2425z00_4736 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2428z00_4743;
if(
(
(long)(BgL_curz00_4269)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_test2428z00_4743 = 
(
(long)(BgL_curz00_4269)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2428z00_4743 = ((bool_t)0)
; } 
if(BgL_test2428z00_4743)
{ /* Unsafe/base64.scm 300 */
BgL_test2425z00_4736 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2430z00_4749;
if(
(
(long)(BgL_curz00_4269)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_test2430z00_4749 = 
(
(long)(BgL_curz00_4269)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2430z00_4749 = ((bool_t)0)
; } 
if(BgL_test2430z00_4749)
{ /* Unsafe/base64.scm 300 */
BgL_test2425z00_4736 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4269)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_test2425z00_4736 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4269)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_test2425z00_4736 = 
(
(long)(BgL_curz00_4269)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2425z00_4736 = ((bool_t)0)
; } } } } } } 
if(BgL_test2425z00_4736)
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1358z00_4271;
BgL_arg1358z00_4271 = 
(((long)1)+BgL_forwardz00_4263); 
BgL_iportz00_4293 = BgL_iportz00_4261; 
BgL_lastzd2matchzd2_4294 = BgL_newzd2matchzd2_4265; 
BgL_forwardz00_4295 = BgL_arg1358z00_4271; 
BgL_bufposz00_4296 = BgL_bufposz00_4264; 
BgL_statezd29zd21054z00_4149:
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4297;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2434z00_4764;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_rz00_4298;
BgL_rz00_4298 = 
rgc_buffer_eof2_p(BgL_iportz00_4293, BgL_forwardz00_4295, BgL_bufposz00_4296); 
BgL_forwardz00_4295 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4293); 
BgL_bufposz00_4296 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4293); 
BgL_test2434z00_4764 = BgL_rz00_4298; } 
if(BgL_test2434z00_4764)
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4293, BgL_forwardz00_4295); 
BgL_newzd2matchzd2_4297 = ((long)2); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4297 = BgL_lastzd2matchzd2_4294; } } 
if(
(BgL_forwardz00_4295==BgL_bufposz00_4296))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4293))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1300z00_4299; long BgL_arg1302z00_4300;
BgL_arg1300z00_4299 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4293); 
BgL_arg1302z00_4300 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4293); 
{ 
 long BgL_bufposz00_4776; long BgL_forwardz00_4775;
BgL_forwardz00_4775 = BgL_arg1300z00_4299; 
BgL_bufposz00_4776 = BgL_arg1302z00_4300; 
BgL_bufposz00_4296 = BgL_bufposz00_4776; 
BgL_forwardz00_4295 = BgL_forwardz00_4775; 
goto BgL_statezd29zd21054z00_4149;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_newzd2matchzd2_4297; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4301;
BgL_curz00_4301 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4293, BgL_forwardz00_4295); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4301)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1305z00_4302;
BgL_arg1305z00_4302 = 
(((long)1)+BgL_forwardz00_4295); 
{ /* Unsafe/base64.scm 300 */
 long BgL_bufposz00_4303;
BgL_bufposz00_4303 = BgL_bufposz00_4296; 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4304;
RGC_STOP_MATCH(BgL_iportz00_4293, BgL_arg1305z00_4302); 
BgL_newzd2matchzd2_4304 = ((long)1); 
BgL_matchz00_4152 = BgL_newzd2matchzd2_4304; } } }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2438z00_4783;
if(
(
(long)(BgL_curz00_4301)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_test2438z00_4783 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4301)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_test2438z00_4783 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2441z00_4790;
if(
(
(long)(BgL_curz00_4301)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_test2441z00_4790 = 
(
(long)(BgL_curz00_4301)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2441z00_4790 = ((bool_t)0)
; } 
if(BgL_test2441z00_4790)
{ /* Unsafe/base64.scm 300 */
BgL_test2438z00_4783 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2443z00_4796;
if(
(
(long)(BgL_curz00_4301)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_test2443z00_4796 = 
(
(long)(BgL_curz00_4301)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2443z00_4796 = ((bool_t)0)
; } 
if(BgL_test2443z00_4796)
{ /* Unsafe/base64.scm 300 */
BgL_test2438z00_4783 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4301)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_test2438z00_4783 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4301)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_test2438z00_4783 = 
(
(long)(BgL_curz00_4301)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2438z00_4783 = ((bool_t)0)
; } } } } } } 
if(BgL_test2438z00_4783)
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1315z00_4305;
BgL_arg1315z00_4305 = 
(((long)1)+BgL_forwardz00_4295); 
{ /* Unsafe/base64.scm 300 */
 long BgL_bufposz00_4306;
BgL_bufposz00_4306 = BgL_bufposz00_4296; 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4307;
RGC_STOP_MATCH(BgL_iportz00_4293, BgL_arg1315z00_4305); 
BgL_newzd2matchzd2_4307 = ((long)0); 
BgL_matchz00_4152 = BgL_newzd2matchzd2_4307; } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_newzd2matchzd2_4297; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_newzd2matchzd2_4265; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4152 = BgL_newzd2matchzd2_4254; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2447z00_4813;
if(
(
(long)(BgL_curz00_4321)==((long)10)))
{ /* Unsafe/base64.scm 300 */
BgL_test2447z00_4813 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2447z00_4813 = 
(
(long)(BgL_curz00_4321)==((long)13))
; } 
if(BgL_test2447z00_4813)
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1285z00_4322;
BgL_arg1285z00_4322 = 
(((long)1)+BgL_forwardz00_4317); 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4323;
RGC_STOP_MATCH(BgL_iportz00_4315, BgL_arg1285z00_4322); 
BgL_newzd2matchzd2_4323 = ((long)7); 
BgL_matchz00_4152 = BgL_newzd2matchzd2_4323; } }  else 
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1286z00_4324;
BgL_arg1286z00_4324 = 
(((long)1)+BgL_forwardz00_4317); 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4325;
RGC_STOP_MATCH(BgL_iportz00_4315, BgL_arg1286z00_4324); 
BgL_newzd2matchzd2_4325 = ((long)8); 
BgL_matchz00_4152 = BgL_newzd2matchzd2_4325; } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_4068); 
{ 

switch( BgL_matchz00_4152) { case ((long)8) : 

{ /* Unsafe/base64.scm 369 */
 obj_t BgL_cz00_4156;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2449z00_4824;
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1462z00_4249;
BgL_arg1462z00_4249 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4068); 
BgL_test2449z00_4824 = 
(BgL_arg1462z00_4249==((long)0)); } 
if(BgL_test2449z00_4824)
{ /* Unsafe/base64.scm 300 */
BgL_cz00_4156 = BEOF; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_cz00_4156 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_4068)); } } 
{ /* Unsafe/base64.scm 370 */
 bool_t BgL_test2450z00_4829;
if(
EOF_OBJECTP(BgL_cz00_4156))
{ /* Unsafe/base64.scm 370 */
BgL_test2450z00_4829 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 370 */
BgL_test2450z00_4829 = 
CBOOL(
PROCEDURE_L_ENTRY(BgL_hookz00_4073)(BgL_hookz00_4073, BgL_cz00_4156))
; } 
if(BgL_test2450z00_4829)
{ /* Unsafe/base64.scm 370 */
if(
(BgL_wz00_4135>((long)0)))
{ /* Unsafe/base64.scm 372 */
bgl_display_substring(BgL_bufz00_4070, ((long)0), BgL_wz00_4135, BgL_opz00_4069); }  else 
{ /* Unsafe/base64.scm 372 */BFALSE; } 
return BTRUE;}  else 
{ /* Unsafe/base64.scm 370 */
goto BgL_ignorez00_4139;} } } break;case ((long)7) : 

goto BgL_ignorez00_4139;break;case ((long)6) : 

if(BgL_eofzd2nozd2paddingz00_4074)
{ /* Unsafe/base64.scm 365 */
BgL_chunk1z00_4143:
{ /* Unsafe/base64.scm 345 */
 int BgL_q0z00_4232;
{ /* Unsafe/base64.scm 345 */
 int BgL_arg1472z00_4233;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4841;
BgL_tmpz00_4841 = 
(int)(((long)0)); 
BgL_arg1472z00_4233 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_4841); } 
{ /* Unsafe/base64.scm 345 */
 int BgL_res2252z00_4234;
{ /* Unsafe/base64.scm 345 */
 char BgL_cz00_4235;
BgL_cz00_4235 = 
(signed char)(BgL_arg1472z00_4233); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4236;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4845;
BgL_tmpz00_4845 = 
(long)(BgL_cz00_4235); 
BgL_arg1813z00_4236 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4845); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4237;
BgL_xz00_4237 = 
(int8_t)(BgL_arg1813z00_4236); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4238;
BgL_arg2211z00_4238 = 
(long)(BgL_xz00_4237); 
BgL_res2252z00_4234 = 
(int)(
(long)(BgL_arg2211z00_4238)); } } } } 
BgL_q0z00_4232 = BgL_res2252z00_4234; } } 
{ /* Unsafe/base64.scm 345 */
 int BgL_q1z00_4239;
{ /* Unsafe/base64.scm 346 */
 unsigned char BgL_cz00_4240;
BgL_cz00_4240 = 
(char)(((unsigned char)'=')); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_4241;
BgL_arg1815z00_4241 = 
(
(unsigned char)(BgL_cz00_4240)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2253z00_4242;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_4243;
BgL_cz00_4243 = 
(signed char)(BgL_arg1815z00_4241); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4244;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4856;
BgL_tmpz00_4856 = 
(long)(BgL_cz00_4243); 
BgL_arg1813z00_4244 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4856); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4245;
BgL_xz00_4245 = 
(int8_t)(BgL_arg1813z00_4244); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4246;
BgL_arg2211z00_4246 = 
(long)(BgL_xz00_4245); 
BgL_res2253z00_4242 = 
(int)(
(long)(BgL_arg2211z00_4246)); } } } } 
BgL_q1z00_4239 = BgL_res2253z00_4242; } } } 
{ /* Unsafe/base64.scm 346 */
 long BgL_v0z00_4247;
BgL_v0z00_4247 = 
(
(
(long)(BgL_q0z00_4232) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4239) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 347 */

{ /* Unsafe/base64.scm 348 */
 unsigned char BgL_arg1469z00_4248;
BgL_arg1469z00_4248 = 
(BgL_v0z00_4247); 
STRING_SET(BgL_bufz00_4070, BgL_wz00_4135, BgL_arg1469z00_4248); } 
return 
bgl_display_substring(BgL_bufz00_4070, ((long)0), BgL_wz00_4135, BgL_opz00_4069);} } } } }  else 
{ /* Unsafe/base64.scm 365 */
return BFALSE;} break;case ((long)5) : 

goto BgL_chunk1z00_4143;break;case ((long)4) : 

if(BgL_eofzd2nozd2paddingz00_4074)
{ /* Unsafe/base64.scm 361 */
BgL_chunk2z00_4142:
{ /* Unsafe/base64.scm 336 */
 int BgL_q0z00_4215;
{ /* Unsafe/base64.scm 336 */
 int BgL_arg1483z00_4216;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4874;
BgL_tmpz00_4874 = 
(int)(((long)0)); 
BgL_arg1483z00_4216 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_4874); } 
{ /* Unsafe/base64.scm 336 */
 int BgL_res2254z00_4217;
{ /* Unsafe/base64.scm 336 */
 char BgL_cz00_4218;
BgL_cz00_4218 = 
(signed char)(BgL_arg1483z00_4216); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4219;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4878;
BgL_tmpz00_4878 = 
(long)(BgL_cz00_4218); 
BgL_arg1813z00_4219 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4878); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4220;
BgL_xz00_4220 = 
(int8_t)(BgL_arg1813z00_4219); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4221;
BgL_arg2211z00_4221 = 
(long)(BgL_xz00_4220); 
BgL_res2254z00_4217 = 
(int)(
(long)(BgL_arg2211z00_4221)); } } } } 
BgL_q0z00_4215 = BgL_res2254z00_4217; } } 
{ /* Unsafe/base64.scm 336 */
 int BgL_q1z00_4222;
{ /* Unsafe/base64.scm 337 */
 int BgL_arg1481z00_4223;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4885;
BgL_tmpz00_4885 = 
(int)(((long)1)); 
BgL_arg1481z00_4223 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_4885); } 
{ /* Unsafe/base64.scm 337 */
 int BgL_res2255z00_4224;
{ /* Unsafe/base64.scm 337 */
 char BgL_cz00_4225;
BgL_cz00_4225 = 
(signed char)(BgL_arg1481z00_4223); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4226;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4889;
BgL_tmpz00_4889 = 
(long)(BgL_cz00_4225); 
BgL_arg1813z00_4226 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4889); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4227;
BgL_xz00_4227 = 
(int8_t)(BgL_arg1813z00_4226); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4228;
BgL_arg2211z00_4228 = 
(long)(BgL_xz00_4227); 
BgL_res2255z00_4224 = 
(int)(
(long)(BgL_arg2211z00_4228)); } } } } 
BgL_q1z00_4222 = BgL_res2255z00_4224; } } 
{ /* Unsafe/base64.scm 337 */
 long BgL_v0z00_4229;
BgL_v0z00_4229 = 
(
(
(long)(BgL_q0z00_4215) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4222) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 338 */
 long BgL_v1z00_4230;
BgL_v1z00_4230 = 
(
(
(long)(BgL_q1z00_4222) << 
(int)(((long)4))) & ((long)240)); 
{ /* Unsafe/base64.scm 339 */

{ /* Unsafe/base64.scm 340 */
 unsigned char BgL_arg1474z00_4231;
BgL_arg1474z00_4231 = 
(BgL_v0z00_4229); 
STRING_SET(BgL_bufz00_4070, BgL_wz00_4135, BgL_arg1474z00_4231); } 
{ /* Unsafe/base64.scm 341 */
 unsigned char BgL_auxz00_4911; long BgL_tmpz00_4909;
BgL_auxz00_4911 = 
(BgL_v1z00_4230); 
BgL_tmpz00_4909 = 
(BgL_wz00_4135+((long)1)); 
STRING_SET(BgL_bufz00_4070, BgL_tmpz00_4909, BgL_auxz00_4911); } 
{ /* Unsafe/base64.scm 342 */
 long BgL_tmpz00_4914;
BgL_tmpz00_4914 = 
(BgL_wz00_4135+((long)1)); 
return 
bgl_display_substring(BgL_bufz00_4070, ((long)0), BgL_tmpz00_4914, BgL_opz00_4069);} } } } } } }  else 
{ /* Unsafe/base64.scm 361 */
return BFALSE;} break;case ((long)3) : 

goto BgL_chunk2z00_4142;break;case ((long)2) : 

if(BgL_eofzd2nozd2paddingz00_4074)
{ /* Unsafe/base64.scm 357 */
BgL_chunk3z00_4141:
{ /* Unsafe/base64.scm 324 */
 int BgL_q0z00_4190;
{ /* Unsafe/base64.scm 324 */
 int BgL_arg1503z00_4191;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4918;
BgL_tmpz00_4918 = 
(int)(((long)0)); 
BgL_arg1503z00_4191 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_4918); } 
{ /* Unsafe/base64.scm 324 */
 int BgL_res2256z00_4192;
{ /* Unsafe/base64.scm 324 */
 char BgL_cz00_4193;
BgL_cz00_4193 = 
(signed char)(BgL_arg1503z00_4191); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4194;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4922;
BgL_tmpz00_4922 = 
(long)(BgL_cz00_4193); 
BgL_arg1813z00_4194 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4922); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4195;
BgL_xz00_4195 = 
(int8_t)(BgL_arg1813z00_4194); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4196;
BgL_arg2211z00_4196 = 
(long)(BgL_xz00_4195); 
BgL_res2256z00_4192 = 
(int)(
(long)(BgL_arg2211z00_4196)); } } } } 
BgL_q0z00_4190 = BgL_res2256z00_4192; } } 
{ /* Unsafe/base64.scm 324 */
 int BgL_q1z00_4197;
{ /* Unsafe/base64.scm 325 */
 int BgL_arg1501z00_4198;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4929;
BgL_tmpz00_4929 = 
(int)(((long)1)); 
BgL_arg1501z00_4198 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_4929); } 
{ /* Unsafe/base64.scm 325 */
 int BgL_res2257z00_4199;
{ /* Unsafe/base64.scm 325 */
 char BgL_cz00_4200;
BgL_cz00_4200 = 
(signed char)(BgL_arg1501z00_4198); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4201;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4933;
BgL_tmpz00_4933 = 
(long)(BgL_cz00_4200); 
BgL_arg1813z00_4201 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4933); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4202;
BgL_xz00_4202 = 
(int8_t)(BgL_arg1813z00_4201); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4203;
BgL_arg2211z00_4203 = 
(long)(BgL_xz00_4202); 
BgL_res2257z00_4199 = 
(int)(
(long)(BgL_arg2211z00_4203)); } } } } 
BgL_q1z00_4197 = BgL_res2257z00_4199; } } 
{ /* Unsafe/base64.scm 325 */
 int BgL_q2z00_4204;
{ /* Unsafe/base64.scm 326 */
 int BgL_arg1500z00_4205;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4940;
BgL_tmpz00_4940 = 
(int)(((long)2)); 
BgL_arg1500z00_4205 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_4940); } 
{ /* Unsafe/base64.scm 326 */
 int BgL_res2258z00_4206;
{ /* Unsafe/base64.scm 326 */
 char BgL_cz00_4207;
BgL_cz00_4207 = 
(signed char)(BgL_arg1500z00_4205); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4208;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4944;
BgL_tmpz00_4944 = 
(long)(BgL_cz00_4207); 
BgL_arg1813z00_4208 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4944); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4209;
BgL_xz00_4209 = 
(int8_t)(BgL_arg1813z00_4208); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4210;
BgL_arg2211z00_4210 = 
(long)(BgL_xz00_4209); 
BgL_res2258z00_4206 = 
(int)(
(long)(BgL_arg2211z00_4210)); } } } } 
BgL_q2z00_4204 = BgL_res2258z00_4206; } } 
{ /* Unsafe/base64.scm 326 */
 long BgL_v0z00_4211;
BgL_v0z00_4211 = 
(
(
(long)(BgL_q0z00_4190) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4197) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 327 */
 long BgL_v1z00_4212;
BgL_v1z00_4212 = 
(
(
(
(long)(BgL_q1z00_4197) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_4204) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 328 */
 long BgL_v2z00_4213;
BgL_v2z00_4213 = 
(
(
(long)(BgL_q2z00_4204) << 
(int)(((long)6))) & ((long)192)); 
{ /* Unsafe/base64.scm 329 */

{ /* Unsafe/base64.scm 330 */
 unsigned char BgL_arg1485z00_4214;
BgL_arg1485z00_4214 = 
(BgL_v0z00_4211); 
STRING_SET(BgL_bufz00_4070, BgL_wz00_4135, BgL_arg1485z00_4214); } 
{ /* Unsafe/base64.scm 331 */
 unsigned char BgL_auxz00_4974; long BgL_tmpz00_4972;
BgL_auxz00_4974 = 
(BgL_v1z00_4212); 
BgL_tmpz00_4972 = 
(BgL_wz00_4135+((long)1)); 
STRING_SET(BgL_bufz00_4070, BgL_tmpz00_4972, BgL_auxz00_4974); } 
{ /* Unsafe/base64.scm 332 */
 unsigned char BgL_auxz00_4979; long BgL_tmpz00_4977;
BgL_auxz00_4979 = 
(BgL_v2z00_4213); 
BgL_tmpz00_4977 = 
(BgL_wz00_4135+((long)2)); 
STRING_SET(BgL_bufz00_4070, BgL_tmpz00_4977, BgL_auxz00_4979); } 
{ /* Unsafe/base64.scm 333 */
 long BgL_tmpz00_4982;
BgL_tmpz00_4982 = 
(BgL_wz00_4135+((long)2)); 
return 
bgl_display_substring(BgL_bufz00_4070, ((long)0), BgL_tmpz00_4982, BgL_opz00_4069);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 357 */
return BFALSE;} break;case ((long)1) : 

goto BgL_chunk3z00_4141;break;case ((long)0) : 

{ /* Unsafe/base64.scm 306 */
 int BgL_q0z00_4157;
{ /* Unsafe/base64.scm 306 */
 int BgL_arg1522z00_4158;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4985;
BgL_tmpz00_4985 = 
(int)(((long)0)); 
BgL_arg1522z00_4158 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_4985); } 
{ /* Unsafe/base64.scm 306 */
 int BgL_res2259z00_4159;
{ /* Unsafe/base64.scm 306 */
 char BgL_cz00_4160;
BgL_cz00_4160 = 
(signed char)(BgL_arg1522z00_4158); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4161;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4989;
BgL_tmpz00_4989 = 
(long)(BgL_cz00_4160); 
BgL_arg1813z00_4161 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4989); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4162;
BgL_xz00_4162 = 
(int8_t)(BgL_arg1813z00_4161); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4163;
BgL_arg2211z00_4163 = 
(long)(BgL_xz00_4162); 
BgL_res2259z00_4159 = 
(int)(
(long)(BgL_arg2211z00_4163)); } } } } 
BgL_q0z00_4157 = BgL_res2259z00_4159; } } 
{ /* Unsafe/base64.scm 306 */
 int BgL_q1z00_4164;
{ /* Unsafe/base64.scm 307 */
 int BgL_arg1521z00_4165;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4996;
BgL_tmpz00_4996 = 
(int)(((long)1)); 
BgL_arg1521z00_4165 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_4996); } 
{ /* Unsafe/base64.scm 307 */
 int BgL_res2260z00_4166;
{ /* Unsafe/base64.scm 307 */
 char BgL_cz00_4167;
BgL_cz00_4167 = 
(signed char)(BgL_arg1521z00_4165); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4168;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5000;
BgL_tmpz00_5000 = 
(long)(BgL_cz00_4167); 
BgL_arg1813z00_4168 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5000); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4169;
BgL_xz00_4169 = 
(int8_t)(BgL_arg1813z00_4168); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4170;
BgL_arg2211z00_4170 = 
(long)(BgL_xz00_4169); 
BgL_res2260z00_4166 = 
(int)(
(long)(BgL_arg2211z00_4170)); } } } } 
BgL_q1z00_4164 = BgL_res2260z00_4166; } } 
{ /* Unsafe/base64.scm 307 */
 int BgL_q2z00_4171;
{ /* Unsafe/base64.scm 308 */
 int BgL_arg1520z00_4172;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_5007;
BgL_tmpz00_5007 = 
(int)(((long)2)); 
BgL_arg1520z00_4172 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_5007); } 
{ /* Unsafe/base64.scm 308 */
 int BgL_res2261z00_4173;
{ /* Unsafe/base64.scm 308 */
 char BgL_cz00_4174;
BgL_cz00_4174 = 
(signed char)(BgL_arg1520z00_4172); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4175;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5011;
BgL_tmpz00_5011 = 
(long)(BgL_cz00_4174); 
BgL_arg1813z00_4175 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5011); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4176;
BgL_xz00_4176 = 
(int8_t)(BgL_arg1813z00_4175); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4177;
BgL_arg2211z00_4177 = 
(long)(BgL_xz00_4176); 
BgL_res2261z00_4173 = 
(int)(
(long)(BgL_arg2211z00_4177)); } } } } 
BgL_q2z00_4171 = BgL_res2261z00_4173; } } 
{ /* Unsafe/base64.scm 308 */
 int BgL_q3z00_4178;
{ /* Unsafe/base64.scm 309 */
 int BgL_arg1519z00_4179;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_5018;
BgL_tmpz00_5018 = 
(int)(((long)3)); 
BgL_arg1519z00_4179 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4068, BgL_tmpz00_5018); } 
{ /* Unsafe/base64.scm 309 */
 int BgL_res2262z00_4180;
{ /* Unsafe/base64.scm 309 */
 char BgL_cz00_4181;
BgL_cz00_4181 = 
(signed char)(BgL_arg1519z00_4179); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4182;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5022;
BgL_tmpz00_5022 = 
(long)(BgL_cz00_4181); 
BgL_arg1813z00_4182 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5022); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4183;
BgL_xz00_4183 = 
(int8_t)(BgL_arg1813z00_4182); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_4184;
BgL_arg2211z00_4184 = 
(long)(BgL_xz00_4183); 
BgL_res2262z00_4180 = 
(int)(
(long)(BgL_arg2211z00_4184)); } } } } 
BgL_q3z00_4178 = BgL_res2262z00_4180; } } 
{ /* Unsafe/base64.scm 309 */
 long BgL_v0z00_4185;
BgL_v0z00_4185 = 
(
(
(long)(BgL_q0z00_4157) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4164) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 310 */
 long BgL_v1z00_4186;
BgL_v1z00_4186 = 
(
(
(
(long)(BgL_q1z00_4164) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_4171) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 311 */
 long BgL_v2z00_4187;
BgL_v2z00_4187 = 
(
(
(
(long)(BgL_q2z00_4171) << 
(int)(((long)6))) & ((long)192)) | 
(long)(BgL_q3z00_4178)); 
{ /* Unsafe/base64.scm 312 */

{ /* Unsafe/base64.scm 313 */
 unsigned char BgL_arg1505z00_4188;
BgL_arg1505z00_4188 = 
(BgL_v0z00_4185); 
STRING_SET(BgL_bufz00_4070, BgL_wz00_4135, BgL_arg1505z00_4188); } 
{ /* Unsafe/base64.scm 314 */
 unsigned char BgL_auxz00_5054; long BgL_tmpz00_5052;
BgL_auxz00_5054 = 
(BgL_v1z00_4186); 
BgL_tmpz00_5052 = 
(BgL_wz00_4135+((long)1)); 
STRING_SET(BgL_bufz00_4070, BgL_tmpz00_5052, BgL_auxz00_5054); } 
{ /* Unsafe/base64.scm 315 */
 unsigned char BgL_auxz00_5059; long BgL_tmpz00_5057;
BgL_auxz00_5059 = 
(BgL_v2z00_4187); 
BgL_tmpz00_5057 = 
(BgL_wz00_4135+((long)2)); 
STRING_SET(BgL_bufz00_4070, BgL_tmpz00_5057, BgL_auxz00_5059); } 
{ /* Unsafe/base64.scm 316 */
 long BgL_nwz00_4189;
BgL_nwz00_4189 = 
(BgL_wz00_4135+((long)3)); 
if(
(BgL_nwz00_4189==BgL_lenz00_4072))
{ /* Unsafe/base64.scm 317 */
bgl_display_string(BgL_bufz00_4070, BgL_opz00_4069); 
BgL_wz00_4135 = ((long)0); }  else 
{ /* Unsafe/base64.scm 317 */
BgL_wz00_4135 = BgL_nwz00_4189; } } } } } } } } } } 
goto BgL_ignorez00_4139;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2304z00zz__base64z00, BGl_string2305z00zz__base64z00, 
BINT(BgL_matchz00_4152));} } } } } } 

}



/* encode-char */
unsigned char BGl_encodezd2charzd2zz__base64z00(long BgL_oz00_3)
{
{ /* Unsafe/base64.scm 65 */
return 
STRING_REF(BGl_string2310z00zz__base64z00, BgL_oz00_3);} 

}



/* _base64-encode */
obj_t BGl__base64zd2encodezd2zz__base64z00(obj_t BgL_env1143z00_7, obj_t BgL_opt1142z00_6)
{
{ /* Unsafe/base64.scm 71 */
{ /* Unsafe/base64.scm 71 */
 obj_t BgL_g1144z00_2106;
BgL_g1144z00_2106 = 
VECTOR_REF(BgL_opt1142z00_6,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1142z00_6)) { case ((long)1) : 

{ /* Unsafe/base64.scm 71 */

{ /* Unsafe/base64.scm 71 */
 obj_t BgL_auxz00_5071;
if(
STRINGP(BgL_g1144z00_2106))
{ /* Unsafe/base64.scm 71 */
BgL_auxz00_5071 = BgL_g1144z00_2106
; }  else 
{ 
 obj_t BgL_auxz00_5074;
BgL_auxz00_5074 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)2752)), BGl_string2312z00zz__base64z00, BGl_string2313z00zz__base64z00, BgL_g1144z00_2106); 
FAILURE(BgL_auxz00_5074,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2zz__base64z00(BgL_auxz00_5071, 
BINT(((long)76)));} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 71 */
 obj_t BgL_paddingz00_2111;
BgL_paddingz00_2111 = 
VECTOR_REF(BgL_opt1142z00_6,((long)1)); 
{ /* Unsafe/base64.scm 71 */

{ /* Unsafe/base64.scm 71 */
 obj_t BgL_auxz00_5081;
if(
STRINGP(BgL_g1144z00_2106))
{ /* Unsafe/base64.scm 71 */
BgL_auxz00_5081 = BgL_g1144z00_2106
; }  else 
{ 
 obj_t BgL_auxz00_5084;
BgL_auxz00_5084 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)2752)), BGl_string2312z00zz__base64z00, BGl_string2313z00zz__base64z00, BgL_g1144z00_2106); 
FAILURE(BgL_auxz00_5084,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2zz__base64z00(BgL_auxz00_5081, BgL_paddingz00_2111);} } } break;
default: 
return BUNSPEC;} } } 

}



/* base64-encode */
BGL_EXPORTED_DEF obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t BgL_sz00_4, obj_t BgL_paddingz00_5)
{
{ /* Unsafe/base64.scm 71 */
{ /* Unsafe/base64.scm 74 */
 long BgL_lenz00_2115;
BgL_lenz00_2115 = 
STRING_LENGTH(BgL_sz00_4); 
{ /* Unsafe/base64.scm 75 */
 long BgL_lenzd23zd2_2116;
BgL_lenzd23zd2_2116 = 
(BgL_lenz00_2115-((long)3)); 
{ /* Unsafe/base64.scm 76 */
 long BgL_rlenz00_2117;
BgL_rlenz00_2117 = 
(((long)4)*
(
(((long)2)+BgL_lenz00_2115)/((long)3))); 
{ /* Unsafe/base64.scm 77 */
 long BgL_padz00_2118;
{ /* Unsafe/base64.scm 78 */
 bool_t BgL_test2459z00_5096;
if(
INTEGERP(BgL_paddingz00_5))
{ /* Unsafe/base64.scm 78 */
BgL_test2459z00_5096 = 
(
(long)CINT(BgL_paddingz00_5)>((long)0))
; }  else 
{ /* Unsafe/base64.scm 78 */
BgL_test2459z00_5096 = ((bool_t)0)
; } 
if(BgL_test2459z00_5096)
{ /* Unsafe/base64.scm 78 */
BgL_padz00_2118 = 
(
(((long)3)*
(long)CINT(BgL_paddingz00_5))/((long)4)); }  else 
{ /* Unsafe/base64.scm 78 */
BgL_padz00_2118 = ((long)-1); } } 
{ /* Unsafe/base64.scm 78 */
 long BgL_flenz00_2119;
if(
(BgL_padz00_2118>((long)0)))
{ /* Unsafe/base64.scm 81 */
BgL_flenz00_2119 = 
(BgL_rlenz00_2117+
(BgL_rlenz00_2117/
(long)CINT(BgL_paddingz00_5))); }  else 
{ /* Unsafe/base64.scm 81 */
BgL_flenz00_2119 = BgL_rlenz00_2117; } 
{ /* Unsafe/base64.scm 81 */
 obj_t BgL_resz00_2120;
BgL_resz00_2120 = 
make_string(BgL_flenz00_2119, ((unsigned char)10)); 
{ /* Unsafe/base64.scm 84 */

{ 
 long BgL_xz00_2122; long BgL_yz00_2123;
BgL_xz00_2122 = ((long)0); 
BgL_yz00_2123 = ((long)0); 
BgL_zc3z04anonymousza31714ze3z87_2124:
if(
(BgL_xz00_2122<=BgL_lenzd23zd2_2116))
{ /* Unsafe/base64.scm 88 */
 long BgL_i0z00_2126;
BgL_i0z00_2126 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2122)); 
{ /* Unsafe/base64.scm 88 */
 long BgL_i1z00_2127;
BgL_i1z00_2127 = 
(
STRING_REF(BgL_sz00_4, 
(((long)1)+BgL_xz00_2122))); 
{ /* Unsafe/base64.scm 89 */
 long BgL_i2z00_2128;
BgL_i2z00_2128 = 
(
STRING_REF(BgL_sz00_4, 
(((long)2)+BgL_xz00_2122))); 
{ /* Unsafe/base64.scm 90 */
 long BgL_o0z00_2129;
BgL_o0z00_2129 = 
(
(BgL_i0z00_2126 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 91 */
 long BgL_o1z00_2130;
BgL_o1z00_2130 = 
(
(
(BgL_i0z00_2126 & ((long)3)) << 
(int)(((long)4))) | 
(
(BgL_i1z00_2127 & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 92 */
 long BgL_o2z00_2131;
BgL_o2z00_2131 = 
(
(
(BgL_i1z00_2127 & ((long)15)) << 
(int)(((long)2))) | 
(
(BgL_i2z00_2128 & ((long)192)) >> 
(int)(((long)6)))); 
{ /* Unsafe/base64.scm 94 */
 long BgL_o3z00_2132;
BgL_o3z00_2132 = 
(BgL_i2z00_2128 & ((long)63)); 
{ /* Unsafe/base64.scm 96 */

{ /* Unsafe/base64.scm 97 */
 unsigned char BgL_tmpz00_5138;
BgL_tmpz00_5138 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2129); 
STRING_SET(BgL_resz00_2120, BgL_yz00_2123, BgL_tmpz00_5138); } 
{ /* Unsafe/base64.scm 98 */
 unsigned char BgL_auxz00_5143; long BgL_tmpz00_5141;
BgL_auxz00_5143 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2130); 
BgL_tmpz00_5141 = 
(BgL_yz00_2123+((long)1)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5141, BgL_auxz00_5143); } 
{ /* Unsafe/base64.scm 99 */
 unsigned char BgL_auxz00_5148; long BgL_tmpz00_5146;
BgL_auxz00_5148 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2131); 
BgL_tmpz00_5146 = 
(BgL_yz00_2123+((long)2)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5146, BgL_auxz00_5148); } 
{ /* Unsafe/base64.scm 100 */
 unsigned char BgL_auxz00_5153; long BgL_tmpz00_5151;
BgL_auxz00_5153 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o3z00_2132); 
BgL_tmpz00_5151 = 
(BgL_yz00_2123+((long)3)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5151, BgL_auxz00_5153); } 
{ /* Unsafe/base64.scm 101 */
 long BgL_nxz00_2140;
BgL_nxz00_2140 = 
(BgL_xz00_2122+((long)3)); 
{ /* Unsafe/base64.scm 102 */
 bool_t BgL_test2463z00_5157;
if(
(BgL_padz00_2118>((long)0)))
{ /* Unsafe/base64.scm 102 */
 long BgL_arg1730z00_2147;
BgL_arg1730z00_2147 = 
(BgL_nxz00_2140%BgL_padz00_2118); 
BgL_test2463z00_5157 = 
(BgL_arg1730z00_2147==((long)0)); }  else 
{ /* Unsafe/base64.scm 102 */
BgL_test2463z00_5157 = ((bool_t)0)
; } 
if(BgL_test2463z00_5157)
{ 
 long BgL_yz00_5163; long BgL_xz00_5162;
BgL_xz00_5162 = BgL_nxz00_2140; 
BgL_yz00_5163 = 
(BgL_yz00_2123+((long)5)); 
BgL_yz00_2123 = BgL_yz00_5163; 
BgL_xz00_2122 = BgL_xz00_5162; 
goto BgL_zc3z04anonymousza31714ze3z87_2124;}  else 
{ 
 long BgL_yz00_5166; long BgL_xz00_5165;
BgL_xz00_5165 = BgL_nxz00_2140; 
BgL_yz00_5166 = 
(BgL_yz00_2123+((long)4)); 
BgL_yz00_2123 = BgL_yz00_5166; 
BgL_xz00_2122 = BgL_xz00_5165; 
goto BgL_zc3z04anonymousza31714ze3z87_2124;} } } } } } } } } } }  else 
{ /* Unsafe/base64.scm 105 */
 long BgL_aux1040z00_2163;
BgL_aux1040z00_2163 = 
(BgL_lenz00_2115-BgL_xz00_2122); 
switch( BgL_aux1040z00_2163) { case ((long)2) : 

{ /* Unsafe/base64.scm 107 */
 long BgL_i0z00_2165;
BgL_i0z00_2165 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2122)); 
{ /* Unsafe/base64.scm 107 */
 long BgL_i1z00_2166;
BgL_i1z00_2166 = 
(
STRING_REF(BgL_sz00_4, 
(BgL_xz00_2122+((long)1)))); 
{ /* Unsafe/base64.scm 108 */
 long BgL_o0z00_2167;
BgL_o0z00_2167 = 
(
(BgL_i0z00_2165 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 109 */
 long BgL_o1z00_2168;
BgL_o1z00_2168 = 
(
(
(BgL_i0z00_2165 & ((long)3)) << 
(int)(((long)4))) | 
(
(BgL_i1z00_2166 & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 110 */
 long BgL_o2z00_2169;
BgL_o2z00_2169 = 
(
(BgL_i1z00_2166 & ((long)15)) << 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 112 */

{ /* Unsafe/base64.scm 113 */
 unsigned char BgL_tmpz00_5187;
BgL_tmpz00_5187 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2167); 
STRING_SET(BgL_resz00_2120, BgL_yz00_2123, BgL_tmpz00_5187); } 
{ /* Unsafe/base64.scm 114 */
 unsigned char BgL_auxz00_5192; long BgL_tmpz00_5190;
BgL_auxz00_5192 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2168); 
BgL_tmpz00_5190 = 
(BgL_yz00_2123+((long)1)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5190, BgL_auxz00_5192); } 
{ /* Unsafe/base64.scm 115 */
 unsigned char BgL_auxz00_5197; long BgL_tmpz00_5195;
BgL_auxz00_5197 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2169); 
BgL_tmpz00_5195 = 
(BgL_yz00_2123+((long)2)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5195, BgL_auxz00_5197); } 
{ /* Unsafe/base64.scm 116 */
 long BgL_tmpz00_5200;
BgL_tmpz00_5200 = 
(BgL_yz00_2123+((long)3)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5200, ((unsigned char)'=')); } } } } } } } break;case ((long)1) : 

{ /* Unsafe/base64.scm 118 */
 long BgL_iz00_2185;
BgL_iz00_2185 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2122)); 
{ /* Unsafe/base64.scm 118 */
 long BgL_o0z00_2186;
BgL_o0z00_2186 = 
(
(BgL_iz00_2185 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 119 */
 long BgL_o1z00_2187;
BgL_o1z00_2187 = 
(
(BgL_iz00_2185 & ((long)3)) << 
(int)(((long)4))); 
{ /* Unsafe/base64.scm 120 */

{ /* Unsafe/base64.scm 121 */
 unsigned char BgL_tmpz00_5211;
BgL_tmpz00_5211 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2186); 
STRING_SET(BgL_resz00_2120, BgL_yz00_2123, BgL_tmpz00_5211); } 
{ /* Unsafe/base64.scm 122 */
 unsigned char BgL_auxz00_5216; long BgL_tmpz00_5214;
BgL_auxz00_5216 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2187); 
BgL_tmpz00_5214 = 
(BgL_yz00_2123+((long)1)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5214, BgL_auxz00_5216); } 
{ /* Unsafe/base64.scm 123 */
 long BgL_tmpz00_5219;
BgL_tmpz00_5219 = 
(BgL_yz00_2123+((long)2)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5219, ((unsigned char)'=')); } 
{ /* Unsafe/base64.scm 124 */
 long BgL_tmpz00_5222;
BgL_tmpz00_5222 = 
(BgL_yz00_2123+((long)3)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5222, ((unsigned char)'=')); } } } } } break;
default: BUNSPEC; } } } 
return BgL_resz00_2120;} } } } } } } } 

}



/* _base64-encode-port */
obj_t BGl__base64zd2encodezd2portz00zz__base64z00(obj_t BgL_env1148z00_12, obj_t BgL_opt1147z00_11)
{
{ /* Unsafe/base64.scm 130 */
{ /* Unsafe/base64.scm 130 */
 obj_t BgL_g1149z00_2205; obj_t BgL_g1150z00_2206;
BgL_g1149z00_2205 = 
VECTOR_REF(BgL_opt1147z00_11,((long)0)); 
BgL_g1150z00_2206 = 
VECTOR_REF(BgL_opt1147z00_11,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_opt1147z00_11)) { case ((long)2) : 

{ /* Unsafe/base64.scm 130 */

{ /* Unsafe/base64.scm 130 */
 obj_t BgL_auxz00_5235; obj_t BgL_auxz00_5228;
if(
OUTPUT_PORTP(BgL_g1150z00_2206))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5235 = BgL_g1150z00_2206
; }  else 
{ 
 obj_t BgL_auxz00_5238;
BgL_auxz00_5238 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)4911)), BGl_string2314z00zz__base64z00, BGl_string2316z00zz__base64z00, BgL_g1150z00_2206); 
FAILURE(BgL_auxz00_5238,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1149z00_2205))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5228 = BgL_g1149z00_2205
; }  else 
{ 
 obj_t BgL_auxz00_5231;
BgL_auxz00_5231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)4911)), BGl_string2314z00zz__base64z00, BGl_string2315z00zz__base64z00, BgL_g1149z00_2205); 
FAILURE(BgL_auxz00_5231,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2portz00zz__base64z00(BgL_auxz00_5228, BgL_auxz00_5235, 
BINT(((long)76)));} } break;case ((long)3) : 

{ /* Unsafe/base64.scm 130 */
 obj_t BgL_paddingz00_2211;
BgL_paddingz00_2211 = 
VECTOR_REF(BgL_opt1147z00_11,((long)2)); 
{ /* Unsafe/base64.scm 130 */

{ /* Unsafe/base64.scm 130 */
 obj_t BgL_auxz00_5252; obj_t BgL_auxz00_5245;
if(
OUTPUT_PORTP(BgL_g1150z00_2206))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5252 = BgL_g1150z00_2206
; }  else 
{ 
 obj_t BgL_auxz00_5255;
BgL_auxz00_5255 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)4911)), BGl_string2314z00zz__base64z00, BGl_string2316z00zz__base64z00, BgL_g1150z00_2206); 
FAILURE(BgL_auxz00_5255,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1149z00_2205))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5245 = BgL_g1149z00_2205
; }  else 
{ 
 obj_t BgL_auxz00_5248;
BgL_auxz00_5248 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)4911)), BGl_string2314z00zz__base64z00, BGl_string2315z00zz__base64z00, BgL_g1149z00_2205); 
FAILURE(BgL_auxz00_5248,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2portz00zz__base64z00(BgL_auxz00_5245, BgL_auxz00_5252, BgL_paddingz00_2211);} } } break;
default: 
return BUNSPEC;} } } 

}



/* base64-encode-port */
BGL_EXPORTED_DEF obj_t BGl_base64zd2encodezd2portz00zz__base64z00(obj_t BgL_ipz00_8, obj_t BgL_opz00_9, obj_t BgL_paddingz00_10)
{
{ /* Unsafe/base64.scm 130 */
{ /* Unsafe/base64.scm 131 */
 long BgL_padz00_2212;
BgL_padz00_2212 = 
(
(long)CINT(BgL_paddingz00_10)-((long)4)); 
{ 
 long BgL_iz00_2214;
BgL_iz00_2214 = ((long)0); 
BgL_zc3z04anonymousza31779ze3z87_2215:
{ /* Unsafe/base64.scm 133 */
 obj_t BgL_i0z00_2216;
BgL_i0z00_2216 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
if(
EOF_OBJECTP(BgL_i0z00_2216))
{ /* Unsafe/base64.scm 134 */
return BFALSE;}  else 
{ /* Unsafe/base64.scm 135 */
 obj_t BgL_i1z00_2218;
BgL_i1z00_2218 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
if(
EOF_OBJECTP(BgL_i1z00_2218))
{ /* Unsafe/base64.scm 137 */
 long BgL_o0z00_2220;
BgL_o0z00_2220 = 
(
(
(long)CINT(BgL_i0z00_2216) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 137 */
 long BgL_o1z00_2221;
BgL_o1z00_2221 = 
(
(
(long)CINT(BgL_i0z00_2216) & ((long)3)) << 
(int)(((long)4))); 
{ /* Unsafe/base64.scm 138 */

{ /* Unsafe/base64.scm 139 */
 unsigned char BgL_tmpz00_5278;
BgL_tmpz00_5278 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2220); 
bgl_display_char(BgL_tmpz00_5278, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 140 */
 unsigned char BgL_tmpz00_5281;
BgL_tmpz00_5281 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2221); 
bgl_display_char(BgL_tmpz00_5281, BgL_opz00_9); } 
bgl_display_char(((unsigned char)'='), BgL_opz00_9); 
return 
bgl_display_char(((unsigned char)'='), BgL_opz00_9);} } }  else 
{ /* Unsafe/base64.scm 143 */
 obj_t BgL_i2z00_2226;
BgL_i2z00_2226 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
if(
EOF_OBJECTP(BgL_i2z00_2226))
{ /* Unsafe/base64.scm 145 */
 long BgL_o0z00_2228;
BgL_o0z00_2228 = 
(
(
(long)CINT(BgL_i0z00_2216) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 145 */
 long BgL_o1z00_2229;
BgL_o1z00_2229 = 
(
(
(
(long)CINT(BgL_i0z00_2216) & ((long)3)) << 
(int)(((long)4))) | 
(
(
(long)CINT(BgL_i1z00_2218) & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 146 */
 long BgL_o2z00_2230;
BgL_o2z00_2230 = 
(
(
(long)CINT(BgL_i1z00_2218) & ((long)15)) << 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 148 */

{ /* Unsafe/base64.scm 149 */
 unsigned char BgL_tmpz00_5306;
BgL_tmpz00_5306 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2228); 
bgl_display_char(BgL_tmpz00_5306, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 150 */
 unsigned char BgL_tmpz00_5309;
BgL_tmpz00_5309 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2229); 
bgl_display_char(BgL_tmpz00_5309, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 151 */
 unsigned char BgL_tmpz00_5312;
BgL_tmpz00_5312 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2230); 
bgl_display_char(BgL_tmpz00_5312, BgL_opz00_9); } 
return 
bgl_display_char(((unsigned char)'='), BgL_opz00_9);} } } }  else 
{ /* Unsafe/base64.scm 153 */
 long BgL_o0z00_2240;
BgL_o0z00_2240 = 
(
(
(long)CINT(BgL_i0z00_2216) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 153 */
 long BgL_o1z00_2241;
BgL_o1z00_2241 = 
(
(
(
(long)CINT(BgL_i0z00_2216) & ((long)3)) << 
(int)(((long)4))) | 
(
(
(long)CINT(BgL_i1z00_2218) & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 154 */
 long BgL_o2z00_2242;
BgL_o2z00_2242 = 
(
(
(
(long)CINT(BgL_i1z00_2218) & ((long)15)) << 
(int)(((long)2))) | 
(
(
(long)CINT(BgL_i2z00_2226) & ((long)192)) >> 
(int)(((long)6)))); 
{ /* Unsafe/base64.scm 156 */
 long BgL_o3z00_2243;
BgL_o3z00_2243 = 
(
(long)CINT(BgL_i2z00_2226) & ((long)63)); 
{ /* Unsafe/base64.scm 158 */

{ /* Unsafe/base64.scm 159 */
 unsigned char BgL_tmpz00_5340;
BgL_tmpz00_5340 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2240); 
bgl_display_char(BgL_tmpz00_5340, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 160 */
 unsigned char BgL_tmpz00_5343;
BgL_tmpz00_5343 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2241); 
bgl_display_char(BgL_tmpz00_5343, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 161 */
 unsigned char BgL_tmpz00_5346;
BgL_tmpz00_5346 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2242); 
bgl_display_char(BgL_tmpz00_5346, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 162 */
 unsigned char BgL_tmpz00_5349;
BgL_tmpz00_5349 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o3z00_2243); 
bgl_display_char(BgL_tmpz00_5349, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 163 */
 bool_t BgL_test2472z00_5352;
if(
(BgL_iz00_2214>=BgL_padz00_2212))
{ /* Unsafe/base64.scm 163 */
BgL_test2472z00_5352 = 
(BgL_padz00_2212>((long)0))
; }  else 
{ /* Unsafe/base64.scm 163 */
BgL_test2472z00_5352 = ((bool_t)0)
; } 
if(BgL_test2472z00_5352)
{ /* Unsafe/base64.scm 163 */
bgl_display_char(((unsigned char)10), BgL_opz00_9); 
{ 
 long BgL_iz00_5357;
BgL_iz00_5357 = ((long)0); 
BgL_iz00_2214 = BgL_iz00_5357; 
goto BgL_zc3z04anonymousza31779ze3z87_2215;} }  else 
{ 
 long BgL_iz00_5358;
BgL_iz00_5358 = 
(BgL_iz00_2214+((long)4)); 
BgL_iz00_2214 = BgL_iz00_5358; 
goto BgL_zc3z04anonymousza31779ze3z87_2215;} } } } } } } } } } } } } 

}



/* actual-string-length */
long BGl_actualzd2stringzd2lengthz00zz__base64z00(obj_t BgL_sz00_15)
{
{ /* Unsafe/base64.scm 206 */
{ 
 long BgL_iz00_2266;
BgL_iz00_2266 = 
(
STRING_LENGTH(BgL_sz00_15)-((long)1)); 
BgL_zc3z04anonymousza31816ze3z87_2267:
if(
(BgL_iz00_2266==((long)0)))
{ /* Unsafe/base64.scm 208 */
return BgL_iz00_2266;}  else 
{ /* Unsafe/base64.scm 210 */
 unsigned char BgL_cz00_2269;
BgL_cz00_2269 = 
STRING_REF(BgL_sz00_15, BgL_iz00_2266); 
{ /* Unsafe/base64.scm 211 */
 bool_t BgL_test2475z00_5363;
if(
(BgL_cz00_2269==((unsigned char)10)))
{ /* Unsafe/base64.scm 211 */
BgL_test2475z00_5363 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 211 */
BgL_test2475z00_5363 = 
(BgL_cz00_2269==((unsigned char)13))
; } 
if(BgL_test2475z00_5363)
{ 
 long BgL_iz00_5367;
BgL_iz00_5367 = 
(BgL_iz00_2266-((long)1)); 
BgL_iz00_2266 = BgL_iz00_5367; 
goto BgL_zc3z04anonymousza31816ze3z87_2267;}  else 
{ /* Unsafe/base64.scm 211 */
return 
(BgL_iz00_2266+((long)1));} } } } } 

}



/* _base64-decode */
obj_t BGl__base64zd2decodezd2zz__base64z00(obj_t BgL_env1154z00_19, obj_t BgL_opt1153z00_18)
{
{ /* Unsafe/base64.scm 218 */
{ /* Unsafe/base64.scm 218 */
 obj_t BgL_g1155z00_2276;
BgL_g1155z00_2276 = 
VECTOR_REF(BgL_opt1153z00_18,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1153z00_18)) { case ((long)1) : 

{ /* Unsafe/base64.scm 218 */

{ /* Unsafe/base64.scm 218 */
 obj_t BgL_auxz00_5373;
if(
STRINGP(BgL_g1155z00_2276))
{ /* Unsafe/base64.scm 218 */
BgL_auxz00_5373 = BgL_g1155z00_2276
; }  else 
{ 
 obj_t BgL_auxz00_5376;
BgL_auxz00_5376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)8420)), BGl_string2317z00zz__base64z00, BGl_string2313z00zz__base64z00, BgL_g1155z00_2276); 
FAILURE(BgL_auxz00_5376,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2zz__base64z00(BgL_auxz00_5373, BFALSE);} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 218 */
 obj_t BgL_eofzd2nozd2paddingz00_2281;
BgL_eofzd2nozd2paddingz00_2281 = 
VECTOR_REF(BgL_opt1153z00_18,((long)1)); 
{ /* Unsafe/base64.scm 218 */

{ /* Unsafe/base64.scm 218 */
 obj_t BgL_auxz00_5382;
if(
STRINGP(BgL_g1155z00_2276))
{ /* Unsafe/base64.scm 218 */
BgL_auxz00_5382 = BgL_g1155z00_2276
; }  else 
{ 
 obj_t BgL_auxz00_5385;
BgL_auxz00_5385 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)8420)), BGl_string2317z00zz__base64z00, BGl_string2313z00zz__base64z00, BgL_g1155z00_2276); 
FAILURE(BgL_auxz00_5385,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2zz__base64z00(BgL_auxz00_5382, BgL_eofzd2nozd2paddingz00_2281);} } } break;
default: 
return BUNSPEC;} } } 

}



/* base64-decode */
BGL_EXPORTED_DEF obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t BgL_sz00_16, obj_t BgL_eofzd2nozd2paddingz00_17)
{
{ /* Unsafe/base64.scm 218 */
{ /* Unsafe/base64.scm 219 */
 long BgL_lenz00_2282;
BgL_lenz00_2282 = 
BGl_actualzd2stringzd2lengthz00zz__base64z00(BgL_sz00_16); 
{ /* Unsafe/base64.scm 219 */
 long BgL_nlenz00_2283;
if(
CBOOL(BgL_eofzd2nozd2paddingz00_17))
{ /* Unsafe/base64.scm 220 */
BgL_nlenz00_2283 = 
(
(((long)1)+
(BgL_lenz00_2282/((long)4)))*((long)3)); }  else 
{ /* Unsafe/base64.scm 220 */
BgL_nlenz00_2283 = 
(
(BgL_lenz00_2282/((long)4))*((long)3)); } 
{ /* Unsafe/base64.scm 220 */
 obj_t BgL_resz00_2284;
{ /* Ieee/string.scm 168 */

BgL_resz00_2284 = 
make_string(BgL_nlenz00_2283, ((unsigned char)' ')); } 
{ /* Unsafe/base64.scm 223 */

{ 
 long BgL_xz00_2286; long BgL_yz00_2287;
BgL_xz00_2286 = ((long)0); 
BgL_yz00_2287 = ((long)0); 
BgL_zc3z04anonymousza31823ze3z87_2288:
if(
(BgL_xz00_2286<BgL_lenz00_2282))
{ /* Unsafe/base64.scm 227 */
 unsigned char BgL_cz00_2290;
BgL_cz00_2290 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)0))); 
{ /* Unsafe/base64.scm 227 */
 int BgL_q0z00_2291;
{ /* Unsafe/base64.scm 228 */
 unsigned char BgL_cz00_3567;
BgL_cz00_3567 = 
(char)(BgL_cz00_2290); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3568;
BgL_arg1815z00_3568 = 
(
(unsigned char)(BgL_cz00_3567)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2266z00_3575;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3570;
BgL_cz00_3570 = 
(signed char)(BgL_arg1815z00_3568); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3571;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5409;
BgL_tmpz00_5409 = 
(long)(BgL_cz00_3570); 
BgL_arg1813z00_3571 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5409); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3572;
BgL_xz00_3572 = 
(int8_t)(BgL_arg1813z00_3571); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_3573;
BgL_arg2211z00_3573 = 
(long)(BgL_xz00_3572); 
BgL_res2266z00_3575 = 
(int)(
(long)(BgL_arg2211z00_3573)); } } } } 
BgL_q0z00_2291 = BgL_res2266z00_3575; } } } 
{ /* Unsafe/base64.scm 228 */

{ /* Unsafe/base64.scm 229 */
 bool_t BgL_test2481z00_5416;
if(
(
(long)(BgL_q0z00_2291)==((long)0)))
{ /* Unsafe/base64.scm 230 */
 bool_t BgL__ortest_1044z00_2379;
BgL__ortest_1044z00_2379 = 
(BgL_cz00_2290==((unsigned char)10)); 
if(BgL__ortest_1044z00_2379)
{ /* Unsafe/base64.scm 230 */
BgL_test2481z00_5416 = BgL__ortest_1044z00_2379
; }  else 
{ /* Unsafe/base64.scm 230 */
BgL_test2481z00_5416 = 
(BgL_cz00_2290==((unsigned char)13))
; } }  else 
{ /* Unsafe/base64.scm 229 */
BgL_test2481z00_5416 = ((bool_t)0)
; } 
if(BgL_test2481z00_5416)
{ 
 long BgL_xz00_5423;
BgL_xz00_5423 = 
(BgL_xz00_2286+((long)1)); 
BgL_xz00_2286 = BgL_xz00_5423; 
goto BgL_zc3z04anonymousza31823ze3z87_2288;}  else 
{ /* Unsafe/base64.scm 229 */
if(
(BgL_xz00_2286<=
(BgL_lenz00_2282-((long)4))))
{ /* Unsafe/base64.scm 234 */
 int BgL_q1z00_2298;
{ /* Unsafe/base64.scm 234 */
 unsigned char BgL_arg1848z00_2322;
BgL_arg1848z00_2322 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)1))); 
{ /* Unsafe/base64.scm 234 */
 unsigned char BgL_cz00_3588;
BgL_cz00_3588 = 
(char)(BgL_arg1848z00_2322); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3589;
BgL_arg1815z00_3589 = 
(
(unsigned char)(BgL_cz00_3588)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2267z00_3596;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3591;
BgL_cz00_3591 = 
(signed char)(BgL_arg1815z00_3589); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3592;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5434;
BgL_tmpz00_5434 = 
(long)(BgL_cz00_3591); 
BgL_arg1813z00_3592 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5434); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3593;
BgL_xz00_3593 = 
(int8_t)(BgL_arg1813z00_3592); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_3594;
BgL_arg2211z00_3594 = 
(long)(BgL_xz00_3593); 
BgL_res2267z00_3596 = 
(int)(
(long)(BgL_arg2211z00_3594)); } } } } 
BgL_q1z00_2298 = BgL_res2267z00_3596; } } } } 
{ /* Unsafe/base64.scm 234 */
 int BgL_q2z00_2299;
{ /* Unsafe/base64.scm 235 */
 unsigned char BgL_arg1846z00_2320;
BgL_arg1846z00_2320 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)2))); 
{ /* Unsafe/base64.scm 235 */
 unsigned char BgL_cz00_3600;
BgL_cz00_3600 = 
(char)(BgL_arg1846z00_2320); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3601;
BgL_arg1815z00_3601 = 
(
(unsigned char)(BgL_cz00_3600)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2268z00_3608;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3603;
BgL_cz00_3603 = 
(signed char)(BgL_arg1815z00_3601); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3604;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5447;
BgL_tmpz00_5447 = 
(long)(BgL_cz00_3603); 
BgL_arg1813z00_3604 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5447); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3605;
BgL_xz00_3605 = 
(int8_t)(BgL_arg1813z00_3604); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_3606;
BgL_arg2211z00_3606 = 
(long)(BgL_xz00_3605); 
BgL_res2268z00_3608 = 
(int)(
(long)(BgL_arg2211z00_3606)); } } } } 
BgL_q2z00_2299 = BgL_res2268z00_3608; } } } } 
{ /* Unsafe/base64.scm 235 */
 int BgL_q3z00_2300;
{ /* Unsafe/base64.scm 236 */
 unsigned char BgL_arg1844z00_2318;
BgL_arg1844z00_2318 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)3))); 
{ /* Unsafe/base64.scm 236 */
 unsigned char BgL_cz00_3612;
BgL_cz00_3612 = 
(char)(BgL_arg1844z00_2318); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3613;
BgL_arg1815z00_3613 = 
(
(unsigned char)(BgL_cz00_3612)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2269z00_3620;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3615;
BgL_cz00_3615 = 
(signed char)(BgL_arg1815z00_3613); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3616;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5460;
BgL_tmpz00_5460 = 
(long)(BgL_cz00_3615); 
BgL_arg1813z00_3616 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5460); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3617;
BgL_xz00_3617 = 
(int8_t)(BgL_arg1813z00_3616); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_3618;
BgL_arg2211z00_3618 = 
(long)(BgL_xz00_3617); 
BgL_res2269z00_3620 = 
(int)(
(long)(BgL_arg2211z00_3618)); } } } } 
BgL_q3z00_2300 = BgL_res2269z00_3620; } } } } 
{ /* Unsafe/base64.scm 236 */
 long BgL_v0z00_2301;
BgL_v0z00_2301 = 
(
(
(long)(BgL_q0z00_2291) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2298) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 237 */
 long BgL_v1z00_2302;
BgL_v1z00_2302 = 
(
(
(
(long)(BgL_q1z00_2298) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_2299) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 239 */
 long BgL_v2z00_2303;
BgL_v2z00_2303 = 
(
(
(
(long)(BgL_q2z00_2299) << 
(int)(((long)6))) & ((long)192)) | 
(long)(BgL_q3z00_2300)); 
{ /* Unsafe/base64.scm 241 */

{ /* Unsafe/base64.scm 243 */
 unsigned char BgL_tmpz00_5488;
BgL_tmpz00_5488 = 
(BgL_v0z00_2301); 
STRING_SET(BgL_resz00_2284, BgL_yz00_2287, BgL_tmpz00_5488); } 
{ /* Unsafe/base64.scm 244 */
 unsigned char BgL_auxz00_5493; long BgL_tmpz00_5491;
BgL_auxz00_5493 = 
(BgL_v1z00_2302); 
BgL_tmpz00_5491 = 
(BgL_yz00_2287+((long)1)); 
STRING_SET(BgL_resz00_2284, BgL_tmpz00_5491, BgL_auxz00_5493); } 
{ /* Unsafe/base64.scm 245 */
 unsigned char BgL_auxz00_5498; long BgL_tmpz00_5496;
BgL_auxz00_5498 = 
(BgL_v2z00_2303); 
BgL_tmpz00_5496 = 
(BgL_yz00_2287+((long)2)); 
STRING_SET(BgL_resz00_2284, BgL_tmpz00_5496, BgL_auxz00_5498); } 
{ 
 long BgL_yz00_5503; long BgL_xz00_5501;
BgL_xz00_5501 = 
(BgL_xz00_2286+((long)4)); 
BgL_yz00_5503 = 
(BgL_yz00_2287+((long)3)); 
BgL_yz00_2287 = BgL_yz00_5503; 
BgL_xz00_2286 = BgL_xz00_5501; 
goto BgL_zc3z04anonymousza31823ze3z87_2288;} } } } } } } }  else 
{ /* Unsafe/base64.scm 247 */
 bool_t BgL_test2485z00_5505;
if(
(BgL_xz00_2286<=
(BgL_lenz00_2282-((long)3))))
{ /* Unsafe/base64.scm 247 */
BgL_test2485z00_5505 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 247 */
BgL_test2485z00_5505 = ((bool_t)0)
; } 
if(BgL_test2485z00_5505)
{ /* Unsafe/base64.scm 248 */
 unsigned char BgL_c1z00_2328;
BgL_c1z00_2328 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)1))); 
{ /* Unsafe/base64.scm 248 */
 unsigned char BgL_c2z00_2329;
BgL_c2z00_2329 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)2))); 
{ /* Unsafe/base64.scm 249 */
 int BgL_q1z00_2330;
{ /* Unsafe/base64.scm 250 */
 unsigned char BgL_cz00_3659;
BgL_cz00_3659 = 
(char)(BgL_c1z00_2328); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3660;
BgL_arg1815z00_3660 = 
(
(unsigned char)(BgL_cz00_3659)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2270z00_3667;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3662;
BgL_cz00_3662 = 
(signed char)(BgL_arg1815z00_3660); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3663;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5518;
BgL_tmpz00_5518 = 
(long)(BgL_cz00_3662); 
BgL_arg1813z00_3663 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5518); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3664;
BgL_xz00_3664 = 
(int8_t)(BgL_arg1813z00_3663); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_3665;
BgL_arg2211z00_3665 = 
(long)(BgL_xz00_3664); 
BgL_res2270z00_3667 = 
(int)(
(long)(BgL_arg2211z00_3665)); } } } } 
BgL_q1z00_2330 = BgL_res2270z00_3667; } } } 
{ /* Unsafe/base64.scm 250 */
 int BgL_q2z00_2331;
{ /* Unsafe/base64.scm 251 */
 unsigned char BgL_cz00_3668;
BgL_cz00_3668 = 
(char)(BgL_c2z00_2329); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3669;
BgL_arg1815z00_3669 = 
(
(unsigned char)(BgL_cz00_3668)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2271z00_3676;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3671;
BgL_cz00_3671 = 
(signed char)(BgL_arg1815z00_3669); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3672;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5529;
BgL_tmpz00_5529 = 
(long)(BgL_cz00_3671); 
BgL_arg1813z00_3672 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5529); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3673;
BgL_xz00_3673 = 
(int8_t)(BgL_arg1813z00_3672); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_3674;
BgL_arg2211z00_3674 = 
(long)(BgL_xz00_3673); 
BgL_res2271z00_3676 = 
(int)(
(long)(BgL_arg2211z00_3674)); } } } } 
BgL_q2z00_2331 = BgL_res2271z00_3676; } } } 
{ /* Unsafe/base64.scm 251 */
 long BgL_v0z00_2332;
BgL_v0z00_2332 = 
(
(
(long)(BgL_q0z00_2291) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2330) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 252 */
 long BgL_v1z00_2333;
BgL_v1z00_2333 = 
(
(
(
(long)(BgL_q1z00_2330) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_2331) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 254 */

{ /* Unsafe/base64.scm 256 */
 unsigned char BgL_tmpz00_5551;
BgL_tmpz00_5551 = 
(BgL_v0z00_2332); 
STRING_SET(BgL_resz00_2284, BgL_yz00_2287, BgL_tmpz00_5551); } 
{ /* Unsafe/base64.scm 257 */
 unsigned char BgL_auxz00_5556; long BgL_tmpz00_5554;
BgL_auxz00_5556 = 
(BgL_v1z00_2333); 
BgL_tmpz00_5554 = 
(BgL_yz00_2287+((long)1)); 
STRING_SET(BgL_resz00_2284, BgL_tmpz00_5554, BgL_auxz00_5556); } 
if(
(BgL_c1z00_2328==((unsigned char)'=')))
{ /* Unsafe/base64.scm 259 */
return 
bgl_string_shrink(BgL_resz00_2284, BgL_yz00_2287);}  else 
{ /* Unsafe/base64.scm 259 */
if(
(BgL_c2z00_2329==((unsigned char)'=')))
{ /* Unsafe/base64.scm 262 */
 long BgL_tmpz00_5564;
BgL_tmpz00_5564 = 
(BgL_yz00_2287+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5564);}  else 
{ /* Unsafe/base64.scm 264 */
 long BgL_tmpz00_5567;
BgL_tmpz00_5567 = 
(BgL_yz00_2287+((long)2)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5567);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 265 */
 bool_t BgL_test2489z00_5570;
if(
(BgL_xz00_2286<=
(BgL_lenz00_2282-((long)2))))
{ /* Unsafe/base64.scm 265 */
BgL_test2489z00_5570 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 265 */
BgL_test2489z00_5570 = ((bool_t)0)
; } 
if(BgL_test2489z00_5570)
{ /* Unsafe/base64.scm 266 */
 unsigned char BgL_c1z00_2352;
BgL_c1z00_2352 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)1))); 
{ /* Unsafe/base64.scm 266 */
 int BgL_q1z00_2353;
{ /* Unsafe/base64.scm 267 */
 unsigned char BgL_cz00_3713;
BgL_cz00_3713 = 
(char)(BgL_c1z00_2352); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3714;
BgL_arg1815z00_3714 = 
(
(unsigned char)(BgL_cz00_3713)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2272z00_3721;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3716;
BgL_cz00_3716 = 
(signed char)(BgL_arg1815z00_3714); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3717;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5581;
BgL_tmpz00_5581 = 
(long)(BgL_cz00_3716); 
BgL_arg1813z00_3717 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5581); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3718;
BgL_xz00_3718 = 
(int8_t)(BgL_arg1813z00_3717); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_3719;
BgL_arg2211z00_3719 = 
(long)(BgL_xz00_3718); 
BgL_res2272z00_3721 = 
(int)(
(long)(BgL_arg2211z00_3719)); } } } } 
BgL_q1z00_2353 = BgL_res2272z00_3721; } } } 
{ /* Unsafe/base64.scm 267 */
 long BgL_v0z00_2354;
BgL_v0z00_2354 = 
(
(
(long)(BgL_q0z00_2291) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2353) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 268 */

{ /* Unsafe/base64.scm 270 */
 unsigned char BgL_tmpz00_5595;
BgL_tmpz00_5595 = 
(BgL_v0z00_2354); 
STRING_SET(BgL_resz00_2284, BgL_yz00_2287, BgL_tmpz00_5595); } 
if(
(BgL_c1z00_2352==((unsigned char)'=')))
{ /* Unsafe/base64.scm 271 */
return 
bgl_string_shrink(BgL_resz00_2284, BgL_yz00_2287);}  else 
{ /* Unsafe/base64.scm 273 */
 long BgL_tmpz00_5601;
BgL_tmpz00_5601 = 
(BgL_yz00_2287+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5601);} } } } }  else 
{ /* Unsafe/base64.scm 274 */
 bool_t BgL_test2492z00_5604;
if(
(BgL_xz00_2286<=
(BgL_lenz00_2282-((long)1))))
{ /* Unsafe/base64.scm 274 */
BgL_test2492z00_5604 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 274 */
BgL_test2492z00_5604 = ((bool_t)0)
; } 
if(BgL_test2492z00_5604)
{ /* Unsafe/base64.scm 275 */
 int BgL_q1z00_2365;
{ /* Unsafe/base64.scm 275 */
 unsigned char BgL_cz00_3740;
BgL_cz00_3740 = 
(char)(((unsigned char)'=')); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3741;
BgL_arg1815z00_3741 = 
(
(unsigned char)(BgL_cz00_3740)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2273z00_3748;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3743;
BgL_cz00_3743 = 
(signed char)(BgL_arg1815z00_3741); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3744;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5613;
BgL_tmpz00_5613 = 
(long)(BgL_cz00_3743); 
BgL_arg1813z00_3744 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5613); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3745;
BgL_xz00_3745 = 
(int8_t)(BgL_arg1813z00_3744); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2211z00_3746;
BgL_arg2211z00_3746 = 
(long)(BgL_xz00_3745); 
BgL_res2273z00_3748 = 
(int)(
(long)(BgL_arg2211z00_3746)); } } } } 
BgL_q1z00_2365 = BgL_res2273z00_3748; } } } 
{ /* Unsafe/base64.scm 275 */
 long BgL_v0z00_2366;
BgL_v0z00_2366 = 
(
(
(long)(BgL_q0z00_2291) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2365) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 276 */

{ /* Unsafe/base64.scm 277 */
 unsigned char BgL_tmpz00_5627;
BgL_tmpz00_5627 = 
(BgL_v0z00_2366); 
STRING_SET(BgL_resz00_2284, BgL_yz00_2287, BgL_tmpz00_5627); } 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_yz00_2287);} } }  else 
{ /* Unsafe/base64.scm 280 */
 long BgL_tmpz00_5631;
BgL_tmpz00_5631 = 
(BgL_yz00_2287+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5631);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 282 */
 bool_t BgL_test2494z00_5634;
if(
(BgL_lenz00_2282>((long)2)))
{ /* Unsafe/base64.scm 282 */
BgL_test2494z00_5634 = 
(
STRING_REF(BgL_sz00_16, 
(BgL_lenz00_2282-((long)2)))==((unsigned char)'='))
; }  else 
{ /* Unsafe/base64.scm 282 */
BgL_test2494z00_5634 = ((bool_t)0)
; } 
if(BgL_test2494z00_5634)
{ /* Unsafe/base64.scm 283 */
 long BgL_tmpz00_5640;
BgL_tmpz00_5640 = 
(BgL_yz00_2287-((long)2)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5640);}  else 
{ /* Unsafe/base64.scm 284 */
 bool_t BgL_test2496z00_5643;
if(
(BgL_lenz00_2282>((long)1)))
{ /* Unsafe/base64.scm 284 */
BgL_test2496z00_5643 = 
(
STRING_REF(BgL_sz00_16, 
(BgL_lenz00_2282-((long)1)))==((unsigned char)'='))
; }  else 
{ /* Unsafe/base64.scm 284 */
BgL_test2496z00_5643 = ((bool_t)0)
; } 
if(BgL_test2496z00_5643)
{ /* Unsafe/base64.scm 285 */
 long BgL_tmpz00_5649;
BgL_tmpz00_5649 = 
(BgL_yz00_2287-((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5649);}  else 
{ /* Unsafe/base64.scm 284 */
if(
(BgL_yz00_2287<BgL_nlenz00_2283))
{ /* Unsafe/base64.scm 287 */
return 
bgl_string_shrink(BgL_resz00_2284, BgL_yz00_2287);}  else 
{ /* Unsafe/base64.scm 287 */
return BgL_resz00_2284;} } } } } } } } } } 

}



/* _base64-decode-port */
obj_t BGl__base64zd2decodezd2portz00zz__base64z00(obj_t BgL_env1159z00_24, obj_t BgL_opt1158z00_23)
{
{ /* Unsafe/base64.scm 380 */
{ /* Unsafe/base64.scm 380 */
 obj_t BgL_g1160z00_2404; obj_t BgL_g1161z00_2405;
BgL_g1160z00_2404 = 
VECTOR_REF(BgL_opt1158z00_23,((long)0)); 
BgL_g1161z00_2405 = 
VECTOR_REF(BgL_opt1158z00_23,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_opt1158z00_23)) { case ((long)2) : 

{ /* Unsafe/base64.scm 380 */

{ /* Unsafe/base64.scm 380 */
 obj_t BgL_auxz00_5664; obj_t BgL_auxz00_5657;
if(
OUTPUT_PORTP(BgL_g1161z00_2405))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_5664 = BgL_g1161z00_2405
; }  else 
{ 
 obj_t BgL_auxz00_5667;
BgL_auxz00_5667 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)14330)), BGl_string2318z00zz__base64z00, BGl_string2316z00zz__base64z00, BgL_g1161z00_2405); 
FAILURE(BgL_auxz00_5667,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1160z00_2404))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_5657 = BgL_g1160z00_2404
; }  else 
{ 
 obj_t BgL_auxz00_5660;
BgL_auxz00_5660 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)14330)), BGl_string2318z00zz__base64z00, BGl_string2315z00zz__base64z00, BgL_g1160z00_2404); 
FAILURE(BgL_auxz00_5660,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2portz00zz__base64z00(BgL_auxz00_5657, BgL_auxz00_5664, BFALSE);} } break;case ((long)3) : 

{ /* Unsafe/base64.scm 380 */
 obj_t BgL_eofzd2nozd2paddingz00_2410;
BgL_eofzd2nozd2paddingz00_2410 = 
VECTOR_REF(BgL_opt1158z00_23,((long)2)); 
{ /* Unsafe/base64.scm 380 */

{ /* Unsafe/base64.scm 380 */
 obj_t BgL_auxz00_5680; obj_t BgL_auxz00_5673;
if(
OUTPUT_PORTP(BgL_g1161z00_2405))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_5680 = BgL_g1161z00_2405
; }  else 
{ 
 obj_t BgL_auxz00_5683;
BgL_auxz00_5683 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)14330)), BGl_string2318z00zz__base64z00, BGl_string2316z00zz__base64z00, BgL_g1161z00_2405); 
FAILURE(BgL_auxz00_5683,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1160z00_2404))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_5673 = BgL_g1160z00_2404
; }  else 
{ 
 obj_t BgL_auxz00_5676;
BgL_auxz00_5676 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)14330)), BGl_string2318z00zz__base64z00, BGl_string2315z00zz__base64z00, BgL_g1160z00_2404); 
FAILURE(BgL_auxz00_5676,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2portz00zz__base64z00(BgL_auxz00_5673, BgL_auxz00_5680, BgL_eofzd2nozd2paddingz00_2410);} } } break;
default: 
return BUNSPEC;} } } 

}



/* base64-decode-port */
BGL_EXPORTED_DEF obj_t BGl_base64zd2decodezd2portz00zz__base64z00(obj_t BgL_ipz00_20, obj_t BgL_opz00_21, obj_t BgL_eofzd2nozd2paddingz00_22)
{
{ /* Unsafe/base64.scm 380 */
{ /* Unsafe/base64.scm 381 */
 obj_t BgL_arg1914z00_2411;
{ /* Ieee/string.scm 168 */

BgL_arg1914z00_2411 = 
make_string(((long)84), ((unsigned char)' ')); } 
return 
BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00(BGl_base64zd2decodezd2grammarz00zz__base64z00, BgL_ipz00_20, BgL_opz00_21, BgL_arg1914z00_2411, ((long)0), ((long)84), BGl_proc2319z00zz__base64z00, ((bool_t)1));} } 

}



/* &<@anonymous:1916> */
obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__base64z00(obj_t BgL_envz00_4076, obj_t BgL_cz00_4077)
{
{ /* Unsafe/base64.scm 382 */
return 
BBOOL(((bool_t)0));} 

}



/* pem-decode-port */
BGL_EXPORTED_DEF obj_t BGl_pemzd2decodezd2portz00zz__base64z00(obj_t BgL_ipz00_25, obj_t BgL_opz00_26)
{
{ /* Unsafe/base64.scm 413 */
{ /* Unsafe/base64.scm 431 */
 obj_t BgL_startz00_2419;
BgL_startz00_2419 = 
BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(BGl_pemzd2markupzd2grammarz00zz__base64z00, BgL_ipz00_25, ((long)0)); 
if(
bigloo_strcmp_at(BgL_startz00_2419, BGl_string2320z00zz__base64z00, ((long)0)))
{ /* Unsafe/base64.scm 433 */
 obj_t BgL_arg1918z00_2421;
{ /* Ieee/string.scm 168 */

BgL_arg1918z00_2421 = 
make_string(((long)84), ((unsigned char)' ')); } 
{ /* Unsafe/base64.scm 435 */
 obj_t BgL_zc3z04anonymousza31920ze3z87_4078;
{ 
 int BgL_tmpz00_5710;
BgL_tmpz00_5710 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza31920ze3z87_4078 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza31920ze3ze5zz__base64z00, BgL_tmpz00_5710); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza31920ze3z87_4078, 
(int)(((long)0)), BgL_ipz00_25); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza31920ze3z87_4078, 
(int)(((long)1)), BgL_startz00_2419); 
return 
BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00(BGl_base64zd2decodezd2grammarz00zz__base64z00, BgL_ipz00_25, BgL_opz00_26, BgL_arg1918z00_2421, ((long)0), ((long)84), BgL_zc3z04anonymousza31920ze3z87_4078, ((bool_t)0));} }  else 
{ /* Unsafe/base64.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1923z00_2430;
{ /* Unsafe/base64.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1085z00_2431;
{ /* Unsafe/base64.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1084z00_2434;
BgL_new1084z00_2434 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 438 */
 long BgL_arg1926z00_2435;
BgL_arg1926z00_2435 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_2434), BgL_arg1926z00_2435); } 
BgL_new1085z00_2431 = BgL_new1084z00_2434; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_2431)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_2431)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5735;
{ /* Unsafe/base64.scm 438 */
 obj_t BgL_arg1924z00_2432;
{ /* Unsafe/base64.scm 438 */
 obj_t BgL_arg1925z00_2433;
{ /* Unsafe/base64.scm 438 */
 obj_t BgL_classz00_3818;
BgL_classz00_3818 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1925z00_2433 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3818); } 
BgL_arg1924z00_2432 = 
VECTOR_REF(BgL_arg1925z00_2433,((long)2)); } 
BgL_auxz00_5735 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1924z00_2432); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_2431)))->BgL_stackz00)=((obj_t)BgL_auxz00_5735),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_2431)))->BgL_procz00)=((obj_t)BGl_string2306z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_2431)))->BgL_msgz00)=((obj_t)BGl_string2321z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_2431)))->BgL_objz00)=((obj_t)BgL_startz00_2419),BUNSPEC); 
BgL_arg1923z00_2430 = BgL_new1085z00_2431; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1923z00_2430));} } } 

}



/* &pem-decode-port */
obj_t BGl_z62pemzd2decodezd2portz62zz__base64z00(obj_t BgL_envz00_4079, obj_t BgL_ipz00_4080, obj_t BgL_opz00_4081)
{
{ /* Unsafe/base64.scm 413 */
{ /* Unsafe/base64.scm 416 */
 obj_t BgL_auxz00_5756; obj_t BgL_auxz00_5749;
if(
OUTPUT_PORTP(BgL_opz00_4081))
{ /* Unsafe/base64.scm 416 */
BgL_auxz00_5756 = BgL_opz00_4081
; }  else 
{ 
 obj_t BgL_auxz00_5759;
BgL_auxz00_5759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)15725)), BGl_string2322z00zz__base64z00, BGl_string2316z00zz__base64z00, BgL_opz00_4081); 
FAILURE(BgL_auxz00_5759,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_ipz00_4080))
{ /* Unsafe/base64.scm 416 */
BgL_auxz00_5749 = BgL_ipz00_4080
; }  else 
{ 
 obj_t BgL_auxz00_5752;
BgL_auxz00_5752 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)15725)), BGl_string2322z00zz__base64z00, BGl_string2315z00zz__base64z00, BgL_ipz00_4080); 
FAILURE(BgL_auxz00_5752,BFALSE,BFALSE);} 
return 
BGl_pemzd2decodezd2portz00zz__base64z00(BgL_auxz00_5749, BgL_auxz00_5756);} } 

}



/* &<@anonymous:1920> */
obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__base64z00(obj_t BgL_envz00_4082, obj_t BgL_cz00_4085)
{
{ /* Unsafe/base64.scm 434 */
{ /* Unsafe/base64.scm 435 */
 obj_t BgL_ipz00_4083; obj_t BgL_startz00_4084;
BgL_ipz00_4083 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_4082, 
(int)(((long)0)))); 
BgL_startz00_4084 = 
PROCEDURE_L_REF(BgL_envz00_4082, 
(int)(((long)1))); 
{ 
 obj_t BgL_startz00_4327; obj_t BgL_cz00_4328;
{ /* Unsafe/base64.scm 435 */
 obj_t BgL_arg1921z00_4351;
{ /* Unsafe/base64.scm 435 */
 long BgL_arg1922z00_4352;
BgL_arg1922z00_4352 = 
STRING_LENGTH(
((obj_t)BgL_startz00_4084)); 
BgL_arg1921z00_4351 = 
c_substring(
((obj_t)BgL_startz00_4084), ((long)7), BgL_arg1922z00_4352); } 
BgL_startz00_4327 = BgL_arg1921z00_4351; 
BgL_cz00_4328 = BgL_cz00_4085; 
if(
(
CCHAR(BgL_cz00_4328)==((unsigned char)'-')))
{ /* Unsafe/base64.scm 421 */
 obj_t BgL_endz00_4329;
BgL_endz00_4329 = 
BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(BGl_pemzd2markupzd2grammarz00zz__base64z00, BgL_ipz00_4083, ((long)1)); 
if(
bigloo_strcmp_at(BgL_endz00_4329, BGl_string2323z00zz__base64z00, ((long)0)))
{ /* Unsafe/base64.scm 423 */
 bool_t BgL_test2508z00_5783;
{ /* Unsafe/base64.scm 423 */
 obj_t BgL_arg1937z00_4330;
{ /* Unsafe/base64.scm 423 */
 long BgL_arg1938z00_4331;
BgL_arg1938z00_4331 = 
STRING_LENGTH(
((obj_t)BgL_endz00_4329)); 
BgL_arg1937z00_4330 = 
c_substring(
((obj_t)BgL_endz00_4329), ((long)5), BgL_arg1938z00_4331); } 
{ /* Unsafe/base64.scm 423 */
 long BgL_l1z00_4332;
BgL_l1z00_4332 = 
STRING_LENGTH(BgL_startz00_4327); 
if(
(BgL_l1z00_4332==
STRING_LENGTH(BgL_arg1937z00_4330)))
{ /* Unsafe/base64.scm 423 */
 int BgL_arg2012z00_4333;
{ /* Unsafe/base64.scm 423 */
 char * BgL_auxz00_5794; char * BgL_tmpz00_5792;
BgL_auxz00_5794 = 
BSTRING_TO_STRING(BgL_arg1937z00_4330); 
BgL_tmpz00_5792 = 
BSTRING_TO_STRING(BgL_startz00_4327); 
BgL_arg2012z00_4333 = 
memcmp(BgL_tmpz00_5792, BgL_auxz00_5794, BgL_l1z00_4332); } 
BgL_test2508z00_5783 = 
(
(long)(BgL_arg2012z00_4333)==((long)0)); }  else 
{ /* Unsafe/base64.scm 423 */
BgL_test2508z00_5783 = ((bool_t)0)
; } } } 
if(BgL_test2508z00_5783)
{ /* Unsafe/base64.scm 423 */
return BTRUE;}  else 
{ /* Unsafe/base64.scm 426 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1933z00_4334;
{ /* Unsafe/base64.scm 426 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1083z00_4335;
{ /* Unsafe/base64.scm 426 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1082z00_4336;
BgL_new1082z00_4336 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 426 */
 long BgL_arg1936z00_4337;
BgL_arg1936z00_4337 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4336), BgL_arg1936z00_4337); } 
BgL_new1083z00_4335 = BgL_new1082z00_4336; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_4335)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_4335)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5807;
{ /* Unsafe/base64.scm 426 */
 obj_t BgL_arg1934z00_4338;
{ /* Unsafe/base64.scm 426 */
 obj_t BgL_arg1935z00_4339;
{ /* Unsafe/base64.scm 426 */
 obj_t BgL_classz00_4340;
BgL_classz00_4340 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1935z00_4339 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_4340); } 
BgL_arg1934z00_4338 = 
VECTOR_REF(BgL_arg1935z00_4339,((long)2)); } 
BgL_auxz00_5807 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1934z00_4338); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_4335)))->BgL_stackz00)=((obj_t)BgL_auxz00_5807),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_4335)))->BgL_procz00)=((obj_t)BGl_string2306z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_4335)))->BgL_msgz00)=((obj_t)BGl_string2324z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_4335)))->BgL_objz00)=((obj_t)BgL_endz00_4329),BUNSPEC); 
BgL_arg1933z00_4334 = BgL_new1083z00_4335; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1933z00_4334));} }  else 
{ /* Unsafe/base64.scm 422 */
return BFALSE;} }  else 
{ /* Unsafe/base64.scm 417 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1939z00_4341;
{ /* Unsafe/base64.scm 417 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1081z00_4342;
{ /* Unsafe/base64.scm 417 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1080z00_4343;
BgL_new1080z00_4343 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 417 */
 long BgL_arg1945z00_4344;
BgL_arg1945z00_4344 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_4343), BgL_arg1945z00_4344); } 
BgL_new1081z00_4342 = BgL_new1080z00_4343; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_4342)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_4342)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5829;
{ /* Unsafe/base64.scm 417 */
 obj_t BgL_arg1940z00_4345;
{ /* Unsafe/base64.scm 417 */
 obj_t BgL_arg1941z00_4346;
{ /* Unsafe/base64.scm 417 */
 obj_t BgL_classz00_4347;
BgL_classz00_4347 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1941z00_4346 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_4347); } 
BgL_arg1940z00_4345 = 
VECTOR_REF(BgL_arg1941z00_4346,((long)2)); } 
BgL_auxz00_5829 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1940z00_4345); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_4342)))->BgL_stackz00)=((obj_t)BgL_auxz00_5829),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_4342)))->BgL_procz00)=((obj_t)BGl_string2306z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_4342)))->BgL_msgz00)=((obj_t)BGl_string2325z00zz__base64z00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5839;
{ /* Unsafe/base64.scm 420 */
 obj_t BgL_arg1942z00_4348;
BgL_arg1942z00_4348 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_4083); 
{ /* Unsafe/base64.scm 420 */
 obj_t BgL_list1943z00_4349;
{ /* Unsafe/base64.scm 420 */
 obj_t BgL_arg1944z00_4350;
BgL_arg1944z00_4350 = 
MAKE_YOUNG_PAIR(BgL_arg1942z00_4348, BNIL); 
BgL_list1943z00_4349 = 
MAKE_YOUNG_PAIR(BgL_cz00_4328, BgL_arg1944z00_4350); } 
BgL_auxz00_5839 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2308z00zz__base64z00, BgL_list1943z00_4349); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_4342)))->BgL_objz00)=((obj_t)BgL_auxz00_5839),BUNSPEC); } 
BgL_arg1939z00_4341 = BgL_new1081z00_4342; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1939z00_4341));} } } } } 

}



/* pem-read-file */
BGL_EXPORTED_DEF obj_t BGl_pemzd2readzd2filez00zz__base64z00(obj_t BgL_filez00_27)
{
{ /* Unsafe/base64.scm 446 */
{ /* Unsafe/base64.scm 447 */
 obj_t BgL_pz00_2463;
{ /* Unsafe/base64.scm 447 */

{ /* Ieee/port.scm 453 */

BgL_pz00_2463 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Unsafe/base64.scm 450 */
 obj_t BgL_zc3z04anonymousza31947ze3z87_4086;
BgL_zc3z04anonymousza31947ze3z87_4086 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31947ze3ze5zz__base64z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31947ze3z87_4086, 
(int)(((long)0)), BgL_pz00_2463); 
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_27, BgL_zc3z04anonymousza31947ze3z87_4086); } 
return 
bgl_close_output_port(BgL_pz00_2463);} } 

}



/* &pem-read-file */
obj_t BGl_z62pemzd2readzd2filez62zz__base64z00(obj_t BgL_envz00_4087, obj_t BgL_filez00_4088)
{
{ /* Unsafe/base64.scm 446 */
{ /* Unsafe/base64.scm 447 */
 obj_t BgL_auxz00_5856;
if(
STRINGP(BgL_filez00_4088))
{ /* Unsafe/base64.scm 447 */
BgL_auxz00_5856 = BgL_filez00_4088
; }  else 
{ 
 obj_t BgL_auxz00_5859;
BgL_auxz00_5859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2311z00zz__base64z00, 
BINT(((long)16871)), BGl_string2326z00zz__base64z00, BGl_string2313z00zz__base64z00, BgL_filez00_4088); 
FAILURE(BgL_auxz00_5859,BFALSE,BFALSE);} 
return 
BGl_pemzd2readzd2filez00zz__base64z00(BgL_auxz00_5856);} } 

}



/* &<@anonymous:1947> */
obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__base64z00(obj_t BgL_envz00_4089)
{
{ /* Unsafe/base64.scm 449 */
{ /* Unsafe/base64.scm 450 */
 obj_t BgL_pz00_4090;
BgL_pz00_4090 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_4089, 
(int)(((long)0)))); 
{ /* Unsafe/base64.scm 450 */
 obj_t BgL_arg1948z00_4353;
{ /* Unsafe/base64.scm 450 */
 obj_t BgL_tmpz00_5867;
BgL_tmpz00_5867 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1948z00_4353 = 
BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_5867); } 
return 
BGl_pemzd2decodezd2portz00zz__base64z00(BgL_arg1948z00_4353, BgL_pz00_4090);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2327z00zz__base64z00));} 

}

#ifdef __cplusplus
}
#endif
