/*===========================================================================*/
/*   (Unsafe/sha2.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/sha2.scm -o objs/obj_p/Unsafe/sha2.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
static obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
static uint32_t BGl_rotr32z00zz__sha2z00(uint32_t, int);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t);
static obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sha2z00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31952ze3ze5zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumz00zz__sha2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__sha2z00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t);
extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
static uint64_t BGl_rotr64z00zz__sha2z00(uint64_t, int);
static obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
static long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
static uint64_t BGl_compressze70ze7zz__sha2z00(uint64_t, uint64_t, uint64_t, uint64_t, uint64_t, long);
static uint32_t BGl_compressze71ze7zz__sha2z00(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, long);
static long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static uint32_t BGl_addu32z00zz__sha2z00(uint32_t, uint32_t);
static obj_t BGl_toplevelzd2initzd2zz__sha2z00();
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t, obj_t, obj_t);
static long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t, obj_t);
static long BGl_u32mmapzd2refze70z35zz__sha2z00(obj_t, obj_t, long);
static long BGl_u32mmapzd2refze71z35zz__sha2z00(obj_t, long);
static obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t, obj_t, obj_t);
static long BGl_u32stringzd2refze70z35zz__sha2z00(obj_t, long);
static long BGl_u32stringzd2refze71z35zz__sha2z00(obj_t, long);
static obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__sha2z00(obj_t);
static uint64_t BGl_xfzd2refze70z35zz__sha2z00(obj_t, long);
static uint32_t BGl_xfzd2refze71z35zz__sha2z00(obj_t, long);
static obj_t BGl_genericzd2initzd2zz__sha2z00();
static obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00();
static obj_t BGl_gczd2rootszd2initz00zz__sha2z00();
static obj_t BGl_z62zc3z04anonymousza31626ze3ze5zz__sha2z00(obj_t);
static obj_t BGl_objectzd2initzd2zz__sha2z00();
static uint64_t BGl_get64zd2azd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2bzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2czd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2dzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2ezd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2fzd2zz__sha2z00(obj_t);
extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static uint64_t BGl_get64zd2gzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2hzd2zz__sha2z00(obj_t);
static obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
static uint64_t BGl_Majze70ze7zz__sha2z00(uint64_t, uint64_t, uint64_t);
static uint32_t BGl_Majze71ze7zz__sha2z00(uint32_t, uint32_t, uint32_t);
static uint32_t BGl_Sigma0zd2256zd2zz__sha2z00(uint32_t);
extern obj_t BGl_makezd2u64vectorzd2zz__srfi4z00(long, uint64_t);
static uint32_t BGl_sigma0zd2256zd2zz__sha2z00(uint32_t);
static uint64_t BGl_Sigma0zd2512zd2zz__sha2z00(uint64_t);
static obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t);
static obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__sha2z00();
static uint64_t BGl_sigma0zd2512zd2zz__sha2z00(uint64_t);
extern obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__sha2z00();
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t);
static obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t);
static obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t, obj_t);
static uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t);
static long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t, long, uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t);
static obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
extern obj_t make_string(long, unsigned char);
static obj_t BGl_K256z00zz__sha2z00 = BUNSPEC;
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
static uint32_t BGl_sigma1zd2256zd2zz__sha2z00(uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t);
static long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t, long, uint64_t);
extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
static uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t);
static obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t, obj_t);
static obj_t BGl_K512z00zz__sha2z00 = BUNSPEC;
static obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
static long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static uint64_t BGl_sigma1zd2512zd2zz__sha2z00(uint64_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static uint32_t BGl_getzd2azd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumz00zz__sha2z00(obj_t);
static uint32_t BGl_getzd2bzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2czd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2dzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2ezd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2fzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2gzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2hzd2zz__sha2z00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2stringzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2s2329z00, BGl_z62sha512sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2portzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2p2330z00, BGl_z62sha256sumzd2portzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2filezd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2f2331z00, BGl_z62sha512sumzd2filezb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2309z00zz__sha2z00, BgL_bgl_string2309za700za7za7_2332za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Unsafe/sha2.scm", 59 );
DEFINE_STRING( BGl_string2310z00zz__sha2z00, BgL_bgl_string2310za700za7za7_2333za7, "&sha256sum-mmap", 15 );
DEFINE_STRING( BGl_string2311z00zz__sha2z00, BgL_bgl_string2311za700za7za7_2334za7, "mmap", 4 );
DEFINE_STRING( BGl_string2313z00zz__sha2z00, BgL_bgl_string2313za700za7za7_2335za7, "&sha256sum-string", 17 );
DEFINE_STRING( BGl_string2314z00zz__sha2z00, BgL_bgl_string2314za700za7za7_2336za7, "bstring", 7 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2308z00zz__sha2z00, BgL_bgl_za762fillza7d2word322337z00, BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00 );
DEFINE_STRING( BGl_string2315z00zz__sha2z00, BgL_bgl_string2315za700za7za7_2338za7, "&sha256sum-port", 15 );
DEFINE_STRING( BGl_string2316z00zz__sha2z00, BgL_bgl_string2316za700za7za7_2339za7, "input-port", 10 );
DEFINE_STRING( BGl_string2317z00zz__sha2z00, BgL_bgl_string2317za700za7za7_2340za7, "&sha256sum-file", 15 );
DEFINE_STRING( BGl_string2318z00zz__sha2z00, BgL_bgl_string2318za700za7za7_2341za7, "sha256sum", 9 );
DEFINE_STRING( BGl_string2319z00zz__sha2z00, BgL_bgl_string2319za700za7za7_2342za7, "Illegal argument", 16 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2312z00zz__sha2z00, BgL_bgl_za762fillza7d2word322343z00, BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00 );
DEFINE_STRING( BGl_string2320z00zz__sha2z00, BgL_bgl_string2320za700za7za7_2344za7, "&sha512sum-mmap", 15 );
DEFINE_STRING( BGl_string2322z00zz__sha2z00, BgL_bgl_string2322za700za7za7_2345za7, "&sha512sum-string", 17 );
DEFINE_STRING( BGl_string2323z00zz__sha2z00, BgL_bgl_string2323za700za7za7_2346za7, "&sha512sum-port", 15 );
DEFINE_STRING( BGl_string2324z00zz__sha2z00, BgL_bgl_string2324za700za7za7_2347za7, "&sha512sum-file", 15 );
DEFINE_STRING( BGl_string2325z00zz__sha2z00, BgL_bgl_string2325za700za7za7_2348za7, "sha512sum", 9 );
DEFINE_STRING( BGl_string2326z00zz__sha2z00, BgL_bgl_string2326za700za7za7_2349za7, "&hmac-sha256sum-string", 22 );
DEFINE_STRING( BGl_string2327z00zz__sha2z00, BgL_bgl_string2327za700za7za7_2350za7, "&hmac-sha512sum-string", 22 );
DEFINE_STRING( BGl_string2328z00zz__sha2z00, BgL_bgl_string2328za700za7za7_2351za7, "__sha2", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2stringzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2s2352z00, BGl_z62sha256sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2321z00zz__sha2z00, BgL_bgl_za762fillza7d2word642353z00, BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2envzd2zz__sha2z00, BgL_bgl_za762sha512sumza762za72354za7, BGl_z62sha512sumz62zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2envzd2zz__sha2z00, BgL_bgl_za762sha256sumza762za72355za7, BGl_z62sha256sumz62zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2portzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2p2356z00, BGl_z62sha512sumzd2portzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2mmapzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2m2357z00, BGl_z62sha256sumzd2mmapzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha512sumzd2stringzd2envzd2zz__sha2z00, BgL_bgl_za762hmacza7d2sha5122358z00, BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2filezd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2f2359z00, BGl_z62sha256sumzd2filezb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha256sumzd2stringzd2envzd2zz__sha2z00, BgL_bgl_za762hmacza7d2sha2562360z00, BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2mmapzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2m2361z00, BGl_z62sha512sumzd2mmapzb0zz__sha2z00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sha2z00) );
ADD_ROOT( (void *)(&BGl_K256z00zz__sha2z00) );
ADD_ROOT( (void *)(&BGl_K512z00zz__sha2z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/sha2.scm\" 2790) \"BGl_toplevelzd2initzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"addu32\" \"Unsafe/sha2.scm\" 7572) \"BGl_addu32z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotr32\" \"Unsafe/sha2.scm\" 8933) \"BGl_rotr32z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotr64\" \"Unsafe/sha2.scm\" 9258) \"BGl_rotr64z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32-fill!\" \"Unsafe/sha2.scm\" 9583) \"BGl_u32zd2fillz12zc0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u64-fill!\" \"Unsafe/sha2.scm\" 10134) \"BGl_u64zd2fillz12zc0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"state->string\" \"Unsafe/sha2.scm\" 10978) \"BGl_statezd2ze3stringz31zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"state64->string\" \"Unsafe/sha2.scm\" 11661) \"BGl_state64zd2ze3stringz31zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-initial-hash-value\" \"Unsafe/sha2.scm\" 17253) \"BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-initial-hash-value\" \"Unsafe/sha2.scm\" 17931) \"BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma0-256\" \"Unsafe/sha2.scm\" 23952) \"BGl_Sigma0zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma0-256\" \"Unsafe/sha2.scm\" 24270) \"BGl_sigma0zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma1-256\" \"Unsafe/sha2.scm\" 24592) \"BGl_Sigma1zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma1-256\" \"Unsafe/sha2.scm\" 24910) \"BGl_sigma1zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma0-512\" \"Unsafe/sha2.scm\" 25234) \"BGl_Sigma0zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma1-512\" \"Unsafe/sha2.scm\" 25555) \"BGl_Sigma1zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma0-512\" \"Unsafe/sha2.scm\" 25876) \"BGl_sigma0zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma1-512\" \"Unsafe/sha2.scm\" 26199) \"BGl_sigma1zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-a\" \"Unsafe/sha2.scm\" 26524) \"BGl_getzd2azd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-b\" \"Unsafe/sha2.scm\" 26573) \"BGl_getzd2bzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-c\" \"Unsafe/sha2.scm\" 26622) \"BGl_getzd2czd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-d\" \"Unsafe/sha2.scm\" 26671) \"BGl_getzd2dzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-e\" \"Unsafe/sha2.scm\" 26720) \"BGl_getzd2ezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-f\" \"Unsafe/sha2.scm\" 26769) \"BGl_getzd2fzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-g\" \"Unsafe/sha2.scm\" 26818) \"BGl_getzd2gzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-h\" \"Unsafe/sha2.scm\" 26867) \"BGl_getzd2hzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-internal-transform\" \"Unsafe/sha2.scm\" 27139) \"BGl_sha256zd2internalzd2transformz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"xf-ref~1\" \"Unsafe/sha2.scm\" 27661) \"BGl_xfzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"compress~1\" \"Unsafe/sha2.scm\" 27567) \"BGl_compressze71ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Maj~1\" \"Unsafe/sha2.scm\" 27335) \"BGl_Majze71ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-update\" \"Unsafe/sha2.scm\" 29588) \"BGl_sha256zd2updatezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-mmap\" \"Unsafe/sha2.scm\" 31097) \"BGl_sha256sumzd2mmapzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-mmap\" \"Unsafe/sha2.scm\" 31097) \"BGl_z62sha256sumzd2mmapzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-mmap!\" \"Unsafe/sha2.scm\" 32215) \"BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref~1\" \"Unsafe/sha2.scm\" 31216) \"BGl_u32mmapzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-string\" \"Unsafe/sha2.scm\" 32608) \"BGl_sha256sumzd2stringzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-string\" \"Unsafe/sha2.scm\" 32608) \"BGl_z62sha256sumzd2stringzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-string!\" \"Unsafe/sha2.scm\" 33743) \"BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref~1\" \"Unsafe/sha2.scm\" 32723) \"BGl_u32stringzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-port\" \"Unsafe/sha2.scm\" 34139) \"BGl_sha256sumzd2portzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-port\" \"Unsafe/sha2.scm\" 34139) \"BGl_z62sha256sumzd2portzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-port!\" \"Unsafe/sha2.scm\" 35599) \"BGl_z62fillzd2word32zd2portz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-file\" \"Unsafe/sha2.scm\" 35991) \"BGl_sha256sumzd2filezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-file\" \"Unsafe/sha2.scm\" 35991) \"BGl_z62sha256sumzd2filezb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1625>\" \"Unsafe/sha2.scm\" 36089) \"BGl_z62zc3z04anonymousza31625ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1626>\" \"Unsafe/sha2.scm\" 36198) \"BGl_z62zc3z04anonymousza31626ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum\" \"Unsafe/sha2.scm\" 36486) \"BGl_sha256sumz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum\" \"Unsafe/sha2.scm\" 36486) \"BGl_z62sha256sumz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-a\" \"Unsafe/sha2.scm\" 36961) \"BGl_get64zd2azd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-b\" \"Unsafe/sha2.scm\" 37012) \"BGl_get64zd2bzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-c\" \"Unsafe/sha2.scm\" 37063) \"BGl_get64zd2czd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-d\" \"Unsafe/sha2.scm\" 37114) \"BGl_get64zd2dzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-e\" \"Unsafe/sha2.scm\" 37165) \"BGl_get64zd2ezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-f\" \"Unsafe/sha2.scm\" 37216) \"BGl_get64zd2fzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-g\" \"Unsafe/sha2.scm\" 37267) \"BGl_get64zd2gzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-h\" \"Unsafe/sha2.scm\" 37318) \"BGl_get64zd2hzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-internal-transform\" \"Unsafe/sha2.scm\" 37592) \"BGl_sha512zd2internalzd2transformz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"xf-ref~0\" \"Unsafe/sha2.scm\" 38116) \"BGl_xfzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"compress~0\" \"Unsafe/sha2.scm\" 38022) \"BGl_compressze70ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Maj~0\" \"Unsafe/sha2.scm\" 37790) \"BGl_Majze70ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-update\" \"Unsafe/sha2.scm\" 40075) \"BGl_sha512zd2updatezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-mmap\" \"Unsafe/sha2.scm\" 41588) \"BGl_sha512sumzd2mmapzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-mmap\" \"Unsafe/sha2.scm\" 41588) \"BGl_z62sha512sumzd2mmapzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-mmap!\" \"Unsafe/sha2.scm\" 43103) \"BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref~0\" \"Unsafe/sha2.scm\" 41700) \"BGl_u32mmapzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-string\" \"Unsafe/sha2.scm\" 43498) \"BGl_sha512sumzd2stringzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-string\" \"Unsafe/sha2.scm\" 43498) \"BGl_z62sha512sumzd2stringzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-string!\" \"Unsafe/sha2.scm\" 45047) \"BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref~0\" \"Unsafe/sha2.scm\" 43613) \"BGl_u32stringzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-port\" \"Unsafe/sha2.scm\" 45445) \"BGl_sha512sumzd2portzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-port\" \"Unsafe/sha2.scm\" 45445) \"BGl_z62sha512sumzd2portzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-port!\" \"Unsafe/sha2.scm\" 47281) \"BGl_z62fillzd2word64zd2portz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-file\" \"Unsafe/sha2.scm\" 47675) \"BGl_sha512sumzd2filezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-file\" \"Unsafe/sha2.scm\" 47675) \"BGl_z62sha512sumzd2filezb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1952>\" \"Unsafe/sha2.scm\" 47773) \"BGl_z62zc3z04anonymousza31952ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1953>\" \"Unsafe/sha2.scm\" 47882) \"BGl_z62zc3z04anonymousza31953ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum\" \"Unsafe/sha2.scm\" 48170) \"BGl_sha512sumz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum\" \"Unsafe/sha2.scm\" 48170) \"BGl_z62sha512sumz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha256sum-string\" \"Unsafe/sha2.scm\" 48645) \"BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha256sum-string\" \"Unsafe/sha2.scm\" 48645) \"BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha512sum-string\" \"Unsafe/sha2.scm\" 48951) \"BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha512sum-string\" \"Unsafe/sha2.scm\" 48951) \"BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long BgL_checksumz00_4354, char * BgL_fromz00_4355)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sha2z00))
{ 
BGl_requirezd2initializa7ationz75zz__sha2z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__sha2z00(); 
BGl_importedzd2moduleszd2initz00zz__sha2z00(); 
BGl_toplevelzd2initzd2zz__sha2z00(); 
return 
BGl_profzd2initzd2zz__sha2z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sha2z00()
{
{ /* Unsafe/sha2.scm 50 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__sha2z00()
{
{ /* Unsafe/sha2.scm 50 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sha2z00()
{
{ /* Unsafe/sha2.scm 50 */
{ /* Unsafe/sha2.scm 339 */
 obj_t BgL_vz00_1350;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1350 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)64), (uint32_t)(0)); } 
BGL_U32VSET(BgL_vz00_1350, ((long)0), (uint32_t)(1116352408)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)1), (uint32_t)(1899447441)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)2), (uint32_t)(3049323471)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)3), (uint32_t)(3921009573)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)4), (uint32_t)(961987163)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)5), (uint32_t)(1508970993)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)6), (uint32_t)(2453635748)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)7), (uint32_t)(2870763221)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)8), (uint32_t)(3624381080)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)9), (uint32_t)(310598401)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)10), (uint32_t)(607225278)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)11), (uint32_t)(1426881987)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)12), (uint32_t)(1925078388)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)13), (uint32_t)(2162078206)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)14), (uint32_t)(2614888103)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)15), (uint32_t)(3248222580)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)16), (uint32_t)(3835390401)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)17), (uint32_t)(4022224774)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)18), (uint32_t)(264347078)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)19), (uint32_t)(604807628)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)20), (uint32_t)(770255983)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)21), (uint32_t)(1249150122)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)22), (uint32_t)(1555081692)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)23), (uint32_t)(1996064986)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)24), (uint32_t)(2554220882)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)25), (uint32_t)(2821834349)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)26), (uint32_t)(2952996808)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)27), (uint32_t)(3210313671)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)28), (uint32_t)(3336571891)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)29), (uint32_t)(3584528711)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)30), (uint32_t)(113926993)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)31), (uint32_t)(338241895)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)32), (uint32_t)(666307205)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)33), (uint32_t)(773529912)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)34), (uint32_t)(1294757372)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)35), (uint32_t)(1396182291)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)36), (uint32_t)(1695183700)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)37), (uint32_t)(1986661051)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)38), (uint32_t)(2177026350)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)39), (uint32_t)(2456956037)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)40), (uint32_t)(2730485921)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)41), (uint32_t)(2820302411)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)42), (uint32_t)(3259730800)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)43), (uint32_t)(3345764771)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)44), (uint32_t)(3516065817)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)45), (uint32_t)(3600352804)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)46), (uint32_t)(4094571909)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)47), (uint32_t)(275423344)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)48), (uint32_t)(430227734)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)49), (uint32_t)(506948616)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)50), (uint32_t)(659060556)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)51), (uint32_t)(883997877)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)52), (uint32_t)(958139571)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)53), (uint32_t)(1322822218)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)54), (uint32_t)(1537002063)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)55), (uint32_t)(1747873779)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)56), (uint32_t)(1955562222)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)57), (uint32_t)(2024104815)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)58), (uint32_t)(2227730452)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)59), (uint32_t)(2361852424)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)60), (uint32_t)(2428436474)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)61), (uint32_t)(2756734187)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)62), (uint32_t)(3204031479)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1350, ((long)63), (uint32_t)(3329325298)); BUNSPEC; 
BGl_K256z00zz__sha2z00 = BgL_vz00_1350; } 
{ /* Unsafe/sha2.scm 440 */
 obj_t BgL_vz00_1353;
{ /* Llib/srfi4.scm 453 */

BgL_vz00_1353 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)80), (uint64_t)(0)); } 
BGL_U64VSET(BgL_vz00_1353, ((long)0), (uint64_t)(4794697086780616226)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)1), (uint64_t)(8158064640168781261)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)2), (uint64_t)(-5349999486874862801)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)3), (uint64_t)(-1606136188198331460)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)4), (uint64_t)(4131703408338449720)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)5), (uint64_t)(6480981068601479193)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)6), (uint64_t)(-7908458776815382629)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)7), (uint64_t)(-6116909921290321640)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)8), (uint64_t)(-2880145864133508542)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)9), (uint64_t)(1334009975649890238)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)10), (uint64_t)(2608012711638119052)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)11), (uint64_t)(6128411473006802146)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)12), (uint64_t)(8268148722764581231)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)13), (uint64_t)(-9160688886553864527)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)14), (uint64_t)(-7215885187991268811)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)15), (uint64_t)(-4495734319001033068)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)16), (uint64_t)(-1973867731355612462)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)17), (uint64_t)(-1171420211273849373)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)18), (uint64_t)(1135362057144423861)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)19), (uint64_t)(2597628984639134821)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)20), (uint64_t)(3308224258029322869)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)21), (uint64_t)(5365058923640841347)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)22), (uint64_t)(6679025012923562964)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)23), (uint64_t)(8573033837759648693)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)24), (uint64_t)(-7476448914759557205)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)25), (uint64_t)(-6327057829258317296)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)26), (uint64_t)(-5763719355590565569)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)27), (uint64_t)(-4658551843659510044)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)28), (uint64_t)(-4116276920077217854)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)29), (uint64_t)(-3051310485924567259)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)30), (uint64_t)(489312712824947311)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)31), (uint64_t)(1452737877330783856)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)32), (uint64_t)(2861767655752347644)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)33), (uint64_t)(3322285676063803686)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)34), (uint64_t)(5560940570517711597)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)35), (uint64_t)(5996557281743188959)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)36), (uint64_t)(7280758554555802590)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)37), (uint64_t)(8532644243296465576)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)38), (uint64_t)(-9096487096722542874)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)39), (uint64_t)(-7894198246740708037)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)40), (uint64_t)(-6719396339535248540)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)41), (uint64_t)(-6333637450476146687)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)42), (uint64_t)(-4446306890439682159)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)43), (uint64_t)(-4076793802049405392)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)44), (uint64_t)(-3345356375505022440)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)45), (uint64_t)(-2983346525034927856)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)46), (uint64_t)(-860691631967231958)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)47), (uint64_t)(1182934255886127544)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)48), (uint64_t)(1847814050463011016)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)49), (uint64_t)(2177327727835720531)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)50), (uint64_t)(2830643537854262169)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)51), (uint64_t)(3796741975233480872)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)52), (uint64_t)(4115178125766777443)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)53), (uint64_t)(5681478168544905931)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)54), (uint64_t)(6601373596472566643)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)55), (uint64_t)(7507060721942968483)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)56), (uint64_t)(8399075790359081724)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)57), (uint64_t)(8693463985226723168)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)58), (uint64_t)(-8878714635349349518)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)59), (uint64_t)(-8302665154208450068)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)60), (uint64_t)(-8016688836872298968)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)61), (uint64_t)(-6606660893046293015)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)62), (uint64_t)(-4685533653050689259)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)63), (uint64_t)(-4147400797238176981)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)64), (uint64_t)(-3880063495543823972)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)65), (uint64_t)(-3348786107499101689)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)66), (uint64_t)(-1523767162380948706)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)67), (uint64_t)(-757361751448694408)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)68), (uint64_t)(500013540394364858)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)69), (uint64_t)(748580250866718886)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)70), (uint64_t)(1242879168328830382)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)71), (uint64_t)(1977374033974150939)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)72), (uint64_t)(2944078676154940804)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)73), (uint64_t)(3659926193048069267)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)74), (uint64_t)(4368137639120453308)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)75), (uint64_t)(4836135668995329356)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)76), (uint64_t)(5532061633213252278)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)77), (uint64_t)(6448918945643986474)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)78), (uint64_t)(6902733635092675308)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1353, ((long)79), (uint64_t)(7801388544844847127)); BUNSPEC; 
return ( 
BGl_K512z00zz__sha2z00 = BgL_vz00_1353, BUNSPEC) ;} } 

}



/* addu32 */
uint32_t BGl_addu32z00zz__sha2z00(uint32_t BgL_n1z00_3, uint32_t BgL_n2z00_4)
{
{ /* Unsafe/sha2.scm 185 */
{ /* Unsafe/sha2.scm 186 */
 uint32_t BgL_h1z00_1364;
BgL_h1z00_1364 = 
(BgL_n1z00_3 >> 
(int)(((long)16))); 
{ /* Unsafe/sha2.scm 186 */
 uint32_t BgL_h2z00_1365;
BgL_h2z00_1365 = 
(BgL_n2z00_4 >> 
(int)(((long)16))); 
{ /* Unsafe/sha2.scm 187 */
 uint32_t BgL_hz00_1366;
{ /* Unsafe/sha2.scm 188 */
 uint32_t BgL_arg1251z00_1373; uint32_t BgL_arg1252z00_1374;
BgL_arg1251z00_1373 = 
(uint32_t)(((long)65535)); 
BgL_arg1252z00_1374 = 
(BgL_h1z00_1364+BgL_h2z00_1365); 
BgL_hz00_1366 = 
(BgL_arg1251z00_1373 & BgL_arg1252z00_1374); } 
{ /* Unsafe/sha2.scm 188 */
 uint32_t BgL_l1z00_1367;
{ /* Unsafe/sha2.scm 189 */
 uint32_t BgL_arg1250z00_1372;
BgL_arg1250z00_1372 = 
(uint32_t)(((long)65535)); 
BgL_l1z00_1367 = 
(BgL_n1z00_3 & BgL_arg1250z00_1372); } 
{ /* Unsafe/sha2.scm 189 */
 uint32_t BgL_l2z00_1368;
{ /* Unsafe/sha2.scm 190 */
 uint32_t BgL_arg1249z00_1371;
BgL_arg1249z00_1371 = 
(uint32_t)(((long)65535)); 
BgL_l2z00_1368 = 
(BgL_n2z00_4 & BgL_arg1249z00_1371); } 
{ /* Unsafe/sha2.scm 192 */

return 
(
(BgL_hz00_1366 << 
(int)(((long)16)))+
(BgL_l1z00_1367+BgL_l2z00_1368));} } } } } } } 

}



/* rotr32 */
uint32_t BGl_rotr32z00zz__sha2z00(uint32_t BgL_xz00_5, int BgL_nz00_6)
{
{ /* Unsafe/sha2.scm 224 */
return 
(
(BgL_xz00_5 >> 
(int)(
(long)(BgL_nz00_6))) | 
(BgL_xz00_5 << 
(int)(
(((long)32)-
(long)(BgL_nz00_6)))));} 

}



/* rotr64 */
uint64_t BGl_rotr64z00zz__sha2z00(uint64_t BgL_xz00_7, int BgL_nz00_8)
{
{ /* Unsafe/sha2.scm 230 */
return 
(
(BgL_xz00_7 >> 
(int)(
(long)(BgL_nz00_8))) | 
(BgL_xz00_7 << 
(int)(
(((long)64)-
(long)(BgL_nz00_8)))));} 

}



/* u32-fill! */
obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_9, long BgL_offsetz00_10, uint32_t BgL_wz00_11)
{
{ /* Unsafe/sha2.scm 236 */
{ /* Unsafe/sha2.scm 237 */
 obj_t BgL_s1z00_1381;
{ /* Unsafe/sha2.scm 237 */
 long BgL_arg1278z00_1393;
{ /* Unsafe/sha2.scm 237 */
 uint32_t BgL_tmpz00_4542;
BgL_tmpz00_4542 = 
(BgL_wz00_11 >> 
(int)(((long)16))); 
BgL_arg1278z00_1393 = 
(long)(BgL_tmpz00_4542); } 
BgL_s1z00_1381 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1278z00_1393, ((long)16)); } 
{ /* Unsafe/sha2.scm 237 */
 long BgL_l1z00_1382;
BgL_l1z00_1382 = 
STRING_LENGTH(BgL_s1z00_1381); 
{ /* Unsafe/sha2.scm 238 */
 obj_t BgL_s2z00_1383;
{ /* Unsafe/sha2.scm 239 */
 long BgL_arg1274z00_1390;
{ /* Unsafe/sha2.scm 239 */
 uint32_t BgL_arg1276z00_1391;
BgL_arg1276z00_1391 = 
(BgL_wz00_11 & 
((uint32_t)(65536)-
(uint32_t)(((long)1)))); 
BgL_arg1274z00_1390 = 
(long)(BgL_arg1276z00_1391); } 
BgL_s2z00_1383 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1274z00_1390, ((long)16)); } 
{ /* Unsafe/sha2.scm 239 */
 long BgL_l2z00_1384;
BgL_l2z00_1384 = 
STRING_LENGTH(BgL_s2z00_1383); 
{ /* Unsafe/sha2.scm 240 */

blit_string(BgL_s1z00_1381, ((long)0), BgL_strz00_9, 
(BgL_offsetz00_10+
(((long)4)-BgL_l1z00_1382)), BgL_l1z00_1382); 
return 
blit_string(BgL_s2z00_1383, ((long)0), BgL_strz00_9, 
(BgL_offsetz00_10+
(((long)4)+
(((long)4)-BgL_l2z00_1384))), BgL_l2z00_1384);} } } } } } 

}



/* u64-fill! */
obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_12, long BgL_offsetz00_13, uint64_t BgL_wz00_14)
{
{ /* Unsafe/sha2.scm 247 */
{ /* Unsafe/sha2.scm 248 */
 obj_t BgL_s1z00_1395;
{ /* Unsafe/sha2.scm 248 */
 long BgL_arg1344z00_1435;
{ /* Unsafe/sha2.scm 248 */
 long BgL_arg1345z00_1436;
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_arg1347z00_1437;
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_arg1348z00_1438;
{ /* Unsafe/sha2.scm 248 */
 uint64_t BgL_tmpz00_4561;
BgL_tmpz00_4561 = 
(BgL_wz00_14 >> 
(int)(((long)32))); 
BgL_arg1348z00_1438 = 
(uint32_t)(BgL_tmpz00_4561); } 
BgL_arg1347z00_1437 = 
(BgL_arg1348z00_1438 >> 
(int)(((long)16))); } 
BgL_arg1345z00_1436 = 
(long)(BgL_arg1347z00_1437); } 
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_xz00_2967;
BgL_xz00_2967 = 
(uint32_t)(BgL_arg1345z00_1436); 
BgL_arg1344z00_1435 = 
(long)(BgL_xz00_2967); } } 
BgL_s1z00_1395 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1344z00_1435, ((long)16)); } 
{ /* Unsafe/sha2.scm 248 */
 long BgL_l1z00_1396;
BgL_l1z00_1396 = 
STRING_LENGTH(BgL_s1z00_1395); 
{ /* Unsafe/sha2.scm 249 */
 obj_t BgL_s2z00_1397;
{ /* Unsafe/sha2.scm 250 */
 long BgL_arg1338z00_1429;
{ /* Unsafe/sha2.scm 250 */
 long BgL_arg1339z00_1430;
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_arg1340z00_1431;
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_arg1341z00_1432; uint32_t BgL_arg1342z00_1433;
{ /* Unsafe/sha2.scm 250 */
 uint64_t BgL_tmpz00_4572;
BgL_tmpz00_4572 = 
(BgL_wz00_14 >> 
(int)(((long)32))); 
BgL_arg1341z00_1432 = 
(uint32_t)(BgL_tmpz00_4572); } 
BgL_arg1342z00_1433 = 
((uint32_t)(65536)-
(uint32_t)(((long)1))); 
BgL_arg1340z00_1431 = 
(BgL_arg1341z00_1432 & BgL_arg1342z00_1433); } 
BgL_arg1339z00_1430 = 
(long)(BgL_arg1340z00_1431); } 
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_xz00_2976;
BgL_xz00_2976 = 
(uint32_t)(BgL_arg1339z00_1430); 
BgL_arg1338z00_1429 = 
(long)(BgL_xz00_2976); } } 
BgL_s2z00_1397 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1338z00_1429, ((long)16)); } 
{ /* Unsafe/sha2.scm 250 */
 long BgL_l2z00_1398;
BgL_l2z00_1398 = 
STRING_LENGTH(BgL_s2z00_1397); 
{ /* Unsafe/sha2.scm 251 */
 obj_t BgL_s3z00_1399;
{ /* Unsafe/sha2.scm 252 */
 long BgL_arg1329z00_1422;
{ /* Unsafe/sha2.scm 252 */
 long BgL_arg1331z00_1423;
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_arg1332z00_1424;
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_arg1333z00_1425;
{ /* Unsafe/sha2.scm 252 */
 uint64_t BgL_arg1335z00_1426;
BgL_arg1335z00_1426 = 
(BgL_wz00_14 & 
(
((uint64_t)(1) << 
(int)(((long)32)))-
(uint64_t)(((long)1)))); 
BgL_arg1333z00_1425 = 
(uint32_t)(BgL_arg1335z00_1426); } 
BgL_arg1332z00_1424 = 
(BgL_arg1333z00_1425 >> 
(int)(((long)16))); } 
BgL_arg1331z00_1423 = 
(long)(BgL_arg1332z00_1424); } 
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_xz00_2986;
BgL_xz00_2986 = 
(uint32_t)(BgL_arg1331z00_1423); 
BgL_arg1329z00_1422 = 
(long)(BgL_xz00_2986); } } 
BgL_s3z00_1399 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1329z00_1422, ((long)16)); } 
{ /* Unsafe/sha2.scm 252 */
 long BgL_l3z00_1400;
BgL_l3z00_1400 = 
STRING_LENGTH(BgL_s3z00_1399); 
{ /* Unsafe/sha2.scm 253 */
 obj_t BgL_s4z00_1401;
{ /* Unsafe/sha2.scm 254 */
 long BgL_arg1294z00_1414;
{ /* Unsafe/sha2.scm 254 */
 long BgL_arg1300z00_1415;
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_arg1302z00_1416;
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_arg1303z00_1417; uint32_t BgL_arg1305z00_1418;
{ /* Unsafe/sha2.scm 254 */
 uint64_t BgL_arg1312z00_1419;
BgL_arg1312z00_1419 = 
(BgL_wz00_14 & 
(
((uint64_t)(1) << 
(int)(((long)32)))-
(uint64_t)(((long)1)))); 
BgL_arg1303z00_1417 = 
(uint32_t)(BgL_arg1312z00_1419); } 
BgL_arg1305z00_1418 = 
((uint32_t)(65536)-
(uint32_t)(((long)1))); 
BgL_arg1302z00_1416 = 
(BgL_arg1303z00_1417 & BgL_arg1305z00_1418); } 
BgL_arg1300z00_1415 = 
(long)(BgL_arg1302z00_1416); } 
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_xz00_2999;
BgL_xz00_2999 = 
(uint32_t)(BgL_arg1300z00_1415); 
BgL_arg1294z00_1414 = 
(long)(BgL_xz00_2999); } } 
BgL_s4z00_1401 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1294z00_1414, ((long)16)); } 
{ /* Unsafe/sha2.scm 254 */
 long BgL_l4z00_1402;
BgL_l4z00_1402 = 
STRING_LENGTH(BgL_s4z00_1401); 
{ /* Unsafe/sha2.scm 255 */

blit_string(BgL_s1z00_1395, ((long)0), BgL_strz00_12, 
(BgL_offsetz00_13+
(((long)4)-BgL_l1z00_1396)), BgL_l1z00_1396); 
blit_string(BgL_s2z00_1397, ((long)0), BgL_strz00_12, 
(BgL_offsetz00_13+
(((long)4)+
(((long)4)-BgL_l2z00_1398))), BgL_l2z00_1398); 
blit_string(BgL_s3z00_1399, ((long)0), BgL_strz00_12, 
(BgL_offsetz00_13+
(((long)8)+
(((long)4)-BgL_l3z00_1400))), BgL_l3z00_1400); 
return 
blit_string(BgL_s4z00_1401, ((long)0), BgL_strz00_12, 
(BgL_offsetz00_13+
(((long)12)+
(((long)4)-BgL_l4z00_1402))), BgL_l4z00_1402);} } } } } } } } } } 

}



/* state->string */
obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_15)
{
{ /* Unsafe/sha2.scm 264 */
{ /* Unsafe/sha2.scm 265 */
 obj_t BgL_rz00_1440;
BgL_rz00_1440 = 
make_string(((long)64), ((unsigned char)'0')); 
{ /* Unsafe/sha2.scm 266 */
 uint32_t BgL_arg1350z00_1441;
BgL_arg1350z00_1441 = 
BGL_U32VREF(BgL_statez00_15, ((long)0)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long)0), BgL_arg1350z00_1441); } 
{ /* Unsafe/sha2.scm 267 */
 uint32_t BgL_arg1351z00_1442;
BgL_arg1351z00_1442 = 
BGL_U32VREF(BgL_statez00_15, ((long)1)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long)8), BgL_arg1351z00_1442); } 
{ /* Unsafe/sha2.scm 268 */
 uint32_t BgL_arg1352z00_1443;
BgL_arg1352z00_1443 = 
BGL_U32VREF(BgL_statez00_15, ((long)2)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long)16), BgL_arg1352z00_1443); } 
{ /* Unsafe/sha2.scm 269 */
 uint32_t BgL_arg1353z00_1444;
BgL_arg1353z00_1444 = 
BGL_U32VREF(BgL_statez00_15, ((long)3)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long)24), BgL_arg1353z00_1444); } 
{ /* Unsafe/sha2.scm 270 */
 uint32_t BgL_arg1354z00_1445;
BgL_arg1354z00_1445 = 
BGL_U32VREF(BgL_statez00_15, ((long)4)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long)32), BgL_arg1354z00_1445); } 
{ /* Unsafe/sha2.scm 271 */
 uint32_t BgL_arg1355z00_1446;
BgL_arg1355z00_1446 = 
BGL_U32VREF(BgL_statez00_15, ((long)5)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long)40), BgL_arg1355z00_1446); } 
{ /* Unsafe/sha2.scm 272 */
 uint32_t BgL_arg1356z00_1447;
BgL_arg1356z00_1447 = 
BGL_U32VREF(BgL_statez00_15, ((long)6)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long)48), BgL_arg1356z00_1447); } 
{ /* Unsafe/sha2.scm 273 */
 uint32_t BgL_arg1357z00_1448;
BgL_arg1357z00_1448 = 
BGL_U32VREF(BgL_statez00_15, ((long)7)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long)56), BgL_arg1357z00_1448); } 
return BgL_rz00_1440;} } 

}



/* state64->string */
obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_16)
{
{ /* Unsafe/sha2.scm 279 */
{ /* Unsafe/sha2.scm 280 */
 obj_t BgL_rz00_1449;
BgL_rz00_1449 = 
make_string(((long)128), ((unsigned char)'0')); 
{ /* Unsafe/sha2.scm 281 */
 uint64_t BgL_arg1358z00_1450;
BgL_arg1358z00_1450 = 
BGL_U64VREF(BgL_statez00_16, ((long)0)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long)0), BgL_arg1358z00_1450); } 
{ /* Unsafe/sha2.scm 282 */
 uint64_t BgL_arg1359z00_1451;
BgL_arg1359z00_1451 = 
BGL_U64VREF(BgL_statez00_16, ((long)1)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long)16), BgL_arg1359z00_1451); } 
{ /* Unsafe/sha2.scm 283 */
 uint64_t BgL_arg1360z00_1452;
BgL_arg1360z00_1452 = 
BGL_U64VREF(BgL_statez00_16, ((long)2)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long)32), BgL_arg1360z00_1452); } 
{ /* Unsafe/sha2.scm 284 */
 uint64_t BgL_arg1361z00_1453;
BgL_arg1361z00_1453 = 
BGL_U64VREF(BgL_statez00_16, ((long)3)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long)48), BgL_arg1361z00_1453); } 
{ /* Unsafe/sha2.scm 285 */
 uint64_t BgL_arg1362z00_1454;
BgL_arg1362z00_1454 = 
BGL_U64VREF(BgL_statez00_16, ((long)4)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long)64), BgL_arg1362z00_1454); } 
{ /* Unsafe/sha2.scm 286 */
 uint64_t BgL_arg1363z00_1455;
BgL_arg1363z00_1455 = 
BGL_U64VREF(BgL_statez00_16, ((long)5)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long)80), BgL_arg1363z00_1455); } 
{ /* Unsafe/sha2.scm 287 */
 uint64_t BgL_arg1364z00_1456;
BgL_arg1364z00_1456 = 
BGL_U64VREF(BgL_statez00_16, ((long)6)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long)96), BgL_arg1364z00_1456); } 
{ /* Unsafe/sha2.scm 288 */
 uint64_t BgL_arg1365z00_1457;
BgL_arg1365z00_1457 = 
BGL_U64VREF(BgL_statez00_16, ((long)7)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long)112), BgL_arg1365z00_1457); } 
return BgL_rz00_1449;} } 

}



/* sha256-initial-hash-value */
obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00()
{
{ /* Unsafe/sha2.scm 409 */
{ /* Unsafe/sha2.scm 410 */
 obj_t BgL_vz00_1458;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1458 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), (uint32_t)(0)); } 
BGL_U32VSET(BgL_vz00_1458, ((long)0), (uint32_t)(1779033703)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1458, ((long)1), (uint32_t)(3144134277)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1458, ((long)2), (uint32_t)(1013904242)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1458, ((long)3), (uint32_t)(2773480762)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1458, ((long)4), (uint32_t)(1359893119)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1458, ((long)5), (uint32_t)(2600822924)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1458, ((long)6), (uint32_t)(528734635)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1458, ((long)7), (uint32_t)(1541459225)); BUNSPEC; 
return BgL_vz00_1458;} } 

}



/* sha512-initial-hash-value */
obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00()
{
{ /* Unsafe/sha2.scm 424 */
{ /* Unsafe/sha2.scm 425 */
 obj_t BgL_vz00_1461;
{ /* Llib/srfi4.scm 453 */

BgL_vz00_1461 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)8), (uint64_t)(0)); } 
BGL_U64VSET(BgL_vz00_1461, ((long)0), (uint64_t)(7640891576956012808)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1461, ((long)1), (uint64_t)(-4942790177534073029)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1461, ((long)2), (uint64_t)(4354685564936845355)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1461, ((long)3), (uint64_t)(-6534734903238641935)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1461, ((long)4), (uint64_t)(5840696475078001361)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1461, ((long)5), (uint64_t)(-7276294671716946913)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1461, ((long)6), (uint64_t)(2270897969802886507)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1461, ((long)7), (uint64_t)(6620516959819538809)); BUNSPEC; 
return BgL_vz00_1461;} } 

}



/* Sigma0-256 */
uint32_t BGl_Sigma0zd2256zd2zz__sha2z00(uint32_t BgL_xz00_17)
{
{ /* Unsafe/sha2.scm 527 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(((long)2))) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(((long)13))) ^ 
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(((long)22)))));} 

}



/* sigma0-256 */
uint32_t BGl_sigma0zd2256zd2zz__sha2z00(uint32_t BgL_xz00_18)
{
{ /* Unsafe/sha2.scm 533 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_18, 
(int)(((long)7))) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_18, 
(int)(((long)18))) ^ 
(BgL_xz00_18 >> 
(int)(((long)3)))));} 

}



/* Sigma1-256 */
uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_19)
{
{ /* Unsafe/sha2.scm 539 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(((long)6))) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(((long)11))) ^ 
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(((long)25)))));} 

}



/* sigma1-256 */
uint32_t BGl_sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_20)
{
{ /* Unsafe/sha2.scm 545 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_20, 
(int)(((long)17))) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_20, 
(int)(((long)19))) ^ 
(BgL_xz00_20 >> 
(int)(((long)10)))));} 

}



/* Sigma0-512 */
uint64_t BGl_Sigma0zd2512zd2zz__sha2z00(uint64_t BgL_xz00_21)
{
{ /* Unsafe/sha2.scm 551 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(((long)28))) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(((long)34))) ^ 
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(((long)39)))));} 

}



/* Sigma1-512 */
uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_22)
{
{ /* Unsafe/sha2.scm 557 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(((long)14))) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(((long)18))) ^ 
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(((long)41)))));} 

}



/* sigma0-512 */
uint64_t BGl_sigma0zd2512zd2zz__sha2z00(uint64_t BgL_xz00_23)
{
{ /* Unsafe/sha2.scm 563 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_23, 
(int)(((long)1))) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_23, 
(int)(((long)8))) ^ 
(BgL_xz00_23 >> 
(int)(((long)7)))));} 

}



/* sigma1-512 */
uint64_t BGl_sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_24)
{
{ /* Unsafe/sha2.scm 569 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_24, 
(int)(((long)19))) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_24, 
(int)(((long)61))) ^ 
(BgL_xz00_24 >> 
(int)(((long)6)))));} 

}



/* get-a */
uint32_t BGl_getzd2azd2zz__sha2z00(obj_t BgL_stz00_25)
{
{ /* Unsafe/sha2.scm 575 */
return 
BGL_U32VREF(BgL_stz00_25, ((long)0));} 

}



/* get-b */
uint32_t BGl_getzd2bzd2zz__sha2z00(obj_t BgL_stz00_26)
{
{ /* Unsafe/sha2.scm 576 */
return 
BGL_U32VREF(BgL_stz00_26, ((long)1));} 

}



/* get-c */
uint32_t BGl_getzd2czd2zz__sha2z00(obj_t BgL_stz00_27)
{
{ /* Unsafe/sha2.scm 577 */
return 
BGL_U32VREF(BgL_stz00_27, ((long)2));} 

}



/* get-d */
uint32_t BGl_getzd2dzd2zz__sha2z00(obj_t BgL_stz00_28)
{
{ /* Unsafe/sha2.scm 578 */
return 
BGL_U32VREF(BgL_stz00_28, ((long)3));} 

}



/* get-e */
uint32_t BGl_getzd2ezd2zz__sha2z00(obj_t BgL_stz00_29)
{
{ /* Unsafe/sha2.scm 579 */
return 
BGL_U32VREF(BgL_stz00_29, ((long)4));} 

}



/* get-f */
uint32_t BGl_getzd2fzd2zz__sha2z00(obj_t BgL_stz00_30)
{
{ /* Unsafe/sha2.scm 580 */
return 
BGL_U32VREF(BgL_stz00_30, ((long)5));} 

}



/* get-g */
uint32_t BGl_getzd2gzd2zz__sha2z00(obj_t BgL_stz00_31)
{
{ /* Unsafe/sha2.scm 581 */
return 
BGL_U32VREF(BgL_stz00_31, ((long)6));} 

}



/* get-h */
uint32_t BGl_getzd2hzd2zz__sha2z00(obj_t BgL_stz00_32)
{
{ /* Unsafe/sha2.scm 582 */
return 
BGL_U32VREF(BgL_stz00_32, ((long)7));} 

}



/* sha256-internal-transform */
obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_33, obj_t BgL_bufferz00_34)
{
{ /* Unsafe/sha2.scm 587 */
{ 
 obj_t BgL_statez00_1587; uint32_t BgL_az00_1588; uint32_t BgL_bz00_1589; uint32_t BgL_cz00_1590; uint32_t BgL_dz00_1591; uint32_t BgL_ez00_1592; uint32_t BgL_fz00_1593; uint32_t BgL_gz00_1594; uint32_t BgL_hz00_1595;
{ /* Unsafe/sha2.scm 622 */
 uint32_t BgL_g1065z00_1501; uint32_t BgL_g1066z00_1502; uint32_t BgL_g1067z00_1503; uint32_t BgL_g1068z00_1504; uint32_t BgL_g1069z00_1505; uint32_t BgL_g1070z00_1506; uint32_t BgL_g1071z00_1507; uint32_t BgL_g1072z00_1508;
BgL_g1065z00_1501 = 
BGl_getzd2azd2zz__sha2z00(BgL_statez00_33); 
BgL_g1066z00_1502 = 
BGl_getzd2bzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1067z00_1503 = 
BGl_getzd2czd2zz__sha2z00(BgL_statez00_33); 
BgL_g1068z00_1504 = 
BGl_getzd2dzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1069z00_1505 = 
BGl_getzd2ezd2zz__sha2z00(BgL_statez00_33); 
BgL_g1070z00_1506 = 
BGl_getzd2fzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1071z00_1507 = 
BGl_getzd2gzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1072z00_1508 = 
BGl_getzd2hzd2zz__sha2z00(BgL_statez00_33); 
{ 
 uint32_t BgL_az00_1510; uint32_t BgL_bz00_1511; uint32_t BgL_cz00_1512; uint32_t BgL_dz00_1513; uint32_t BgL_ez00_1514; uint32_t BgL_fz00_1515; uint32_t BgL_gz00_1516; uint32_t BgL_hz00_1517; long BgL_jz00_1518;
BgL_az00_1510 = BgL_g1065z00_1501; 
BgL_bz00_1511 = BgL_g1066z00_1502; 
BgL_cz00_1512 = BgL_g1067z00_1503; 
BgL_dz00_1513 = BgL_g1068z00_1504; 
BgL_ez00_1514 = BgL_g1069z00_1505; 
BgL_fz00_1515 = BgL_g1070z00_1506; 
BgL_gz00_1516 = BgL_g1071z00_1507; 
BgL_hz00_1517 = BgL_g1072z00_1508; 
BgL_jz00_1518 = ((long)0); 
BgL_zc3z04anonymousza31401ze3z87_1519:
if(
(BgL_jz00_1518<((long)16)))
{ /* Unsafe/sha2.scm 633 */
 uint32_t BgL_wz00_1521;
BgL_wz00_1521 = 
BGL_U32VREF(BgL_bufferz00_34, BgL_jz00_1518); 
{ /* Unsafe/sha2.scm 633 */
 uint32_t BgL_t1z00_1522;
BgL_t1z00_1522 = 
BGl_compressze71ze7zz__sha2z00(BgL_ez00_1514, BgL_fz00_1515, BgL_gz00_1516, BgL_hz00_1517, BgL_wz00_1521, BgL_jz00_1518); 
{ /* Unsafe/sha2.scm 634 */
 uint32_t BgL_t2z00_1523;
BgL_t2z00_1523 = 
BGl_addu32z00zz__sha2z00(
BGl_Sigma0zd2256zd2zz__sha2z00(BgL_az00_1510), 
BGl_Majze71ze7zz__sha2z00(BgL_az00_1510, BgL_bz00_1511, BgL_cz00_1512)); 
{ /* Unsafe/sha2.scm 635 */

{ 
 long BgL_jz00_4775; uint32_t BgL_hz00_4774; uint32_t BgL_gz00_4773; uint32_t BgL_fz00_4772; uint32_t BgL_ez00_4770; uint32_t BgL_dz00_4769; uint32_t BgL_cz00_4768; uint32_t BgL_bz00_4767; uint32_t BgL_az00_4765;
BgL_az00_4765 = 
BGl_addu32z00zz__sha2z00(BgL_t1z00_1522, BgL_t2z00_1523); 
BgL_bz00_4767 = BgL_az00_1510; 
BgL_cz00_4768 = BgL_bz00_1511; 
BgL_dz00_4769 = BgL_cz00_1512; 
BgL_ez00_4770 = 
BGl_addu32z00zz__sha2z00(BgL_dz00_1513, BgL_t1z00_1522); 
BgL_fz00_4772 = BgL_ez00_1514; 
BgL_gz00_4773 = BgL_fz00_1515; 
BgL_hz00_4774 = BgL_gz00_1516; 
BgL_jz00_4775 = 
(BgL_jz00_1518+((long)1)); 
BgL_jz00_1518 = BgL_jz00_4775; 
BgL_hz00_1517 = BgL_hz00_4774; 
BgL_gz00_1516 = BgL_gz00_4773; 
BgL_fz00_1515 = BgL_fz00_4772; 
BgL_ez00_1514 = BgL_ez00_4770; 
BgL_dz00_1513 = BgL_dz00_4769; 
BgL_cz00_1512 = BgL_cz00_4768; 
BgL_bz00_1511 = BgL_bz00_4767; 
BgL_az00_1510 = BgL_az00_4765; 
goto BgL_zc3z04anonymousza31401ze3z87_1519;} } } } }  else 
{ /* Unsafe/sha2.scm 632 */
if(
(BgL_jz00_1518<((long)64)))
{ /* Unsafe/sha2.scm 638 */
 uint32_t BgL_s0z00_1531;
BgL_s0z00_1531 = 
BGl_sigma0zd2256zd2zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1518+((long)1)))); 
{ /* Unsafe/sha2.scm 638 */
 uint32_t BgL_s1z00_1532;
BgL_s1z00_1532 = 
BGl_sigma1zd2256zd2zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1518+((long)14)))); 
{ /* Unsafe/sha2.scm 639 */
 long BgL_ndxz00_1533;
BgL_ndxz00_1533 = 
(BgL_jz00_1518 & 
LLONG_TO_LONG(((BGL_LONGLONG_T)15))); 
{ /* Unsafe/sha2.scm 640 */
 uint32_t BgL_wz00_1534;
BgL_wz00_1534 = 
BGl_addu32z00zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, BgL_jz00_1518), 
BGl_addu32z00zz__sha2z00(BgL_s1z00_1532, 
BGl_addu32z00zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1518+((long)9))), BgL_s0z00_1531))); 
{ /* Unsafe/sha2.scm 641 */
 uint32_t BgL_t1z00_1535;
BgL_t1z00_1535 = 
BGl_compressze71ze7zz__sha2z00(BgL_ez00_1514, BgL_fz00_1515, BgL_gz00_1516, BgL_hz00_1517, BgL_wz00_1534, BgL_jz00_1518); 
{ /* Unsafe/sha2.scm 642 */
 uint32_t BgL_t2z00_1536;
BgL_t2z00_1536 = 
BGl_addu32z00zz__sha2z00(
BGl_Sigma0zd2256zd2zz__sha2z00(BgL_az00_1510), 
BGl_Majze71ze7zz__sha2z00(BgL_az00_1510, BgL_bz00_1511, BgL_cz00_1512)); 
{ /* Unsafe/sha2.scm 643 */

BGL_U32VSET(BgL_bufferz00_34, BgL_ndxz00_1533, BgL_wz00_1534); BUNSPEC; 
{ 
 long BgL_jz00_4808; uint32_t BgL_hz00_4807; uint32_t BgL_gz00_4806; uint32_t BgL_fz00_4805; uint32_t BgL_ez00_4803; uint32_t BgL_dz00_4802; uint32_t BgL_cz00_4801; uint32_t BgL_bz00_4800; uint32_t BgL_az00_4798;
BgL_az00_4798 = 
BGl_addu32z00zz__sha2z00(BgL_t1z00_1535, BgL_t2z00_1536); 
BgL_bz00_4800 = BgL_az00_1510; 
BgL_cz00_4801 = BgL_bz00_1511; 
BgL_dz00_4802 = BgL_cz00_1512; 
BgL_ez00_4803 = 
BGl_addu32z00zz__sha2z00(BgL_dz00_1513, BgL_t1z00_1535); 
BgL_fz00_4805 = BgL_ez00_1514; 
BgL_gz00_4806 = BgL_fz00_1515; 
BgL_hz00_4807 = BgL_gz00_1516; 
BgL_jz00_4808 = 
(BgL_jz00_1518+((long)1)); 
BgL_jz00_1518 = BgL_jz00_4808; 
BgL_hz00_1517 = BgL_hz00_4807; 
BgL_gz00_1516 = BgL_gz00_4806; 
BgL_fz00_1515 = BgL_fz00_4805; 
BgL_ez00_1514 = BgL_ez00_4803; 
BgL_dz00_1513 = BgL_dz00_4802; 
BgL_cz00_1512 = BgL_cz00_4801; 
BgL_bz00_1511 = BgL_bz00_4800; 
BgL_az00_1510 = BgL_az00_4798; 
goto BgL_zc3z04anonymousza31401ze3z87_1519;} } } } } } } }  else 
{ /* Unsafe/sha2.scm 637 */
BgL_statez00_1587 = BgL_statez00_33; 
BgL_az00_1588 = BgL_az00_1510; 
BgL_bz00_1589 = BgL_bz00_1511; 
BgL_cz00_1590 = BgL_cz00_1512; 
BgL_dz00_1591 = BgL_dz00_1513; 
BgL_ez00_1592 = BgL_ez00_1514; 
BgL_fz00_1593 = BgL_fz00_1515; 
BgL_gz00_1594 = BgL_gz00_1516; 
BgL_hz00_1595 = BgL_hz00_1517; 
{ /* Unsafe/sha2.scm 604 */
 uint32_t BgL_oaz00_1597; uint32_t BgL_obz00_1598; uint32_t BgL_ocz00_1599; uint32_t BgL_odz00_1600; uint32_t BgL_oez00_1601; uint32_t BgL_ofz00_1602; uint32_t BgL_ogz00_1603; uint32_t BgL_ohz00_1604;
BgL_oaz00_1597 = 
BGl_getzd2azd2zz__sha2z00(BgL_statez00_1587); 
BgL_obz00_1598 = 
BGl_getzd2bzd2zz__sha2z00(BgL_statez00_1587); 
BgL_ocz00_1599 = 
BGl_getzd2czd2zz__sha2z00(BgL_statez00_1587); 
BgL_odz00_1600 = 
BGl_getzd2dzd2zz__sha2z00(BgL_statez00_1587); 
BgL_oez00_1601 = 
BGl_getzd2ezd2zz__sha2z00(BgL_statez00_1587); 
BgL_ofz00_1602 = 
BGl_getzd2fzd2zz__sha2z00(BgL_statez00_1587); 
BgL_ogz00_1603 = 
BGl_getzd2gzd2zz__sha2z00(BgL_statez00_1587); 
BgL_ohz00_1604 = 
BGl_getzd2hzd2zz__sha2z00(BgL_statez00_1587); 
{ /* Unsafe/sha2.scm 613 */
 uint32_t BgL_arg1446z00_1606;
BgL_arg1446z00_1606 = 
BGl_addu32z00zz__sha2z00(BgL_oaz00_1597, BgL_az00_1588); 
BGL_U32VSET(BgL_statez00_1587, ((long)0), BgL_arg1446z00_1606); BUNSPEC; } 
{ /* Unsafe/sha2.scm 614 */
 uint32_t BgL_arg1447z00_1607;
BgL_arg1447z00_1607 = 
BGl_addu32z00zz__sha2z00(BgL_obz00_1598, BgL_bz00_1589); 
BGL_U32VSET(BgL_statez00_1587, ((long)1), BgL_arg1447z00_1607); BUNSPEC; } 
{ /* Unsafe/sha2.scm 615 */
 uint32_t BgL_arg1448z00_1608;
BgL_arg1448z00_1608 = 
BGl_addu32z00zz__sha2z00(BgL_ocz00_1599, BgL_cz00_1590); 
BGL_U32VSET(BgL_statez00_1587, ((long)2), BgL_arg1448z00_1608); BUNSPEC; } 
{ /* Unsafe/sha2.scm 616 */
 uint32_t BgL_arg1449z00_1609;
BgL_arg1449z00_1609 = 
BGl_addu32z00zz__sha2z00(BgL_odz00_1600, BgL_dz00_1591); 
BGL_U32VSET(BgL_statez00_1587, ((long)3), BgL_arg1449z00_1609); BUNSPEC; } 
{ /* Unsafe/sha2.scm 617 */
 uint32_t BgL_arg1452z00_1610;
BgL_arg1452z00_1610 = 
BGl_addu32z00zz__sha2z00(BgL_oez00_1601, BgL_ez00_1592); 
BGL_U32VSET(BgL_statez00_1587, ((long)4), BgL_arg1452z00_1610); BUNSPEC; } 
{ /* Unsafe/sha2.scm 618 */
 uint32_t BgL_arg1453z00_1611;
BgL_arg1453z00_1611 = 
BGl_addu32z00zz__sha2z00(BgL_ofz00_1602, BgL_fz00_1593); 
BGL_U32VSET(BgL_statez00_1587, ((long)5), BgL_arg1453z00_1611); BUNSPEC; } 
{ /* Unsafe/sha2.scm 619 */
 uint32_t BgL_arg1454z00_1612;
BgL_arg1454z00_1612 = 
BGl_addu32z00zz__sha2z00(BgL_ogz00_1603, BgL_gz00_1594); 
BGL_U32VSET(BgL_statez00_1587, ((long)6), BgL_arg1454z00_1612); BUNSPEC; } 
{ /* Unsafe/sha2.scm 620 */
 uint32_t BgL_arg1455z00_1613;
BgL_arg1455z00_1613 = 
BGl_addu32z00zz__sha2z00(BgL_ohz00_1604, BgL_hz00_1595); 
BGL_U32VSET(BgL_statez00_1587, ((long)7), BgL_arg1455z00_1613); BUNSPEC; } } 
return BgL_statez00_33;} } } } } } 

}



/* xf-ref~1 */
uint32_t BGl_xfzd2refze71z35zz__sha2z00(obj_t BgL_vz00_1583, long BgL_nz00_1584)
{
{ /* Unsafe/sha2.scm 599 */
{ /* Unsafe/sha2.scm 599 */
 long BgL_tmpz00_4834;
BgL_tmpz00_4834 = 
(BgL_nz00_1584 & ((long)15)); 
return 
BGL_U32VREF(BgL_vz00_1583, BgL_tmpz00_4834);} } 

}



/* compress~1 */
uint32_t BGl_compressze71ze7zz__sha2z00(uint32_t BgL_ez00_1570, uint32_t BgL_fz00_1571, uint32_t BgL_gz00_1572, uint32_t BgL_hz00_1573, uint32_t BgL_wz00_1574, long BgL_jz00_1575)
{
{ /* Unsafe/sha2.scm 596 */
{ 
 uint32_t BgL_xz00_1563; uint32_t BgL_yz00_1564; uint32_t BgL_za7za7_1565;
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1437z00_1577;
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1438z00_1578; uint32_t BgL_arg1439z00_1579;
BgL_arg1438z00_1578 = 
BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1570); 
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1440z00_1580; uint32_t BgL_arg1441z00_1581;
BgL_xz00_1563 = BgL_ez00_1570; 
BgL_yz00_1564 = BgL_fz00_1571; 
BgL_za7za7_1565 = BgL_gz00_1572; 
BgL_arg1440z00_1580 = 
(
(BgL_xz00_1563 & BgL_yz00_1564) ^ 
(
~(BgL_xz00_1563) & BgL_za7za7_1565)); 
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1442z00_1582;
BgL_arg1442z00_1582 = 
BGL_U32VREF(BGl_K256z00zz__sha2z00, BgL_jz00_1575); 
BgL_arg1441z00_1581 = 
BGl_addu32z00zz__sha2z00(BgL_arg1442z00_1582, BgL_wz00_1574); } 
BgL_arg1439z00_1579 = 
BGl_addu32z00zz__sha2z00(BgL_arg1440z00_1580, BgL_arg1441z00_1581); } 
BgL_arg1437z00_1577 = 
BGl_addu32z00zz__sha2z00(BgL_arg1438z00_1578, BgL_arg1439z00_1579); } 
return 
BGl_addu32z00zz__sha2z00(BgL_hz00_1573, BgL_arg1437z00_1577);} } } 

}



/* Maj~1 */
uint32_t BGl_Majze71ze7zz__sha2z00(uint32_t BgL_xz00_1555, uint32_t BgL_yz00_1556, uint32_t BgL_za7za7_1557)
{
{ /* Unsafe/sha2.scm 590 */
return 
(
(BgL_xz00_1555 & BgL_yz00_1556) ^ 
(
(BgL_xz00_1555 & BgL_za7za7_1557) ^ 
(BgL_yz00_1556 & BgL_za7za7_1557)));} 

}



/* sha256-update */
obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t BgL_statez00_35, obj_t BgL_bufferz00_36, obj_t BgL_oz00_37, obj_t BgL_fillzd2wordz12zc0_38)
{
{ /* Unsafe/sha2.scm 653 */
{ 
 obj_t BgL_vz00_1653; long BgL_lenz00_1654; uint32_t BgL_valz00_1655; obj_t BgL_bufferz00_1639; long BgL_iz00_1640;
{ 
 long BgL_iz00_1622; long BgL_lz00_1623;
BgL_iz00_1622 = ((long)0); 
BgL_lz00_1623 = ((long)0); 
BgL_zc3z04anonymousza31456ze3z87_1624:
{ /* Unsafe/sha2.scm 673 */
 long BgL_bytesz00_1625;
BgL_bufferz00_1639 = BgL_bufferz00_36; 
BgL_iz00_1640 = BgL_iz00_1622; 
{ 
 long BgL_jz00_1643; long BgL_iz00_1644; long BgL_nz00_1645;
BgL_jz00_1643 = ((long)0); 
BgL_iz00_1644 = BgL_iz00_1640; 
BgL_nz00_1645 = ((long)0); 
BgL_zc3z04anonymousza31468ze3z87_1646:
if(
(BgL_jz00_1643<((long)16)))
{ /* Unsafe/sha2.scm 662 */
 long BgL_arg1470z00_1648; long BgL_arg1471z00_1649; long BgL_arg1472z00_1650;
BgL_arg1470z00_1648 = 
(BgL_jz00_1643+((long)1)); 
BgL_arg1471z00_1649 = 
(BgL_iz00_1644+((long)4)); 
{ /* Unsafe/sha2.scm 662 */
 long BgL_arg1473z00_1651;
BgL_arg1473z00_1651 = 
((long(*)())PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_38))(BgL_fillzd2wordz12zc0_38, BgL_bufferz00_1639, BgL_jz00_1643, BgL_oz00_37, BgL_iz00_1644); 
BgL_arg1472z00_1650 = 
(long)CINT(
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_nz00_1645), 
BINT(BgL_arg1473z00_1651))); } 
{ 
 long BgL_nz00_4869; long BgL_iz00_4868; long BgL_jz00_4867;
BgL_jz00_4867 = BgL_arg1470z00_1648; 
BgL_iz00_4868 = BgL_arg1471z00_1649; 
BgL_nz00_4869 = BgL_arg1472z00_1650; 
BgL_nz00_1645 = BgL_nz00_4869; 
BgL_iz00_1644 = BgL_iz00_4868; 
BgL_jz00_1643 = BgL_jz00_4867; 
goto BgL_zc3z04anonymousza31468ze3z87_1646;} }  else 
{ /* Unsafe/sha2.scm 661 */
BgL_bytesz00_1625 = BgL_nz00_1645; } } 
if(
(BgL_bytesz00_1625==((long)64)))
{ /* Unsafe/sha2.scm 675 */
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36); 
{ 
 long BgL_lz00_4875; long BgL_iz00_4873;
BgL_iz00_4873 = 
(BgL_iz00_1622+((long)64)); 
BgL_lz00_4875 = 
(BgL_lz00_1623+((long)64)); 
BgL_lz00_1623 = BgL_lz00_4875; 
BgL_iz00_1622 = BgL_iz00_4873; 
goto BgL_zc3z04anonymousza31456ze3z87_1624;} }  else 
{ /* Unsafe/sha2.scm 675 */
if(
(
(((long)64)-BgL_bytesz00_1625)>=((long)8)))
{ /* Unsafe/sha2.scm 679 */
{ /* Unsafe/sha2.scm 682 */
 uint32_t BgL_ulenz00_1631;
{ /* Unsafe/sha2.scm 682 */
 long BgL_tmpz00_4880;
BgL_tmpz00_4880 = 
(((long)8)*
(
(BgL_lz00_1623-((long)1))+BgL_bytesz00_1625)); 
BgL_ulenz00_1631 = 
(uint32_t)(BgL_tmpz00_4880); } 
BGL_U32VSET(BgL_bufferz00_36, ((long)15), BgL_ulenz00_1631); BUNSPEC; } 
return 
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36);}  else 
{ /* Unsafe/sha2.scm 679 */
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36); 
BgL_vz00_1653 = BgL_bufferz00_36; 
BgL_lenz00_1654 = ((long)15); 
BgL_valz00_1655 = (uint32_t)(0); 
{ 
 long BgL_iz00_1658;
BgL_iz00_1658 = ((long)0); 
BgL_zc3z04anonymousza31475ze3z87_1659:
if(
(BgL_iz00_1658<BgL_lenz00_1654))
{ /* Unsafe/sha2.scm 667 */
BGL_U32VSET(BgL_vz00_1653, BgL_iz00_1658, BgL_valz00_1655); BUNSPEC; 
{ 
 long BgL_iz00_4891;
BgL_iz00_4891 = 
(BgL_iz00_1658+((long)1)); 
BgL_iz00_1658 = BgL_iz00_4891; 
goto BgL_zc3z04anonymousza31475ze3z87_1659;} }  else 
{ /* Unsafe/sha2.scm 667 */((bool_t)0); } } 
{ /* Unsafe/sha2.scm 689 */
 uint32_t BgL_ulenz00_1634;
{ /* Unsafe/sha2.scm 689 */
 long BgL_tmpz00_4893;
BgL_tmpz00_4893 = 
(((long)8)*
(
(BgL_lz00_1623-((long)1))+BgL_bytesz00_1625)); 
BgL_ulenz00_1634 = 
(uint32_t)(BgL_tmpz00_4893); } 
BGL_U32VSET(BgL_bufferz00_36, ((long)15), BgL_ulenz00_1634); BUNSPEC; } 
return 
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36);} } } } } } 

}



/* sha256sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_39)
{
{ /* Unsafe/sha2.scm 696 */
{ /* Unsafe/sha2.scm 733 */
 obj_t BgL_statez00_1667; obj_t BgL_bufferz00_1668;
BgL_statez00_1667 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1668 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1667, BgL_bufferz00_1668, BgL_mmz00_39, BGl_proc2308z00zz__sha2z00); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1667);} } 

}



/* &sha256sum-mmap */
obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_3887, obj_t BgL_mmz00_3888)
{
{ /* Unsafe/sha2.scm 696 */
{ /* Unsafe/sha2.scm 699 */
 obj_t BgL_auxz00_4904;
if(
BGL_MMAPP(BgL_mmz00_3888))
{ /* Unsafe/sha2.scm 699 */
BgL_auxz00_4904 = BgL_mmz00_3888
; }  else 
{ 
 obj_t BgL_auxz00_4907;
BgL_auxz00_4907 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)31200)), BGl_string2310z00zz__sha2z00, BGl_string2311z00zz__sha2z00, BgL_mmz00_3888); 
FAILURE(BgL_auxz00_4907,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_auxz00_4904);} } 

}



/* &fill-word32-mmap! */
long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_3889, obj_t BgL_v32z00_3890, long BgL_iz00_3891, obj_t BgL_mmz00_3892, long BgL_nz00_3893)
{
{ /* Unsafe/sha2.scm 731 */
{ /* Unsafe/sha2.scm 702 */
 long BgL_lz00_4000;
{ /* Unsafe/sha2.scm 702 */
 obj_t BgL_tmpz00_4912;
BgL_tmpz00_4912 = 
((obj_t)BgL_mmz00_3892); 
BgL_lz00_4000 = 
BGL_MMAP_LENGTH(BgL_tmpz00_4912); } 
{ /* Unsafe/sha2.scm 704 */
 bool_t BgL_test2370z00_4915;
{ /* Unsafe/sha2.scm 704 */
 long BgL_n2z00_4001;
BgL_n2z00_4001 = 
(long)(BgL_lz00_4000); 
BgL_test2370z00_4915 = 
(
(BgL_nz00_3893+((long)4))<=BgL_n2z00_4001); } 
if(BgL_test2370z00_4915)
{ /* Unsafe/sha2.scm 705 */
 uint32_t BgL_v0z00_4002;
{ /* Unsafe/sha2.scm 705 */
 long BgL_tmpz00_4919;
BgL_tmpz00_4919 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3892), BgL_nz00_3893); 
BgL_v0z00_4002 = 
(uint32_t)(BgL_tmpz00_4919); } 
{ /* Unsafe/sha2.scm 705 */
 uint32_t BgL_v1z00_4003;
{ /* Unsafe/sha2.scm 706 */
 long BgL_arg1498z00_4004;
BgL_arg1498z00_4004 = 
(BgL_nz00_3893+((long)1)); 
{ /* Unsafe/sha2.scm 706 */
 long BgL_tmpz00_4924;
BgL_tmpz00_4924 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3892), BgL_arg1498z00_4004); 
BgL_v1z00_4003 = 
(uint32_t)(BgL_tmpz00_4924); } } 
{ /* Unsafe/sha2.scm 706 */
 uint32_t BgL_v2z00_4005;
{ /* Unsafe/sha2.scm 707 */
 long BgL_arg1497z00_4006;
BgL_arg1497z00_4006 = 
(BgL_nz00_3893+((long)2)); 
{ /* Unsafe/sha2.scm 707 */
 long BgL_tmpz00_4929;
BgL_tmpz00_4929 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3892), BgL_arg1497z00_4006); 
BgL_v2z00_4005 = 
(uint32_t)(BgL_tmpz00_4929); } } 
{ /* Unsafe/sha2.scm 707 */
 uint32_t BgL_v3z00_4007;
{ /* Unsafe/sha2.scm 708 */
 long BgL_arg1496z00_4008;
BgL_arg1496z00_4008 = 
(BgL_nz00_3893+((long)3)); 
{ /* Unsafe/sha2.scm 708 */
 long BgL_tmpz00_4934;
BgL_tmpz00_4934 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3892), BgL_arg1496z00_4008); 
BgL_v3z00_4007 = 
(uint32_t)(BgL_tmpz00_4934); } } 
{ /* Unsafe/sha2.scm 708 */
 uint32_t BgL_vz00_4009;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_arg1483z00_4010; uint32_t BgL_arg1484z00_4011;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_arg1485z00_4012;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1486z00_4013;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1489z00_4014; long BgL_arg1490z00_4015;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_tmpz00_4938;
BgL_tmpz00_4938 = 
(BgL_v0z00_4002 << 
(int)(((long)8))); 
BgL_arg1489z00_4014 = 
(long)(BgL_tmpz00_4938); } 
BgL_arg1490z00_4015 = 
(long)(BgL_v1z00_4003); 
BgL_arg1486z00_4013 = 
(BgL_arg1489z00_4014 | BgL_arg1490z00_4015); } 
BgL_arg1485z00_4012 = 
(uint32_t)(BgL_arg1486z00_4013); } 
BgL_arg1483z00_4010 = 
(BgL_arg1485z00_4012 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1492z00_4016;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1493z00_4017; long BgL_arg1494z00_4018;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_tmpz00_4947;
BgL_tmpz00_4947 = 
(BgL_v2z00_4005 << 
(int)(((long)8))); 
BgL_arg1493z00_4017 = 
(long)(BgL_tmpz00_4947); } 
BgL_arg1494z00_4018 = 
(long)(BgL_v3z00_4007); 
BgL_arg1492z00_4016 = 
(BgL_arg1493z00_4017 | BgL_arg1494z00_4018); } 
BgL_arg1484z00_4011 = 
(uint32_t)(BgL_arg1492z00_4016); } 
BgL_vz00_4009 = 
(BgL_arg1483z00_4010 | BgL_arg1484z00_4011); } 
{ /* Unsafe/sha2.scm 709 */

BGL_U32VSET(BgL_v32z00_3890, BgL_iz00_3891, BgL_vz00_4009); BUNSPEC; 
return ((long)4);} } } } } }  else 
{ /* Unsafe/sha2.scm 712 */
 bool_t BgL_test2371z00_4956;
{ /* Unsafe/sha2.scm 712 */
 long BgL_tmpz00_4957;
{ /* Unsafe/sha2.scm 712 */
 long BgL_za72za7_4019;
BgL_za72za7_4019 = 
(long)(BgL_lz00_4000); 
BgL_tmpz00_4957 = 
(((long)1)+BgL_za72za7_4019); } 
BgL_test2371z00_4956 = 
(BgL_nz00_3893>=BgL_tmpz00_4957); } 
if(BgL_test2371z00_4956)
{ /* Unsafe/sha2.scm 712 */
{ /* Unsafe/sha2.scm 713 */
 uint32_t BgL_tmpz00_4961;
BgL_tmpz00_4961 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_v32z00_3890, BgL_iz00_3891, BgL_tmpz00_4961); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 716 */
 obj_t BgL_vz00_4020; long BgL_kz00_4021;
BgL_vz00_4020 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), 
(uint32_t)(((long)0))); 
{ /* Unsafe/sha2.scm 717 */
 long BgL_tmpz00_4966;
{ /* Unsafe/sha2.scm 717 */
 long BgL_za72za7_4022;
BgL_za72za7_4022 = 
(long)(BgL_lz00_4000); 
BgL_tmpz00_4966 = 
(
(BgL_nz00_3893+((long)4))-BgL_za72za7_4022); } 
BgL_kz00_4021 = 
(((long)4)-BgL_tmpz00_4966); } 
{ 
 long BgL_jz00_4024;
BgL_jz00_4024 = ((long)0); 
BgL_loopz00_4023:
if(
(BgL_jz00_4024==BgL_kz00_4021))
{ /* Unsafe/sha2.scm 719 */
{ /* Unsafe/sha2.scm 721 */
 uint32_t BgL_tmpz00_4973;
BgL_tmpz00_4973 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4020, BgL_jz00_4024, BgL_tmpz00_4973); } BUNSPEC; 
{ /* Unsafe/sha2.scm 722 */
 uint32_t BgL_v0z00_4025;
BgL_v0z00_4025 = 
BGL_U32VREF(BgL_vz00_4020, ((long)0)); 
{ /* Unsafe/sha2.scm 722 */
 uint32_t BgL_v1z00_4026;
BgL_v1z00_4026 = 
BGL_U32VREF(BgL_vz00_4020, ((long)1)); 
{ /* Unsafe/sha2.scm 723 */
 uint32_t BgL_v2z00_4027;
BgL_v2z00_4027 = 
BGL_U32VREF(BgL_vz00_4020, ((long)2)); 
{ /* Unsafe/sha2.scm 724 */
 uint32_t BgL_v3z00_4028;
BgL_v3z00_4028 = 
BGL_U32VREF(BgL_vz00_4020, ((long)3)); 
{ /* Unsafe/sha2.scm 725 */
 uint32_t BgL_vz00_4029;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_arg1504z00_4030; uint32_t BgL_arg1505z00_4031;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_arg1506z00_4032;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1507z00_4033;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1508z00_4034; long BgL_arg1509z00_4035;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_tmpz00_4980;
BgL_tmpz00_4980 = 
(BgL_v0z00_4025 << 
(int)(((long)8))); 
BgL_arg1508z00_4034 = 
(long)(BgL_tmpz00_4980); } 
BgL_arg1509z00_4035 = 
(long)(BgL_v1z00_4026); 
BgL_arg1507z00_4033 = 
(BgL_arg1508z00_4034 | BgL_arg1509z00_4035); } 
BgL_arg1506z00_4032 = 
(uint32_t)(BgL_arg1507z00_4033); } 
BgL_arg1504z00_4030 = 
(BgL_arg1506z00_4032 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1511z00_4036;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1513z00_4037; long BgL_arg1514z00_4038;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_tmpz00_4989;
BgL_tmpz00_4989 = 
(BgL_v2z00_4027 << 
(int)(((long)8))); 
BgL_arg1513z00_4037 = 
(long)(BgL_tmpz00_4989); } 
BgL_arg1514z00_4038 = 
(long)(BgL_v3z00_4028); 
BgL_arg1511z00_4036 = 
(BgL_arg1513z00_4037 | BgL_arg1514z00_4038); } 
BgL_arg1505z00_4031 = 
(uint32_t)(BgL_arg1511z00_4036); } 
BgL_vz00_4029 = 
(BgL_arg1504z00_4030 | BgL_arg1505z00_4031); } 
{ /* Unsafe/sha2.scm 726 */

BGL_U32VSET(BgL_v32z00_3890, BgL_iz00_3891, BgL_vz00_4029); BUNSPEC; 
return 
(BgL_jz00_4024+((long)1));} } } } } } }  else 
{ /* Unsafe/sha2.scm 719 */
{ /* Unsafe/sha2.scm 730 */
 long BgL_arg1516z00_4039;
BgL_arg1516z00_4039 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3892), 
(long)CINT(
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_nz00_3893), 
BINT(BgL_jz00_4024)))); 
{ /* Unsafe/sha2.scm 730 */
 uint32_t BgL_tmpz00_5005;
BgL_tmpz00_5005 = 
(uint32_t)(BgL_arg1516z00_4039); 
BGL_U32VSET(BgL_vz00_4020, BgL_jz00_4024, BgL_tmpz00_5005); } BUNSPEC; } 
{ 
 long BgL_jz00_5008;
BgL_jz00_5008 = 
(BgL_jz00_4024+((long)1)); 
BgL_jz00_4024 = BgL_jz00_5008; 
goto BgL_loopz00_4023;} } } } } } } } 

}



/* u32mmap-ref~1 */
long BGl_u32mmapzd2refze71z35zz__sha2z00(obj_t BgL_mmz00_1671, long BgL_iz00_1672)
{
{ /* Unsafe/sha2.scm 699 */
{ /* Unsafe/sha2.scm 699 */
 unsigned char BgL_arg1479z00_1674;
{ /* Unsafe/sha2.scm 699 */
 long BgL_tmpz00_5010;
BgL_tmpz00_5010 = 
(long)(BgL_iz00_1672); 
BgL_arg1479z00_1674 = 
BGL_MMAP_REF(BgL_mmz00_1671, BgL_tmpz00_5010); } 
return 
(BgL_arg1479z00_1674);} } 

}



/* sha256sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t BgL_strz00_40)
{
{ /* Unsafe/sha2.scm 741 */
{ /* Unsafe/sha2.scm 778 */
 obj_t BgL_statez00_1738; obj_t BgL_bufferz00_1739;
BgL_statez00_1738 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1739 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1738, BgL_bufferz00_1739, BgL_strz00_40, BGl_proc2312z00zz__sha2z00); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1738);} } 

}



/* &sha256sum-string */
obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_3895, obj_t BgL_strz00_3896)
{
{ /* Unsafe/sha2.scm 741 */
{ /* Unsafe/sha2.scm 744 */
 obj_t BgL_auxz00_5018;
if(
STRINGP(BgL_strz00_3896))
{ /* Unsafe/sha2.scm 744 */
BgL_auxz00_5018 = BgL_strz00_3896
; }  else 
{ 
 obj_t BgL_auxz00_5021;
BgL_auxz00_5021 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)32705)), BGl_string2313z00zz__sha2z00, BGl_string2314z00zz__sha2z00, BgL_strz00_3896); 
FAILURE(BgL_auxz00_5021,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_auxz00_5018);} } 

}



/* &fill-word32-string! */
long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_3897, obj_t BgL_v32z00_3898, long BgL_iz00_3899, obj_t BgL_strz00_3900, long BgL_nz00_3901)
{
{ /* Unsafe/sha2.scm 776 */
{ /* Unsafe/sha2.scm 747 */
 long BgL_lz00_4044;
BgL_lz00_4044 = 
STRING_LENGTH(
((obj_t)BgL_strz00_3900)); 
if(
(
(BgL_nz00_3901+((long)4))<=BgL_lz00_4044))
{ /* Unsafe/sha2.scm 750 */
 uint32_t BgL_v0z00_4045;
{ /* Unsafe/sha2.scm 750 */
 long BgL_tmpz00_5031;
BgL_tmpz00_5031 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3900), BgL_nz00_3901); 
BgL_v0z00_4045 = 
(uint32_t)(BgL_tmpz00_5031); } 
{ /* Unsafe/sha2.scm 750 */
 uint32_t BgL_v1z00_4046;
{ /* Unsafe/sha2.scm 751 */
 long BgL_tmpz00_5035;
BgL_tmpz00_5035 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3900), 
(BgL_nz00_3901+((long)1))); 
BgL_v1z00_4046 = 
(uint32_t)(BgL_tmpz00_5035); } 
{ /* Unsafe/sha2.scm 751 */
 uint32_t BgL_v2z00_4047;
{ /* Unsafe/sha2.scm 752 */
 long BgL_tmpz00_5040;
BgL_tmpz00_5040 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3900), 
(BgL_nz00_3901+((long)2))); 
BgL_v2z00_4047 = 
(uint32_t)(BgL_tmpz00_5040); } 
{ /* Unsafe/sha2.scm 752 */
 uint32_t BgL_v3z00_4048;
{ /* Unsafe/sha2.scm 753 */
 long BgL_tmpz00_5045;
BgL_tmpz00_5045 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3900), 
(BgL_nz00_3901+((long)3))); 
BgL_v3z00_4048 = 
(uint32_t)(BgL_tmpz00_5045); } 
{ /* Unsafe/sha2.scm 753 */
 uint32_t BgL_vz00_4049;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_arg1530z00_4050; uint32_t BgL_arg1531z00_4051;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_arg1532z00_4052;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1533z00_4053;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1534z00_4054; long BgL_arg1535z00_4055;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_tmpz00_5050;
BgL_tmpz00_5050 = 
(BgL_v0z00_4045 << 
(int)(((long)8))); 
BgL_arg1534z00_4054 = 
(long)(BgL_tmpz00_5050); } 
BgL_arg1535z00_4055 = 
(long)(BgL_v1z00_4046); 
BgL_arg1533z00_4053 = 
(BgL_arg1534z00_4054 | BgL_arg1535z00_4055); } 
BgL_arg1532z00_4052 = 
(uint32_t)(BgL_arg1533z00_4053); } 
BgL_arg1530z00_4050 = 
(BgL_arg1532z00_4052 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1537z00_4056;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1538z00_4057; long BgL_arg1539z00_4058;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_tmpz00_5059;
BgL_tmpz00_5059 = 
(BgL_v2z00_4047 << 
(int)(((long)8))); 
BgL_arg1538z00_4057 = 
(long)(BgL_tmpz00_5059); } 
BgL_arg1539z00_4058 = 
(long)(BgL_v3z00_4048); 
BgL_arg1537z00_4056 = 
(BgL_arg1538z00_4057 | BgL_arg1539z00_4058); } 
BgL_arg1531z00_4051 = 
(uint32_t)(BgL_arg1537z00_4056); } 
BgL_vz00_4049 = 
(BgL_arg1530z00_4050 | BgL_arg1531z00_4051); } 
{ /* Unsafe/sha2.scm 754 */

BGL_U32VSET(BgL_v32z00_3898, BgL_iz00_3899, BgL_vz00_4049); BUNSPEC; 
return ((long)4);} } } } } }  else 
{ /* Unsafe/sha2.scm 749 */
if(
(BgL_nz00_3901>=
(((long)1)+BgL_lz00_4044)))
{ /* Unsafe/sha2.scm 757 */
{ /* Unsafe/sha2.scm 758 */
 uint32_t BgL_tmpz00_5071;
BgL_tmpz00_5071 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_v32z00_3898, BgL_iz00_3899, BgL_tmpz00_5071); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 761 */
 obj_t BgL_vz00_4059; long BgL_kz00_4060;
BgL_vz00_4059 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), 
(uint32_t)(((long)0))); 
BgL_kz00_4060 = 
(((long)4)-
(
(BgL_nz00_3901+((long)4))-BgL_lz00_4044)); 
{ 
 long BgL_jz00_4062;
BgL_jz00_4062 = ((long)0); 
BgL_loopz00_4061:
if(
(BgL_jz00_4062==BgL_kz00_4060))
{ /* Unsafe/sha2.scm 764 */
{ /* Unsafe/sha2.scm 766 */
 uint32_t BgL_tmpz00_5081;
BgL_tmpz00_5081 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4059, BgL_jz00_4062, BgL_tmpz00_5081); } BUNSPEC; 
{ /* Unsafe/sha2.scm 767 */
 uint32_t BgL_v0z00_4063;
BgL_v0z00_4063 = 
BGL_U32VREF(BgL_vz00_4059, ((long)0)); 
{ /* Unsafe/sha2.scm 767 */
 uint32_t BgL_v1z00_4064;
BgL_v1z00_4064 = 
BGL_U32VREF(BgL_vz00_4059, ((long)1)); 
{ /* Unsafe/sha2.scm 768 */
 uint32_t BgL_v2z00_4065;
BgL_v2z00_4065 = 
BGL_U32VREF(BgL_vz00_4059, ((long)2)); 
{ /* Unsafe/sha2.scm 769 */
 uint32_t BgL_v3z00_4066;
BgL_v3z00_4066 = 
BGL_U32VREF(BgL_vz00_4059, ((long)3)); 
{ /* Unsafe/sha2.scm 770 */
 uint32_t BgL_vz00_4067;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_arg1550z00_4068; uint32_t BgL_arg1551z00_4069;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_arg1552z00_4070;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1553z00_4071;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1554z00_4072; long BgL_arg1555z00_4073;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_tmpz00_5088;
BgL_tmpz00_5088 = 
(BgL_v0z00_4063 << 
(int)(((long)8))); 
BgL_arg1554z00_4072 = 
(long)(BgL_tmpz00_5088); } 
BgL_arg1555z00_4073 = 
(long)(BgL_v1z00_4064); 
BgL_arg1553z00_4071 = 
(BgL_arg1554z00_4072 | BgL_arg1555z00_4073); } 
BgL_arg1552z00_4070 = 
(uint32_t)(BgL_arg1553z00_4071); } 
BgL_arg1550z00_4068 = 
(BgL_arg1552z00_4070 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1558z00_4074;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1560z00_4075; long BgL_arg1561z00_4076;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_tmpz00_5097;
BgL_tmpz00_5097 = 
(BgL_v2z00_4065 << 
(int)(((long)8))); 
BgL_arg1560z00_4075 = 
(long)(BgL_tmpz00_5097); } 
BgL_arg1561z00_4076 = 
(long)(BgL_v3z00_4066); 
BgL_arg1558z00_4074 = 
(BgL_arg1560z00_4075 | BgL_arg1561z00_4076); } 
BgL_arg1551z00_4069 = 
(uint32_t)(BgL_arg1558z00_4074); } 
BgL_vz00_4067 = 
(BgL_arg1550z00_4068 | BgL_arg1551z00_4069); } 
{ /* Unsafe/sha2.scm 771 */

BGL_U32VSET(BgL_v32z00_3898, BgL_iz00_3899, BgL_vz00_4067); BUNSPEC; 
return 
(BgL_jz00_4062+((long)1));} } } } } } }  else 
{ /* Unsafe/sha2.scm 764 */
{ /* Unsafe/sha2.scm 775 */
 long BgL_arg1563z00_4077;
BgL_arg1563z00_4077 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3900), 
(long)CINT(
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_nz00_3901), 
BINT(BgL_jz00_4062)))); 
{ /* Unsafe/sha2.scm 775 */
 uint32_t BgL_tmpz00_5113;
BgL_tmpz00_5113 = 
(uint32_t)(BgL_arg1563z00_4077); 
BGL_U32VSET(BgL_vz00_4059, BgL_jz00_4062, BgL_tmpz00_5113); } BUNSPEC; } 
{ 
 long BgL_jz00_5116;
BgL_jz00_5116 = 
(BgL_jz00_4062+((long)1)); 
BgL_jz00_4062 = BgL_jz00_5116; 
goto BgL_loopz00_4061;} } } } } } } 

}



/* u32string-ref~1 */
long BGl_u32stringzd2refze71z35zz__sha2z00(obj_t BgL_strz00_1742, long BgL_iz00_1743)
{
{ /* Unsafe/sha2.scm 744 */
return 
(
STRING_REF(BgL_strz00_1742, BgL_iz00_1743));} 

}



/* sha256sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_41)
{
{ /* Unsafe/sha2.scm 786 */
{ /* Unsafe/sha2.scm 786 */
 obj_t BgL_lenz00_3913;
BgL_lenz00_3913 = 
MAKE_CELL(
BINT(((long)0))); 
{ /* Unsafe/sha2.scm 788 */
 obj_t BgL_bufz00_1808;
{ /* Llib/srfi4.scm 451 */

BgL_bufz00_1808 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), (uint32_t)(0)); } 
{ /* Unsafe/sha2.scm 809 */
 obj_t BgL_fillzd2word32zd2portz12z12_3902;
{ 
 int BgL_tmpz00_5122;
BgL_tmpz00_5122 = 
(int)(((long)2)); 
BgL_fillzd2word32zd2portz12z12_3902 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word32zd2portz12z70zz__sha2z00, BgL_tmpz00_5122); } 
PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_3902, 
(int)(((long)0)), BgL_bufz00_1808); 
PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_3902, 
(int)(((long)1)), 
((obj_t)BgL_lenz00_3913)); 
{ /* Unsafe/sha2.scm 841 */
 obj_t BgL_statez00_1811; obj_t BgL_bufferz00_1812;
BgL_statez00_1811 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1812 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1811, BgL_bufferz00_1812, BgL_pz00_41, BgL_fillzd2word32zd2portz12z12_3902); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1811);} } } } } 

}



/* &sha256sum-port */
obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_3903, obj_t BgL_pz00_3904)
{
{ /* Unsafe/sha2.scm 786 */
{ /* Unsafe/sha2.scm 786 */
 obj_t BgL_auxz00_5134;
if(
INPUT_PORTP(BgL_pz00_3904))
{ /* Unsafe/sha2.scm 786 */
BgL_auxz00_5134 = BgL_pz00_3904
; }  else 
{ 
 obj_t BgL_auxz00_5137;
BgL_auxz00_5137 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)34139)), BGl_string2315z00zz__sha2z00, BGl_string2316z00zz__sha2z00, BgL_pz00_3904); 
FAILURE(BgL_auxz00_5137,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_auxz00_5134);} } 

}



/* &fill-word32-port! */
long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t BgL_envz00_3905, obj_t BgL_v32z00_3908, long BgL_iz00_3909, obj_t BgL_pz00_3910, long BgL_nz00_3911)
{
{ /* Unsafe/sha2.scm 839 */
{ /* Unsafe/sha2.scm 809 */
 obj_t BgL_bufz00_3906; obj_t BgL_lenz00_3907;
BgL_bufz00_3906 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3905, 
(int)(((long)0)))); 
BgL_lenz00_3907 = 
PROCEDURE_L_REF(BgL_envz00_3905, 
(int)(((long)1))); 
{ 
 obj_t BgL_pz00_4083;
{ /* Unsafe/sha2.scm 809 */
 long BgL_lz00_4090;
BgL_pz00_4083 = 
((obj_t)BgL_pz00_3910); 
{ 
 long BgL_iz00_4085;
BgL_iz00_4085 = ((long)0); 
BgL_loopz00_4084:
if(
(BgL_iz00_4085==((long)4)))
{ /* Unsafe/sha2.scm 794 */
BgL_lz00_4090 = BgL_iz00_4085; }  else 
{ /* Unsafe/sha2.scm 796 */
 obj_t BgL_cz00_4086;
BgL_cz00_4086 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_4083); 
if(
EOF_OBJECTP(BgL_cz00_4086))
{ 
 long BgL_jz00_4088;
BgL_jz00_4088 = BgL_iz00_4085; 
BgL_liipz00_4087:
if(
(BgL_jz00_4088==((long)4)))
{ /* Unsafe/sha2.scm 799 */
BgL_lz00_4090 = BgL_iz00_4085; }  else 
{ /* Unsafe/sha2.scm 799 */
{ /* Unsafe/sha2.scm 802 */
 uint32_t BgL_tmpz00_5154;
BgL_tmpz00_5154 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_bufz00_3906, BgL_jz00_4088, BgL_tmpz00_5154); } BUNSPEC; 
{ 
 long BgL_jz00_5157;
BgL_jz00_5157 = 
(BgL_jz00_4088+((long)1)); 
BgL_jz00_4088 = BgL_jz00_5157; 
goto BgL_liipz00_4087;} } }  else 
{ /* Unsafe/sha2.scm 797 */
{ /* Unsafe/sha2.scm 805 */
 uint32_t BgL_arg1622z00_4089;
{ /* Unsafe/sha2.scm 805 */
 char BgL_tmpz00_5159;
BgL_tmpz00_5159 = 
(signed char)CINT(BgL_cz00_4086); 
BgL_arg1622z00_4089 = 
(uint32_t)(BgL_tmpz00_5159); } 
BGL_U32VSET(BgL_bufz00_3906, BgL_iz00_4085, BgL_arg1622z00_4089); BUNSPEC; } 
{ 
 long BgL_iz00_5163;
BgL_iz00_5163 = 
(BgL_iz00_4085+((long)1)); 
BgL_iz00_4085 = BgL_iz00_5163; 
goto BgL_loopz00_4084;} } } } 
{ /* Unsafe/sha2.scm 810 */
 obj_t BgL_auxz00_4091;
BgL_auxz00_4091 = 
ADDFX(
CELL_REF(BgL_lenz00_3907), 
BINT(BgL_lz00_4090)); 
CELL_SET(BgL_lenz00_3907, BgL_auxz00_4091); } 
if(
(
(BgL_nz00_3911+((long)4))<=
(long)CINT(
CELL_REF(BgL_lenz00_3907))))
{ /* Unsafe/sha2.scm 813 */
 uint32_t BgL_v0z00_4092;
BgL_v0z00_4092 = 
BGL_U32VREF(BgL_bufz00_3906, ((long)0)); 
{ /* Unsafe/sha2.scm 813 */
 uint32_t BgL_v1z00_4093;
BgL_v1z00_4093 = 
BGL_U32VREF(BgL_bufz00_3906, ((long)1)); 
{ /* Unsafe/sha2.scm 814 */
 uint32_t BgL_v2z00_4094;
BgL_v2z00_4094 = 
BGL_U32VREF(BgL_bufz00_3906, ((long)2)); 
{ /* Unsafe/sha2.scm 815 */
 uint32_t BgL_v3z00_4095;
BgL_v3z00_4095 = 
BGL_U32VREF(BgL_bufz00_3906, ((long)3)); 
{ /* Unsafe/sha2.scm 816 */
 uint32_t BgL_vz00_4096;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_arg1576z00_4097; uint32_t BgL_arg1579z00_4098;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_arg1580z00_4099;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1581z00_4100;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1582z00_4101; long BgL_arg1584z00_4102;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_tmpz00_5176;
BgL_tmpz00_5176 = 
(BgL_v0z00_4092 << 
(int)(((long)8))); 
BgL_arg1582z00_4101 = 
(long)(BgL_tmpz00_5176); } 
BgL_arg1584z00_4102 = 
(long)(BgL_v1z00_4093); 
BgL_arg1581z00_4100 = 
(BgL_arg1582z00_4101 | BgL_arg1584z00_4102); } 
BgL_arg1580z00_4099 = 
(uint32_t)(BgL_arg1581z00_4100); } 
BgL_arg1576z00_4097 = 
(BgL_arg1580z00_4099 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1586z00_4103;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1587z00_4104; long BgL_arg1588z00_4105;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_tmpz00_5185;
BgL_tmpz00_5185 = 
(BgL_v2z00_4094 << 
(int)(((long)8))); 
BgL_arg1587z00_4104 = 
(long)(BgL_tmpz00_5185); } 
BgL_arg1588z00_4105 = 
(long)(BgL_v3z00_4095); 
BgL_arg1586z00_4103 = 
(BgL_arg1587z00_4104 | BgL_arg1588z00_4105); } 
BgL_arg1579z00_4098 = 
(uint32_t)(BgL_arg1586z00_4103); } 
BgL_vz00_4096 = 
(BgL_arg1576z00_4097 | BgL_arg1579z00_4098); } 
{ /* Unsafe/sha2.scm 817 */

BGL_U32VSET(BgL_v32z00_3908, BgL_iz00_3909, BgL_vz00_4096); BUNSPEC; 
return ((long)4);} } } } } }  else 
{ /* Unsafe/sha2.scm 812 */
if(
(BgL_nz00_3911>=
(((long)1)+
(long)CINT(
CELL_REF(BgL_lenz00_3907)))))
{ /* Unsafe/sha2.scm 820 */
{ /* Unsafe/sha2.scm 821 */
 uint32_t BgL_tmpz00_5198;
BgL_tmpz00_5198 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_v32z00_3908, BgL_iz00_3909, BgL_tmpz00_5198); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 824 */
 obj_t BgL_vz00_4106; long BgL_kz00_4107;
BgL_vz00_4106 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), 
(uint32_t)(((long)0))); 
BgL_kz00_4107 = 
(((long)4)-
(
(BgL_nz00_3911+((long)4))-
(long)CINT(
CELL_REF(BgL_lenz00_3907)))); 
{ 
 long BgL_jz00_4109;
BgL_jz00_4109 = ((long)0); 
BgL_loopz00_4108:
if(
(BgL_jz00_4109==BgL_kz00_4107))
{ /* Unsafe/sha2.scm 827 */
{ /* Unsafe/sha2.scm 829 */
 uint32_t BgL_tmpz00_5209;
BgL_tmpz00_5209 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4106, BgL_jz00_4109, BgL_tmpz00_5209); } BUNSPEC; 
{ /* Unsafe/sha2.scm 830 */
 uint32_t BgL_v0z00_4110;
BgL_v0z00_4110 = 
BGL_U32VREF(BgL_vz00_4106, ((long)0)); 
{ /* Unsafe/sha2.scm 830 */
 uint32_t BgL_v1z00_4111;
BgL_v1z00_4111 = 
BGL_U32VREF(BgL_vz00_4106, ((long)1)); 
{ /* Unsafe/sha2.scm 831 */
 uint32_t BgL_v2z00_4112;
BgL_v2z00_4112 = 
BGL_U32VREF(BgL_vz00_4106, ((long)2)); 
{ /* Unsafe/sha2.scm 832 */
 uint32_t BgL_v3z00_4113;
BgL_v3z00_4113 = 
BGL_U32VREF(BgL_vz00_4106, ((long)3)); 
{ /* Unsafe/sha2.scm 833 */
 uint32_t BgL_vz00_4114;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_arg1594z00_4115; uint32_t BgL_arg1595z00_4116;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_arg1596z00_4117;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1597z00_4118;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1598z00_4119; long BgL_arg1599z00_4120;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_tmpz00_5216;
BgL_tmpz00_5216 = 
(BgL_v0z00_4110 << 
(int)(((long)8))); 
BgL_arg1598z00_4119 = 
(long)(BgL_tmpz00_5216); } 
BgL_arg1599z00_4120 = 
(long)(BgL_v1z00_4111); 
BgL_arg1597z00_4118 = 
(BgL_arg1598z00_4119 | BgL_arg1599z00_4120); } 
BgL_arg1596z00_4117 = 
(uint32_t)(BgL_arg1597z00_4118); } 
BgL_arg1594z00_4115 = 
(BgL_arg1596z00_4117 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1602z00_4121;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1603z00_4122; long BgL_arg1604z00_4123;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_tmpz00_5225;
BgL_tmpz00_5225 = 
(BgL_v2z00_4112 << 
(int)(((long)8))); 
BgL_arg1603z00_4122 = 
(long)(BgL_tmpz00_5225); } 
BgL_arg1604z00_4123 = 
(long)(BgL_v3z00_4113); 
BgL_arg1602z00_4121 = 
(BgL_arg1603z00_4122 | BgL_arg1604z00_4123); } 
BgL_arg1595z00_4116 = 
(uint32_t)(BgL_arg1602z00_4121); } 
BgL_vz00_4114 = 
(BgL_arg1594z00_4115 | BgL_arg1595z00_4116); } 
{ /* Unsafe/sha2.scm 834 */

BGL_U32VSET(BgL_v32z00_3908, BgL_iz00_3909, BgL_vz00_4114); BUNSPEC; 
return 
(BgL_jz00_4109+((long)1));} } } } } } }  else 
{ /* Unsafe/sha2.scm 827 */
{ /* Unsafe/sha2.scm 838 */
 uint32_t BgL_arg1608z00_4124;
BgL_arg1608z00_4124 = 
BGL_U32VREF(BgL_bufz00_3906, BgL_jz00_4109); 
BGL_U32VSET(BgL_vz00_4106, BgL_jz00_4109, BgL_arg1608z00_4124); BUNSPEC; } 
{ 
 long BgL_jz00_5237;
BgL_jz00_5237 = 
(BgL_jz00_4109+((long)1)); 
BgL_jz00_4109 = BgL_jz00_5237; 
goto BgL_loopz00_4108;} } } } } } } } } 

}



/* sha256sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t BgL_fnamez00_42)
{
{ /* Unsafe/sha2.scm 849 */
{ /* Unsafe/sha2.scm 850 */
 obj_t BgL_mmz00_1891;
BgL_mmz00_1891 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_42, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_1891))
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_exitd1073z00_1893;
BgL_exitd1073z00_1893 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 854 */
 obj_t BgL_zc3z04anonymousza31625ze3z87_3915;
BgL_zc3z04anonymousza31625ze3z87_3915 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31625ze3ze5zz__sha2z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31625ze3z87_3915, 
(int)(((long)0)), BgL_mmz00_1891); 
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2282z00_3265;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2283z00_3266;
BgL_arg2283z00_3266 = 
BGL_EXITD_PROTECT(BgL_exitd1073z00_1893); 
BgL_arg2282z00_3265 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31625ze3z87_3915, BgL_arg2283z00_3266); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1073z00_1893, BgL_arg2282z00_3265); BUNSPEC; } 
{ /* Unsafe/sha2.scm 853 */
 obj_t BgL_tmp1075z00_1895;
BgL_tmp1075z00_1895 = 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_mmz00_1891); 
{ /* Unsafe/sha2.scm 852 */
 bool_t BgL_test2385z00_5252;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2281z00_3268;
BgL_arg2281z00_3268 = 
BGL_EXITD_PROTECT(BgL_exitd1073z00_1893); 
BgL_test2385z00_5252 = 
PAIRP(BgL_arg2281z00_3268); } 
if(BgL_test2385z00_5252)
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2279z00_3269;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2280z00_3270;
BgL_arg2280z00_3270 = 
BGL_EXITD_PROTECT(BgL_exitd1073z00_1893); 
BgL_arg2279z00_3269 = 
CDR(
((obj_t)BgL_arg2280z00_3270)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1073z00_1893, BgL_arg2279z00_3269); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 852 */BFALSE; } } 
BGl_z62zc3z04anonymousza31625ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31625ze3z87_3915); 
return BgL_tmp1075z00_1895;} } }  else 
{ /* Unsafe/sha2.scm 855 */
 obj_t BgL_pz00_1898;
{ /* Ieee/port.scm 440 */

BgL_pz00_1898 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_42, BTRUE, 
BINT(((long)5000000))); } 
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_exitd1077z00_1899;
BgL_exitd1077z00_1899 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 858 */
 obj_t BgL_zc3z04anonymousza31626ze3z87_3916;
BgL_zc3z04anonymousza31626ze3z87_3916 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31626ze3ze5zz__sha2z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31626ze3z87_3916, 
(int)(((long)0)), BgL_pz00_1898); 
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2282z00_3273;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2283z00_3274;
BgL_arg2283z00_3274 = 
BGL_EXITD_PROTECT(BgL_exitd1077z00_1899); 
BgL_arg2282z00_3273 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31626ze3z87_3916, BgL_arg2283z00_3274); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1077z00_1899, BgL_arg2282z00_3273); BUNSPEC; } 
{ /* Unsafe/sha2.scm 857 */
 obj_t BgL_tmp1079z00_1901;
BgL_tmp1079z00_1901 = 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_pz00_1898); 
{ /* Unsafe/sha2.scm 856 */
 bool_t BgL_test2386z00_5272;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2281z00_3276;
BgL_arg2281z00_3276 = 
BGL_EXITD_PROTECT(BgL_exitd1077z00_1899); 
BgL_test2386z00_5272 = 
PAIRP(BgL_arg2281z00_3276); } 
if(BgL_test2386z00_5272)
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2279z00_3277;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2280z00_3278;
BgL_arg2280z00_3278 = 
BGL_EXITD_PROTECT(BgL_exitd1077z00_1899); 
BgL_arg2279z00_3277 = 
CDR(
((obj_t)BgL_arg2280z00_3278)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1077z00_1899, BgL_arg2279z00_3277); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 856 */BFALSE; } } 
BGl_z62zc3z04anonymousza31626ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31626ze3z87_3916); 
return BgL_tmp1079z00_1901;} } } } } } 

}



/* &sha256sum-file */
obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_3917, obj_t BgL_fnamez00_3918)
{
{ /* Unsafe/sha2.scm 849 */
{ /* Unsafe/sha2.scm 850 */
 obj_t BgL_auxz00_5280;
if(
STRINGP(BgL_fnamez00_3918))
{ /* Unsafe/sha2.scm 850 */
BgL_auxz00_5280 = BgL_fnamez00_3918
; }  else 
{ 
 obj_t BgL_auxz00_5283;
BgL_auxz00_5283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)36025)), BGl_string2317z00zz__sha2z00, BGl_string2314z00zz__sha2z00, BgL_fnamez00_3918); 
FAILURE(BgL_auxz00_5283,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2filezd2zz__sha2z00(BgL_auxz00_5280);} } 

}



/* &<@anonymous:1625> */
obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__sha2z00(obj_t BgL_envz00_3919)
{
{ /* Unsafe/sha2.scm 852 */
{ /* Unsafe/sha2.scm 854 */
 obj_t BgL_mmz00_3920;
BgL_mmz00_3920 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3919, 
(int)(((long)0)))); 
return 
bgl_close_mmap(BgL_mmz00_3920);} } 

}



/* &<@anonymous:1626> */
obj_t BGl_z62zc3z04anonymousza31626ze3ze5zz__sha2z00(obj_t BgL_envz00_3921)
{
{ /* Unsafe/sha2.scm 856 */
{ /* Unsafe/sha2.scm 858 */
 obj_t BgL_pz00_3922;
BgL_pz00_3922 = 
PROCEDURE_REF(BgL_envz00_3921, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_3922));} } 

}



/* sha256sum */
BGL_EXPORTED_DEF obj_t BGl_sha256sumz00zz__sha2z00(obj_t BgL_objz00_43)
{
{ /* Unsafe/sha2.scm 863 */
if(
BGL_MMAPP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 865 */
return 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 865 */
if(
STRINGP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 867 */
return 
BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 867 */
if(
INPUT_PORTP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 869 */
return 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 869 */
return 
BGl_errorz00zz__errorz00(BGl_string2318z00zz__sha2z00, BGl_string2319z00zz__sha2z00, BgL_objz00_43);} } } } 

}



/* &sha256sum */
obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t BgL_envz00_3923, obj_t BgL_objz00_3924)
{
{ /* Unsafe/sha2.scm 863 */
return 
BGl_sha256sumz00zz__sha2z00(BgL_objz00_3924);} 

}



/* get64-a */
uint64_t BGl_get64zd2azd2zz__sha2z00(obj_t BgL_stz00_44)
{
{ /* Unsafe/sha2.scm 877 */
return 
BGL_U64VREF(BgL_stz00_44, ((long)0));} 

}



/* get64-b */
uint64_t BGl_get64zd2bzd2zz__sha2z00(obj_t BgL_stz00_45)
{
{ /* Unsafe/sha2.scm 878 */
return 
BGL_U64VREF(BgL_stz00_45, ((long)1));} 

}



/* get64-c */
uint64_t BGl_get64zd2czd2zz__sha2z00(obj_t BgL_stz00_46)
{
{ /* Unsafe/sha2.scm 879 */
return 
BGL_U64VREF(BgL_stz00_46, ((long)2));} 

}



/* get64-d */
uint64_t BGl_get64zd2dzd2zz__sha2z00(obj_t BgL_stz00_47)
{
{ /* Unsafe/sha2.scm 880 */
return 
BGL_U64VREF(BgL_stz00_47, ((long)3));} 

}



/* get64-e */
uint64_t BGl_get64zd2ezd2zz__sha2z00(obj_t BgL_stz00_48)
{
{ /* Unsafe/sha2.scm 881 */
return 
BGL_U64VREF(BgL_stz00_48, ((long)4));} 

}



/* get64-f */
uint64_t BGl_get64zd2fzd2zz__sha2z00(obj_t BgL_stz00_49)
{
{ /* Unsafe/sha2.scm 882 */
return 
BGL_U64VREF(BgL_stz00_49, ((long)5));} 

}



/* get64-g */
uint64_t BGl_get64zd2gzd2zz__sha2z00(obj_t BgL_stz00_50)
{
{ /* Unsafe/sha2.scm 883 */
return 
BGL_U64VREF(BgL_stz00_50, ((long)6));} 

}



/* get64-h */
uint64_t BGl_get64zd2hzd2zz__sha2z00(obj_t BgL_stz00_51)
{
{ /* Unsafe/sha2.scm 884 */
return 
BGL_U64VREF(BgL_stz00_51, ((long)7));} 

}



/* sha512-internal-transform */
obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_52, obj_t BgL_bufferz00_53)
{
{ /* Unsafe/sha2.scm 889 */
{ 
 obj_t BgL_statez00_2003; uint64_t BgL_az00_2004; uint64_t BgL_bz00_2005; uint64_t BgL_cz00_2006; uint64_t BgL_dz00_2007; uint64_t BgL_ez00_2008; uint64_t BgL_fz00_2009; uint64_t BgL_gz00_2010; uint64_t BgL_hz00_2011;
{ /* Unsafe/sha2.scm 924 */
 uint64_t BgL_g1081z00_1917; uint64_t BgL_g1082z00_1918; uint64_t BgL_g1083z00_1919; uint64_t BgL_g1084z00_1920; uint64_t BgL_g1085z00_1921; uint64_t BgL_g1086z00_1922; uint64_t BgL_g1087z00_1923; uint64_t BgL_g1088z00_1924;
BgL_g1081z00_1917 = 
BGl_get64zd2azd2zz__sha2z00(BgL_statez00_52); 
BgL_g1082z00_1918 = 
BGl_get64zd2bzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1083z00_1919 = 
BGl_get64zd2czd2zz__sha2z00(BgL_statez00_52); 
BgL_g1084z00_1920 = 
BGl_get64zd2dzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1085z00_1921 = 
BGl_get64zd2ezd2zz__sha2z00(BgL_statez00_52); 
BgL_g1086z00_1922 = 
BGl_get64zd2fzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1087z00_1923 = 
BGl_get64zd2gzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1088z00_1924 = 
BGl_get64zd2hzd2zz__sha2z00(BgL_statez00_52); 
{ 
 uint64_t BgL_az00_1926; uint64_t BgL_bz00_1927; uint64_t BgL_cz00_1928; uint64_t BgL_dz00_1929; uint64_t BgL_ez00_1930; uint64_t BgL_fz00_1931; uint64_t BgL_gz00_1932; uint64_t BgL_hz00_1933; long BgL_jz00_1934;
BgL_az00_1926 = BgL_g1081z00_1917; 
BgL_bz00_1927 = BgL_g1082z00_1918; 
BgL_cz00_1928 = BgL_g1083z00_1919; 
BgL_dz00_1929 = BgL_g1084z00_1920; 
BgL_ez00_1930 = BgL_g1085z00_1921; 
BgL_fz00_1931 = BgL_g1086z00_1922; 
BgL_gz00_1932 = BgL_g1087z00_1923; 
BgL_hz00_1933 = BgL_g1088z00_1924; 
BgL_jz00_1934 = ((long)0); 
BgL_zc3z04anonymousza31631ze3z87_1935:
if(
(BgL_jz00_1934<((long)16)))
{ /* Unsafe/sha2.scm 935 */
 uint64_t BgL_wz00_1937;
BgL_wz00_1937 = 
BGL_U64VREF(BgL_bufferz00_53, BgL_jz00_1934); 
{ /* Unsafe/sha2.scm 935 */
 uint64_t BgL_t1z00_1938;
BgL_t1z00_1938 = 
BGl_compressze70ze7zz__sha2z00(BgL_ez00_1930, BgL_fz00_1931, BgL_gz00_1932, BgL_hz00_1933, BgL_wz00_1937, BgL_jz00_1934); 
{ /* Unsafe/sha2.scm 936 */
 uint64_t BgL_t2z00_1939;
BgL_t2z00_1939 = 
(
BGl_Sigma0zd2512zd2zz__sha2z00(BgL_az00_1926)+
BGl_Majze70ze7zz__sha2z00(BgL_az00_1926, BgL_bz00_1927, BgL_cz00_1928)); 
{ /* Unsafe/sha2.scm 937 */

{ 
 long BgL_jz00_5340; uint64_t BgL_hz00_5339; uint64_t BgL_gz00_5338; uint64_t BgL_fz00_5337; uint64_t BgL_ez00_5335; uint64_t BgL_dz00_5334; uint64_t BgL_cz00_5333; uint64_t BgL_bz00_5332; uint64_t BgL_az00_5330;
BgL_az00_5330 = 
(BgL_t1z00_1938+BgL_t2z00_1939); 
BgL_bz00_5332 = BgL_az00_1926; 
BgL_cz00_5333 = BgL_bz00_1927; 
BgL_dz00_5334 = BgL_cz00_1928; 
BgL_ez00_5335 = 
(BgL_dz00_1929+BgL_t1z00_1938); 
BgL_fz00_5337 = BgL_ez00_1930; 
BgL_gz00_5338 = BgL_fz00_1931; 
BgL_hz00_5339 = BgL_gz00_1932; 
BgL_jz00_5340 = 
(BgL_jz00_1934+((long)1)); 
BgL_jz00_1934 = BgL_jz00_5340; 
BgL_hz00_1933 = BgL_hz00_5339; 
BgL_gz00_1932 = BgL_gz00_5338; 
BgL_fz00_1931 = BgL_fz00_5337; 
BgL_ez00_1930 = BgL_ez00_5335; 
BgL_dz00_1929 = BgL_dz00_5334; 
BgL_cz00_1928 = BgL_cz00_5333; 
BgL_bz00_1927 = BgL_bz00_5332; 
BgL_az00_1926 = BgL_az00_5330; 
goto BgL_zc3z04anonymousza31631ze3z87_1935;} } } } }  else 
{ /* Unsafe/sha2.scm 934 */
if(
(BgL_jz00_1934<((long)80)))
{ /* Unsafe/sha2.scm 940 */
 uint64_t BgL_s0z00_1947;
BgL_s0z00_1947 = 
BGl_sigma0zd2512zd2zz__sha2z00(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1934+((long)1)))); 
{ /* Unsafe/sha2.scm 940 */
 uint64_t BgL_s1z00_1948;
BgL_s1z00_1948 = 
BGl_sigma1zd2512zd2zz__sha2z00(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1934+((long)14)))); 
{ /* Unsafe/sha2.scm 941 */
 long BgL_ndxz00_1949;
BgL_ndxz00_1949 = 
(BgL_jz00_1934 & 
LLONG_TO_LONG(((BGL_LONGLONG_T)15))); 
{ /* Unsafe/sha2.scm 942 */
 uint64_t BgL_wz00_1950;
BgL_wz00_1950 = 
(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, BgL_jz00_1934)+
(BgL_s1z00_1948+
(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1934+((long)9)))+BgL_s0z00_1947))); 
{ /* Unsafe/sha2.scm 943 */
 uint64_t BgL_t1z00_1951;
BgL_t1z00_1951 = 
BGl_compressze70ze7zz__sha2z00(BgL_ez00_1930, BgL_fz00_1931, BgL_gz00_1932, BgL_hz00_1933, BgL_wz00_1950, BgL_jz00_1934); 
{ /* Unsafe/sha2.scm 944 */
 uint64_t BgL_t2z00_1952;
BgL_t2z00_1952 = 
(
BGl_Sigma0zd2512zd2zz__sha2z00(BgL_az00_1926)+
BGl_Majze70ze7zz__sha2z00(BgL_az00_1926, BgL_bz00_1927, BgL_cz00_1928)); 
{ /* Unsafe/sha2.scm 945 */

BGL_U64VSET(BgL_bufferz00_53, BgL_ndxz00_1949, BgL_wz00_1950); BUNSPEC; 
{ 
 long BgL_jz00_5373; uint64_t BgL_hz00_5372; uint64_t BgL_gz00_5371; uint64_t BgL_fz00_5370; uint64_t BgL_ez00_5368; uint64_t BgL_dz00_5367; uint64_t BgL_cz00_5366; uint64_t BgL_bz00_5365; uint64_t BgL_az00_5363;
BgL_az00_5363 = 
(BgL_t1z00_1951+BgL_t2z00_1952); 
BgL_bz00_5365 = BgL_az00_1926; 
BgL_cz00_5366 = BgL_bz00_1927; 
BgL_dz00_5367 = BgL_cz00_1928; 
BgL_ez00_5368 = 
(BgL_dz00_1929+BgL_t1z00_1951); 
BgL_fz00_5370 = BgL_ez00_1930; 
BgL_gz00_5371 = BgL_fz00_1931; 
BgL_hz00_5372 = BgL_gz00_1932; 
BgL_jz00_5373 = 
(BgL_jz00_1934+((long)1)); 
BgL_jz00_1934 = BgL_jz00_5373; 
BgL_hz00_1933 = BgL_hz00_5372; 
BgL_gz00_1932 = BgL_gz00_5371; 
BgL_fz00_1931 = BgL_fz00_5370; 
BgL_ez00_1930 = BgL_ez00_5368; 
BgL_dz00_1929 = BgL_dz00_5367; 
BgL_cz00_1928 = BgL_cz00_5366; 
BgL_bz00_1927 = BgL_bz00_5365; 
BgL_az00_1926 = BgL_az00_5363; 
goto BgL_zc3z04anonymousza31631ze3z87_1935;} } } } } } } }  else 
{ /* Unsafe/sha2.scm 939 */
BgL_statez00_2003 = BgL_statez00_52; 
BgL_az00_2004 = BgL_az00_1926; 
BgL_bz00_2005 = BgL_bz00_1927; 
BgL_cz00_2006 = BgL_cz00_1928; 
BgL_dz00_2007 = BgL_dz00_1929; 
BgL_ez00_2008 = BgL_ez00_1930; 
BgL_fz00_2009 = BgL_fz00_1931; 
BgL_gz00_2010 = BgL_gz00_1932; 
BgL_hz00_2011 = BgL_hz00_1933; 
{ /* Unsafe/sha2.scm 906 */
 uint64_t BgL_oaz00_2013; uint64_t BgL_obz00_2014; uint64_t BgL_ocz00_2015; uint64_t BgL_odz00_2016; uint64_t BgL_oez00_2017; uint64_t BgL_ofz00_2018; uint64_t BgL_ogz00_2019; uint64_t BgL_ohz00_2020;
BgL_oaz00_2013 = 
BGl_get64zd2azd2zz__sha2z00(BgL_statez00_2003); 
BgL_obz00_2014 = 
BGl_get64zd2bzd2zz__sha2z00(BgL_statez00_2003); 
BgL_ocz00_2015 = 
BGl_get64zd2czd2zz__sha2z00(BgL_statez00_2003); 
BgL_odz00_2016 = 
BGl_get64zd2dzd2zz__sha2z00(BgL_statez00_2003); 
BgL_oez00_2017 = 
BGl_get64zd2ezd2zz__sha2z00(BgL_statez00_2003); 
BgL_ofz00_2018 = 
BGl_get64zd2fzd2zz__sha2z00(BgL_statez00_2003); 
BgL_ogz00_2019 = 
BGl_get64zd2gzd2zz__sha2z00(BgL_statez00_2003); 
BgL_ohz00_2020 = 
BGl_get64zd2hzd2zz__sha2z00(BgL_statez00_2003); 
{ /* Unsafe/sha2.scm 915 */
 uint64_t BgL_arg1683z00_2022;
BgL_arg1683z00_2022 = 
(BgL_oaz00_2013+BgL_az00_2004); 
BGL_U64VSET(BgL_statez00_2003, ((long)0), BgL_arg1683z00_2022); BUNSPEC; } 
{ /* Unsafe/sha2.scm 916 */
 uint64_t BgL_arg1684z00_2023;
BgL_arg1684z00_2023 = 
(BgL_obz00_2014+BgL_bz00_2005); 
BGL_U64VSET(BgL_statez00_2003, ((long)1), BgL_arg1684z00_2023); BUNSPEC; } 
{ /* Unsafe/sha2.scm 917 */
 uint64_t BgL_arg1685z00_2024;
BgL_arg1685z00_2024 = 
(BgL_ocz00_2015+BgL_cz00_2006); 
BGL_U64VSET(BgL_statez00_2003, ((long)2), BgL_arg1685z00_2024); BUNSPEC; } 
{ /* Unsafe/sha2.scm 918 */
 uint64_t BgL_arg1686z00_2025;
BgL_arg1686z00_2025 = 
(BgL_odz00_2016+BgL_dz00_2007); 
BGL_U64VSET(BgL_statez00_2003, ((long)3), BgL_arg1686z00_2025); BUNSPEC; } 
{ /* Unsafe/sha2.scm 919 */
 uint64_t BgL_arg1687z00_2026;
BgL_arg1687z00_2026 = 
(BgL_oez00_2017+BgL_ez00_2008); 
BGL_U64VSET(BgL_statez00_2003, ((long)4), BgL_arg1687z00_2026); BUNSPEC; } 
{ /* Unsafe/sha2.scm 920 */
 uint64_t BgL_arg1688z00_2027;
BgL_arg1688z00_2027 = 
(BgL_ofz00_2018+BgL_fz00_2009); 
BGL_U64VSET(BgL_statez00_2003, ((long)5), BgL_arg1688z00_2027); BUNSPEC; } 
{ /* Unsafe/sha2.scm 921 */
 uint64_t BgL_arg1689z00_2028;
BgL_arg1689z00_2028 = 
(BgL_ogz00_2019+BgL_gz00_2010); 
BGL_U64VSET(BgL_statez00_2003, ((long)6), BgL_arg1689z00_2028); BUNSPEC; } 
{ /* Unsafe/sha2.scm 922 */
 uint64_t BgL_arg1690z00_2029;
BgL_arg1690z00_2029 = 
(BgL_ohz00_2020+BgL_hz00_2011); 
BGL_U64VSET(BgL_statez00_2003, ((long)7), BgL_arg1690z00_2029); BUNSPEC; } } 
return BgL_statez00_52;} } } } } } 

}



/* xf-ref~0 */
uint64_t BGl_xfzd2refze70z35zz__sha2z00(obj_t BgL_vz00_1999, long BgL_nz00_2000)
{
{ /* Unsafe/sha2.scm 901 */
{ /* Unsafe/sha2.scm 901 */
 long BgL_tmpz00_5399;
BgL_tmpz00_5399 = 
(BgL_nz00_2000 & ((long)15)); 
return 
BGL_U64VREF(BgL_vz00_1999, BgL_tmpz00_5399);} } 

}



/* compress~0 */
uint64_t BGl_compressze70ze7zz__sha2z00(uint64_t BgL_ez00_1986, uint64_t BgL_fz00_1987, uint64_t BgL_gz00_1988, uint64_t BgL_hz00_1989, uint64_t BgL_wz00_1990, long BgL_jz00_1991)
{
{ /* Unsafe/sha2.scm 898 */
{ 
 uint64_t BgL_xz00_1979; uint64_t BgL_yz00_1980; uint64_t BgL_za7za7_1981;
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1671z00_1993;
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1672z00_1994; uint64_t BgL_arg1673z00_1995;
BgL_arg1672z00_1994 = 
BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1986); 
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1674z00_1996; uint64_t BgL_arg1675z00_1997;
BgL_xz00_1979 = BgL_ez00_1986; 
BgL_yz00_1980 = BgL_fz00_1987; 
BgL_za7za7_1981 = BgL_gz00_1988; 
BgL_arg1674z00_1996 = 
(
(BgL_xz00_1979 & BgL_yz00_1980) ^ 
(
~(BgL_xz00_1979) & BgL_za7za7_1981)); 
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1677z00_1998;
BgL_arg1677z00_1998 = 
BGL_U64VREF(BGl_K512z00zz__sha2z00, BgL_jz00_1991); 
BgL_arg1675z00_1997 = 
(BgL_arg1677z00_1998+BgL_wz00_1990); } 
BgL_arg1673z00_1995 = 
(BgL_arg1674z00_1996+BgL_arg1675z00_1997); } 
BgL_arg1671z00_1993 = 
(BgL_arg1672z00_1994+BgL_arg1673z00_1995); } 
return 
(BgL_hz00_1989+BgL_arg1671z00_1993);} } } 

}



/* Maj~0 */
uint64_t BGl_Majze70ze7zz__sha2z00(uint64_t BgL_xz00_1971, uint64_t BgL_yz00_1972, uint64_t BgL_za7za7_1973)
{
{ /* Unsafe/sha2.scm 892 */
return 
(
(BgL_xz00_1971 & BgL_yz00_1972) ^ 
(
(BgL_xz00_1971 & BgL_za7za7_1973) ^ 
(BgL_yz00_1972 & BgL_za7za7_1973)));} 

}



/* sha512-update */
obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t BgL_statez00_54, obj_t BgL_bufferz00_55, obj_t BgL_oz00_56, obj_t BgL_fillzd2wordz12zc0_57)
{
{ /* Unsafe/sha2.scm 955 */
{ 
 obj_t BgL_vz00_2069; long BgL_lenz00_2070; uint64_t BgL_valz00_2071; obj_t BgL_bufferz00_2055; long BgL_iz00_2056;
{ 
 long BgL_iz00_2038; long BgL_lz00_2039;
BgL_iz00_2038 = ((long)0); 
BgL_lz00_2039 = ((long)0); 
BgL_zc3z04anonymousza31691ze3z87_2040:
{ /* Unsafe/sha2.scm 975 */
 long BgL_bytesz00_2041;
BgL_bufferz00_2055 = BgL_bufferz00_55; 
BgL_iz00_2056 = BgL_iz00_2038; 
{ 
 long BgL_jz00_2059; long BgL_iz00_2060; long BgL_nz00_2061;
BgL_jz00_2059 = ((long)0); 
BgL_iz00_2060 = BgL_iz00_2056; 
BgL_nz00_2061 = ((long)0); 
BgL_zc3z04anonymousza31709ze3z87_2062:
if(
(BgL_jz00_2059<((long)16)))
{ /* Unsafe/sha2.scm 964 */
 long BgL_arg1711z00_2064; long BgL_arg1712z00_2065; long BgL_arg1713z00_2066;
BgL_arg1711z00_2064 = 
(BgL_jz00_2059+((long)1)); 
BgL_arg1712z00_2065 = 
(BgL_iz00_2060+((long)8)); 
{ /* Unsafe/sha2.scm 964 */
 long BgL_arg1718z00_2067;
BgL_arg1718z00_2067 = 
((long(*)())PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_57))(BgL_fillzd2wordz12zc0_57, BgL_bufferz00_2055, BgL_jz00_2059, BgL_oz00_56, BgL_iz00_2060); 
BgL_arg1713z00_2066 = 
(long)CINT(
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_nz00_2061), 
BINT(BgL_arg1718z00_2067))); } 
{ 
 long BgL_nz00_5434; long BgL_iz00_5433; long BgL_jz00_5432;
BgL_jz00_5432 = BgL_arg1711z00_2064; 
BgL_iz00_5433 = BgL_arg1712z00_2065; 
BgL_nz00_5434 = BgL_arg1713z00_2066; 
BgL_nz00_2061 = BgL_nz00_5434; 
BgL_iz00_2060 = BgL_iz00_5433; 
BgL_jz00_2059 = BgL_jz00_5432; 
goto BgL_zc3z04anonymousza31709ze3z87_2062;} }  else 
{ /* Unsafe/sha2.scm 963 */
BgL_bytesz00_2041 = BgL_nz00_2061; } } 
if(
(BgL_bytesz00_2041==((long)128)))
{ /* Unsafe/sha2.scm 977 */
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55); 
{ 
 long BgL_lz00_5440; long BgL_iz00_5438;
BgL_iz00_5438 = 
(BgL_iz00_2038+((long)128)); 
BgL_lz00_5440 = 
(BgL_lz00_2039+((long)128)); 
BgL_lz00_2039 = BgL_lz00_5440; 
BgL_iz00_2038 = BgL_iz00_5438; 
goto BgL_zc3z04anonymousza31691ze3z87_2040;} }  else 
{ /* Unsafe/sha2.scm 977 */
if(
(
(((long)128)-BgL_bytesz00_2041)>=((long)8)))
{ /* Unsafe/sha2.scm 981 */
{ /* Unsafe/sha2.scm 984 */
 uint64_t BgL_ulenz00_2047;
{ /* Unsafe/sha2.scm 984 */
 long BgL_tmpz00_5445;
BgL_tmpz00_5445 = 
(((long)8)*
(
(BgL_lz00_2039-((long)1))+BgL_bytesz00_2041)); 
BgL_ulenz00_2047 = 
(uint64_t)(BgL_tmpz00_5445); } 
BGL_U64VSET(BgL_bufferz00_55, ((long)15), BgL_ulenz00_2047); BUNSPEC; } 
return 
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55);}  else 
{ /* Unsafe/sha2.scm 981 */
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55); 
BgL_vz00_2069 = BgL_bufferz00_55; 
BgL_lenz00_2070 = ((long)15); 
BgL_valz00_2071 = (uint64_t)(0); 
{ 
 long BgL_iz00_2074;
BgL_iz00_2074 = ((long)0); 
BgL_zc3z04anonymousza31720ze3z87_2075:
if(
(BgL_iz00_2074<BgL_lenz00_2070))
{ /* Unsafe/sha2.scm 969 */
BGL_U64VSET(BgL_vz00_2069, BgL_iz00_2074, BgL_valz00_2071); BUNSPEC; 
{ 
 long BgL_iz00_5456;
BgL_iz00_5456 = 
(BgL_iz00_2074+((long)1)); 
BgL_iz00_2074 = BgL_iz00_5456; 
goto BgL_zc3z04anonymousza31720ze3z87_2075;} }  else 
{ /* Unsafe/sha2.scm 969 */((bool_t)0); } } 
{ /* Unsafe/sha2.scm 991 */
 uint64_t BgL_ulenz00_2050;
{ /* Unsafe/sha2.scm 991 */
 long BgL_tmpz00_5458;
BgL_tmpz00_5458 = 
(((long)8)*
(
(BgL_lz00_2039-((long)1))+BgL_bytesz00_2041)); 
BgL_ulenz00_2050 = 
(uint64_t)(BgL_tmpz00_5458); } 
BGL_U64VSET(BgL_bufferz00_55, ((long)15), BgL_ulenz00_2050); BUNSPEC; } 
return 
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55);} } } } } } 

}



/* sha512sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_58)
{
{ /* Unsafe/sha2.scm 998 */
{ /* Unsafe/sha2.scm 1001 */
 obj_t BgL_fillzd2word64zd2mmapz12z12_3925;
{ 
 int BgL_tmpz00_5465;
BgL_tmpz00_5465 = 
(int)(((long)1)); 
BgL_fillzd2word64zd2mmapz12z12_3925 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00, BgL_tmpz00_5465); } 
PROCEDURE_L_SET(BgL_fillzd2word64zd2mmapz12z12_3925, 
(int)(((long)0)), BgL_mmz00_58); 
{ /* Unsafe/sha2.scm 1045 */
 obj_t BgL_statez00_2083; obj_t BgL_bufferz00_2084;
BgL_statez00_2083 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2084 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)16), (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2083, BgL_bufferz00_2084, BgL_mmz00_58, BgL_fillzd2word64zd2mmapz12z12_3925); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2083);} } } 

}



/* &sha512sum-mmap */
obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_3926, obj_t BgL_mmz00_3927)
{
{ /* Unsafe/sha2.scm 998 */
{ /* Unsafe/sha2.scm 1001 */
 obj_t BgL_auxz00_5474;
if(
BGL_MMAPP(BgL_mmz00_3927))
{ /* Unsafe/sha2.scm 1001 */
BgL_auxz00_5474 = BgL_mmz00_3927
; }  else 
{ 
 obj_t BgL_auxz00_5477;
BgL_auxz00_5477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)41684)), BGl_string2320z00zz__sha2z00, BGl_string2311z00zz__sha2z00, BgL_mmz00_3927); 
FAILURE(BgL_auxz00_5477,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_auxz00_5474);} } 

}



/* &fill-word64-mmap! */
long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_3928, obj_t BgL_v64z00_3930, long BgL_iz00_3931, obj_t BgL_mmz00_3932, long BgL_nz00_3933)
{
{ /* Unsafe/sha2.scm 1043 */
{ /* Unsafe/sha2.scm 1004 */
 obj_t BgL_mmz00_3929;
BgL_mmz00_3929 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3928, 
(int)(((long)0)))); 
{ /* Unsafe/sha2.scm 1004 */
 long BgL_lz00_4129;
{ /* Unsafe/sha2.scm 1004 */
 obj_t BgL_tmpz00_5485;
BgL_tmpz00_5485 = 
((obj_t)BgL_mmz00_3932); 
BgL_lz00_4129 = 
BGL_MMAP_LENGTH(BgL_tmpz00_5485); } 
{ /* Unsafe/sha2.scm 1006 */
 bool_t BgL_test2398z00_5488;
{ /* Unsafe/sha2.scm 1006 */
 long BgL_n2z00_4130;
BgL_n2z00_4130 = 
(long)(BgL_lz00_4129); 
BgL_test2398z00_5488 = 
(
(BgL_nz00_3933+((long)8))<=BgL_n2z00_4130); } 
if(BgL_test2398z00_5488)
{ /* Unsafe/sha2.scm 1007 */
 uint32_t BgL_v0z00_4131;
{ /* Unsafe/sha2.scm 1007 */
 long BgL_tmpz00_5492;
BgL_tmpz00_5492 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), BgL_nz00_3933); 
BgL_v0z00_4131 = 
(uint32_t)(BgL_tmpz00_5492); } 
{ /* Unsafe/sha2.scm 1007 */
 uint32_t BgL_v1z00_4132;
{ /* Unsafe/sha2.scm 1008 */
 long BgL_arg1762z00_4133;
BgL_arg1762z00_4133 = 
(BgL_nz00_3933+((long)1)); 
{ /* Unsafe/sha2.scm 1008 */
 long BgL_tmpz00_5497;
BgL_tmpz00_5497 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), BgL_arg1762z00_4133); 
BgL_v1z00_4132 = 
(uint32_t)(BgL_tmpz00_5497); } } 
{ /* Unsafe/sha2.scm 1008 */
 uint32_t BgL_v2z00_4134;
{ /* Unsafe/sha2.scm 1009 */
 long BgL_arg1761z00_4135;
BgL_arg1761z00_4135 = 
(BgL_nz00_3933+((long)2)); 
{ /* Unsafe/sha2.scm 1009 */
 long BgL_tmpz00_5502;
BgL_tmpz00_5502 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), BgL_arg1761z00_4135); 
BgL_v2z00_4134 = 
(uint32_t)(BgL_tmpz00_5502); } } 
{ /* Unsafe/sha2.scm 1009 */
 uint32_t BgL_v3z00_4136;
{ /* Unsafe/sha2.scm 1010 */
 long BgL_arg1760z00_4137;
BgL_arg1760z00_4137 = 
(BgL_nz00_3933+((long)3)); 
{ /* Unsafe/sha2.scm 1010 */
 long BgL_tmpz00_5507;
BgL_tmpz00_5507 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), BgL_arg1760z00_4137); 
BgL_v3z00_4136 = 
(uint32_t)(BgL_tmpz00_5507); } } 
{ /* Unsafe/sha2.scm 1010 */
 uint32_t BgL_v4z00_4138;
{ /* Unsafe/sha2.scm 1011 */
 long BgL_arg1758z00_4139;
BgL_arg1758z00_4139 = 
(BgL_nz00_3933+((long)4)); 
{ /* Unsafe/sha2.scm 1011 */
 long BgL_tmpz00_5512;
BgL_tmpz00_5512 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), BgL_arg1758z00_4139); 
BgL_v4z00_4138 = 
(uint32_t)(BgL_tmpz00_5512); } } 
{ /* Unsafe/sha2.scm 1011 */
 uint32_t BgL_v5z00_4140;
{ /* Unsafe/sha2.scm 1012 */
 long BgL_arg1757z00_4141;
BgL_arg1757z00_4141 = 
(BgL_nz00_3933+((long)5)); 
{ /* Unsafe/sha2.scm 1012 */
 long BgL_tmpz00_5517;
BgL_tmpz00_5517 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), BgL_arg1757z00_4141); 
BgL_v5z00_4140 = 
(uint32_t)(BgL_tmpz00_5517); } } 
{ /* Unsafe/sha2.scm 1012 */
 uint32_t BgL_v6z00_4142;
{ /* Unsafe/sha2.scm 1013 */
 long BgL_arg1756z00_4143;
BgL_arg1756z00_4143 = 
(BgL_nz00_3933+((long)6)); 
{ /* Unsafe/sha2.scm 1013 */
 long BgL_tmpz00_5522;
BgL_tmpz00_5522 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), BgL_arg1756z00_4143); 
BgL_v6z00_4142 = 
(uint32_t)(BgL_tmpz00_5522); } } 
{ /* Unsafe/sha2.scm 1013 */
 uint32_t BgL_v7z00_4144;
{ /* Unsafe/sha2.scm 1014 */
 long BgL_arg1755z00_4145;
BgL_arg1755z00_4145 = 
(BgL_nz00_3933+((long)7)); 
{ /* Unsafe/sha2.scm 1014 */
 long BgL_tmpz00_5527;
BgL_tmpz00_5527 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), BgL_arg1755z00_4145); 
BgL_v7z00_4144 = 
(uint32_t)(BgL_tmpz00_5527); } } 
{ /* Unsafe/sha2.scm 1014 */
 uint64_t BgL_vz00_4146;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1728z00_4147; uint64_t BgL_arg1729z00_4148;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1730z00_4149;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1731z00_4150;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1732z00_4151; long BgL_arg1733z00_4152;
{ /* Unsafe/sha2.scm 1015 */
 uint32_t BgL_tmpz00_5531;
BgL_tmpz00_5531 = 
(BgL_v0z00_4131 << 
(int)(((long)8))); 
BgL_arg1732z00_4151 = 
(long)(BgL_tmpz00_5531); } 
BgL_arg1733z00_4152 = 
(long)(BgL_v1z00_4132); 
BgL_arg1731z00_4150 = 
(BgL_arg1732z00_4151 | BgL_arg1733z00_4152); } 
BgL_arg1730z00_4149 = 
(uint64_t)(BgL_arg1731z00_4150); } 
BgL_arg1728z00_4147 = 
(BgL_arg1730z00_4149 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1735z00_4153; uint64_t BgL_arg1736z00_4154;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1737z00_4155;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1738z00_4156;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1739z00_4157; long BgL_arg1740z00_4158;
{ /* Unsafe/sha2.scm 1015 */
 uint32_t BgL_tmpz00_5540;
BgL_tmpz00_5540 = 
(BgL_v2z00_4134 << 
(int)(((long)8))); 
BgL_arg1739z00_4157 = 
(long)(BgL_tmpz00_5540); } 
BgL_arg1740z00_4158 = 
(long)(BgL_v3z00_4136); 
BgL_arg1738z00_4156 = 
(BgL_arg1739z00_4157 | BgL_arg1740z00_4158); } 
BgL_arg1737z00_4155 = 
(uint64_t)(BgL_arg1738z00_4156); } 
BgL_arg1735z00_4153 = 
(BgL_arg1737z00_4155 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1016 */
 uint64_t BgL_arg1742z00_4159; uint64_t BgL_arg1744z00_4160;
{ /* Unsafe/sha2.scm 1016 */
 uint64_t BgL_arg1745z00_4161;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1747z00_4162;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1748z00_4163; long BgL_arg1749z00_4164;
{ /* Unsafe/sha2.scm 1016 */
 uint32_t BgL_tmpz00_5549;
BgL_tmpz00_5549 = 
(BgL_v4z00_4138 << 
(int)(((long)8))); 
BgL_arg1748z00_4163 = 
(long)(BgL_tmpz00_5549); } 
BgL_arg1749z00_4164 = 
(long)(BgL_v5z00_4140); 
BgL_arg1747z00_4162 = 
(BgL_arg1748z00_4163 | BgL_arg1749z00_4164); } 
BgL_arg1745z00_4161 = 
(uint64_t)(BgL_arg1747z00_4162); } 
BgL_arg1742z00_4159 = 
(BgL_arg1745z00_4161 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1751z00_4165;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1752z00_4166; long BgL_arg1753z00_4167;
{ /* Unsafe/sha2.scm 1016 */
 uint32_t BgL_tmpz00_5558;
BgL_tmpz00_5558 = 
(BgL_v6z00_4142 << 
(int)(((long)8))); 
BgL_arg1752z00_4166 = 
(long)(BgL_tmpz00_5558); } 
BgL_arg1753z00_4167 = 
(long)(BgL_v7z00_4144); 
BgL_arg1751z00_4165 = 
(BgL_arg1752z00_4166 | BgL_arg1753z00_4167); } 
BgL_arg1744z00_4160 = 
(uint64_t)(BgL_arg1751z00_4165); } 
BgL_arg1736z00_4154 = 
(BgL_arg1742z00_4159 | BgL_arg1744z00_4160); } 
BgL_arg1729z00_4148 = 
(BgL_arg1735z00_4153 | BgL_arg1736z00_4154); } 
BgL_vz00_4146 = 
(BgL_arg1728z00_4147 | BgL_arg1729z00_4148); } 
{ /* Unsafe/sha2.scm 1015 */

BGL_U64VSET(BgL_v64z00_3930, BgL_iz00_3931, BgL_vz00_4146); BUNSPEC; 
return ((long)8);} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1019 */
 bool_t BgL_test2399z00_5569;
{ /* Unsafe/sha2.scm 1019 */
 long BgL_tmpz00_5570;
{ /* Unsafe/sha2.scm 1019 */
 long BgL_za72za7_4168;
BgL_za72za7_4168 = 
(long)(BgL_lz00_4129); 
BgL_tmpz00_5570 = 
(((long)1)+BgL_za72za7_4168); } 
BgL_test2399z00_5569 = 
(BgL_nz00_3933>=BgL_tmpz00_5570); } 
if(BgL_test2399z00_5569)
{ /* Unsafe/sha2.scm 1019 */
BGL_U64VSET(BgL_v64z00_3930, BgL_iz00_3931, (uint64_t)(0)); BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 1023 */
 obj_t BgL_vz00_4169; long BgL_kz00_4170;
BgL_vz00_4169 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), 
(uint32_t)(((long)0))); 
{ /* Unsafe/sha2.scm 1024 */
 long BgL_tmpz00_5577;
{ /* Unsafe/sha2.scm 1024 */
 long BgL_za72za7_4171;
BgL_za72za7_4171 = 
(long)(BgL_lz00_4129); 
BgL_tmpz00_5577 = 
(
(BgL_nz00_3933+((long)8))-BgL_za72za7_4171); } 
BgL_kz00_4170 = 
(((long)8)-BgL_tmpz00_5577); } 
{ 
 long BgL_jz00_4173;
BgL_jz00_4173 = ((long)0); 
BgL_loopz00_4172:
if(
(BgL_jz00_4173==BgL_kz00_4170))
{ /* Unsafe/sha2.scm 1026 */
{ /* Unsafe/sha2.scm 1028 */
 uint32_t BgL_tmpz00_5584;
BgL_tmpz00_5584 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4169, BgL_jz00_4173, BgL_tmpz00_5584); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1029 */
 uint32_t BgL_v0z00_4174;
BgL_v0z00_4174 = 
BGL_U32VREF(BgL_vz00_4169, ((long)0)); 
{ /* Unsafe/sha2.scm 1029 */
 uint32_t BgL_v1z00_4175;
BgL_v1z00_4175 = 
BGL_U32VREF(BgL_vz00_4169, ((long)1)); 
{ /* Unsafe/sha2.scm 1030 */
 uint32_t BgL_v2z00_4176;
BgL_v2z00_4176 = 
BGL_U32VREF(BgL_vz00_4169, ((long)2)); 
{ /* Unsafe/sha2.scm 1031 */
 uint32_t BgL_v3z00_4177;
BgL_v3z00_4177 = 
BGL_U32VREF(BgL_vz00_4169, ((long)3)); 
{ /* Unsafe/sha2.scm 1032 */
 uint32_t BgL_v4z00_4178;
BgL_v4z00_4178 = 
BGL_U32VREF(BgL_vz00_4169, ((long)4)); 
{ /* Unsafe/sha2.scm 1033 */
 uint32_t BgL_v5z00_4179;
BgL_v5z00_4179 = 
BGL_U32VREF(BgL_vz00_4169, ((long)5)); 
{ /* Unsafe/sha2.scm 1034 */
 uint32_t BgL_v6z00_4180;
BgL_v6z00_4180 = 
BGL_U32VREF(BgL_vz00_4169, ((long)6)); 
{ /* Unsafe/sha2.scm 1035 */
 uint32_t BgL_v7z00_4181;
BgL_v7z00_4181 = 
BGL_U32VREF(BgL_vz00_4169, ((long)7)); 
{ /* Unsafe/sha2.scm 1036 */
 uint64_t BgL_vz00_4182;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1767z00_4183; uint64_t BgL_arg1768z00_4184;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1769z00_4185;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1770z00_4186;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1772z00_4187; long BgL_arg1773z00_4188;
{ /* Unsafe/sha2.scm 1037 */
 uint32_t BgL_tmpz00_5595;
BgL_tmpz00_5595 = 
(BgL_v0z00_4174 << 
(int)(((long)8))); 
BgL_arg1772z00_4187 = 
(long)(BgL_tmpz00_5595); } 
BgL_arg1773z00_4188 = 
(long)(BgL_v1z00_4175); 
BgL_arg1770z00_4186 = 
(BgL_arg1772z00_4187 | BgL_arg1773z00_4188); } 
BgL_arg1769z00_4185 = 
(uint64_t)(BgL_arg1770z00_4186); } 
BgL_arg1767z00_4183 = 
(BgL_arg1769z00_4185 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1775z00_4189; uint64_t BgL_arg1776z00_4190;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1777z00_4191;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1778z00_4192;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1779z00_4193; long BgL_arg1780z00_4194;
{ /* Unsafe/sha2.scm 1037 */
 uint32_t BgL_tmpz00_5604;
BgL_tmpz00_5604 = 
(BgL_v2z00_4176 << 
(int)(((long)8))); 
BgL_arg1779z00_4193 = 
(long)(BgL_tmpz00_5604); } 
BgL_arg1780z00_4194 = 
(long)(BgL_v3z00_4177); 
BgL_arg1778z00_4192 = 
(BgL_arg1779z00_4193 | BgL_arg1780z00_4194); } 
BgL_arg1777z00_4191 = 
(uint64_t)(BgL_arg1778z00_4192); } 
BgL_arg1775z00_4189 = 
(BgL_arg1777z00_4191 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1038 */
 uint64_t BgL_arg1782z00_4195; uint64_t BgL_arg1783z00_4196;
{ /* Unsafe/sha2.scm 1038 */
 uint64_t BgL_arg1784z00_4197;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1785z00_4198;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1786z00_4199; long BgL_arg1787z00_4200;
{ /* Unsafe/sha2.scm 1038 */
 uint32_t BgL_tmpz00_5613;
BgL_tmpz00_5613 = 
(BgL_v4z00_4178 << 
(int)(((long)8))); 
BgL_arg1786z00_4199 = 
(long)(BgL_tmpz00_5613); } 
BgL_arg1787z00_4200 = 
(long)(BgL_v5z00_4179); 
BgL_arg1785z00_4198 = 
(BgL_arg1786z00_4199 | BgL_arg1787z00_4200); } 
BgL_arg1784z00_4197 = 
(uint64_t)(BgL_arg1785z00_4198); } 
BgL_arg1782z00_4195 = 
(BgL_arg1784z00_4197 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1789z00_4201;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1790z00_4202; long BgL_arg1791z00_4203;
{ /* Unsafe/sha2.scm 1038 */
 uint32_t BgL_tmpz00_5622;
BgL_tmpz00_5622 = 
(BgL_v6z00_4180 << 
(int)(((long)8))); 
BgL_arg1790z00_4202 = 
(long)(BgL_tmpz00_5622); } 
BgL_arg1791z00_4203 = 
(long)(BgL_v7z00_4181); 
BgL_arg1789z00_4201 = 
(BgL_arg1790z00_4202 | BgL_arg1791z00_4203); } 
BgL_arg1783z00_4196 = 
(uint64_t)(BgL_arg1789z00_4201); } 
BgL_arg1776z00_4190 = 
(BgL_arg1782z00_4195 | BgL_arg1783z00_4196); } 
BgL_arg1768z00_4184 = 
(BgL_arg1775z00_4189 | BgL_arg1776z00_4190); } 
BgL_vz00_4182 = 
(BgL_arg1767z00_4183 | BgL_arg1768z00_4184); } 
{ /* Unsafe/sha2.scm 1037 */

BGL_U64VSET(BgL_v64z00_3930, BgL_iz00_3931, BgL_vz00_4182); BUNSPEC; 
return 
(BgL_jz00_4173+((long)1));} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1026 */
{ /* Unsafe/sha2.scm 1042 */
 long BgL_arg1793z00_4204;
BgL_arg1793z00_4204 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3929, 
((obj_t)BgL_mmz00_3932), 
(long)CINT(
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_nz00_3933), 
BINT(BgL_jz00_4173)))); 
{ /* Unsafe/sha2.scm 1042 */
 uint32_t BgL_tmpz00_5640;
BgL_tmpz00_5640 = 
(uint32_t)(BgL_arg1793z00_4204); 
BGL_U32VSET(BgL_vz00_4169, BgL_jz00_4173, BgL_tmpz00_5640); } BUNSPEC; } 
{ 
 long BgL_jz00_5643;
BgL_jz00_5643 = 
(BgL_jz00_4173+((long)1)); 
BgL_jz00_4173 = BgL_jz00_5643; 
goto BgL_loopz00_4172;} } } } } } } } } 

}



/* u32mmap-ref~0 */
long BGl_u32mmapzd2refze70z35zz__sha2z00(obj_t BgL_mmz00_3971, obj_t BgL_mmza3mmapza3_2087, long BgL_iz00_2088)
{
{ /* Unsafe/sha2.scm 1001 */
{ /* Unsafe/sha2.scm 1001 */
 unsigned char BgL_arg1724z00_2090;
{ /* Unsafe/sha2.scm 1001 */
 long BgL_tmpz00_5645;
BgL_tmpz00_5645 = 
(long)(BgL_iz00_2088); 
BgL_arg1724z00_2090 = 
BGL_MMAP_REF(BgL_mmz00_3971, BgL_tmpz00_5645); } 
return 
(BgL_arg1724z00_2090);} } 

}



/* sha512sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t BgL_strz00_59)
{
{ /* Unsafe/sha2.scm 1053 */
{ /* Unsafe/sha2.scm 1100 */
 obj_t BgL_statez00_2194; obj_t BgL_bufferz00_2195;
BgL_statez00_2194 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2195 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)16), (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2194, BgL_bufferz00_2195, BgL_strz00_59, BGl_proc2321z00zz__sha2z00); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2194);} } 

}



/* &sha512sum-string */
obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_3935, obj_t BgL_strz00_3936)
{
{ /* Unsafe/sha2.scm 1053 */
{ /* Unsafe/sha2.scm 1056 */
 obj_t BgL_auxz00_5653;
if(
STRINGP(BgL_strz00_3936))
{ /* Unsafe/sha2.scm 1056 */
BgL_auxz00_5653 = BgL_strz00_3936
; }  else 
{ 
 obj_t BgL_auxz00_5656;
BgL_auxz00_5656 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)43595)), BGl_string2322z00zz__sha2z00, BGl_string2314z00zz__sha2z00, BgL_strz00_3936); 
FAILURE(BgL_auxz00_5656,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_auxz00_5653);} } 

}



/* &fill-word64-string! */
long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_3937, obj_t BgL_v64z00_3938, long BgL_iz00_3939, obj_t BgL_strz00_3940, long BgL_nz00_3941)
{
{ /* Unsafe/sha2.scm 1098 */
{ /* Unsafe/sha2.scm 1059 */
 long BgL_lz00_4209;
BgL_lz00_4209 = 
STRING_LENGTH(
((obj_t)BgL_strz00_3940)); 
if(
(
(BgL_nz00_3941+((long)8))<=BgL_lz00_4209))
{ /* Unsafe/sha2.scm 1062 */
 uint32_t BgL_v0z00_4210;
{ /* Unsafe/sha2.scm 1062 */
 long BgL_tmpz00_5666;
BgL_tmpz00_5666 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), BgL_nz00_3941); 
BgL_v0z00_4210 = 
(uint32_t)(BgL_tmpz00_5666); } 
{ /* Unsafe/sha2.scm 1062 */
 uint32_t BgL_v1z00_4211;
{ /* Unsafe/sha2.scm 1063 */
 long BgL_tmpz00_5670;
BgL_tmpz00_5670 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), 
(BgL_nz00_3941+((long)1))); 
BgL_v1z00_4211 = 
(uint32_t)(BgL_tmpz00_5670); } 
{ /* Unsafe/sha2.scm 1063 */
 uint32_t BgL_v2z00_4212;
{ /* Unsafe/sha2.scm 1064 */
 long BgL_tmpz00_5675;
BgL_tmpz00_5675 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), 
(BgL_nz00_3941+((long)2))); 
BgL_v2z00_4212 = 
(uint32_t)(BgL_tmpz00_5675); } 
{ /* Unsafe/sha2.scm 1064 */
 uint32_t BgL_v3z00_4213;
{ /* Unsafe/sha2.scm 1065 */
 long BgL_tmpz00_5680;
BgL_tmpz00_5680 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), 
(BgL_nz00_3941+((long)3))); 
BgL_v3z00_4213 = 
(uint32_t)(BgL_tmpz00_5680); } 
{ /* Unsafe/sha2.scm 1065 */
 uint32_t BgL_v4z00_4214;
{ /* Unsafe/sha2.scm 1066 */
 long BgL_tmpz00_5685;
BgL_tmpz00_5685 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), 
(BgL_nz00_3941+((long)4))); 
BgL_v4z00_4214 = 
(uint32_t)(BgL_tmpz00_5685); } 
{ /* Unsafe/sha2.scm 1066 */
 uint32_t BgL_v5z00_4215;
{ /* Unsafe/sha2.scm 1067 */
 long BgL_tmpz00_5690;
BgL_tmpz00_5690 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), 
(BgL_nz00_3941+((long)5))); 
BgL_v5z00_4215 = 
(uint32_t)(BgL_tmpz00_5690); } 
{ /* Unsafe/sha2.scm 1067 */
 uint32_t BgL_v6z00_4216;
{ /* Unsafe/sha2.scm 1068 */
 long BgL_tmpz00_5695;
BgL_tmpz00_5695 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), 
(BgL_nz00_3941+((long)6))); 
BgL_v6z00_4216 = 
(uint32_t)(BgL_tmpz00_5695); } 
{ /* Unsafe/sha2.scm 1068 */
 uint32_t BgL_v7z00_4217;
{ /* Unsafe/sha2.scm 1069 */
 long BgL_tmpz00_5700;
BgL_tmpz00_5700 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), 
(BgL_nz00_3941+((long)7))); 
BgL_v7z00_4217 = 
(uint32_t)(BgL_tmpz00_5700); } 
{ /* Unsafe/sha2.scm 1069 */
 uint64_t BgL_vz00_4218;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1805z00_4219; uint64_t BgL_arg1806z00_4220;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1807z00_4221;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1808z00_4222;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1809z00_4223; long BgL_arg1811z00_4224;
{ /* Unsafe/sha2.scm 1070 */
 uint32_t BgL_tmpz00_5705;
BgL_tmpz00_5705 = 
(BgL_v0z00_4210 << 
(int)(((long)8))); 
BgL_arg1809z00_4223 = 
(long)(BgL_tmpz00_5705); } 
BgL_arg1811z00_4224 = 
(long)(BgL_v1z00_4211); 
BgL_arg1808z00_4222 = 
(BgL_arg1809z00_4223 | BgL_arg1811z00_4224); } 
BgL_arg1807z00_4221 = 
(uint64_t)(BgL_arg1808z00_4222); } 
BgL_arg1805z00_4219 = 
(BgL_arg1807z00_4221 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1813z00_4225; uint64_t BgL_arg1815z00_4226;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1816z00_4227;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1817z00_4228;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1818z00_4229; long BgL_arg1819z00_4230;
{ /* Unsafe/sha2.scm 1070 */
 uint32_t BgL_tmpz00_5714;
BgL_tmpz00_5714 = 
(BgL_v2z00_4212 << 
(int)(((long)8))); 
BgL_arg1818z00_4229 = 
(long)(BgL_tmpz00_5714); } 
BgL_arg1819z00_4230 = 
(long)(BgL_v3z00_4213); 
BgL_arg1817z00_4228 = 
(BgL_arg1818z00_4229 | BgL_arg1819z00_4230); } 
BgL_arg1816z00_4227 = 
(uint64_t)(BgL_arg1817z00_4228); } 
BgL_arg1813z00_4225 = 
(BgL_arg1816z00_4227 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1071 */
 uint64_t BgL_arg1821z00_4231; uint64_t BgL_arg1822z00_4232;
{ /* Unsafe/sha2.scm 1071 */
 uint64_t BgL_arg1823z00_4233;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1824z00_4234;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1825z00_4235; long BgL_arg1826z00_4236;
{ /* Unsafe/sha2.scm 1071 */
 uint32_t BgL_tmpz00_5723;
BgL_tmpz00_5723 = 
(BgL_v4z00_4214 << 
(int)(((long)8))); 
BgL_arg1825z00_4235 = 
(long)(BgL_tmpz00_5723); } 
BgL_arg1826z00_4236 = 
(long)(BgL_v5z00_4215); 
BgL_arg1824z00_4234 = 
(BgL_arg1825z00_4235 | BgL_arg1826z00_4236); } 
BgL_arg1823z00_4233 = 
(uint64_t)(BgL_arg1824z00_4234); } 
BgL_arg1821z00_4231 = 
(BgL_arg1823z00_4233 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1828z00_4237;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1829z00_4238; long BgL_arg1830z00_4239;
{ /* Unsafe/sha2.scm 1071 */
 uint32_t BgL_tmpz00_5732;
BgL_tmpz00_5732 = 
(BgL_v6z00_4216 << 
(int)(((long)8))); 
BgL_arg1829z00_4238 = 
(long)(BgL_tmpz00_5732); } 
BgL_arg1830z00_4239 = 
(long)(BgL_v7z00_4217); 
BgL_arg1828z00_4237 = 
(BgL_arg1829z00_4238 | BgL_arg1830z00_4239); } 
BgL_arg1822z00_4232 = 
(uint64_t)(BgL_arg1828z00_4237); } 
BgL_arg1815z00_4226 = 
(BgL_arg1821z00_4231 | BgL_arg1822z00_4232); } 
BgL_arg1806z00_4220 = 
(BgL_arg1813z00_4225 | BgL_arg1815z00_4226); } 
BgL_vz00_4218 = 
(BgL_arg1805z00_4219 | BgL_arg1806z00_4220); } 
{ /* Unsafe/sha2.scm 1070 */

BGL_U64VSET(BgL_v64z00_3938, BgL_iz00_3939, BgL_vz00_4218); BUNSPEC; 
return ((long)8);} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1061 */
if(
(BgL_nz00_3941>=
(((long)1)+BgL_lz00_4209)))
{ /* Unsafe/sha2.scm 1074 */
{ /* Unsafe/sha2.scm 1075 */
 uint64_t BgL_tmpz00_5746;
BgL_tmpz00_5746 = 
(uint64_t)(((long)0)); 
BGL_U64VSET(BgL_v64z00_3938, BgL_iz00_3939, BgL_tmpz00_5746); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 1078 */
 obj_t BgL_vz00_4240; long BgL_kz00_4241;
BgL_vz00_4240 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), 
(uint32_t)(((long)0))); 
BgL_kz00_4241 = 
(((long)8)-
(
(BgL_nz00_3941+((long)8))-BgL_lz00_4209)); 
{ 
 long BgL_jz00_4243;
BgL_jz00_4243 = ((long)0); 
BgL_loopz00_4242:
if(
(BgL_jz00_4243==BgL_kz00_4241))
{ /* Unsafe/sha2.scm 1081 */
{ /* Unsafe/sha2.scm 1083 */
 uint32_t BgL_tmpz00_5756;
BgL_tmpz00_5756 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4240, BgL_jz00_4243, BgL_tmpz00_5756); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1084 */
 uint32_t BgL_v0z00_4244;
BgL_v0z00_4244 = 
BGL_U32VREF(BgL_vz00_4240, ((long)0)); 
{ /* Unsafe/sha2.scm 1084 */
 uint32_t BgL_v1z00_4245;
BgL_v1z00_4245 = 
BGL_U32VREF(BgL_vz00_4240, ((long)1)); 
{ /* Unsafe/sha2.scm 1085 */
 uint32_t BgL_v2z00_4246;
BgL_v2z00_4246 = 
BGL_U32VREF(BgL_vz00_4240, ((long)2)); 
{ /* Unsafe/sha2.scm 1086 */
 uint32_t BgL_v3z00_4247;
BgL_v3z00_4247 = 
BGL_U32VREF(BgL_vz00_4240, ((long)3)); 
{ /* Unsafe/sha2.scm 1087 */
 uint32_t BgL_v4z00_4248;
BgL_v4z00_4248 = 
BGL_U32VREF(BgL_vz00_4240, ((long)4)); 
{ /* Unsafe/sha2.scm 1088 */
 uint32_t BgL_v5z00_4249;
BgL_v5z00_4249 = 
BGL_U32VREF(BgL_vz00_4240, ((long)5)); 
{ /* Unsafe/sha2.scm 1089 */
 uint32_t BgL_v6z00_4250;
BgL_v6z00_4250 = 
BGL_U32VREF(BgL_vz00_4240, ((long)6)); 
{ /* Unsafe/sha2.scm 1090 */
 uint32_t BgL_v7z00_4251;
BgL_v7z00_4251 = 
BGL_U32VREF(BgL_vz00_4240, ((long)7)); 
{ /* Unsafe/sha2.scm 1091 */
 uint64_t BgL_vz00_4252;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1843z00_4253; uint64_t BgL_arg1844z00_4254;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1845z00_4255;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1846z00_4256;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1847z00_4257; long BgL_arg1848z00_4258;
{ /* Unsafe/sha2.scm 1092 */
 uint32_t BgL_tmpz00_5767;
BgL_tmpz00_5767 = 
(BgL_v0z00_4244 << 
(int)(((long)8))); 
BgL_arg1847z00_4257 = 
(long)(BgL_tmpz00_5767); } 
BgL_arg1848z00_4258 = 
(long)(BgL_v1z00_4245); 
BgL_arg1846z00_4256 = 
(BgL_arg1847z00_4257 | BgL_arg1848z00_4258); } 
BgL_arg1845z00_4255 = 
(uint64_t)(BgL_arg1846z00_4256); } 
BgL_arg1843z00_4253 = 
(BgL_arg1845z00_4255 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1850z00_4259; uint64_t BgL_arg1851z00_4260;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1852z00_4261;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1853z00_4262;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1854z00_4263; long BgL_arg1855z00_4264;
{ /* Unsafe/sha2.scm 1092 */
 uint32_t BgL_tmpz00_5776;
BgL_tmpz00_5776 = 
(BgL_v2z00_4246 << 
(int)(((long)8))); 
BgL_arg1854z00_4263 = 
(long)(BgL_tmpz00_5776); } 
BgL_arg1855z00_4264 = 
(long)(BgL_v3z00_4247); 
BgL_arg1853z00_4262 = 
(BgL_arg1854z00_4263 | BgL_arg1855z00_4264); } 
BgL_arg1852z00_4261 = 
(uint64_t)(BgL_arg1853z00_4262); } 
BgL_arg1850z00_4259 = 
(BgL_arg1852z00_4261 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1093 */
 uint64_t BgL_arg1857z00_4265; uint64_t BgL_arg1858z00_4266;
{ /* Unsafe/sha2.scm 1093 */
 uint64_t BgL_arg1859z00_4267;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1860z00_4268;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1861z00_4269; long BgL_arg1863z00_4270;
{ /* Unsafe/sha2.scm 1093 */
 uint32_t BgL_tmpz00_5785;
BgL_tmpz00_5785 = 
(BgL_v4z00_4248 << 
(int)(((long)8))); 
BgL_arg1861z00_4269 = 
(long)(BgL_tmpz00_5785); } 
BgL_arg1863z00_4270 = 
(long)(BgL_v5z00_4249); 
BgL_arg1860z00_4268 = 
(BgL_arg1861z00_4269 | BgL_arg1863z00_4270); } 
BgL_arg1859z00_4267 = 
(uint64_t)(BgL_arg1860z00_4268); } 
BgL_arg1857z00_4265 = 
(BgL_arg1859z00_4267 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1865z00_4271;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1866z00_4272; long BgL_arg1868z00_4273;
{ /* Unsafe/sha2.scm 1093 */
 uint32_t BgL_tmpz00_5794;
BgL_tmpz00_5794 = 
(BgL_v6z00_4250 << 
(int)(((long)8))); 
BgL_arg1866z00_4272 = 
(long)(BgL_tmpz00_5794); } 
BgL_arg1868z00_4273 = 
(long)(BgL_v7z00_4251); 
BgL_arg1865z00_4271 = 
(BgL_arg1866z00_4272 | BgL_arg1868z00_4273); } 
BgL_arg1858z00_4266 = 
(uint64_t)(BgL_arg1865z00_4271); } 
BgL_arg1851z00_4260 = 
(BgL_arg1857z00_4265 | BgL_arg1858z00_4266); } 
BgL_arg1844z00_4254 = 
(BgL_arg1850z00_4259 | BgL_arg1851z00_4260); } 
BgL_vz00_4252 = 
(BgL_arg1843z00_4253 | BgL_arg1844z00_4254); } 
{ /* Unsafe/sha2.scm 1092 */

BGL_U64VSET(BgL_v64z00_3938, BgL_iz00_3939, BgL_vz00_4252); BUNSPEC; 
return 
(BgL_jz00_4243+((long)1));} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1081 */
{ /* Unsafe/sha2.scm 1097 */
 long BgL_arg1870z00_4274;
BgL_arg1870z00_4274 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3940), 
(long)CINT(
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_nz00_3941), 
BINT(BgL_jz00_4243)))); 
{ /* Unsafe/sha2.scm 1097 */
 uint32_t BgL_tmpz00_5812;
BgL_tmpz00_5812 = 
(uint32_t)(BgL_arg1870z00_4274); 
BGL_U32VSET(BgL_vz00_4240, BgL_jz00_4243, BgL_tmpz00_5812); } BUNSPEC; } 
{ 
 long BgL_jz00_5815;
BgL_jz00_5815 = 
(BgL_jz00_4243+((long)1)); 
BgL_jz00_4243 = BgL_jz00_5815; 
goto BgL_loopz00_4242;} } } } } } } 

}



/* u32string-ref~0 */
long BGl_u32stringzd2refze70z35zz__sha2z00(obj_t BgL_strz00_2198, long BgL_iz00_2199)
{
{ /* Unsafe/sha2.scm 1056 */
return 
(
STRING_REF(BgL_strz00_2198, BgL_iz00_2199));} 

}



/* sha512sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_60)
{
{ /* Unsafe/sha2.scm 1108 */
{ /* Unsafe/sha2.scm 1108 */
 obj_t BgL_lenz00_3953;
BgL_lenz00_3953 = 
MAKE_CELL(
BINT(((long)0))); 
{ /* Unsafe/sha2.scm 1110 */
 obj_t BgL_bufz00_2304;
{ /* Llib/srfi4.scm 451 */

BgL_bufz00_2304 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), (uint32_t)(0)); } 
{ /* Unsafe/sha2.scm 1131 */
 obj_t BgL_fillzd2word64zd2portz12z12_3942;
{ 
 int BgL_tmpz00_5821;
BgL_tmpz00_5821 = 
(int)(((long)2)); 
BgL_fillzd2word64zd2portz12z12_3942 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2portz12z70zz__sha2z00, BgL_tmpz00_5821); } 
PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_3942, 
(int)(((long)0)), BgL_bufz00_2304); 
PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_3942, 
(int)(((long)1)), 
((obj_t)BgL_lenz00_3953)); 
{ /* Unsafe/sha2.scm 1173 */
 obj_t BgL_statez00_2307; obj_t BgL_bufferz00_2308;
BgL_statez00_2307 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2308 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)16), (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2307, BgL_bufferz00_2308, BgL_pz00_60, BgL_fillzd2word64zd2portz12z12_3942); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2307);} } } } } 

}



/* &sha512sum-port */
obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_3943, obj_t BgL_pz00_3944)
{
{ /* Unsafe/sha2.scm 1108 */
{ /* Unsafe/sha2.scm 1108 */
 obj_t BgL_auxz00_5833;
if(
INPUT_PORTP(BgL_pz00_3944))
{ /* Unsafe/sha2.scm 1108 */
BgL_auxz00_5833 = BgL_pz00_3944
; }  else 
{ 
 obj_t BgL_auxz00_5836;
BgL_auxz00_5836 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)45445)), BGl_string2323z00zz__sha2z00, BGl_string2316z00zz__sha2z00, BgL_pz00_3944); 
FAILURE(BgL_auxz00_5836,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_auxz00_5833);} } 

}



/* &fill-word64-port! */
long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t BgL_envz00_3945, obj_t BgL_v64z00_3948, long BgL_iz00_3949, obj_t BgL_pz00_3950, long BgL_nz00_3951)
{
{ /* Unsafe/sha2.scm 1171 */
{ /* Unsafe/sha2.scm 1131 */
 obj_t BgL_bufz00_3946; obj_t BgL_lenz00_3947;
BgL_bufz00_3946 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3945, 
(int)(((long)0)))); 
BgL_lenz00_3947 = 
PROCEDURE_L_REF(BgL_envz00_3945, 
(int)(((long)1))); 
{ 
 obj_t BgL_pz00_4280;
{ /* Unsafe/sha2.scm 1131 */
 long BgL_lz00_4287;
BgL_pz00_4280 = 
((obj_t)BgL_pz00_3950); 
{ 
 long BgL_iz00_4282;
BgL_iz00_4282 = ((long)0); 
BgL_loopz00_4281:
if(
(BgL_iz00_4282==((long)4)))
{ /* Unsafe/sha2.scm 1116 */
BgL_lz00_4287 = BgL_iz00_4282; }  else 
{ /* Unsafe/sha2.scm 1118 */
 obj_t BgL_cz00_4283;
BgL_cz00_4283 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_4280); 
if(
EOF_OBJECTP(BgL_cz00_4283))
{ 
 long BgL_jz00_4285;
BgL_jz00_4285 = BgL_iz00_4282; 
BgL_liipz00_4284:
if(
(BgL_jz00_4285==((long)4)))
{ /* Unsafe/sha2.scm 1121 */
BgL_lz00_4287 = BgL_iz00_4282; }  else 
{ /* Unsafe/sha2.scm 1121 */
{ /* Unsafe/sha2.scm 1124 */
 uint32_t BgL_tmpz00_5853;
BgL_tmpz00_5853 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_bufz00_3946, BgL_jz00_4285, BgL_tmpz00_5853); } BUNSPEC; 
{ 
 long BgL_jz00_5856;
BgL_jz00_5856 = 
(BgL_jz00_4285+((long)1)); 
BgL_jz00_4285 = BgL_jz00_5856; 
goto BgL_liipz00_4284;} } }  else 
{ /* Unsafe/sha2.scm 1119 */
{ /* Unsafe/sha2.scm 1127 */
 uint32_t BgL_arg1949z00_4286;
{ /* Unsafe/sha2.scm 1127 */
 char BgL_tmpz00_5858;
BgL_tmpz00_5858 = 
(signed char)CINT(BgL_cz00_4283); 
BgL_arg1949z00_4286 = 
(uint32_t)(BgL_tmpz00_5858); } 
BGL_U32VSET(BgL_bufz00_3946, BgL_iz00_4282, BgL_arg1949z00_4286); BUNSPEC; } 
{ 
 long BgL_iz00_5862;
BgL_iz00_5862 = 
(BgL_iz00_4282+((long)1)); 
BgL_iz00_4282 = BgL_iz00_5862; 
goto BgL_loopz00_4281;} } } } 
{ /* Unsafe/sha2.scm 1132 */
 obj_t BgL_auxz00_4288;
BgL_auxz00_4288 = 
ADDFX(
CELL_REF(BgL_lenz00_3947), 
BINT(BgL_lz00_4287)); 
CELL_SET(BgL_lenz00_3947, BgL_auxz00_4288); } 
if(
(
(BgL_nz00_3951+((long)8))<=BgL_lz00_4287))
{ /* Unsafe/sha2.scm 1135 */
 uint32_t BgL_v0z00_4289;
BgL_v0z00_4289 = 
BGL_U32VREF(BgL_bufz00_3946, ((long)0)); 
{ /* Unsafe/sha2.scm 1135 */
 uint32_t BgL_v1z00_4290;
BgL_v1z00_4290 = 
BGL_U32VREF(BgL_bufz00_3946, ((long)1)); 
{ /* Unsafe/sha2.scm 1136 */
 uint32_t BgL_v2z00_4291;
BgL_v2z00_4291 = 
BGL_U32VREF(BgL_bufz00_3946, ((long)2)); 
{ /* Unsafe/sha2.scm 1137 */
 uint32_t BgL_v3z00_4292;
BgL_v3z00_4292 = 
BGL_U32VREF(BgL_bufz00_3946, ((long)3)); 
{ /* Unsafe/sha2.scm 1138 */
 uint32_t BgL_v4z00_4293;
BgL_v4z00_4293 = 
BGL_U32VREF(BgL_bufz00_3946, ((long)4)); 
{ /* Unsafe/sha2.scm 1139 */
 uint32_t BgL_v5z00_4294;
BgL_v5z00_4294 = 
BGL_U32VREF(BgL_bufz00_3946, ((long)5)); 
{ /* Unsafe/sha2.scm 1140 */
 uint32_t BgL_v6z00_4295;
BgL_v6z00_4295 = 
BGL_U32VREF(BgL_bufz00_3946, ((long)6)); 
{ /* Unsafe/sha2.scm 1141 */
 uint32_t BgL_v7z00_4296;
BgL_v7z00_4296 = 
BGL_U32VREF(BgL_bufz00_3946, ((long)7)); 
{ /* Unsafe/sha2.scm 1142 */
 uint64_t BgL_vz00_4297;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1880z00_4298; uint64_t BgL_arg1881z00_4299;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1882z00_4300;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1883z00_4301;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1884z00_4302; long BgL_arg1885z00_4303;
{ /* Unsafe/sha2.scm 1143 */
 uint32_t BgL_tmpz00_5878;
BgL_tmpz00_5878 = 
(BgL_v0z00_4289 << 
(int)(((long)8))); 
BgL_arg1884z00_4302 = 
(long)(BgL_tmpz00_5878); } 
BgL_arg1885z00_4303 = 
(long)(BgL_v1z00_4290); 
BgL_arg1883z00_4301 = 
(BgL_arg1884z00_4302 | BgL_arg1885z00_4303); } 
BgL_arg1882z00_4300 = 
(uint64_t)(BgL_arg1883z00_4301); } 
BgL_arg1880z00_4298 = 
(BgL_arg1882z00_4300 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1887z00_4304; uint64_t BgL_arg1888z00_4305;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1889z00_4306;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1890z00_4307;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1891z00_4308; long BgL_arg1892z00_4309;
{ /* Unsafe/sha2.scm 1143 */
 uint32_t BgL_tmpz00_5887;
BgL_tmpz00_5887 = 
(BgL_v2z00_4291 << 
(int)(((long)8))); 
BgL_arg1891z00_4308 = 
(long)(BgL_tmpz00_5887); } 
BgL_arg1892z00_4309 = 
(long)(BgL_v3z00_4292); 
BgL_arg1890z00_4307 = 
(BgL_arg1891z00_4308 | BgL_arg1892z00_4309); } 
BgL_arg1889z00_4306 = 
(uint64_t)(BgL_arg1890z00_4307); } 
BgL_arg1887z00_4304 = 
(BgL_arg1889z00_4306 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1144 */
 uint64_t BgL_arg1894z00_4310; uint64_t BgL_arg1895z00_4311;
{ /* Unsafe/sha2.scm 1144 */
 uint64_t BgL_arg1896z00_4312;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1897z00_4313;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1898z00_4314; long BgL_arg1899z00_4315;
{ /* Unsafe/sha2.scm 1144 */
 uint32_t BgL_tmpz00_5896;
BgL_tmpz00_5896 = 
(BgL_v4z00_4293 << 
(int)(((long)8))); 
BgL_arg1898z00_4314 = 
(long)(BgL_tmpz00_5896); } 
BgL_arg1899z00_4315 = 
(long)(BgL_v5z00_4294); 
BgL_arg1897z00_4313 = 
(BgL_arg1898z00_4314 | BgL_arg1899z00_4315); } 
BgL_arg1896z00_4312 = 
(uint64_t)(BgL_arg1897z00_4313); } 
BgL_arg1894z00_4310 = 
(BgL_arg1896z00_4312 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1901z00_4316;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1902z00_4317; long BgL_arg1903z00_4318;
{ /* Unsafe/sha2.scm 1144 */
 uint32_t BgL_tmpz00_5905;
BgL_tmpz00_5905 = 
(BgL_v6z00_4295 << 
(int)(((long)8))); 
BgL_arg1902z00_4317 = 
(long)(BgL_tmpz00_5905); } 
BgL_arg1903z00_4318 = 
(long)(BgL_v7z00_4296); 
BgL_arg1901z00_4316 = 
(BgL_arg1902z00_4317 | BgL_arg1903z00_4318); } 
BgL_arg1895z00_4311 = 
(uint64_t)(BgL_arg1901z00_4316); } 
BgL_arg1888z00_4305 = 
(BgL_arg1894z00_4310 | BgL_arg1895z00_4311); } 
BgL_arg1881z00_4299 = 
(BgL_arg1887z00_4304 | BgL_arg1888z00_4305); } 
BgL_vz00_4297 = 
(BgL_arg1880z00_4298 | BgL_arg1881z00_4299); } 
{ /* Unsafe/sha2.scm 1143 */

BGL_U64VSET(BgL_v64z00_3948, BgL_iz00_3949, BgL_vz00_4297); BUNSPEC; 
return ((long)8);} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1134 */
if(
(BgL_nz00_3951>=
(((long)1)+BgL_lz00_4287)))
{ /* Unsafe/sha2.scm 1147 */
{ /* Unsafe/sha2.scm 1148 */
 uint64_t BgL_tmpz00_5919;
BgL_tmpz00_5919 = 
(uint64_t)(((long)0)); 
BGL_U64VSET(BgL_v64z00_3948, BgL_iz00_3949, BgL_tmpz00_5919); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 1151 */
 obj_t BgL_vz00_4319; long BgL_kz00_4320;
BgL_vz00_4319 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), 
(uint32_t)(((long)0))); 
BgL_kz00_4320 = 
(((long)8)-
(
(BgL_nz00_3951+((long)8))-BgL_lz00_4287)); 
{ 
 long BgL_jz00_4322;
BgL_jz00_4322 = ((long)0); 
BgL_loopz00_4321:
if(
(BgL_jz00_4322==BgL_kz00_4320))
{ /* Unsafe/sha2.scm 1154 */
{ /* Unsafe/sha2.scm 1156 */
 uint32_t BgL_tmpz00_5929;
BgL_tmpz00_5929 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4319, BgL_jz00_4322, BgL_tmpz00_5929); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1157 */
 uint32_t BgL_v0z00_4323;
BgL_v0z00_4323 = 
BGL_U32VREF(BgL_vz00_4319, ((long)0)); 
{ /* Unsafe/sha2.scm 1157 */
 uint32_t BgL_v1z00_4324;
BgL_v1z00_4324 = 
BGL_U32VREF(BgL_vz00_4319, ((long)1)); 
{ /* Unsafe/sha2.scm 1158 */
 uint32_t BgL_v2z00_4325;
BgL_v2z00_4325 = 
BGL_U32VREF(BgL_vz00_4319, ((long)2)); 
{ /* Unsafe/sha2.scm 1159 */
 uint32_t BgL_v3z00_4326;
BgL_v3z00_4326 = 
BGL_U32VREF(BgL_vz00_4319, ((long)3)); 
{ /* Unsafe/sha2.scm 1160 */
 uint32_t BgL_v4z00_4327;
BgL_v4z00_4327 = 
BGL_U32VREF(BgL_vz00_4319, ((long)4)); 
{ /* Unsafe/sha2.scm 1161 */
 uint32_t BgL_v5z00_4328;
BgL_v5z00_4328 = 
BGL_U32VREF(BgL_vz00_4319, ((long)5)); 
{ /* Unsafe/sha2.scm 1162 */
 uint32_t BgL_v6z00_4329;
BgL_v6z00_4329 = 
BGL_U32VREF(BgL_vz00_4319, ((long)6)); 
{ /* Unsafe/sha2.scm 1163 */
 uint32_t BgL_v7z00_4330;
BgL_v7z00_4330 = 
BGL_U32VREF(BgL_vz00_4319, ((long)7)); 
{ /* Unsafe/sha2.scm 1164 */
 uint64_t BgL_vz00_4331;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1911z00_4332; uint64_t BgL_arg1912z00_4333;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1913z00_4334;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1914z00_4335;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1915z00_4336; long BgL_arg1916z00_4337;
{ /* Unsafe/sha2.scm 1165 */
 uint32_t BgL_tmpz00_5940;
BgL_tmpz00_5940 = 
(BgL_v0z00_4323 << 
(int)(((long)8))); 
BgL_arg1915z00_4336 = 
(long)(BgL_tmpz00_5940); } 
BgL_arg1916z00_4337 = 
(long)(BgL_v1z00_4324); 
BgL_arg1914z00_4335 = 
(BgL_arg1915z00_4336 | BgL_arg1916z00_4337); } 
BgL_arg1913z00_4334 = 
(uint64_t)(BgL_arg1914z00_4335); } 
BgL_arg1911z00_4332 = 
(BgL_arg1913z00_4334 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1918z00_4338; uint64_t BgL_arg1919z00_4339;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1920z00_4340;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1921z00_4341;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1922z00_4342; long BgL_arg1923z00_4343;
{ /* Unsafe/sha2.scm 1165 */
 uint32_t BgL_tmpz00_5949;
BgL_tmpz00_5949 = 
(BgL_v2z00_4325 << 
(int)(((long)8))); 
BgL_arg1922z00_4342 = 
(long)(BgL_tmpz00_5949); } 
BgL_arg1923z00_4343 = 
(long)(BgL_v3z00_4326); 
BgL_arg1921z00_4341 = 
(BgL_arg1922z00_4342 | BgL_arg1923z00_4343); } 
BgL_arg1920z00_4340 = 
(uint64_t)(BgL_arg1921z00_4341); } 
BgL_arg1918z00_4338 = 
(BgL_arg1920z00_4340 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1166 */
 uint64_t BgL_arg1925z00_4344; uint64_t BgL_arg1926z00_4345;
{ /* Unsafe/sha2.scm 1166 */
 uint64_t BgL_arg1927z00_4346;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1928z00_4347;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1929z00_4348; long BgL_arg1930z00_4349;
{ /* Unsafe/sha2.scm 1166 */
 uint32_t BgL_tmpz00_5958;
BgL_tmpz00_5958 = 
(BgL_v4z00_4327 << 
(int)(((long)8))); 
BgL_arg1929z00_4348 = 
(long)(BgL_tmpz00_5958); } 
BgL_arg1930z00_4349 = 
(long)(BgL_v5z00_4328); 
BgL_arg1928z00_4347 = 
(BgL_arg1929z00_4348 | BgL_arg1930z00_4349); } 
BgL_arg1927z00_4346 = 
(uint64_t)(BgL_arg1928z00_4347); } 
BgL_arg1925z00_4344 = 
(BgL_arg1927z00_4346 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1932z00_4350;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1933z00_4351; long BgL_arg1934z00_4352;
{ /* Unsafe/sha2.scm 1166 */
 uint32_t BgL_tmpz00_5967;
BgL_tmpz00_5967 = 
(BgL_v6z00_4329 << 
(int)(((long)8))); 
BgL_arg1933z00_4351 = 
(long)(BgL_tmpz00_5967); } 
BgL_arg1934z00_4352 = 
(long)(BgL_v7z00_4330); 
BgL_arg1932z00_4350 = 
(BgL_arg1933z00_4351 | BgL_arg1934z00_4352); } 
BgL_arg1926z00_4345 = 
(uint64_t)(BgL_arg1932z00_4350); } 
BgL_arg1919z00_4339 = 
(BgL_arg1925z00_4344 | BgL_arg1926z00_4345); } 
BgL_arg1912z00_4333 = 
(BgL_arg1918z00_4338 | BgL_arg1919z00_4339); } 
BgL_vz00_4331 = 
(BgL_arg1911z00_4332 | BgL_arg1912z00_4333); } 
{ /* Unsafe/sha2.scm 1165 */

BGL_U64VSET(BgL_v64z00_3948, BgL_iz00_3949, BgL_vz00_4331); BUNSPEC; 
return 
(BgL_jz00_4322+((long)1));} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1154 */
{ /* Unsafe/sha2.scm 1170 */
 uint32_t BgL_arg1936z00_4353;
BgL_arg1936z00_4353 = 
BGL_U32VREF(BgL_bufz00_3946, BgL_jz00_4322); 
BGL_U32VSET(BgL_vz00_4319, BgL_jz00_4322, BgL_arg1936z00_4353); BUNSPEC; } 
{ 
 long BgL_jz00_5981;
BgL_jz00_5981 = 
(BgL_jz00_4322+((long)1)); 
BgL_jz00_4322 = BgL_jz00_5981; 
goto BgL_loopz00_4321;} } } } } } } } } 

}



/* sha512sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t BgL_fnamez00_61)
{
{ /* Unsafe/sha2.scm 1181 */
{ /* Unsafe/sha2.scm 1182 */
 obj_t BgL_mmz00_2423;
BgL_mmz00_2423 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_61, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_2423))
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_exitd1089z00_2425;
BgL_exitd1089z00_2425 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 1186 */
 obj_t BgL_zc3z04anonymousza31952ze3z87_3955;
BgL_zc3z04anonymousza31952ze3z87_3955 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31952ze3ze5zz__sha2z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31952ze3z87_3955, 
(int)(((long)0)), BgL_mmz00_2423); 
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2282z00_3635;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2283z00_3636;
BgL_arg2283z00_3636 = 
BGL_EXITD_PROTECT(BgL_exitd1089z00_2425); 
BgL_arg2282z00_3635 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31952ze3z87_3955, BgL_arg2283z00_3636); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1089z00_2425, BgL_arg2282z00_3635); BUNSPEC; } 
{ /* Unsafe/sha2.scm 1185 */
 obj_t BgL_tmp1091z00_2427;
BgL_tmp1091z00_2427 = 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_mmz00_2423); 
{ /* Unsafe/sha2.scm 1184 */
 bool_t BgL_test2413z00_5996;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2281z00_3638;
BgL_arg2281z00_3638 = 
BGL_EXITD_PROTECT(BgL_exitd1089z00_2425); 
BgL_test2413z00_5996 = 
PAIRP(BgL_arg2281z00_3638); } 
if(BgL_test2413z00_5996)
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2279z00_3639;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2280z00_3640;
BgL_arg2280z00_3640 = 
BGL_EXITD_PROTECT(BgL_exitd1089z00_2425); 
BgL_arg2279z00_3639 = 
CDR(
((obj_t)BgL_arg2280z00_3640)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1089z00_2425, BgL_arg2279z00_3639); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 1184 */BFALSE; } } 
BGl_z62zc3z04anonymousza31952ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31952ze3z87_3955); 
return BgL_tmp1091z00_2427;} } }  else 
{ /* Unsafe/sha2.scm 1187 */
 obj_t BgL_pz00_2430;
{ /* Ieee/port.scm 440 */

BgL_pz00_2430 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_61, BTRUE, 
BINT(((long)5000000))); } 
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_exitd1093z00_2431;
BgL_exitd1093z00_2431 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 1190 */
 obj_t BgL_zc3z04anonymousza31953ze3z87_3956;
BgL_zc3z04anonymousza31953ze3z87_3956 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31953ze3ze5zz__sha2z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31953ze3z87_3956, 
(int)(((long)0)), BgL_pz00_2430); 
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2282z00_3643;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2283z00_3644;
BgL_arg2283z00_3644 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_2431); 
BgL_arg2282z00_3643 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31953ze3z87_3956, BgL_arg2283z00_3644); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_2431, BgL_arg2282z00_3643); BUNSPEC; } 
{ /* Unsafe/sha2.scm 1189 */
 obj_t BgL_tmp1095z00_2433;
BgL_tmp1095z00_2433 = 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_pz00_2430); 
{ /* Unsafe/sha2.scm 1188 */
 bool_t BgL_test2414z00_6016;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2281z00_3646;
BgL_arg2281z00_3646 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_2431); 
BgL_test2414z00_6016 = 
PAIRP(BgL_arg2281z00_3646); } 
if(BgL_test2414z00_6016)
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2279z00_3647;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2280z00_3648;
BgL_arg2280z00_3648 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_2431); 
BgL_arg2279z00_3647 = 
CDR(
((obj_t)BgL_arg2280z00_3648)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_2431, BgL_arg2279z00_3647); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 1188 */BFALSE; } } 
BGl_z62zc3z04anonymousza31953ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31953ze3z87_3956); 
return BgL_tmp1095z00_2433;} } } } } } 

}



/* &sha512sum-file */
obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_3957, obj_t BgL_fnamez00_3958)
{
{ /* Unsafe/sha2.scm 1181 */
{ /* Unsafe/sha2.scm 1182 */
 obj_t BgL_auxz00_6024;
if(
STRINGP(BgL_fnamez00_3958))
{ /* Unsafe/sha2.scm 1182 */
BgL_auxz00_6024 = BgL_fnamez00_3958
; }  else 
{ 
 obj_t BgL_auxz00_6027;
BgL_auxz00_6027 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)47709)), BGl_string2324z00zz__sha2z00, BGl_string2314z00zz__sha2z00, BgL_fnamez00_3958); 
FAILURE(BgL_auxz00_6027,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2filezd2zz__sha2z00(BgL_auxz00_6024);} } 

}



/* &<@anonymous:1952> */
obj_t BGl_z62zc3z04anonymousza31952ze3ze5zz__sha2z00(obj_t BgL_envz00_3959)
{
{ /* Unsafe/sha2.scm 1184 */
{ /* Unsafe/sha2.scm 1186 */
 obj_t BgL_mmz00_3960;
BgL_mmz00_3960 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3959, 
(int)(((long)0)))); 
return 
bgl_close_mmap(BgL_mmz00_3960);} } 

}



/* &<@anonymous:1953> */
obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__sha2z00(obj_t BgL_envz00_3961)
{
{ /* Unsafe/sha2.scm 1188 */
{ /* Unsafe/sha2.scm 1190 */
 obj_t BgL_pz00_3962;
BgL_pz00_3962 = 
PROCEDURE_REF(BgL_envz00_3961, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_3962));} } 

}



/* sha512sum */
BGL_EXPORTED_DEF obj_t BGl_sha512sumz00zz__sha2z00(obj_t BgL_objz00_62)
{
{ /* Unsafe/sha2.scm 1195 */
if(
BGL_MMAPP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1197 */
return 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1197 */
if(
STRINGP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1199 */
return 
BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1199 */
if(
INPUT_PORTP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1201 */
return 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1201 */
return 
BGl_errorz00zz__errorz00(BGl_string2325z00zz__sha2z00, BGl_string2319z00zz__sha2z00, BgL_objz00_62);} } } } 

}



/* &sha512sum */
obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t BgL_envz00_3963, obj_t BgL_objz00_3964)
{
{ /* Unsafe/sha2.scm 1195 */
return 
BGl_sha512sumz00zz__sha2z00(BgL_objz00_3964);} 

}



/* hmac-sha256sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t BgL_keyz00_63, obj_t BgL_msgz00_64)
{
{ /* Unsafe/sha2.scm 1209 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_63, BgL_msgz00_64, BGl_sha256sumzd2stringzd2envz00zz__sha2z00);} 

}



/* &hmac-sha256sum-string */
obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_3965, obj_t BgL_keyz00_3966, obj_t BgL_msgz00_3967)
{
{ /* Unsafe/sha2.scm 1209 */
{ /* Unsafe/sha2.scm 1210 */
 obj_t BgL_auxz00_6059; obj_t BgL_auxz00_6052;
if(
STRINGP(BgL_msgz00_3967))
{ /* Unsafe/sha2.scm 1210 */
BgL_auxz00_6059 = BgL_msgz00_3967
; }  else 
{ 
 obj_t BgL_auxz00_6062;
BgL_auxz00_6062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)48688)), BGl_string2326z00zz__sha2z00, BGl_string2314z00zz__sha2z00, BgL_msgz00_3967); 
FAILURE(BgL_auxz00_6062,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_3966))
{ /* Unsafe/sha2.scm 1210 */
BgL_auxz00_6052 = BgL_keyz00_3966
; }  else 
{ 
 obj_t BgL_auxz00_6055;
BgL_auxz00_6055 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)48688)), BGl_string2326z00zz__sha2z00, BGl_string2314z00zz__sha2z00, BgL_keyz00_3966); 
FAILURE(BgL_auxz00_6055,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(BgL_auxz00_6052, BgL_auxz00_6059);} } 

}



/* hmac-sha512sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t BgL_keyz00_65, obj_t BgL_msgz00_66)
{
{ /* Unsafe/sha2.scm 1215 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_65, BgL_msgz00_66, BGl_sha512sumzd2stringzd2envz00zz__sha2z00);} 

}



/* &hmac-sha512sum-string */
obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_3968, obj_t BgL_keyz00_3969, obj_t BgL_msgz00_3970)
{
{ /* Unsafe/sha2.scm 1215 */
{ /* Unsafe/sha2.scm 1216 */
 obj_t BgL_auxz00_6075; obj_t BgL_auxz00_6068;
if(
STRINGP(BgL_msgz00_3970))
{ /* Unsafe/sha2.scm 1216 */
BgL_auxz00_6075 = BgL_msgz00_3970
; }  else 
{ 
 obj_t BgL_auxz00_6078;
BgL_auxz00_6078 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)48994)), BGl_string2327z00zz__sha2z00, BGl_string2314z00zz__sha2z00, BgL_msgz00_3970); 
FAILURE(BgL_auxz00_6078,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_3969))
{ /* Unsafe/sha2.scm 1216 */
BgL_auxz00_6068 = BgL_keyz00_3969
; }  else 
{ 
 obj_t BgL_auxz00_6071;
BgL_auxz00_6071 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2309z00zz__sha2z00, 
BINT(((long)48994)), BGl_string2327z00zz__sha2z00, BGl_string2314z00zz__sha2z00, BgL_keyz00_3969); 
FAILURE(BgL_auxz00_6071,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(BgL_auxz00_6068, BgL_auxz00_6075);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sha2z00()
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sha2z00()
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sha2z00()
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00()
{
{ /* Unsafe/sha2.scm 50 */
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2328z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__hmacz00(((long)285132844), 
BSTRING_TO_STRING(BGl_string2328z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2328z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2328z00zz__sha2z00)); 
return 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924966), 
BSTRING_TO_STRING(BGl_string2328z00zz__sha2z00));} 

}

#ifdef __cplusplus
}
#endif
